Upphovsrätt och juridisk information

Upphovsrätt, varumärken och juridisk information

Upphovsrätt

Copyright © 1999-2001, 2002-2005 Hexagon Metrology and Wilcox Associates Incorporated. Med ensamrätt.

Varumärken

PC-DMIS, Direct CAD, Tutor for Windows, Remote Panel Application, DataPage och Micro Measure IV är antingen registrerade varumärken eller varumärken som tillhör Hexagon Metrology och Wilcox Associates, Incorporated.

SPC-Light är ett varumärke som tillhör Lighthouse.

HyperView är ett varumärke som tillhör Dundas Software Limited och HyperCube Incorporated.

Orbix 3 är ett varumärke som tillhör IONA Technologies.

I-DEAS och Unigraphics är antingen varumärken eller registrerade varumärken som tillhör EDS.

Pro/ENGINEER är ett registrerat varumärke som tillhör PTC.

CATIA är antingen ett varumärke eller ett registrerat varumärke som tillhör Dassault Systemes och IBM Corporation.

ACIS är antingen ett varumärke eller ett registrerat varumärke som tillhör Spatial och Dassault Systemes.

3DxWare är antingen ett varumärke eller ett registrerat varumärke som tillhör 3Dconnexion.

lp_solve är ett gratis programvarupaket vars licensiering och användning regleras av GNU LGPL.

Information om lpsolve

PC-DMIS för Windows version 4.0 och senare använder ett gratis, öppen källkodspaket som heter lp_solve (eller lpsolve), som distribueras i enlighet med GNU LGPL (Lesser General Public License).

Citeringsdata om lpsolve

----------------------

Beskrivning: Linjärt programmeringssystem som bygger på öppen källkod (blandade heltal)

Språk: Multi-platform, pure ANSI C / POSIX-källkod, Lex/Yacc-baserad parsning

Officiellt namn: lp_solve (alternativt lpsolve)

Releasedata: Version 5.1.0.0 daterad 1 maj 2004

Medutvecklare: Michel Berkelaar, Kjell Eikland, Peter Notebaert

Licensvillkor: GNU LGPL (Lesser General Public Licence)

Citeringsprinciper: Allmänna referenser enligt LGPL

Modulspecifika referenser enligt specifikationer i enlighet med denna

Du kan hämta det här paketet från:

http://groups.yahoo.com/group/lp_solve/


Välkommen till PC-DMIS 4.0

  • Pcdmis Vision

  • Pcdmis/NC

  • Pcdmis Laser

  • Pcdmis IP

  • Flexibla fixturer

  • Direkta CAD-gränssnitt

  • TutorTranslator

  • Pcdbasic

Välkommen till PC-DMIS 4.0

I den här filen

På Internet

Utforska de nya funktionerna i den här versionen

Komma igång med en enkel självstudie

Bläddra i hjälpfilen

Starta andra hjälpfiler

Hämta en utskrivbar manual

Besök WAI:s webbplats

Skicka kommentarer

Besök WAI:s tekniska supportsida

Hämta den senaste hjälpfilen på engelska

Tips på fler sätt att hitta information i den här hjälpfilen finns i avsnittet "Använda direkthjälpen".

Hjälpen senast uppdaterad: 22 september 2005


Använda onlinehjälpen

En översikt över gränssnittet i hjälpfilen

Få hjälp genom att trycka på tangenten F1

Söka i hjälpen genom att bläddra i Innehåll och bland avsnitten

Söka efter matchande text i hjälpen

Söka i hjälpen med indextermer

Använda den dynamiska hjälpkartan

Spara favoritavsnitt i hjälpen

Ändra alternativ för hjälpfilen

Felsöka hjälpfilen

Ansluta till Internetsupport


Använda onlinehjälpen: Inledning

I det här avsnittet beskrivs hur du använder hjälpfilerna som installeras med PC-DMIS.

Det här är huvuddelarna av det här avsnittet:

  • En översikt över gränssnittet i hjälpfilen

  • Få hjälp genom att trycka på tangenten F1

  • Söka i hjälpen genom att bläddra i Innehåll och bland avsnitten

  • Söka efter matchande text i hjälpen

  • Söka i hjälpen med indextermer

  • Använda den dynamiska hjälpkartan

  • Spara favoritavsnitt i hjälpen

  • Ändra alternativ för hjälpfilen

  • Felsöka hjälpfilen

  • Ansluta till Internetsupport


En översikt över gränssnittet i hjälpfilen

En översikt över strukturen och gränssnittet i hjälpfilen

När du installerar PC-DMIS installeras en kompilerad HTML-hjälpfil (en fil med filtillägget CHM) i samma katalog som den körbara filen för PC-DMIS. Du öppnar hjälpfilen genom att dubbelklicka på den eller genom att när som helst trycka på F1 i PC-DMIS.

Välkommen: I hjälpfilen i PC-DMIS visas först ämnet Välkommen. I det här ämnet finns länkar som hjälper dig att komma igång med den aktuella versionen av PC-DMIS.

Verktygsfältet: I verktygsfältet finns följande knappar:

  • Visa/Dölj – Med den här knappen kan du visa och dölja de flikar som används för att söka efter ämnen.

  • Sök– Med den här knappen synkroniserar du det ämne som du läser i huvudfönstret med ämnesvyn (som kan expanderas och komprimeras) på fliken Innehåll, så att du kan hitta ämnet på fliken Innehåll. Detta sker vanligtvis automatiskt.

  • Bakåt / Framåt – De här knapparna fungerar som knapparna Bakåt och Framåt i en webbläsare. Allt du läser lagras när du bläddrar i hjälpfilen, så att du kan använda knapparna för att enkelt bläddra bakåt till ämnen som du har läst tidigare, eller framåt till det du läste nyss.

  • Alternativ – Här kan du ange diverse alternativ för hjälpfilen.

Om du klickar på Visa öppnas sökfönstret. I sökfönstret finns följande flikar som du kan använda för att söka efter och spara ämnen (du döljer fönstret genom att klicka på Dölj):

  • Innehåll – På den här fliken kan du söka efter innehåll.

  • Index – På den här fliken kan du söka efter indexposter.

  • Sök – På den här fliken kan du söka efter matchande text.

  • Favoriter – På den här fliken kan du spara favoritämnen som du vill läsa igen.

I resten av det här avsnittet beskrivs hur du söker efter och sparar ämnen.


Få hjälp genom att trycka på tangenten F1

Du kan när som helst trycka på F1 för att visa onlinehjälpen. Du kan också använda tangenten F1 i olika sammanhang för att hitta särskilda ämnen snabbare:

  • Dialogrutor: Öppna en dialogruta. Tryck på F1 när dialogrutan är öppen så visas hjälpämnet för dialogrutan.

  • Ikoner i verktygsfältet: Placera muspekaren över en ikon i verktygsfältet tills tipstexten visas. Tryck på F1. Hjälpämnet för ikonen visas.

  • Menyobjekt: Placera muspekaren över ett menyobjekt (inte en menyrubrik) i menyraden. Tryck på F1. Hjälpämnet för menyalternativet visas.

  • Kommando: Öppna Redigeringsfönstret. Övergå till kommandoläge. Klicka på ett kommando och tryck på F1. Hjälpämnet för kommandot visas.


Söka i hjälpen genom att bläddra i Innehåll och bland ämnena

  1. Välj Hjälp | Innehåll för att öppna hjälpfilen i PC-DMIS.

  2. Klicka på Visa för att visa flikarna.

  3. Klicka på fliken Innehåll. En lista med avsnitt visas i hjälpfilen.

  4. Leta upp det huvudämne som du vill visa och klicka på plustecknet (+) bredvid det ämne du vill visa. Listan expanderas och alla delar i ämnet visas.

  5. Välj det ämne som du vill visa, så visas innehållet i ämnet. Därefter kan du bläddra igenom ämnena genom att klicka på pilknapparna Nästa och Föregående i ämnena.


Söka efter matchande text i hjälpen

  1. Öppna hjälpfilen i PC-DMIS.

  2. Klicka på Visa för att visa flikarna.

  3. Välj fliken Sök. Skriv in texten som du vill söka efter i rutan Ange nyckelordet som du vill söka efter: . Om du sätter citattecken kring texten görs ett försök att hitta den exakta frasen i hjälpfilen. Annars görs ett försök att hitta samtliga ord oavsett i vilken ordning de kommer. En lista med ämnen visas under Ämnen nedan.

  4. Dubbelklicka på det ämne du vill visa eller klicka på Visa. Det valda ämnet visas. Alla termer som matchar den text du skrev in markeras i hjälpfilen. För att inaktivera markeringen klickar du på knappen Alternativ i verktygsfältet för hjälpfilen i PC-DMIS.

Med följande kryssrutor längst ned på fliken Sök kan du begränsa eller utöka sökningen.

  • Sök i tidigare resultat – Gör att du kan söka i de befintliga sökresultaten. Detta kan vara användbart om sökningen gav många träffar och du vill begränsa sökningen.

  • Matcha liknande ord – Med den här kryssrutan kan du utöka sökningen till liknande ordformer. Om du till exempel söker efter Export och markerar den här kryssrutan returneras ämnen med orden Export-era, Export-en o.s.v.

  • Sök endast i rubriker – Med den här kryssrutan görs sökningen endast i ämnesrubrikerna, inte i ämnenas brödtext.


Söka i hjälpen med indextermer

  1. Välj Hjälp | Innehåll för att öppna hjälpfilen i PC-DMIS.

  2. Klicka på Visa för att visa flikarna.

  3. Välj fliken Index. Skriv en tänkbar indexterm i rutan Ange nyckelordet som du vill söka efter: . Om det inte går att hitta ett ämne med denna term kan du försöka använda ett liknande ord.

  4. När du har hittat ett ämne som du vill visa klickar du på Visa eller dubbelklickar på ämnet. Ett ämne är ofta uppdelat i underordnade stycken. I så fall visas dialogrutan Ämnen som hittades där du kan välja vilket stycke du vill visa.


Använda den dynamiska hjälpkartan

Från och med version 3.5 av PC-DMIS finns det en del versioner av hjälpfilen för programmet där du kan se en dynamisk karta över menyvalen du ska göra för att t.ex. öppna en dialogruta, välja ett menyobjekt eller aktivera ett kommando i Redigeringsfönstret. Även om du använder ett anpassat användargränssnitt kan du använda den dynamiska hjälpkartan för att se vilka menyval du ska göra.

Viktigt! För att menysökvägen ska kunna returneras i den dynamiska kartan måste du använda webbläsaren Internet Explorer, och en instans av PC-DMIS måste köras.

  • I PC-DMIS 3.5 visas den dynamiska hjälpkartan automatiskt högst upp i vissa ämnen:

  • I PC-DMIS 3.6 och senare versioner visas den dynamiska kartan i ett separat popup-fönster när du klickar på en särskild liten gul ikon [image] som finns i vissa ämnen:

Exempel på dynamisk hjälpkarta i V3.5 | Exempel på dynamisk hjälpkarta i V3.6 och senare versioner


Spara favoritämnen i hjälpen

I hjälpfilen i PC-DMIS kan du spara favoritämnen som du vill läsa igen. Ämnena sparas även om du stänger hjälpfilen och öppnar den igen senare.

  1. Öppna hjälpfilen i PC-DMIS.

  2. Klicka på Visa för att visa flikarna.

  3. Använd en sökmetod för att hitta ett ämne som du vill spara.

  4. Klicka på fliken Favoriter. I rutan Aktuellt ämne visas rubriken för det ämne som visas till höger.

  5. Klicka på knappen Lägg till. Ämnet läggs till i listan Ämnen på fliken Favoriter.

  6. För att visa ett sparat favoritämne dubbelklickar du på ämnet i listan Ämnen.

  7. För att ta bort ett sparat ämne markerar du ämnet och klickar på Ta bort.


Ändra alternativ för hjälpfilen

Med knappen Alternativ i verktygsfältet kan du ändra olika alternativ för hjälpfilen.

  • Dölj flikar / Visa flikar – De här alternativen fungerar som knapparna Dölj/Visa i verktygsfältet.

  • Bakåt/Framåt – De här alternativen fungerar som knapparna Bakåt/Framåt i verktygsfältet.

  • Hem – Leder till startsidan som är kopplad till hjälpfilen.

  • Stopp – Stoppar den aktuella processen. När du öppnar en extern webbsida i hjälpfilsläsaren kan du vanligtvis använda Stopp för att stoppa processen.

  • Uppdatera – Uppdaterar det aktuella ämnet. Om du öppnar en extern webbsida och innehållet har ändrats sedan du besökte den senast kan du använda Uppdatera för att visa det senaste innehållet.

  • Internet-alternativ – Öppnar dialogrutan Internet-alternativ. Se hjälpen för webbläsaren.

  • Fråga – Med det här alternativet öppnar du sökmetoden Fråga.

  • Skriv ut – Det aktuella ämnet skickas till skrivaren.

  • Sökmarkering av – Inaktiverar markeringen av text i ämnen som visas när du använder fliken Sök.


Felsöka hjälpfilen

I det här ämnet beskrivs några vanliga fel som kan uppstå när du visar onlinehjälpfilen.

När du visar en dynamisk hjälpkarta kan ett skriptfel uppstå:

Kontrollera att filen helpmap.ocx finns och är registrerad på datorn. Den här ActiveX-komponenten krävs för att visa den dynamiska hjälpkartan. Du kan försöka åtgärda problemet genom att installera om PC-DMIS eller registrera komponenten manuellt.

Så här åtgärdar du problemet manuellt:

  1. Hämta OCX-filen från följande plats:
    ftp://ftp.wilcoxassoc.com/docs/onlinehelp/OCX/helpmap.zip

  2. Extrahera filen helpmap.ocx till den katalog där den körbara filen för PC-DMIS finns.

  3. Öppna ett kommandotolkfönster och gå till katalogen där OCX-filen finns.

  4. Skriv "regsvr32 helpmap.ocx".

När du visar en dynamisk hjälpkarta visas inte popup-fönstret:

Den dynamiska hjälpkartan fungerar bara med webbläsaren Internet Explorer. Om du inte har installerat Internet Explorer 6.0 eller senare kan det på vissa datorer vara så att de popup-fönster som används i version 3.6 och senare versioner inte fungerar, och ett skriptfel kan uppstå.

Du kan försöka korrigera problemet genom att installera den senaste versionen av Internet Explorer med eventuella korrigeringsprogram eller service packs.

Kontrollera också att en instans av PC-DMIS körs så att hjälpkartan kan visas.

När du visar en dynamisk hjälpkarta visas ett meddelande om att kartan inte kan visas eftersom PC-DMIS inte körs, eller för att strängen inte skickas korrekt från PC-DMIS.

Kontrollera att en instans av PC-DMIS körs. Om felet uppstår igen beror det på ett fel i koden som används för att begära att den dynamiska hjälpkartan ska visas för det aktuella ämnet. Notera ämnets rubrik och vad det står i meddelandet och använd supportkanalerna för att försöka lösa problemet.


Ansluta till Internetsupport

I PC-DMIS v4.0 och senare versioner kan du ansluta till Internetsupportsessioner tack vare WebEx, där du och en tekniker kan använda ett webbläsargränssnitt för att diskutera problem, överföra filer, visa program eller gemensamt arbeta med ett program för att hitta och lösa ditt problem - i realtid.

Viktigt! För att du ska kunna ansluta till en Internetsupportsession måste du få ett unikt sessionsnummer från supportteknikern.

Så här ansluter du till en Internetsupportsession:

  1. Välj Hjälp | Internetsupport. Dialogrutan Internetsupport öppnas.

  2. Fyll i fälten i dialogrutan: Förnamn, Efternamn, E-postadress och Supportsessionsnummer.

  3. Klicka på OK. Din webbläsare startas automatiskt. Om du inte är ansluten till Internet uppmanas du att ansluta.

  4. När anslutningen är klar startas WebEx-gränssnittet där du och teknikern kan samarbeta för att lösa problemet.


Komma igång: En översikt

Översikt: Inledning

Versionsförbättringar

Manualens indelning

Konventioner

Musterminologi

Fetstilt text

Kursiverad text

Text med versaler

Understruken text

Punktlistor

Numrerade listor

CAD-länkar

Använda en mus eller rörelsestyrenhet

Konfigurera en ZMouse

Konfigurera en SpaceBall- eller SpaceMouse-enhet

Tillgängliga PC-DMIS-funktioner för SpaceMouse eller SpaceBall

Tilldela PC-DMIS-funktioner till knapparna på en SpaceMouse eller SpaceBall

Automatisera PC-DMIS

Programvarukonfigurationer

Jämförelse mellan offline- och onlineversioner

Detaljprogrammering online

Detaljprogrammering offline

PC-DMIS Vision

PC-DMIS/NC

PC-DMIS Laser

PC-DMIS Gear


Översikt: Inledning

Termen "PC-DMIS" är en härledning av förkortningen "DMIS" som står för: Dimensional Measuring Interface Standard (gränssnittsstandard för jämförande mätningar).

PC-DMIS för Windows är ett paket med fullständiga funktioner för geometriska mätningar. I PC-DMIS översätts kommandon på hög nivå som krävs för mätning av detaljer till detaljerade steg som är nödvändiga för att kunna styra en CMM (Coordinate Measuring Machine). PC-DMIS för Windows använder Microsoft Windows-gränssnittet för att skapa och köra detaljprogram. Användaren kan enkelt starta mätprocessen genom att använda nedrullningsbara menyer, dialogrutor och ikoner. Mångsidigheten i gränssnittet för PC-DMIS innebär även att användaren enkelt kan anpassa programvaran efter individuella behov.

De primära målen bakom utformningen av PC-DMIS för Windows har varit flexibilitet och användarvänlighet. För att uppfylla målen innehåller PC-DMIS en flexibel miljö som tillåter korrigeringar i realtid, till skillnad från de långdragna felsökningsprocesser som kännetecknar andra paket med geometrisk programvara. PC-DMIS är jämförelseinriktat för att minska behovet av analys och tolkning av resultat från CMM-mätningar. De tekniker som används vid detaljprogrammering i en CMM-mätmaskin är lätta att förstå och, med lite övning, systematiska. I den här hjälpfilen görs inget försök att helt och hållet beskriva processen för utvärderande mätningar. Kontakta en representant för programvarutillverkaren om du behöver mer information om utvärderande mätningar.

Vi hoppas att du blir nöjd med PC-DMIS och att du tycker att det är ett användbart och kraftfullt verktyg. Kontakta oss om du har förslag eller kommentarer. Vi strävar alltid efter att förnya våra produkter.

Nedan följer några av huvuddelarna i det här avsnittet:

  • Versionsförbättringar

  • Manualens indelning

  • CAD-länkar

  • Använda en mus eller rörelsestyrenhet

  • Automatisera PC-DMIS

  • Programvarukonfigurationer

Obs! I den här hjälpfilen finns den centrala dokumentation som behövs vid användning av PC-DMIS för Windows. På grund av att PC-DMIS består av moduler kan det finnas ytterligare hjälpfiler installerade på datorn. Klicka på fliken Innehåll i hjälpfilen om du vill se vilka andra filer som har installerats.


Versionsförbättringar

Filen readme.txt i installationskatalogen för PC-DMIS innehåller en lista över samtliga felkorrigeringar och förbättringar i den här versionen. De viktigaste förbättringarna i textfilen listas nedan med länkar till de ämnen där de finns beskrivna.

Centrala förbättringar i PC-DMIS

  • Rapportförbättringar – Se Rapportera mätresultat.

    • Du kan skapa rapport- och etikettmallar med verktyg för mallskapande. En rapportmall tillämpas på detaljprogrammet vilket ger en anpassad rapport. Med etikettmallar får du information om hur data från en viss kommandotyp ska rapporteras.

    • Genom en tolkningsprocess avgörs hur och var objekt rapporteras. Objekt som ska ingå i en rapport läggs till i det avsnitt, den etikett o.s.v. som används för den aktuella objekttypen.

    • Användaren kan ange användardefinierade egenskaper för rapportobjekt med en text.

    • Funktionen för rapportutskrifter har större kapacitet att hantera komplexa rapporter.

    • Det finns fler rapportalternativ tack vare ett språk för rapportuttryck.

    • Du kan skapa användarinteraktiva formulär i Redigera formulär.

    • Det finns ett nytt rapportfönster där körningsresultat visas.

  • Utvärderingsförbättringar – Se Använda toleransrektanglar och Utvärdera element.

    • Nu kan du använda referenselement och visa toleransrektanglar (TLR). Detta är standardtypen för utvärderingar.

    • Du kan definiera referenselement för utvärderingar.

    • Kast-menyn delas in i Totalkast och Cirkulärt kast.

    • Rundhet-menyn delas in i Rundhet och Cylindricitet.

    • När du dubbelklickar på ett element i Grafikfönstret skapas en toleransrektangel med en inbäddad textruta med utvärderingsinformation.

    • PC-DMIS innehåller stöd för samtidig utvärdering av två eller flera toleranser med hänsyn till samma referenssystem.

    • Det finns en separat trieder med avseende på referenssystemet.

    • Det går att utvärdera riktningsutvärderingar i förhållande till ett referenssystem.

  • Manuellt körningsläge (användardefinierad körningsordning) – Detta ger utrymme för största flexibilitet vid körning av detaljprogram. Du kan köra element i valfri ordning. Detta är standardläget för manuella maskiner och används inte för CNC-maskiner. Läget är särskilt användbart för bärbara enheter. Se Körning i egen ordning i Använda avancerade filalternativ.

  • Flexiblare DMIS-export från PC-DMIS offline. Det gör att mätmaskiner som inte styrs av PC-DMIS kan programmeras med PC-DMIS offline. Se Exportera till en DMIS-fil i Använda avancerade filalternativ. Ett nytt inställningsfönster gör att du snabbt kan ändra vanliga inställningar som normalt ändras i dialogrutan Parameterinställning. Se Använda inställningsfönstret i Använda andra fönster, redigerare och verktyg.

  • Importalternativ som gör det möjligt att ange färgen på importerade punkter, kurvor, ytor och referenselement. Importerade polylinjer kan även brytas upp till punkter. Se Ställa in importalternativ i Använda avancerade filalternativ.

  • Tillåt att användare anger frihetsgrader vid uppriktning med bästanpassning. Se Skapa en uppriktning med bästanpassning i Skapa och använda uppriktningar.

  • Nu kan du panorera, zooma och rotera på samma gång om du har en SpaceBall 5000- eller SpaceMouse-enhet. Du kan även låsa den dominanta funktionen så att andra rörelsefunktioner filtreras bort. Se Konfigurera en SpaceBall- eller SpaceMouse-enhet.

  • Det finns nu ett alternativt IGES-importalternativ för IGES-filer som inte importeras korrekt vid standardiserad IGES-import. Se Importera en IGES-fil (alternativ) i Använda avancerade filalternativ.

  • Förbättringar av autoelement med en knapptryckning. Se Snabba sätt att skapa autoelement i Skapa autoelement.

  • En ny kryssruta i dialogrutan DES-import innebär att du kan bryta upp polylinjer till punkter. Se Importera en DES-fil i Använda avancerade filalternativ.

  • Du kan transformera och skalanpassa (inklusive ej enhetlig skalanpassning av) CAD-data. Se Transformera en CAD-modell i Redigera CAD-visningen.

  • Nu anges kommentarstext med $$ i dokumentationskommentarerna (COMMENT/DOC). Se Kommentarstext i Infoga rapportkommandon.

  • Du kan konstruera en cirkel från en kon vid en angiven höjd på axeln. Se Konstruera en cirkel från en kon i Konstruera nya element från befintliga element.

  • Vid körning kommer beroenden för element som har hoppats över också att hoppas över. Se Använda dialogrutan Inställningar, körning i Använda avancerade filalternativ: Inledning.

  • I den nya listan Plan kan du välja ett plan som mätta linjer och cirklar ska flyttas ut till. Se Verktygsfältet Inställningar i Använda verktygsfält.

  • Förbättringar av grafik:

    • Gradientkapacitet har lagts till i skärmens bakgrund. Se Ändra skärmfärger.

    • Du kan välja ett hårkors i stället för en pil som pekare. Se Ändra skärmfärger.

    • Tillåt definition av markeringsfärg och muspekare för läget Mus över markering (MOHL – Mouse over Highlight). Se Ändra skärmfärger.

    • Etikettpositioner beräknas nu på den aktuella vyn och inte på den sparade vyn.

    • Animering av objekt som dras i Grafikfönstret.

    • Välj bland flera tillgängliga CAD-koordinatsystem som kan användas i Grafikfönstret eller skapa ett nytt koordinatsystem från den aktuella CAD-transformationen. Se Arbeta med CAD-koordinatsystem i Redigera CAD-visningen.

    • Alternativ för teknisk support över Internet. Se Ansluta till Internetsupport i Använda onlinehjälpen.

  • Scanförbättringar – Se Scanna en detalj.

    • Ny friformsscan

    • Ny rutnätsscan

  • Förbättringar för bärbara armenheter – Se Arbeta med bärbara enheter.

    • Förenklade användarmenyer och verktygsfält.

    • Omvandla mätpunkter till vektorpunkter.

    • Tillgängligt musläge för bärbara armar.

    • Tillagt ljud för målriktning för Romer-armar.

    • Stöd för perceptronsensor på Romer-armar.

    • Tillagd kapacitet för hård mätning i tunnplåt som kompenserar för att mätspetsens kontakt med underlaget inte alltid är 90 grader.

  • Möjlighet för spårning av versionsnumret för DMIS vid import till PC-DMIS. Se Importera ett DMIS-program i Använda avancerade filalternativ.

  • Nu kan du använda olika storlekar på mätspetsar för mätning av ett enda element. I versioner före PC-DMIS 4.0 förutsattes det att du använde samma mätspets för ett helt element och det uppstod problem vid mottagning av träffdata från mätspetsar med olika radier. Nu kan du emellertid använda mätspetar med olika stora radier för ett enda element, tack vare uppgraderade algoritmer.

  • Möjlighet att enkelt skapa mätta elementgrupper (punktgrupper). Se Skapa mätta elementgrupper i Skapa mätta element.

Förbättringar av PC-DMIS IP

En beskrivning av dessa förbättringar finns i dokumentationen för PC-DMIS IP.

  • Inspection Planner innehåller förbättrade metoder för visualisering av säkerhetsplanen i Grafikfönstret, där de representeras av transparenta plan. Se hjälpfilen för Inspection Planner.

Förbättringar av flexibla fixturer

En beskrivning av dessa förbättringar finns i dokumentationen för flexibla fixturer.

  • Tillagt stöd för manuella flexibla fixturer (5Unique). Se hjälpfilen för flexibla fixturer.

Förbättringar av PC-DMIS Laser

  • Punktmängder har utvecklats för användning med laserscan. Den här funktionen kan även användas vid andra scanåtgärder. Alla laserscanners måste kopplas till och infogas i en punktmängd.

  • Laserstöd för följande sensorer: Perceptron + CW43L + 3rd axis & Metris + PH10.

Förbättringar av direkt CAD-gränssnitt (Direct CAD Interface)

En beskrivning av dessa förbättringar finns i dokumentationen för direkt CAD-gränssnitt (Direct CAD Interface).

  • Ett direkt CAD-gränssnitt har lagts till för SolidEdge.

  • Pro/Engineer DCI har designats om för att utnyttja fördelarna med ny kapacitet i versionerna Wildfire och Wildfire 2.0, vilket har lett till tydliga prestandaförbättringar.

  • Stöd för direkt CAD-gränssnitt i CATIA 5.

Förbättringar av PC-DMIS Vision

En beskrivning av dessa förbättringar finns i dokumentationen för PC-DMIS Vision.

  • PC-DMIS Auto Shutter™ – Om du flyttar det element som ska mätas till en position inom kameras synfält, så utförs automatiskt en sökning efter och mätning av elementet i PC-DMIS. I bilden visas även en pil och avståndsöverlagring som guidar användaren till rätt position.

  • Den direkta bildvyn kan nu skalanpassas (större eller mindre) så att den fyller det tillgängliga skärmutrymmet.

  • Tillagt stöd för lågförlustprodukten Matrox Cronos Frame Grabber och USB-kameran Artcam.

  • Enklare konfigurering av belysningslampor i dialogrutan Inställningar, maskininterface.

  • Bättre användargränssnitt vid användning av en ringlampa.

  • Stöd i CMM-V Vision för en kamera på ett vridbart mäthuvud.

  • Tillagt stöd för Metronics i PC-DMIS Vision. Utbytbara delar till Vision-maskiner med Metronics-gränssnitt (t.ex. Mitutoyo Quick Vision).

  • Tillagt stöd för Mycrona Red Line.

  • Förbättring av Automatiskt mål i PC-DMIS Vision för automatisk upptäckt av när ett element är i rätt position.

  • Belysningslampor är nu enklare att använda eftersom de kontrolleras direkt från mäthuvudsverktyget.

  • Tillagt stöd för vinkelpunkt för autoelement i Vision.

  • Tillagt stöd för spår för autoelement i Vision.

  • Nu kan Direkt bild i Vision skalanpassas.

  • Guiden för 321-uppriktning (3-2-1 Alignment Wizard) fungerar tillsammans med funktioner i Vision.


Manualens indelning

Resursmanualen är indelad i flera huvudavsnitt och några tilläggsavsnitt.

I listan nedan ges en kort beskrivning av varje avsnitt så att du får en överblick över onlinehjälpens utformning.

Komma igång: En översikt är namnet på det avsnitt som du läser just nu. I det här avsnittet får du en kortfattad översikt över innehållet i onlinehjälpen för PC-DMIS.

Komma igång: En enkel genomgång innehåller en beskrivning och en tydlig genomgång av mätprocessen.

Navigera i användargränssnittet innehåller en beskrivning av användargränssnittet i PC-DMIS och av hur det kan anpassas efter dina behov.

Använda grundläggande filalternativ innehåller en genomgång av de grundläggande filåtgärder som kan utföras i PC-DMIS, till exempel hur du startar ett nytt detaljprogram, sparar och avslutar PC-DMIS.

Använda avancerade filalternativ innehåller en genomgång av mer avancerade filåtgärder, till exempel import och export av CAD-filer och körning av detaljprogram.

Göra inställningar innehåller en beskrivning av hur du kan använda inställningsvalen på Redigera-menyn för önskade inställningar. Avsnittet innehåller även en beskrivning av hur du infogar och ändrar parametrar för detaljprogram.

Redigera CAD-visningen innehåller en beskrivning av hur du kan använda alternativen på Grafik-menyn i Grafikfönstret om du vill redigera visningen av en CAD-fil.

Redigera ett detaljprogram innehåller en beskrivning av hur du kan använda alternativen på Redigera-menyn i Redigeringsfönstret om du vill redigera ett detaljprogram.

Använda Redigeringsfönstret innehåller en beskrivning av hur du använder den inbyggda redigeraren i PC-DMIS för att skapa, felsöka, redigera och köra detaljprogram.

Använda andra fönster, redigerare och verktyg innehåller en genomgång av fler fönster, redigerare och verktyg på Visa-menyn.

Använda verktygsfält innehåller en genomgång av tillgängliga verktygsfält i Grafikfönstret och av hur du kan använda de olika ikonerna i verktygsfältet till att skapa eller redigera detaljprogram.

Definiera hårdvara innehåller en genomgång av undermenyn Hårdvarudefinition som finns på Infoga-menyn. Från undermenyn Hårdvarudefinition kan du definiera mäthuvuden, maskiner eller snabbfixturer som ska användas med PC-DMIS. Avsnittet innehåller även en beskrivning av mätspetskalibrering.

Skapa autoelement innehåller en beskrivning av hur du använder alternativet Infoga | Element | Autoelement till att skapa autoelement och mäta de skapade autoelementen i detaljprogrammet.

Skapa mätta element innehåller en beskrivning av hur du ställer in alternativet Infoga | Element | Mät till att skapa mätta autoelement i detaljprogrammet.

Konstruera nya element från andra element innehåller en beskrivning av hur du konstruerar element och lägger in dem i ett detaljprogram med hjälp av alternativet Infoga | Element | Konstruera.

Skapa allmänna element innehåller en beskrivning av hur du infogar ett läspunktskommando och skapar allmänna element med hjälp av alternativen Infoga | Element | Läs punkt och Infoga | Element | Allmänt element.

Skapa och använda uppriktningar innehåller en beskrivning av hur du skapar och sparar uppriktningar från undermenyn Infoga | Uppriktning.

Utvärdera element innehåller en beskrivning av hur du utvärderar element från undermenyn Infoga | Utvärderingar.

Använda toleransrektanglar innehåller en beskrivning av hur du utvärderar element med hjälp av toleransrektanglar och symboler från GD&T-standarden.

Scanna en detalj innehåller en beskrivning av hur du scannar och skapar grundläggande eller avancerade scanåtgärder från undermenyn Infoga | Scan.

Infoga rörelsekommandon innehåller en genomgång av olika rörelsekommandon som kan läggas in i detaljprogrammet från undermenyn Infoga | Rörelse.

Förgrening genom användning av programflödeskommandon innehåller en genomgång av ett antal kommandon som kan användas för kontroll av flödet i ett detaljprogram från undermenyn Infoga | Programflödeskommandon.

Spåra statistiska data innehåller en förklaring av hur du spårar och använder statistik i detaljprogrammet.

Rapportera mätresultat innehåller en genomgång av hur du skapar rapport- och etikettmallar och använder formulär.

Infoga rapportkommandon innehåller en genomgång av de rapportkommandon som kan infogas i ett detaljprogram från undermenyn Infoga | Rapportkommandon.

Använda indata/utdata i filer innehåller en förklaring av hur du arbetar med in-/utmatningar för filer i detaljprogrammet, där du kan öppna filer för läsning, skrivning och andra åtgärder från undermenyn Infoga | Kommandon för fil-I/O.

Använda uttryck och variabler innehåller en beskrivning av hur du skapar uttryck och tilldelar uttrycksresultat till variabler.

Lägga till externa element innehåller en genomgång av hur du lägger till externa program, skript, detaljprogram och andra objekt i ett detaljprogram för att förbättra programmets kapacitet.

Använda flerarmsläge innehåller en beskrivning av hur du använder PC-DMIS tillsammans med flerarmsmaskiner.

Navigera i och visa flera fönster innehåller en beskrivning av hur du enkelt kan navigera mellan och visa öppna fönster från Fönster-menyn.

Använda onlinehjälpen innehåller en beskrivning av hur du hittar den hjälp du söker på Hjälp-menyn.

Förutom avsnitten ovan innehåller PC-DMIS flera tilläggsavsnitt (appendixar) med dokumentation om följande:

  • Arbeta i offlineläge

  • Översätta ett detaljprogram till PC-DMIS

  • Använda ett vridbart mäthuvud

  • Kalibrera ovanliga mäthuvuden

  • Arbeta med bärbara enheter

  • Arbeta i operatörsläge

  • Mäta autoelement med det optiska mäthuvudet NC-100

  • Använda kortkommandon och snabbmenyer

  • Felkoder

Mer:

Konventioner


Konventioner

Följande konventioner används i onlinehjälpen:

Mer:

Musterminologi

Fetstilt text

Kursiverad text

Text med versaler

Understruken text

Punktlistor

Numrerade listor


Musterminologi

Klicka med musen – I hjälpfilen används frasen "klicka med musknappen". Det innebär att du trycker ned och snabbt släpper musknappen. Om du till exempel uppmanas att klicka på ett menyval använder du musen för att flytta muspekaren (pilen) till det önskade menyvalet och trycker sedan ned och släpper snabbt upp (klickar med) vänster musknapp. De flesta alternativen aktiveras genom att du klickar med vänster musknapp. När du uppmanas att "klicka på" ett objekt (och det inte anges någon specifik knapp) kan du förutsätta att det är vänster musknapp som ska användas, såvida det inte finns andra instruktioner.

Hålla musknappen nedtryckt – I hjälpfilen används frasen "håll musknappen nedtryckt". Det innebär att du trycker ned musknappen och håller den nedtryckt medan du utför en annan åtgärd. Om inget annat anges syftar uppmaningen på vänster musknapp. Observera att vissa funktioner kräver att du håller både vänster och höger musknapp nedtryckta. I de fallen kan du, om pekaren har en musknapp i mitten eller ett mushjul, trycka ned den mittersta knappen eller hjulet i stället för att trycka ned båda musknapparna.


Fetstilt text

Fet stil används huvudsakligen vid referenser till:

  • Objekt i dialogrutor

  • Namn på dialogrutor

  • Kommandoknappar

  • Ikoner

  • Menyer och menyobjekt

  • Verktygsfält

Exempel:

  1. Välj menyobjektet Arkiv | Nytt.

  2. Gå till dialogrutan Öppna.

  3. Klicka på knappen Spara.

Fet stil kan även användas för Obs!, Varningar, Tips och Exempel.

Dokumentationens hänvisningar till menyer och menyobjekt som finns i processer och övriga ämnen skrivs på följande sätt:

Meny | Undermeny eller Menyobjekt | Menyobjekt

Eftersom du kan anpassa menyadresser och menynamn visas i allmänhet endast standardadresser till menyobjekt i dokumentationen.

I onlinehjälpen finns det däremot en ikon för menykarta i flera ämnen. Om du klickar på ikonen visas sökvägen till det (de) menyobjekt som diskuteras i det aktuella ämnet.


Kursiverad text

Kursiverad text används huvudsakligen vid betoning. Exempel: "Om ... mäthuvudet stöter på ett hinder stannar det inte automatiskt".

Kursiverad text kan även användas för:

  • Titlar på böcker eller manualer

  • Fördefinierade argument (vid programmering)

  • Parametrar (vid programmering)

  • Platshållare (vid programmering)

  • Inmatningar från användare (vid programmering)


Text med versaler

Text i versaler används huvudsakligen för:

  • Förkortningar (till exempel VDAFS, DMIS)

  • Tidsuttryck på engelska (AM och PM)

  • Namn på enheter (till exempel LPT1 eller COMM PORT 2)

Där programmeringselement visas skrivs följande uttryck med versaler:

  • Kontrollklasser

  • Dataformat

  • Miljövariabler

  • Handtag

  • Utlösare

  • Index

  • Makron

  • Satser

  • Strukturer

  • Systemkommandon

  • Värden


Understruken text

Understrykning används i vissa fall vid betoning, men oftast uttrycks betoning med kursiverad text.


Punktlistor

Punkter · används i listor med alternativ eller kommandon som är tillgängliga för vissa programfunktioner, eller för objekt som diskuteras i ett ämne eller i ett avsnitt.


Numrerade listor

Numrerade listor visar en följd av steg i instruktioner och processer. Exempel:

  1. Välj Arkiv.

  2. Välj Nytt.

  3. Fyll i dialogrutan Nytt detaljprogram.


CAD-länkar

PC-DMIS innehåller flera metoder för överföring av CAD-geometri, detaljprogram och mätdata från och/eller till CAD-system. Arbete med CAD-data är en av styrkorna i PC-DMIS.

CAD-geometri kan importeras till och mätresultat exporteras från PC-DMIS via:

  • IGES 5.3

  • STEP AP203 & AP214

  • VDAFS

  • DES (2/78)

  • XYZIJK-format

I PC-DMIS kan du importera följande som kan användas när du skapar detaljprogram och som en guide vid programkörning:

  • Tvådimensionella kantlinjer

  • Två-och-en-halv-dimensionella kantlinjer

  • Tredimensionella kantlinjer

  • CAD-modeller för B-spline-kurvor och -ytor

Gå till avsnittet Arbeta i offlineläge om du vill se en lista över vilka IGES-objekt som stöds.

Detaljprogram som skapas i CAD-system kan importeras till PC-DMIS genom DMIS 3.0. Detaljprogram från PC-DMIS kan exporteras till DMIS för körning i andra CMM- program.

Mätresultat kan exporteras från PC-DMIS som en DMIS-resultatfil.


Använda en mus eller rörelsestyrenhet

En av målsättningarna med PC-DMIS är att programmet ska vara flexibelt och användarvänligt. För att uppnå målsättningen kan du använda både pekare och rörelsestyrenheter i PC-DMIS. En mus är snabb och lättstyrd och därför en oumbärlig del av arbetsmiljön i PC-DMIS. Med musen kan du använda alla PC-DMIS-funktioner. (Du kan även använda tangentbordskommandon för att köra de flesta av funktionerna i PC-DMIS.)

Mer:

Konfigurera en ZMouse

Konfigurera en SpaceBall- eller SpaceMouse-enhet


Konfigurera en ZMouse

I vissa system finns det en mus med styrkula som kallas ZMouseÒ. Med en sådan mus kan användaren kontrollera muspekarens rörelse från z-spåret.

Den sista raden i parameterfilen (DOWNLOAD) bör vara:

N1000 ZMOUSE2
eller
N500 ZMOUSE2

Om du vill aktivera ZMouseÒ kontrollerar du att den sista raden i filen DOWNLOAD överensstämmer med kommandot ovan. Ändra raden vid behov.


Konfigurera en SpaceBall- eller SpaceMouse-enhet

PC-DMIS 3.7 och senare versioner stöder följande rörelsestyrenheter från 3Dconnexion:

  • SpaceBall®

  • SpaceMouse®

Dessa enheter kommunicerar med PC-DMIS via 3DxWare-gränssnittet. I gränssnittet används en konfigurationsfil som levereras med PC-DMIS eller med CD:n för 3Dconnexion. Konfigurationsfilen innehåller en definition av de funktioner i PC-DMIS som kan tilldelas till enheternas knappar. Den innehåller även en standardkonfiguration och standardknapptilldelningar.

Den senaste konfigurationsfilen kan hämtas via ftp-platsen för Wilcox Associates, Inc. på följande adress:

Hämta konfigurationsfilen Install_PCDMIS_400_3Dconnexion.exe

Mer:

Tillgängliga PC-DMIS-funktioner för SpaceMouse eller SpaceBall

Tilldela PC-DMIS-funktioner till knapparna på en SpaceMouse eller SpaceBall

Lägen för SpaceBall eller SpaceMouse


Tillgängliga PC-DMIS-funktioner för SpaceMouse eller SpaceBall

Här beskrivs de funktioner som kan tilldelas till knapparna på en SpaceMouse- eller SpaceBall-enhet. Funktionerna är:

>Ignorera rörelse – Ignorerar all information om translation och rotation från rörelsestyrenheten.

>Nästa vy – Flyttar rörelsestyrenhetens fokus till nästa vy om det finns flera vyer.

>Visa/dölj ID – Lägger till eller tar bort visning av etikett-ID för elementtextfält.

>Passa fönster – Utför standardåtgärden Passa fönster för PC-DMIS.

>Visa pekare – Visar en extra pekare på skärmen. Används med Centrera efter pekare, Zoom i PCDMIS, Rotera 2D i PCDMIS och Rotera 3D i PCDMIS.

>Centrera efter pekare – Aktiverar Visa pekare om funktionen inte redan är aktiv. I annat fall anger placeringen av den extra pekaren vad som räknas som mitten av skärmen.

>Panorering i PCDMIS – Panorerar i Grafikfönstret. Du kan skjuta enheten åt vänster eller höger om du vill PANORERA ÅT VÄNSTER eller PANORERA ÅT HÖGER, skjuta den uppåt eller nedåt om du vill PANORERA UPPÅT eller PANORERA NEDÅT och matcha panoreringskonfigurationen i inställningen för “>CAD PZR”. Med denna inställning fungerar rörelseenheten som en joystick.

>Zoom i PCDMIS – Om det finns en aktiv extra pekare ligger mittpunkten för zoom där den extra pekaren är placerad. Om det inte finns någon extra pekare utförs en vanlig zoomning i PC-DMIS. Du kan skjuta enheten framåt eller bakåt. Om du rör enheten framåt zoomar du ut och om du rör den bakåt zoomar du in. Detta matchar zoomkonfigurationen i inställningen för “>CAD PZR”.

>Rotera 2D i PCDMIS – Om det finns en aktiv extra pekare ligger den punkt som används för beräkning av rotationsvinkeln där den extra pekaren är placerad (motsvarar 2D-rotation med höger musknapp). I annat fall ligger den punkt som används för beräkning av rotationsvinkeln högst upp till höger i mitten av skärmen. I båda fallen utförs en vanlig 2D-rotation i PC-DMIS.

>Rotera 3D i PCDMIS – Om det finns en aktiv extra pekare ligger den punkt som används för beräkning av rotationsvinkeln där den extra pekaren är placerad (motsvarar 3D-rotation med höger musknapp). I annat fall ligger mittpunkten för rotationen mitt på skärmen. I båda fallen utförs en vanlig 3D-rotation i PC-DMIS.

>CAD PZR – Utför samtidigt panorering, zoomning och rotation (PZR) av en detaljbild i Grafikfönstret. Mittpunkten för rotation är alltid CAD-modellen, och referenspunkten för zoomning är mittpunkten i CAD-modellen. När du öppnar ett detaljprogram aktiveras den här funktionen som standard i PC-DMIS.

>CAD PZR Dominant – Lägger till eller tar bort den dominanta funktionen i CAD PZR utifrån den största avböjningen från axlarna för SpaceBall. På så sätt får du bättre kontroll genom att mindre dominanta funktioner filtreras bort. Om du i det här läget till exempel roterar axlarna och det uppstår en liten avböjning vid panorering eller zoomning, kommer endast den dominanta funktionen att utföras, i det här fallet rotationen. När du öppnar ett detaljprogram avaktiveras den här funktionen som standard i PC-DMIS.

>PZR 2-sidig belysning – Lägger till eller tar bort 2-sidig belysning vid panorering, zoomning eller rotation (PZR). Detta attribut visas även i dialogrutan PZR-alternativ.

>PZR 1/5 av objekt – Lägger till eller tar bort visning av endast 1/5 (20 %) av objekten vid PZR. Detta attribut visas även i dialogrutan PZR-alternativ.

>PZR i kantlinjer – Lägger till eller tar bort läget för kantlinjer vid PZR. Detta attribut visas även i dialogrutan PZR-alternativ.

>Dialogruta: PZR-alternativ – Visar dialogrutan PZR-alternativ.

>Dialogruta: CAD-info – Visar dialogrutan CAD-information.

>Dialogruta: Konfigurera vyer – Visar dialogrutan Konfigurera vyer.

Mer information om dialogrutan PZR finns under Ändra rotation och andra rörelsealternativ i avsnittet Redigera CAD-visningen .


Tilldela PC-DMIS-funktioner till knapparna på en SpaceMouse eller

Tilldela PC-DMIS-funktioner till knapparna på en SpaceMouse eller SpaceBall

Använd kontrollpanelen för 3Dconnexion om du vill definiera vyer som är kopplade till knappåtgärder och tilldela PC-DMIS-funktioner till en enhet.

  1. Dubbelklicka på symbolen för 3DxWare i systemfältet. Då visas programmet för konfiguration av 3DxWare, Kontrollpanel för 3Dconnexion.

Enheten SpaceBall visas i kontrollpanelen för 3Dconnexion.

  2. Välj PC-DMIS i listan Konfiguration för: Under PC-DMIS visas de olika knapparnas standardfunktioner.

  3. Välj de PC-DMIS-funktioner som du vill tilldela i rutorna i knapplistan.

  4. Gör vid behov andra ändringar.

  5. Klicka på Stäng om du vill godkänna konfigurationen och stänga kontrollpanelen.

Gå till hjälpfilen för kontrollpanelen för 3Dconnexion om du får problem.


Lägen för SpaceBall eller SpaceMouse

Lägen för SpaceBall/SpaceMouse

Enheterna är alltid inställda på ett visst läge. En symbol i det övre högra hörnet i Grafikfönstret visar det aktuella läget för CAD PZR, Panorering i PC-DMIS eller Zoom i PC-DMIS.

Standardlägen

  • Visa pekare

  • CAD PZR

  • Rotera i PC-DMIS

  • Panorering i PC-DMIS

  • Zoom i PC-DMIS

  • CAD PZR Dominant – Bilden i det nedre högra hörnet i Grafikfönstret visar "1" för att ange att endast 1 av de tre funktionerna (panorering, zoom eller rotation) används åt gången.

Demoläge

Enheterna kan även ställa in Grafikfönstret till demoläge. I demoläget roteras Grafikfönstret automatiskt flera gånger i sekunden. Om du vill starta eller avsluta demoläget trycker du på CTRL och på den programmerade knappen Passa bild på enheten.


Automatisera PC-DMIS

PC-DMIS levereras med fullständigt stöd för kontroll av programvara från tredje part. Du kan till exempel skapa anpassade program och använda automatiseringskommandon, samt starta och använda PC-DMIS i de skapade programmen.

Fullständig information om automatiseringskommandon för kontroll av PC-DMIS och stödda kommandon från programmeringsspråket BASIC finns i hjälpfilen Basic i PC-DMIS.


Programvarukonfigurationer

Om du har köpt de nödvändiga modulerna och hårdvarulåset är korrekt konfigurerat kan du starta PC-DMIS i olika konfigurationer. Så här startar du PC-DMIS:

  1. Gå till den katalog där genvägen till programfilen för PC-DMIS ligger (den finns vanligtvis på C:\Documents and Settings\All Users\Start Menu\Programs\PC-DMIS for Windows).

  2. Högerklicka på katalogen och välj Nytt | Genväg.

  3. Följ instruktionerna på skärmen så att du får en genväg till programfilen för PC-DMIS, pcdlrn.exe (oavsett var du installerade filen).

  4. Lägg till någon av följande kommandoradsväxlar (eller -argument) efter den fullständiga sökvägen till programfilen som finns i genvägen:

/f för offlineläge

/u för behörighetsnivån som användare när du är inloggad som administratör i systemet

/o för operatörsläge

/r för läget med omvända axlar för den underordnade armen i ett system med dubbla armar

/p för pro-läge (kan inte användas med växeln /c)

/c för CAD-läge (kan inte användas med växeln /p)

/d för felsökningsläge för den här sessionen

/nc0 om du vill köra PC-DMIS utan CNC-funktionen

/5unique om du vill köra PC-DMIS utan den här funktionen

/cmt om du vill köra PC-DMIS utan den här funktionen

/dccscanning om du vill köra PC-DMIS utan den här funktionen

/displaycad om du vill köra PC-DMIS utan den här funktionen

/laserprobe om du vill köra PC-DMIS utan den här funktionen

/masterslave om du vill köra PC-DMIS utan den här funktionen

/nocontactprobe om du vill köra PC-DMIS utan den här funktionen

/remotepanel om du vill köra PC-DMIS utan den här funktionen

/rotarytable om du vill köra PC-DMIS utan den här funktionen

/sheetmetal om du vill köra PC-DMIS utan den här funktionen

/statsoutput om du vill köra PC-DMIS utan den här funktionen

/systemv om du vill köra PC-DMIS utan den här funktionen

/toolchanger om du vill köra PC-DMIS utan den här funktionen

/valisys om du vill köra PC-DMIS utan den här funktionen

/vision om du vill köra PC-DMIS utan den här funktionen

/wrist om du vill köra PC-DMIS utan den här funktionen

Om du vill köra PC-DMIS pro i läget offline ska måladressen alltså se ut ungefär så här:

"C:\Program Files\pcdmisw\PCDLRN.exe" /p /f

Du kan även ange att PC-DMIS automatiskt ska öppna ett specifikt (eller flera specifika) detaljprogram genom att lägga till en sökväg till ett detaljprogram som ett kommandoradsargument.

  • När du anger att ett detaljprogram ska laddas behöver du däremot inte använda tecknet / som måste anges för de andra argument som nämns ovan.

  • Om du vill öppna mer än ett detaljprogram skriver du in flera sökvägar som åtskiljs av ett mellanslag.

  • Om filnamnet innehåller mellanslag skriver du in sökvägen mellan citationstecken.

Om du till exempel vill starta två detaljprogram med namnen test.prg och test2.prg i offlineläge från en katalog med namnet "Mina detaljprogram", kan måladresserna se ut ungefär så här:

"C:\Program Files\PCDLRN.exe" /f "d:\mina detaljprogram\test.prg" "d:\mina detaljprogram\test2.prg"

De vanligaste lägena är offline- och onlineläge. Online- och offlineläge är två produkter som är utformade för att uppfylla särskilda behov. De kan användas tillsammans om du vill skapa fullständiga detaljprogram, mätanalyser och system för reverse engineering.

Dessa och övriga konfigurationer beskrivs mer ingående nedan.

Mer:

Jämförelse mellan offline- och onlineversioner

PC-DMIS Vision

PC-DMIS/NC

PC-DMIS Laser

PC-DMIS Gear


Jämförelse mellan offline- och onlineversioner

Eftersom online- och offlineversionerna innehåller samma funktioner beskrivs användningen av båda produkterna i denna hjälpfil. I vissa fall är det däremot inte möjligt att använda en viss funktion från onlineprogrammet i offlineprogrammet. Detta noteras i förekommande fall.

Mer:

Detaljprogrammering online

Detaljprogrammering offline


Detaljprogrammering online

Med onlineversionen av PC-DMIS kan användaren köra befintliga detaljprogram, snabbt inspektera detaljer (eller detaljavsnitt) och utveckla program direkt i en mätmaskin. Onlineversionen av PC-DMIS fungerar inte om den inte är ansluten till en mätmaskin. Tekniker för offlineprogrammering fungerar även i onlineläge.


Detaljprogrammering offline

Med offlineversionen av PC-DMIS kan du utveckla och felsöka detaljprogram utanför mätmaskinen genom att redigera en detalj som har skapats online, genom import av en fil med inmatade CAD-data eller genom ett detaljprogram för DMIS eller AVAIL. Detaljprogrammet kan därefter köras direkt i onlineversionen av PC-DMIS eller exporteras (efter bearbetning) till DMIS eller till en rad andra leverantörsspecifika format. Offlineversionen av PC-DMIS kan inte användas för direkt styrning av en mätmaskin.

Egenskaperna för offlineversionen beskrivs i avsnittet Arbeta i offlineläge.


PC-DMIS Vision

Med den här specialversionen av PC-DMIS kan du mäta element med vissa optiska mätinstrument. Om du har köpt den här modulen och behöver mer information går du till hjälpfilen för PC-DMIS Vision.


PC-DMIS/NC

Med den här specialversionen av PC-DMIS kan du utföra mätning av detaljer med hjälp av verktyg för NC-maskiner. Dessa maskinverktyg kallas även för CNC-maskiner (Computer Numerical Control). Om du har köpt den här modulen och behöver mer information går du till hjälpfilen för PC-DMIS/NC.


PC-DMIS Laser

Med den här modulen av PC-DMIS kan du använda ett lasermäthuvud för enkel mätning av detaljer genom att föra en laserremsa över detaljer och därigenom samla in en mängd punkter som därefter översätts och definieras som element. Om du har köpt den här modulen och behöver mer information går du till hjälpfilen för PC-DMIS Laser.


PC-DMIS Gear

PC-DMIS Gear är en programvara som används tillsammans med PC-DMIS för snabbare och enklare mätning av detaljer med kugghjul. Om du har köpt den här modulen och behöver mer information går du till hjälpfilen för PC-DMIS Gear som installeras tillsammans med programmet PC-DMIS Gear.


PC-DMIS IP

PC-DMIS Inspection Planner (IP) är en tilläggsmodul som kan användas av design- eller kvalitetsingenjörer tillsammans med ett understött CAD-paket och PC-DMIS vid utformning av en plan som anger vilka element i geometrin och GD&T/utvärderingen som ska användas i mätprocessen. Eftersom IP körs i CAD-paketet förenklas inlärningen på grund av att du endast behöver använda en liten del av PC-DMIS för Windows när du skapar detaljprogram.

Om du har köpt den här modulen och behöver mer information går du till hjälpfilen för PC-DMIS IP.


Komma igång: En enkel genomgång

En enkel genomgång: Översikt

Komma igång med en enkel genomgång

Steg 1: Skapa ett nytt detaljprogram

Steg 2: Definiera ett mäthuvud

Steg 3: Ställa in vyn

Steg 4: Mäta elementen

Mäta ett plan

Mäta en linje

Mäta en cirkel

Steg 5: Skalanpassa bilden

Steg 6: Skapa en uppriktning

Steg 7: Göra inställningar

Ange CNC-läge

Ställa in transporthastighet

Ange säkerhetsplan

Steg 8: Lägga till kommentarer

Steg 9: Mäta fler element

Steg 10: Konstruera nya element från befintliga element

Steg 11: Beräkna utvärderingar

Steg 12: Markera de element som ska köras

Steg 13: Ställa in rapportutskriften

Steg 14: Köra det färdiga programmet

Steg 15: Skriva ut rapporten

Mäta element

E lementigenkänning

Minsta antal mätpunkter för ett element

Ta mätpunkter

Ta bort mätpunkter

Avsluta element

Fastställa tjockleken för tunnplåtselement

Teoretisk tjocklek

Mätt tjocklek

Använda olika mäthuvudsalternativ

Använda ett mäthuvud online

Använda ett mäthuvud offline

Använda fasta mäthuvuden

Ta en mätpunkt med ett fast mäthuvud

Plana element

Runda element

Återge en detalj grafiskt

Arbeta i manuellt läge eller CNC-läge


En enkel genomgång: Översikt

Syftet med detta avsnitt är att du ska få en genomgång av processen för mätning av en detalj med en mätmaskin i onlineläge.

Genomgången skapades med Hexagons testblock.

Testblock från Hexagon Metrology

Hexagons testblock

Om du vill arbeta med en maskin i onlineläge och inte har en fysisk version av den här detaljen kan du använda en liknande detalj där du kan mäta flera cirklar och en kon.

Anteckning för offlineanvändare: Om du arbetar i offlineläge (utan en mätmaskin) kan du importera och följa med i vissa steg nedan genom att använda musen för att klicka på detaljen i IGES-modellen i testblocket i stället för att ta faktiska mätpunkter vid mätning i onlineläge. Modellen levereras tillsammans med installationsfilen för PC-DMIS för Windows. Den finns i den katalog där du installerade PC-DMIS. Om du vill använda modellen importerar du filen "HEXBLOCK_WIREFRAME_SURFACE.igs". Mer information finns i Återge en detalj grafiskt i det här avsnittet.

Om du vill utforska möjligheterna i PC-DMIS läser du igenom detta avsnitt och följer med i genomgången.

Nedan följer några av huvuddelarna i det här avsnittet:

  • Komma igång med en enkel genomgång

  • Mäta element

  • Använda olika mäthuvudsalternativ

  • Återge en detalj grafiskt

  • Arbeta i manuellt läge eller CNC-läge


Komma igång med en enkel genomgång

I det här avsnittet får du en genomgång av obligatoriska steg när du skapar ett enkelt detaljprogram. Instruktionerna anger hur du skapar ett detaljprogram med PC-DMIS online utan att använda CAD-data.

Om du inte känner till en process kan du hitta mer information i onlinehjälpen (tryck på F1).

I den här genomgången guidas du genom följande steg:

Steg 1. Skapa ett nytt detaljprogram

Steg 2. Definiera ett mäthuvud

Steg 3. Ställa in vyn

Steg 4. Mäta elementen

Steg 5. Skalanpassa bilden

Steg 6. Skapa en uppriktning

Steg 7. Göra inställningar

Steg 8. Lägga till kommentarer

Steg 9. Mäta fler element

Steg 10. Konstruera element från befintliga element

Steg 11. Beräkna utvärderingar

Steg 12. Markera de element som ska köras

Steg 13. Ställa in rapportutskrift

Steg 14. Köra det färdiga programmet

Steg 15. Skriva ut rapporten


Steg 1: Skapa ett nytt detaljprogram

Visa menykarta Så här skapar du ett nytt detaljprogram:

  1. Öppna programmet PC-DMIS genom att dubbelklicka på ikonen för PC-DMIS. Du kan även öppna PC-DMIS genom att klicka på knappen Start och därefter på Alla program | PC-DMIS för Windows | Offline. Dialogrutan Öppna fil öppnas. Om du tidigare har skapat ett detaljprogram kan du ladda ned det från dialogrutan.

  2. Eftersom du skapar ett nytt detaljprogram klickar du på Avbryt och stänger dialogrutan.

  3. Välj Arkiv | Nytt om du vill öppna dialogrutan Nytt detaljprogram.

    Dialogrutan Nytt detaljprogram

  4. Skriv in namnet TEST i rutan Detaljnamn.

  5. Välj alternativet Mm för typ av mätenheter.

  6. Välj ONLINE i den nedrullningsbara listan Interface.

  7. Klicka på OK. Det nya detaljprogrammet skapas i PC-DMIS.

När du har skapat ett nytt detaljprogram öppnas användargränssnittet i PC-DMIS. Därefter öppnas dialogrutan Mäthuvud där du kan ladda ett mäthuvud.

Gå till nästa steg: Definiera ett mäthuvud.


Steg 2: Definiera ett mäthuvud

Visa menykarta Du kan definiera ett nytt mäthuvud i dialogrutan Mäthuvud som öppnas när du väljer Infoga | Hårdvarudefinition | Mäthuvud. När du skapar ett nytt detaljprogram öppnas dialogrutan automatiskt i PC-DMIS. Mer information finns under Definiera mäthuvuden i avsnittet Definiera hårdvara.

Tips! Om du klickar på den här ikonen [image] i verktygsfältet Guider öppnas mäthuvudsguiden (Probe Wizard) i PC-DMIS. Med hjälp av mäthuvudsguiden kan du enkelt definiera ett mäthuvud. Du kan även definiera ett mäthuvud i dialogrutan Mäthuvud.

I området Beskrivning i dialogrutan Mäthuvud kan du definiera mäthuvudet, förlängningar och spets(ar) som används i programmet. I den nedrullningsbara listan Beskrivning visas tillgängliga mäthuvudsalternativ i bokstavsordning.

Så här laddar du mäthuvudet i dialogrutan Mäthuvud:

  1. Skriv in namnet på mäthuvudet i rutan Mäthuvudsfil. När du senare skapar andra detaljprogram kommer du att kunna välja bland dina mäthuvuden i den här dialogrutan.

  2. Välj: Inget mäthuvud definierat.

  3. Välj önskat mäthuvud i den nedrullningsbara listan Beskrivning med hjälp av muspekaren eller genom att markera det med piltangenterna och därefter trycka på RETUR.

  4. Välj raden Tom anslutning, nr. 1 och fortsätt välja nödvändiga mäthuvudsdelar tills mäthuvudet är klart.

  5. Klicka på OK när du är färdig. Dialogrutan Mäthuvud stängs och du återgår till huvudgränssnittet i PC-DMIS.

  6. Kontrollera att den skapade mätspetsen visas som aktiv mätspets. (Se listan Mätspetsar i verktygsfältet Inställningar.)

Obs! Innan du kan använda det skapade mäthuvudet måste du kalibrera mätspetsens vinkel. Den här genomgången omfattar inte kalibreringsprocessen. Den diskuteras ingående i Mäta i avsnittet Definiera hårdvara.

Du kommer nu att ställa in de vyer som används i Grafikfönstret. Det gör du med hjälp av ikonen Konfigurera vyer [image] i verktygsfältet Grafik.

Gå till nästa steg: Ställa in vyn.


Steg 3: Ställa in vyn

Dialogrutan Konfigurera vyer

Om du vill ändra vyerna i Grafikfönstret använder du dialogrutan Konfigurera vyer. Öppna dialogrutan genom att klicka på ikonen Konfigurera vyer i verktygsfältet Grafik eller via menyalternativet Redigera | Grafikfönster | Vyer:

  1. Välj önskat skärmformat i dialogrutan Konfigurera vyer. I den här genomgången klickar du på den andra knappen (övre raden, nummer två från vänster) som anger ett fönster med vågrät delning.

  2. Om du vill se den övre delen av bilden i riktningen Z+ klickar du på den blå nedrullningsbara listan som finns i området Vyer i dialogrutan och väljer Z+.

  3. Om du vill se den övre delen av bilden i riktningen Y- klickar du på den röda nedrullningsbara listan och väljer Y-.

  4. När du klickar på knappen Verkställ ritas Grafikfönstret i PC-DMIS om med de två önskade vyerna. Eftersom du ännu inte har mätt detaljen kommer inget att ritas i Grafikfönstret. Skärmen kommer däremot att vara delad i enlighet med den vy som valdes i dialogrutan Konfigurera vyer.

Obs! Visningsalternativen påverkar endast hur detaljbilden visas i PC-DMIS. De har ingen effekt på mätdata eller mätningsresultat.

Gå till nästa steg: Mäta elementen.


Steg 4: Mäta elementen

Steg 4: Mäta element för uppriktning

När mäthuvudet har definierats och visas kan du påbörja mätprocessen och mäta elementen för uppriktning. Information om korrekt mätning finns i Mäta element. (Där finns även en genomgång om borttagning av mätpunkter och element.)

  • Mäta ett plan

  • Mäta en linje

  • Mäta en cirkel

Gå till nästa steg: Skalanpassa bilden


Mäta ett plan

Mäta ett plan

Kontrollera att PC-DMIS är inställt på programläge innan du tar mätpunkter.
Det gör du genom att klicka på ikonen Programläge.

Ta tre mätpunkter på toppytan. Mätpunkterna bör ligga i en triangel och vara så utspridda som möjligt. Tryck på tangenten END efter den tredje mätpunkten. I PC-DMIS visas ett element-ID och triangeln som anger planets mått.


Mäta en linje

Mäta en linje

Om du vill mäta en linje tar du två mätpunkter precis nedanför kanten på sidoytan av en detalj; den första mätpunkten på vänster sida av detaljen och den andra mätpunkten till höger om den första mätpunkten. Riktningen är mycket viktig vid mätning av element eftersom riktningsinformationen används för att skapa koordinatsystemet i PC-DMIS. Tryck på tangenten END efter den andra mätpunkten. Ett element-ID och den mätta linjen visas i Grafikfönstret i PC-DMIS.


Mäta en cirkel

Flytta mäthuvudet till mitten av en cirkel. (För det här exemplet valde vi den övre vänstra cirkeln.) Sänk ned mäthuvudet i hålet och mät cirkeln genom att ta fyra mätpunkter på ungefär lika stora avstånd runt cirkeln. Tryck på tangenten END efter den sista mätpunkten. Ett element-ID och den mätta cirkeln visas i Grafikfönstret i PC-DMIS.


Steg 5: Skalanpassa bilden

Om du klickar på ikonen Passa fönster skalanpassas bilden i Grafikfönstret.

När de tre elementen har mätts klickar du på ikonen i verktygsfältet Passa fönster (eller väljer Åtgärder | Grafikfönster | Passa fönster på menyraden), så visas de mätta elementen i Grafikfönstret.

Grafikfönstret med mätta element

Nästa steg i mätprocessen är att skapa en uppriktning.

Gå till nästa steg: Skapa en uppriktning.


Steg 6: Skapa en uppriktning

I den här processen ställer du in nollpunkten för koordinater och definierar axlarna X, Y och Z. Mer information om hur du skapar uppriktningar finns i avsnittet Skapa och använda uppriktningar.

Tips! Klicka på den här ikonen [image] i verktygsfältet Guider om du vill öppna guiden för 3-2-1-uppriktning (3-2-1 Alignment Wizard) i PC-DMIS.

  1. Visa menykarta Öppna dialogrutan Uppriktning genom att välja Infoga | Uppriktning | Ny.

  2. Välj planelement-ID:t (PLN1) ur listrutan med hjälp av markören eller piltangenterna. Om du inte har ändrat etiketterna visas planelement-ID:t som "F1" (för element 1) i listrutan.

  3. Klicka på kommandoknappen Nivå om du vill fastlägga normalaxelns riktning för det aktuella arbetsplanet.

  4. Välj planelement-ID:t (PLN1 eller F1) igen.

  5. Markera kryssrutan Auto.

  6. Klicka på kommandoknappen Nollpunkt. Detaljens nollpunkt översätts (eller flyttas) till en specifik plats (i detta fall på planet). Om du markerar kryssrutan Auto flyttas axlarna utifrån elementets typ och riktning.

  7. Välj linjeelement-ID:t (LINE1 eller F2).

  8. Klicka på kommandoknappen Rotera. Den definierade axeln på arbetsplanet roteras mot elementet. I PC-DMIS roteras den definierade axeln runt den centroid som används som nollpunkt.

  9. Välj cirkelelement-ID:t (CIR1 eller F3).

  10. Kontrollera att kryssrutan Auto är markerad.

  11. Klicka på kommandoknappen Nollpunkt. Nollpunkten flyttas till mitten av cirkeln samtidigt som den ligger kvar på samma nivå som planet.

Nu bör dialogrutan Uppriktning se ut så här:

Dialogrutan Uppriktning med aktuell uppriktning

Klicka på OK när stegen ovan har slutförts. I listan Uppriktningar (i verktygsfältet Inställningar) och i Redigeringsfönstrets kommandoläge visas den nyskapade uppriktningen.

Redigeringsfönstret med den nyskapade uppriktningen

Grafikfönstret uppdateras också och visar den aktuella uppriktningen.

Uppdaterat grafikfönster med den aktuella uppriktningen

Gå till nästa steg: Göra inställningar.


Steg 7: Göra inställningar

Du kan anpassa PC-DMIS efter specifika behov eller inställningar. Det finns ett antal tillgängliga alternativ på undermenyn Redigera | Alternativ. I det här avsnittet tas endast de alternativ som är relevanta för övningen upp. Fullständig information om alla tillgängliga alternativ finns i avsnittet Göra inställningar.

  • Ange CNC-läge

  • Ställa in transporthastighet

  • Ange säkerhetsplan

Gå till nästa steg: Lägga till kommentarer.


Ange CNC-läge

Välj CNC-läge. Du väljer CNC-läge genom att klicka på ikonen CNC i verktygsfältet Mätning, eller genom att placera markören på raden LÄGE/MANUELLT i Redigeringsfönstret och trycka på tangenten F8.

Kommandot i Redigeringsfönstret visar nu:

LÄGE/CNC

Mer information om CMM-lägen finns i Verktygsfältet Mätning.


Ställa in transporthastighet

Dialogrutan Parameterinställning – fliken Rörelse

Med alternativet Transporthastighet kan du ändra mätmaskinens hastighet för placering av punkter.

  1. Öppna dialogrutan Parameterinställning genom att välja Redigera | Alternativ | Parametrar.

  2. Klicka på fliken Rörelse.

  3. Placera pekaren i rutan Transporthastighet.

  4. Välj det aktuella värdet för transporthastighet.

  5. Skriv in 50. Värdet anger en procentandel av maskinens maximala hastighet.

I enlighet med den här inställningen flyttas mätmaskinen med halv fart i PC-DMIS. Standardinställningarna för de övriga alternativen är tillräckliga för den här övningen.

Se Parameterinställningar: Fliken Rörelse om du vill ha mer information om transporthastighet och andra rörelsealternativ.


Ange säkerhetsplan

Dialogrutan Parameterinställning – fliken Säkerhetsplan

Så här ställer du in ett säkerhetsplan:

  1. Öppna dialogrutan Parameterinställning genom att välja Redigera | Alternativ | Parametrar.

  2. Klicka på fliken Säkerhetsplan.

  3. Markera kryssrutan Säkerhetsplan aktivt (PÅ).

  4. Välj det aktuella värdet för Aktivt plan.

  5. Skriv in värdet .50. Med den här inställningen skapas ett 12,7 mm (en halv tum) tjockt säkerhetsplan runt detaljens övre plan.

  6. Kontrollera att det övre planet visas som aktivt plan.

  7. Klicka på knappen Verkställ.

  8. Klicka på OK. Dialogrutan stängs och säkerhetsplanet lagras i Redigeringsfönstret.

Se Parameterinställningar: Fliken Säkerhetsplan" om du vill ha mer information om inställning av säkerhetsplan.


Steg 8: Lägga till kommentarer

Så här lägger du till kommentarer:

  1. Välj Infoga | Rapportkommandon | Kommentar om du vill öppna dialogrutan Kommentar.

  2. Välj alternativet Åtgärd.

  3. Skriv in följande text i rutan Kommentarstext: Varning! Maskinen övergår till CNC-läge.

Dialogrutan Kommentarer

  4. Klicka på OK för att avsluta alternativet och visa kommandot i Redigeringsfönstret.

Mer information finns i Infoga programmeringskommentarer.

Gå till nästa steg: Mäta fler element.


Steg 9: Mäta fler element

Mät ytterligare tre cirklar och en kon med mäthuvudet. Om du vill mäta en kon bör du ta tre mätpunkter på den övre nivån och tre mätpunkter på en lägre nivå, som i bilden nedan.

En kon som har konstruerats från mått på olika djup

Gå till nästa steg: Konstruera nya element från befintliga element.


Steg 10: Konstruera nya element från befintliga element

I PC-DMIS kan du skapa element med hjälp av andra element. Så här gör du:

  1. Öppna dialogrutan Konstruera linje genom att välja Infoga | Element | Konstruera | Linje.

Dialogrutan Konstruera linje

  2. Klicka med muspekaren på två cirklar (CIR2, CIR3) i Grafikfönstret (eller välj dem i listan i dialogrutan Konstruera linje). Cirklarna markeras när du har valt dem.

  3. Välj alternativet Auto.

  4. Välj alternativet 2D-linje.

  5. Klicka på knappen Skapa.

I PC-DMIS skapas en linje (LINE2) med det effektivaste konstruktionssättet.

Linjen och element-ID:t visas i Grafik- och Redigeringsfönstren.

Visning av en konstruerad linje i Grafikfönstret

Mer information om konstruktion av element finns i avsnittet Konstruera nya element från befintliga element.

Gå till nästa steg: Beräkna utvärderingar.


Steg 11: Beräkna utvärderingar

När ett element har skapats kan du utvärdera det. Du kan när som helst under genomgången av ett detaljprogram skapa utvärderingar som anpassas efter individuella specifikationer. I PC-DMIS visas resultaten för alla utvärderingsåtgärder i Redigeringsfönstret.

Så här skapar du en utvärdering:

  1. Välj undermenyn Infoga | Utvärderingar och kontrollera att menyobjektet Äldre utvärderingsmetoder har markerats (med en bock).

  2. Öppna dialogrutan Läge genom att välja Infoga | Utvärderingar | Lägeriktighet.

  3. Välj de tre senast mätta cirklarna i listrutan eller i Grafikfönstret genom att välja deras element-ID:n i listrutan.

De tre senaste cirklarna har valts i dialogrutan Läge.

  3. Klicka på Skapa.

Lägesutvärderingar för tre cirklar visas i Redigeringsfönstret

Läget för de tre cirklarna visas i Redigeringsfönstret. Du kan enkelt ändra värdena genom att dubbelklicka på den önskade raden, markera det aktuella nominella värdet och ange ett nytt värde.

Mer information om hur du skapar utvärderingar finns i avsnittet Utvärdera element.

Gå till nästa steg: Markera de element som ska köras.


Steg 12: Markera de element som ska köras

Genom markeringar kan du välja vilka element som ska köras i detaljprogrammet. I den här genomgången markerar du samtliga element.

  1. Markera samtliga element i detaljprogrammet med menyalternativet Redigera | Markeringar | Markera alla som förklaras i avsnittet Redigera ett detaljprogram. När du har markerat de valda elementen visas de med den aktuella markeringsfärgen.

  2. Det visas en fråga om det är OK att markera element för manuell uppriktning. Klicka på Ja.

Gå till nästa steg: Ställa in rapportutskriften.


Steg 13: Ställa in rapportutskriften

I PC-DMIS skickas en slutrapport till en fil eller skrivare om du har valt att det ska göras. I den här genomgången ställer du in att utskriften ska gå till skrivaren.

  1. Välj alternativet Arkiv | Skriv ut | Utskriftsformat, redigeringsfönster. Dialogrutan Utskriftsalternativ öppnas.

  2. Markera kryssrutan Skrivare.

  3. Klicka på OK.

Nu finns det tillräckligt med information för att det skapade detaljprogrammet ska kunna köras i PC-DMIS.

Gå till nästa steg: Köra det färdiga programmet.


Steg 14: Köra det färdiga programmet

Det finns en rad alternativ för körning av ett helt eller delar av ett detaljprogram. Se Köra detaljprogram i avsnittet Använda avancerade filalternativ.

När samtliga steg har genomförts:

  1. Välj menyalternativet Arkiv | Kör. Dialogrutan Inställningar, körning öppnas och mätprocessen startar.

  2. Läs instruktionerna i fönstret för CMM-kommandon och utför den begärda mätningen av specifika mätpunkter.

  3. Du bör ta mätpunkterna i ungefär det område som visas i Grafikfönstret.

  • Ta tre mätpunkter på ytan om du vill skapa ett plan. Tryck på tangenten END.

  • Ta två mätpunkter på kanten om du vill skapa en linje. Tryck på tangenten END.

  • Ta fyra mätpunkter inuti cirkeln. Tryck på tangenten END.

4. Klicka på Fortsätt varje gång du har tagit en mätpunkt.

Visade instruktioner i dialogrutan Inställningar, körning

Så enkelt är det. (Om det påträffas ett fel i PC-DMIS visas felet i listan Maskinfel i dialogrutan, och du måste då vidta åtgärder innan programmet kan fortsätta.)

När den sista mätpunkten i cirkeln har tagits visas följande meddelande i dialogrutan PC-DMIS-meddelande: Varning! Maskinen övergår till CNC-läge. När du har klickat på OK mäts resten av elementen automatiskt i PC-DMIS.

Om det uppstår ett fel tar du reda på vad orsaken är i den nedrullningsbara listan Maskinfel i dialogrutan Inställningar, körning. Vidta nödvändiga åtgärder för att lösa problemet. Klicka på knappen Fortsätt om du vill slutföra körningen av detaljprogrammet.

Gå till nästa steg: Skriva ut rapporten.


Steg 15: Skriva ut rapporten

När detaljprogrammet har körts skrivs rapporten från PC-DMIS automatiskt ut via den tilldelade utskriftskällan. Du ställde in utskriftskällan i dialogrutan Utskriftsalternativ (Arkiv | Skriv ut | Utskriftsformat, redigeringsfönster). Eftersom du markerade kryssrutan Skrivare skickas rapporten till skrivaren. Kontrollera att skrivaren är ansluten och påslagen om du vill granska detaljprogrammet.

Grattis! Du har avslutat genomgången. Mer information finns under följande ämnen i det här avsnittet:

  • Mäta element

  • Använda olika mäthuvudsalternativ

  • Återge en detalj grafiskt

  • Arbeta i manuellt läge eller CNC-läge


Mäta element

Kontrollera att det önskade mäthuvudet och arbetsplanet visas i den nedrullningsbara listan Visa i verktygsfältet Inställningar. PC-DMIS ska vara inställt på manuellt läge.

I PC-DMIS behöver operatören inte mata in data före mätningen av ett element. Det går att använda musen för att mäta ett CAD-element (om det finns CAD-data), eller så kan mäthuvudet användas tillsammans med en mätmaskin. När ett element har mätts med musen eller mäthuvudet trycker du på tangenten END. Elementtypen (t.ex. cirkel, linje eller plan) fastställs automatiskt i PC-DMIS. Dessutom kompenseras mäthuvudsradien automatiskt i PC-DMIS. Mer information om mätning av element från CAD-data finns i avsnittet Arbeta i offlineläge.

Mer:

Elementigenkänning

Minsta antal mätpunkter för ett element

Fastställa tjockleken för tunnplåtselement


Elementigenkänning

PC-DMIS innehåller en unik metod för mätning av element. I stället för att ange vilken typ av element som ska mätas (t.ex. punkt eller cirkel) kan du helt enkelt ta mätpunkter. När mätningen av ett element har slutförts skickar du en signal till PC-DMIS genom att trycka på en angiven knapp på rörelseenheten (om det finns någon sådan) eller genom att trycka på tangenten END på tangentbordet. Därefter görs en bedömning av vilken typ av element som precis har mätts i PC-DMIS genom algoritmer för bästa igenkänning. Algoritmer för bästa igenkänning är matematiska beräkningar som används för att göra en kvalificerad gissning av vilken typ av element som skapas.

Du mäter till exempel en cirkel med minst tre mätpunkter. När positionerna mäts visas antalet mätpunkter för elementet i statusfältet. När ett tillräckligt stort antal har mätts trycker du på tangenten END. Resultatet visas i Redigeringsfönstret.

Tryck alltid på tangenten END (eller motsvarande knapp på mätmaskinen) när du har mätt ett element om du vill att det ska infogas i detaljprogrammet.

Formatet för och innehållet i mätresultaten beror på det valda utskriftsformatet. Information om inställning av utskriftsformat finns i Skriva ut rapporten i avsnittet Använda grundläggande filalternativ och i Parameterinställningar: Fliken Utvärdering i avsnittet Göra inställningar.

Observera att på vissa maskiner fastställs riktningen för en mätpunkt genom att läsa av i vilken riktning som mäthuvudet har rört sig efter att den kom i kontakt med detaljen. Om du har en sådan maskin ska du inte lyfta mäthuvudet förrän du får en ljudsignal och antalet mätpunkter har uppdaterats i statusfältet i PC-DMIS.


Minsta antal mätpunkter för ett element

I PC-DMIS förväntas ett minsta antal mätpunkter innan ett visst element kan identifieras. I vissa fall kan det vara bra att ta ytterligare mätpunkter för bättre noggrannhet.

Element | Minsta antal mätpunkter | Särskilda instruktioner
Punkt | 1 | Se kommentar nedan.
Linje | 2 | I PC-DMIS dras en linje mellan de från varandra mest avlägsna punkterna i en mätning.
Cirkel | 3 | Om en cirkel mäts med mindre än 180° dras en båge mellan de från varandra mest avlägsna punkterna vid en mätning i PC-DMIS.
Plan | 3 | -
Sfär | 4 | -
Kon | 6 | Ibland visas det inte en kon i PC-DMIS om den har mätts med sex mätpunkter. Om det inträffar försöker du med sju mätpunkter. (Ta tre mätpunkter på en nivå, tre på en annan nivå och en mätpunkt mellan de båda nivåerna.) Alla mätpunkter som tas efter de tre första mätpunkterna bör ligga antingen ovanför eller nedanför det plan som definierades med de tre första mätpunkterna, inte både ovanför och nedanför. Då får du bäst resultat. I PC-DMIS ritas två cirklar: Den första cirkeln är på samma nivå som de tre första punkterna och den andra cirkeln vid den lägsta punkten. Cylindrar ritas på ett liknande sätt.
Cylinder | 6 | Se Kon.

Beroende på hur en detalj ser ut och på hur den har mätts kan igenkänningen av en elementtyp i PC-DMIS ibland bli fel. Om det inträffar kan du ändra den felaktiga igenkänningen i enlighet med instruktionerna i dokumentationen för Ändra igenkända element som diskuteras i avsnittet Redigera ett detaljprogram.

· Om det görs upprepade igenkänningar av en cirkel eller sfär när du mäter en linje eller ett plan i PC-DMIS kan du testa att ta mätpunkterna i samma riktning. Det innebär att när du mäter en linje eller ett plan ska du alltid närma dig en mätpunkt med ungefär samma riktning.

· Om det görs upprepade igenkänningar av en linje eller ett plan när du mäter en cirkel eller en sfär i PC-DMIS kan du testa att ta mätpunkterna med olika riktningar. Om du till exempel mäter en båge och du kan nå alla önskade mätpunkter genom att röra vid dem i riktningen X+, försöker du mäta några av punkterna i riktningen + eller -Y.

Obs! När du mäter en punkt (1 enstaka mätpunkt), kompenseras mäthuvudsradien i PC-DMIS längs med den av detaljens axlar som ligger närmast mäthuvudets rörelseriktning där det stoppades. Det innebär att om en punkt mäts i en negativ X-riktning kompenseras mäthuvudsradien i riktningen -X i PC-DMIS (även om mäthuvudet rörde sig något längs Y-axeln). Mer information om kompensering för CNC-maskiner (eller om en manuell maskin används tillsammans med alternativet för tunnplåt), finns under ämnena Rutorna Normal (IJK) och Mäthuvudskompensering.

Mer:

Ta mätpunkter

Ta bort mätpunkter

Avsluta element


Ta mätpunkter

Du tar en mätpunkt med menyalternativet Åtgärder | Avläs mätpunkt. Mäthuvudets läge registreras då längs X-, Y- och Z-axlarna på datorn. Detta alternativ är endast tillgängligt i vissa gränssnitt. Det fungerar med de flesta styrenheter om du använder ett fast mäthuvud.


Ta bort mätpunkter

Innan det går att ta bort mätpunkter som tagits med ett mäthuvud i PC-DMIS måste minst en mätspets ha laddats.

I PC-DMIS kan du enkelt ta bort felaktigt uppmätta mätpunkter från den senaste mätningen ur mätpunktsbufferten. Om du vill ta bort mätpunkter väljer du menyalternativet Åtgärder | Ta bort mätpunkt eller trycker på tangenterna ALT + "-" (minus). Du kan ta bort så många mätpunkter du behöver med början från den senaste mätpunkten. Det här alternativet är endast tillgängligt innan du har avslutat mätningen av ett element och valt menyalternativet Avsluta element. När du använder menyalternativet Avsluta element skapas det mätta elementet och mätpunktsbufferten rensas automatiskt.

När ett element har skapats kan du ta bort oönskade element genom att följa instruktionerna i Ta bort element i avsnittet Redigera CAD-visningen.

Obs! På vissa mätmaskiner finns det en knapp för ERASE HIT på enhetens handterminal.

I PC-DMIS kan du även ta bort mätpunkter inom ett element medan du arbetar i körläge. Tryck på tangenterna ALT + "-" (minus) om du vill ta bort den markerade mätpunkten ur listrutan Maskinkommandon i dialogrutan Inställningar, körning.

Obs! Om du trycker på knappen PRINT på handenheten (om det finns en sådan knapp) när du är i körningsläge innebär det samma sak som kombinationen ALT + "-" (minus). Använd inställningsprogrammet för PC-DMIS och ställ in posten PrintButton i systemet till 0 om du vill aktivera den här funktionen. Mer information finns i avsnittet Ändra registerposter.


Avsluta element

Med menyalternativet Åtgärder | Avsluta element kan du skicka en signal till PC-DMIS om att konstruktionen av ett element har avslutats. Du kan även trycka på tangenten END.


Fastställa tjockleken för tunnplåtselement

I PC-DMIS kan du ange hur tjocklek ska tillämpas på detaljer om du går till området Tjocklek i dialogrutan Autoelement. Alternativen är teoretisk och mätt tjocklek.

Så här öppnar du alternativen för tjocklek:

  1. Öppna dialogrutan Autoelement genom att välja ett objekt på undermenyn Infoga | Element | Autoelement.

  2. Välj vilket Autoelement som ska skapas.

  3. Klicka på <<Avancerat om du vill att den utökade delen av dialogrutan ska visas.

  4. Välj något av alternativen Teoretisk eller Mätt tjocklek.

  5. Skriv in tjockleken i rutan.

  6. Klicka på Skapa om du vill skapa elementet.

Mer:

Teoretisk tjocklek

Mätt tjocklek


Teoretisk tjocklek

Med Teoretisk tjocklek kan du justera teoretiska värden med en vald tjocklek så att du kan mäta den motsatta sidan av materialet.


Mätt tjocklek

Med Mätt tjocklek kan du förskjuta målläget för mätning så att de mätta värdena justeras efter tjocklek längs den teoretiska vektorn.


Använda olika mäthuvudsalternativ

Det första steget vid programmering av mätmaskiner är att definiera vilka mäthuvuden som kommer att användas under mätprocessen. Innan mätprocessen kan påbörjas i ett nytt detaljprogram måste det skapas en mäthuvudsfil. PC-DMIS innehåller stöd för en rad olika mäthuvudstyper och kalibreringsalternativ. Det finns även en unik metod för kalibrering av ett vridbart mäthuvud av modellen Renishaw PH9 /PH10. Du öppnar mäthuvudsalternativen från dialogrutan Mäthuvud.

Här förutsätts det att ett mäthuvud har laddats och kalibrerats. Mer information om skapande av mäthuvudsfiler och kalibreringsprocessen finns i Definiera mäthuvuden i avsnittet Definiera hårdvara.


Använda ett mäthuvud online

Så här mäter du en punkt i onlineläge med ett brytande mäthuvud (Touch Trigger Probe):

  1. Sänk ned mäthuvudet mot ytan där mätpunkten ska tas.

  2. Aktivera mäthuvudet genom att vidröra ytan med det.

  3. Tryck på tangenten END om du vill slutföra mätprocessen.

Elementtypen fastställs automatiskt i PC-DMIS. Mäthuvudskompenseringen avgörs av mäthuvudets radie. Kompenseringsriktningen avgörs av maskinens riktning.

Om du till exempel mäter en cirkel bör mäthuvudet vara i cirkeln och flyttas utåt. Om du vill mäta en tapp börjar mäthuvudet utanför cirkeln och flyttas inåt mot detaljen.

När du mäter punkter är det viktigt att du närmar dig längs med normalen (vinkelrätt mot ytan). Även om det inte är nödvändigt att göra så vid mätning av andra element innebär det större noggrannhet vid fastställande av elementtypen.

Om du vill mäta en punkt med ett fast mäthuvud måste du ange vilken elementtyp som ska mätas samt mäthuvudets kompensationsriktning. Se Använda ett fast mäthuvud.


Använda ett mäthuvud offline

När du använder offlineversionen av PC-DMIS kan du använda samtliga mäthuvudsalternativ. Du kan däremot inte göra några mätningar. Skriv in mäthuvudsdata eller använd standardinställningarna. Du kan till exempel inte kalibrera ett mäthuvud genom att mäta en kalibreringsnormal utan måste skriva in mäthuvudets nominella värden.

Så här mäter du en punkt:

  1. Kontrollera att PC-DMIS är i programläge. Det gör du genom att klicka på ikonen Programläge i verktygsfältet Grafik. (Se Verktygsfältet Grafik i avsnittet Använda verktygsfält.)

  2. Flytta muspekaren till den position på skärmen där mätpunkten ska tas.

  3. Klicka med höger musknapp om du vill flytta mäthuvudet till den del av detaljen där mätpunkten ska tas. Mäthuvudet ritas ut på skärmen och mätdjupet ställs in.

  4. Klicka med vänster musknapp om du vill ta en mätpunkt på detaljen.

  5. Tryck på tangenten END om du vill slutföra mätprocessen.


Använda fasta mäthuvuden

PC-DMIS innehåller stöd för en rad fasta mäthuvuden. Användningen och kalibreringen av fasta mäthuvuden påminner om användningen och kalibreringen av brytande mäthuvuden (TTP).

Om du väljer ett fast mäthuvud förväntas ett mäthuvud som inte automatiskt aktiveras när det kommer i kontakt med detaljen. Du kan inte utföra CNC-kalibrering med ett fast mäthuvud. Kontrollera att du har valt rätt typ av mäthuvud.

Ange vilken elementtyp som ska mätas och klicka på motsvarande ikon.

  • Plana element definieras som punkter, plan och linjer.

  • Runda element är till exempel cirklar, sfärer, koner och cylindrar.

Verktygsfältet Mätning (på menyn Visa) innehåller igenkänning av runda och plana element (se Verktygsfältet Mätning i avsnittet Använda verktygsfält).

Obs! Information om hur du använder kortkommandon vid växling mellan lägen för igenkänning av plana och runda element finns i avsnittet Använda kortkommandon och snabbmenyer.


Ta en mätpunkt med ett fast mäthuvud

Mätpunkter tas automatiskt med brytande mäthuvuden. Om du använder ett fast mäthuvud måste du däremot ange var en position ska registreras. Följ dessa instruktioner om du vill göra det:

  1. Placera mäthuvudet på den detalj där mätpunkten ska registreras.

  2. Välj menykommandot Avläs mätpunkt på Åtgärder-menyn.

Obs! Om du använder en handterminal trycker du på den knapp som är inställd för registrering av mätpunkter.


Plana element

Så här mäter du ett plan med ett fast mäthuvud:

  1. Först tar du minst tre mätpunkter på en yta.

  2. Därefter flyttar du mäthuvudet ovanför planet.

  3. Tryck på tangenten END.

Då har du definierat planets riktning. Riktningen för en ytas normalvektor är uppåt.

Så här mäter du en linje:

  1. Börja med att ta två mätpunkter på önskade positioner.

  2. Flytta mäthuvudet utanför den mätta linjen.

  3. Tryck på tangenten END.

Obs! I PC-DMIS behöver du inte ange riktningen för element.


Runda element

Vid mätning av runda element med ett fast mäthuvud måste mäthuvudet vara stilla på en plats (beroende på elementtyp).

  • Vid mätning av hål håller du mäthuvudet i elementet och trycker på tangenten END.

  • Vid mätning av skaft håller du mäthuvudet utanför elementet och trycker på tangenten END.

Obs! I PC-DMIS behöver du inte ange riktningen för element.


Återge en detalj grafiskt

I PC-DMIS kan du använda standardmodeller för IGES eller DXF när du skapar ett detaljprogram på en vanlig PC eller PC-klon utan att vara i närheten av en mätmaskin. Dessa detaljprogram kan sedan användas för styrning av en mätmaskin som körs med PC-DMIS eller som har stöd för specifikationerna för DMIS, Tutor eller AVAIL.

Mer information om hur du använder CAD finns i avsnittet Arbeta i offlineläge.

När ett detaljprogram startas i PC-DMIS visas en grafisk återgivning av detaljens teoretiska geometri. Bilden kan komma från någon av följande tre källor:

  • Från en CAD-ritning i en IGES- eller DXF-fil.

  • Från elementets teoretiska värden i detaljprogrammet.

  • Från den första detalj som mättes när detaljprogrammet skapades online.

Om bilden kommer från någon av källorna två eller tre är den ofullständig. Det innebär att endast de element som mäts i PC-DMIS kommer att visas.

Om bilden kommer från källa ett är det som visas grafiskt det som ritades i CAD-systemet. I så fall kan du välja att ta bort vissa element ur CAD-ritningen. (Se Ta bort CAD i avsnittet Redigera CAD-visningen.) Oavsett källa är bilden endast avsedd för att ge tillräckligt med information för att det ska vara möjligt att relatera mätdata till den mätta detaljen. Se Importera CAD-data eller programdata i avsnittet Använda avancerade filalternativ.

I takt med att detaljens olika element mäts i PC-DMIS visas en bild av elementen i Grafikfönstret. Bilden ritas i de färger som angavs i dialogrutan Inställningar med fliken ID-inställningar. På så sätt kan du visuellt jämföra det mätta och det teoretiska elementet. Se Inställningsval: Fliken ID-inställningar i avsnittet Göra inställningar.

I manuellt läge i PC-DMIS, såväl offline som online, visas en animerad, skalanpassad återgivning av mäthuvudet i Grafikfönstret. Under körningen flyttas bilden runt detaljen och visar var de olika mätpunkterna ska tas.

Avsnittet Redigera CAD-visningen innehåller en genomgång av alternativ för hur du kan styra utseendet för bilder i Grafikfönstret.


Arbeta i manuellt läge eller CNC-läge

Från verktygsfältet Manuell/CNC kan du enkelt ställa in systemet till manuellt läge eller CNC-läge. Se Verktygsfältet Mätning i avsnittet Använda verktygsfält.

Det manuella läget används för en manuell mätmaskin eller vid manuell uppriktning i ett program som kommer att köras med en automatisk mätmaskin. Om du vill ändra läge klickar du på motsvarande ikon för läge i verktygsfältet.

I PC-DMIS kan du ange vilka hastigheter och avstånd som ska användas i en automatisk mätprocess. Se Parameterinställningar: Fliken Rörelse i avsnittet Göra inställningar om du vill ha mer information.

Viktigt! Kom ihåg att definiera säkerhetsplan eller via-punkter när du byter från manuellt läge till CNC-läge; annars kan mäthuvudet gå rakt in i detaljen under körningen.


Navigera i användargränssnittet

Navigera i användargränssnittet: Inledning

Skärmens utseende

Menyraden

Arkiv

Redigera

Visa

Infoga

Åtgärd

Fönster

Hjälp

V älja alternativ på menyraden med musen

Välja alternativ på menyraden med tangentbordet

Verktygsfältområdet

Grafikfönstret

Statusraden

Dialogruta – beskrivning

Redigeringsruta:

ID= [Element]

Sök-ID

Välj sista

Listruta:

Rutan Elementlista

Rutan Utvärderingslista

Nedrullningsbar listruta

Kommandoknappar:

Verkställ

OK

Avbryt

Ta bort

Sista

2 senaste

Markera allt

Standardvärde

Återkalla

Skapa

Stäng

Radera

Ångra

Hjälp

Kryssrutor:

Alternativknappar:

Flikar i dialogrutor:

Öppna dialogrutor

Flytta dialogrutor

Bläddra i Redigeringsfönstret

Anpassa användargränssnittet

Så här återställer du standardutseendet för användargränssnittet

S å här anpassar du teckensnitt i användargränssnittet

Anpassa menyer

Så här flyttar du ett menyalternativ

Så här tar du bort ett menyalternativ

Så här redigerar du ett befintligt menyalternativ

Så här lägger du till ett nytt menyalternativ

Anpassa verktygsfält

Så här ändrar du ett befintligt verktygsfält

Så här skapar du ett anpassat verktygsfält

Så här tar du bort ett anpassat verktygsfält

Anpassa kortkommandon (snabbtangenter)

Så här lägger du till kortkommandon (snabbtangenter) för ett kommando

Så här tar du bort kortkommandon (snabbtangenter) för ett kommando


Navigera i användargränssnittet: Inledning

Det här avsnittet är en introduktion om hur du använder PC-DMIS för Windows. Här beskrivs de grundläggande åtgärder som du behöver kunna utföra när du använder programmet. För att kunna använda funktionerna i PC-DMIS fullt ut och göra detaljprogrammeringen så enkel som möjligt bör du läsa igenom hela avsnittet samtidigt som du följer med på datorn.

I det här avsnittet beskrivs också hur du kan anpassa en del av grafiken i PC-DMIS så att den passar dina behov. (Mer information om dessa grafikalternativ finns i avsnittet Redigera CAD-visningen.)

I varje ämne nedan beskrivs en särskild funktion i gränssnittet. I det här avsnittet beskrivs följande:

  • Skärmens utseende

  • Menyraden

  • Verktygsfältområdet

  • Grafikfönstret

  • Statusraden

  • Dialogruta – beskrivning

  • Anpassa användargränssnittet

I PC-DMIS kan du välja om du vill använda musen eller tangentbordet för att köra kommandon och välja alternativ. Snabbmenyer och kortkommandon har skapats för de vanligaste kommandona. Se avsnittet Använda kortkommandon (snabbtangenter) och snabbmenyer.


Skärmens utseende

Skärmens utseende för användaren i PC-DMIS är konsekvent och lättfattligt.

Skärmen är indelad i flera tydliga områden, och vart och ett av dessa fyller en särskild funktion eller innehåller nödvändig information. Nedan följer en kort beskrivning av varje skärmområde. (Mer information finns på andra platser i hjälpfilen enligt vad som anges.)

Skärmutseendet i det grafiska användargränssnittet i PC-DMIS

  1. I namnlisten visas namnet på det aktuella detaljprogrammet. Dessutom finns knapparna för maximering och minimering här.

  2. I menyraden finns de menyer som är tillgängliga i huvud-PCDLRN-programmet. Se Menyraden.

  3. I verktygsfältområdet finns verktygsfält med vanliga kommandon. Det är enkelt att öppna verktygsfälten genom att högerklicka i verktygsfältområdet. Se Verktygsfältområdet.

  4. I Grafikfönstret (se Grafikfönstret) visas en grafisk bild av detaljen (i illustrationen visas vyn ovanifrån). Det här området är alltid lika stort. Visningsområdet kan dock delas in i upp till fyra olika vyer av detaljen.

  5. Dialogrutor är det vanligaste sättet för användaren att hantera PC-DMIS. Alla tillgängliga element visas i dialogrutor, och det är där som användaren oftast anger indata. Se Dialogruta – beskrivning.

  6. I Redigeringsfönstret visas detaljprogrammet. Här kan du nå särskilda kommandon inom detaljprogrammet och utföra ändringar för att motsvara enskilda specifikationer. Fullständig information om Redigeringsfönstret finns i avsnitten Redigera ett detaljprogram och Använda Redigeringsfönstret.

  7. I statusraden visas information som är viktig för den aktuella åtgärden (t.ex. aktuella mätspetskalibreringsdata och standardavvikelse för det senaste mätta elementet) och antalet mätpunkter. Dessutom finns det en meddelanderuta med relevant information om den pågående åtgärden. Mer information finns i Statusraden.


Menyraden

För att öppna en meny och bläddra i den med hjälp av tangentbordet trycker du på ALT och därefter på den understrukna bokstaven i namnet på menyn du vill öppna. (Du kan också använda musen - se beskrivning i avsnittet Välja alternativ på menyraden med musen.) I det här dokumentet finns information om samtliga menyalternativ. Läs de avsnitt som du behöver läsa. I den här delen av dokumentet finns korta beskrivningar av de övriga menyalternativen.

I PC-DMIS finns det också ett antal snabbmenyer. Dessa beskrivs i avsnittet Använda kortkommandon (snabbtangenter) och snabbmenyer.

Mer:

Arkiv

Redigera

Visa

Infoga

Åtgärd

Fönster

Hjälp

Välja alternativ på menyraden med musen

Välja alternativ på menyraden med tangentbordet


Arkiv

Med hjälp av alternativen på Arkiv-menyn kan du öppna, spara och skriva ut filer, öppna Redigeringsfönstret, köra detaljprogram i körläget och avsluta aktuella detaljprogram. Mer information finns i avsnitten Använda grundläggande filalternativ och Använda avancerade filalternativ.


Redigera

Med hjälp av alternativen på Redigera-menyn kan du redigera programinställningar, detaljprogram eller CAD-visningen.

  • Mer information om hur du redigerar inställningar finns i avsnittet Göra inställningar.

  • Mer information om hur du redigerar ett detaljprogram via Redigeringsfönstret finns i avsnitten Redigera ett detaljprogram och Använda Redigeringsfönstret.

  • Mer information om hur du ändrar CAD-visningen finns i avsnittet Redigera CAD-visningen.


Vy

Visa

Med alternativen på Visa-menyn kan du öppna alla fönster, redigerare och verktygsfält i PC-DMIS. Mer information finns i avsnittet Använda andra fönster, redigerare och verktyg.


Infoga

De flesta kommandon för detaljprogram finns på Infoga-menyn.

De flesta avsnitten i den här hjälpfilen handlar om alternativen och undermenyerna på den här menyn.

  • Alternativen på undermenyn Hårdvarudefinition beskrivs i avsnittet Definiera hårdvara.

  • Alternativen på undermenyn Element beskrivs i följande avsnitt: "Skapa autoelement, Skapa mätta element, Konstruera nya element utifrån befintliga element, Skapa allmänna element

  • Alternativen på undermenyn Uppriktning beskrivs i avsnittet Skapa och använda uppriktningar.

  • Alternativen på undermenyn Utvärdering beskrivs i avsnittet Utvärdera element.

  • Alternativen på undermenyn Scan beskrivs i avsnittet Scanna en detalj.

  • Alternativen på undermenyn Rörelse beskrivs i avsnittet Infoga rörelsekommandon.

  • Alternativen på undermenyn Programflödeskommandon beskrivs i avsnittet Förgrening med hjälp av flödesreglering.

  • · Alternativen på undermenyn Statistikkommando beskrivs i avsnittet Spåra statistiska data .

  • · Alternativen på undermenyn Rapportkommando, inklusive funktionerna för att lägga till UTVINFO- och PUNKTINFO-rutor i CAD-visningen och i detaljprogram, beskrivs i avsnittet Infoga rapportkommandon.

  • · Alternativen på undermenyn Kommando för fil-I/O beskrivs i avsnittet Använda indata/utdata i filer.

  • · Övriga alternativ på Infoga-menyn beskrivs i avsnittet Använda uttryck och variabler och avsnittet Lägga till externa element.


Åtgärd

Alternativen på Åtgärd-menyn beskrivs i flera olika avsnitt i dokumentationen.


Fönster

Med alternativen på Fönster-menyn kan du hantera visningen av alla öppna detaljprogram. Se avsnittet Navigera bland och visa flera fönster.


Hjälp

Alternativen på Hjälp-menyn beskrivs i avsnittet Använda onlinehjälpen.

På Hjälp-menyn finns information om kommandon, dialogrutor, meddelanden och tangenter i PC-DMIS.

Aktivera onlinehjälpen för PC-DMIS när som helst genom att välja ett alternativ på Hjälp-menyn eller trycka på F1. Onlinehjälpfilen för PC-DMIS startas.


Välja alternativ på menyraden med musen

Du kan välja alternativ på nedrullningsbara menyer på samma sätt som på menyraden.

Så här öppnar du en meny och bläddrar bland alternativen med musen:

  1. Placera pekaren på den meny som du vill använda.

  2. Klicka med vänster musknapp.

Om ett alternativ följs av tre punkter visas en dialogruta när du väljer alternativet. Exempel: Alternativet Arkiv | Öppna… indikerar att dialogrutan Öppna fil visas. I en dialogruta finns olika alternativ, rutor och knappar (kallas också kontroller) som du kan använda för att ange kommandon som ska köras i PC-DMIS. Ibland visas standardinställningarna när en dialogruta öppnas, och du behöver inte ändra dem om de passar dig. I de flesta dialogrutor anger du alla inställningar i rutan och klickar sedan på OK för att utföra kommandot. För att avbryta kommandot och stänga dialogrutan klickar du på Avbryt.


Välja alternativ på menyraden med tangentbordet

För att öppna en meny och bläddra i den med hjälp av tangentbordet trycker du på ALT och därefter på den understrukna bokstaven i namnet på menyn du vill öppna.

Exempel: för att öppna Visa-menyn med hjälp av tangentbordet trycker du på ALT och V (den understrukna bokstaven). Du kan välja alternativ på en meny på samma sätt. Tryck på den understrukna bokstaven i alternativet du vill använda (tryck t.ex. på U om du vill använda alternativet Klipp ut).

Du kan också öppna menyer med hjälp av piltangenterna.

Gör så här:

  1. Tryck på ALT för att aktivera menyraden.

  2. Använd VÄNSTERPIL/HÖGERPIL för att flytta till den meny du vill öppna.

  3. Använd UPPIL/NEDPIL för att välja alternativ på menyn.

  4. När du har markerat alternativet du vill använda trycker du på RETUR.

Det finns också kortkommandon för många av alternativen. Kortkommandot visas till höger om kommandot eller alternativet.

Mer information finns i avsnittet Använda kortkommandon (snabbtangenter) och snabbmenyer.


Verktygsfältområdet

I PC-DMIS finns ett antal verktygsfält med knappar för de vanligaste kommandona. Du kan nå verktygsfälten på två sätt:

  1. Öppna undermenyn Visa | Verktygsfält och välj ett verktygsfält.

  2. Högerklicka i verktygsfältområdet i PC-DMIS och välj ett verktygsfält på snabbmenyn.

När ett verktygsfält visas i verktygsfältområdet är det enkelt att flytta det genom att klicka på utrymmet mellan vänster- eller högerkanten och en knapp, och sedan dra verktygsfältet till en annan plats.

Detaljerad information om alla verktygsfält i PC-DMIS finns i avsnittet Använda verktygsfält.


Grafikfönstret

I Grafikfönstret visas, förstås, grafik. Fönstret öppnas som standard när du skapar eller öppnar ett detaljprogram. För att dölja eller visa fönstret väljer du menyalternativet Visa | Grafikfönster.

  • I fönstret visas en grafisk bild med flera rutor av en importerad CAD-detalj.

  • Mätta element, autoelement och konstruerade element visas med ID-etiketter.

  • Dessutom visas scanresultat, utvärderingar och textrutor.

Grafikfönstret är en inbyggd del i PC-DMIS. Mer information om hur du redigerar Grafikfönstret och ändrar skärmvisningen finns i avsnittet Redigera CAD-visningen.


Statusraden

I statusraden visas följande:

  • 1. SA: Här visas standardavvikelsen för det senast mätta elementet.

  • 2. Rad: I den här rutan visas numret för den aktuella rad där markören finns i rapporten.
    Kol: I den här rutan visas numret för den aktuella kolumn där markören finns i rapporten.

  • 3. W: Här visas vinkeln för rundbordet.

  • 4. Meddelanderuta: I rutan längst till vänster visas instruktioner och annan information om den aktuella proceduren eller det aktuella kommandot.

  • 5. Rutorna X, Y och Z: I rutorna X, Y och Z visas X-, Y- och Z-läget för mätspetsen. Om du klickar på någon av de tre koordinatvärdena i statusraden visas dialogrutan Via-punkt. (Mer information om CNC-via-punkter finns i Infoga ett kommando för via-punkt i avsnittet Infoga rörelsekommandon.)

  • 6. Antal mätpunkter: Här visas antalet mätpunkter som tagits nyligen.

  • 7. TUM/MM: Här visas den mätenhet som används för detaljprogrammet.

  • 8. INS/ÖVER: Här anges den aktuella redigeringsfunktionen för rapporten. Antingen visas INS (text infogas vid markören) eller ÖVER (texten efter markören skrivs över kontinuerligt).

Ändra statusradens utseende

  • För att ändra storleken på statusraden väljer du Visa | Statusrad | Stor. Visa menykarta När statusraden förstoras visas bara rutorna Meddelande och XYZ.

  • För att återställa den normala storleken på statusraden väljer du Visa | Statusrad | Normal. Visa menykarta

  • För att visa eller dölja statusraden väljer du Visa | Statusrad | Ingen. Visa menykarta


Dialogruta – beskrivning

I en dialogruta finns olika slags rutor och knappar (kallas också kontroller) som du kan använda för att ange hur ett kommando ska utföras i PC-DMIS. Ibland visas standardinställningarna när en dialogruta öppnas, och du behöver inte ändra dem om de passar dig. När du har angett alla inställningar i dialogrutan klickar du på OK för att utföra kommandot. För att avbryta kommandot och stänga dialogrutan klickar du på Avbryt.

I bilderna nedan visas några gemensamma funktioner som förekommer i många dialogrutor i PC-DMIS.

A - Redigeringsruta:

B - Listruta:

C - Alternativknappar:

D - Kryssrutor:

E - Kommandoknappar:

F - Flikar i dialogrutor:

G - Nedrullningsbar listruta

Mer:

Öppna dialogrutor

Flytta dialogrutor

Bläddra i Redigeringsfönstret


Redigeringsruta:

I en redigeringsruta kan du skriva in ett värde eller ett namn. I den här manualen kallas redigeringsrutor helt enkelt för "rutor". Nedan följer en lista med gemensamma redigeringsrutor som visas i många dialogrutor i PC-DMIS:


ID= [Element]

I den här rutan visas ID för det element eller den utvärdering som ska skapas.

Så här ändrar du ID:t:

  1. Välj det föregående ID:t.

  2. Skriv in ett nytt ID.

  3. Tryck på TABB-tangenten.

För ett utvärderings-ID:

  • Du kan ändra endast sifferdelen av ID:t och återställa utvärderingsräknaren till ett värde som du väljer.

  • Du kan ändra textdelen av ID:t och ange det som standardtext för efterföljande utvärderingar. (Se fliken ID-inställningar i dialogrutan Inställningsval i avsnittet Göra inställningar.)


Sök-ID

I rutan Sök-ID kan du skriva in ID:n för element (eller utvärderingar) som ska användas för den aktuella åtgärden. Använd rutan för att söka med hjälp av metateckenalternativ. De element- eller utvärderings-ID:n du anger markeras i motsvarande Elementlista-ruta (eller Utvärderingslista-ruta).


Välj sista

I rutan Välj sista kan du välja ett angivet antal av de sista elementen (eller utvärderingarna). För att till exempel välja de sista fyra elementen som har skapats skriver du 4 och trycker på TABB-tangenten. De fyra sista elementen markeras i rutan Elementlista.


Listruta:

En listruta påminner om en redigeringsruta, men du kan inte ändra värdena i en listruta. I den här manualen kallas listrutor ibland för "listor", ibland för "rutor". Nedan följer en lista med gemensamma listor som visas i många dialogrutor i PC-DMIS:


Rutan Elementlista

Rutan Elementlista innehåller en lista med alla tillgängliga element i ett detaljprogram . Valda element används i PC-DMIS för att definiera uppriktningar, konstruera nya element, skapa utvärderingar och liknande åtgärder. Du kan välja element genom att följa instruktionerna i Markera element med hjälp av Grafikfönstret i avsnittet Redigera CAD-visningen.

Du kan avmarkera valda (markerade) element med hjälp av knappen Radera eller Töm lista.

Om du bifogar ett externt detaljprogram (se Bifoga ett externt detaljprogram i avsnittet Lägga till externa element) visas också den variabel (eller pekare) som används för att referera till det bifogade detaljprogrammet. Ett plustecken (+) visas till vänster om pekaren. Klicka på plustecknet för att expandera eller komprimera vyn över alla element i det bifogade detaljprogrammet.


Rutan Utvärderingslista

I rutan Utvärderingslista visas en lista med alla utvärderingar som har skapats inom ett detaljprogram. Det är enkelt att välja den/de utvärdering(ar) som du vill redigera eller analysera. Välj utvärderingen/utvärderingarna i listrutan och markera önskade ändringar eller alternativ i den kopplade dialogrutan.

Om det redan finns en Utvärderingsinfo-ruta associerad med en utvärdering visas en asterisk (*) vid utvärderingens ID i listan i dialogrutan Ändra utvärderingsinformation. Om utvärderingsinformationen är dold i alla aktuella vyer visas symbolen # vid ID:t.

Exempel: Det finns en rundhetsutvärdering med namnet RND1 för en cirkel med namnet CIR4. Om det redan finns en associerad UTVINFO-ruta för rundhetsutvärderingen, men rutan är dold i alla vyer i Grafikfönstret, ser utvärderingens ID i listan ut så här:

Exempel på symbolerna * och #


Nedrullningsbar listruta

En nedrullningsbar listruta fungerar som en meny. Klicka på pilikonen [image] till höger om det aktuella värdet, eller tryck först på ALT och därefter på UPPIL eller NEDPIL på tangentbordet. Du kan också visa de tillgängliga alternativen genom att trycka på F4. Tryck på tangenten/tangenterna igen för att stänga listan. Det aktuella värdet visas i den markerade rutan.


Kommandoknappar:

Med hjälp av kommandoknappar kan du utföra olika åtgärder. Nedan följer en lista med gemensamma kommandoknappar som visas i många dialogrutor i PC-DMIS:

Mer:

Verkställ

OK

Avbryt

Ta bort

Sista

2 senaste

Markera allt

Standardvärde

Återkalla

Skapa

Stäng

Töm

Ångra

Hjälp


Verkställ

Med knappen Verkställ ser du till att valen i dialogrutan börjar gälla, samtidigt som rutan fortsätter att vara öppen.


OK

Om du klickar på knappen OK sparas och verkställs alla ändringar och dialogrutan stängs. I vissa dialogrutor infogas kommandon i Redigeringsfönstret när du klickar på OK.


Avbryt

Om du klickar på knappen Avbryt ångras alla ändringar och dialogrutan stängs.


Ta bort

Med knappen Ta bort kan du ta bort objekt (t.ex. skapade element, utvärderingar, mätspetsfiler, uppriktningsinformation o.s.v.) från vissa listrutor.

I dialogrutan Ta bort CAD kan du använda kommandoknappen Ta bort för att ta bort valda nominella element.


Sista

Med knappen Sista kan du välja det sista objektet i en listruta.


2 senaste

Med knappen 2 senaste kan du välja de två sista objekten i en listruta.


Markera allt

Med knappen Markera allt kan du välja alla objekt i en listruta.


Standardvärde

Med knappen Standardvärde kan du uppdatera standardvärdena för flera parametrar. När ett nytt detaljprogram skapas återspeglas de ändringar som har gjorts av standardvärdena.

Standardvärdena sparas i systemregistret. Parametrarna kan uppdateras i respektive dialogruta eller genom att du redigerar registret med hjälp av PC-DMIS Inställningar. Inställningsprogrammet levereras med installationsuppsättningen för PC-DMIS. Mer information finns i avsnittet Ändra registerposter.

  • Om du klickar på OK (utan att klicka på Standardvärde) används de definierade parametrarna bara för det aktiva detaljprogrammet och registerposterna påverkas inte.

  • Om du ändrar en parameter och klickar på Standardvärde uppdateras registerposten automatiskt så att standardvärdet ändras till det aktuella värdet.

Med knappen Standardvärde kan du lagra och använda nya standardvärden i nya detaljprogram som skapas senare.


Återkalla

Med knappen Återkalla kan du återställa de ursprungliga inställningarna, såvida inte de ursprungliga värdena har ändrats genom att du har klickat på knappen Standardvärde. I så fall används de värden som lagrats i registret.

Mer information om hur du använder dialogrutan Maskinalternativ för att återställa ursprungliga inställningar genom att läsa in dem från styrenheten finns under Göra inställningar för maskininterface i avsnittet Göra inställningar.


Skapa

Med knappen Skapa verkställs ändringar som har gjorts i vissa dialogrutor, samtidigt som konstruerade element, utvärderingar, autoelement, scanresultat o.s.v. skapas och placeras i Redigeringsfönstret och i Grafikfönstret.

Om du klickar på Skapa stängs inte dialogrutan. Använd knappen Stäng för att stänga dialogrutan.


Stäng

Använd knappen Stäng för att stänga dialogrutan. I vissa dialogrutor (där du kan vilja välja fler alternativ) räcker det inte med att klicka på OK, Verkställ eller Skapa för att stänga dialogrutan.


Töm

Med kommandoknappen Töm kan du ta bort markeringen från valda objekt i listrutor. I vissa fall tas objekt bort helt och hållet från vissa listrutor om du klickar på knappen Töm (detta gäller t.ex. AB-lägen i listrutan Nya vinklar).

Om du klickar på Töm i vissa dialogrutor och på vissa flikar töms alla värden som har angetts eller ändrats innan du klickade på Verkställ eller OK, och de inbyggda värdena i PC-DMIS återställs. Om du har använt knappen Standardvärde för att spara standardvärden återställs dessa värden i PC-DMIS.


Ångra

Med knappen Ångra kan du återställa ändringar som har gjorts med knappen Verkställ (eller knappen Skapa vid CNC-scanåtgärder). Om du har klickat på OK efter ändringarna kan de inte ångras.


Hjälp

Med knappen Hjälp kan du öppna det ämne i onlinehjälpen som hör till den aktuella dialogrutan.


Kryssrutor:

Klicka på kryssrutor för att aktivera eller inaktivera alternativ. Ett alternativ är aktiverat när en markering visas i dess kryssruta. Du kan markera flera kryssrutor.


Alternativknappar:

I området med alternativknappar visas tillgängliga alternativ för dialogrutan. Du växlar mellan de tillgängliga alternativen genom att klicka på knapparna. När ett alternativ väljs visas en svart prick till vänster om alternativet, och alla andra alternativ avmarkeras. Du kan bara välja en alternativknapp.


Flikar i dialogrutor:

Vissa dialogrutor innehåller flikar. Flikarna fungerar som samlingsnamn, ungefär som mappnamn i ett dokumentskåp. Klicka på den flik som innehåller de alternativ som du vill visa, så hamnar den framför de andra flikarna. Nu visas alla alternativ och kommandon på fliken.


Öppna dialogrutor

Du kan använda musen eller tangentbordet för att aktivera alternativ i dialogrutan. För att aktivera ett alternativ med hjälp av musen pekar du på alternativet och klickar. Med tangentbordet kan du flytta mellan tillgängliga alternativ på flera olika sätt.

TRYCK PÅ: | FÖR ATT
TABB: | Flytta till nästa tillgängliga alternativ.
SKIFT + TABB: | Flytta till föregående tillgängliga alternativ.
PILTANGENT: | Visa en aktuell nedrullningsbar lista.
RETUR: | Välja det aktuella kommandot.
BLANKSTEG: | Markera den aktuella kryssrutan eller knappen.


Flytta dialogrutor

Med hjälp av musen kan du flytta fönster och dialogrutor inom Grafikfönstret.

Så här flyttar du en dialogruta eller ett fönster:

  1. Placera muspekaren över rutans/fönstrets namn.

  2. Håll ned vänster musknapp.

  3. Dra dialogrutan eller fönstret till den plats i Grafikfönstret där du vill placera den/det.

  4. Släpp musknappen.

Dialogrutan eller fönstret visas på den nya platsen.


Bläddra i Redigeringsfönstret

Du kan flytta Redigeringsfönstret på samma sätt som du flyttar en dialogruta. Se Flytta dialogrutor

Redigeringsfönstret innehåller rullningslister som gör att du kan visa ytterligare data i fönstret.

Så här bläddrar du i fönstret:

  1. Placera muspekaren på en av rullningspilarna.

  2. Klicka med eller håll ned vänster musknapp.

Texten bläddras i rullningspilens riktning. För att till exempel bläddra nedåt klickar du på nedåtrullningspilen med vänster musknapp.

Mer information om Redigeringsfönstret finns i Redigera ett detaljprogram och Använda Redigeringsfönstret.


Anpassa användargränssnittet

I version 3.5 har användargränssnittet från tidigare versioner förbättrats så att de olika tillgängliga alternativen har ordnats på ett bättre sätt. Dessutom kan du nu anpassa gränssnittet så att det passar dina behov.

Det är enkelt att ordna om menyer, lägga till egna program på menyer eller skapa helt nya menyer och alternativ. I PC-DMIS kan du också länka inbyggda kommandon i PC-DMIS och anpassade kommandon till verktygsfält. I följande avsnitt finns instruktioner om hur du ändrar användargränssnittet:

Obs! Den här hjälpfilen är utformad för att fungera i standardgränssnittet som levereras med den här versionen av PC-DMIS. Om du anpassar gränssnittet kan det bli svårare att använda den befintliga dokumentationen.

Mer:

Så här återställer du standardutseendet för användargränssnittet

Så här anpassar du teckensnitt i användargränssnittet

Anpassa menyer

Anpassa verktygsfält

Anpassa kortkommandon (snabbtangenter)


Så här återställer du standardutseendet för användargränssnittet

För att återställa utseendet i PC-DMIS till det standardgränssnitt som levererades med den här versionen gör du så här:

  1. Stäng PC-DMIS.

  2. Navigera till den mapp där PC-DMIS är installerat.

  3. Öppna den mapp som motsvarar din Windows-användarprofil.

  4. Ta bort filen med namnet menu_xxx.dat, där xxx motsvarar koden (med tre bokstäver) för det språk du kör programmet på. Om du kör programmet på svenska tar du alltså bort menu_sve.dat.

  5. Starta om PC-DMIS. Nu används standardgränssnittet.


Så här anpassar du teckensnitt i användargränssnittet

Dialogrutan Ändra teckensnitt

Dialogrutan Ändra teckensnitt

För att ändra teckensnittsattribut öppnar du dialogrutan Ändra teckensnitt genom att välja menyalternativet Redigera | Inställningar | Teckensnitt. I den här dialogrutan kan du ändra teckensnittsattribut (inklusive teckensnitt, storlek och format) för huvudgränssnittet, Grafikfönstret och/eller Redigeringsfönstret. Så här ändrar du teckensnitt:

  1. Välj en av följande alternativknappar för att öppna standarddialogrutan Teckensnitt:

  • Applikationen – Ändrar teckensnittet i listorna i verktygsfältet Inställningar, förhandsgranskningsfönstret, koordinatvisningsfönstret, statusraden, meddelanderutor o.s.v.

  • Grafikfönstret – Ändrar teckensnittet för texten som visas i Grafikfönstret, i första hand elementetiketter, rutorna Utvärderingsinfo och Punktinformation o.s.v.

  • Redigeringsfönstret – Ändrar teckensnittet i Redigeringsfönstret. Observera att teckensnitt utan enhetliga avstånd kan innebära att det blir svårare att läsa texten i Redigeringsfönstret.

  2. Ange teckensnittsändringar med hjälp av de tillgängliga listorna.

  3. Klicka på OK för att stänga dialogrutan Teckensnitt.

  4. Klicka på OK i dialogrutan Ändra teckensnitt för att spara ändringarna.

Du kan använda alla teckensnitt som är tillgängliga på datorn, men observera att vissa teckensnitt inte har enhetliga avstånd, vilket kan innebära att det blir svårare att läsa vissa komponenter.

Viktigt! När du skriver ut från Redigeringsfönstret bör du använda ett True Type-teckensnitt (t.ex. Courier New). Annars kan tecknen och raderna ordnas på fel sätt.


Anpassa menyer

Så här anpassar du menyerna i menyraden:

  1. Öppna dialogrutan Anpassa genom att välja menyalternativet Visa | Verktygsfält | Anpassa.

  2. Välj fliken Meny.

Dialogrutan Anpassa – fliken Meny

På den här fliken kan du lägga till nya menyalternativ, flytta befintliga menyalternativ eller ta bort menyalternativ helt från menyraden.

Mer:

Så här flyttar du ett menyalternativ

Så här tar du bort ett menyalternativ

Så här redigerar du ett befintligt menyalternativ

Så här lägger du till ett nytt menyalternativ


Så här flyttar du ett menyalternativ

Så här flyttar du ett menyalternativ till en ny plats i menyraden:

  1. Öppna dialogrutan Anpassa och välj fliken Meny. Navigera till det menyalternativ du vill flytta i menyraden i PC-DMIS (inte i trädvyn av menylistan på fliken Meny).

  2. Välj menyalternativet.

  3. Dra alternativet till den nya platsen. När du drar alternativet genom menystrukturen visas en liten röd pil [image] på den plats där alternativet kommer att läggas till.

  4. Släpp musknappen. Alternativet kopieras från den ursprungliga platsen till den nya platsen.

  5. Klicka på OK för att spara ändringarna och stäng dialogrutan Anpassa.


Så här tar du bort ett menyalternativ

Så här tar du bort ett menyalternativ helt och hållet från menyraden:

  1. Öppna dialogrutan Anpassa och välj fliken Meny. Navigera till det menyalternativ du vill ta bort i menyraden i PC-DMIS (inte i trädvyn av menylistan på fliken Meny).

  2. Välj menyalternativet.

  3. Dra alternativet bort från menyradsområdet.

  4. Släpp musknappen. Menyalternativet tas bort från menyn.

  5. Klicka på OK för att spara ändringarna och stäng dialogrutan Anpassa.


Så här redigerar du ett befintligt menyalternativ

Du kan redigera befintliga menyobjekt, inklusive objektens namn, beskrivningar och hjälptexter. Gör så här:

  1. Öppna dialogrutan Anpassa genom att välja menyalternativet Visa | Verktygsfält | Anpassa.

  2. Låt dialogrutan vara öppen och klicka på menyraden i PC-DMIS.

  3. Välj en meny och högerklicka på ett menyobjekt. Dialogrutan Redigera menyalternativ visas.

Dialogrutan Redigera menyalternativ

  4. Ändra menyalternativet med hjälp av dialogrutan och klicka på OK.

  5. Klicka på OK i dialogrutan Anpassa.

  6. Kontrollera ändringen.

Obs! I rutan Menytext används den bokstav som följer efter et-tecknet (&) som snabbtangent tillsammans med ALT-tangenten (om du till exempel trycker på ALT + A + N öppnas menyalternativet Nytt på Arkiv-menyn).


Så här lägger du till ett nytt menyalternativ

Du kan skapa ett eget anpassat menyalternativ som du kopplar till ett externt program eller batchfil. Gör så här:

  1. Öppna dialogrutan Anpassa genom att välja menyalternativet Visa | Verktygsfält | Anpassa. Klicka på fliken Meny.

  2. I listan som visas på fliken klickar du på plustecknet bredvid Menyalternativ. Listan expanderas och alla menyer visas.

  3. Klicka på plustecknet bredvid menyn där du vill placera ett anpassat menyalternativ och klicka på ett menyalternativ på menyn.

  4. Klicka på knappen Skapa. Dialogrutan Användardef. guide/skript/verktyg visas.

  5. Klicka på knappen …. Dialogrutan Öppna visas.

  6. I listan Filformat väljer du den typ av fil du vill infoga.

  7. Navigera till den mapp som innehåller det anpassade programmet, batchfilen, BASIC-skriptet, makrofilen o.s.v.

  8. Välj den fil som ska infogas och klicka på Öppna. Dialogrutan Öppna stängs och dialogrutan Användardef. guide/skript/verktyg visas igen, med standardinformationen för det anpassade program som du har valt.

Dialogrutan Användardef. guide/skript/verktyg med ett exempelprogram

Kommandofil – I den här rutan visas sökvägen till kommandot.

Menytext – I den här rutan kan du ange namnet som ska användas på menyn för alternativet.

Hjälptext – I den här rutan kan du ange hjälptexten som ska visas för menyalternativet.

Byt ikon – Med den här knappen kan du ändra ikonen som visas för menyalternativet.

  9. Gör eventuella ytterligare ändringar i dialogrutan.

  10. Klicka på OK för att spara ändringarna och stäng dialogrutan Anpassa.


Anpassa verktygsfält

Så här anpassar du de verktygsfält som visas på verktygsfältsmenyn:

  1. Öppna dialogrutan Anpassa genom att välja menyalternativet Visa | Verktygsfält | Anpassa.

  2. Välj fliken Verktygsfält.

Dialogrutan Anpassa – fliken Verktygsfält

På den här fliken kan du lägga till nya verktygsfält och verktygsfältikoner, ta bort anpassade verktygsfält, ta bort verktygsfältikoner och ordna om ikonerna i befintliga verktygsfält.

Mer:

Så här ändrar du ett befintligt verktygsfält

Så här skapar du ett anpassat verktygsfält

Så här tar du bort ett anpassat verktygsfält


Så här ändrar du ett befintligt verktygsfält

I den här tabellen beskrivs hur du använder fliken Verktygsfält i dialogrutan Anpassa för att ändra befintliga verktygsfält.

Vad vill du göra?

Procedur

Lägga till ett menyalternativ i ett verktygsfält.

  1. Välj verktygsfältet i listan Definition av verktygsfält.

  2. Leta upp alternativet du vill lägga till i listan Tillgängliga funktioner.

  3. Välj alternativet och klicka på knappen Lägg tillà. Alternativet visas i verktygsfältet.

  4. Klicka på Verkställ och sedan på OK för att spara ändringarna.

Ta bort en ikon från ett verktygsfält.

  1. Välj verktygsfältet i listan Definition av verktygsfält.

  2. Markera det objekt i listan (till höger i dialogrutan) som du vill ta bort.

  3. Välj objektet och klicka på knappen ß Ta bort.

  4. Klicka på Verkställ och sedan på OK för att spara ändringarna.

Radera alla ändringar.

Klicka på knappen Återställ. Om du inte har klickat på OK eller Verkställ återställs det ursprungliga verktygsfältet.

Ta bort alla anpassade verktygsfält och återställa den layout som levererades med den här versionen.

Klicka på knappen Standardvärde.

Skapa ett nytt objekt i ett verktygsfält.

Klicka på Nytt. Dialogrutan Användardef. guide/skript/verktyg visas. Välj det objekt som ska läggas till. Mer information om hur du lägger till anpassade objekt finns i Så här lägger du till ett nytt menyalternativ i den här hjälpfilen.

Ändra ordningen bland objekten i ett verktygsfält.

  1. Välj verktygsfältet i listan Definition av verktygsfält.

  2. Välj det objekt som du vill flytta.

  3. Klicka på uppilen [image] eller nedpilen [image] för att flytta objektet uppåt eller nedåt bland de andra verktygsfältikonerna i listan.

Byta namn på ett verktygsfält

  1. Välj verktygsfältet i listan Definition av verktygsfält.

  2. Klicka på Byt namn. Rutan Namn på nytt verktygsfält visas.

  3. Skriv ett namn i rutan och klicka på OK.

Det finns också ett annat sätt att snabbt ordna om eller ta bort objekt från anpassade verktygsfält i PC-DMIS: genom att använda SKIFT-tangenten. Nedan följer en beskrivning:

Så här tar du bort eller ordnar om ikoner i ett verktygsfält:

  1. Håll ned SKIFT-tangenten.

  2. Klicka på ikonen och håll musen kvar över ikonen. Ikonen kan nu flyttas.

  3. För att flytta ikonen drar du den till en ny plats i verktygsfältet.

  4. För att ta bort ikonen drar du den utanför verktygsfältets kant.

  5. Släpp musknappen. Ändringen är klar.

Så här lägger du till en avgränsare:

  1. Håll ned SKIFT-tangenten.

  2. Klicka på ikonen och håll musen kvar över ikonen. Ikonen kan nu flyttas.

  3. Dra ikonen en liten bit till höger (men inte tillräckligt långt för att ändra dess läge).

  4. Släpp musknappen. Avgränsaren visas till vänster.

Så här tar du bort en avgränsare:

  1. Håll ned SKIFT-tangenten.

  2. Klicka på ikonen till höger om avgränsaren och håll musen kvar över ikonen. Ikonen kan nu flyttas.

  3. Dra ikonen så att den placeras på avgränsaren till vänster.

  4. Släpp musknappen.


Så här skapar du ett anpassat verktygsfält

  1. Öppna dialogrutan Anpassa och välj fliken Verktygsfält.

  2. Klicka på Nytt och välj Verktygsfält. En indataruta visas för verktygsfältets namn.

  3. Skriv verktygsfältets namn och klicka på OK. Det nya verktygsfältet visas nu i listan Definition av verktygsfält. Nu kan du ändra verktygsfältet och lägga till nya verktygsfältikoner (se Så här ändrar du ett befintligt verktygsfält).


Så här tar du bort ett anpassat verktygsfält

  1. Öppna dialogrutan Anpassa och välj fliken Verktygsfält.

  2. Välj verktygsfältet i listan Definition av verktygsfält.

  3. Klicka på knappen Ta bort.

  4. Klicka på Verkställ för att spara ändringarna.


Anpassa kortkommandon (snabbtangenter)

Så här anpassar du kortkommandon för menyalternativ och kommandon i PC-DMIS:

1. Öppna dialogrutan Anpassa genom att välja menyalternativet Visa | Verktygsfält | Anpassa.

2. Välj fliken Snabbtangenter.

Dialogrutan Anpassa – fliken Snabbtangenter

På den här fliken kan du ändra de kortkommandon som används för att köra kommandon i PC-DMIS och lägga till nya kortkommandon för anpassade alternativ på menyer i i verktygsfält.

Mer:

Så här lägger du till kortkommandon (snabbtangenter) för ett kommando

Så här tar du bort kortkommandon (snabbtangenter) för ett kommando


Så här lägger du till kortkommandon (snabbtangenter) för ett kommando

  1. Öppna dialogrutan Anpassa och välj fliken Snabbtangenter.

  2. Välj kommandot som du vill ändra med hjälp av listorna Kategori och Menyval. När du har valt ett kommando i listan Kommando visas det aktuella kortkommandot (om det finns något sådant för kommandot) i rutan Aktuell snabbtangent.

  3. Markera kommandot som du vill ange ett nytt kortkommando för.

  4. Klicka i rutan Ny snabbtangent.

  5. Tryck på de tangenter du vill använda som kortkommando för kommandot. Namnen på tangenterna som du trycker på visas.

  6. Klicka på knappen Tilldela. Det nya kortkommandot visas i rutan Aktuell snabbtangent med alla eventuella andra kortkommandon som har tilldelats kommandot.

  7. Klicka på Verkställ för att spara ändringarna.

Obs! Precis som på de andra flikarna kan du använda knappen Skapa för att först skapa ett kommando och koppla det till ett anpassat program. Därefter kan du välja kommandot genom att klicka på Användardefinierat i listan Menyval. Alla användardefinierade kommandon visas i listan Kommando.


Så här tar du bort kortkommandon (snabbtangenter) för ett kommando

  1. Öppna dialogrutan Anpassa och välj fliken Snabbtangenter.

  2. Välj kommandot som du vill ändra med hjälp av listorna Kategori och Menyval. När du har valt ett kommando i listan Kommando visas det aktuella kortkommandot (om det finns något sådant för kommandot) i rutan Aktuell snabbtangent.

  3. Välj kommandot som du vill ange ett nytt kortkommando för.

  4. Välj det kortkommando som du vill ta bort.

  5. Klicka på knappen Ta bort.

  6. Klicka på Verkställ för att spara ändringarna.


Använda grundläggande filalternativ

Använda grundläggande filalternativ: Inledning

Skapa nya detaljprogram

Öppna befintliga detaljprogram

Spara detaljprogram

Spara som

Utföra filåtgärder

Spegla

Kopiera

Ta bort

Byta namn

Ändra språk

Skriva ut Grafikfönstret

Ställa in alternativ för utskrift och skrivare

Förhandsgranska utskriften

Skriva ut från Redigeringsfönstret

Ställa in alternativ för utskrift och skrivare

Utskrift till en fil:

Utskrift till en fil med hjälp av uttryck

Utskrift till skrivaren:

Utskrift som en DMIS-utskriftsfil:

Starta äldre program

Stänga eller avsluta detaljprogram

Avsluta PC-DMIS


Använda grundläggande filalternativ: Inledning

PC-DMIS innehåller många alternativ för förändring av detaljprogram och hantering av viktiga filer. Precis som i de flesta andra Windows-baserade program kan du utföra grundläggande filhantering i standardiserade Windows-dialogrutor om du till exempel vill skapa, öppna, kopiera, byta namn på och ta bort filer. I PC-DMIS kan du dessutom utföra mer avancerade filåtgärder som att importera och exportera CAD-data eller köra komplicerade detaljprogram.

Här får du en genomgång av grundläggande filalternativ. Information om mer avancerade alternativ finns i avsnittet Använda avancerade filalternativ.

Alternativen i detta avsnitt är:

  • Skapa nya detaljprogram

  • Öppna befintliga detaljprogram

  • Spara detaljprogram

  • Utföra filåtgärder

  • Ändra språk

  • Skriva ut Grafikfönstret

  • Skriva ut rapporten

  • Stänga eller avsluta detaljprogram

  • Avsluta PC-DMIS


Skapa nya detaljprogram

Om det inte finns några befintliga detaljprogram som kan öppnas måste du skapa ett nytt detaljprogram i dialogrutan Nytt detaljprogram (Arkiv | Nytt)

Dialogrutan Nytt detaljprogram

I den här rutan kan du skapa en ny detalj. Du uppmanas att ange ett detaljnamn, serienummer, revisionsnummer, typ av gränssnitt och typ av mätenheter. Innan du sparar detaljen finns den endast i datorns minne. I rutan väljer du även typ av gränssnitt för mätmaskinen.

Obs! I PC-DMIS behöver det endast finnas ett värde i rutan Detaljnamn för att ett nytt detaljprogram ska skapas. Information som anges i rutorna Revisionsnummer och Serienummer är frivillig.


Öppna befintliga detaljprogram

Observera att om du öppnar ett program som skapades i en tidigare version än 3.2 så kommer du sedan inte att kunna köra det i den äldre programversionen.

Om du tidigare har skapat ett detaljprogram i dialogrutan Nytt detaljprogram (se Skapa nya detaljprogram) kan du öppna det genom att välja det i dialogrutan Öppna som öppnas om du väljer Arkiv | Öppna.

Dialogrutan Öppna

Detta är en standarddialogruta för Öppna i Windows men med följande tillägg:

  • Det finns en lista med gränssnitt (Interface). Om du kör PC-DMIS online kan du välja vilken mätmaskin (om det finns flera maskiner) som ska användas i det aktuella detaljprogrammet; om du väljer offlinemaskinen kan du köra PC-DMIS offline.

  • I området Förhandsgranska i dialogrutan visas CAD-bilden för den senaste vyn över detaljen i Grafikfönstret (utan etiketter). Om det saknas CAD-data för detaljen visas mätt geometri i bilden. I området visas även namnet på och det senaste ändringsdatumet för detaljprogrammet.

  • Du kan importera data till eller exportera data från ett detaljprogram genom att högerklicka på detaljprogrammets filnamn och välja Importera respektive Exportera (mer information finns i Importera CAD-data eller programdata och Exportera CAD-data eller programdata i avsnittet Använda avancerade filalternativ).

  • Du kan även granska och ändra namn, serienummer eller revisionsnummer för en detalj, samt ändra filnamnet till ett namn som har skapats med utgångspunkt från filegenskaperna.

    Så här gör du:

1. Högerklicka på filnamnet för ett detaljprogram. En snabbmeny visas.

2. Välj kommandot Egenskaper.

3. Klicka på fliken PC-DMIS.

Samma funktioner för höger musknapp kan även användas i Utforskaren i Windows.

Obs! Varje gång du startar PC-DMIS öppnas dialogrutan Öppna automatiskt så att du kan öppna befintliga detaljprogram. Om du vill att den här funktionen ska inaktiveras avmarkerar du bara kryssrutan Visa startdialogen som finns på fliken Allmänt i dialogrutan Inställningsval.


Spara detaljprogram

Om du väljer alternativet Arkiv | Spara sparas alla åtgärder som har utförts i det aktuella programmet. Första gången en fil sparas öppnas dialogrutan Spara som. Där kan du välja var du vill spara detaljprogrammet (mer information finns i Spara som).

Om du redan har sparat ett detaljprogram i en äldre version av PC-DMIS (i dialogrutan Spara som) visas vid senare tillfällen då du sparar programmet en fråga om du vill spara detaljprogrammet i den gamla versionen av PC-DMIS. Om du klickar på

  • Ja sparas detaljprogrammet i den äldre versionen av PC-DMIS.

  • Nej sparas detaljprogrammet i den aktuella versionen av PC-DMIS.

  • Avbryt avslutas processen utan att detaljprogrammet sparas.

Om du inte vill att meddelandet ska visas igen går du till Varningar i avsnittet Göra inställningar.

Mer:

Spara som


Spara som

Om du väljer alternativet Arkiv | Spara som visas dialogrutan Spara som.

Dialogrutan Spara som

Här kan du spara det aktuella detaljprogrammet under ett nytt filnamn eller som en tidigare version av filen.

I listan PC-DMIS detaljprogram kan du välja att spara detaljen i ett format som kan användas i tidigare versioner av PC-DMIS. Tillgängliga format inkluderar version 3.202 och senare versioner. Om du sparar detaljprogrammet i en tidigare version av PC-DMIS som inte har stöd för nya kommandon i den aktuella versionen sparas ej stödda kommandon inuti DOKUMENT-kommandon. Se Dokument i avsnittet Använda Redigeringsfönstret.

Klicka på Spara om du vill spara detaljprogrammet. Om du klickar på Avbryt stängs dialogrutan utan att detaljprogrammet sparas.


Utföra filåtgärder

Med filåtgärderna i PC-DMIS kan du spegla, kopiera, ta bort och byta namn på detaljprogramfiler.

Mer:

Spegla

Kopiera

Ta bort

Byta namn


Spegla

Med kommandot Spegla kan användaren skapa en kopia som är en spegelbild av X-, Y- eller Z-axeln i ett detaljprogram.

Så här speglar du ett detaljprogram:

  1. Välj menyalternativet Arkiv | Operationer | Spegla. Dialogrutan Välj detaljprogram som ska speglas öppnas:

Dialogrutan Välj detaljprogram som ska speglas

  2. Välj den detaljprogramfil som ska speglas.

  3. Välj den axel (alternativknapparna Spegla i X, Y eller Z) där du vill att speglingen ska utföras.

  4. Klicka på knappen Öppna. Dialogrutan Spara speglad detalj som öppnas med filnamnet på det detaljprogram som du valde för spegling.

Dialogrutan Spara speglad detalj som

  5. Klicka på knappen Spara. Detaljprogrammet speglas i den angivna katalogen.

Viktigt! I PC-DMIS görs även ett försök att spegla mätspetsens AB-vinklar. Om de exakta speglade vinklarna för mätspetsen inte redan har definierats och kalibrerats är det möjligt att de mest närliggande kalibrerade mätspetsvinklarna väljs i PC-DMIS. Närliggande kalibrerade mätspetsvinklar väljs om det finns kalibrerade mätspetsvinklar inom det vinkelintervall för det vridbara mäthuvudet som anges i rutan Vinkelvarningsdelta på fliken Detalj/maskin i dialogrutan Inställningsval. Om det inte finns några närliggande kalibrerade AB-vinklar för mätspetsen skapas perfekt speglade men okalibrerade AB-vinklar för mätspetsen. Läs mer under Inställningsval: Fliken Detalj/maskin i avsnittet Göra inställningar.


Kopiera

Med kommandot Kopiera kan användaren kopiera samtliga filer som är kopplade till ett angivet detaljprogram.

Så här kopierar du ett detaljprogram:

  1. Välj menyobjektet Arkiv | Operationer | Kopiera. Dialogrutan Kopiera detaljprogram från öppnas med en fråga om vilken fil du vill kopiera och från vilken mapp.

  2. Bläddra i katalogstrukturen och välj ett detaljprogram.

  3. Klicka på knappen Öppna. Då öppnas dialogrutan Kopiera detaljprogram till med en fråga om vilken mapp användaren vill kopiera detaljprogrammet till.

  4. Klicka på det detaljprogram som du vill kopiera så att filnamnet och filtillägget visas i rutan Filnamn.

  5. Gå till den mapp som du vill kopiera programmet till.

  6. Klicka på knappen Öppna.

De filer som kopieras är .PRG- och .CAD-filerna, samt filer med samma basnamn och ett filtillägg i intervallet .001, .002, …, .999.


Ta bort

Med kommandot Ta bort kan användaren ta bort samtliga filer som är kopplade till ett angivet detaljprogram.

Så här tar du bort ett detaljprogram:

  1. Välj menyobjektet Arkiv | Operationer | Ta bort. Dialogrutan Ta bort detaljprogram öppnas.

  2. Välj vilket program som ska tas bort.

  3. Klicka på knappen Öppna. Det öppnas en ny ruta med en fråga om du vill skicka filerna till papperskorgen.

  4. Klicka på Ja.

De filer som tas bort är .PRG- och .CAD-filerna, samt filer med samma basnamn och ett filtillägg i intervallet .001, .002, …, .999. Borttagna filer skickas till papperskorgen.


Byta namn

Med kommandot Byt namn kan användaren byta namn på samtliga filer som är kopplade till ett angivet detaljprogram.

Så här byter du namn på ett detaljprogram:

  1. Välj menyobjektet Arkiv | Operationer | Byt namn. Dialogrutan Byt namn på detaljprogram öppnas med en fråga om vilken fil du vill byta namn på.

  2. Välj vilket detaljprogram som du vill byta namn på.

  3. Klicka på knappen Öppna. Dialogrutan Nytt namn på detaljprogram öppnas med en fråga om namnet på den nya filen.

  4. Skriv det nya namnet på filen i rutan Filnamn.

  5. Klicka på knappen Öppna. Namnändringen verkställs omedelbart.

De filer som får nya namn är .PRG- och .CAD-filerna, samt filer med samma basnamn och ett filtillägg i intervallet .001, .002, …, .999.


Ändra språk

Om du väljer Arkiv | Språk visas de språk som är tillgängliga för användare i PC-DMIS. Det språk som används är markerat med en bock. Om du vill växla till ett annat språk markerar du helt enkelt ett annat språk. PC-DMIS avslutas automatiskt. När programmet startas om körs det med det valda språket. Du kan inte välja gråtonade språk. Det är möjligt att ett angivet språk är tillgängligt men inte har installerats i det aktuella systemet.

Obs! Var försiktig när du växlar språk. PC-DMIS avslutas automatiskt när du begär att språket ska bytas. Eventuella ändringar av detaljprogrammet sparas inte.


Skriva ut Redigeringsfönstret

I PC-DMIS kan du snabbt och enkelt skriva ut innehållet i Redigeringsfönstret. Så här skickar du innehållet i Redigeringsfönstret till skrivaren:

  • Välj Arkiv | Skriv ut | Skriv ut Redigeringsfönstret. Visa menykarta

  • Klicka på ikonen Skriv ut i verktygsfältet Redigeringsfönster.

  • Tryck på F4.

Förhandsgranska utskriften

Om du vill förhandsgranska utskriften väljer du Arkiv | Skriv ut | Förhandsgr., redigeringsfönstret. Visa menykarta

Ett fönster för förhandsgranskning av utskrift öppnas:

Fönstret Förhandsgranska för Redigeringsfönstret

Innehållet i Redigeringsfönstret visas i fönstret Förhandsgranska

Knapparna högst upp i fönstret har följande funktioner:

  • Med knappen Skriv ut öppnar du standarddialogrutan Utskriftsformat som används när du vill skicka en utskrift till skrivaren.

  • Med knapparna Nästa sida och Föreg. sida bläddrar du i en utskrift som består av flera sidor.

  • Med knappen för växling mellan En sida och Två sidor anger du hur många sidor som visas åt gången i förhandsgranskningsfönstret.

  • Med knapparna Zooma in och Zooma ut kan du titta närmare på en sida i förhandsgranskningsfönstret. Det påverkar inte visningen av det som skickas till skrivaren.

  • Med knappen Stäng stänger du förhandsgranskningsfönstret.

Viktigt! När du skriver ut innehållet i Redigeringsfönstret bör du använda ett TrueType-teckensnitt (till exempel Courier New) så att tecken och linjer skrivs ut som förväntat. Information om hur du ändrar vilka teckensnitt som används i Redigeringsfönstret och i rapporter finns i Anpassa teckensnitt i användargränssnittet i avsnittet Navigera i användargränssnittet .


Skriva ut Grafikfönstret

I PC-DMIS kan du skicka innehållet från Grafikfönstret till skrivaren. Om du vill göra det väljer du menyalternativet Arkiv | Skriv ut | Skriv ut grafikfönster. Innan du skriver ut innehållet i fönstret kan du ställa in utskriftsalternativ och förhandsgranska utskriften.

Mer:

Ställa in alternativ för utskrift och skrivare

Förhandsgranska utskriften


Ställa in alternativ för utskrift och skrivare för Grafikfönstret

Om du väljer menyalternativet Arkiv | Skriv ut | Utskriftsformat, grafikfönster öppnas dialogrutan Skrivarinställning och utmatningsalternativ.

Dialogrutan Skrivarinställning och utmatningsalternativ

I dialogrutan gör du inställningar för skrivaren och anger olika visningsalternativ. Använd de tillgängliga alternativen i området Alternativ om du vill välja vilken typ av grafisk vy som ska skrivas ut. Alternativen är bland annat:

Passa sidformat – Med detta alternativ skalanpassas den grafiska bilden så att den passas in på en sida.

Skriv ut synlig del av skärmen – Med detta alternativ skrivs endast den synliga delen av skärmen ut. Om du har zoomat in ett element skrivs endast det som syns på skärmen ut, inte hela detaljen.

Skriv ut kompletta vyer – Med detta alternativ skrivs de vyer som har definierats i området Layout i dialogrutan Konfigurera vyer ut på separata sidor. Om du till exempel visar vyerna för Z+ och Y- i en del av Grafikfönstret skrivs det ut två separata sidor från PC-DMIS, en med vyn för Z+ och en med vyn för Y-.

Skriv ut kompletta vyer i aktuell skala – Detta alternativ har samma funktion som alternativet Skriv ut kompletta vyer, men skriver ut i aktuell skala. Om du har zoomat in bilden skrivs hela vyn ut, men bilden delas upp på flera sidor.

Med kryssrutan Visa linjaler skrivs även eventuella linjaler som visas i Grafikfönstret ut. Om du vill att linjaler ska visas använder du dialogrutan Konfigurera vyer (Redigera | Grafikfönster | Vyer). Se Konfigurera skärmvisningen i avsnittet Redigera CAD-visningen.

Du öppnar dialogrutan Skrivarinställning med knappen Skrivarinställning. I dialogrutan väljer du pappersstorlek och sidorientering och får åtkomst till övriga skrivaregenskaper.

Klicka på OK om du vill spara ändringarna.


Förhandsgranska utskriften

Du kan enkelt förhandsgranska det som ska skrivas ut i Grafikfönstret genom att välja menyalternativet Arkiv | Skriv ut | Förhandsgr., grafikfönster. Ett fönster för förhandsgranskning av utskrift öppnas.

Innehållet i Grafikfönstret visas i fönstret Förhandsgranska

Knapparna högst upp i fönstret har följande funktioner:

Med knappen Skriv ut öppnar du dialogrutan Utskriftsformat som används när du vill skicka en utskrift till skrivaren.

Med knapparna Nästa sida och Föreg. sida bläddrar du i en utskrift som består av flera sidor.

Med knappen för växling mellan En sida och Två sidor anger du hur många sidor som visas åt gången i förhandsgranskningsfönstret.

Med knapparna Zooma in och Zooma ut kan du titta närmare på en sida i förhandsgranskningsfönstret. Det påverkar inte visningen av det som skickas till skrivaren.

Med knappen Stäng stänger du förhandsgranskningsfönstret.


Skriva ut rapporten

I PC-DMIS kan du skicka en textbaserad rapport till flera typer av utskriftsenheter eller till en fil. PC-DMIS innehåller stöd för en rad skrivare och plottrar. Kontakta en PC-DMIS-säljare om du har frågor om hårdvarukompatibilitet.

Du använder den här funktionen om du vill skriva ut rapporter som innehåller en grafisk återgivning av en detalj. Då väljer du menyalternativet Arkiv | Skriv ut | Skriv rapport. Innan du skriver ut återgivningen av detaljen kan du ställa in utskriftsalternativ för utskriften.

Viktigt! När du skriver ut rapporten bör du använda ett TrueType-teckensnitt (till exempel Courier New) så att tecken och linjer skrivs ut som förväntat. Information om hur du ändrar vilka teckensnitt som används i Redigeringsfönstret och i rapporter finns i Anpassa teckensnitt i användargränssnittet i avsnittet Navigera i användargränssnittet .

Mer:

Ställa in alternativ för utskrift och skrivare


Ställa in alternativ för utskrift och skrivare för Redigeringsfönstret

Om du väljer menyalternativet Arkiv | Skriv ut | Utskriftsformat, rapport öppnas dialogrutan Utskriftsalternativ.

Dialogrutan Utskriftsalternativ

I dialogrutan anger du vart du vill skicka rapporten. Du kan skicka det till en fil, till en skrivare eller skriva ut det som en DMIS-fil, eller göra en kombination av dessa tre alternativ. Gör så här:

  1. Markera kryssrutan Fil, kryssrutan Skrivare, kryssrutan DMIS-utskrift eller en kombination av de tre kryssrutorna.

  2. Bredvid kryssrutorna kommer det att finnas olika valbara alternativ beroende på vad du har valt i föregående steg.

  3. Klicka på OK (eller tryck på RETUR). Dialogrutan Utskriftsalternativ stängs.

Mer:

Utskrift till en fil:

Utskrift till en fil med hjälp av uttryck

Utskrift till skrivaren:

Utskrift som en DMIS-utskriftsfil:


Utskrift till en fil:

Om utskriften skickas till en fil kan du spara den som en .rtf-fil (Rich Text Format) eller som en .pdf-fil (Portable Document Format). Från början skapas och formateras filnamnet så att det har samma namn som detaljprogrammet samt ett sifferindex före filtillägget. Även om det ursprungliga filnamnet skapas i PC-DMIS behöver det inte följa standardformatet och kan ändras.

Obs! Alternativen Lägg till och Skriv över kan endast väljas efter att det har skapats en fil där informationen tidigare har sparats.

Lägga till en fil:
Om alternativet Lägg till markeras läggs aktuella data från rapporten till i den valda filen. Observera att du måste ange den fullständiga sökvägen till filen. Annars tolkas det i PC-DMIS som samma katalog som detaljprogrammet. Om filen inte finns skapas den när rapporten genereras.

Skriva över en fil:
Den valda filen skrivs över med aktuella data från rapporten. Observera att du måste ange den fullständiga sökvägen till filen. Annars tolkas det i PC-DMIS som samma katalog som detaljprogrammet. Om filen inte finns skapas den när rapporten genereras.

Uppmaning om en destination:
Om du markerar Text visas dialogrutan Spara som där du väljer en målfil för rapporten.

Använda alternativet Auto:
I PC-DMIS skapas det automatiskt ett filnamn för rapporten med hjälp av värdet i rutan Index. Det skapade filnamnet kommer att vara detsamma som namnet på detaljprogrammet med ett tillagt sifferindex och ett filtillägg. Den skapade filen kommer även att sparas i samma katalog som detaljprogrammet. Om det redan finns en fil med samma namn som det skapade filnamnet görs det vid användning av alternativet Auto ett tillägg till indexet så att namnet blir unikt.

Rich Text Format (RTF):
Om du markerar alternativet Rich Text Format (RTF) skapas rapporten i Microsoft Rich Text Format (som en .rtf-fil) för utbytbara dokument. Observera att det skapas en ljus kant runt bilder i rapporter i rtf-format.

För att öppna och läsa pdf-filer måste du installera det kostnadsfria programmet Adobe® Acrobat® Reader™ på datorn om det inte redan är installerat. Du hämtar programmet på Adobes hemsida: http://www.adobe.com/products/acrobat/readstep.html

Portable Document Format (PDF):
Om du markerar alternativet Portable Document Format (PDF) skapas rapporten i Adobe Portable Document Format (som en .pdf-fil) för elektronisk publicering. Utvärderingar i pdf-format saknar den standardinställda blå bakgrunden och innehåller inte symbolen för utvärdering.

Infoga HyperReport:
Den här kryssrutan blir tillgänglig om du väljer alternativet Portable Document Format (PDF). Om du markerar kryssrutan kommer data från utskrift av rapporten och HyperView-kommandon att visas i samma pdf-fil. Observera att detta alternativ ersätter alternativet AUTOSKRIV för HyperReport-kommandon. Observera även att du inte kan skriva ut HyperReports i rtf-filer.

Obs! Funktionen för att skapa HyperView-rapporter har tagits bort och ersatts av nya mallfunktioner för rapportering. Du kan däremot köra HyperView-rapporter så att PC-DMIS är bakåtkompatibelt. Mer information finns i avsnittet Rapportera mätresultat .

Använd globala utskriftsinställningar:
Den här kryssrutan blir tillgänglig om du väljer en markeringsgrupp i fönstret Markeringsgrupper och därefter öppnar dialogrutan. Genom att markera kryssrutan Använd globala utskriftsinställningar anger du att globala parametrar för utskriftsfiler ska användas för markeringsgruppen. Om du markerar kryssrutan åsidosätts de specifika standardinställningarna för utskrift som används för markeringsgrupper och ersätts av de globala inställningarna för detaljprogrammet, vilket innebär att du får större kontroll över utskriften. Om du markerar kryssrutan får du mer kontroll över de namngivningskonventioner för utskrift till fil som används med markeringsgrupper.


Utskrift till en fil med hjälp av uttryck

I PC-DMIS 3.6 och senare versioner kan du använda uttryck i rutan Fil i dialogrutan Utskriftsalternativ. Med hjälp av den här funktionen kan du använda både detaljprogramkoden och dialogrutan Utskriftsalternativ för att dynamiskt ändra utskriftsfilens målkatalog.

Anta att två användare, Johan och Anna, vill skicka var sin rapport för samma detaljprogram till en befintlig underkatalog som baseras på användarens namn. Istället för att öppna dialogrutan Utskriftsalternativ och ändra målkatalogen och protokollets namn för varje användare kan användarna helt enkelt ange sina namn i en kommentar och därefter använda kommandon för tilldelning och programflöde för att spara de olika målkatalogerna och rapportnamnen i en variabel, enligt följande exempel:

C1 =KOMMENTAR/INMATN,JA,Skriv in ditt namn:

IF/C1.INMATN == "Johan"

TILLDELA/VAR_FILNAMN = "C:\\inspectionreports\\Johan\\Johan.rtf "

KOMMENTAR/OPER,NEJ,VAR_FILNAMN

SLUT_OM/

ANNARS_OM/C1.INMATN == "Anna"

TILLDELA/VAR_FILNAMN = "C:\\inspectionreports\\Anna\\Anna.rtf "

KOMMENTAR/OPER,NEJ,VAR_FILNAMN

SLUT_ANNARS_OM/

ANNARS/

TILLDELA/VAR_FILNAMN = "C:\\inspectionreports\\" + C1.INMATN + ".rtf"

KOMMENTAR/OPER,NEJ,VAR_FILNAMN

SLUT_ANNARS/

Därefter kan du skriva in variabeln VAR_FILNAMN i rutan Fil i dialogrutan Utskriftsalternativ, enligt följande exempel:

VAR_FILNAMN i rutan Fil

VAR_FILNAMN i rutan Fil

När du sedan kör detaljprogrammet kommer rapporten att få namnet Johan.rtf om Johan är användare, och sparas då i hans katalog, eller Anna.rtf om Anna är användare, och då sparas den i hennes katalog. Om en annan användare anger sitt namn sparas rapporten i standardkatalogen, C:\Inspectionreports\.

  • Mer information om kommentarer finns i Infoga programmeringskommentarer i avsnittet Infoga rapportkommandon.

  • Mer information om uttryck och variabler finns i avsnittet Använda uttryck och variabler.

  • Mer information om programflödeskommandon finns i avsnittet Förgrening genom användning av programflödeskommandon.


Utskrift till skrivaren:

Om kryssrutan Snabbutskrift är markerad ändras teckensnittet i PC-DMIS till ett teckensnitt som passar vid snabbutskrift. Eventuella färger som används i rapporten (för att särskilja toleranser, lägen, m.m.) kommer att ändras till svart. Med dessa förändringar går utskriften snabbare.


Utskrift som en DMIS-utskriftsfil:

Om kryssrutan DMIS-utskrift är markerad kan du spara informationen i rapporten som en DMIS-utskriftsfil. Då blir tre kryssrutor (Skriv över utfilen, Skriv ut nominella värden och Skriv ut element + utvärderingar) och knappen Spara som tillgängliga.

Spara som

  • Om du klickar på knappen Spara som öppnas dialogrutan Spara som. Där kan du spara information från Redigeringsfönstret i DMIS-utskriftsformat i valfri fil och katalog. Tillgängliga filformat använder filtilläggen .dmo, .dms och .dmi.

Skriv över utfilen

  • Om du markerar Skriv över utfilen ersätts den gamla utfilen i PC-DMIS med den nya filen. Om du inte markerar den här kryssrutan görs det automatiskt ett tillägg till det filnamn som anges i dialogrutan Spara som utan att några tidigare filer skrivs över.

    Om du till exempel tidigare har valt "test.dmo" som utfil och inte har markerat Skriv över utfilen kommer en ny fil att sparas som "test1.dmo" nästa gång detaljprogrammet körs. Nya körningar av detaljprogrammet sparas på samma sätt med utökade filnamn.

  • Om du ställer in Skriv över utfilen till det tredje läget (ljusgrå bock) öppnas den angivna filen som bilaga i läget Lägg till. Detta är i enlighet med DMIS-konventionen som innebär att du kan aktivera, avaktivera och återaktivera utskrift till samma fil. Detta kommer endast att fungera korrekt i PC-DMIS om filen ursprungligen öppnades med en markering för Skriv över utfilen.

Skriv ut nominella värden

  • Om du markerar Skriv ut nominella värden skrivs de nominella värdena samt de mätta värdena från PC-DMIS ut i den utgående DMIS-filen. Om du inte markerar kryssrutan inkluderas inte några nominella värden i rapporten.

  • Om du ställer in Skriv ut nominella värden till det tredje läget (ljusgrå bock) skrivs endast de nominella värden som uttryckligen skrevs ut från det ursprungliga DMIS-programmet ut i rapporten. Det tredje läget är användbart om detaljprogrammet har skapats genom en DMIS-importprocess och du vill behålla samma DMIS-utskriftsformat.

Skriv ut element + utvärderingar

  • Om du markerar Skriv ut element + utvärderingar sparas de mätta elementen och de toleranser som är kopplade till dem tillsammans i utfilen. I PC-DMIS skrivs mätresultaten direkt före de kopplade toleransresultaten för varje utvärdering som har kopplats till elementet.

    Om ett element inte har kopplats till någon tolerans skapas det inte någon utskrift i PC-DMIS.

  • Om du inte markerar Skriv ut element + utvärderingar skrivs mätresultaten direkt när elementet mäts och inte senare när de kopplade utvärderingarna utförs i PC-DMIS.

Obs! Sifferdelen av filnamnet bör inte vara längre än 10 siffor. I annat fall riskerar du att skriva över äldre utskriftsfiler.


Starta äldre program

I PC-DMIS kan du starta befintliga äldre program från PC-DMIS. Välj lämpligt menyalternativ i undermenyn Arkiv | Starta.

  • MM

  • Tutor

  • Chorus

  • Master

  • Quindos

  • MeasureMax

När du avslutar ett äldre program återaktiveras PC-DMIS.


Stänga eller avsluta detaljprogram

  • Om du väljer Stäng sparas och stängs det aktiva detaljprogrammet. Om detaljen inte har sparats uppmanas du att ange ett filnamn och spara filen.

  • Om du väljer Stäng utan att spara avslutas det aktuella detaljprogrammet utan att eventuella ändringar sparas. Endast data som har sparats kommer att kunna läsas. Om du väljer att stänga ett program får du en fråga om du vill stänga programmet utan att spara det. Om du vill spara detaljprogrammet väljer du NEJ i meddelanderutan och följer instruktionerna under Spara detaljprogram.

Obs! Om du stänger Rapportfönstret, Redigeringsfönstret och Grafikfönstret genom att klicka på X högst upp till höger i fönsterlisten sparas detaljprogrammet i PC-DMIS innan fönstret stängs. Om du döljer fönstren via Visa-menyn är detaljprogrammen fortfarande öppna.


Avsluta PC-DMIS

Om du vill stänga det aktuella detaljprogrammet och avsluta PC-DMIS väljer du kommandot Arkiv | Avsluta. Till skillnad från vid kommandot Arkiv | Stäng utan att spara sparas det aktuella detaljprogrammet automatiskt i PC-DMIS innan det avslutas om du väljer Arkiv | Avsluta.


Använda avancerade filalternativ

Använda avancerade filalternativ: Inledning

Importera CAD-data

Så här importerar du en datafil till ett detaljprogram:

Referera till en CAD-fil för flera detaljprogram

Importera flera CAD-filer

Slå ihop/ersätt

Importera en IGES-fil

Importera DMIS-filer

Inställningar för DMIS-import – fliken Allmänt

Inställningar för DMIS-import – fliken Moduler

Inställningar för DMIS-import – fliken Fellogg

Inställningar för DMIS-import – fliken Avancerat

Kommentarer till översättning mellan ChorusNT och PC-DMIS

Steg 1: Konfigurera PC-DMIS

Steg 2: Skapa och kalibrera mäthuvudsfilen i PC-DMIS

Steg 3: Skapa PC-DMIS-programfilen och importera DMIS-filen

Steg 4: Avsluta den automatiska importfasen

Steg 5: Manuell verifiering av PC-DMIS-programmet

Att uppmärksamma samt tips och råd

Importera STEP-, VDAFS- och DXF/DWG-filer

Bearbeta oberoende objekt

Byta ordning på U-V-området för spline-ytor

Importera

Importera en XYZIJK-fil

Kommentarer om XYZIJK-filer

Importera en STL-fil

Importera en CATIA-fil

Modellavsnitt

Axelval

Bearbetningsalternativ

Trim-inställningar

Importera en Pro/ENGINEER-fil

Bearbetningsalternativ

Importera en Unigraphics- eller Parasolid-fil

Importera en MMIV-fil

Importera en Tutor-fil

Skapa och redigera filer för mäthuvudskompensering mellan Tutor och PC-DMIS

Importera modell via DCI

Tessellera en detalj utan en CAD-licens

Använda dialogrutan IGES-data

Omarbeta 2D CAD till 3D

Exportera CAD-data eller programdata

Exportera en IGES-fil

Exportera en DES-fil

Exportera en STEP-fil

Exportera en VDAFS-fil

Exportera modell till I-DEAS

Exportera till en BASIC-fil

E xportera till en DMIS-fil

Ändra visningen av importerade/exporterade bilder

Ändra visningen av importerade CAD-data

Om tillgängliga alternativ

Ändra visningen av exporterade CAD-data

Om tillgängliga utskriftsalternativ

S tälla in importalternativ

Köra detaljprogram

Köra

Köra element

Köra från

Köra från markören

Köra block

Köra från en startpunkt

K örning i egen ordning

Använda dialogrutan Inställningar, körning

Maskinfel

Maskinkommandon

Fortsätt

Stopp

Ta bort mätpunkt

Hoppa över

Stega nästa

H oppa till

Kontrollera elementmätning manuellt

Ändra storleken på dialogrutan Inställningar, körning

Skapa och hämta arbetsblad


Använda avancerade filalternativ: Inledning

PC-DMIS innehåller många alternativ för förändring av detaljprogram och hantering av viktiga filer. Precis som i de flesta andra Windows-baserade program kan du utföra grundläggande filhantering i standardiserade Windows-dialogrutor om du till exempel vill skapa, öppna, kopiera, byta namn på eller ta bort filer. I PC-DMIS kan du dessutom utföra mer avancerade filåtgärder som att importera och exportera CAD-data eller köra komplicerade detaljprogram.

Här får du en genomgång av avancerade filalternativ. Information om grundläggande filalternativ finns i avsnittet Använda grundläggande filalternativ.

Alternativen i detta avsnitt är:

  • Importera CAD- eller programdata

  • Exportera CAD- eller programdata

  • Ändra visningen av importerade/exporterade bilder

  • Köra detaljprogram

Alternativen och kommandona ovan beskrivs i detta avsnitt.


Importera CAD-data eller programdata

Om du använder menyalternativet Arkiv | Importera visas en undermeny med datatyper som kan importeras till det aktuella detaljprogrammet. Datatyperna är antingen CAD-data som har importerats till CAD-filen eller detaljprogramdata som importeras till detaljprogrammet. När du väljer ett menyobjekt visas en dialogruta för Öppna.

De indatafiler som kan användas är följande filtyper:

  • CAD-import – CAD (PC-DMIS),CATIA, CATIA 5, DES, DXF, GDX, IGES, Parasolid, Pro/E, STEP, STL, Unigraphics, VDAFS eller XYZIJK

  • Import av detaljprogram – AVAIL, Chorus DMIS, DMIS, MMIV, Mätberedning (IP), Tutor, MeasureMax

  • Direkt CAD – CATIA, Unigraphics, Pro/E, ACIS, I-DEAS, CATIA5, SolidWorks och Solid Edge

CAD-data bevaras som en separat fil i PC-DMIS. Filen kommer att ha samma namn som detaljprogrammet men med filtillägget .CAD. Alla åtgärder, till exempel BYT NAMN, TA BORT och KOPIERA utförs på den kopplade CAD-filen (om det finns en sådan).

Exempel: Här används ett detaljprogram med filnamnet TEST.PRG. Om du lägger till CAD-data till detaljprogrammet skapas en CAD-fil med namnet TEST.CAD som sparas i samma katalog. Om du senare tar bort detaljprogrammet TEST.PRG från undermenyn Åtgärder kommer även filen TEST.CAD att tas bort ur PC-DMIS.

I version 3.5 och senare versioner av PC-DMIS kan du importera befintliga .CAD-filer som kan användas med flera detaljprogram. Mer information om detta finns i Referera till en CAD-fil för flera detaljprogram.

Mer:

Så här importerar du en datafil till ett detaljprogram:

Slå ihop/ersätt

Importera en CAD-fil

Importera en CATIA-fil

Importera en CATIA 5-fil

Importera en DES-fil

Importera DXF/DWG-filer

Importera en GDX-fil

Importera en IGES-fil

Importera en IGES-fil (alternativ)

Importera en Pro/ENGINEER-fil

Importera en STEP-fil

Importera en STL-fil

Importera en Unigraphics- eller Parasolid-fil

Importera en VDAFS-fil

Importera en XYZIJK-fil

Importera ett Avail- eller MMIV-program

Importera ett ChorusNT-program

Importera ett DMIS-program

Importera ett Tutor-program

Importera modell via DCI


Så här importerar du en datafil till ett detaljprogram:

  1. Visa menykarta Välj menyalternativet Arkiv | Importera och välj därefter vilken datatyp som ska importeras. Dialogrutan Öppna öppnas.

  2. Bläddra till de önskade datafilerna.

  3. Välj önskad typ av importfil i den nedrullningsbara listan Filformat längst ned i dialogrutan och välj därefter vilken fil som ska matas in. Om det redan finns CAD-data kopplade till det valda detaljprogrammet kan du hoppa över det här steget.

  4. Klicka på knappen Importera. Om det redan finns importerade CAD-data för det aktuella detaljprogrammet anger du om du vill ersätta befintliga CAD-data eller slå ihop CAD-data. Klicka på Slå ihop eller Ersätt. Mer information finns i Slå ihop/ersätt.

  5. Beroende på vilken datatyp du valde följer du instruktionerna i resten av dialogrutorna.

  6. CAD-filen importeras.

Du kan när som helst under detaljprogrammet lägga till eller slå ihop CAD-data genom att följa stegen i Slå ihop/Ersätt på sidan 5-79.

Obs! Med detta importalternativ kan du även importera en översatt DOS-fil. Se avsnittet Översätta ett detaljprogram till PC-DMIS.

Mer:

Importera flera CAD-filer


Importera flera CAD-filer

I PC-DMIS kan du importera flera CAD-filer på samma gång. Detta är användbart om du vill importera samma detaljmodell som både trådmodell och solid. Om du vill importera flera CAD-filer klickar du på ikonen Importera CAD i verktygsfältet Guider. En dialogruta öppnas. Markera de filer som ska importeras och välj därefter Öppna. Därefter kan du välja att slå ihop data.

Mer information finns i Verktygsfältet Guider i avsnittet Använda verktygsfält.


Slå ihop/ersätt

När du importerar en CAD-fil öppnas dialogrutan Lägg till importerade data om det redan finns CAD-data kopplade till det valda detaljprogrammet. Du väljer att antingen slå ihop eller ersätta CAD-data.

  • Om du markerar alternativet Slå ihop (nya data) kommer inmatade data att läggas till i detaljprogrammet utan att befintliga data tas bort.

  • Om du markerar alternativet Ersätt kommer befintliga data att tas bort och ersättas med nya inmatade data.

Klicka på Åter om du vill gå tillbaka till dialogrutan Öppna.

Obs! För vissa importerade filtyper ersätts befintliga CAD-data automatiskt av importerade data. I de fallen öppnas inte dialogrutan Lägg till importerade data.


Importera en CAD-fil

  1. Visa menykarta Välj menyalternativet Arkiv | Importera | CAD. Dialogrutan Öppna öppnas.

  2. Gå till den katalog där filen som ska importeras finns.

  3. Klicka på Importera för att importera filen. CAD-filen importeras till PC-DMIS.

Du hänvisar till en CAD-fil från flera detaljprogram. Mer information om hur du gör finns i avsnittet Referera till en CAD-fil för flera detaljprogram.


Referera till en CAD-fil för flera detaljprogram

I tidigare versioner av PC-DMIS skapades det automatiskt en ny .CAD-fil om du skapade ett nytt detaljprogram som använde samma IGES-fil som andra detaljprogram. I version 3.5 och senare versioner kan flera detaljer referera till en enstaka .CAD-fil. Detta är särskilt användbart om flera detaljprogram använder samma CAD-modell. Om du använder stora CAD-modeller kan du spara mycket diskutrymme genom att låta flera detaljprogram referera till en enda CAD-fil.

Så här refererar du till en .CAD-fil som används i ett annat detaljprogram:

  1. Visa menykarta Välj menyalternativet Arkiv | Importera | CAD-referens. Dialogrutan Öppna öppnas.

  2. Gå till den katalog där filen som ska importeras finns.

  3. Klicka på Importera för att importera filen. CAD-filen importeras till PC-DMIS.

Följ instruktionerna i Så här importerar du en datafil till ett detaljprogram i detta avsnitt. När dialogrutan Importera data öppnas väljer du CAD-referens som datatyp för importen och fortsätter därefter med importen.

Obs! Det är inte tillåtet med cirkelreferenser till .CAD-filer och om en sådan görs visas det alltid ett felmeddelande. Det kommer till exempel att uppstå ett fel om du skapar ett nytt detaljprogram, importerar en IGES-fil, sparar detaljprogrammet och senare försöker importera den .CAD-fil som tillhör filen.

Om du efter importen använder menyalternativet Visa | CAD-info för att se information om ett CAD-element visas filsökvägen för den refererade CAD-filen (se Visa CAD-information i avsnittet Redigera CAD-visningen.

Visa menykarta Obs! Observera att om CAD-modellen ändras – antingen den ursprungliga modellen eller en refererad CAD-modell – ändras även alla detaljprogram som baseras på den aktuella CAD-modellen. Om du till exempel ändrar den ursprungliga CAD-modellen kommer samma ändringar att göras för de modeller som refererar till den ursprungliga modellen. På motsvarande sätt utförs ändringar av en refererad modell även i den ursprungliga modellen.


Importera en CATIA-fil

I PC-DMIS kan du översätta en CATIA-fil och importera den till ett detaljprogram. Den här typen av import skiljer sig från direkt överföring av CATIA CAD-filen som beskrivs i Installera och använda direkt CAD-gränssnitt i CATIA i avsnittet Direkt överföring av en CAD-fil.

Så här importerar du en CATIA-fil:

  1. Öppna det detaljprogram i PC-DMIS som du vill importera CATIA-programfilen till.

  2. Visa menykarta Välj menyalternativet Arkiv | Importera | CATIA. Dialogrutan Öppna öppnas.

  3. Markera CATIA-filer i listan Filformat längst ned i dialogrutan. Då visas programfiler med följande filtillägg: .mod, .exp, .iso och .cat.

  4. Bläddra i de tillgängliga katalogerna tills du hittar den önskade CATIA-filen och markera filen i listan.

  5. Klicka på knappen Importera. Dialogrutan Importera CATIA öppnas.

Dialogrutan Importera CATIA

  6. Med hjälp av beskrivningen av rubrikerna nedan markerar du önskade alternativ i dialogrutan Importera CATIA.

  7. Klicka på OK för att importera filen till PC-DMIS.

Mer:

Modellavsnitt

Axelval

Bearbetningsalternativ

Trim-inställningar


Modellavsnitt

Om CATIA-filer innehåller mer än en modell kan du välja vilken modell som ska importeras i listan Modellval.


Axelval

I listan Axelval kan du ange vilken axel i koordinatsystemet som ska användas för den importerade modellen.


Bearbetningsalternativ

I området Bearbetningsalternativ kan du filtrera de importerade objekten. Med listorna i detta område kontrollerar du vilka objekt från modellen som ska importeras. Det finns tre filter: Objekttyp, objektfärg och objektlager. Du kan kombinera filtren för att begränsa vilka objekt som importeras.

Exempel: Anta att du har en fil som består av ett antal objekttyper och -färger i flera lager. Bland alla objekt som ska importeras kan du markera en specifik typ, till exempel en kurva. Du kan sedan filtrera listan över kurvor efter en specifik objektfärg, till exempel blå. Den nya listan över blå kurvor kan därefter filtreras efter objektlager, till exempel 15. Då importeras blå kurvor som finnns i lager 15.

Bearbeta alla objekt

Markera den här kryssrutan om du vill importera alla objekttyper. Om du vill filtrera vilka specifika objekttyper som importeras avmarkerar du kryssrutan och markerar de objekttyper som ska importeras i listan. Du kan markera flera objekt genom att hålla tangenten CTRL nedtryckt medan du markerar objekten.

Bearbeta alla färger

Markera den här kryssrutan om du vill importera objekt med en viss färg. Om du vill filtrera vilka färger som importeras avmarkerar du kryssrutan och markerar de färger som ska importeras i listan.

Bearbeta alla lager

Markera den här kryssrutan om du vill importera alla lager i modellen. Om du vill filtrera vilka lager som importeras avmarkerar du kryssrutan och markera de lager som ska importeras i listan.

Bearbeta dolda objekt

Markera den här kryssrutan om du vill importera dolda objekt. Om du inte vill importera dolda objekt avmarkerar du kryssrutan.


Trim-inställningar

I området Trim-inställningar anger du hur trimmade ytor ska visas i PC-DMIS.

Välj alternativet UV trim om du vill att ytorna ska trimmas i parameterutrymmet.

Välj alternativet XYZ trim om du vill att ytorna ska trimmas i modellutrymmet.

I teorin bör den översatta modellen som blir resultatet vara densamma oberoende av vilket trimalternativ du väljer. Men om du importerar dåligt definierade modeller påverkas slutresultatet ofta av det valda alternativet. I allmänhet får du bäst resultat med alternativet UV trim.


Importera en CATIA 5-fil

  1. Visa menykarta Välj menyalternativet Arkiv | Importera | CATIA 5. Dialogrutan Öppna fil öppnas.

  2. Bläddra på hårddisken och markera en CATIA 5-fil.

  3. Klicka på knappen Importera. Dialogrutan Importera CATIA 5 öppnas.

Dialogrutan Importera Catia
Dialogrutan Importera Catia 5

  4. Markera de objektstyper som ska importeras i området Bearbetningsalternativ. Markera kryssrutan Bearbeta alla objekt om du vill att alla tillgängliga objekt ska bearbetas. Klicka på OK om du vill importera modellfilen till PC-DMIS. Därefter kan du använda den importerade modellen i PC-DMIS.


Importera en DES-fil

  1. Visa menykarta Välj menyalternativet Arkiv | Importera | DES. Dialogrutan Öppna fil öppnas.

  2. Bläddra på hårddisken och markera en DES-fil (DES = Data File Exchange).

  3. Klicka på knappen Importera. Dialogrutan DES-fil öppnas.

Dialogrutan DES-fil
Dialogrutan DES-fil

  4. Markera Element eller Fixtur för att ange vilken typ av data som ska importeras. Om du markerar Element kan du använda elementetiketter genom att markera kryssrutan Använd symboler.

  5. Markera något av alternativen XYZ (LBH) eller XZY (LHB) för att ange riktningen för importerade data.

  6. Markera alternativet Metrisk om det inte har angetts några enheter i DES-filen.

  7. Markera alternativet Bryt upp polylinjer till punkter om du vill omvandla importerade linjer till punkter. Du kan även behålla de importerade polylinjerna genom att markera alternativet Behåll polylinjer.

  8. Klicka på Bearbeta om du vill importera DES-filen.

  9. Klicka på OK om du vill godkänna den bearbetade filen.


Importera en DXF-fil

Importera en DXF/DWG-fil

  1. Visa menykarta Välj menyalternativet Arkiv | Importera | DXF. Dialogrutan Öppna öppnas.

  2. Markera den datatyp som ska importeras i listan Filformat.

  3. Gå till den katalog där filen som ska importeras finns.

  4. Klicka på Importera för att importera filen. Dialogrutan Status för DXF/DWG-import öppnas i PC-DMIS.

Dialogrutan Status för DXF/DWG-import

  5. Klicka på OK när DXF- eller DWG-filen har översatts. Om det uppstår ett fel vid översättningen kan du inte klicka på OK. Klicka i stället på Avbryt om du vill förhindra att den importerade filen läggs till.


Importera en GDX-fil

  1. Visa menykarta Välj menyalternativet Arkiv | Importera | GDX. Dialogrutan Öppna öppnas.

  2. Markera den datatyp som ska importeras i listan Filformat.

  3. Gå till den katalog där filen som ska importeras finns.

  4. Klicka på Importera för att importera filen. Dialogrutan Status för GDX-import öppnas.

Dialogrutan Status för GDX-import

  5. Klicka på OK när GDX-filen har översatts. Om det uppstår ett fel vid översättningen kan du inte klicka på OK. Klicka i stället på Avbryt om du vill förhindra att den importerade filen läggs till.


Importera en IGES-fil

  1. Visa menykarta Välj menyalternativet Arkiv | Importera | IGES. Dialogrutan Öppna öppnas.

  2. Bläddra till den katalog där detaljfilen finns.

  3. Markera filen.

  4. Klicka på knappen Importera. Dialogrutan IGES-fil öppnas i PC-DMIS. I dialogrutan IGES-fil visas viktig information om den angivna datafilen.

  • Om du vill ange vilka CAD-data som bearbetas och visas klickar du på Inställningar (se Ändra visningen av importerade/exporterade bilder).

  • Om du vill se specifika IGES-elementdata klickar du på Data (se Använda dialogrutan IGES-data).

  • Om du vill bifoga den här filen till det markerade detaljprogrammet klickar du på kommandoknappen Bearbeta. I PC-DMIS anges när filen har bearbetats till 100 %.

    8. Om du vill ändra en 2D CAD-ritning tredimensionellt och därigenom skapa önskade 3D-nivåer klickar du på Omarbeta 2D CAD till 3D. När du gör det bör ursprungliga data definieras i ett enskilt plan som är parallellt med Z-planet (= 0). Mer information om alternativet finns under Skapa CAD 3D i fönstret Skapa lager i avsnittet Redigera CAD-visningen.

    9. Klicka på OK när du vill slutföra åtgärden. Då återgår du till det öppna detaljprogrammet i PC-DMIS.

    Om du väljer Avbryt avbryts åtgärden och dialogrutan IGES-fil stängs.

    Information om de olika formaten för importerade filer finns i Arbeta i offlineläge.

    Mer:

    Använda dialogrutan IGES-data

    Omarbeta 2D CAD till 3D


Använda dialogrutan IGES-data

I dialogrutan IGES-data kan du se information om bland annat diameter och XYZ-nominal för ett element genom att klicka på elementet i listrutan.

Dialogrutan IGES-data

Gör så här om du vill att information om de CAD-data som importeras ska visas i dialogrutan IGES-data:

  1. Börja med att importera CAD- eller IGES-filen (se Importera en IGES-fil).

  2. När dialogrutan IGES-fil öppnas klickar du på Bearbeta för att importera data.

  3. När importen har slutförts klickar du på Data. Dialogrutan IGES-data öppnas.


Omarbeta 2D CAD till 3D

Med knappen Omarbeta 2D CAD till 3D kan du skicka en signal till PC-DMIS om att ändra en 2D CAD-ritning tredimensionellt och därmed skapa önskade 3D-lager. Ursprungliga data bör definieras i ett enskilt plan som är parallellt med Z-planet (= 0).

Mer information om detta alternativ finns i avsnittet Redigera CAD-visningen.


Importera en IGES-fil (alternativ)

I PC-DMIS finns det, utöver standardalternativet för IGES-import, ett alternativ sätt att importera en IGES-fil. Filer bearbetas på ungefär samma sätt som GDX, DXF med flera.

Så här importerar du en IGES-fil:

  1. Visa menykarta Välj menyalternativet Arkiv | Importera | IGES (Alternativ). Dialogrutan Öppna öppnas.

  2. Markera den datatyp som ska importeras i listan Filformat.

  3. Gå till den katalog där filen som ska importeras finns.

  4. Klicka på Importera för att importera filen. Dialogrutan Status för IGES-import öppnas i PC-DMIS.

Dialogrutan Status för IGES-import

  5. Klicka på OK när IGES-filen har översatts. Om det uppstår ett fel vid översättningen kan du inte klicka på OK. Klicka i stället på Avbryt om du vill förhindra att den importerade filen läggs till.


Importera en Pro/ENGINEER-fil

I PC-DMIS kan du översätta en Pro/ENGINEER-fil och importera den till ett detaljprogram. Den här typen av import skiljer sig från direkt överföring av en Pro/ENGINEER-fil som beskrivs i Installera och använda direkt CAD-gränssnitt i Pro/ENGINEER i avsnittet Direkt överföring av en CAD-fil.

Så här importerar du en Pro/ENGINEER-fil:

  1. Öppna det detaljprogram i PC-DMIS som du vill importera Pro/ENGINEER-filen till.

  2. Visa menykarta Välj menyalternativet Arkiv | Importera | Pro/ENGINEER. Dialogrutan Öppna öppnas.

  3. Markera Pro/ENGINEER-filer i listan Filformat längst ned i dialogrutan. Då visas programfiler med följande filtillägg: .prt och .asm.

  4. Bläddra i de tillgängliga katalogerna tills du hittar den önskade Pro/ENGINEER-filen och markera filen i listan.

  5. Klicka på knappen Importera. Dialogrutan Importera Pro/ENGINEER öppnas.

Dialogrutan Importera Pro/ENGINEER

  6. Med hjälp av beskrivningen av rubrikerna nedan markerar du önskade alternativ i dialogrutan Importera Pro/ENGINEER.

  7. Klicka på OK för att importera filen till PC-DMIS.

Mer:

Bearbetningsalternativ


Bearbetningsalternativ

I området Bearbetningsalternativ väljer du vilka typer av objekt som ska importeras.

Bearbeta solid-ytor

Markera den här kryssrutan om du vill importera objekt med solid-ytor.

Bearbeta alla referenser

Markera den här kryssrutan om du vill importera alla referensobjekt. Om du vill filtrera vilka specifika referenser som importeras avmarkerar du kryssrutan och väljer vilka referensobjekttyper som ska importeras i listan.


Importera en STEP-fil

  1. Visa menykarta Välj menyalternativet Arkiv | Importera | STEP. Dialogrutan Öppna öppnas.

  2. Markera den datatyp som ska importeras i listan Filformat.

  3. Gå till den katalog där filen som ska importeras finns.

  4. Klicka på Importera för att importera filen. Dialogrutan Status för STEP-import öppnas i PC-DMIS.

Dialogrutan Status för STEP-import

  5. Klicka på OK när STEP-filen har översatts. Om det uppstår ett fel vid översättningen kan du inte klicka på OK. Klicka i stället på Avbryt om du vill förhindra att den importerade filen läggs till.


Importera en STL-fil

Formatet STL (stereolitografi) är en ASCII-fil eller binär fil som används vid tillverkning. Filen innehåller en lista över triangulära fasetter som beskriver en datorgenererad solid modell. Detta format är standard för de flesta snabba prototypmaskiner.

Exempel på importerad STL-fil

Så här importerar du en STL-fil:

  1. Öppna det detaljprogram i PC-DMIS som du vill importera DMIS-programfilen till.

  2. Visa menykarta Välj menyalternativet Arkiv | Importera | STL. Dialogrutan Öppna öppnas.

  3. Bläddra till den önskade STL-filen och markera filen i listan. STL-filen kan ha ASCII-format eller binärt format.

  4. Klicka på knappen Importera. Data importeras som en lista av fasetter som skapar en solid modell.


Importera en Unigraphics- eller Parasolid-fil

I PC-DMIS kan du översätta en Unigraphics- eller Parasolid-fil och importera den till ett detaljprogram. Den här typen av import skiljer sig från direkt överföring av Unigraphics CAD-filen som beskrivs i hjälpfilen för Direkt CAD-gränssnitt.

Så här importerar du en Unigraphics- eller Parasolid-fil:

  1. Öppna det detaljprogram i PC-DMIS som du vill importera Unigraphics- eller Parasolid-filen till. Hårdvarulåset måste ha programmerats med alternativet Unigraphics för att du ska kunna importera Parasolid-filer.

  2. Visa menykarta Välj Arkiv | Importera | Unigraphics eller Arkiv | Importera | Parasolid. Dialogrutan Öppna öppnas.

  3. Bläddra i de tillgängliga katalogerna tills du hittar den önskade Unigraphics- eller Parasolid-filen och markera filen i listan.

  4. Klicka på knappen Importera. Beroende på filtyp öppnas någon av dialogrutorna Importera Unigraphics eller Importera Parasolid. Dialogrutorna för de båda filtyperna ser i princip ut som rutan nedan:

Dialogrutan Importera Unigraphics

  5. Markera de objektstyper som ska importeras i området Bearbetningsalternativ. Objektstyper som kan importeras är solidmodeller, skalkonstruktioner och dolda objekt.

  6. Klicka på OK för att importera filen till PC-DMIS.


Importera STEP-, VDAFS- och DXF/DWG-filer

1. Välj menyalternativet Arkiv | Importera och välj därefter STEP, VDAFS, DXF eller DWG. Dialogrutan Öppna öppnas.

2. Markera den datatyp som ska importeras i listan Filformat.

3. Gå till den katalog där filen som ska importeras finns.

4. Klicka på Importera för att importera filen. Dialogrutan Importera STEP öppnas i PC-DMIS.

Dialogrutan Importera STEP

Obs! Dialogrutorna för import av de filtyper som tas upp i detta ämne ser ungefär likadana ut som dialogrutan Importera STEP.

Mer:

Bearbeta oberoende objekt

Byta ordning på U-V-området för spline-ytor


Importera en VDAFS-fil

  1. Visa menykarta Välj menyalternativet Arkiv | Importera | VDAFS. Dialogrutan Öppna öppnas.

  2. Markera den datatyp som ska importeras i listan Filformat.

  3. Gå till den katalog där filen som ska importeras finns.

  4. Klicka på Importera för att importera filen. Dialogrutan Status för VDAFS-import öppnas i PC-DMIS.

Dialogrutan Status för VDAFS-import

  5. Klicka på OK när VDAFS-filen har översatts. Om det uppstår ett fel vid översättningen kan du inte klicka på OK. Klicka i stället på Avbryt om du vill förhindra att den importerade filen läggs till.


Importera en XYZIJK-fil

XYZIJK är en typ av enkla filer som innehåller elementinformation i form av xyz-koordinater med eller utan en vektor.

Så här importerar du en XYZIJK-fil:

  1. Visa menykarta Välj menyalternativet Arkiv | Importera | XYZ. Dialogrutan Öppna öppnas.

  2. Gå till den katalog där filen som ska importeras finns.

  3. Klicka på Importera för att importera filen. Den markerade XYZIJK-filen tolkas och importeras till PC-DMIS.

Vilket element som skapas anges genom antalet värden per rad. Raderna i .xyz-filen läses och punkterna omvandlas till följande element beroende på antalet värden per rad:

Antal värden per rad

Beskrivning

Skapat CAD-element

3

1:a värdet=värde för X
2:a värdet=värde för Y
3:e värdet=värde för Z

Punkt utan vektor

4

1:a värdet=värde för X
2:a värdet=värde för Y
3:e värdet=värde för Z
4:e värdet=diameter

CAD-cirkel med arbetsplansbaserad vektor

5

1:a värdet=värde för X
2:a värdet=värde för Y
3:e värdet=värde för Z
4:e värdet=inget
5:e värdet=inget

Punkt utan vektor

6

1:a värdet=värde för X
2:a värdet=värde för Y
3:e värdet=värde för Z
4:e värdet=värde för I
5:e värdet=värde för J
6:e värdet=värde för K

Punkt med en vektor

7

1:a värdet=värde för X
2:a värdet=värde för Y
3:e värdet=värde för Z
4:e värdet=värde för I
5:e värdet=värde för J
6:e värdet=värde för K
7:e värdet=diameter

Cirkel med vektor

8+

1:a värdet=värde för X
2:a värdet=värde för Y
3:e värdet=värde för Z
4:e värdet=värde för I
5:e värdet=värde för J
6:e värdet=värde för K
7:e värdet=inget
8:e värdet=inget

Punkt med en vektor

Exempel: Om XYZ-filen innehåller raden 25,280,750,25 skapas en cirkel med mittpunkten x = 25, y = 280 och z = 750 och diametern 25.

När du har markerat vilken fil som ska importeras visas de skapade elementen från XYZ-filen i dialogrutan XYZ-fil.

Dialogrutan XYZ-fil

Obs! Observera att elementen kanske inte skapas i samma ordning i .xyz-filen och i PC-DMIS.

När du har klickat på OK visas de skapade CAD-elementen i Grafikfönstret.

Mer:

Kommentarer om XYZIJK-filer


Kommentarer om XYZIJK-filer

I PC-DMIS läses alla textfiler som innehåller XYZ- (och eventuellt IJK-)data. Filen bör innehålla de nominella (teoretiska) mätpunkter som ska mätas. Filen måste uppfylla följande regler:

  1. Kolumnerna 1–6 i i filens första rad måste innehålla tecknen XYZIJK. Det är nyckelordet som gör att filtypen kan skiljas från DES- och IGES-filer. Tecknen måste vara skrivna med versaler.

På filens första rad:
Kol. 1 = X
Kol. 2 = Y
Kol. 3 = Z
Kol. 4 = I
Kol. 5 = J
Kol. 6 = K

  2. Om filen innehåller data i metriskt format måste kolumnerna 11–16 på den första raden innehålla ordet METRIC. Det innebär:

Kol. 11 = M
Kol. 12 = E
Kol. 13 = T
Kol. 14 = R
Kol. 15 = I
Kol. 16 = C

Om nyckelordet METRIC inte förekommer i filen är standarden TUM.
Resten av den första raden bör vara tom.

  3. Varje därpå följande rad måste innehålla tre till åtta flyttal åtskilda av kommatecken.

Anta till exempel att XYZIJK-filen ser ut så här:

Exempel på XYZIJK-fil i en textredigerare

  • Rad 1 innehåller nyckelordet XYZIJK och eftersom nyckelordet METRIC inte står i kolumnerna 11 till 16 standardinställs filen till TUM.

  • Rad 2 skapar en punkt med en vektor.

  • Rad 3 skapar en punkt med en vektor.

  • Rad 4 skapar en punkt med en vektor.

  • Rad 5 skapar en cirkel med en vektor och en diameter.

När filen har importerats visas följande resultat i Grafikfönstret:

Så här visas exemplet på XYZIJK-filen i Grafikfönstret efter att den har importerats till PC-DMIS.


Importera ett ChorusNT-program

Överföringen från ChorusNT till PC-DMIS beror på huruvida det går att importera ett detaljprogram från Chorus DMIS till PC-DMIS och konvertera det ursprungliga DMIS-programmet till motsvarande kommandon för en detaljprogramfil i PC-DMIS, det vill säga en fil med filtillägget .prg.

I PC-DMIS kan de flesta DMIS-kommandon omvandlas till PC-DMIS-kommandon och Wilcox Associates, Inc. arbetar på att ge fullt stöd till Chorus-tilläggen för att förenkla automatisk konvertering och minimera antalet manuella ändringar efter automatisk import.

I PC-DMIS 3.6 och senare versioner börjar du importen av ChorusNT-tillägg på följande sätt:

  1. Visa menykarta Välj menyalternativet Arkiv | Importera | Chorus DMIS. Dialogrutan Öppna öppnas.

  2. Markera en DMIS-fil och klicka på Öppna.

  3. Dialogrutan Inställningar för DMIS-import öppnas.

I dialogrutan kan du ställa in följande obligatoriska information för importfasen:

  • Ange namnet på den använda mäthuvudsfilen för varje arm.

  • Aktivera varningsmeddelandet i slutet av importfasen.

  • Aktivera alternativ för specifika kunder och hårdvarukonfigurationer.

Följande ämnen innehåller de grundläggande stegen för korrekt import och översättning av DMIS-filen till en detaljprogramfil i PC-DMIS.

Mer

Steg 1: Konfigurera PC-DMIS

Steg 2: Skapa och kalibrera mäthuvudsfilen i PC-DMIS

Steg 3: Skapa PC-DMIS-programfilen och importera DMIS-filen

Steg 4: Avsluta den automatiska importfasen

Steg 5: Manuell verifiering av PC-DMIS-programmet

Att uppmärksamma samt tips och råd


Steg 1: Konfigurera PC-DMIS

Verifiera inställningarna för PC-DMIS och kontrollera att standardinställningarna i PC-DMIS motsvarar inställningarna i ChorusNT. Du kan till exempel kontrollera mätmaskinens axelkonventioner och värdena för mäthuvudets riktning och topphastighet (mätmaskinens högsta transporthastighet).

Använd PC-DMIS Inställningar för att ställa in följande alternativ i DMIS-avsnittet:

  • DMISMaxMeasurementVelocityMMPS = högsta mäthastighet

  • DMISFedratPcntOfMaxMachineSpeed = 0


Steg 2: Skapa och kalibrera mäthuvudsfilen i PC-DMIS

  • Skapa ett nytt detaljprogram och definiera ett nytt mäthuvud när du uppmanas att göra det. Ge programmet namnet MITTHUVUD.PRB och ange de komponenter du behöver i dialogrutan Mäthuvud.

  • Importera det detaljprogram för Chorus-kalibrering som ska användas som mäthuvud, det vill säga den nyligen skapade filen MITTHUVUD.PRB. SNSDEF-kommandona importeras till PC-DMIS och motsvarande mätspetsvinklar läggs till. Observera att i Chorus identifieras varje mätspets med en DMIS-etikett som ser ut ungefär så här: En mätspets med roll = 0 och pitch = 0 får namnet S(R000P000T1). I PC-DMIS får den namnet T1A0B0.

  • Om du använder ett självkalibrerat mäthuvud i Chorus importerar du ett enkelt DMIS-detaljprogram som innehåller definitionen av det överordnade mäthuvudet och rätt etikett (samma etikett som används i SNSLCT/S(label), till exempel 90, 90), samt värdet 0 för pitch och roll.

  • När du har importerat DMIS-filen innehåller mäthuvudsfilen MITTHUVUD.PRB alla nödvändiga mätspetsar. I PC-DMIS visas en asterisk (*) vid dessa AB-mätspetsvinklar. Det anger att de ännu inte har kalibrerats.

  • Kalibrera mätspetsarna. Detta gör du på något av följande sätt: 1) Kör detaljprogrammet. 2) Klicka på knappen Mät i dialogrutan Mäthuvud och gör en standardmätning.


Steg 3: Skapa PC-DMIS-programfilen och importera DMIS-filen

  • Skapa ett nytt detaljprogram i PC-DMIS.

  • Importera det detaljprogram från Chorus NT som används för mätning och ange mäthuvudsfilen MITTHUVUD.PRB som skapades i föregående steg.

  • Mätprogram i Chorus innehåller vanligtvis kommandon för SNSLCT/ S(label) eller SNSLCT/SA(label). För självkalibrerade vridbara mäthuvuden kan du ange vinklar för roll och pitch på SNSLCT-etiketten.

När DMIS-filen har importerats till PC-DMIS inleds det slutliga detaljprogrammet med kommandot LADDA_MÄTH/MITTHUVUD.PRB och för varje SNSLCT-kommando visas motsvarande MÄTSPETS-kommando samt rätt A- och B-vinklar.


Steg 4: Avsluta den automatiska importfasen

Importfasen slutförs i PC-DMIS och det visas en rapport i fönstret Varning.

Det kan till exempel se ut så här:

L42: ---: DECL/CHAR,O_D_L[11]

L56: ---: DECL/REAL,TX,TY,TZ,MISX,MISY,MISZ,CXT,CYT,CZT,VX,VY,VZ

L57: ---: DECL/REAL,INVCXT,INVCYT,INVCZT

L112: !MAJOR :MMEDIA/ON,’C:\minfil.exe’

L150: !MAJOR :MRRPCS/D(MRR),0,1,0

L213: ERROR: !UNITS

L253: ERROR: !SNSLCT/S(S_103)

Meddelandena förklaras nedan:

  • L## – Detta står för radnumret för kommandot i det ursprungliga DMIS-programmet (## står för numret). L42 anger till exempel att DMIS-kommandot återfinns på rad 42 i DMIS-programmet.

  • ---: – Detta anger att kommandot ignorerades och inte konverterades till ett motsvarande PC-DMIS-kommando på grund av att det inte finns något motsvarande PC-DMIS-kommando. Du kommer till exempel att se att kommandot DECL alltid ignoreras i PC-DMIS eftersom det inte behövs någon deklaration av variabler i PC-DMIS.

  • !MAJOR – Detta innebär att det angivna DMIS-kommandot (Major DMIS Word) inte stöds.

  • ERROR – Detta innebär att det angivna kommandot inte importerades korrekt.


Steg 5: Manuell verifiering av PC-DMIS-programmet

Gör en manuell verifiering av att översättningen till PC-DMIS fungerar korrekt. Gå igenom detaljprogrammet i kommandoläge. Fel visas som röd text.

Kör programmet i OFFLINE-läge och försök därefter använda mätmaskinen i ONLINE-läge på låg hastighet för att kontrollera att programmet importerades utan problem.


Att uppmärksamma samt tips och råd

ChorusNT och PCDMIS är olika mätsystem och du bör vara medveten om vissa skillnader i programmens egenskaper. Listan nedan innehåller tips och förslag:

Automatisk mätcykel

Enligt DMIS-standard mäts element i ett LÄGE/AUTO-avsnitt med den automatiska mätcykeln och eventuella PTMEAS ignoreras.

Eftersom en automatisk cykel används för POINT, CIRCLE, SPHERE och SLOT (CPARLN) i ChorusNT översätts dessa förekomster till motsvarande AUTO-element. Med tanke på skillnaderna mellan Chorus och PC-DMIS bör du däremot kontrollera körningen av dessa element.

Exempel: I en automatisk cykel för SLOT (rundat spår) tas det först två mätpunkter på en av de raka sidorna i ChorusNT. I PC-DMIS tas mätpunkterna på spårets rundade sidor.

Stjärnmätspetsar

PC-DMIS erkänner filtillägget SNSDEF i ChorusNT som definierar en stjärnmätspets. Kontrollera att inställningen för mäthuvudets riktning i PC-DMIS motsvarar inställningen SNSMNT i ChorusNT.

Konventioner för vridbara mäthuvuden av modellerna CW43, CW43L och IW42.

Konventionerna för rollvinkeln skiljer sig åt mellan ChorusNT och PC-DMIS. Även om vinkeln kan justeras i PC-DMIS vid import av ett DMIS-program från Chorus bör du för säkerhets skull vara uppmärksam första gången du kör det importerade detaljprogrammet.

Nominella värden i ELEM-kommandon

I PC-DMIS används alltid både nominella och mätta värden, och värdena bör vara korrekta (de nominella värdena bör inte avvika alltför mycket från de mätta värdena). Om avvikelsen är stor kan det innebära problem, framför allt med element som används i uppriktningar. Detta beror på att det i PC-DMIS definieras två matriser för varje uppriktning:

  • Den första matrisen är CADTOPART. Med utgångspunkt från de nominella värdena omvandlas dessa värden i elementen.

  • Den andra matrisen är MACHINETOPART. Med utgångspunkt från de mätta värdena omvandlas dessa värden i elementen.

Eftersom matrisen CADTOPART inte finns i ChorusNT används alltid de mätta värdena i ChorusNT. Om du har fel nominella värden märker du det först när du kör ett UTSKRIFT-kommando för elementet.

För att försäkra dig om att värdena är korrekta bör du därför lägga till UTSKRIFT-kommandon från det ursprungliga DMIS-detaljprogrammet för elementen, framför allt för uppriktningselement.

FILNAM

FILNAM i ChorusNT anger namnet på utfilen när du använder kommandot DISPLY/STOR. I PC-DMIS känns detta igen men kommandot måste visas efter DISPLY i DMIS-detaljprogrammet. Mer information finns i DMIS-manualen.

VFORM

Kommandot för leverantörsformat är i ChorusNT V(label)=VFORM/ALL. I PC-DMIS översätts det till ett FORMAT/TEXT-kommando med följande information:

  • MÄTT

  • NOMINELLT

  • AVVIKELSE

  • Ö_TOL

  • U_TOL

  • KRITISK/UTOMTOL

Det sista FORMAT-kommandot i PC-DMIS ser ut så här:

FORMAT/TEXT,ALTERNATIV,ID,RUBRIKER,SYMBOLER,SA;MÄTT,NOM,AVV,TOL,UTOM_TOL, ,

DEFGRF

Kommandot DEFGRF är ett Chorus-tillägg som du kan använda för att definiera dialogrutor med knappar och inmatningsfält. I PC-DMIS importeras kommandot och det skapas ett Basic-skript (med Cypress Enable). Beroende på skärmupplösnngen kan dialogrutan behöva justeras. Du kan ändra Basic-skriptfilen med Redigera Basic-skript i PC-DMIS.

FROM och GOHOME

Med dessa ChorusNT-konventioner flyttas huvudets mittpunkt och inte mittpunkten för mätspetsens kula. Även om det går att göra nödvändiga förskjutningar vid importen till PC-DMIS bör du använda en låg hastighet första gången du kör det importerade detaljprogrammet i PC-DMIS.

MRRPCS

I ChorusNT definierar detta kommando det referenssystem som ska användas i detaljprogram som skapas med verktyget MIRROR i ChorusNT. PC-DMIS har inte stöd för import av speglade program från Chorus. Du bör i stället använda det kraftfullare och kompletta speglingsverktyget i PC-DMIS i en .prg-fil som skapas genom import av "vänster sida" av Chorus-programmet.

GAUGE

I ChorusNT definierar och mäter detta kommando måttet för en sfär och anger namnet: G(label), diametern och skaftets riktning. Kommandot kan även ange mittpunkt, infallsvinkel och antal mätpunkter som används vid mätning av sfären.

GAUGE/SPHERE,G(label), diam, i , j, k, [vinkel, x, y, z, npunkter]

Beroende på de olika parametrarna översätts detta i PC-DMIS till två kommandon. AUTO/SFÄR och KALIBRERA AKTIV:

F(label)=AUTO/SFÄR

Kommandot AUTO/SFÄR använder samma namn, diameter och riktning som kommandot GAUGE. Om det inte har angetts någon mittpunkt och du vid en mätning manuellt väljer den första mätpunkten högst upp på stolpen blir inl. = 1 och perm. = 1. I annat fall blir inl. = 0 och perm. = 0.

I PC-DMIS kan du även justera riktningen i enlighet med värdena för vinkelvektor och normalvektor.

KALIBRERA AKTIV MÄTSPETS MED ELEMENT-ID=F(label), KALIBNORMAL_ID=etikett, FLYTTAD=JA

CALIB

I ChorusNT leder kommandot till att det angivna mäthuvudet kalibreras med det angivna måttet G(label) för en sfär.

CALIB/SENS, S(probe),G(label), [vinkel]

Kommandot översätts i PC-DMIS till följande tre kommandon:

MÄTSPETS/ T1A..B..

Mätspetskommandot innehåller samma AB-vinklar som kommandot S(probe).

F(label) =AUTO/SFÄR

KALIBRERA AKTIV MÄTSPETS MED ELEMENT-ID=F(label), KALIBNORMAL_ID=etikett, FLYTTAD=NEJ


Importera DMIS-filer

I PC-DMIS kan du importera allmänna DMIS-filer och -program som har skapats med filtillägg från specifika leverantörsmiljöer.

Så här importerar du en DMIS-programfil:

  1. Öppna det detaljprogram i PC-DMIS som du vill importera DMIS-programfilen till.

  2. Visa menykarta Välj menyalternativet Arkiv | Importera | DMIS. Dialogrutan Öppna öppnas.

  3. Markera Chorus DMIS-filer eller DMIS-filer i listan Filformat längst ned i dialogrutan. Då visas programfiler som slutar med filtilläggen .dmi eller .dms.

Obs! Chorus NT-program använder DMIS 3.0-standarden med filtillägg och har bättre filhantering. I de flesta fallen bör du välja Chorus DMIS-filer framför normala DMIS-filer. Information om översättning av ChorusNT DMIS-filer till ett PC-DMIS-detaljprogram finns i Kommentarer till översättning mellan ChorusNT och PC-DMIS 5-85.

  4. Bläddra i de tillgängliga katalogerna tills du hittar den önskade DMIS-programfilen och markera filen i listan.

  5. Klicka på knappen Importera.

  6. I PC-DMIS görs en första översättning av den importerade filen. När den första översättningen har slutförts öppnas dialogrutan Inställningar för DMIS-import. I dialogrutan kan du välja bland flera alternativ för importfasen.

  7. Markera lämpliga alternativ i dialogrutan Inställningar för DMIS-import. Information om hur du använder dialogrutan finns i ämnena nedan.

  8. Klicka på OK. Importen slutförs i PC-DMIS.

Mer:

Inställningar för DMIS-import – fliken Allmänt

Inställningar för DMIS-import – fliken Moduler

Inställningar för DMIS-import – fliken Fellogg

Inställningar för DMIS-import – fliken Avancerat


Inställningar för DMIS-import – fliken Allmänt

Inställningar för DMIS-import – fliken Allmänt

På fliken Allmänt kan du styra översättningen av mäthuvudsfiler för det importerade DMIS-programmet. Kontrollerna på fliken beskrivs i tabellen nedan:

Namn på kontroll

Beskrivning

DMIS-fil

I rutan anges vilken DMIS-fil som ska importeras. Där visas automatiskt sökvägen till den fil som valdes i dialogrutan Öppna och som beskrevs i processen för DMIS-import.

Slå ihop/ersätt

Med dessa alternativ anger du om befintliga kommandon i PC-DMIS ska ersättas med importerade DMIS-kommandon eller om nya kommandon ska slås ihop med de befintliga kommandona.

Välj Ersätt om du vill att befintliga kommandon i det laddade detaljprogrammet under importprocessen ska ersättas av nya PC-DMIS-kommandon.

Välj Slå ihop om PC-DMIS-kommandon som skapas vid importprocessen ska läggas till i slutet av den laddade .PRG-filen.

Arm

I den här listam anges vilken arm som ska användas i system med flera armar.

Mäthuvudsfil

I den här listan anges en befintlig mäthuvudsfil.

Använd den valda mäthuvudsfilen

Med detta alternativ används en befintlig mäthuvudsfil från listan Mäthuvudsfil.

  1. Välj den Arm som ska användas med den visade mäthuvudsfilen ur det nedrullningsbara fönstret.

  2. Välj mäthuvudsfil ur listan.

  3. Klicka på Verkställ. Eventuella spetsar (sensorer) som nämns i DMIS-programmen men som ännu inte finns i mäthuvudsfilen läggs till.

Skapa ny standardinställd mäthuvudsfil

Med detta alternativ skapas en ny mäthuvudsfil från SNSDEF-kommandon i DMIS-programfilen. Det skapas en ny mäthuvudsfil med samma namn som DMIS-programfilen och filtillägget .prb. Den skapade mäthuvudskonfigurationen standardinställs till ett vridbart PH9-mäthuvud med en TP2-anslutning och en TIP2BY20MM-spets. Om det däremot inte finns några SNSDEF-kommandon i DMIS-programmet skapas det inte någon mäthuvudskonfiguration.

Ignorera SNSLCT/ kommandon

Med detta alternativ ignoreras SNSLCT-kommandon i DMIS-programmet.

Obs! Om den standardinställda mäthuvudskonfigurationen inte matchar maskinens mäthuvudskonfiguration bör du skapa en mäthuvudsfil med rätt mäthuvudskonfiguration i PC-DMIS innan du importerar en DMIS-programfil. Markera därefter den skapade mäthuvudsfilen på fliken, klicka på Verkställ och på OK. Då väljer översättaren de lämpligaste mätspetsarna vid översättning av SNSDEF-kommandon.


Inställningar för DMIS-import – fliken Moduler

Fliken Moduler är för närvarande inte tillgänglig.


Inställningar för DMIS-import – fliken Fellogg

Inställningar för DMIS-import – fliken Fellogg

På fliken Fellogg kan du ställa in att eventuella varningar och fel i slutet av importprocessen sparas i en vald textfil. Klicka på knappen Bläddra och välj en textfil.

Om du vill att felloggen automatiskt ska visas i slutet av importprocessen markerar du kryssrutan Visa loggen när importen är klar. Textfilen öppnas i dialogrutan Resultat för DMIS-import.


Inställningar för DMIS-import – fliken Avancerat

Inställningar för DMIS-import – fliken Avancerat

På fliken Avancerat kan du importera specifika kundbeställningar och konfigurationer. Beställningarna kan vara ej standardiserade kommandon eller tillagda/ändrade parametrar för standardiserade DMIS-kommandon. I PC-DMIS avaktiveras onödiga alternativ (och nödvändiga alternativ aktiveras) vid import av Chorus DMIS-filer. I tabellen nedan beskrivs kontrollerna på den här fliken.

Namn på kontroll

Beskrivning

Kundsupport

Detta område innehåller specifika kryssrutor för DMIS-leverantörer. Om du skapar DMIS-filer med programvara från de angivna företagen markerar du lämplig kryssruta för att aktivera utökad support för just de leverantörerna. De är följande:

  • Volvo

  • Volkswagen

Konfigureringssupport

Detta område innehåller kryssrutor för val av olika DMIS-konfigurationer. De är följande:

FEDRAT/ värden är % av maximum maskinhastighet

DMIS-kommandon anger inte automatiskt om importerade FEDRAT/-kommandon (som styr maskinens hastighet) hänvisar till den maximala maskinhastigheten eller den maximala mäthastigheten.

  • Om du markerar den här kryssrutan anger importerade FEDRAT/-kommandon en procentandel av den maximala maskinhastigheten.

  • Om du avmarkerar den här kryssrutan anger importerade FEDRAT/-kommandon en procentandel av den maximala mäthastigheten.

DEA vridbart mäthuvud monterat som Chorus

Om du använder en DEA-mätmaskin som är utrustad med ett vridbart mäthuvud av någon av modellerna IW42, CW43 eller CW43L och markerar den här kryssrutan kommer Chorus-konventionerna att användas i PC-DMIS och B-rotationsvinkeln justeras vid import av SNSLCT-kommandot.

Vid import av ChorusDMIS används alternativet automatiskt.

Standardvärde

Med den här knappen ställer du in valet som standard vid import av DMIS-filer.


Importera ett AVAIL- eller MMIV-program

Filtyperna AVAIL och MMIV används i mätpaketet Micro Measure IV. I PC-DMIS kan du importera den här filtypen till PC-DMIS-detaljprogram.

Så här importerar du en AVAIL- eller MMIV-fil:

  1. Öppna det detaljprogram i PC-DMIS som du vill importera MMIV-programfilen till.

  2. Välj menyalternativet Arkiv | Importera och välj därefter antingen Visa menykarta Avail eller Visa menykarta MMIV på undermenyn. Dialogrutan Öppna öppnas.

  3. En lista över programfiler som börjar med prefixet llf (för AVAIL och MMIV) visas.

  4. Bläddra i katalogerna tills du hittar den önskade AVAIL- eller MMIV-filen och markera filen i listan.

  5. Klicka på knappen Importera. Dialogrutan Välj översättningsmetod öppnas. I rutan anger du vilken metod som ska användas vid import av data till detaljprogrammet.

Dialogrutan Välj översättningsmetod

  6. Markera ett av översättningsalternativen och klicka på OK. Den begärda processen bearbetas i PC-DMIS.

  7. För varje TOOLCHANGE-kommando som påträffas i MMIV-filen uppmanas du att välja en mäthuvudsfil i PC-DMIS.

  8. För varje TIPCHANGE-kommando som påträffas i MMIV-filen uppmanas du att välja en mätspets för PC-DMIS i listan Använd mätspets som finns i dialogrutan Välj mätspets.

Dialogrutan Välj mätspets

  9. Klicka på OK (eller OK för alla) och upprepa föregående steg enligt instruktionerna på skärmen. När dialogrutan Välj mätspets stängs öppnas dialogrutan Välj arbetsplan.

Dialogrutan Välj arbetsplan

  10. Välj ett arbetsplan som matchar de aktuella inställningarna och klicka på OK. Data importeras till detaljprogrammet.

Viktigt! När det gäller MMIV-detaljprogram som innehåller nyckelordet BRANCH/TEST eller ett kommando för BRANCH/LABEL i ett elementblock flyttas motsvarande PC-DMIS-kommandon (OM och GÅTILL) före elementblocket när de har importerats till PC-DMIS. Detta kommer att korrigeras i senare versioner av PC-DMIS.

En kommentar om import av autoelement

Observera att kommandona DONE/ och MEASURE/i importerade MMIV- or AVAIL-autoelement inte stöds i PC-DMIS. Medan översättningen pågår omvandlas eventuella kommandon för MEASURE/; X,Y,Z,I,J,K till operatörskommandon och kommandot DONE/ ignoreras.
Anta att du importerar följande autoelement i en AVAIL- eller MMIV-fil:

CIR2= AUTO/CIR; YZPL,OC,4,12.0,6.0,-12.0,103.0,295,330
MOVE/BY; 12,5,0
MOVE/BY; 0,0,20
MEASURE/; 12.0,56.0,-22.0,0.0,-1.0,0.0039
MEASURE/; 12.0,57.85,-16.0,0.0,-1.0,0.0
MEASURE/; 12.0,58.4,-6.0,0.0,-1.0,-0.0039
DONE/;

I PC-DMIS skulle det översättas till kommandot AUTOCIRKEL följt av två VIA och tre kommentarer om att kommandot MEASURE ignoreras i PC-DMIS.


Importera ett Tutor-program

Du kan importera detaljprogram som har skapats i programmet Tutor.

Så här importerar du en Tutor-fil:

  1. Öppna det detaljprogram i PC-DMIS som du vill importera Tutor-filen till.

  2. Visa menykarta Välj menyalternativet Arkiv | Importera | TUTOR. Dialogrutan Öppna öppnas.

  3. Bläddra i de tillgängliga katalogerna tills du hittar den önskade Tutor-filen och markera filen i listan.

  4. Klicka på knappen Importera. Översättningen påbörjas i Tutor-översättaren och dialogrutan TutorPCDmis Translator Options öppnas. I dialogrutan kan du ange hur objekt i Tutor-filen ska tolkas eller visas i PC-DMIS.

Dialogrutan TutorPCDmis Translator Options

  6. Fyll i dialogrutan efter behov. Följande områden visas:

Området PC-DMIS Part Program Settings

Dessa alternativ kommer från PC-DMIS och kan inte ändras.

Units – Här visas mätenheterna (antingen Inch eller Metric) för det PC-DMIS-detaljprogram som används för import av Tutor-filen. Till skillnad från i Tutor for Windows kan du inte ändra mätenheter under körning i PC-DMIS.

Angle Mode – Här kan du se hur de aktuella vinklarna visas (antingen som Deg eller DMS) i PC-DMIS-detaljprogrammet.

Området Tutor for Window Settings

Med dessa alternativ kan du ange de inställningar för Tutor for Windows som krävs för en korrekt översättning mellan Tutor och PC-DMIS.

Read Wtutor.Ini – Klicka på knappen om du vill ange var Tutor-konfigurationsfilen (.ini) ligger. Standardinställningen innebär att när en översättning börjar i PC-DMIS görs en sökning efter konfigurationsfilen i katalogen C:\Winnt. Filen innehåller konfigurationer av Tutor for Windows som krävs för översättaren.

True Position Error – Markera Radius om lägeriktighetsfelet måste anges som en radie i det importerande detaljprogrammet. Annars markerar du Diameter.

Form Error – Markera Double om felet Double Form krävs för det importerande detaljprogrammet. Annars markerar du Single.

Linearity Error – Markera Radius om linjäritetsfelet måste anges som en radie i det importerande detaljprogrammet. Annars markerar du Diameter.

Området Tutor PCDmis Probes mapping

I det här området kan du kompensera ett Tutor-mäthuvud mot ett PC-DMIS-mäthuvud.

Tip Diameter – Ange standarddiametern på den mätspets som ska användas i detaljprogrammet i PC-DMIS.

Probe file – Använd knappen … för att välja vilken mäthuvudsfil (.PRB) som ska användas i PC-DMIS.

ProbeMap File – Använd knappen … för att välja en befintlig fil för mäthuvudskompensering mellan Tutor och PC-DMIS (.TP2). Om det inte finns någon fil för mäthuvudskompensering kan du skapa en fil genom att klicka på knappen New. Med knappen Edit kan du ändra den fil för mäthuvudskompensering som visas i rutan. Du kan använda kompenseringsfilen för att meddela översättaren vilka mäthuvudsvinklar i PC-DMIS som ska användas vid översättning av mäthuvudskommandon från Tutor-filen till PC-DMIS.

Skip Comments – Markera kryssrutan om du inte vill importera eventuella programmeringskommentarer i Tutor-filen.

  7. Klicka på OK om du vill fortsätta. Importen visas i fönstret Translation in progress och eventuella varningar visas i listan Translation messages.

  8. Följ instruktionerna på skärmen.

  9. När översättningen har slutförts kan du se meddelandena i listan Translation messages i fönstret Translation in progress. Du kan då välja att fortsätta (klicka på Continue) eller avbryta (klicka på Abort) importen. Oavsett vad du väljer sparas översättningsmeddelandena i en loggfil med samma namn som Tutor-detaljprogrammet och med filtillägget .log i samma katalog som Tutor-detaljprogrammet.

Obs! Dialogrutan TutorPCDmis Translator Options öppnas varje gång det påträffas ett kommando för laddning av mäthuvud från Tutor-filen i PC-DMIS. Om filen för mäthuvudskompensering är korrekt inställd kan du hoppa över översättningen av det aktuella kommandot för laddning av mäthuvud genom att klicka på Ignore.

Mer:

Skapa och redigera filer för mäthuvudskompensering mellan Tutor och PC-DMIS


Skapa och redigera filer för mäthuvudskompensering mellan Tutor och PC-DMIS

För korrekt översättning av program från Tutor till PC-DMIS krävs det en fil för mäthuvudskompensering där mäthuvuden från Tutor-filen relateras till PC-DMIS-mäthuvuden. Ett mäthuvudskommando för Tutor identifieras med två siffror som står för ett särskilt huvud respektive en särskild spets.

Så här skapar du en ny fil för mäthuvudskompensering mellan Tutor och PC-DMIS:

  1. Starta en importprocess enligt beskrivningen i Importera en Tutor-fil.

  2. Klicka på knappen New när dialogrutan TutorPCDMIS Translator Options öppnas. Dialogrutan T2PFile öppnas.

Dialogrutan T2PFile

  3. Om du behöver ange mer information klickar du på Add för att lägga till fler rader.

  4. I kolumnen Head anger du för varje rad ett värde mellan 1 och 100 för att identifiera mäthuvudet i Tutor.

  5. I kolumnen Tip anger du för varje rad ett värde mellan 1 och 5 för att identifiera mätspetsen i Tutor.

  6. I kolumnen Name PRB anger du för varje rad den vinkel för mätspetsen som du vill använda för huvudet och spetsen på den aktuella raden i PC-DMIS. Informationen om mäthuvudskompenseringen i följande tabell anger till exempel för Tutor-översättaren att mäthuvudsvinkel T5A30B30 ska användas i PC-DMIS när mäthuvudskommandot 2,2 påträffas i Tutor-filen.

Head | Tip | Name PRB
2 | 2 | T5A30B30

  7. Klicka på knappen Clear All om du gör fel. Då raderas informationen i dialogrutan och du kan börja om.

  8. Klicka på knappen … om du vill spara filen för mäthuvudskompensering mellan Tutor och PC-DMIS på datorn.

  9. Klicka på OK om du vill gå tillbaka till dialogrutan TutorPCDMIS Translator Options.

Så här redigerar du en befintlig fil för mäthuvudskompensering mellan Tutor och PC-DMIS:

  1. Starta en importprocess enligt beskrivningen i Importera en Tutor-fil.

  2. När dialogrutan TutorPCDMIS Translator Options öppnas klickar du på … vid rutan ProbeMap File och väljer en befintlig T2P-fil.

  3. Klicka på knappen Edit. Dialogrutan T2PFile öppnas.

  4. Redigera värdena vid behov.

  5. Klicka på OK om du vill gå tillbaka till dialogrutan TutorPCDMIS Translator Options.


Importera modell via DCI

I stället för att behöva översätta CAD-data till det interna CAD-formatet i PC-DMIS kan filtyper från det direkta CAD-gränssnittet (DCI) användas som de är. Det innebär att CAD-data i dessa filtyper behåller det ursprungliga formatet även efter importen. Rutiner som tillhör den aktuella CAD-typen används för alla beräkningar av CAD-data. Direkt användning av CAD-data minskar problem som kan uppstå på grund av felaktig översättning eller begränsningar på grund av översättningen.

Avsnittet Direkt överföring av en CAD-fil innehåller en detaljerad genomgång av import av DCI-filer.

Mer:

Tessellera en detalj utan en CAD-licens


Tessellera en detalj utan en CAD-licens

I version 3.5 och senare versioner kan du tessellera bilden av en detalj i ett direkt CAD-gränssnitt även om den aktuella CAD-licensen inte är tillgänglig. Hur du använder den här funktionen varierar beroende på vilken typ av direkt CAD-gränssnitt det handlar om. Du behöver normalt sett bara öppna detaljprogrammet för det direkta CAD-gränssnittet. Då visas detaljen i PC-DMIS. En del funktioner är dock inte tillgängliga. Du kan till exempel inte skapa en mätt vektorpunkt i detaljen.


Exportera CAD- eller programdata

Exportera CAD-data eller programdata

Du kan importera data till PC-DMIS och även exportera data från detaljprogram till ett av följande filformat som stöds i PC-DMIS:

· DATAVIEW-filer (*.AS3)

· BASIC-filer (*.BAS)

· DES-filer (*.DES)

· DMIS-filer (*.DMI eller *.DMS)

· ALLMÄNNA filer (*.TXT)

· I-DEAS-filer

· IGES-filer (*.IGS)

· STEP AP203 (*.STP eller *.STEP)

· STEP AP214 (*.STP eller *.STEP)

· VDAFS (*.VDA)

· DXF /DWG (*.DXF eller *.DXG)

Obs! När ett program exporteras som CAD-data exporteras inte tidigare importerade CAD-detaljmodeller. I stället skapas en CAD-fil från befintliga elementkommentarer i detaljprogrammet.

Så här exporterar du data från ett detaljprogram:

  1. Välj menyalternativet Arkiv | Exportera och markera därefter vilka data som ska exporteras på undermenyn (eller högerklicka på en detaljprogramfil i Utforskaren i Windows och välj Exportera). I de flesta fall öppnas nu dialogrutan Öppna.

    Dialogrutan Öppna

  2. Markera önskad datatyp i listan Filformat. Nu visas endast filer med den angivna datatypen.

  3. Skriv in namnet på den fil som ska skapas i rutan Filnamn eller välj en befintlig fil i listan. Om du väljer en befintlig fil ersätts data i filen med informationen från åtgärden Exportera.

  4. Klicka på Exportera. Dialogrutan Öppna stängs. Beroende på datatyp kan det öppnas en ny dialogruta med en uppmaning om mer data. Mer information finns i ämnena nedan.

  5. Klicka på Exportera. I PC-DMIS skapas filen för exporterade data i den valda katalogen med det filtillägg som definierades i rutan Filformat.

Mer:

Exportera en IGES-fil

Exportera en DES-fil

Exportera en STEP-fil

Exportera en VDAFS-fil

Exportera modell till I-DEAS

Exportera till en BASIC-fil

Exportera till en DMIS-fil


Exportera en IGES-fil

Om du klickar på knappen Exportera under IGES-exporten öppnas dialogrutan IGES-fil i PC-DMIS.

Dialogrutan IGES-fil

I dialogrutan IGES-fil visas information om den valda IGES-exporten i områdena Rubrikrad och Globala parametrar. Här kan du även markera ytterligare alternativ för IGES-exporten.

  1. Välj en uppriktning i listan Uppriktning.

  2. Klicka på Inställningar om du vill ändra visningen av den exporterade bilden (se Ändra visningen av importerade/exporterade bilder).

  3. Markera kryssrutan Endast markerade element om du endast vill exportera de markerade elementen.

  4. Klicka på knappen Bearbeta i dialogrutan IGES-fil om du vill skriva ut IGES-data från det markerade detaljprogrammet. I PC-DMIS anges när filen har bearbetats till 100 %.

  5. Klicka på OK om du vill slutföra exporten av IGES-filen.


Exportera en DES-fil

Om du klickar på knappen Exportera under DES-exporten öppnas dialogrutan DES-fil i PC-DMIS.

Dialogrutan DES-fil

I dialogrutan DES-fil visas information om den valda DES-exporten i området Huvud. Här kan du även välja fler alternativ för DES-exporten.

  1. Välj en uppriktning i listan Uppriktning.

  2. Välj ett koordinatsystem i området Koordinatsystem.

  3. Markera kryssrutan Endast markerade element om du endast vill exportera de markerade elementen.

  4. Markera kryssrutan Visa decimaltecken om du vill att decimaltecknet ska visas i exporterade data.

  5. Markera kryssrutan Skriv ut nominella värden om du vill att DES-exportfilen ska skapas med nominella värden från detaljprogrammet i PC-DMIS.

  6. Klicka på knappen Process i dialogrutan DES-fil om du vill skriva ut DES-data från det valda detaljprogrammet. I PC-DMIS anges när filen har bearbetats till 100 %.

  7. Klicka på OK om du vill slutföra exporten av DES-filen.


Exportera en STEP-fil

Om du klickar på knappen Exportera under STEP-exporten öppnas dialogrutan Exportera till STEP i PC-DMIS.

Dialogrutan Exportera till STEP

I dialogrutan Exportera till STEP kan du markera fler alternativ för STEP-exporten.

  1. Välj en uppriktning i listan Uppriktning.

  2. Markera kryssrutan Endast markerade element om du endast vill exportera de markerade elementen.

  3. Du kan även markera kryssrutan Scanresultat som punkter om du vill att scannade data ska omvandlas till scannade punkter.

  4. Klicka på Exportera om du vill slutföra exporten av DES-filen.


Exportera en VDAFS-fil

Om du klickar på knappen Exportera under VDAFS-exporten öppnas dialogrutan Exportera till VDAFS i PC-DMIS.

Dialogrutan Exportera till VDAFS

I dialogrutan Exportera till VDAFS kan du markera ytterligare alternativ för STEP-exporten. Dialogrutan innehåller samma alternativ som dialogrutan Exportera till STEP. Mer information finns i Exportera en STEP-fil.


Exportera modell till I-DEAS

Så här exporterar du en detalj till I-DEAS:

  1. Välj menyalternativet Arkiv | Exportera på huvudmenyn och välj datatypen I-DEAS på undermenyn. Dialogrutan I-DEAS detaljval öppnas.

Dialogrutan I-DEAS detaljval

  2. Klicka på knappen Anslut till server. Dialogrutan I-DEAS serveranslutning öppnas. Från dialogrutan kan du ansluta till en I-DEAS-server. Information om hur du använder dialogrutan I-DEAS serveranslutning finns i Använda dialogrutan I-DEAS serveranslutning i avsnittet Direkt överföring av en CAD-fil. När du har anslutits till en I-DEAS-server öppnas dialogrutan I-DEAS detaljval. I rutan visas en lista med samtliga projekt i den aktiva installationen av I-DEAS-data.

  3. Klicka på Anslut om du vill ansluta till servern. Dialogrutan I-DEAS detaljval öppnas.

  4. Välj ett projekt och den modellfil som du vill exportera. Det gör du genom att välja en befintlig detalj i listan Detaljer i vald modellfil. Du kan även skapa en ny detalj genom att ange värden i rutorna Bin, Namn och Detaljnummer.

Obs! Du kan inte skapa ytgeometri (cylindriska, koniska eller sfäriska element) för en befintlig detalj. Om du exporterar till en befintlig detalj kommer de nämnda elementtyperna att ignoreras. Om du vill exportera olika typer av ytelement anger du att det ska skapas en ny detalj.

Obs! Följande tecken är ogiltiga och får därför inte användas i rutorna Bin, Detaljnamn eller Detaljnummer:
:
;
,
"
*
?

  5. Klicka på knappen Exportera till detalj när du har angett en detalj. Om detaljen är ny öppnas en meddelanderuta med en fråga om du vill skapa en detalj.

  6. Klicka på Ja om du vill skapa I-DEAS-detaljen. Dialogrutan I-DEAS detaljval öppnas.

Dialogrutan I-DEAS detaljval

  7. Välj en uppriktning i rutan Uppriktning.

  8. Välj eventuellt andra exportalternativ.

  9. Klicka på Exportera om du vill slutföra exporten av I-DEAS-detaljen. När exporten har slutförts skickas det automatiskt ett kommando från PC-DMIS till I-DEAS-servern om att detaljens modellfil ska sparas.


Exportera till en BASIC-fil

PC-DMIS innehåller verktyg för automatisering av PC-DMIS. Om du exporterar detaljprogrammet som ett BASIC-skript (en *.BAS-fil) kan du därefter automatisera detaljprogrammet med externa program som stöder programmeringsspråket BASIC. Mer information om automatisering av PC-DMIS finns i följande ämnen:

  • Hjälpfilen för språkreferens för BASIC i PC-DMIS.

  • Infoga BASIC-skript i avsnittet Lägga till externa element.


Exportera till en DMIS-fil

Exportera till DMIS

Du kan exportera en detaljprogramfil från PC-DMIS som en DMIS-fil. DMIS-filer följer DMIS-standard för DMIS-kommandon och kan köras på andra datorer med program som använder DMIS-språk.

När du har markerat ett filnamn och klickar på Exportera i dialogrutan Öppna fil öppnas dialogrutan Inställningar för DMIS-export. Dialogrutan innehåller två flikar: Allmänt och Fellogg.

När du har markerat alternativ på flikarna klickar du på OK för att slutföra exporten.

Fliken Allmänt

Dialogrutan Inställningar för DMIS-export – fliken Allmänt

Dialogrutan Inställningar för DMIS-export – fliken Allmänt

På fliken Allmänt kan du välja bland tre metoder för konvertering av ett detaljprogram från PC-DMIS till en DMIS-fil.

  • PC-DMIS redigeringsfönster (DMIS-läge) – Med den här metoden exporteras en DMIS-fil exakt så som detaljprogrammet ser ut i Redigeringsfönstret när du är i DMIS-läge.

  • Flexibel DMIS – Med den här metoden anpassas den exporterade filen så att den matchar specifika DMIS-versioner eller endast använder kommandon som anges i en fil för egenskaper. Om du markerar det här alternativet aktiveras en ruta för val av filer där du kan bläddra bland och markera en angiven BASIC-skriptfil (med filtillägget *.bas). Du kan skapa en egen skripfil eller ändra en befintlig skriptfil för att styra exakt vad som ska exporteras från PC-DMIS.

    Det finns tre färdiga .bas-filer i installationskatalogen för PC-DMIS. Med filerna kan du anpassa exporten så att den använder en definierad uppsättning av PC-DMIS-kommandon som stöds för en viss DMIS-version. Filerna är PCD2DMIS030.BAS, PCD2DMIS040.BAS och PCD2DMIS050.BAS (för DMIS 3.0, 4.0 respektive 5.0). De kommandon som inte har anpassats i .bas-filerna exporteras som de är i PC-DMIS redigeringsfönster (DMIS-läge).

Obs! Om det uppstår ett fel vid körning av en funktion i BASIC-skriptet när du använder detta alternativ skrivs den exporterade filen som om du hade markerat alternativet PC-DMIS redigeringsfönster (DMIS-läge) ovan.

  • Använd den äldre metoden vid export – Med den här metoden exporteras filen så som den exporteras från äldre versioner av PC-DMIS. Om det gäller en version före 4.0 måste du ställa in posten DMISUsePostoutCode till SANT i PC-DMIS Inställningar innan exporten kan genomföras. Därefter kan du markera alternativet.

Fliken Fellogg

Dialogrutan Inställningar för DMIS-export – fliken Fellogg

Dialogrutan Inställningar för DMIS-export – fliken Fellogg

På fliken Fellogg kan du visa eller spara fel som påträffas under en export så att du kan korrigera dem i skriptfilen eller vidta andra åtgärder. Du får fel eller varningar i följande fall:

  • Om det returneras ett logiskt fel från en funktion i BASIC-skriptet. Ett sådant fel innebär att det finns ett problem i skriptet som orsakar ett logiskt fel vid automation. I detta fall returneras en textsträng från funktionen i BASIC-skriptet med följande rubrik: $$ LOGERR |.

  • Om det inte går att omvandla en parameter i ett PC-DMIS-kommando till DMIS-kod. I detta fall returneras en textsträng från funktionen i BASIC-skriptet med följande rubrik:
    $$ DMISERR |

Klicka på ... om du vill söka efter och markera en befintlig textfil som felen ska skickas till.

Klicka i kryssrutan Visa loggen när exporten är klar om du vill att textfilen ska visas i en textredigerare när exportprocessen har slutförts i PC-DMIS.


Ändra visningen av importerade/exporterade bilder

Om du vid import eller export klickar på knappen Inställningar i dialogrutan IGES-fil öppnas någon av dialogrutorna Inställningar, IGES (import) eller Inställningar, IGES-export (export). I dialogrutorna kan du ändra visningen av en IGES/DMIS-bild.

Mer:

Ändra visningen av importerade CAD-data

Ändra visningen av exporterade CAD-data


Ändra visningen av importerade CAD-data

Dialogrutan Inställningar, IGES

Så här öppnar du dialogrutan Inställningar, IGES och ändrar visningen av IGES/DMIS-bilden:

  1. Börja med att importera CAD-filen (se Importera en IGES-fil).

  2. Klicka på knappen Inställningar när dialogrutan IGES-fil öppnas.

  3. Markerade kryssrutorna för de önskade alternativen i dialogrutan Inställningar, IGES.

  4. Klicka på OK.

Den valda CAD-bilden ritas med önskade element.

Mer:

Om tillgängliga alternativ


Om tillgängliga alternativ

Om du använder trimmade ytor som har en rotationsyta som basyta och den nu inte har lästs in korrekt blir kryssrutan Rotationsyta tillgänglig. Om så är fallet väljer du lämpliga alternativ i området Trimmad yta.

Om du markerar kryssrutan Standard används de aktuella inställningarna vid alla framtida bearbetningar av objekt i PC-DMIS.

Området Bearbeta objekt

Området Bearbeta objekt innehåller följande sex kryssrutor där du kan välja möjliga alternativ för CAD-bildinställningar. Kryssrutorna beskrivs i tabellen nedan:

Kryssruta | Beskrivning
Geometrier | Anger om geometriska objekt ska importeras från filen. Geometriska objekt är de kurvor och ytor som definierar modellen.
Noteringar | Anger om noteringsobjekt ska importeras från filen. Dessa objekt används för att lägga till noteringar eller beskrivningar till en fil. De är bland annat vinkeldefinition, diameterdefinition, flagganteckning, allmän etikett, linjär definition, ordinatdefinition, punktdefinition, radiedefinition, allmän symbol och indelade områdesobjekt.
Definitioner | Anger om definitionsobjekt ska importeras från filen. Dessa objekt används i definitionsstrukturer i filen. De är bland annat allmän anteckning, hänvisning, associativ definition, definition av teckensnitt för rad, makrodefinition, definition av delfigur, definition av teckensnitt för text, mall för textvisning och definitionsobjekt för delfigurer i nätverk.
Annan | Anger om andra objekt ska importeras från filen. Dessa objekt används för andra syften, till exempel för att definiera element i filen. De inkluderar för närvarande definitionsobjekten för färg och för associerad definierad geometri.
Logiska/positionella | Anger om logiska/positionella objekt ska importeras från filen. Dessa objekt används som logiska eller positionella referenser av andra objekt. För närvarande bearbetas inte några objekt av den här typen i PC-DMIS.
2D-parametriska | Anger om 2D-parametriska objekt ska importeras från filen. Dessa objekt är placerade i tvådimensionella XY-parameterutrymmen och räknas som en undergrupp till tredimensionella XYZ-utrymmen genom att Z-koordinaten ignoreras. Den här objekttypen är avsedd att användas för att definiera trimningskurvor på ytor. För närvarande ignoreras kryssrutan i PC-DMIS. Mer information finns i Området Trimmade ytor.

Om du markerar alla kryssrutorna importeras alla IGES-objekt i IGES-filen.

Området Bearbeta objekt om

Området Bearbeta objekt om innehåller kryssrutor där du kan välja att bearbeta vissa objekt när de uppfyller vissa villkor. Tabellen nedan innehåller en beskrivning av de tillgängliga uppfyllda villkoren och en beskrivning av kryssrutorna:

Villkor | Beskrivning
Bearbeta objekt om fysiskt beroende | Anger om basytan för en Kurva på parametrisk yta ska visas.
Bearbeta objekt om logiskt beroende | Anger om logiskt beroende objekt ska importeras från IGES-filen.
Bearbeta objekt om osynliga | Anger om osynliga objekt ska importeras.

Området Trimmade ytor

Området Trimmade ytor innehåller kryssrutor som du kan använda för korrekt bearbetning av trimmade ytor.

Kryssruta | Beskrivning
Visa trim | Visar den trimmade ytan.
Visa basyta | Visar den otrimmade ytan (basytan).
Använd "B"-kurvor | Om IGES-filen innehåller "B"-kurvor markerar du den här kryssrutan för att använda dem som trimningsdefinition. Du kan även behöva markera kryssrutan om modellen innehåller dåligt definierade "C"-trimningskurvor. Om du markerar kryssrutan återskapas "C"-trimningskurvorna från "B"-trimningskurvorna.
Använd "C"-kurvor | Om IGES-filen innehåller "C"-kurvor markerar du den här kryssrutan för att använda dem som trimningsdefinition. Du kan behöva använda detta alternativ om modellen innehåller dåligt definierade "B"-trimningskurvor. Om du markerar kryssrutan återskapas "B"-trimningskurvorna från "C"-trimningskurvorna.

Om du markerar kryssrutan Visa trim blir kryssrutorna under den här rutan tillgängliga. Du kan använda antingen "B"- eller "C"-kurvor som trimningsdefinition beroende på attributen för den trimmade ytan.

Obs! Observera att om du använder "C"-kurvor som trimningsdefinition måste "B"-kurvorna beräknas i PC-DMIS, vilket kan vara ganska tidskrävande.

Om IGES-filen innehåller trimmade ytor som har en rotationsyta som basyta blir följande kryssrutor också tillgängliga:

Kryssruta | Beskrivning
Invertera parametrar | Anger om det ska göras en korrigering av "B"-trimningskurvor som inverterar parametrarna U och V.
V-parameter 0 till 1 | Anger om det ska göras en korrigering av parametern V om den definieras i intervallet 0 till 1 i stället för med radianer.
U-parameter 0 till 1 | Anger om det ska göras en korrigering av parametern U om den definieras i intervallet 0 till 1 i stället för med radianer, när generatrisen för rotationsytan är en båge.
Visa basyta | Anger om den otrimmade ytan ska visas.

Definiera trimningskurvor

Du kan definiera trimningskurvor på två sätt:

  • Använda 3-dimensionella koordinater i modellutrymmet (de koordinater som ytan definieras med). De kallas även för ‘C’-trimningskurvor på grund av att det krävs tre värden för att placera varje koordinat i modellutrymmet (1, 2, 3; A, B, C). Per definition måste en kurva vara definierad så att den geometriskt sammanfaller med ytan. Med andra ord måste kurvan ligga på ytan. En dåligt definierad "C"-trimningskurva kan bryta mot den här regeln.

  • Definiera kurvans position med relativa positioner på ytan. De kallas även för "B"-trimningskurvor på grund av att det krävs två värden för att placera varje koordinat i det parametriska utrymmet. En rektangulär yta kan till exempel ha den parametriska positionen (0,0) i ett hörn och (1,1) i motsatt hörn. Varje position på ytan kan på så sätt representeras av två värdepar mellan dessa extremvärden. Den parametriska positionen (0.5,0.5) skulle vara mitt på ytan. Den parametriskt definierade kurvan representeras av dessa 2-dimensionella punkter i parameterutrymmet. Per definition måste en kurva vara definierad så att den inte sträcker sig utanför parameterutrymmet för den yta som den ligger på. En dåligt definierad yta kan bryta mot den här regeln.

Exempel på visning av trim

IGES-fil där kryssrutan Visa trim har markerats

Exempel på när trim inte visas

Om du använder IGES-filen i ämnet Exempel på visning av trim och avmarkerar kryssrutan Visa trim får du en tom modell. Detta beror på att den här IGES-filen endast innehåller trimmade ytor. Om du däremot avmarkerar kryssrutan Visa trim och markerar kryssrutan Visa basyta får du följande resultat:

IGES-fil där kryssrutan Visa trim inte har markerats

Observera att alla hål i ytan är borta och att ytans ytterkanter inte är trimmade.


Ändra visningen av exporterade CAD-data

I dialogrutan Inställningar, IGES-export kan du ändra visningen av IGES/DMIS-bilden.

Dialogrutan Inställningar, IGES-export

Så här öppnar du dialogrutan och ändrar visningen av IGES/DMIS-bilden:

  1. Börja med att exportera CAD-filen (se Exportera en IGES-fil).

  2. Klicka på knappen Inställningar när dialogrutan IGES-fil öppnas.

  3. Markerade kryssrutorna för de önskade alternativen i dialogrutan Inställningar, IGES-export.

  4. Klicka på OK.

Den valda CAD-bilden ritas med önskade element.

Mer:

Om tillgängliga utskriftsalternativ


Om tillgängliga utskriftsalternativ

De olika utskriftsalternativen styr hur IGES-objekt exporteras.

Ytor som rotationsytor – Om du markerar den här kryssrutan exporteras koner, cylindrar och sfärer som objekt med rotationsytor.

Ytor som bågar – Om du markerar den här kryssrutan exporteras koner, cylindrar och sfärer som bågar. En kon exporteras som en cirkel vid basen och som en punkt vid toppunkten. En cylinder exporteras som två cirklar: en cirkel vid cylinderns topp och en cirkel vid cylinderns botten. En sfär exporteras som en cirkel kring mittlinjen.

Ytor som rotationsytor och Ytor som bågar – Du kan markera båda kryssrutorna. Då exporteras koner, cylindrar och sfärer både som rotationsytor och som bågar. Om ingen av kryssrutorna har markerats exporteras varken koner, cylindrar eller sfärer.

Scanres. som fulldataformat 2 – Om du markerar den här kryssrutan exporteras scanresultat som IGES-objekttypen för fulldata. Objektformatet är punkter utan vektorer.

Scanres. som fulldataformat 3 – Om du markerar den här kryssrutan exporteras scanresultat som IGES-objekttypen för fulldata. Objektformatet är punkter med vektorer. De olika formaten anger formatet för fullformsdataobjektet.

Scanres. som fulldataformat 12 – Om du markerar den här kryssrutan exporteras scanresultat som IGES-objekttypen för fulldata. Objektformatet är bitvis linjär kurva utan vektorer. De olika formaten anger formatet för fullformsdataobjektet.

Scanres. som fulldataformat 13 – Om du markerar den här kryssrutan exporteras scanresultat som IGES-objekttypen för fulldata. Objektformatet är bitvis linjär kurva med vektorer. De olika formaten anger formatet för fullformsdataobjektet.

Scanresultat som punkter – Om du markerar den här kryssrutan exporteras scanresultat som objekt med flera punkter.

Scanres. som fulldata och Scanresultat som punkter – Du kan markera båda kryssrutorna. Då exporteras scanresultat både som fullformsdata och som punkter. Om du avmarkerar båda kryssrutorna exporteras inte scanresultat från PC-DMIS.


Ställa in importalternativ

Du ställer enkelt in importalternativ för att bestämma standardfärger för vissa importerade objekttyper samt för hur importerade kurvor visas i PC-DMIS.

Visa menykarta Välj menyobjektet Redigera | Alternativ | Importalternativ om du vill utföra ändringarna. Då öppnas dialogrutan Importalternativ.

Dialogrutan Importalternativ

Dialogrutan innehåller området Standardfärger och två kryssrutor.

Standardfärger

I detta område kan du ändra standardfärgerna för importerade objekt av typerna Punkt, Kurva, Yta och Referens. Om det inte redan finns en definierad färg för objekttyperna används standardfärgen. Om du vill ändra en färg klickar du på en knapp i området. Då öppnas standarddialogrutan Färg där du kan markera en ny färg.

Dialogrutan Färg

När du importerar nästa element används de nydefinierade färgerna i PC-DMIS.

Kryssrutor

Bryt upp polylinjer till punkter – När du importerar kurvobjekt visas de vanligtvis som individuella kurvor. Varje kurva är egentligen en polylinje, en samling av linjer som binds samman av en rad punkter. Om du markerar kryssrutan visas importerade kurvobjekt med polylinjer som en rad med punkter, en punkt för varje knytpunkt för polylinjerna. Om du avmarkerar kryssrutan visas de importerade kurvorna som vanligt.

Behåll polylinjer – Om du markerar kryssrutan visas den ursprungliga polylinjen tillsammans med punkterna när du markerar kryssrutan Bryt upp polylinjer till punkter. Om du avmarkerar kryssrutan visas endast en rad med punkter.

Inställningarna används i alla senare importåtgärder i PC-DMIS.


Köra detaljprogram

I PC-DMIS kan du enkelt köra ett helt detaljprogram eller göra partiella körningar. Här får du en genomgång av både fullständiga och partiella körningar. Du får även information om hur du använder dialogrutan Inställningar, körning vid körning av detaljprogram och om hur du ändrar dialogrutans storlek.

Om du väljer att köra vissa eller alla detaljprogram i PC-DMIS genom att välja Arkiv | Kör eller ett menyobjekt på undermenyn Arkiv | Partiell körning och det inte finns några brytpunkter i detaljprogrammet så visas en annan layout, körningslayouten, på skärmen. I den här layouten är Redigeringsfönstret från början dolt och Grafikfönstret utökat så att du ser mer av detaljen. I layouten visas även koordinatvisningsfönstret. Du kan ändra vilka fönster som visas under körning genom att pausa körningen och visa eller dölja ett fönster. I efterföljande körningar används den uppdaterade körningslayouten.

När körningen har avslutats återgår skärmens layout till inlärningslayouten. Alla fönster som visas eller döljs under inlärningen blir en del av inlärningslayouten.

Obs! Om det används brytpunkter i programmet och Redigeringsfönstret är i kommandoläge när du utför en körning, så visas Redigeringsfönstret även i fortsättningen under körningen, men det aktuella kommandot som ska köras markeras med rött. Om Redigeringsfönstret är i översiktsläge och innehåller en brytpunkt markeras redan körda kommandon med grönt, element som ska mätas markeras med gult, element som körs markeras med blått och ej körda kommandon markeras med orange i Redigeringsfönstret.

Mer:

Köra

Köra element

Köra från

Köra från markören

Köra block

Köra från en startpunkt

Använda dialogrutan Inställningar, körning


Utför

Kör

Om du vill att alla markerade kommandon i detaljprogrammet ska utföras väljer du alternativet Arkiv | Kör.


Köra element

Om du endast vill att det element som markören befinner sig på ska köras väljer du alternativet Arkiv | Partiell körning | Kör element.

Dialogrutan Inställningar, körning

Dialogrutan Inställningar, körning öppnas i PC-DMIS. Om PC-DMIS är inställt på manuellt läge (läge = MANUELLT) uppmanas du att ta de nödvändiga mätpunkterna. Om PC-DMIS är inställt på CNC-läge (läge = CNC) flyttas mäthuvudet automatiskt enligt de parametrar som har ställts in i dialogrutan.


Köra från

Om du vill fortsätta en tidigare avbruten körning använder du menyalternativet Arkiv | Partiell körning | Kör från. Med detta kommando körs det element som listas i slutet av detaljprogrammet. Menyalternativet är endast tillgängligt om du har avbrutit ett tidigare körningskommando från dialogrutan Inställningar, körning.

Exempel: Anta att du klickar på Avbryt vid mätning av elementet CIR1 under en körning. Då visas menyn Kör från så att du kan fortsätta mätningen av elementet med början från CIR1.


Köra från markören

Om du vill köra ett detaljprogram med början från markörens placering väljer du menykommandot Arkiv | Partiell körning | Kör från markör. Då påbörjas en körning av detaljprogrammet med början vid markörens placering.


Kör block

Om du vill att ett kommandoblock ska köras markerar du de kommandon som ska köras och väljer därefter menykommandot Arkiv | Partiell körning | Kör block för de markerade kommandona. Endast det markerade kommandoblocket körs.


Köra från en startpunkt

Om du vill att körningen ska börja vid en angiven startpunkt ställer du först in startpunkten genom att högerklicka i kommandoläget och välja Sätt startpunkt i snabbmenyn och därefter välja menykommandot Kör från startpunkt.

Viktigt! Observera att om den aktuella spetsen vid placeringen i programmet i PC-DMIS inte matchar mäthuvudets riktning görs ett försök att gå tillbaka till föregående mätspetskommando och ändra mätspetsens riktning.


Körning i egen ordning

I version 4.0 och senare versioner av PC-DMIS kan du köra manuellt mätta element i detaljprogram i valfri ordning. Detta alternativ är användbart för portabla armmaskiner.

Funktionen blir tillgänglig om följande villkor uppfylls:

  • Den kan endast användas för element som mäts med manuella mätpunkter.

  • Det får inte finnas några förgreningar eller slingor i detaljprogrammet.

  • Elementen som du mäter i egen ordning måste använda samma uppriktning och mäthuvud som det element som var planerat att mätas i PC-DMIS (det görs inte någon sökning i kommandona LADDA MÄTHUVUD eller UPPRIKTNING).

  • Körning i egen ordning fungerar endast för element som mäts efter en fullständig uppriktning. Den första uppriktningen måste mätas i programmets ordning.

Så här fungerar det:

När du kör ett detaljprogram uppmanas du att ta den första mätpunkten på det första elementet. Du kan i stället välja att ta den första mätpunkten på ett annat element. Om du gör det så kontrolleras det i PC-DMIS om den tagna mätpunkten ligger inom toleransavståndet för den förväntade mätpunkten. Om mätpunkten ligger längre bort från elementet än det angivna toleransavståndet (vanligtvis 10 mm) görs en sökning bakåt och framåt i detaljprogrammet efter det närmaste element vars första mätpunkt matchar den första mätpunkten du tog.

Om du tar en mätpunkt som inte ligger inom toleransavståndet för något element i detaljprogrammet skickas en ljudsignal från armen och mätpunkten ignoreras. Det visas även ett felmeddelande i dialogrutan Inställningar, körning. För att fortsätta behöver du ta en mätpunkt som ligger närmare ett element i detaljprogrammet.

När ett korrekt element påträffas i PC-DMIS överförs den första mätpunkten till elementet. Därefter flyttas pilen som anger var på det nya elementet som du bör ta nästa mätpunkt. I PC-DMIS kontrolleras toleransen endast för den första mätpunkten för ett element. Därefter förväntas du fortsätta ta mätpunkter tills mätningen av elementet har slutförts.

När du har slutfört mätningen av ett element i egen ordning görs det ett försök att återgå till den ursprungliga ordningen i PC-DMIS. Varje gång du mäter något som inte överensstämmer med den tänkta ordningen i programmet uppmanas du att mäta ursprungselementet tills du antingen hoppar över eller mäter elementet. De element som mäts i egen ordning spåras i PC-DMIS så att de inte mäts om när PC-DMIS återgår till den vanliga körningsordningen.

Om du mäter om ett element kommer allt som använder elementet upp till den aktuella körningspositionen att räknas om i PC-DMIS.


Använda dialogrutan Inställningar, körning

Alla körningsåtgärder börjar med att dialogrutan Inställningar, körning öppnas.

Dialogrutan Inställningar, körning

Därefter körs de markerade kommandona i det aktuella detaljprogrammet i PC-DMIS.

  • Om du arbetar i manuellt läge uppmanas du att ta mätpunkter.

  • Om du arbetar i CNC-läge påbörjas mätprocessen automatiskt.

Mer:

Maskinfel

Maskinkommandon

Fortsätt

Stopp

Ta bort mätpunkt

Hoppa över

Stega nästa

Hoppa till

Kontrollera elementmätning manuellt

Ändra storleken på dialogrutan Inställningar, körning


Maskinfel

I listan Maskinfel visas fel som uppstår under körning av detaljprogrammet. Möjliga fel är oväntade mäthuvudsträffar eller oväntade rörelseslut. Du kan se felen genom att klicka på nedpilen.


Maskinkommandon

I listan Maskinkommandon visas via-punkter och mätpunkter för det aktuella elementet (eller för det element som ska mätas). Informationen blir endast tillgänglig om programmet stoppas under körning, oavsett om det stoppas på grund av ett fel eller av operatören. Du fortsätter körningen av detaljprogrammet genom att markera den önskade mätpunkten (eller via-punkten) i listrutan Maskinkommandon och klicka på knappen Fortsätt.

Exempel: Om ett kommando för frigångsrörelse har programmerats med fel X, Y eller Z, kan du få ett rörelsefel vid körning av rörelsen. Så här fortsätter du:
Rulla ned listan Maskinkommandon.
Markera det kommando som kommer efter den felaktiga rörelsen.
Klicka på Fortsätt.


Fortsätt

Med kommandoknappen Fortsätt kan du fortsätta körningen av ett detaljprogram som har avbrutits på grund av ett rörelsefel hos mätmaskinen eller via Stopp-knappen. I PC-DMIS kan du välja var i det aktuella elementet som mätningen av detaljen ska fortsätta. Standardplatsen visas i listan Maskinkommandon. Om du vill välja en annan plats klickar du på nedrullningspilen och väljer önskad rad. När du klickar på knappen Fortsätt fortsätter mätprocessen från den visade platsen.


Stopp

Med kommandoknappen Stopp stoppar du mäthuvudet där det befinner sig och stoppar även körningen av detaljprogrammet.

Obs! Körningen av programmet stoppas inte om den aktuella förflyttningen är en förändring av PH9-vinklarna. Då stoppas programmet när PH9 har stoppats.

En genomgång av hur du använder Stopp för att växla till manuellt läge under körningen finns i Kontrollera elementmätning manuellt.


Ta bort mätpunkt

Om du vill ta bort en markerad mätpunkt ur listan Maskinkommandon klickar du på knappen Ta bort mätpunkt som finns i dialogrutan Inställningar, körning.

På de flesta handterminaler för mätmaskiner finns det en särskild knapp för borttagning av den senaste mätpunkten. Du får samma resultat om du trycker på knappen på handenheten medan den är i körningsläge som när du klickar på knappen Ta bort mätpunkt i dialogrutan.


Hoppa över

Med kommandot Hoppa över hoppas nästa kommando som visas i listan Maskinkommandon över. Eventuella kommandon som är beroende av det överhoppade kommandot hoppas också över.


Stega nästa

Med kommandoknappen Stega nästa fortsätter mätprocessen ett steg i taget och mätmaskinen pausas efter varje steg av ett kommando som skapar en rörelse av mätmaskinen. När du arbetar i stegningsläge kan mätpunkter infogas i element och nya element kan infogas mellan befintliga element eller kommandon. Om du infogar ett nytt element visas en dialogruta där du kan:

  • Hoppa till det nya elementets MÄTPKT /BASIC-kommando,

  • Mäta om det nya elementet eller

  • Fortsätta stegningen genom detaljprogrammet och helt ignorera det nya elementet.

Det går även att simulera stegningsläget offline.

Stega nästa visas i dialogrutan om körningen i PC-DMIS pausas på grund av en brytpunkt (se Använda brytpunkter i avsnittet Redigera ett detaljprogram).


Hoppa till

Med knappen Hoppa till stoppas körningen automatiskt (om du använder en CNC-maskin) och dialogrutan Elementlista öppnas. I listan kan du markera vilket element som ska köras när körningen startar igen och därmed avvika från den automatiskt skapade körningsvägen.

Dialogrutan Elementlista

Klicka på OK när du har markerat ett element i listan, så körs det markerade elementet i PC-DMIS. När körningen slutförs återgår programmet till den fördefinierade sökvägen och försöker köra nästa ej mätta element tills du klickar på Hoppa till igen och markerar ett nytt element.


Kontrollera elementmätning manuellt

Så här kontrollerar du mätningen av ett element manuellt:

  1. Klicka på kommandoknappen Stopp i dialogrutan Inställningar, körning.

  2. Klicka på ikonen Manuellt läge. Nu kan du kontrollera mätningen av den aktuella mätpunkten. (Se Fortsätt.)

När det aktuella elementet har mätts i manuellt läge återställs systemet automatiskt till CNC-läge och mätningen av elementet fortsätter under datorkontroll. Du kan när som helst klicka på ikonen CNC-läge och återgå till CNC-läge.

Ursprungliga mätpunkter ersätts inte av eventuella nya mätpunkter. Om du behöver ändra ett mätvärde måste du göra det i Redigeringsfönstret.

Obs! För vissa autoelement tillfrågas du i slutet av den manuella mätningen om du vill spara det nya elementläget som mål för framtida körningar av detaljprogrammet. Om du klickar på JA sparas den mätta positionen som ett nytt mål.


Ändra storleken på dialogrutan Inställningar, körning

Du kan ändra storleken på dialogrutan Inställningar, körning. Så här ändrar du storleken på dialogrutan:

  1. Placera muspekaren på dialogrutans ytterkant. Den vanliga pilkonen ersätts av en dubbel pilikon.

  2. Håll vänster musknapp nedtryckt.

  3. Håll ned vänster musknapp och dra pekaren till önskad position.

  4. Släpp musknappen.

Rutans storlek ändras. Den här funktionen är användbar om du behöver kunna läsa körningsdata på avstånd.


Göra inställningar

Göra inställningar: Inledning

Om att lagra inställningar för flera användare

Göra inställningsval i PC-DMIS

Inställningsval: Fliken Allmänt

Redigeringsrutor på fliken Allmänt

Mätpktr, autocirkel

Mätpktr, autolinje

Mätpktr i U

Mätpktr i V

Varningar

Lösenord

Kryssrutor på fliken Allmänt

Tryck 'End'-tangenten

Spara filer automatiskt

Sök nom.

Läget 'Enbart punkter'

Läget 'Enbart kantpunkter'

Ignorera rörelsefel

Automatisk justering av mäthuvudsvinklar

Ignorera CAD <--> detalj

Återställ globala inställningar vid förgrening

Flytta element till referensplan

Visa utökade tunnplåtsfunktioner

Fasta dialogpositioner

Lås markeringsgrupper

Passa fönster

Visa mätpunktsavvikelse

Använd cirkulär rörelse på runda element

Tjocklek för punkter av typen Enbart punkter

Tillåt finjustering av uppriktningen

Använd ID från CAD för element

Sök nom. under körning

Fortsätt körningen automatiskt om SökHål misslyckas

Visa startdialogen

Placera etiketter automatiskt

Animera mätspets i programmeringsläge

Visa symboler i textrutor

Genomborra CAD vid 3D-rotation

Spara detaljprogram vid körning

Använd DMIS-knappen i Redigeringsfönstret

Områdesscan bibehåller senaste steg

Använd avvikelsemarkering av bilindustrityp (bokstäver)

Använd omprojicering (SökNom) för scanresultat

Använd enbart prioriterade ytor för Sök nom.

Visa planets kontur

Betrakta teoretiska värden som givna i detaljkoordinatsystemet

Gör variabler globalt tillgängliga

Redigeringsrutor på fliken Allmänt

Skalfaktor

Tid mellan autosparningar (min.)

Tolerans för Sök nom.

Visa avvikelsetolerans

Multiplikator för avvikelsepil

Tjocklek

Tol. för Sök nom. under körning

Inställningsval: Fliken Detalj/maskin

Riktning på mäthuvud

Genvägar

Vinkelvarningsdelta

Återgång efter man. mätpkt

Visa absoluta hastigheter

Maxhastighet (mm/s)

CAD-axeln X+ är lika med

CAD-axeln Y+ är lika med

CAD-axeln Z+ är lika med

X-offset

Y-offset

Z-offset

Knappen Justera

Knappen Verkställ

Knappen Autopos.

Bordskollisionsskydd

Knappen Standard

Inställningsval: Fliken Utvärdering

Autoutvärdering

Spara ALLTID statistik i fil

Uppdatera ALLTID databasen

Element anv. utvärderingsfärg

Undre tol. visas negativt

Antal decimaler

Positiv rapportering

Standardtoleranser: Ange standard

Standardtoleranser: 0-5 decimaler

Decim. för CAD nom. =

Visa vinklar som

Vinkelgrader

Knappen Standard på fliken Utvärdering

Inställningsval: Fliken ID-inställningar

Etiketter för

Metod

Begynnelsebokstäver

Startnummer

Etikettlängd

Visa klammer för elementgrupper

Verkställ

Standardinställningar

Inställningsval: Fliken NC-100-inställningar

Använda det optiska mäthuvudet NC-100

IP-adress

Port

Datornamn

Ändra rapport- och rörelseparametrar

Parameterinställningar: Fliken Utvärdering

Inkludera

Text

Alternativ

Rubriker

Avvikelsesymboler

Standardavvikelse

132-kolumners utskrift

Parameterinställningar: Fliken Säkerhetsplan

Aktivt plan

Genomgångsplan

Säkerhetsplan aktivt

Kommentarer om säkerhetsplan

Parameterinställningar: Fliken Mätning

Aktivt mäthuvud

Aktiv mätspets

Mätspetskompensering

Polär vektorkompensering

Mäthuvud i fack nr

Parameterinställningar: Fliken Rörelse

Insträcka

Återgångssträcka

Söksträcka

Sökprocent

Transporthastighet %

Mäthastighet %

Mätkraftsvärde

Scanhastighet %

Parameterinställningar: Fliken Rundbord

Vinkel

Rotationsriktning

Vrid bordet

Parameterinställningar: Fliken Acceleration

CMM-acceleration

Parameterinställningar: Fliken Inställningar, analogt mäthuvud

Maxkraft

Lägsta kraft

Högsta kraft

Triggkraft

Antal svar

Återgångshastighet

Positioneringsnoggr.

Mätnoggrannhet

Mätläge

CNC-avkänning

Punkttäthet

Offsetkraft

Acceleration

Parameterinställningar: Fliken Alternativ, trigg

Området Autotrigg

Området Stödplan som autotrigg

Området Triggtolerans, manuella punkter

Parameterinställningar: Fliken NC-100-parametrar

Förstärkning

Offsetvärde

ROI-topp

ROI-underkant

ROI-bredd

Y-nollpunkt

Y-slutpunkt

Långt segment

X-segment

Y-segment

Optikinst.

Parameterinställningar: Fliken I/O-kanaler

Kanal

Ange och återställa alternativ

Konfigurera Redigeringsfönstret

Definiera färger i Redigeringsfönstret

Ändra de textfärger som används:

Ändra de bakgrundsfärger som används:

Exportera ett färgschema:

Importera och använda ett färgschema:

Definiera Redigeringsfönstrets layout

Visningsalternativ i kommandoläge

Konfigurera Koordinatvisningsfönstret

Maskinkoordinatsystem (MKS)

Position

Senaste mätpunkt

Visa aktuell position på skärmen

Avstånd till mål

Avstånd till målet med Autozoom

Visa felet i senaste mätning

Polära koordinater

Spåra alltid mitten av SYNF

Historik

Konfigurera flera armar

Definiera ett rundbord

Kalibrera rundbord

Kalibrera indexerbart rundbord

Kalibrera steglöst rundbord

Konfigurera växlarinställningar

Typ

Aktiv växlare

Antal växlare

Växlartyp

Dockningshastighet

Port

Kalibrera

Aktiv växlare

Aktiv mäthuvudsfil

Aktiv mätspets

Full kalibrering

Partiell kalibrering

Kalibrering av enskilt fack

Kalibrera

Startpunkt

Aktiv växlare

Vinklar för mäthuvudet

CMM-läge

Fack

Definiera mäthuvudskonfigurationen för varje fack

Redigera fackdata manuellt

Ändra ett definierat mäthuvud tillbaka till standardinställningen Inget mäthuvud

Lägga till eller ta bort fack från dialogrutan

Släppa ett mäthuvud utan att plocka ett nytt mäthuvud

Ladda det aktiva mäthuvudet

Konfigurera maskingränssnittet

Återställa fabriksinställningar från styrenheten

Generera en felsökningsfil

Påbörja en ny felsökningsfil

Kompensera för temperatur

Använda STP-filer

Linjär och strukturell temperaturkompensering

Tillgängliga indataparametrar

Rutorna Sensornummer

Rutorna Materialkoefficient

Rutorna Aktuell temp.

Rutorna Föreg. temp.

Rutorna Referens-temp.

Rutorna Övre gräns

Rutorna Undre gräns

Rutorna Nollpunkt

Visa temperatur i Celsius

Temperaturkompensering aktiverad

Kompenseringsmetod

Återstående tid

Fördröjn. före avläsn. av detalj

Återställ

Läs aktuell temp.

Kommandot TEMPKOMP i Redigeringsfönstret

Stöd i styrenheter

Ange externa kataloger att söka i

Sökväg för

Sök igenom aktuell mapp

Sök igenom aktuell mapp först

Sök i angiven mapp

Knappen Bläddra

Ändra inställningar för OpenGL

Skrivbordsinställningar

Alternativ

Dubbelbuffring

Z-buffertdjup

Färgdjup

Tessellering

Ställa in importalternativ


Göra inställningar: Inledning

I PC-DMIS kan du göra personliga inställningar som gör att PC-DMIS fungerar precis efter dina egna specifikationer. Med funktionerna i det här avsnittet kan du styra utskriftsformat, fönstergrafik, maskinparametrar och andra inställningar.

Huvudämnena i detta avsnitt är:

  • Göra inställningsval i PC-DMIS

  • Ändra rapport- och rörelseparametrar

  • Konfigurera Redigeringsfönstret

  • Konfigurera Koordinatvisningsfönstret

  • Konfigurera flera armar

  • Definiera ett rundbord

  • Konfigurera växlarinställningar

  • Hämta det aktiva mäthuvudet

  • Konfigurera maskingränssnittet

  • Kompensera för temperatur

  • Ange externa kataloger att söka i

  • Ändra inställningar för OpenGL

Följande stycken beskriver de olika systeminställningarna och hur de fungerar.

Mer:

Om att lagra inställningar för flera användare

Växla mellan maskinprofiler


Om att lagra inställningar för flera användare

Nu sparas alla ändringar som görs i PC-DMIS inställningar, parametrar eller anpassningar av användargränssnittet för varje användare. De här värdena styrs internt genom användning av användarkonton i Windows NT/Windows 2000. När du loggar in i operativsystemet med ditt namn och lösenord hämtas dina inställningar automatiskt. Dessa sparas i namngivna underkataloger på samma plats som där du installerade PC-DMIS.


Växla mellan maskinprofiler

Med de här två menyalternativen kan du enkelt växla mellan maskinprofiler när du skapar detaljprogram offline.

Redigera | Inställningar | Spara maskinprofil - När du väljer det här menyalternativet visas dialogrutan Spara som där du anger ett filnamn och sparar alla aktuella inställningar för den virtuella maskinen till en fil med filtillägget "mpl". Följande information sparas i filen för senare hämtning:

  • Laddad maskinmodell

  • Laddad växlarmodell

  • Inställningar, rundbord

  • Mäthuvudets startorientering

  • Starta en standardmäthuvudskomponent (PH10, CW43 o.s.v.)

  • Aktiv mäthuvudsfil

  • Eventuella "fasta" snabbfixturkomponenter

  • Maskinens hastighetsinställningar och begränsningar

Redigera | Inställningar | Hämta maskinprofil - Med det här menyalternativet kan du återställa en maskins inställningar som sparats i en .mpl-fil. Dialogrutan Öppna visas, där du kan välja vilken fil du vill öppna för att återställa inställningarna.


Göra inställningsval i PC-DMIS

Du öppnar dialogrutan Inställningsval genom att välja menyvägen Redigera | Alternativ | Inställningar. I den här dialogrutan kan du ändra formen och funktionen på PC-DMIS. Klicka på den önskade fliken. Bland de flikar som är tillgängliga finns:

Mer:

Inställningsval: Fliken Allmänt

Inställningsval: Fliken Detalj/maskin

Inställningsval: Fliken Utvärdering

Inställningsval: Fliken ID-inställningar

Inställningsval: Fliken NC-100-inställningar


Inställningsval: Fliken Allmänt

Setup Options Dialog

Dialogrutan Inställningsval - fliken Allmänt

The Du kommer åt fliken Allmänt genom att klicka på fliken Allmänt i dialogrutan Inställningsval (Redigera | Alternativ | Inställningar). Med det här alternativet kan du ändra olika funktioner som styr mätprocessen.

Mer:

Redigeringsrutor på fliken Allmänt

Kryssrutor på fliken Allmänt

Mätpktr, autocirkel

Mätpktr, autolinje

Mätpktr i U

Mätpktr i V

Varningar

Lösenord


Redigeringsrutor på fliken Allmänt

Med redigeringsrutorna på fliken Allmänt kan du redigera följande alternativ:

  • Skalfaktor

  • Tid mellan autosparningar (min.)

  • Tolerans för Sök nom.

  • Visa avvikelsetolerans

  • Multiplikator för avvikelsepil

  • Tjocklek

  • Tol. för Sök nom. under körning

  • Mätpktr, autocirkel

  • Mätpktr, autolinje

  • Mätpktr i U

  • Mätpktr i V

  • Varningar

  • Lösenord


Skalfaktor

I rutan Skalfaktor kan du skaländra de mätta data med den faktor som du anger. Om du till exempel mäter en cirkel med diametern 10 mm och skalfaktorn är 0.95, rapporteras det mätta värdet som 9.5 mm.


Tid mellan autosparningar (min.)

I rutan Tid mellan autosparningar (min.) kan du ange antalet minuter som ska gå innan ditt detaljprogram sparas automatiskt. Det minsta antalet minuter du kan ange är en. Rutan Tid mellan autosparningar (min.) blir tillgänglig efter att du markerar kryssrutan Spara filer automatiskt.


Tolerans för Sök nom.

Den här kryssrutan blir tillgänglig först när du har markerat kryssrutan Sök nom. Se Sök nom..

I rutan Tolerans för Sök nom. kan du ange vilken toleranstyp som ska användas när nominella värden ska hittas. Du måste ange ett värde som är större än radien på mätspetskulan, annars kommer inte Sök nom.-åtgärden att fungera.


Visa avvikelsetolerans

I rutan Visa avvikelsetolerans kan du ange hur mycket tolerans som ska användas när mätpunktsavvikelser ska visas. Det här alternativet är endast tillgängligt om du först markerar kryssrutan Visa mätpunktsavvikelse.


Multiplikator för avvikelsepil

Kryssrutan Multiplikator för avvikelsepil blir tillgänglig först när du har markerat kryssrutan Visa mätpunktsavvikelse. En pil som markerar varje mätpunkt och dess avvikelse visas i Grafikfönstret. Ju större värde du anger i den här rutan, desto större blir pilen.


Tjocklek

Rutan Tjocklek fungerar tillsammans med kryssrutan Tjocklek för punkter av typen Enbart punkter. Om du markerar kryssrutan Tjocklek för punkter av typen Enbart punkter kommer den tjocklek som är definierad i den här rutan att tillämpas på varje punkt som skapas i läget Enbart punkter.

Mer information finns i Läget Enbart punkter och Tjocklek för punkter av typen Enbart punkter.


Tol. för Sök nom. under körning

I rutan Tol. för Sök nom. under körning kan du ange toleranstalet som ska användas när nominella värden ska hittas vid körning av ett detaljprogram. Den här kryssrutan blir tillgänglig först när du har markerat kryssrutan Sök nom. under körning.

Se Sök nom. under körning.


Mätpktr, autocirkel

I rutan Mätpktr, autocirkel kan du ange det standardantal mätpunkter som ska tas vid inlärning av cirklar när CAD-data används. Det minsta antalet mätpunkter som kan anges är tre. Det här värdet ändrar endast antalet mätpunkter för cirklar som ska programmeras. Cirklar som redan har programmerats påverkas inte.

Så här ser posten för det här alternativet ut i PC-DMIS Inställningar: AutoCirHits= [antal mätpunkter]. Mer information om hur du ändrar registerposter finns i avsnittet Ändra registerposter.


Mätpktr, autolinje

I rutan Mätpktr, autolinje kan du ange det standardantal mätpunkter som ska tas vid inlärning av linjer när CAD-data används. Det minsta antalet mätpunkter som kan anges är två. Det här värdet ändrar endast antalet mätpunkter för linjer som ska programmeras. Linjer som redan har programmerats påverkas inte.

Så här ser posten för det här alternativet ut i PC-DMIS Inställningar: AutoLineHits= [antal mätpunkter]. Mer information om hur du ändrar registerposter finns i avsnittet Ändra registerposter.


Mätpktr i U

I rutan Mätpktr i U visas det minsta antalet rader som måste tas vid scanåtgärder.

Obs! Det här scanalternativet är endast aktivt tillsammans med alternativen Kurvor och Ytor.


Mätpktr i V

I rutan Mätpktr i V visas det minsta antalet mätpunkter per rad som måste tas vid scanåtgärder.

Obs! Det här scanalternativet är endast aktivt tillsammans med alternativen Kurvor och Ytor.


Varningar

När du klickar på knappen Varningar öppnas dialogrutan Alternativ, varningar.

Dialogrutan Alternativ, varningar

I den här dialogrutan kan du instruera PC-DMIS att på nytt visa varningar som du redan har stängt av, liksom ändra standardåtgärderna för varningsmeddelanden som är avstängda. Som standard är den här rutan tom. När ett varningsmeddelande visas får du i PC-DMIS välja att inte visa den varningen fler gånger. När du väljer att inte visa varningen, hamnar den i den här dialogrutan.

Så här kan du börja visa ett varningsmeddelande på nytt:

  1. Öppna dialogrutan Inställningsval (Redigera | Inställningar | Inställningar). Visa menykarta

  2. Välj fliken Allmänt.

  3. Klicka på knappen Varningar. Dialogrutan Alternativ, varningar öppnas. Här visas de varningar som du har stängt av.

  4. Välj varningen i dialogrutan.

  5. Avmarkera dess kryssruta.

  6. Klicka på OK. Varningen tas bort från dialogrutan och du kommer att börja få varningsmeddelandet igen när det är aktuellt.

Med knappen Rensa lista kan du avmarkera kryssrutorna för samtliga poster i dialogrutan. Då återgår PC-DMIS till standardläget där alla varningsmeddelanden visas.

Så här ändrar du standardåtgärden för ett varningsmeddelande:

  1. Kontrollera att du har markerat kryssrutan Fråga inte igen när varningen visas. Då skickas den till dialogrutan Alternativ, varningar.

  2. Öppna dialogrutan Inställningsval.

  3. Välj fliken Allmänt.

  4. Klicka på knappen Varningar. Dialogrutan Alternativ, varningar öppnas. Här visas de varningsmeddelanden som du inte vill visa.

  5. Dubbelklicka på den varning vars standardåtgärd du vill ändra. I PC-DMIS visas varningen och du kan välja en ny standardåtgärd.

  6. Välj en ny standardåtgärd. Listan uppdateras med den nya åtgärden.

  7. Klicka på OK för att spara ditt val.


Lösenord

Genom att klicka på knappen Lösenord kan du lösenordsskydda åtkomsten till dialogrutan Inställningsval.

Så här lösenordsskyddar du dina inställningsval:

  1. Öppna dialogrutan Inställningsval (Redigera | Alternativ | Inställningar). Visa menykarta

  2. Välj fliken Allmänt.

  3. Klicka på knappen Lösenord. Dialogrutan Lösenord för Alternativ öppnas.

    Dialogrutan Lösenord för Alternativ

  4. I rutan Nytt lösenord skriver du det önskade lösenordet.

  5. I rutan Upprepa lösenord skriver du lösenordet på nytt för att bekräfta det.

  6. Markera kryssrutan Använd lösenord.

  7. Klicka på OK.

Nästa gång du försöker komma åt dialogrutan Inställningsval måste du ange lösenordet innan du kan fortsätta.

Om du vid det här laget klickar på Avbryt kan du välja att visa de aktuella inställningarna, men du kommer inte att kunna göra några ändringar.


Kryssrutor på fliken Allmänt

Med kryssrutorna som finns i det här området i dialogrutan kan du slå på eller stänga av en mängd olika alternativ. Härifrån kan du anpassa programmet så att det fungerar i enlighet med dina specifika behov.

Mer:

Tryck 'End'-tangenten

Spara filer automatiskt

Sök nom.

Läget 'Enbart punkter'

Läget 'Enbart kantpunkter'

Ignorera rörelsefel

Automatisk justering av mäthuvudsvinklar

Ignorera CAD <--> detalj

Återställ globala inställningar vid förgrening

Flytta element till referensplan

Visa utökade tunnplåtsfunktioner

Fasta dialogpositioner

Lås markeringsgrupper

Passa fönster

Visa mätpunktsavvikelse

Använd cirkulär rörelse på runda element

Tjocklek för punkter av typen Enbart punkter

Tillåt finjustering av uppriktningen

Använd ID från CAD för element

Sök nom. under körning

Fortsätt körningen automatiskt om SökHål misslyckas

Visa startdialogen

Placera etiketter automatiskt

Animera mätspets i programmeringsläge

Visa symboler i textrutor

Genomborra CAD vid 3D-rotation

Spara detaljprogram vid körning

Använd DMIS-knappen i redigeringsfönstret

Områdesscan bibehåller senaste steg

Använd avvikelsemarkering av bilindustrityp (bokstäver)

Använd omprojicering (SökNom) för scanresultat

Använd enbart prioriterade ytor för Sök nom.

Visa planets kontur

Betrakta teoretiska värden som givna i detaljkoordinatsystemet

Gör variabler globalt tillgängliga


Tryck End-tangenten

I kryssrutan Tryck End-tangenten kan du styra huruvida PC-DMIS ska vänta på att du trycker på END-tangenten innan den senast tagna mätpunkten accepteras. Om du markerar den här kryssrutan kan du granska den senast tagna mätpunkten innan du accepterar den. Om du inte markerar den här kryssrutan sparas inte den senaste mätpunkten som du tar med handterminalen i mätpunktsbufferten, men den blir automatiskt elementets sista mätpunkt, även om du tar mätpunkten på fel ställe.


Spara filer automatiskt

Med kryssrutan Spara filer automatiskt kan du bestämma att detaljprogrammet ska sparas automatiskt med bestämda mellanrum. Om du markerar den här kryssrutan blir standardinställningen att programmet sparas varje minut. Du kan ändra tidsintervallet genom att helt enkelt ange ett nytt värde i rutan Tid mellan autosparningar (min.).

Den automatiskt sparade filen sparas med namnet "Automatspara kopia av" och sedan den ursprungliga filens namn. Den här autosparade kopian kan öppnas på samma sätt som ett vanligt detaljprogram ifall den ursprungliga filen inte längre går att använda. Så här ser posten för det här alternativet ut i PC-DMIS Inställningar: AutoSave = 0 eller 1.

Mer information om hur du ändrar registerposter finns i avsnittet Ändra registerposter.


Sök nom.

Med kryssrutan Sök nom. kan du styra hur mätpunkter ska behandlas. När kryssrutan är markerad behandlas varje mätspetsträff automatiskt och det närmaste nominella CAD-värdet för mätpunkten hittas. Mätpunkter ackumuleras till dess att du trycker på END-tangenten. Då beräknas elementtypen och de nominella CAD-värdena tillämpas.

När den här kryssrutan har markerats blir kryssrutan Tolerans för Sök nom. tillgänglig. Se Tolerans för Sök nom..


Läget 'Enbart punkter'

Med kryssrutan Enbart punkter kan du styra svaret på varje mäthuvudsträff. Om den här kryssrutan är markerad behandlas varje mäthuvudsträff automatiskt som en enpunktsmätning och en auto-vektorpunkt skapas automatiskt. Om kryssrutan inte är markerad ackumuleras mäthuvudsträffarna till dess att du trycker på END-knappen. Först då fastställs vilken typ av detalj du just har mätt.

När du markerar den här kryssrutan blir kryssrutan Tjocklek för punkter av typen 'Enbart punkter' tillgänglig. Se Tjocklek för punkter av typen 'Enbart punkter'.


Läget 'Enbart kantpunkter'

Med kryssrutan Enbart kantpunkter kan du styra svaret på varje grupp mätspetsträffar. I det här fallet har en grupp definierats som två enskilda mätspetsträffar. Den första mätpunkten bör alltid tas på ytan. Den andra mätpunkten bör alltid tas på kanten. Om den här kryssrutan är markerad behandlas varje grupp mätspetsträffar automatiskt som en enpunktsmätning och en auto-kantpunkt skapas automatiskt. Om kryssrutan inte är markerad ackumuleras mätspetsträffarna till dess att du trycker på SLUT-knappen. Först då fastställs vilken typ av detalj du just har mätt.

I PD-DMIS används de alternativ som visas i området Elementinställningar i dialogrutan Kantpunkt när kantpunkten skapas (Se Skapa en Auto-kantpunkt i avsnittet Skapa autoelement section).

Om kryssrutan Sök nom. har markerats tillämpas nominella CAD-värden.


Ignorera rörelsefel

Det här alternativet gäller inte för alla maskintyper. Med vissa maskiner kan du använda det här alternativet, medan det inte har någon effekt med andra maskiner.

Om du markerar kryssrutan Ignorera rörelsefel ignoreras kollisionsfel. Om du markerar den här kryssrutan och klickar på OK infogas kommandot IGNORERA_RÖRELSEFEL/PÅ i Redigeringsfönstret. När det här kommandot påträffas och mäthuvudet kolliderar med ett hinder kommer mäthuvudet inte att stanna automatiskt. Det här alternativet är bra när du mäter material som lera eller plast, där viss flexibilitet är nödvändig.

Om du slår AV det här kommandot i Redigeringsfönstret visas kollisionsfel igen.


Automatisk justering av mäthuvudsvinklar

Om du markerar kryssrutan Automatisk justering av mäthuvudsvinklar väljs automatiskt det läge som närmast approximerar den bästa ansatsriktningen för varje efterföljande elements mätpunkt genom hela detaljprogrammet .

Viktigt! Justering av mäthuvudsvinklar tillämpas endast på de element som skapas efter att du markerat den här kryssrutan. Element som finns sedan tidigare påverkas inte.

Om kalibrerade mätspetsar som faller inom den vinkeltolerans som definierats i rutan Vinkelvarningsdelta på fliken Detalj/maskin hittas, används dessa mätspetsar framför icke-kalibrerade mätspetsar med vinklar som ligger närmare en matchning (se Inställningval: fliken Detalj/maskin).

Du kan också slå på det här alternativet för enstaka mätpunkter på autoelement genom att markera kryssrutan Auto-PH9. (Se avsnittet Skapa autoelement.)

Posten för det här alternativet i PC-DMIS Inställningar ser ut så här: AutoAdjustPh9 = 0 eller 1. Mer information om hur du ändrar registerposter finns i avsnittet Ändra registerposter.

Obs! Om du klickar på knappen Markera anv. i dialogrutan Mäthuvud är det inte säkert att alla mätspetsar väljs för kalibrering (se Markera anv. i avsnittet Definiera hårdvara). Visa menykarta


Ignorera CAD <--> detalj

Varje gång du skapar en uppriktning (sparad eller annan) skapas två omvandlingsmatriser i PC-DMIS.

  • Koordinatmatris för maskin till detalj

  • Matris för CAD till detaljer

Koordinater för maskin till detalj: I PC-DMIS beräknas detta utifrån de upmätta värden för indataelement som lagras i maskinkoordinater.

CAD till detaljer: I PC-DMIS beräknas detta utifrån samma instruktioner som för maskin till detaljmatrisen. I det här fallet, däremot, används indatalementens teoretiska värden i stället för de mätta värdena. Teoretiska värden lagras internt i CAD-koordinaterna.

Om du inte har tillgång till CAD-data kommer teoretiska data normalt från de inlärda elementens mätta värden. Det är svårt att få konsekventa resultat med teoretiska värden. Detta kan inträffa om några av dessa värden har redigerats, medan andra inte har det.

Om du har markerat kryssrutan Ignorera CAD <--> detalj när du sparat en uppriktning kommer endast uppriktningen maskin till detalj att sparas, medan omvandlingsmatrisen för CAD till detaljer inte skapas. Alla teoretiska värden kommer nu att vara oberoende av varandra.

Om du inte använder CAD-data ska du i allmänhet markera den här kryssrutan.

Inverkan på CAD <--> detalj

Du kan vilja utföra en uppriktning från element som mätts utan CAD-data i CNC-läge. Om du tänker använda menyalternativet CAD <--> detalj (eller knappen CAD = detalj) måste du se till att markera kryssrutan Ignorera CAD <--> detalj innan du ställer in CAD <--> detaljen. Mer information om hur du ställer in CAD <--> detaljen finns i CAD <--> detalj i avsnittet Skapa och använda uppriktningar.

Teoretiska värden för kopierade element

Om du avmarkerar den här kryssrutan och kopierar ett element till en ny plats i Redigeringsfönstret, kommer elementets teoretiska värden att kopplas till uppriktningen vid elementets ursprungliga plats och det kommer att se ut som om de har ändrats.

Om du markerar den här kryssrutan och kopierar ett element till en ny plats i Redigeringsfönstret, kommer elementets teoretiska värden att kopplas till uppriktningen vid elementets nya plats. De kommer att se oförändrade ut.

Se Ändra nominella värden för uppriktningar i avsnittet Skapa och använda uppriktningar.


Återställ globala inställningar vid förgrening

Om du markerar kryssrutan Återställ globala inställningar vid förgrening återställs de globala värdena för tillståndskommandon (se nedanstående lista över kommandon) när en förgreningssats påträffas. (Mer information om förgrening finns i Förgrening genom användning av flödesreglering.) Tillståndskommandon som hoppas över p.g.a. förgreningssatser kommer inte att utföras. Det gör att du kan hoppa över programavsnitt utan att behöva ändra inställningarna.

Till exempel kan du se till att följande utförs i detaljprogrammet:

MÄTSPETS /T1A0B0
HOPPAHIT=MÄRKE/

Mätningar o.s.v. ...

MÄTSPETS/T1A90B90
GÅTILL/HOPPAHIT

Om du markerar den här kryssrutan
sker ett hopp till HOPPAHIT när GÅTILL-satsen läses. Sedan sker sökning uppåt med det första MÄTSPETS/-kommandot som påträffas. MÄTSPETS /T1A0B0

Om du avmarkerar den här kryssrutan
sker ett hopp till HOPPAHIT när GÅTILL-satsen läses. De globala inställningarna återställs inte när en förgreningssats påträffas. I stället används det senast utförda MÄTSPETS/-kommandot. MÄTSPETS/T1A90B90

Den här kryssrutan är markerad som standard. I versioner tidigare än 3.25 återställs de globala värdena för tillståndskommandon automatiskt. Numera kan du välja om du vill att det här alternativet ska vara På eller Av.

Kommandon som återställs efter förgrening:

  • Start/uppriktning

  • Hämta/uppriktning

  • Läge/

  • Rmät/

  • Arbetsplan/

  • Mätspets/

  • Ladda_mäth/

  • Återgång/

  • Söksträcka/

  • Mäthast/

  • Transp_hast/

  • Polärvektorkomp/

  • AutoTrigg/

  • Triggplan/

  • Triggtolerans/

  • Optik_inställn/

  • Visningsnoggrannhet/

  • Man_återgång/

  • Scan_hast/

  • Insträcka/

  • Mätkraft/

  • Säkplan/

  • Format/

  • 132kolumn/

  • Enbartspel/

  • Enbartretrolinear/

  • Mätspkomp/

  • Array_index/

  • Genväg/

  • Positiv_rapportering/

  • Ignorera_rörelsefel/


Flytta element till referensplan

Om du markerar kryssrutan Flytta element till referensplan projiceras det mätta elementet automatiskt till arbetsplanet. Det här alternativet är endast tillgängligt när du ska mäta cirklar, ellipser, linjer och punkter.


Visa utökade tunnplåtsfunktioner

Om du markerar kryssrutan Visa utökade tunnplåtsfunktioner visas samtliga tillgängliga tunnplåtsfunktioner i dialogrutan Autoelement. (Mer information om utökade tunnplåtsfunktioner finns i avsnittet Skapa autoelement.)

Så här ser posten för det här alternativet ut i PC-DMIS Inställningar: ShowExtendedSheetMetal = 0 eller 1. Mer information om hur du ändrar registerposter finns i avsnittet Ändra registerposter.


Fasta dialogpositioner

Om du markerar kryssrutan Fasta dialogpositioner visas alla dialogrutor i deras standardläge på skärmen. Om du inte markerar den här kryssrutan visas varje dialogruta på samma ställe där den sist placerades. Det här alternativet är mycket användbart när du använder makron.

Så här ser posten för det här alternativet ut i PC-DMIS Inställningar: DialogFixedPosition = 0 eller 1. Mer information om hur du ändrar registerposter finns i avsnittet Ändra registerposter.


Lås markeringsgrupper

Om du markerar kryssrutan Lås markeringsgrupper hindras användare från att av misstag ta bort eller på annat sätt ändra den aktuella konfigurationen för markeringsgrupper. Du kan då endast köra och aktivera markeringsgrupper. Du måste avmarkera den här kryssrutan om du vill lägga till eller ta bort element i en markeringsgrupp.


Passa fönster

Om du markerar kryssrutan Passa fönster kommer fönstret att skaländras automatiskt varje gång du mäter ett element.

Så här ser posten för det här alternativet ut i PC-DMIS Inställningar: AutoScaleToFit = 0 eller 1. Mer information om hur du ändrar registerposter finns i avsnittet Ändra registerposter.


Visa mätpunktsavvikelse

Om du markerar kryssrutan Visa mätpunktsavvikelse visas en pil varje gång en mätpunkt tas, för att visa det mätta värdet minus den nominella avvikelsen.


Använd cirkulär rörelse på runda element

Om du markerar kryssrutan Använd cirkulär rörelse på runda element och om du utför "inlärning" av ett detaljprogram genom att ta mätpunkter på detaljen, läggs kommandon för cirkulära rörelser automatiskt till för inre cirkulära element, liksom för utsidan på cirkulära element. Som cirkulära element räknas cirklar, cylindrar, koner och sfärer. Det här läget fungerar dock endast vid inlärningsläget. När de cirkulära rörelsekommandona väl finns i elementen till dess att de tas bort av användaren.

Så här ser posten för det här alternativet ut i PC-DMIS Inställningar: UseCircularMoves = 0 eller 1. Mer information om hur du ändrar registerposter finns i avsnittet Ändra registerposter.


Tjocklek för punkter av typen Enbart punkter

När du markerar den här kryssrutan kan du tillämpa tjocklek på punkter som skapas i läget Enbart punkter. När du markerar den här kryssrutan blir rutan Tjocklek i samma dialogruta redigerbar. Du kan ange en tjocklek och sedan tillämpa den tjockleken på punkter som skapas i läget Enbart punkter.

Mer information finns i Läget Enbart punkter och Tjocklek.


Tillåt finjustering av uppriktningen

När du ändrar en uppriktning får du en fråga om du vill uppdatera kommandona med den ändrade uppriktningen. Om du har markerat den här kryssrutan och klickar på NEJ i den här frågerutan ändras omvandlingen MASKINTTILLDETALJ vid behov. Om kryssrutan inte är markerad sker ingen MASKINTTILLDETALJ-omvandling.


Använd ID från CAD för element

Med kryssrutan Använd ID från CAD för element kan du importera element-ID:n från en CAD-fil. Om du markerar den här kryssrutan hämtas CAD-ID:t till dialogrutan Autoelement när du klickar på CAD-elementet. Om du bestämmer dig för att behålla det här värdet skapas elementet med det angivna ID:t.


Sök nom. under körning

Om du markerar kryssrutan Sök nom. under körning hittas nya nominella värden för både yt- och vektorpunkter när detaljprogrammet körs. Mer information om hur du definierar de toleransvärden som ska användas finns i Tol. för Sök nom. under körning. Se även Tolerans för Sök nom.


Fortsätt körningen automatiskt om SökHål misslyckas

Om du markerar kryssrutan Fortsätt körningen automatiskt om SökHål misslyckas kan du fortsätta att köra en detalj automatiskt om inget hål kan hittas vid den SökHål-åtgärd som anges i dialogrutan Auto element.

I tidigare versioner, när en SökHål-åtgärd misslyckades, blev du uppmanad att placera mäthuvudet i hålets mitt innan du kunde fortsätta att köra detaljprogrammet. När du markerar kryssrutan Fortsätt körningen automatiskt om SökHål misslyckas skrivs ett felmeddelande automatiskt ut i rapporten och resten av detaljprogrammet körs automatiskt.

Mer specifik information om Sök hål finns i Kryssrutan Sök hål i avsnittet Skapa autoelement .


Visa startdialogen

Med kryssrutan Visa startdialogen kan du styra huruvida dialogrutan Öppna fil ska visas varje gång du startar PC-DMIS. I den här dialogrutan visas en lista över tillgängliga detaljprogram som du kan öppna.

Om du avmarkerar den här kryssrutan inaktiveras startdialogrutan.

Mer information om dialogrutan Öppna fil finns i Öppna befintliga detaljprogram i avsnittet Använda grundläggande filalternativ.


Placera etiketter automatiskt

Med kryssrutan Placera etiketter automatiskt kan du bestämma att elementetiketter ska placeras automatiskt runt en detalj.


Animera mätspets i programmeringsläge

Kryssrutan Animera mätspets i programmeringsläge aktiverar animering av mätspetsen i programmeringsläget. När du markerar den här kryssrutan animeras mätspetsens mätpunktstagning i Grafikfönstret efter hand som mätpunkterna genereras från CAD.


Visa symboler i textrutor

Med kryssrutan Visa symboler i textrutor kan du bestämma om symboler som representerar element- eller utvärderingstyper ska visas i textrutor och i elementens ID-etiketter. Testrutorna visar element-ID, utvärderingsinfo och punktinformation.

Mer information om textrutor finns i Läget Textfält i avsnittet Redigera CAD-visningen.


Genomborra CAD vid 3D-rotation

Med kryssrutan Genomborra CAD vid 3D-rotation kan du genom att högerklicka i Grafikfönstret bestämma den exakta punkten kring vilken PC-DMIS ska rotera när du utför en 3D-rotation.

· Om du markerar den här kryssrutan och utför en 3D-rotation genom att högerklicka i Grafikfönstret används den punkt som du klickade på som mittpunkt i rotationen.

· Om du avmarkerar den här kryssrutan och sedan högerklickar för att utföra en 3D-rotation genomborras inte CAD.

Obs! Som alltid, om en kantlinje eller en kantyta upptäcks nära muspekaren kommer den punkt på kantlinjen eller kantytan som ligger närmast muspekaren att användas som rotationspunkt.

Mer information om 3D-rotation finns i Läget 3D-rotera i avsnittet Redigera CAD-visningen .


Spara detaljprogram vid körning

Med kryssrutan Spara detaljprogram vid körning kan du bestämma att det aktuella detaljprogrammet ska sparas automatiskt när det körs.


Använd DMIS-knappen i redigeringsfönstret

Med kryssrutan Använd DMIS-knappen i Redigeringsfönstret kan du styra huruvida ikonen för DMIS-läge ska visas i verktygsfältet i Redigeringsfönstret.


Områdesscan bibehåller senaste steg

Genom att markera kryssrutan Områdesscan bibehåller senaste steg kan du tvinga varje ny linje i områdesscanåtgärden att använda den föregående linjens senaste steg. Om du avmarkerar den här kryssrutan återgår scanåtgärden till det minsta scansteget när nästa linjes första mätpunkt ska tas.


Använd avvikelsemarkering av bilindustrityp (bokstäver)

Med kryssrutan Använd avvikelsemarkering av bilindustrityp (bokstäver) kan du tvinga att en bokstav läggs till efter avvikelsetalet i utvärderingsrapporter för läge och lägeriktighet. Följande bokstav infogas

· F om elementet avviker i riktning framåt på bilen.

· B om elementet avviker i riktning bakåt på bilen.

· I om elementet avviker i riktning mot bilens mittlinje (vilket betyder att bilen är för smal).

· O om elementet avviker i riktning från bilens mittlinje (vilket betyder att bilen är för bred).

· H om elementet avviker i riktning mot bilens ovansida.

· L om elementet avviker i riktning mot bilens undersida.

De här bokstäverna läggs till i utvärderingar av läge och lägeriktighet direkt efter de rapporterade avvikelsetalen.


Använd omprojicering (SökNom) för scanresultat

Med kryssrutan Använd omprojicering (SökNom) för scanresultat kan du projicera om nominella värden som påträffas vid sökning efter nominella värden för en scanåtgärds mätta punkter vid körning.

Obs! För att de funna nominella värdena ska kunna projiceras om måste minst ett av de nominella värdena inte kunna hittas.

Mer information finns i Redigera hittade nominella värden i avsnittet Redigera ett detaljprogram.


Använd enbart prioriterade ytor för Sök nom.

Med kryssrutan Använd enbart prioriterade ytor för Sök nom. kan du tvinga PC-DMIS (vid programkörning) att endast söka efter nominella värden för en scanåtgärds mätta punkter på de prioriterade ytor som angetts i dialogrutan Redigera CAD-element.

Se Redigera CAD i avsnittet Redigera CAD-visningen.


Visa planets kontur

Med kryssrutan Visa planets kontur kan du styra huruvida faktiska plankonturer ska visas i Grafikfönstret, i stället för den lilla triangelikon som annars visas.

Om du till exempel markerar den här kryssrutan och mäter tre punkter för att konstruera ett plan får triangeln sådan storlek att dess hörn placeras exakt på de mätta punkterna.

Exempel på ett konstruerat plan som visas när kryssrutan har markerats

Obs! Oavsett om du markerar eller avmarkerar den här kryssrutan ritas befintliga konturer inte om. Endast de plan som skapas efter den tidpunkten påverkas. Om du vill ändra befintliga konturer måste du göra det manuellt.

Så här växlar du visning av befintliga plan:

  1. Öppna Redigeringsfönstret.

  2. Övergå till kommandoläge.

  3. Gå till kommandot för det plan vars visning du vill ändra. Exempel:

PLAN1 = ELEMENT/PLAN,REKT ,TRIANGEL

  4. Tryck på TABB-tangenten till dess att du markerat fältet TRIANGEL eller KONTUR.

  5. Tryck på F7 eller F8 för att växla mellan tillgängliga värden för det här fältet.

  • Med TRIANGEL visas planets lilla symboliska triangel.

  • Med KONTUR visas den faktiska konturen för de punkter som utgör planet.

  6. 6. Tryck på TABB-tangenten om du vill se resultaten i Grafikfönstret.


Betrakta teoretiska värden som givna i detaljkoordinatsystemet

Med kryssrutan Betrakta teoretiska värden som givna i detaljkoordinatsystemet kan du tvinga att teoretiska värden ska behandlas som om de lagras i detaljers koordinater. Det här kan endast användas när du utför förgreningar med hjälp av programflödeskommandon där uppriktningarna ändras.

När du kör detaljprogrammet, tas maskin-till-detaljuppriktningen för den första uppriktningen med men när man förgrenar till en ny uppriktning fastställs skillnaden mellan uppriktningarna och elementen uppdateras till att röra sig med den förskjutningen.


Gör variabler globalt tillgängliga

Normalt hamnar alla variabler "utom räckvidd" när ett underprogram anropas och är således inte tillgängliga. När du markerar kryssrutan Gör variabler globalt tillgängliga blir alla variabler "tillgängliga", d.v.s. går att använda, i hela detaljprogrammet.

Som standard är den här kryssrutan omarkerad, så att variablerna i ett underprogam inte ska ersätta data som lagras i variabler med samma namn i huvuddetaljprogrammet.

Exempel:

TILLDELA/V1 = 1

C1 = ANROPA_UNDERPROGRAM,MITT_UNDERPROGRAM

.

.

.

UNDERPROGRAM/MITT_UNDERPROGRAM

KOMMENTAR/OPER,V1

SLUT/UNDERPROGRAM

Om du avmarkerar den här kryssrutan blir variabler inte globalt tillgängliga. OPER-kommentaren visar värdet 0 eftersom V1 inte är tillgänglig inifrån underprogrammet.

Om du markerar den här kryssrutan blir variabler globalt tillgängliga och OPER-kommentaren visar värdet 1, eftersom V1 är tillgänglig inifrån underprogrammet.

Mer information om variabler finns i avsnittet Använda uttryck och variabler.


Inställningsval: Fliken Detalj/maskin

Dialogrutan Inställningsval - fliken Detalj/maskin

På fliken Detalj/maskin kan du definiera en detaljs inställningar i CMM (eller CMM-maskinen) genom att ändra CAD-axlarnas relation till maskinens axlar. Du kommer åt det här alternativet genom att klicka på fliken Detalj/maskin i dialogrutan Inställningsval (Redigera | Alternativ | Inställningar).

Du behöver den här kapaciteten när du skapar ett program med PC-DMIS och CAD-koordinatsystemet skiljer sig från CMM-maskinens detaljinställningar.

Exempel: En detalj har inställningen på maskinen där CAD-axeln X+ pekar i samma riktning som CMM-maskinens axel Z+. CAD-axeln Z+ pekar i samma riktning som CMM-maskinens axel X-. Du använder den här funktionen för att skapa korrekta relationer.

För att identifiera CAD-inställningen med detaljens inställnigg väljer du motsvarande axlar i listrutorna. När det här förhållandet har fastställts blir det enklare att programmera detaljen, eftersom mäthuvudet visas korrekt i förhållande till detaljen.

Mer:

Riktning på mäthuvud

Genvägar

Vinkelvarningsdelta

Återgång efter man. mätpkt

Visa absoluta hastigheter

Maxhastighet (mm/s)

CAD-axeln X+

CAD-axeln Y+

CAD-axeln Z+

X-offset

Y-offset

Z-offset

Knappen Justera

Knappen Verkställ

Knappen Autopos.

Bordskollisionsskydd

Knappen Standard


Riktning på mäthuvud

Med knappen Riktning på mäthuvud kan du konfigurera mäthuvudets vinkelvärden för både Master-armen och Slav-armen.

Så här konfigurerar du vinkelvärden för både Master-armen och Slav-armen:

  1. Öppna dialogrutan Parameterinställningar (välj Redigera | Alternativ | Inställningar).

  2. Välj fliken Detalj/maskin.

  3. Klicka på knappen Riktning på mäthuvud. Dialogrutan Konfigurering av mäthuvudets inriktning öppnas.

  4. Välj lämpliga axlar för Master-armens och Slav-armens vinklar (om tillämpligt).

  5. Klicka på OK.


Genvägar

I området Genvägar finns möjligheter att få mätspetsen att röra sig runt detaljen i en jämn, oavbruten rörelse. Du måste ha infogat en Via-punkt i detaljprogrammet innan du kan använda det här alternativet. Du infogar en Via-punkt genom att först kontrollera att Redigeringsfönstret är fokus i och sedan välja Via-punkt på huvudmenyn. (Mer information finns i Infoga ett kommando för via-punkt i avsnittet Infoga rörelsekommandon.) Ett kommando för via-punkt kan endast infogas före eller efter ett element i detaljprogrammet.

Så här använder du genvägar:

  1. Rulla fram till den plats i Redigeringsfönstret där du vill infoga genvägskommandot.

  2. Markera kryssrutan Aktivt.

  3. Ange ett radievärde.

  4. Klicka på Skapa.

  5. Genvägen placeras automatiskt i det aktuella detaljprogrammet på den angivna platsen. Så här ser kommandoraden för det här elementet ut i Redigeringsfönstret:

GENVÄG/ALT1,ALT2

ALT1
Det här växlingsbara fältet kan växlas mellan PÅ och AV. Om värdet är PÅ aktiveras kommandot i PC-DMIS. Om värdet är AV hoppas kommandot över i PC-DMIS.

ALT2
Det här fältet innehåller en lista över radiens värde.

Om du har markerat ett läge som inte är tillåtet visas ett felmeddelande med information om att det inte går att infoga på den aktuella raden i PC-DMIS. I meddelandet står en fråga om kommando ska infogas vid nästa tillåtna läge.

  • Om du klickar på Ja flyttas genvägskommandot nedåt i Redigeringsfönstret i PC-DMIS, till slutet av det aktuella elementet.

  • Om du klickar på Nej avbryts genvägskommandot i PC-DMIS och du återgår till fliken Detalj/maskin.

När detaljprogrammet körs i PC-DMIS flyttas mätspetsen en förutbestämd sträcka från Via-punkten, utan att hacka. Den sträcka som rörelsen tillryggalägger är det värde som står i rutan Radie.


Vinkelvarningsdelta

Det här är ett numeiskt värde som definierar den minsta vinkeländringen som krävs innan du måste ändra den aktuella vinkelpositionen. Det här påverkar endast dem som använder en CNC-CMM-maskin med en ledad PH9-arm.


Återgång efter man. mätpkt

Det här alternativet är endast tillgängligt för vissa CNC-CMM-typer (som LK och Mitutoyo).

I rutan Återgång efter man. mätpkt kan du ange återgångsavståndet som CMM-maskinen automatiskt ska röra sig efter att en manuell mätpunkt tas.

Om du ändrar värdet för Återgång efter man. mätpkt från antingen standardvärdet eller det senaste användarvärdet infogas ett återgångskommando (visas som MANÅTERGÅNG/ följt av värdet) i det aktuella detaljprogrammets Redigeringsfönster, vid insättningspunkten. När de manuella mätpunkterna tas återgår CMM-maskinen med det nya värdet som det här kommandot anger.

Om du till exemmpel ändrar värdet för återgång efter manuell mätpunkt från standardvärdet .1 till .003, kommer kommandot MANÅTERGÅNG/0.003 att visas i Redigeringsfönstret.


Visa absoluta hastigheter

Om du markerar kryssrutan Visa absoluta hastigheter visas rörelsehastigheten som ett absolut värde, i stället för som en procentandel. Det här värdet motsvarar den enhetstyp som angetts i detaljprogrammet (tum eller millimeter).


Maxhastighet (mm/s)

I rutan Maxhastighet (mm/s) kan du återställa maxhastigheten för maskinens rörelser. Det här värdet får inte överskrida maskinens egen maxhastighet. Det här värdet fungerar tillsammans med inställningen Transporthastighet.


CAD-axeln X+ är lika med

I den här listrutan kan du ange relationen mellan CAD-axeln X+ och maskinaxeln.

Du behöver den här kapaciteten när du skapar ett program med PC-DMIS och CAD-koordinatsystemet skiljer sig från CMM-maskinens detaljinställningar.


CAD-axeln Y+ är lika med

I den här listrutan kan du ange relationen mellan CAD-axeln Y+ och maskinaxeln.

Du behöver den här kapaciteten när du skapar ett program med PC-DMIS och CAD-koordinatsystemet skiljer sig från CMM-maskinens detaljinställningar.


CAD-axeln Z+ är lika med

I den här listrutan kan du ange relationen mellan CAD-axeln Z+ och maskinaxeln.

Du behöver den här kapaciteten när du skapar ett program med PC-DMIS och CAD-koordinatsystemet skiljer sig från CMM-maskinens detaljinställningar.


X-offset

I rutan X-offset kan du ange avståndet som CAD-ritningen ska förskjutas med längs X-axeln. CAD-ritningen förskjuts längs med X-axeln med det angivna avståndet. Om du till exempel anger .5 i den här rutan, förskjuts hela CAD-visningen i Grafikfönstret med sträckan .5 längs med X-axeln.

Obs! Samtliga element som skapats i detaljprogrammet kommer inte att förskjutas längs med axeln tillsammans med CAD-ritningen.


Y-offset

I rutan Y-offset kan du ange avståndet som CAD-ritningen ska förskjutas med längs Y-axeln. CAD-ritningen förskjuts längs med Y-axeln med det angivna avståndet. Om du till exempel anger .5 i den här rutan, förskjuts hela CAD-visningen i Grafikfönstret med sträckan .5 längs med Y-axeln.

Obs! Samtliga element som skapats i detaljprogrammet kommer inte att förskjutas längs med axeln tillsammans med CAD-ritningen.


Z-offset

I rutan Z-offset kan du ange avståndet som CAD-ritningen ska förskjutas med längs Z-axeln. CAD-ritningen förskjuts längs med Z-axeln med det angivna avståndet. Om du till exempel anger .5 i den här rutan, förskjuts hela CAD-visningen i Grafikfönstret med sträckan .5 längs med Z-axeln.

Obs! Samtliga element som skapats i detaljprogrammet kommer inte att förskjutas längs med axeln tillsammans med CAD-ritningen.


Knappen Justera

När du klickar på knappen Justera öppnas dialogrutan Justera detaljläge.

Dialogrutan Justera detaljläge

Du kan använda den här dialogrutan för att rotera eller flytta CAD i inkrement runt och längs med maskinens X-, Y- och Z-axlar.

  • Om du ska rotera CAD står värdena för vinkelgrader. Värdet 360 har samma effekt som 0.

  • Om du ska flytta CAD står värdena för de måttenheter som används i detaljprogrammet. Värdet 2 innebär således två millimeter, om det är den måttenhet som används i detaljprogrammet.

Så här justerar du CAD längs med eller runt en axel:

  1. Klicka på motsvarande ruta.

  2. Ange ett nytt värde. Justeringen visas dynamiskt i Grafikfönstret.

  3. Klicka på OK för att acceptera värdena och stänga dialogrutan.

Den här justeringen behålls, såvida du inte importerar detaljens CAD-modell på nytt.


Knappen Verkställ

När du klickar på knappen Verkställ tillämpas eventuella ändringar i fälten för X-, Y- eller Z-offset omedelbart och ritningen förskjuts längs med den aktuella axeln (eller axlar) utan att dialogrutan stängs.


Knappen Autopos.

Med knappen Autopos. kan du positionera detaljen automatiskt på maskinens grafiska representation. Med Autopositioneringsfunktionen väljs den position som passar detaljen bäst på den grafiska representationen. Du kan antingen låta detaljen positioneras automatiskt i förhållande till CMM-maskinen med hjälp av den här funktionen eller ange egna positioner med hjälp av offsetfälten för X, Y och Z. (Mer information om hur du ställer in CMM-maskinens grafiska representation finns i Definiera maskiner i avsnittet Definiera hårdvara.)


Bordskollisionsskydd

I området Bordskollisionsskydd på fliken Detalj/maskin kan du ange om mäthuvudet kommer att komma i kontakt med bordet (eller det fastställda planet) när du kör i CNC-läge.

När du klickar på knappen Mät får du en fråga om att ta en mätpunkt där bordytan ska definieras. Det här läget definierar Z-axelns tröskelvärde. I toleransfältet definieras ett läge i den positiva Z-riktningen för positiva värden och i den negativa riktningen för negativa värden, i relation till det fastställda planet.

  • Om en rörelse går förbi den angivna toleransen visas ett felmeddelande som varnar om den möjliga risken.

  • Om en begärd vridrotering kommer att passera genom den definierade zonen visas ett meddelande som varnar om felet.

Klicka på Avbryt eller Fortsätt om du vill avsluta eller slutföra åtgärden.

Exempel: Genom att ange ett toleransfält på 0,25 ser du till att den indikerade tröskeln plus toleransvärdet kan undvikas. Om tröskeln ligger på bordytan får du ett meddelande om mätspetsen kommer inom en kvarts millimeter (eller tum, beroende på inställd enhet) från bordet.

Obs! Alternativet Bordskollisionsskydd är endast tillgängligt inom vissa gränssnittstyper när du kör i CNC-läge.


Knappen Standard

Med knappen Standard kan du uppdatera standardinställningarna för flera av inställningsparametrarna för Detalj/maskin. När du skapar ett nytt detaljprogram kommer eventuella ändringar i de tillgängliga parametrarna endast att tillämpas när du klickar på knappen Standard. Om du klickar på OK (utan att klicka på Standard) används de definierade parametrarna bara för det aktiva detaljprogrammet och registerposterna påverkas inte. Standardvärdena sparas i registret. Du kan uppdatera de här parametrarna i deras dialogrutor eller genom att köra PC-DMIS Inställningar. Mer information finns i avsnittet Ändra registerposter.

Om du ändrar en parameter och klickar på Standard uppdateras registerfilen automatiskt så att standardvärdet ändras till den aktuella inställningen.


 Kryssrutan Uppdatera alltid databasen Allmänna inställningsval Detalj/maskin ID-inställningar NC-100-inställningar Kryssrutan Spara ALLTID statistik i fil Element anv. utvärderingsfärg Kryssrutan Undre tol. visas negativt Rutan Decim. för CAD nom. Alternativ för Antal decimaler 0-5 decimaler Kryssrutan Ange standard Området Positiv rapportering Området Visa vinklar som Området Vinkelgrader Knappen OK Knappen Avbryt Knappen Standard Knappen Hjälp

Inställningsval: Fliken Utvärdering

Dialogrutan Inställningsval - fliken Utvärdering

På fliken Utvärdering kan du komma åt utskriftsparametrarna för utvärderingar.

Så här öppnar du fliken Utvärdering:

  1. Öppna dialogrutan Inställningsval (välj Redigera | Alternativ | Inställningar).

  2. Välj fliken Utvärdering.

Mer:

Autoutvärdering

Spara ALLTID statistik i fil

Uppdatera ALLTID databasen

Element anv. utvärderingsfärg

Undre tol. visas negativt

Antal decimaler

Positiv rapportering

Standardtoleranser: Ange standard

Standardtoleranser: 0-5 decimaler

Decim. för CAD nom.

Visa vinklar som

Vinkelgrader

Knappen Standard på fliken Utvärdering


Autoutvärdering

Med knappen Autoutvärdering öppnar du dialogrutan Automatisk utvärdering.

Dialogrutan Automatisk utvärdering

Dialogrutan Automatisk utvärdering

I den här dialogrutan har du flera olika alternativ för att bestämma om element i PC-DMIS ska utvärderas automatiskt eller inte omedelbart efter att de har skapats samt hur dessa utvärderingar ska skapas.

Om du vill aktivera automatiskt skapande av utvärderingar, markerar du kryssrutan Form och/eller Läge/Position. När du klickar på OK kommer den valda utvärderingstypen att börja skapas automatiskt i PC-DMIS när du skapar element.

Information om de tillgängliga alternativen finns i nedanstående tabell:

Alternativ i dialogrutan

Beskrivning

Form

Med den här kryssrutan bestämmer du om formutvärderingar ska skapas automatiskt i PC-DMIS för elementtyper som har en formutvärdering.

Element | Kopplad formutvärdering
Cirkel | Rundhet
Cylinder | Rundhet
Kon | Rundhet
Sfär | Rundhet
Plan | Planhet
Linje | Rakhet

Läge/Position

Den här kryssrutan bestämmer om läges- eller positionsutvärderingar ska skapas automatiskt i PC-DMIS för elementtyper som har en läges- eller positionsutvärdering.

Läge

Genom att markera kryssrutan Läge/Position bestämmer du att de här utvärderingarna ska skapas som lägesutvärderingar i PC-DMIS.

Skapa utvärderingar av lägeriktighet

Genom att markera kryssrutan Läge/Lägeriktighet bestämmer du att de här utvärderingarna ska skapas som positionsutvärderingar i PC-DMIS.

Textutvärdering

Den här kryssrutan styr huruvida en textbaserad analys av utvärderingen ska skapas automatiskt i PC-DMIS. Om kryssrutan är markerad är alternativet påslaget. Se Analysinställningar i avsnittet Utvärdera element och Analys i avsnittet Infoga rapportkommandon.

Grafisk utvärdering

Den här kryssrutan styr huruvida en grafisk analys ska skapas i PC-DMIS av utvärderingar som skapas med Skapa utvärderingar eller Autorundhet. Se Analysinställningar i avsnittet Utvärdera element och Analys i avsnittet Infoga rapportkommandon.

Utvärderingsinfo

Den här kryssrutan styr huruvida kryssrutan Utvärderingsinformation kommer att skapas automatiskt i PC-DMIS för utvärderingar som skapas genom kryssrutorna Skapa utvärderingar eller Autorundhet. Mer information om hur du anger standardformat för de här utvärderingsetiketterna finns i Infoga rutor med utvärderingsinformation i avsnittet Infoga rapportkommandon.

Multiplikator
Multiplikator

Multiplikator-värdet är en skalfaktor som förstorar pil- och toleransområdet för det grafiska analysläget. Om du anger värdet 2.0 skaländras den grafiska bilden av pilen till två gånger storleken i PC-DMIS.

Rutan Multiplikator används endast för visningsändamål och påverkar inte den utskrivna texten.

Obs! I PC-DMIS skapas utvärderingar som antingen äldre utvärderingar eller Utvärdering av toleransrektangel, beroende på om det finns en kryssruta eller inte bredvid menyalternativet Använd äldre utvärderingsmetoder på undermenyn Infoga | Utvärdering.


Spara ALLTID statistik i fil

Med kryssrutan Spara ALLTID statistik i fil kan du förbigå frågerutan om du vill spara statistiska data som visas varje gång ett detaljprogram startar med ett giltigt STAT/PÅ-kommando. Statistiska data sparas automatiskt i filen XSTATS11.tmp om du har markerat den här kryssrutan och kommandot STAT/PÅ finns i detaljprogrammet när det körs. Mer information finns i Spåra statistiska data.


Uppdatera ALLTID databasen

Med kryssrutan Uppdatera ALLTID databasen kan du bestämma att det statistiska databasprogrammet ska uppdateras med informationen i filen XSTATS11.tmp utan att du först tillfrågas om att uppdatera databasen varje gång detaljprogrammet körs och statistiska data samlas och sparas. Om den här kryssrutan lämnas omarkerad kommer den här frågan även i fortsättningen att visas innan databasprogrammet uppdateras. Mer information finns i Spåra statistiska data.


Element använder utvärderingsfärg

Med kryssrutan Element anv. utvärderingsfärg kan du bestämma att element som är kopplade till utvärderingar ska färgas. Element ritas i Grafikfönstret med samma färg som utvärderingen använder för att visa avvikelser från de teoretiska värdena.


Undre tol. visas negativt

Med kryssrutan Undre tol. visas negativt kan du styra om utvärderingars minustoleranser ska visas med minustecken. Om utvärderingen till exempel har angetts till 5.0000 +0.3 (övre tolerans), -0.2 (nedre tolerans), kan utvärderingslinjen visas så här när kryssrutan har markerats:

AX | NOM | +TOL | -TOL | MÄTT | MAX | MIN | AVV | UTOMTOL
Y | 5.0000 | 0.3000 | -0.2000 | 5.0000 | 0.0000 | 0.0000 | 0.0000 | 0.0000

Om kryssrutan inte är markerad kan samma exempel se ut så här:

AX | NOM | +TOL | -TOL | MÄTT | MAX | MIN | AVV | UTOMTOL
Y | 5.0000 | 0.3000 | 0.2000 | 5.0000 | 0.0000 | 0.0000 | 0.0000 | 0.0000

Den här kryssrutan påverkar inte hur värden sparas eller används i beräkningar. Den styr endast hur värden visas i enlighet med användarens inställningar. Som standard är den här kryssrutan inte markerad.

Viktigt! Om du avmarkerar den här kryssrutan kan du fortfarande ha en tolerans med ett minustecken framför. Under normala omständigheter ligger dina övre och nedre toleranser på olika sidor av det nominella och om den här kryssrutan inte är markerad visas de som positiva värden. Men, om de övre och nedre toleranserna är båda större än det nominella, till exempel om dina värden faktiskt är +TOL 0.03 och –TOL –0.02 innan du markerar kryssrutan, kommer ditt värde för den nedre toleransen att visa ett positivt värde när du markerar den här kryssrutan.


Antal decimaler

I området Antal decimaler kan du styra hur många decimaler som ska skrivas ut i rapporten när PC-DMIS körs i tumläge. Du kan välja allt från en till fem decimaler. Ange hur många decimaler du vill skriva ut.

Om du väljer att använda mm som enhet, kan du välja att skriva ut upp till fyra decimaler.

Varje gång du ändrar det här värdet i ett detaljprogram infogas kommandot VISNINGSNOGGRANNHET/ # i detaljprogrammet. Det här kommandot anger vilken noggrannhet som ska visas i den här delen av programmet. Om du inte använder det här kommandot används standardvärdet automatiskt. Om du använder det här kommandot används den angivna noggrannheten till dess att den ändras med en annan instans av kommandot.


Positiv rapportering

De kryssrutor som finns i området Positiv rapportering styr rapporteringen av element som ligger på den negativa sidan av nollpunkten, som normalt skulle ha negativa värden, så att de skrivs ut tillsammans med positiva värden.

  • Kryssrutorna X, Y och Z bestämmer vilken axel (eller vilka axlar) som ska visas i PC-DMIS med positiva tal.

  • Med radioknappen Alla data kan du bestämma att den valda axelns (eller de valda axlarnas) mätta och nominella värden ska visas som positiva tal.

  • Med radioknappen Enbart avvikelser kan du bestämma att endast den valda axelns (eller de valda axlarnas) avvikelser ska visas som positiva tal.

När du markerar de här kryssrutorna infogas kommandot POSITIV_RAPPORTERING i detaljprogrammet vid markören aktuella läge. Så här ser det här kommandot ut i Redigeringsfönstret:

POSITIV_RAPPORTERING/ a, b, c, ALT1

Där:

a = X när kryssrutan för X är markerad, eller är tom om samma kryssruta är avmarkerad.

b = Y när kryssrutan för Y är markerad, eller är tom om samma kryssruta är avmarkerad.

c = Z när kryssrutan för Z är markerad, eller är tom om samma kryssruta är avmarkerad.

ALT1 = ALLA_DATA eller ENDAST_AVV, beroende på om du markerat kryssrutan Alla data eller Enbart avvikelser.

Du kan aktivera positiv rapportering för riktningarna X, Y och Z var för sig, eller en valfri kombination av dessa tre. Du kan använda flera POSITIV_RAPPORTERING-kommandon inom samma detaljprogram. Eventuella utvärderingar som finns i detaljprogrammet visas med det POSITIV_RAPPORTERING-kommando som föregår utvärderingarna. Om inget POSITIV_RAPPORTERING-kommando finns i detaljprogrammet, rapporteras alla utvärderingar med alternativen för riktningarna X, Y och Z avstängda.

Följande diagram visar hur toleranserna även påverkas av alternativen för positiv rapportering:

Hur positiv rapportering påverkar toleranser

Avsikten med positiv rapportering

Med positiv rapportering kan du rapportera element på ett symmetriskt vis så att, oavsett vilken sida av nollpunkten elementet ligger på, avvikelser:

  • från nollpunkten betraktas som positiva.

  • mot nollpunkten betraktas som negativa.

Således kommer, i ovanstående diagram, både Punkt1 och Punkt2 att visa positiva avvikelser vid positiv rapportering för X-axeln. Dock betyder detta även att:

  • plustoleranser tillämpas från nollpunkten.

  • minustoleranser tillämpas mot nollpunkten.


Standardtoleranser: Ange standard

Med kryssrutan Ange standard kan du ställa in standardtoleranser i inlärningsläget, baserade på de nominella värdenas precision. Vid behov kan du ändra dessa värden genom att ange toleranserna individuellt i förhandsgranskningsrutan. Det här alternativet påverkar toleranserna endast när du redigerar en utvärderings nominella värde.


Standardtoleranser: 0-5 decimaler

Området Standardtoleranser innehåller rutor där du kan ställa in de toleranser som ska gälla för nominella värden. (Siffran som visas står för noll till fem siffror efter decimalpunkten.) Exempel: Om du anger det nominella värdet 6.250 kommer plus- och minustoleransen att ställas in till den tredje decimalplatsens STANDARDTOLERANS-värde. Om du anger 6.25 kommer plus- och minustoleransen att ställas in till den andra decimalplatsens STANDARDTOLERANS-värde.


Decim. för CAD nom. =

I rutan Decim. för CAD nom. = kan du ange ett numeriskt värde som bestämmer hur många decimaler du vill använda när CAD-data ska avrundas. Till exempel, om en CAD-cirkel har diametern 3.9995 och värdet är inställt på 3 kommer diametern att avrundas till 4.000. Det här alternativet påverkar endast sättet på vilket CAD-data tolkas i läget TUNNPLÅTSMÅTT. Om du anger värdet 0 kommer inga värden att avrundas.


Visa vinklar som

I området Visa vinklar som kan du ange om du vill visa vinklar som decimalgrader eller som grader/minuter/sekunder. Välj det alternativ du önskar. Alla PA-lägesaxlar och vinklar ändras och visas enligt ditt valda alternativ.


Vinkelgrader

I området Vinkelgrader kan du också visa vinkelutvärderingen från 0° - 360°, eller 0° till +/- 180°. Eventuella PA-lägesaxlar och vinkelutvärderingar ändras så att de ligger inom det angivna vinkelgradsområdet.


Knappen Standard på fliken Utvärdering

Med knappen Standard kan du tillämpa ändringarna i dialogrutan Inställningsval på alla nya detaljprogram som du sedan skapar.

Med knappen Standard kan du uppdatera standardinställningarna för flera av utvärderingsinställningarnas parametrar. När du skapar ett nytt detaljprogram kommer eventuella ändringar i de tillgängliga parametrarna endast att tillämpas om du har klickat på knappen Standard.

Mer information om Standard-knapparna finns i Standard i avsnittet Navigera i användargränssnittet.


 Utvärdering Detalj/maskin Allmänt NC-100-inställningar Etiketter för Knappen OK Knappen Avbryt Knappen Standard Knappen Hjälp Listan Metod Rutan Begynnelsebokstäver Rutan Startnummer Kryssrutan Etikettlängd Kryssrutan Visa klammer för elementgrupper Knappen Verkställ

Inställningsval: Fliken ID-inställningar

Dialogrutan Inställningsval - fliken ID-inställningar

Det är viktigt att hålla reda på redan definierade ID:n när du ändrar ett ID. Det är möjligt att skapa dubblett-ID:n genom att ofta ändra det här alternativet.

På fliken ID-inställningar kan du ändra det format som används för att identifiera uppriktningar, utvärderingar, element, kommentarer, etiketter och variabler.

Så här kommer du åt alternativet:

1. Öppna dialogrutan Inställningsval (Redigera | Alternativ | Inställningar).

2. Välj fliken ID-inställningar.

Standardalternativet för ID-inställningar är Allmänt. När varje element skapas tilldelas det ett ID som börjar med bokstaven F, följt av en siffra (som börjar med ett och ökas stegvis). Du kan välja att ändra den här inställningen genom att välja följande alternativ:

Mer:

Etiketter för

Metod

Begynnelsebokstäver

Startnummer

Etikettlängd

Visa klammer för elementgrupper

Verkställ

Standardinställningar


Etiketter för

I listarutan Etiketter för kan du välja det ID som ska användas för uppriktningar, utvärderingar och element. (Se "Etikettmetod")

Uppriktning

Allmän är den enda tillgängliga metoden för identifiering av uppriktningar.

Kommentarer

Allmän är den enda tillgängliga metoden för identifiering av kommentarer.

Utvärdering

Utvärderingar kan identifieras med hjälp av metoden Allmän eller metoden Efter typ. Om du använder metoden Efter typ kan varje ID, beroende på vad du behöver, likna respektive utvärderingstyp.

Element-ID

Element kan identifieras med hjälp av metoden Allmän eller metoden Efter typ.

Om du väljer metoden Efter typ kan du även ändra den färg som används för att visa elements-ID:t.

Om du har markerat kryssrutan Visa alla ID och klickar på Verkställ visas alla etiketter för element-ID:n i Grafikfönstret för samtliga element, från markörens nuvarande läge fram till slutet på detaljprogrammet. ID för nyss skapade element kommer också att visas. Om du avmarkerar den här kryssrutan och sedan klickar på Verkställ döljs samtliga element-ID:n, från markörens nuvarande läge fram till slutet på detaljprogrammet. Nyss skapade element skapas fortfarande i Redigeringsfönstret, men ID-etiketten visas inte i Grafikfönstret.

Om du har markerat kryssrutan Färg påverkas samtliga element som skapas efter att du klickar på knappen Verkställ. (Element som skapades innan du ändrade färgen kommer inte att bytas ut.)

Etikett

Allmän är den enda tillgängliga metoden för identifiering av etiketter.

Variabler

Allmän är den enda tillgängliga metoden för identifiering av variabler.

Anropa underprogram

Allmän är den enda tillgängliga metoden för identifiering av anropade underprogram.


Metod

I den här listrutan kan du välja mellan ID-metoderna Efter typ och Allmän.

Efter typ

Med metoden Efter typ kan du ställa in ID för varje elementtyp (cirkel, kon, cylinder, linje, plan, punkt och sfär).

Allmän

Med metoden Allmän tillämpas samma ID-system oavsett elementets (utvärderingens) typ.

Det finns ingen begränsning för hur många bokstäver du kan använda för ID:n. Grafikfönstret och Redigeringsfönstret har dock begränsningar på ID-längder. Även om hela ID:t inte visas i Redigeringsfönstret lagras information om hela ID:t internt.


Begynnelsebokstäver

I rutan Begynnelsebokstäver kan du bestämma den första bokstaven som ska användas i ID-processen. ID visas alltid med versaler. Du kan ange upp till 15 tecken.

Obs!Genom att ändra textdelen av ett ID kan du ändra standardtexten för ett ID i de olika dialogrutorna där ID visas.


Startnummer

I rutan Startnummer kan du bestämma det första numret som ska användas i ID-processen. Du kan ange ett valfritt nummer mellan 1 och 9999.

Obs! Genom att ändra nummerdelen av ett ID kan du återställa räknaren till önskat tal i de olika dialogrutorna där ID visas.


Etikettlängd

Med kryssrutan Etikettlängd kan du bestämma hur långa etiketter ska vara. Du får ange högst 15 siffror. Du måste markera den här kryssrutan för att alternativet ska aktiveras. Om längden är fast fylls den nödvändiga längden ut med nollor efter ID-bokstäverna.

Exempel:
Längd på ID = 10, ID-bokstäver = CIRKEL.
Det ID som genereras blir då ID = CIRKEL0001 o.s.v. Det här görs endast om längden är fast.


Visa klammer för elementgrupper

Med kryssrutan Visa klammer för elementgrupper kan du styra om gruppklammer ska visas med ID på de kommandon som körs mer än en gång.

Om den här kryssrutan är markerad visar rapporten vilken instans av kommandots körning som används som referens.

Exempel:
F1[3]=PUNKT MÄTT MED 1 MÄTPUNKT

Visar att elementet, F1, här mäts för tredje gången (vilket visas genom siffran tre inom klamrar).

Du kan bestämma formatet på uttrycket inom klamrar med objektet ARRAY_INDEX. Mer information finns i Objektet Array_Index i avsnittet Använda uttryck och variabler.


Verkställ

Genom att klicka på knappen Verkställ tillämpas de ändringar som beskrivs i Metod på aktuella element-ID:n. De här ändringarna gäller endast element-ID:n.

Om du inte klickar på knappen Verkställ kommer element-ID:n att fortsätta att tilldelas enligt den tidigare angivna metoden.

Obs! Om ett dubblett-ID tilldelas får du ett meddelande om att du måste ange ett unikt ID för ett element, en utvärdering eller liknande.


Standardinställningar

Med knappen Standard kan du uppdatera standardinställningarna för samtliga ID-inställningsparametrar. När du skapar ett nytt detaljprogram kommer eventuella ändringar i de tillgängliga parametrarna endast att tillämpas om du har klickat på knappen Standard.

Mer information om Standard-knapparna finns i Standard i avsnittet Navigera i användargränssnittet.

Obs! Klicka alltid på knappen Tillämpa när du gör en ändring (innan du klickar på OK eller Standard).


Inställningsval: Fliken NC-100-inställningar

Dialogrutan Inställningsval - fliken NC-100

På fliken NC-100 (Redigera | Alternativ | Inställningar) kan du använda ett NC-100 optiskt mäthuvud. När du markerar kryssrutan NC-100 mäthuvud blir rutorna IP-adress, Port och Datornamn tillgängliga. Med de här rutorna kan du konfigurera komunikationsinställningarna med NC-100-datorsystemet. De här värdena sparas i registerinställningarna och hämtas varje gång du startar PC-DMIS. Mer information finns i avsnittet Ändra registerposter.

Mer information om hur du använder det optiska mäthuvudet NC-100 för att skapa autoelement finns i avsnittet Mäta autoelement med det optiska mäthuvudet NC-100.

Obs! Fliken NC-100 visas endast om portlåset har programmerats för att acceptera CMT-funktionalitet.

Mer:

Använda det optiska mäthuvudet NC-100

IP-adress

Port

Datornamn


Använda det optiska mäthuvudet NC-100

Med kryssrutan NC-100 mäthuvud kan du styra om det optiska mäthuvudet NC-100 ska användas. Om du markerar den här kryssrutan antas att NC-100 är aktivt.


IP-adress

I rutan IP-adress skriver du adressinformation för NC-100-datorsystemet. Det här värdet behövs för att kommunikationen mellan datorsystemen PC-DMIS och NC-100 ska fungera.


Port

I rutan Port skriver du portnumret till NC-100-datorsystemet. Det här värdet behövs för att kommunikationen mellan datorsystemen PC-DMIS och NC-100 ska fungera.


Datornamn

I rutan Datornamn skriver du namnet på NC-100-datorsystemet. Det här värdet behövs för att kommunikationen mellan datorsystemen PC-DMIS och NC-100 ska fungera.


Ändra rapport- och rörelseparametrar

Genom menyalternativet Redigera | Alternativ | Parametrar kan du ändra valfri rapports innehåll, form eller beräkningsmetod. Dessutom kan du ändra en CNC-CMM-maskins rörelseparametrar. När du väljer det här alternativet öppnas dialogrutan Parameterinställningar.

Förutom att visa dialogrutan Parameterinställningar kan du infoga kommandon från den här dialogrutan direkt i detaljprogrammet genom att välja dem på undermenyn Infoga | Parameterändringar.

Dialogrutan Parameterinställningar har följande flikar.

  • Parameterinställningar: fliken Utvärdering

  • Parameterinställningar: fliken Säkerhetsplan

  • Parameterinställningar: fliken Mätning

  • Parameterinställningar: fliken Rörelse

  • Parameterinställningar: fliken Rundbord

  • Parameterinställningar: fliken Acceleration

  • Parameterinställningar: fliken Inställningar, analogt mäthuvud

  • Parameterinställningar: fliken Alternativ, trigg

  • Parameterinställningar: fliken NC-100-parametrar

  • Parameterinställningar: fliken I/O-kanaler


 Området Inkludera 132-kolumners utskrift Kryssrutan Standardavvikelse Kryssrutan Avvikelsesymboler Kryssrutan Rubriker Kryssrutan Alternativ Knappen OK Knappen Avbryt I/O-kanaler NC-100-parametrar Alternativ, trigg Inställningar, analogt mäthuvud Säkerhetsplan Acceleration Mätning Rörelse Kryssrutan Text Rundbord Knappen Verkställ Knappen Hjälp Knappen Standard Knappen Återkalla Knappen Radera

Parameterinställningar: Fliken Utvärdering

Dialogrutan Parameterinställningar – fliken Utvärdering

På fliken Utvärdering kan du variera formatet på en utvärderings utdata. Den ger dig också möjlighet att ändra den utskrivna rapporten.

Så här öppnar du fliken Utvärdering:

  1. Öppna dialogrutan Parameterinställningar.

  2. Välj fliken Utvärdering.

Mer:

I nkludera

Text

Alternativ

Rubriker

Avvikelsesymboler

Standardavvikelse

132-kolumners utskrift


Inkludera

Det här kommandot styr vad som inkluderas i PC-DMIS utvärderingar. Markera de aktuella kryssrutorna för Format om du vill ändra formatet.

Tillgängliga format: | Beskrivning
Nominell | Visar alla utvärderingars nominella värden.
Tolerans | Visar alla utvärderingars toleransvärden.
Mätt | Visar alla utvärderingars mätta värden.
Min/max | Visar alla utvärderingars maximi- och minimivärden.
Avvikelse | Visar alla utvärderingars avvikelsevärden.
Utom tolerans | Visar alla utomtoleransvärden för alla utvärderingar.
Avvikelsevinkel | Visar avvikelsevinkeln för utvärderingar av lägeriktighet.

När du växlar från koordinattoleranser till lägeriktighet (och tillbaka) är det viktigt att du kontrollerar att formatet är korrekt.

I PC-DMIS har du tillgång till samma utskriftsformat vid koordinattoleranser som vid toleranser för lägeriktighet, även om deras kolumner har en aning olika utseende p.g.a. ytterligare kolumner vid utvärderingar av lägeriktighet.

Exempel: Vid uträkning av toleransavståndet mellan två linjer när kryssrutan Min/max markerats sker en beräkning i PC-DMIS av avståndet mellan de två punkter som låg längst ifrån varandra eller de två punkter som låg närmast varandra. Sedan väljs det sämre fallet av de två (det som ligger längst utanför toleransen). Om du inte markerar kryssrutan Min/max beräknas utvärderingen i PC-DMIS utan att Min/max-värdet visas.

I PC-DMIS indikeras ordningen på valda utdata genom att en siffra visas till höger om kryssrutan. På så vis kan du ändra ordningen på formatet för att uppfylla dina behov. Du kan avmarkera en kryssruta genom att klicka på den en andra gång.

Så här ser kommandoraden för det här alternativet ut i Redigeringsfönstret:

FORMAT/TEXT,ALTERNATIV,RUBRIKER,SYMBOLER, SA; "UTSKRIFTSFORMAT"

UTSKRIFTSFORMAT = Formatet på utdata kommer att baseras på den valda ordningen. Som standard visas hela utdataurvalet i den angivna ordningen.


Utvärderingstext

Med kryssrutan Utvärderingstext styr du huruvida utvärderingstexten ska visas i Redigeringsfönstret för de utvärderingar som följer efter kommandot.

Så här ser kommandoraden för det här alternativet ut i Redigeringsfönstret:

FORMAT/TEXT, , , , ;NOM,TOL,MÄT,MAXMIN,AVV,UTOMTOL,AVVVNK

En beskrivning av alternativen för det här kommandot finns i Inkludera.


Alternativ

Med kryssrutan Alternativ styr du huruvida utvärderingsalternativen ska visas i Redigeringsfönstret för de utvärderingar som följer efter kommandot.

Alternativen är bland annat:

· Enheter (se Enheter i avsnittet Utvärdera element)

· Grafisk analys (se Analysinställningar i avsnittet Utvärdera element)

· Textanalys (se Analysinställningar i avsnittet Utvärdera element)

· Pil-faktor (se Analysinställningar i avsnittet Utvärdera element)

· Utmatningsalternativ (se Analysinställningar i avsnittet Utvärdera element)

Så här ser kommandoraden för det här alternativet ut i Redigeringsfönstret:

FORMAT/ALTERNATIV, , , , ;NOM,TOL,MÄT,MAXMIN,AVV,UTOMTOL


Rubriker

Med kryssrutan Rubriker styr du visningen av kolumnrubriker i rapporten. Om du inte markerar den här kryssrutan skrivs inga kolumnrubriker ut.


Avvikelsesymboler

Med kryssrutan Avvikelsesymboler kan du styra visningen av avvikelser i det angivna området. Om intervallet utom tolerans ligger över plustoleransen visas avvikelsen med tecknet för "större än" (>) till höger om linjen. Om intervallet utom tolerans ligger under minustoleransen visas avvikelsen med tecknet för "mindre än" (<).

Exempel:
Nominellt = 0.00
Mätt = 0.02
Positiv tolerans = 0.10
Negativ tolerans = 0.20
Totalt toleransområde = (.10 - (-.20)) = .30
Procent = 100*(.02 - (-.20))/.3 = 73.3 %
- - - - - - # - - analyserar % och förskjuter med utgångspunkt i %.

UTV D1= LÄGE FÖR CIR F5 GRAF=AV TEXT=AV MULT=1.00

AX | NOM | +TOL | -TOL | MÄT | AVV | UTOMTOL |
x | 5.0000 | 0.0100 | 0.0100 | 5.0000 | 0.0000 | 0.0000 | ----#----
y | 2.0000 | 0.0100 | 0.0100 | 2.0000 | 0.0000 | 0.0000 | ----#----
z | -0.2500 | 0.0100 | 0.0100 | -0.2500 | 0.0000 | 0.0000 | ----#----
d | 2.0000 | 0.0100 | 0.0100 | 2.0000 | 0.0000 | 0.0000 |
v | i | j | k |  |  |  |

SLUT PÅ UTVÄRDERING D1


Standardavvikelse

Om du markerar kryssrutan Standardavvikelse visas elementens standardavvikelser.


132-kolumners utskrift

Med kryssrutan 132-kolumners utskrift kan du styra utskriftsformatet för elementlägen i rapporten. Om kryssrutan är markerad kommer alla elementlägen att skrivas ut i 132-kolumnsformat.

Nedan följer en beskrivning av kolumnerna i utskriftsformatet 132-kolumner:

Kolumn 1 till 10: Nominell X
Kolumn 11 till 20: Mätt X
Kolumn 21 till 28: X-avvikelse
Kolumn 31 till 40: Nominell Y
Kolumn 41 till 50: Mätt Y
Kolumn 51 till 58: Y-avvikelse
Kolumn 61 till 70: Nominell Z
Kolumn 71 till 80: Mätt Z
Kolumn 81 till 88: Z-avvikelse
Kolumn 91 till 100 T-fel (normal till ytfel)
Kolumn 101 till 101 Flagga för Utom tolerans "*"
Kolumn 104 till 105 Elementtyp
Kolumn 108 till 117 Element-ID
Kolumn 118 till 127 Eventuellt mätt diameter

Obs! 132-kolumnsformatet gäller endast utvärderingar av typen LÄGE. Alla övriga utvärderingar (t.ex. AVSTÅND, VINKEL_MELLAN o.s.v.) skrivs ut i det normala formatet.


 Knappen OK Knappen Avbryt I/O-kanaler NC-100-parametrar Alternativ, trigg Inställningar, analogt mäthuvud Utvärdering Acceleration Mätning Rörelse Området Aktivt plan Genomgångsplan Kryssrutan Säkerhetsplan aktivt Rundbord Knappen Verkställ Knappen Hjälp

Parameterinställningar: Fliken Säkerhetsplan

Dialogrutan Parameterinställningar – fliken Säkerhetsplan

På fliken Säkerhetsplan finns en kryssruta med vilken du kan styra användningen av säkerhetsplan. Användning av det här alternativet minskar programmeringstiden, eftersom behovet av att definiera mellanrörelser minimeras. I grunden skapar säkerhetsplan en omslutning kring en detalj, där mäthuvudet alltid rör sig när det transporteras från ett element till nästa. I PC-DMIS flyttas mäthuvudet bort från detaljen med ett bestämt avstånd, mätt enligt det koordinatsystem enligt vilket avståndet definierades. Efter att elementets sista mätpunkt har mätts stannar mäthuvudet på mätdjupet till dess att det anropas till nästa element.

Så här anger du ett SÄKPLAN-kommando:

  1. Öppna dialogrutan Parameterinställningar.

  2. Klicka på fliken Säkerhetsplan.

  3. Välj axel för det aktiva planet i listrutan Axel.

  4. Ange avståndet från detaljen i rutan Värde.

  5. Välj axel för Genomgångsplan i listrutan Axel.

  6. Ange avståndet för Genomgångsplanet i rutan Värde.

  7. Markera kryssrutan Säkerhetsplan aktivt (PÅ).

  8. Klicka på knappen Verkställ.

  9. Klicka på OK.

Så här ser kommandoraden för det här alternativet ut i Redigeringsfönstret:
SÄKPLAN/AKTIVT_PLAN, .n, GENOMGÅNGSPLAN, .n

Mer:

A ktivt plan

Genomgångsplan

Säkerhetsplan aktivt

Kommentarer om säkerhetsplan


Aktivt plan

I det här området i dialogrutan kan du ange vilket plan som elementet finns på när det ska mätas. Det aktiva planet indikeras också i listrutan Visa, som finns i verktygsfältet.

Du kan ange ett numeriskt värde för det aktiva huvudplanet (X Plus, X Minus, Y Plus, Y Minus, Z Plus samt Z Minus). I Redigeringsfönstret visas det valda aktiva fönstret med en X-, Y-, Z-plusriktning eller en X-, Y-, Z-minusriktning. För att definiera ett säkerhetsplan klickar du först på listrutan i området Aktivt plan och väljer sedan vilket plan du vill ändra. Ange sedan ett nytt värde i rutan Värde.


Genomgångsplan

I det här området i dialogrutan kan du ange det plan som mäthuvudet ska passera genom på väg till nästa elementplan.

I PC-DMIS kan du ange numeriska värden för alla sex säkerhetsplan:

  1. X Plus

  2. X Minus

  3. Y Plus

  4. Y Minus

  5. Z Plus

  6. Z Minus

I Redigeringsfönstret visas det valda aktiva fönstret med en X-, Y-, Z-plusriktning eller en X-, Y-, Z-minusriktning.

Så här definierar du ett säkerhetsplan:

  1. Gå till listrutan i området Genomgångsplan.

  2. Välj det plan som ska ändras.

  3. Ange lämpligt värde i rutan Värde.

  4. Klicka på knappen Verkställ.

  5. Klicka på knappen OK.


Säkerhetsplan aktivt

Med kryssrutan Säkerhetsplan aktivt (PÅ) kan du aktivera det definierade säkerhetsplanet.


Kommentarer om säkerhetsplan

Transport från ett säkerhetsplan till ett annat påverkar mäthuvudets läge. Kontrollera att det inställda säkerhetsplanet är tillräckligt för att detaljen ska kunna passera.

Det är viktigt att du är medveten om ett säkerhetsplans tecken när du anger dess värde. Tecknet måste motsvara den positiva eller negativa ändan av normalaxeln som definierar planet. Om du till exempel vill definiera ett övre säkerhetsplan anger du ett positivt värde, medan du anger ett negativt värde för att definiera ett nedre säkerhetsplan.

Exempel på säkerhetsplan

Ett säkerhetsplan definieras i relation till det aktuella koordinatsystemet och detaljens ursprung. Du måste därför vara försiktig när du definierar ett säkerhetsplan, för att försäkra dig om att det finns utrymme för frigång runt detaljen.

Exempel: Anta att detaljen är 250 mm lång och att den har placerats nära maskinens axlar med nollpunkten för X-axeln i nedre vänster hörn. Du kan ange 50 mm centimeters frigång för detaljen genom att ange dess högra säkerhetsplan till 300 mm.

Säkerhetsplan ska alltid definieras i relation till det aktuella koordinatsystemet. Om du skapar ett nytt koordinatsystem är säkerhetsplanen fortfarande definierade i relation till den första uppriktningen. Om du vill koppla säkerhetsplanen till det nya koordinatsystemet måste du definiera om dem.

Säkerhetsplan används inte vid tagning av stödpunkter. Därför är det viktigt när du mäter stift att du anger avståndsvärden till ett avstånd som tillåter mäthuvudet att röra sig runt stiftet.


 Området Polär vektorkompensering Kryssrutan Mätspetskompensering aktiv Aktiv mätspets Aktivt mäthuvud Knappen OK Knappen Avbryt Utvärdering NC-100-parametrar Alternativ, trigg Inställningar, analogt mäthuvud Säkerhetsplan Acceleration Rörelse I/O-kanaler Rundbord Knappen Verkställ Knappen Hjälp

Parameterinställningar: Fliken Mätning

Dialogrutan Parameterinställningar – fliken Mätning

På fliken Mätning visas den aktuella mäthuvudsfilen, den aktiva mätspetsen (och mäthuvudsfacket om ett sådant används). På den här fliken kan du också markera kryssrutan Mätspetskompensering aktiv (PÅ) och välja Polär vektorkompensering i listrutan.

Så här öppnar du fliken Mätning:

  1. Öppna dialogrutan Parameterinställningar (välj Redigera | Alternativ | Parametrar).

  2. Klicka på fliken Mätning bland de tillgängliga flikarna.

Mer:

Aktivt mäthuvud

Aktiv mätspets

Mätspetskompensering

Polär vektorkompensering

Mäthuvud i fack nr


Aktivt mäthuvud

På den här raden på fliken Mätning visas den aktuella mäthuvudsfilen. Mer information om hur du väljer en annan mäthuvudsfil eller skapar ett nytt mäthuvudsfilnamn finns i Mäthuvudsfilnamn i avsnittet Definiera hårdvara.


Aktiv mätspets

Den här raden på fliken Mätning visar den aktiva mätspetsen. Mer information om vilka värden som visas samt hur du väljer, skapar och tar bort mätspetsar finns i Aktiva mätspetsar i avsnittet Definiera hårdvara.

Så här ser kommandoraden för det här alternativet ut i Redigeringsfönstret:
MÄTSPETS/namn_på_aktiv_mätspets


Mäthuvudskompensering

Den här kryssrutan är endast tillgänglig när du kör i CNC-läge.

Med kryssrutan Mätspetskompensering aktiv (PÅ) kan du kompensera för mäthuvudets radie. Om du markerar den här kryssrutan sker kompensering för mäthuvudets radie för varje element som mäts.

Kommandorad i Redigeringsfönstret:
MÄTSPKOMP/ PÅ


Polär vektorkompensering

I listrutan Polär vektorkompensering kan du ange att mätningen av vektor- och ytpunkter alltid ska kompenseras längs en polär vektor. Följande alternativ finns:

  • AV - Vektor- och ytpunkterna fungerar normalt.

  • XYPL - Vektorkompenseringar för varje vektor- och ytpunkt sker i 2D på XY-planet längs med en vektor från punkten till den aktuella nollpunkten.

  • YZPL - Vektorkompenseringar för varje vektor- och ytpunkt sker i 2D på YZ-planet längs med en vektor från punkten till den aktuella nollpunkten.

  • ZXPL - Vektorkompenseringar för varje vektor- och ytpunkt sker i 2D på ZX-planet längs med en vektor från punkten till den aktuella nollpunkten.

  • 3D - Ger polär vektorkompensering längs med en 3D-vektor, från punkten till den aktuella nollpunkten.

Kommandoraden i Redigeringsfönstret ser ut så här för alternativen ovan:
POLÄRVEKTORKOMP/ AV
POLÄRVEKTORKOMP/ XYPL
POLÄRVEKTORKOMP/ YZPL
POLÄRVEKTORKOMP/ ZXPL
POLÄRVEKTORKOMP/ 3D


Mäthuvud i fack nr

Det här alternativet anger facknumret i växlaren för det mäthuvud eller den mätspets som för tillfället används. Det här alternativet är endast tillgängligt om du har installerat en växlare.

Om du inte använder en växlare, eller om ditt nuvarande mäthuvud inte finns i en växlare visas information om att det aktuella mäthuvudet inte ligger i växlaren eller att ingen växlare används.

Mer information om hur du lägger till mäthuvuden eller mätspetsar i en växlare finns i Fack, under Konfigurera växlarinställningar.


 Scanhastighet Mätkraftsvärde Mäthastighet Transporthastighet Sökprocent Söksträcka Återgångssträcka Insträcka Knappen OK Knappen Avbryt Utvärdering NC-100-parametrar Alternativ, trigg Inställningar, analogt mäthuvud Säkerhetsplan Acceleration Mätning I/O-kanaler Rundbord Knappen Verkställ Knappen Hjälp Knappen Standard Knappen Återkalla Knappen Radera

Parameterinställningar: Fliken Rörelse

Dialogrutan Parameterinställningar – fliken Rörelse

På fliken Rörelse kan du ändra de avstånd som mäthuvudet tillåts röra sig när en mätpunkt tas. Här kan du också ange vilken hastighet som ska användas vid mätpunktstagning och rörelser mellan punkter.

Obs! Du kan bestämma om hastigheterna (Transporthastighet, Mäthastighet och Scanhastighet) ska visas i rutorna som mm/sek eller som procentandelar av maxhastigheten genom att markera eller avmarkera kryssrutan Visa absoluta hastigheter på fliken Detalj/maskin i dialogrutan Inställningsval.

Så här redigerar du information på fliken Rörelse:

  1. Öppna dialogrutan Parameterinställningar (välj Redigera | Alternativ | Parametrar).

  2. Välj fliken Rörelse. En mängd rutor visas.

  3. Markera det värde som du vill ändra.

  4. Ange ett nytt värde.

  5. Klicka på Verkställ eller OK.

För att återställa rörelsevärdena till fabriksinställningarna klickar du på Hämta std.. När du klickar på knappen Hämta std. återgår de visade värdena till de värden som finns lagrade i PC-DMIS Inställningar. När du klickar på knappen Standard sparas de visade värdena i Inställningar.

Mer information om PC-DMIS Inställningar finns i Ändra registerposter.

Mer:

Insträcka

Återgångssträcka

Söksträcka

Sökprocent

Transporthastighet %

Mäthastighet %

Mätkraftsvärde

Scanhastighet %


Insträcka

I rutan Insträcka kan du ange värdet för maskinens insträcka. En insträcka är det avstånd från ytan där sökning efter detaljen börjar. Vid behov kan insträckan ändras automatiskt i PC-DMIS när mätpunkter ska tas i en båge eller en cirkel.

Så här ser kommandoraden för det här alternativet ut i Redigeringsfönstret:
INSTRÄCKA/ nnn.nnnn


Återgångssträcka

I rutan Återgångssträcka kan du ange det avstånd som mäthuvudet ska återgå från ytan efter att en mätpunkt tagits. Vid behov kan återgångssträckan ändras automatiskt i PC-DMIS när mätpunkter ska tas i en båge eller en cirkel.

Så här ser kommandoraden för det här alternativet ut i Redigeringsfönstret:
ÅTERGÅNG/ nnn.nnnn


Söksträcka

I rutan Söksträcka kan du ange avståndet förbi det teoretiska mätpunktsläget som maskinen ska fortsätta att söka efter detaljens yta innan den fastställer att ytan inte finns där.

Så här ser kommandoraden för det här alternativet ut i Redigeringsfönstret:
SÖKSTRÄCKA/ avstånd,procent

Procentuell rörelse vid Sök hål-åtgärder

När du definierar söksträckan för en Sök hål-åtgärd kan du definiera rörelsen som en procentandel av söksträckan.

Så här gör du:

  1. Öppna Redigeringsfönstret och övergå till kommandoläge.

  2. Klicka på kommandot SÖKSTRÄCKA i Redigeringsfönstret.

  3. Tryck på TABB-tangenten för att flytta till den andra siffran.

  4. Ange ett nytt procentvärde. Standardvärdet är 1, vilket betyder 100 % av söksträckan. Således blir .1 = 10 %, .2 = 20 %, .3 = 30 % o.s.v.

Om vi tar följande kod som exempel:
SÖKSTRÄCKA/20,.3, värdet .3 står för 30 % av den totala söksträckan på 20 enheter.

Mer information om Sök hål finns i Kryssrutan Sök hål i avsnittet Skapa autoelement :


Sökprocent

Värdet i rutan Sökprocent styr den procentandel av det totala avståndet som maskinen rör sig i samband med en SökHål-åtgärd. Tänk på att värdet 1 betyder 100 procent. Således anger du 100 % som 1, 25 % anges som .25 och 10 % anges som .10.


Transporthastighet %

Med alternativet Transporthastighet kan du ändra CMM-enhetens hastighet för placering av punkter. Det värde som anges är en procentandel av maskinens högsta hastighet. Du kan ange värden mellan 1 % och 100 % av maskinens högsta hastighet. (Mer information om alternativet för rörelsehastighet och mäthuvudskalibrering finns i Mät, under Definiera mäthuvden i avsnittet Definiera hårdvara.)

Så här ser kommandoraden för det här elementet ut i Redigeringsfönstret:
TRANSP_HAST/ nnn.nnnn


Mäthastighet %

I rutan Mäthastighet kan du ändra hastigheten med vilken CMM-maskinen tar mätpunkter. Det värde som anges är en procentandel av maskinens högsta hastighet och får inte överskrida 20 procent.

Så här ser kommandoraden för det här alternativet ut i Redigeringsfönstret:
MÄTHAST/ nnn.nnnn

För att förstå effekterna av att ändra avstånden för antingen INSTRÄCKA eller ÅTERGÅNG och för RÖRELSE eller MÄTHAST, är det viktigt att förstå hur de här alternativen interagerar vid CNC-mätning av element. Ordningen på händelserna sker genom att maskinen rör sig mot elementet med hastigheten TRANS_HAST. När avståndet för INSTRÄCKA nås närmas elementet med hastigheten MÄTHAST för att ta mätpunkten. Efter att mätpunkten tagits backar maskinen med hastigheten MÄTHAST till dess att ÅTERGÅNGSTRÄCKA nås. Sedan går maskinen vidare till nästa plats med TRANS_HAST.


Mätkraftsvärde

Mätkraftsvärde fungerar endast med Leitz-styrenheten och TTP-enheter av märket Leitz. Det här värdet ger instruktioner till styrenheten om hur hårt mätspetsen ska hållas på en Leitz CMM-maskin.

Beroende på hur mycket mätspetsarna väger kan du behöva öka eller minska mätkraftsvärdet.

  • Vid större mätspetsar kan du behöva öka mätkraftsvärdet.

  • Vid mindre mätspetsar kan du behöva minska mätkraftsvärdet.


Scanhastighet %

I rutan Scanhastighet kan du ändra hastigheten med vilken CMM-maskinen scannar detaljen. Det värde som anges är en procentandel av maskinens högsta hastighet.

Så här ser kommandoraden för det här elementet ut i Redigeringsfönstret:
SCANHAST/ nnn.nnnn

När du utför en scanåtgärd i scanläget DEFINIERAD (se diskussionen om Definierad i området Alternativ i avsnittet Scanna en detalj), spelar scanhastigheten en viktig roll när det gäller att få tillbaka data i de inkrement som du själv har specificerat. Om du anger en mycket hög scanhastighet kan CMM-maskinen utföra scanåtgärden med den angivna hastigheten, men de data som kommer från CMM-maskinen blir kanske inte från de inkrement som du angett.

Exempel: Anta att CMM-maskinen samlar in data med hastigheten en mätpunkt per 20 millisekunder i läget DEFINIERAD. Om du anger ett inkrement (minimiavstånd mellan mätpunkter) på 0,5 mm och en scanhastighet på 75 mm/sek, lämnas punkter från CMM-maskinen varje 1,5 mm. För att undvika detta skulle du kunna sänka scanhastigheten till 15 mm/sek eller 20 mm/sek, vilket med takten 1 mätpunkt/20 ms skulle uppfylla dina krav.

I PC-DMIS får du en varning om detta via ett meddelande som informerar att det angivna inkrementet inte kan mätas med den angivna scanhastigheten. Du måste sedan antingen minska scanhastigheten eller öka inkrementet.

Du kan markera inställningen Scanhastighet och ändra den till en lämplig scanhastighet.


 Kryssrutan Vrid bordet Listan Rotationsriktning Rutan Vinkel Knappen OK Knappen Avbryt Utvärdering NC-100-parametrar Alternativ, trigg Inställningar, analogt mäthuvud Säkerhetsplan Acceleration Rörelse I/O-kanaler Rundbord Knappen Verkställ Knappen Hjälp

Parameterinställningar: Fliken Rundbord

Dialogrutan Parameterinställningar – fliken Rundbord

På fliken Rundbord kan du rotera bordets vinkel och riktning.

Så här roterar du bordets vinkel och riktning från fliken Rundbord:

  1. Öppna dialogrutan Parameterinställningar (välj Redigera | Alternativ | Parametrar).

  2. Välj fliken Rundbord.

  3. Ange din önskade bordsvinkel i rutan Vinkel.

  4. Välj rotationsriktningen i listrutan Rotationsriktning.

  5. Markera kryssrutan Vrid bordet.

  6. Klicka på knappen Verkställ.

Så här ser kommandoraden för det här alternativet ut i Redigeringsfönstret:
VIA/ RUNDBORD, vinkel, RIKTNING

Fliken Rundbord blir tillgänglig när du väljer Enkelt rundbord eller Dubbla rundbord i dialogrutan Inställningar, rundbord. Se Definiera ett rundbord.

Dessutom är menyalternativet Inställningar, rundbord endast tillgängligt om portlåset har programmets för rundbord.

Mer:

Vinkel

Rotationsriktning

Vrid bordet


Vinkel

I rutan Vinkel kan du ange vinkeln på bordets rotation.


Rotationsriktning

I listrutan Rotationsriktning kan du ange vilken riktning som du vill att rundbordet ska rotera i. De tillgängliga alternativen är:

Medurs: | Bordet roterar medurs till dess att den vinkel som angetts i rutan Vinkel nås.
Moturs: | Bordet roterar moturs till dess att den vinkel som angetts i rutan Vinkel nås.
Kortaste: | Bordet roterar kortaste vägen (antingen medurs eller moturs) till den vinkel som angetts i rutan Vinkel.


Vrid bordet

Med kryssrutan Vrid bordet kan du bestämma att bordets rotation ska aktiveras en gång när du klickar på knappen Verkställ eller OK.


 Knappen OK Knappen Avbryt I/O-kanaler NC-100-parametrar Alternativ, trigg Inställningar, analogt mäthuvud Utvärdering Säkerhetsplan Mätning Rörelse Området CMM-acceleration Rundbord Knappen Verkställ Knappen Hjälp

Parameterinställningar: Fliken Acceleration

Dialogrutan Parameterinställningar – fliken Acceleration

På fliken Acceleration finns ytterligare redigeringsmöjligheter för både CMM- och bordsrörelser.

Så här öppnar du fliken Acceleration:

  1. Öppna dialogrutan Parameterinställningar (välj Redigera | Alternativ | Parametrar).

  2. Välj fliken Acceleration.

Mer:

CMM-acceleration


CMM-acceleration

I området CMM-acceleration på fliken Acceleration kan du ändra den maximala accelerationen (mätt i mm/sek2) längs CMM-maskinens X-, Y- eller Z-axel. De tillgängliga alternativen är:

Max. acceleration i X: | Siffran i den här rutan står för den maximala acceleration som CMM-maskinen har när den rör sig längs X-axeln.
Max. acceleration i Y: | Siffran i den här rutan står för den maximala acceleration som CMM-maskinen har när den rör sig längs Y-axeln.
Max. acceleration i Z: | Siffran i den här rutan står för den maximala acceleration som CMM-maskinen har när den rör sig längs Z-axeln.


 Sökprocent Knappen Radera Knappen Återkalla Knappen Standard Kryssrutan CNC-avkänning Rutan Mätläge Rutan Högsta kraft Rutan Lägsta kraft Rutan Positioneringsnoggr. Rutan Triggkraft Mätnoggrannhet Rutan Maxkraft Rutan Antal svar Rutan Återgångshastighet Knappen OK Knappen Avbryt Utvärdering Alternativ, trigg NC-100-parametrar Säkerhetsplan Acceleration Mätning I/O-kanaler Rundbord Knappen Verkställ Knappen Hjälp Rörelse

Parameterinställningar: Fliken Inställningar, analogt mäthuvud

Fliken Inställningar, analogt mäthuvud

Dialogrutan Parameterinställningar – fliken Inställningar, analogt mäthuvud<

På fliken Inställningar, analogt mäthuvud har du ytterligare möjligheter att styra analoga mäthuvuden. Bland de här möjligheterna finns följande mätningsrelaterade värden:

  • Maxkraft

  • Lägsta kraft

  • Högsta kraft

  • Triggkraft

  • Antal mätpktr

  • Återgångshastighet

  • Positioneringsnoggr.

  • Mätnoggrannhet

  • Mätläge

  • CNC-avkänning

På fliken finns dessutom följande scanrelaterade värden och allmänna knappar:

  • Punkttäthet

  • Offsetkraft

  • Acceleration

  • Knappen Standard

  • Knappen Hämta std.

  • Knappen Töm

Var och en av dessa beskrivs mer i detalj nedan.

Så här öppnar du fliken Inställningar, analogt mäthuvud:

  1. Öppna dialogrutan Parameterinställningar (välj Redigera | Alternativ | Parametrar).

  2. Välj fliken Inställningar, analogt mäthuvud.

Varning! Värdena på fliken Inställningar, analogt mäthuvud är maskinspecifika. Med undantag för kryssrutan CNC-avkänning och rutan Punkttäthet, bör du i allmänhet inte ändra dessa värden. Rådgör med maskintillverkaren innan du gör några ändringar.

När du klickar på Verkställ eller OK på fliken Inställningar, analogt mäthuvud infogas ett MÄTHUVUDSALTERNATIV-kommando i Redigeringsfönstret.

Mer information om hur du använder kommandot MÄTHUVUDSALTERNATIV med analoga mätspetsar vid kalibrering finns i Kommentarer till högnivåmatrisen för SP600 (vanlig kalibrering) i avsnittet Definiera hårdvara.

Mer:

Maxkraft

Lägsta kraft

Högsta kraft

Triggkraft

Antal mätpktr

Återgångshastighet

Positioneringsnoggr.

Mätnoggrannhet

Mätläge

CNC-avkänning

Punkttäthet

Offsetkraft

Acceleration


Maxkraft

I rutan Maxkraft kan du ange den största kraft som ett mäthuvud ska tåla innan ett fel som stoppar mätningen registreras.

"Newton" är ett mått på kraft. En newton är den kraft som krävs för att accelerera en massa på 1 kilo till hastigheten 1 meter per sekund per sekund.

Vid en analog mätning, när mäthuvudet först rör vid detaljen, fortsätter den att röra sig mot detaljen till dess att värdet för Maxkraft uppnås. Mäthuvudet byter då riktning och rör sig bort från detaljen. Den här rörelsen mot detaljen, efter att den har rört vid detaljen, kallas ibland för kontaktkraft. Värdet anges i Newton. Vid en normal mätning i avböjningsläge (DFL) samlar styrenheten in data medan mäthuvudet rör sig bort från detaljen.


Lägsta kraft

I rutan Lägsta kraft kan du ange den minsta kraft som krävs för att fastställa när maskinen har kommit i kontakt med det objekt som ska mätas.

Vid ett normalt mätspetscykel med mjuk mätning är detta den kraft vid vilken styrenheten slutar att samla in data. Värdet anges i Newton.


Högsta kraft

I rutan Högsta kraft visas den övre gränsen för en mätning. När den här kraften uppnås rör sig maskinen tillbaka, bort från det objekt som mäts.

Vid en normal mätcykel i avböjningsläge (DFL) är detta den kraft vid vilken styrenheten börjar att samla in data. Värdet anges i Newton.


Triggkraft

I rutan Triggkraft kan du ange den kraft som ska användas vid mätningar.

Vid en normal mätcykel i avböjningsläge (DFL) är detta den kraft vid vilken APT (den faktiska punkten) beräknas och returneras till PC-DMIS. Värdet anges i Newton. Det är inte alla analoga mäthuvuden/styrenheter som använder den här inmatningen.


Antal mätpktr

I rutan Antal mätpktr kan du ange hur många avläsningar som ska göras när maskinen rör sig bort från det objekt som ska mätas.

Det här värdet definierar det minsta antalet data som ska samlas in i det intervall som avgränsas av värdena Högsta kraft och Lägsta kraft.


Återgångshastighet

I rutan Återgångshastighet kan du ange ett värde som bestämmer den hastighet med vilken mäthuvudet ska lämna det objekt som mäts. Hastigheten anges i mm/sek.


Positioneringsnoggr.

Rutan Positioneringsnoggr. är en parameter som är specifik för Leitz-gränssnittet. Det här värdet styr hur noggrant CMM-maskinen ska följa anloppsvektorn när mäthuvudet flyttas mot detaljen för mätning.

Ju mindre värde, desto svårare blir det för maskinen att nå fram till den önskade platsen. Men om du anger ett mindre värde blir mätningen mer noggrann. Det här värdet anges alltid i millimeter.

Du bör normalt inte ändra standardvärdet.


Mätnoggrannhet

I rutan Mätnoggrannhet kan du bestämma vilken noggrannhet som ska krävas vid mätningar. Om det här värdet inte uppfylls görs ingen mätning och ett fel registreras. Noggrannheten anges i mm och du bör normalt inte ändra standardvärdet.


Mätläge

Det här anger vilken typ av mätcykel som används. Den vanligaste cykeln är avböjningsläge (DFL). Vissa analoga mäthuvuden/styrenheter kan ha stöd för andra cykler, t.ex. mätning av mjuka material. I vissa fall kanske mäthuvudet/styrenheten inte har stöd för flera lägen, varvid det här värdet ignoreras.


CNC-avkänning

Om du markerar kryssrutan CNC-avkänning övergår styrenheten, när en manuell mätpunkt tas, automatiskt till CNC-läge vid rörelsen bort från detaljen för att den normala avböjningsmätcykeln ska kunna användas. Detta kan leda till långsammare manuella mätpunkter, men förbättrar noggrannheten.

Även om nyare maskiner med analoga mätsystem kan ha stöd för CNC-avkänning, har inte alla mäthuvuden/styrenheter stöd för det här manuella mätläget. I sådana fall ignoreras den här kryssrutan. Din styrenhets tillverkare kan berätta om styrenheten har stöd för det här alternativet.


Punkttäthet

I rutan Punkttäthet kan du ange antalet avläsningar som ska göras per mätningsmillimeter vid en scanåtgärd.

Om du scannar ett steg som är mindre än den Punkttäthet som definierats i registret i Inställningar visas ett varningsmeddelande som förklarar att det minsta steget är mindre än punkttätheten för scanåtgärder. Du blir då uppmanad att kontrollera steginställningarna i dialogrutan.

Du kan sedan ändra scanåtgärdens Punkttätehetsvärde till ett lämpligt tal.


Offsetkraft

I den här rutan kan du ange hur stor kraft som ska upprätthållas vid en scanåtgärd. Värdet anges i Newton.


Acceleration

I den här rutan kan du ange vilken acceleration du vill använda vid scanåtgärder. Värdet anges i mm/sek/sek.


 Området Triggtolerans, manuella punkter Området Stödplan som autotrigg Området Autotrigg Knappen OK Knappen Avbryt Utvärdering Inställningar, analogt mäthuvud NC-100-parametrar Säkerhetsplan Acceleration Mätning I/O-kanaler Rundbord Knappen Verkställ Knappen Hjälp Rörelse

Parameterinställningar: Fliken Alternativ, trigg

Fliken Alternativ, trigg

Dialogrutan Parameterinställningar - fliken Alternativ, trigg

På fliken Alternativ, trigg kan du bestämma toleranszoner och sedan infoga kommandona AUTOTRIGG, TRIGGTOLERANS och TRIGGPLAN i Redigeringsfönstret.

Obs! De här triggalternativen stöds endast av manuella CMM-maskiner med vissa gränssnitt. Bland dessa gränssnitt finns: BackTalk, Faro, Romer, Garda, GOM (Krypton), Axila, Leica, Polar och SMXLaser.

Så här öppnar du den här fliken:

  1. Öppna dialogrutan Parameterinställningar (välj Redigera | Alternativ | Parametrar).

  2. Välj fliken Alternativ, trigg.

Viktigt! Kommandot AUTOTRIGG fungerar endast med mätta punkter och Auto-vektorpunkter.

Mer:

Området Autotrigg

Området Stödplan som autotrigg

Området Triggtolerans, manuella punkter


Området Autotrigg

I området Autotrigg kan du infoga AUTOTRIGG/-kommandon i Redigeringsfönstret med en toleranszon.

Med kommandot AUTOTRIGG/ kan du instruera PC-DMIS att automatiskt ta en mätpunkt när mätspetsen kommer inom en toleranszon som är ett angivet avstånd från det ursprungliga mätpunktsläget. Om toleranszonen till exempel har angetts till 2 mm, tas en mätpunkt när mätspetsen ligger inom 2 mm från mätpunktsläget.

Du kan använda det här alternativet med manuella maskiner. I stället för att trycka på en knapp kan du lägga in AUTOTRIGG/-kommandon på valfri standardplats i Redigeringsfönstret.

Autotrigg PÅ

När du markerar kryssrutan Autotrigg PÅ aktiveras AUTOTRIGG/-kommandot. När mätspetsen befinner sig inom den definierade toleranszonen tas en mätpunkt automatiskt för de kommandon i Redigeringsfönstret som följer efter det infogade AUTOTRIGG/-kommandot och som kräver att du tar en mätpunkt.

Om du inte markerar den här kryssrutan men klickar på knappen Inf. kommando infogas kommandoraden i Redigeringsfönstret i PC-DMIS, men kommandot aktiveras inte.

Ljudsignal PÅ

När du markerar kryssrutan Ljudsignal PÅ aktiveras en ljudsignal som är kopplad till AUTOTRIGG/-kommandot. Ju närmare du kommer målet, desto oftare ljuder signalen.

Radie, autotrigg

I rutan Radie, autotrigg kan du ange ett värde för toleranszonen. När mätspetsen kommer inom den här toleranszonen tas en mätpunkt automatiskt och omedelbart.

Inf. kommando

När du klickar på knappen Inf. kommando infogas kommandot AUTOTRIGG/ i Redigeringsfönstret för det aktuella detaljprogrammet. Kommandoraden ser ut så här:

AUTOTRIGG/ ALT1, ALT2, RADIE

ALT1 Det här växlingsbara fältet motsvarar kryssrutan Autotrigg PÅ. Det visar antingen PÅ eller AV.

ALT1 Det här växlingsbara fältet motsvarar kryssrutan Ljudsignal PÅ. Det visar antingen PÅ eller AV.

RADIE Radiefältet innehåller värdet för toleranszonen. Det här värdet är avståndet från den faktiska punkten när mätpunkten tas i PC-DMIS.


Området Stödplan som autotrigg

I området Stödplan som autotrigg kan du infoga ett TRIGGPLAN/-kommando i Redigeringsfönstret.

TRIGGPLAN/-kommandot fungerar endast i samband med Autocirklar, Auto ellips, Auto-spår och Auto-kantpunkter.

Med kommandot TRIGGPLAN/ kan du instruera PC-DMIS att automatiskt utföra en mätning när mäthuvudet passerar det plan som definieras av ytnormalen i ett autoelement på det definierade djupets nivå. Det här definierade läget kommer att justeras, baserat på element som provmätpunkter eller RMEAS-element. När mäthuvudets mitt passerar från ena sidan av planet till den andra, kommer mäthuvudet att triggas och mätpunkten tas.

Du kan använda det här kommandot med manuella maskiner. I stället för att trycka på en knapp kan du lägga in TRIGGPLAN/-kommandon på valfri standardplats i Redigeringsfönstret.

Det här kommandot fungerar endast i onlineläge. Om du använder kommandot AUTOTRIGG/ får det företräde framför kommandot TRIGGPLAN/.

Observera om Faro- och Romer-maskiner: I enlighet med ovanstående beskrivning kommer en mätpunkt att tas automatiskt i PC-DMIS när mäthuvudet passerar planet. Men om du använder en Faro- eller Romer-maskin kommer inte mäthuvudet att triggas igen förrän du klickar på Accept (eller på Release). Du måste trycka på den här knappen efter varje mätpunkt som tas för att fortsätta.

Plan-trigg PÅ

När du markerar kryssrutan Plan-trigg PÅ aktiveras kommandot TRIGGPLAN/. De kommandon i Redigeringsfönstret som följer efter det infogade TRIGGPLAN/-kommandot och som kräver att du tar en mätpunkt, gör att mätpunkten tas automatiskt när mäthuvudets centrum passerar det plan som definieras av elementets ytnormal och djup.

Om du inte markerar den här kryssrutan och klickar på knappen Inf. kommando infogas kommandoraden i Redigeringsfönstret i PC-DMIS, men kommandot aktiveras inte. Kommandot TRIGGPLAN/ kommer inte att fungera förrän elementet slås på.

Inf. kommando

När du klickar på knappen Inf. kommando infogas triggplanskommandot i Redigeringsfönstret för det aktuella detaljprogrammet.

TRIGGPLAN/ ALT1

ALT1 Det här växlingsbara fältet motsvarar kryssrutan Plan-trigg PÅ. Det visar antingen PÅ eller AV.


Området Triggtolerans, manuella punkter

I området Triggtolerans, manuella punkter kan du infoga ett TRIGGTOLERANS/-kommando i Redigeringsfönstret.

Det här kommandot fungerar endast tillsammans med följande automatiska punktelementtyper: Vektorpunkt, Ytpunkt, Vinkelpunkt, Hörnpunkt och Mätpunkt. Det fungerar inte för enskilda elements mätpunkter.

Med kommandot TRIGGTOLERANS/ instruerar du PC-DMIS att endast acceptera en manuell mätpunkt när den ligger inom den angivna toleranszonen.

Du kan använda den här funktionen med manuella maskiner. När du i PC-DMIS får en fråga om att ta en mätpunkt triggar du mäthuvudet som du vill. Varje trigg beräknas för att bedöma om den ligger inom den cylindriska triggtoleranszonen. Om så inte är fallet visas ett felmeddelande i listan Maskinfel i dialogrutan Inställningar, körning. I PC-DMIS blir du då uppmanad att ta mätpunkten på nytt. Du kan placera TRIGGTOLERANS/-kommandon på valfri standardplats i Redigeringsfönstret.

Det här alternativet fungerar endast i onlineläge.

Använd triggtolerans

Om du markerar kryssrutan Använd triggtolerans aktiveras kommandot TRIGGTOLERANS/. De kommandon i Redigeringsfönstret som följer efter det infogade TRIGGTOLERANS/-kommandot och som kräver att du tar en mätpunkt kommer endast att acceptera mätpunkten när mäthuvudet befinner sig inom den definierade toleranszonen.

Om du inte markerar den här kryssrutan och klickar på knappen Inf. kommando infogas kommandoraden i Redigeringsfönstret i PC-DMIS, men kommandot aktiveras inte. Funktionaliteten för triggtolerans är inaktiverad till dess att alternativet slås på.

Inf. kommando

När du klickar på knappen Inf. kommando infogas kommandot TRIGGTOLERANS/ i Redigeringsfönstret för det aktuella detaljprogrammet, med följande alternativ.

TRIGGTOLERANCE/ ALT1, RADIE

ALT1 Det här växlingsbara fältet motsvarar kryssrutan Använd triggtolerans. Det visar antingen PÅ eller AV.

RADIE Radiefältet innehåller värdet för toleranszonen. Det här värdet är avståndet från den faktiska punkten som mätpunkten accepteras i PC-DMIS.

Toleransradie

I rutan Toleransradie kan du ange ett värde på toleransradie. När mäthuvudet triggas görs en kontroll i PC-DMIS om mäthuvudet ligger inom den här toleranszonen. Om det gör det accepteras mätpunkten. Om det inte gör det blir du uppmanad att ta en ny mätpunkt.


 Knappen Optikinställning Rutan Y-segment Rutan X-segment Rutan ROI-topp Rutan Offset Rutan Y-slut Rutan ROI-underkant Rutan Långt segment Rutan Förstärkning Rutan ROI-bredd Rutan Y-nollpunkt Knappen OK Knappen Avbryt Utvärdering Alternativ, trigg Inställningar, analogt mäthuvud Säkerhetsplan Acceleration Mätning I/O-kanaler Rundbord Knappen Verkställ Knappen Hjälp Rörelse

Parameterinställningar: Fliken NC-100-parametrar

Dialogrutan Parameterinställningar - fliken NC-100-parametrar

Fliken NC-100-parametrar visas endast i dialogrutan Parameterinställningar om du har valt ett NC-100 optiskt mäthuvud som det aktiva mäthuvudet.

På fliken NC-100-parametrar kan du ändra parametrarna för det optiska mäthuvudet NC-100. De här parametrarna används för att styra belysning, storleksändring o.s.v. för NC-100-mäthuvudets optikområde. När du ändrar värden på fliken NC-100-parametrar infogas ett nytt OPTIK_INSTÄLLN-kommando i detaljprogrammet och markörens läge i Redigeringsfönstret visas. Så här ser kommandoraden för OPTIK_INSTÄLLN-kommandot ut i Redigeringsfönstret:

OPTIK_INSTÄLLN/FÖRSTÄRKN = n, OFFSET = n, UPPÅT = n, UNDERKANT = n, BREDD = n,Y-NOLLPUNKT = n,
Y-SLUTPUNKT = n, LSEG = n, XSEG = n, YSEG = n

Så här redigerar du information på fliken NC-100-parametrar:

  1. Öppna dialogrutan Parameterinställningar (välj Redigera | Alternativ | Parametrar).

  2. Klicka på fliken NC-100-parametrar.

  3. Markera det värde som du vill ändra.

  4. Skriv in ett nytt värde.

  5. Klicka på Verkställ eller OK.

Med rutorna på fliken NC-100-parametrar kan du ange information som motsvarar inställningarna i datorsystemet NC-100. Mer ingående information om de här inställningarna finns i NC-100-datorsystemets dokumentation.

Mer:

Förstärkning

Offsetvärde

RO I-topp

ROI-topp

ROI-bredd

Y-nollpunkt

Y-slutpunkt

Långt segment

X-segment

Y-segment

Optikinställning


Förstärkning

Värdet för Förstärkning motsvarar Gain-värdet i NC-100-datorsystemet och är en optisk sensorinställning.


Offsetvärde

Offsetvärdet motsvarar värdet för Offset i datorsystemet NC-100 och är en inställning för ljussensor. Mer information finns i dokumentationen till ditt NC-100-datorsystem.


ROI-topp

Värdet ROI-topp motsvarar värdet för ROI Top i NC-100-datorsystemet och är ROI:s topposition.


ROI-underkant

Värdet ROI-underkant motsvarar värdet för ROI Bottom i NC-100-datorsystemet och är ROI:s underkantsposition.


ROI-bredd

Värdet ROI-bredd motsvarar värdet för ROI Width i NC-100-datorsystemet och är ROI:s vågrätta utvärdering.


Y-nollpunkt

Värdet i rutan Y-nollpunkt motsvarar värdet Y Origin i NC-100-systemet.


Y-slutpunkt

Värdet i rutan Y-slutpunkt motsvarar värdet Y End i NC-100-systemet.


Långt segment

Värdet i rutan Långt segment motsvarar värdet Long Segment i NC-100-systemet.


X-segment

Värdet i rutan X-segment motsvarar värdet X Segment i NC-100-systemet.


Y-segment

Värdet i rutan Y-segment motsvarar värdet Y Segment i NC-100-systemet.


Optikinställning

Klicka på knappen Optikinst. om du vill öppna de optiska parametrarna för det optiska NC-100-systemet. Du kan öppna och stänga det här alternativet genom att klicka på den här knappen.

Du måste konfigurera kommunikationsinställningarna mellan PC-DMIS och NC-100-systemet för att det här alternativet ska fungera korrekt. Mer information finns på Fliken NC-100-inställningar i dialogrutan Inställningsval.


Parameterinställningar: Fliken I/O-kanaler

Dialogrutan Parameterinställningar - fliken I/O-kanaler

För närvarande fungerar alternativen på fliken I/O-kanaler endast med DEA-maskiner. I framtiden kan andra maskintyper tillkomma.

På fliken I/O-kanaler kan du välja alternativ som rör användningen av styrenhetens I/O-kanaler och placera ett IOKANAL/-kommando i Redigeringsfönstret som definierar styrenhetens tillstånd.

Vissa maskinstyrenheter är utrustade med I/O-kanaler som kan ANGES som PÅ (ha värdet 1) eller ÅTERSTÄLLAS som AV (ha värdet 0). Kommandot IOKANAL/ gör att läget ställs in enligt specifikationen.

Så här redigerar du information på fliken I/O-kanaler:

  1. Öppna dialogrutan Parameterinställningar (välj Redigera | Alternativ | Parametrar).

  2. Klicka på fliken I/O-kanaler.

  3. Gör eventuella ändringar.

  4. Klicka på Verkställ eller OK.

Mer:

Kanal

Ange och återställa alternativ


Kanal

I den här rutan anger du vilken kanal du vill ETT-ställa eller NOLL-ställa.


Ange och återställa alternativ

Alternativ | Beskrivning
Ettställ | Det här alternativet infogar ett IOKANAL/ETTSTÄLL-kommando i detaljprogrammet. När kommandot körs ändras den angivna kanalens läge till 1.
Återställ | Det här alternativet infogar ett IOKANAL/ÅTERSTÄLL-kommando i detaljprogrammet. När kommandot körs ändras den angivna kanalens läge till 0.


Konfigurera Redigeringsfönstret

I PC-DMIS kan du själv utforma Redigeringsfönstret, liksom vilken information som visas i de olika lägena.

Mer:

Definiera färger i Redigeringsfönstret

Definiera Redigeringsfönstrets layout


Definiera färger i Redigeringsfönstret

Dialogrutan Redigera fönsterfärger

I dialogrutan Ändra fönsterfärger anges endast de färger som används vid textlägen i Redigeringsfönstret, som kommando- och DMIS-läget.

Du öppnar dialogrutan Redigera fönsterfärger genom att välja menyvägen Redigera | Inställningar | Redigera fönsterfärger. Du måste köra i kommandoläge för att det här menyalternativet ska vara tillgängligt.

I dialogrutan Redigera fönsterfärger kan du definiera vilka färger du vill använda för bakgrunden och textinnehållet i Redigeringsfönstret när det körs i något kommandoläge. Du kan även exportera ditt färgschema för användning på andra datorsystem eller importera externa färgscheman.

Det finns fyra grundfärger som du kan konfigurera för samtliga kommandon eller för enskilda kommandon. Dessa finns i listor i de fyra rutorna i området Kommandotext.

  • Markerad

  • Omarkerad

  • Stegningsläge

  • Fel

Grundfärgerna

Markerad: | Färgen Markerad representerar valfritt element som aktiverats för körning. Vissa element, som uppriktningar, körs alltid och visas därför alltid med färgen för markerad text.
Omarkerad: | Färgen Omarkerad är standardfärgen. Om inget annat villkor uppfylls används standardfärgen.
Stegningsläge: | Färgen för Stegningsläge markerar vilken rad som kommer att köras härnäst när du kör ett detaljprogram med brytpunkter.
Fel: | Färgen för Fel visar kommandon som är felaktiga eller som innehåller mått som ligger utanför toleransgränserna. Om en spets till exempel har återkallats men inte definierats i mätspetsdatabasen, kommer denna spets text att markeras med färgen för fel.

Du kan också ändra bakgrundsfärgerna för Redigeringsfönstret och för utvärderingar.

Bakgrundsfärg: | Du kan också ändra Redigeringsfönstrets bakgrundsfärg i den här dialogrutan.
Bakgrundsfärg, utvärdering | Med Bakgrundsfärg, utvärdering kan du ange bakgrundsfärgen för en utvärderings rapportrutor.

Mer:

Ändra de textfärger som används:

Ändra de bakgrundsfärger som används:

Exportera ett färgschema:

Importera och använda ett färgschema:


Ändra de textfärger som används:

  1. Välj menyvägen Redigera | Alternativ | Redigera fönsterfärger. Dialogrutan Redigera fönsterfärger öppnas.

  2. Markera kryssrutan Förhandsgranska. Detta gör att du kan förhandsgranska dina ändringar i Redigeringsfönstret i takt med att du gör dem.

  3. Välj ett specifikt kommando eller ett överordnat kommando i listan över kommandon i färgområdet Kommandotext. Klicka på plustecknen för att expandera listan om du vill visa ytterligare underkommandon. På det viset kan du ange de viktigaste färgerna (Markerad, Omarkerad, Stegningsläge och Fel) för specifika kommandon eller överordnade kommandon. För att tillämpa ändringarna på all kommandotext väljer du Standard överst i listan.

  4. Klicka på knappen Redigera för texten. En ruta för val av Färg öppnas.

  5. Välj den nya färgen eller skapa en egen färg genom att klicka på knappen Definiera anpassade färger.

  6. Klicka på knappen OK. Rutan för val av Färg stängs. Om du har markerat ett överordnat kommando kan du välja om du vill att alla kommandon som är underordnade det överordnade kommandot också ska använda samma färg. Klicka på antingen Ja eller Nej i frågerutan.

  7. När du har definierat färgerna klickar du på Tillämpa för att granska ändringarna utan att stänga dialogrutan Färger.

  8. Klicka på OK för att tillämpa dina ändringar och stänga dialogrutan Redigera fönsterfärger.

Dina färgändringar verkställs omedelbart.


Ändra de bakgrundsfärger som används:

  1. Välj menyvägen Redigera | Alternativ | Redigera fönsterfärger. Dialogrutan Redigera fönsterfärger öppnas.

  2. Markera kryssrutan Förhandsgranska. Detta gör att du kan förhandsgranska dina ändringar i Redigeringsfönstret i takt med att du gör dem.

  3. Klicka på Redigera för bakgrundsfärgen eller markeringsfärgen i området Bakgrundsfärg. En ruta för val av Färg visas.

  4. Välj den nya färgen eller skapa en egen färg genom att klicka på knappen Definiera anpassade färger.

  5. Klicka på knappen OK. Rutan för val av Färg stängs.

  6. När du har definierat färgerna klickar du på Tillämpa för att granska ändringarna utan att stänga dialogrutan Färger.

  7. Klicka på OK för att tillämpa dina ändringar och stänga dialogrutan Redigera fönsterfärger.

Dina färgändringar verkställs omedelbart.


Exportera ett färgschema:

  1. Välj menyvägen Redigera | Alternativ | Redigera fönsterfärger. Dialogrutan Redigera fönsterfärger öppnas.

  2. Gör dina önskade ändringar i färgschemat.

  3. Klicka på Exportera. Dialogrutan Spara som öppnas. I den här dialogrutan kan du spara ditt färgschema från Redigeringsfönstret som en färgfil (en fil med filtillägget .clr).

Dialogrutan Spara som

  4. Bläddra fram till mappen där du vill spara filen.

  5. Ange ett namn på färgfilen som du vill spara i rutan Filnamn.

  6. Klicka på Spara.


Importera och använda ett färgschema:

  1. Välj menyvägen Redigera | Alternativ | Redigera fönsterfärger. Dialogrutan Redigera fönsterfärger öppnas. Markera kryssrutan Förhandsgranska. Då kan du förhandsgranska ändringarna i Redigeringsfönstret när du väljer ett färgschema.

  2. Klicka på knappen Importera. Dialogrutan Öppna visas.

  3. Bläddra fram till färgschemafilen (en fil med filtillägget .clr).

  4. Välj den önskade filen och klicka på Öppna. Dialogrutan Öppna stängs.

  5. Klicka på Verkställ och sedan på OK för att använda det importerade färgschemat.


Definiera Redigeringsfönstrets layout

Du öppnar dialogrutan Redigera fönsterlayout genom att välja menyvägen Redigera | Alternativ | Redigera fönsterlayout. Den här dialogrutan innehåller fliken Kommando. På den här fliken kan du visa eller dölja vissa kommandon i Redigeringsfönstret.

Mer:

Visningsalternativ i kommandoläge


Visningsalternativ i kommandoläge

Dialogrutan Redigera fönsterlayout

Dialogrutan Redigera fönsterlayout - fliken Kommando

På fliken Kommando kan du välja vilka av följande visningsalternativ som ska vara tillgängliga i kommandoläget.

Visa element | Den här kryssrutan styr visningen av de element som mäts av detaljprogrammet.
Visa uppriktningar | Den här kryssrutan styr visningen av uppriktningsändringar efter hand som de inträffar i detaljprogrammet. Om du markerar kryssrutan visas alla uppriktningsändringar som sker i listan över utvärderingar eller element.
Visa rörelser | Den här kryssrutan styr visningen av eventuella rörelser som lagts till i detaljprogrammet.
Visa kommentarer | Den här kryssrutan styr visningen av eventuella kommentarer som lagts till i detaljprogrammet. (Mer information finns i Infoga programmerarkommentarer i avsnittet Infoga rapportkommandon.)
Visa utvärderingar | Den här kryssrutan styr visningen av den angivna utvärderingen för de element som ska inspekteras. Utvärderingen visas i det format som valts med kommandot FORMAT, som beskrivs i Utvärdera format i avsnittet Använda Redigeringsfönstret.
Visa mätpktr | Den här kryssrutan styr visningen av varje mätpunkt.
Visa sidhuvud/sidfot | Den här kryssrutan styr visningen av sidhuvudet/sidfoten som angetts i filerna LOGO.DAT, HEADER.DAT och ELOGO.DAT. (Mer information om hur du ändrar dessa filer finns i Ändra sidhuvuden och sidfötter i avsnittet Använda Redigeringsfönstret.)
Visa mätspetsar | Den här kryssrutan styr visningen av de mätspetsfilnamn som används vid inspektion av detaljen.

Mer information om att arbeta i kommandoläget finns i Arbeta i kommandoläge i avsnittet Använda Redigeringsfönstret.


 Machine Coordinate System check box Probe Position check box Last Hit check box Show Curret Probe Position on Screen check box Distance to Target with Auto Zoom check box Distance to Target check box Display Error of Last Measured Feature check box Use Polar Coordination check box Prompt History area OK button Cancel button Default button

Konfigurera Koordinatvisningsfönstret

Dialogrutan Inställningar, koordinatvisning.

Du kan öppna dialogrutan Inställningar, koordinatvisning genom att högerklicka i Koordinatvisningsfönster och sedan välja Inställningar.

I dialogrutan Inställningar, koordinatvisning (Redigera | Alternativ | Inställningar, koordinatvisning) kan du välja hur du vill att Koordinatvisningsfönstret ska se ut. Markera kryssrutorna för de alternativ du vill använda. Nästa gång du väljer menyalternativet Koordinatvisningsfönster visas fönstret med ditt valda format.

Mer information om hur du använder Koordinatvisningsfönstret finns i Använda Koordinatvisningsfönstret i avsnittet Använda andra fönster, redigerare och verktyg.

Mer:

Maskinkoordinatsystem (MKS)

Position

Senaste mätpunkt

Visa aktuell position på skärmen

Avstånd till mål

Avstånd till målet med Autozoom

Visa felet i senaste mätning

Polära koordinater

Spåra alltid mitten av SYNF

Historik


Maskinkoordinatsystem (MKS)

Om du markerar kryssrutan Maskinkoordinatsystem (MKS) visas informationen i maskinens koordinatsystem, inte detaljens koordinatsystem. Med den här kryssrutan kan du växla mellan dessa två koordinatsystem. Om du avmarkerar den visas informationen i detaljens koordinatsystem.


Position

Om du markerar kryssrutan Position visas mäthuvudets aktuella position. I Koordinatvisningsfönstret visas mäthuvudets position i det aktiva koordinatsystemet.


Senaste mätpunkt

Om du markerar kryssrutan Senaste mätpunkt visas läget för den senaste mätpunkten som togs med mäthuvudet. Om du inte markerar den här kryssrutan visas mäthuvudets aktuella läge.


Visa aktuell position på skärmen

Kryssrutan Visa aktuell position på skärmen skiljer sig från kryssrutan Position på så vis att du genom att markera den kan visa en grafisk representation av mäthuvudet i förhållande till maskinen på skärmen. Det här är till stor hjälp när du arbetar online. När du flyttar mäthuvudet med hjälp av handterminalen flyttas även mäthuvudets grafiska representation på skärmen.


Avstånd till mål

Om du markerar kryssrutan Avstånd till mål visas mäthuvudets avstånd till målpunkten. Mäthuvudets läge visas i det aktiva koordinatsystemet. Flytta mäthuvudet manuellt till det angivna läget. När du når målpunkten visas 0,0,0 i Koordinatvisningsfönstret.


Avstånd till målet med Autozoom

Om du markerar båda kryssrutorna Avstånd till mål och Autozoom visas även mätspetsens avstånd till målpunkten. Mätspetsens läge visas i det aktiva koordinatsystemet. I takt med att mätspetsen flyttas manuellt till det angivna läget flyttas målpunkten till mitten av fönstret och punkten zoomas in i Grafikfönstret.


Visa felet i senaste mätning

När du markerar kryssrutan Visa felet i senaste mätning visas avvikelserna längs med X-, Y- och Z-koordinaterna (och D för cirkulära element) för det senast mätta elementet i koordinatvisningsfönstret. Om avvikelsen är 0 visas endast 0.


Polära koordinater

Genom att markera kryssrutan Polära koordinater kan du växla mellan rektangulära och polära koordinater. När du använder polära koordinater visas även arbetsplanets normala riktning.


Följ synfältscentrum

Om du markerar den här kryssrutan visas mitten av synfältet i ett kontaktfritt optiskt mäthuvud. Det här alternativet visas endast om du har definierat ett kontaktfritt optiskt mäthuvud.


Historik

Om du markerar kryssrutan Visa historik visas den nya kommentarstypen för koordinatvisning i Koordinatvisningsfönstret.

  • I rutan Visa rader i taget kan du ange hur många rader som ska avsättas för de här kommentarerna i själva Koordinatvisningsfönstret.

  • Om du klickar på knappen Teckensnitt kan du även ange vilket teckensnitt och teckenstorlek som ska användas för de här kommentarerna i Koordinatvisningsfönstret.

Mer information om hur du infogar kommentarer finns i Infoga programmeringskommentarer i avsnittet Infoga rapportkommandon.

Mer information om hur du visar Koordinatvisningsfönstret finns i Använda Koordinatvisningsfönstret i avsnittet Använda andra fönster, redigerare och verktyg.


Konfigurera flera armar

Mer information om hur du konfigurerar flera armar finns i avsnittet Använda flerarmsläge.


Definiera ett rundbord

När du väljer menyalternativet Redigera | Alternativ | Inställningar, rundbord öppnas dialogrutan Inställningar, rundbord. I den här dialogrutan kan du definiera ett rundbord. Du kan endast acceptera ett alternativ per kategori.

  1. Välj vilken typ av bord som används. Om du har ställt in dubbla rundbord måste du ange om bord 1 eller 2 är aktivt. När du väljer Dubbla rundbord visas även verktygsfältet Aktivt rundbord efter att du klickar på OK. Det här verktygsfältet innehåller två ikoner för att ange vilket rundbord som är aktivt.

    Observera om indexerbara rundbord:
    Indexerbara rundbord har ett ändligt antal specifika vinklar med vilka de kan positioneras. I allmänhet har de fasta inkrement (i graders rotation) från ett bestämt läge till nästa tillgängliga läge. Inkrementvärdet kan variera, beroende på ditt specifika bord. Vid behov finns mer information i dokumentationen till ditt rundbord. Steglösa rundbord accepterar alla lägen (i grader).

  2. Fastställ om rundbordets typ är Manuell eller CNC och markera motsvarande alternativknapp.

Dialogrutan Inställningar, rundbord

  3. I listan Bordsvektor markerar du den maskinaxel som ligger närmast bordets rotationsaxel.

  4. I listan Riktning för positiv rotation anger du om bordets rotation är positiv när det roterar runt den valda axeln MEDURS eller MOTURS.

  5. Om du känner till dem anger du värden för XYZ, IJK.

  6. Klicka på Kalibrera för att påbörja kalibreringsprocessen.

Obs!Menyalternativet Inställningar, rundbord är inte tillgängligt förrän hårdvarulåset har konfigurerats att acceptera rundbord.

Mer:

Kalibrera rundbord


Kalibrera rundbord

Beroende på vilka alternativ som du markerat i dialogrutan Inställningar, rundbord (se Definiera ett rundbord ) kommer någon av två möjliga dialogrutor att visas när du klickar på knappen Kalibrera.

  • Om du har markerat alternativet Bordet är steglöst och klickar på Kalibrera visas dialogrutan Kalibrera steglöst rundbord.

  • Om du har markerat alternativet Bordet är indexerbart och klickar på Kalibrera visas dialogrutan Kalibrera indexerbart rundbord.

Mer:

K alibrera indexerbart rundbord

Kalibrera steglöst rundbord


Kalibrera indexerbart rundbord

Kalibrera indexerbart rundbord

I dialogrutan Kalibrera indexerbart rundbord kan du välja de alternativ som du vill använda när du kalibrerar det valda bordet. När du har gjort dina val i dialogrutan klickar du på Kalibrera för att påbörja rundbordets kalibreringsprocess.

Observera vid användning: Kalibrering av ett indexerbart rundbord måste innehålla läget 0. Dessutom måste alla vinklar som faktiskt kommer att användas i ett detaljprogram också kalibreras. Den här kalibreringen beräknar och sparar en omvandling för alla övriga vinklar i förhållande till nolläget.

Observera vid kalibrering: Kalibreringsproceduren för ett indexerbart rundbord kräver ett giltigt XYZ, IJK för att bordet ska fungera korrekt. Detta kan åstadkommas på två sätt:

1.) Om du känner till värdena kan du ange dem manuellt i dialogrutan Inställningar, rundbord. Detta är normalt inte fallet.

2) Börja med att välja alternativet Bordet är av typen steglös och slutför en kalibrering av ett steglöst rundbord, där XYZ, IJK beräknas och sparas. Välj sedan alternativet Bordet är indexerbart och utför en kalibrering av ett indexerbart rundbord. Detta är normalt ett problem endast vid den första programvaruinstallationen/inställningen, om rundbordet har flyttats eller om något som avsevärt ändrar källan till maskinens koordinatsystem inträffat. När XYZ, IJK har fastställts tillräckligt noga för att kalibreringsproceduren för ett indexerbart rundbord kan köras, behöver du inte gå tillbaka och köra om kalibrering av ett steglöst rundbord innan du kan köra om kalibreringen av ett indexerbart rundbord.

Nya vinklar

I området Nya vinklar kan du definiera listan över vilka bordsvinklar som kommer att ingå i kalibreringen. Du kan definiera en vinkel åt gången, eller definiera ett intervall med vinkelinkrement. Definierade vinklar placeras sedan i listan Vinklar att kalibrera. När du klickar på Kalibrera kalibreras rundbordet i PC-DMIS med hjälp av de definierade vinklarna.

Exempel: Om du vill kalibrera samtliga vinklar mellan 5 och 95 grader i 10-gradersintervaller, anger du värdena 5, 95 och 10 i rutorna Startvinkel, Slutvinkel respektive Inkrement och klickar sedan på knappen Jämna avst..

Listan Vinklar att kalibrera

Den här listan innehåller alla de bordsvinklar som ska kalibreras. Du kan lägga till vinklar i den här listan från området Nya vinklar. Listan Vinklar att kalibrera måste använda nollvinkeln.

Övriga parametrar i dialogrutan

Den här dialogrutan innehåller många av de alternativ som beskrivs i avsnittet Definiera hårdvara.

  • Mer information om Antal mätpunkter, Insträcka/Återgång, Transporthastighet, Mäthastighet, Manuell/CNC, Tillgängliga normaler, Lägg till och Ta bort finns i Mätning i avsnittet Definiera hårdvara.

  • Mer information om Aktiv mäthuvudsfil och Aktiv mätspets finns i Definiera mätspetsar i avsnittet Definiera hårdvara.


Kalibrera steglöst rundbord

Dialogrutan Kalibrera steglöst rundbord

Dialogrutan Kalibrera steglöst rundbord skiljer sig från dialogrutan Kalibrera indexerbart rundbord på följande områden:

  • I stället för listan Vinklar att kalibrera visas listan Bordsvinklar i den här dialogrutan.

  • Du behöver inte ange vinkeln 0.0 i listan Bordsvinklar.

  • I stället för tre kalibreringsverktyg visas ett enda kalibreringsverktyg i den här dialogrutan.

Mer information om den här dialogrutans specifika alternativ finns i Kalibrera indexerbart rundbord.


Konfigurera växlarinställningar

När du väljer menyvägen Redigera | Alternativ | Växlare öppnas dialogrutan Växlare.

Dialogrutan Växlare

I den här dialogrutan kan du ställa in olika inställningar som kan användas med en växlare. Innan du definierar en växlare visas endast fliken Typ i den här dialogrutan. De övriga flikarna kan bli tillgängliga när du definierat växlarens typ.

Typ | På den här fliken kan du välja vilken typ av växlare du använder.
Kalibrera | På den här fliken kan du ange vilka aktiva mätspetsar som ska kalibreras.
Startpunkt | På den här fliken kan du ändra vinkelvärden och ange ett säkert läge som CMM-maskinen kan flytta till efter varje cykel.
Fack | På den här fliken kan du definiera mäthuvuds- eller mätspetskonfigurationen för befintliga fack i växlarmagasinet.
Port | På den här fliken kan du arbeta med datorns seriella portanslutning till växlaren.

De olika flikarna beskrivs mer utförligt nedan.

Obs! I Grafikfönstret kan du visa en befintlig växlare. Se Visa en animerad växlare i avsnittet Definiera hårdvara .

Mer:

Typ

Port

Kalibrera

Startpunkt

Fack


Typ

Dialogrutan Växlare - fliken Typ

Innan kalibrering kan ske måste du välja växlartyp. Välj typ av växlare i listrutan Växlare. När du ändrar typen av växlare måste du starta om PC-DMIS.

Du kan ändra dockningshastigheten för att finjustera växlingshastigheten. Ange helt enkelt ett nytt procentvärde för att ange en ny dockningshastighet.

Mer:

Aktiv växlare

Antal växlare

Växlartyp

Dockningshastighet


Aktiv växlare

Beroende på vilket värde som visas i rutan Antal växlare visar listan Aktiv växlare ett antal numrerade objekt (Växlare1, Växlare2, Växlare3 o.s.v.), till vilka du kan tilldela en växlare och dess kopplade värden.

Till en början visas endast ett objekt i listan, normalt "Växlare1". Du kan lägga till ytterligare objekt i listan genom att öka värdet i rutan Antal växlare.

I PC-DMIS sparas information om vilken växlartyp du valt och andra eventuella värden som hör till det numrerade objektet i listan Aktiv växlare.


Antal växlare

I rutan Antal växlare kan du ange hur många växlare som ska användas. Den siffra som du anger här bestämmer antalet tillgängliga växlare i listan Aktiv växlare.


Växlartyp

I listrutan Växlartyp finns en lista över de olika växlartyperna


Dockningshastighet

I rutan Dockningshastighet kan du bestämma växlingscykelns dockningshastighet.


Port

 Typ Startpunkt Kalibrera Fack Knappen OK Knappen Avbryt Knappen Verkställ Knappen Hjälp

Port Visa menykarta

Dialogrutan Växlare - fliken Port

Vissa typer av växlare har en seriell anslutning till datorn. I den här dialogrutan kan du välja kommunikationsport (COM-port) och ändra dina COM-portsinställningar. Mer information om COM-portsinställningar finns i dokumentationen som medföljde din datorhårdvara.

Om växlaren inte har en seriell anslutning visas inte fliken Port.


Kalibrera

Dialogrutan Växlare - fliken Kalibrera

Du måste tänka på följande innan du kan ladda mäthuvudskonfigurationer:

  • Du måste välja mäthuvud eller mätspets på fliken Typ och mäthuvudet/mätspetsen måste kalibreras.

  • Magasinet bör riktas mot någon av CMM-maskinens axlar.

  • Du måste använda mätspetsen PS35R från Renishaw när du kalibrerar växlaren.

  • Kontrollera att mätspetsen har kalibrerats innan du påbörjar processen. (Se Definiera mätspetsar i avsnittet Definiera hårdvara.

VARNING! Det optisk-elektroniska infraröda varningssystemet är alltid igång. Om det aktiveras av misstag kommer TP200 att inaktiveras av PI200.

Mer:

Aktiv växlare

Aktiv mäthuvudsfil

Aktiv mätspets

Full kalibrering

Partiell kalibrering

Kalibrering av enskilt fack

Kalibrera


Aktiv växlare

I listan Aktiv växlare kan du välja vilken växlare du vill kalibrera.

Mer information om den här listan finns i Aktiv växlare, på fliken Typ.


Aktiv mäthuvudsfil

I listrutan Aktiv mäthuvudsfil kan du välja vilket mäthuvud du vill använda i kalibreringsprocessen.


Aktiv mätspets

I listrutan Aktiv mätspets kan du välja en mätspetskonfiguration för det valda mäthuvudet.


Full kalibrering

Om du markerar kryssrutan Full kalibrering mäts hela växlaren. Det här är den vanligaste kalibreringsmetoden och för vissa den enda tillgängliga metoden. Vi rekommenderar att operatören använder metoden full kalibrering.


Partiell kalibrering

Med alternativet Partiell kalibrering kan du endast kalibrera en del av växlaren. För ACR1 kommer endast växlarens referenskula att mätas.


Kalibrering av enskilt fack

Med vissa växlare kan du endast mäta ett enskilt fack efter att en fullständig kalibrering gjorts.

Alternativet Kalibrering av enskilt fack visas endast för växlarna ACR2 och Zeiss.


Kalibrera

Med knappen Kalibrera kan du påbörja kalibreringsprocessen genom att öppna dialogrutan Växlare. Följande steg förklarar växlarens kalibreringsprocess.

Så här kalibrerar du växlaren SCR200:

  1. Kontrollera att SCR200 har satts till läge B.

  2. Ladda den kalibrerade PS35R-mätspetsen.

  3. Ta en mätpunkt på växlarens framsida.

  4. Ta en mätpunkt på växlarens ovansida.

  5. Lyft på toppen till fack 1. Medan den står i upprätt läge skjuter du toppen mot mitten till dess att den låser i ett öppet läge. Du blir sedan uppmanad att ta en mätpunkt på varje sida av facket.

  6. Ta varje mätpunkt på den lägre hyllan på magasinfacket. (Se bilden.) Det spelar ingen roll vilken sida av facket du mäter först. Se till att trycka på knappen Klar efter varje mätpunkt.

  7. Stäng toppen till fack 1.

  8. Upprepa processen för det sista facket i magasinet (sekvenserna 4-6). Kontrollera att toppen till fack 1 är stängd innan du öppnar toppen till det sista facket. I PI200 inaktiveras TP200 om mer än en topp är öppen samtidigt.

När du är klar med ovanstående process klickar du på OK i dialogrutan Växlare.


Startpunkt

Dialogrutan Växlare - fliken Startpunkt

På fliken Startpunkt kan du ändra vinkelvärdena och definiera ett säkert läge som CMM-maskinen kan flytta till inför varje växlingscykel.

Du kan göra detta för lika många växlare som finns definierade på fliken Typ. Välj växlaren i listan Aktiv växlare samt ange sedan önskade AB-vinklar och CMM-läge.

Mer:

Aktiv växlare

Vinklar för mäthuvudet

CMM-läge


Aktiv växlare

I listan Aktiv växlare kan du välja den växlare för vilken du vill definiera vinkelvärden och en CMM-maskinposition.

Mer information om den här listan finns i Aktiv växlare, på fliken Typ.


Vinklar för mäthuvudet

Rutorna A-vinkel och B-vinkel visar PH9-armens position när mäthuvudskonfigurationerna skjuts på plats. I de flesta fall ska den här vinkeln visa en position som är helt lodrät.

Så här ändrar du vinklarna från den lodräta positionen:

  1. Placera markören i någon av rutorna A-vinkel eller B-vinkel.

  2. Ange den önskade vinkeln.


Maskinposition

I området Maskinposition i den här dialogrutan kan du ange en säker plats dit CMM-maskinen kan röra sig till inför varje bytescykel. Den här säkra platsen ligger vanligtvis cirka fem centimeter ovanför och framför mätspetsväxlarens magasin. Du kan dock finna det nödvändigt att flytta till en annan plats, beroende på vilken typ av växlare som används.

Så här ändrar du värden för Maskinposition:

  1. Markera det befintliga värdet som du vill ändra i rutan för X, Y eller Z.

  2. Ange dina nya värden i respektive ruta eller klicka på knappen Läs av CMM för att infoga CMM-maskinens nuvarande läge.


Fack

Dialogrutan Växlare - fliken Fack

Växlaren är ett magasin med fack för olika mätspetskonfigurationer. På fliken Fack kan du definiera mäthuvudskonfigurationen för varje fack som kommer att användas. Standardvärdet för varje fack är "inget mäthuvud". Du kan definiera mäthuvudskonfigurationen för varje fack i den valda växlaren.

Mer:

Definiera mäthuvudskonfigurationen för varje fack

Redigera fackdata manuellt

Ändra ett definierat mäthuvud tillbaka till standardinställningen Inget mäthuvud

Lägga till eller ta bort fack från dialogrutan

Släppa ett mäthuvud utan att plocka ett nytt mäthuvud


Definiera mäthuvudskonfigurationen för varje fack

  1. Välj den aktuella växlaren i listan Aktiv växlare.

  2. Klicka på plustecknet (+) till vänster om facknumret. Lägg märke till att standardvärdet som visas är "inget mäthuvud".

  3. Dubbelklicka eller högerklicka på objektet inget mäthuvud. En lista visas.

  4. Tilldela lämplig mäthuvudsfil till varje fack. Varje mäthuvudskonfiguration måsta laddas in i magasinet med hjälp av funktionerna Mätmaskin och Hämta aktivt mäthuvud. (Sätt inte in mäthuvudet i magasinet för hand.)


Redigera fackdata manuellt

  1. Välj det aktuella facket i listan Aktiv växlare.

  2. Klicka på knappen Redigera .... Dialogrutan Fackdata, växlare visas. I den här dialogrutan kan du ändra ett facks typ eller X-, Y-, eller Z-läge.

    Dialogrutan Fackdata, växlare

  3. Om den är tillgänglig, väljer du den önskade typen i listan Typ av fack. Den här listan är inte tillgänglig om du använder något annat än FCR25 (som används med mäthuvudet SP25). Du kan använda den här listan för att konfigurera varje fack på något av tre olika sätt.

    • Facket kan vara öppet för ett modulbyte

    • Facket kan ha en insats för att hålla olika scanmätspetsar.

    • Facket kan ha en insats för att växla scanmätspetsar.

Posterna i listan Typ av fack visar Renishaw-modellnumren för fackinsatserna m.m.. Mer ingående information om hur du använder FCR25-växlaren samt hur du ställer in och använder fackinsatser finns i motsvarande Renishaw-dokumentation.

  4. Du anger fackets läge genom att ange X-, Y- och Z-värden (i millimeter) i rutorna X, Y och Z.

  5. Klicka på OK. I PC-DMIS stängs dialogrutan och fackets X-, Y- och Z-värden visas i dialogrutan Växlare. Bredvid facket visas "ändringar gjorda".

  6. Om du vill återställa ett fack till dess föregående värde markerar du facket och klickar på Redigera .... Sedan klickar du antingen på Återställ XYZ eller på Återställ typ i dialogrutan Fackdata, växlare, beroende på vad du vill återställa. De här knapparna kan endast användas om du inte redan har klickat på OK eller på Verkställ i dialogrutan Växlare.

  7. När du vill acceptera ändringarna klickar du antingen på OK eller på Verkställ i dialogrutan Växlare.


Ändra ett definierat mäthuvud tillbaka till standardinställningen Inget mäthuvud

  1. Välj den aktuella växlaren i listan Aktiv växlare.

  2. Dubbelklicka på det spår som du vill ändra. En lista visas.

  3. Välj Inget mäthuvud i listan.


Lägga till eller ta bort fack från dialogrutan

Med vissa typer av växlare kan du definiera antalet fack.

  1. Välj den aktuella växlaren i listan Aktiv växlare.

  2. Ändra värdet i rutan Antal fack.

  3. Klicka på Verkställ för att omedelbart se ändringarna.

Om växlaren inte tillåter att du ändrar antalet fack kommer rutan Antal fack att vara inaktiverad.


Släppa ett mäthuvud utan att plocka ett nytt mäthuvud

Ibland vill du kanske släppa det aktuella mäthuvudet i växlaren utan att plocka ett nytt mäthuvud från växlaren.

Gör så här:

  1. Skapa en dummymätspetsfil för en mätspets som inte finns i dialogrutan Mäthuvud. Du kan ge den ett namn som t.ex. "släpp". (Se Definiera mäthuvuden i avsnittet Definiera hårdvara.

  2. Klicka på Inställningar. Dialogrutan Inställningar, mätning öppnas.

  3. Välj den här mäthuvudsfilen i listan Mäthuvudsfil för enbart lämning (växlare).

  4. Klicka på OK för att stänga dialogrutan Inställningar, mätning.

  5. Klicka på fliken Fack i dialogrutan Växlare och kontrollera att mäthuvudet INTE har tilldelats något fack i växlaren.

  6. Klicka på OK för att stänga dialogrutan Växlare.


Hantera flera växlare

Nedanstående ämnen behandlar marknadens mest populära mätspetssystem (TP2, ACR1, TP20 och TP200 samt SP600). I ämnena Konfigurera flera magasin och Växlarsystemet SP25 finns detaljerade exempel på hur du kan arbeta med flera växlare.

Mer:

Bakgrundsinformation om TP2

Bakgrundsinformation om ACR1

Bakgrundsinformation om TP20 och TP200

Bakgrundsinformation om den analoga mätspetsen SP600

Konfigurera flera magasin

Växlarsystemet SP25


Bakgrundsinformation om TP2

När Renishaw utvecklade det lilla brytande mäthuvudet (TP2) anslöts den till CMM-maskinen via ett mäthuvud med en invändigt gängad M8-anslutning i själva mäthuvudet. Den här utformningen krävde dock att mäthuvudet kalibrerades om varje gång det togs bort eller kopplades in på nytt.

För att slippa behovet av omkalibrering utvecklade Renishaw en snabbkopplingsadapter (kallad QuickConnect), som bara kräver ett kvarts varvs vridning av en nyckel för att låsa eller lossa adaptern till/från CMM-maskinen. TP2-enheten kan skruvas in i den här adaptern. Den här adaptern kan snabbt och enkelt tas loss och kopplas fast på nytt så ofta man vill, utan att alltid behöva kalibrera om.


Bakgrundsinformation om ACR1

ACR1 är den första mätspetsväxlaren som Renishaw introducerade. Den kan hålla upp till åtta snabbkopplingsförlängningar, var och en med ett separat TP2-mäthuvud. När mäthuvudena har kvalificerats och placerats i magasinet, kan de släppas och plockas automatiskt av CMM-maskinen genom enkla rörelsekommandon och koordineras med magasinets låsnings-/upplåsningsmekanismer. En programvarumodul som styr magasinsoperationerna har utvecklats.


Bakgrundsinformation om TP20 och TP200

Med tiden har design- och elektronikutvecklingen banat vägen för alternativ till mäthuvudet TP2. Dessutom har vissa kunder tyckt att inköp av upp till åtta mäthuvuden varit avskräckande. Nya mäthuvudsutformningar, som tillåter borttagning och koppling av nya mätspetsadaptrar, har utvecklats. Dessa ersätter snabbkopplingar. Enskilda mätspetsmontage kan därmed tas bort och kopplas på upprepade gånger och till låg kostnad.

Två av Renishaws mer kända mäthuvudstyper med den här utformningen är TP20 och TP200. Båda är snarlika TP2:an i storlek och utseende, men de har två viktiga skillnader:

  • Genom avancerad elektronik kan de bära högre vikter och fortfarande producera mer noggranna och reproducerbara resultat.

  • De har utformats med en magnetisk koppling mellan det övre mäthuvudet och den nedre mätspetshållaren. Denna koppling gör att de kan användas med egna magasinsystem för mätspetsbyten, MCR20 respektive SCR200.


Bakgrundsinformation om det analoga mäthuvudet SP600

En annan förbättring är det populära analoga mäthuvudet SP600. Med det här mäthuvudet kan du utföra både analoga scanåtgärder och brytande mätningar. Medan mäthuvudets utförande är mycket större än TP-seriens mäthuvuden, kan den hållas skild från kroppen genom en magnetisk mätspetshållare. I och med detta har den också ett eget magasinsystem, växlaren SCR600.


Konfigurera flera magasin

Även om det finns andra mätspetssystem på marknaden är de mest populära systemen, som nämnts tidigare, systemen TP2, TP20, TP200 och SP600. Varje system har ett eget magasinsystem som kan fungera självständigt som ett enskilt magasin. Alternativt kan du använda fler än ett magasin med en CMM-maskin. Med PC-DMIS-programvaran har du kapaciteten att efter behov kunna flytta mellan magasinen för att släppa och plocka mäthuvuden och mätspetshållare.

Viktigt!

  • Varje magasin har en egen kalibreringsmetod i PC-DMIS. Även om de kan ha mycket gemensamt är de, för kalibreringsändamål, helt oberoende av varandra.

  • Frigångsrörelsepunkten för varje magasin gäller endast för det magasinet, med undantag för att visst hänsyn måste tas till vart nästa rörelse ska gå. Av den här anledningen bör frigångsrörelseutrymmet ligga vid en sådan plats som tillåter förflytting till andra magasin som eventuellt kan vara inblandade. Även när du använder ett andra magasin måste frigångsrörelseutrymmet vara tillräckligt för att kunna färdas från och återvända till detaljinspektionsåtgärderna.

  • Att definiera facken för flera magasin är den mest kritiska delen i att konfigurera flera magasin för samtidig användning. Eftersom varje fack kan innehålla flera mäthuvudsreferenser (fackinnehållet kan användas med fler mäthuvuden), måste samtliga mäthuvuden som kan komma att användas identifieras för varje fack.

Mer:


Exempel på flera mäthuvudsreferenser

Anta att du har följande tre mäthuvudskonfigurationer:

MÄTHUVUD_01 | MÄTHUVUD_02 | MÄTHUVUD_03
AutoJoint-snabbkoppling | AutoJoint-snabbkoppling | AutoJoint-snabbkoppling
TP2 | TP20 | TP20
3 mm x 10 mm mätspets | 2 mm x 10 mm mätspets | 4 mm x 20 mm mätspets

ACR1 kommer att växla mellan mäthuvudena TP2 och TP20. MCR20 kommer att växla mellan de mätspetsar som är kopplade till mäthuvudsystemet (mäthuvudsystemen) TP20.

Så här kan en typisk fackdefinition se ut:

ACR1 |  | MCR20
Fack 1 | Fack 2 | Fack 1 | Fack 2
Mäthuvud_01 | Mäthuvud_02 | Mäthuvud_02 | Mäthuvud_03
 | Mäthuvud_03 |  |

Under drift antar vi att MÄTHUVUD_01 används i systemet och att vi behöver byta till MÄTHUVUD_02. Då måste följande ske i systemet:

  • Ett uppehåll görs i mätprogrammet.

  • Transport till säkerhetsplatsen för ACR1.

  • Återlämnande av det för tillfället laddade mäthuvudet till fack 1 i ACR1.

  • Transport till fack 2 i ACR1 och plockning av TP20-kroppen för MÄTHUVUD_02.

  • Användning av de respektive säkerhetspunkterna och transport till MCR20.

  • Transport till fack 1 i MCR20 för att koppla mätspetsadaptern till den önskade mätspetsen.

  • Återgång till MCR20:s säkerhetspunkt.

  • Återupptagande av mätprogrammet.

Anta, efter att ha mätt vissa element, att systemet behöver använda MÄTHUVUD_03. Då måste följande ske i systemet:

  • Ett uppehåll görs i mätprogrammet.

  • Transport till säkerhetsplatsen för MCR20.

  • Transport till fack 1 för att släppa mätspetsen i MÄTHUVUD_02.

  • Transport från, över och till fack 3 för plockning av den mätspets som krävs för MÄTHUVUD_03.

  • Transport till säkerhetsplatsen.

  • Återupptagande av mätprogrammet.

Om vi nu anter att man i systemet behöver växla från MÄTHUVUD_03 (TP20 med ett 4 mm x 20 mm mätspets) tillbaka till MÄTHUVUD_01 (TP2 med ett 3 mm x 10 mm mätspets). Då måste följande ske i systemet:

  • Ett uppehåll görs i mätprogrammet.

  • Transport till säkerhetspunkten för MCR20.

  • Inträde i fack 2 för att släppa mätspetsmontaget.

  • Återgång till MCR20:s säkerhetsplats.

  • Transport till säkerhetsplatsen för ACR1.

  • Inträde i fack 2 för att släppa TP20-montaget.

  • Utgång och återgång till fack 1 för att plocka TP2-montaget (mätspetsen är redan kopplad till TP2).

  • Transport till säkerhetspunkten för ACR1.

  • Återupptagande av mätprogrammet.

Observera att i det här exemplet behöver du endast ett TP20-mäthuvud. Du använder MCR20 för att växla mellan två olika mätspetsmontage för de olika mätkraven.


Växlarsystemet SP25

Magasinet SP25 är en fortsättning på samma procedurer som används i andra magasin. Den här redogörelsen täcker magasinen ARC1 och TP20 och fortsätter med att beskriva magasinsystemet SP25.

Mer:

O m magasinet ARC1

Om ARC1 med en TP20-växlare

Om magasinsystemet SP25


Om magasinet ARC1

När du använder ACR1 använder systemet en snabbkoppling mellan mätspetsen och mäthuvudet. Alla fack i ACR1 är identiska, vilket innebär att om du har en SP600 i fack så kopplas den direkt till mätspetsen. Om du vill sätta ett TP2 i fack 2, måste du montera en adapter på TP2 (på samma sätt som med mätspetssystemen TP20 och TP200).

Med tanke på denna konfiguration behöver du endast definiera ett mäthuvudsnamn för varje fack. Tekniskt sett är ACR1 en växlare, där varje mäthuvud redan har en kopplad mätspets när det ligger i magasinet.

Anta att du vill tilldela följande mäthuvuden till magasinet ARC1: SP600, TP2, TP20 och TP200. Fackdefinitionerna i ARC1-magasinet blir:

FACK 1 | FACK 2 | FACK 3 | FACK 4
SP600 | TP2 | TP20 | TP200


Om ARC1 med en TP20-växlare

Om du nu vill kombinera ACR1 med ett TP20-magasin (en växlare), blir det något mer komplicerat. ACR1 kommer att växla mellan mäthuvudena SP600 och TP20. När TP20 har plockats av systemet fortsätter maskinen till MCR20-magasinet för att plocka en lämplig mätspets för den.

Anta att du har tre olika spetsar som du vill använda med TP20 och att SP600 används som ett enkelt mäthuvud (utan mätspetsbyten).

När du definierar facken kan du kalla SP600-mäthuvudet för "SP600_1" medan du kanske vill kalla TP20-mäthuvudena med de olika kopplade mätspetsarna för "TP20_1", "TP20_2" och "TP20_3".

Facken i växlaren ACR1 definieras då som:

FACK 1 | FACK 2 | FACK 3 | FACK 4
SP600 | TP2 | TP20_1 | TP200
 |  | TP20_2 |
 |  | TP20_3 |

Facken i växlaren TP20 definieras då som:

FACK 1 | FACK 2 | FACK 3 | FACK 4
TP20_1 | TP20_2 | TP20_3 | tomt


Om magasinsystemet SP25

Du kan förlänga logiken från ovanstående ämnen till magasinsystemet SP25. Det här magasinet kan hålla två olika typer av mäthuvudskomponenter. För en av typerna kalibreras facket när det är tomt och för den andra typen kalibreras facket med en insats.

Den här redogörelsen ersätter tidigare referenser till SP600, TP2, TP20 och TP200, eftersom magasinsystemet SP25 i stället använder de här komponenterna

q SP25M

q SM25-x

q SH25-x

Du kan läsa mer information om SP25M- och FCR-25-systemen på Internet genom att klicka på de här ikonerna:

  • SP25M

  • FCR-25

SP25M-systemet kan anpassas till tre olika SM25-moduler för varierande mätspetslängder/mätspetsvikter och till en fjärde modul för användning med TP20. Alla använder samma SP25M-mäthuvud.

  1. Modulen SM25-1 – Den här modulen accepterar endast mätspetshållaren SH25-1 och används för mätspetslängder mellan 20 mm och 50 mm.

  2. Modulen SM25-2 – Den här modulen accepterar endast mätspetshållaren SH25-2 och används för mätspetslängder mellan 50 mm och 105 mm.

  3. Modulen SM25-3 – Den här modulen accepterar endast mätspetshållaren SH25-3 och används för mätspetslängder mellan 120 mm och 200 mm. Samtliga SM25-x-moduler har kapacitet för både mätning med brytande mäthuvud och scanåtgärder.

  4. Modulen TM25-20 – Den här modulen accepterar endast mätspetshållaren TP20 och används endast till mätning med brytande mäthuvud.

Mer:


Exempel på SP25 med flera mäthuvuden

Anta att ditt SP25-magasin har följande sex mäthuvudsmontage som alltid är monterade på mäthuvudet:

P1 | P2 | P3 | P4 | P5 | P6
SP25M | SP25M | SP25M | SP25M | SP25M | SP25M
SM25-1 | SM25-1 | SM25-2 | SM25-3 | TM25-20 | TM25-20
SH25-1 | SH25-1 | SH25-2 | SH25-3 | TP20 | TP20
2 mm x 20 mm mätspets | 4 mm x 30 mm mätspets | 6 mm x 80 mm mätspets | 8 mm x 100 mm mätspets | 2 mm x 20 mm mätspets | 4 mm x 20 mm mätspets

Du definierar facken i FCR25-magasinet för att rymma komponenter som tillsammans utgör de olika mäthuvudskonfigurationerna. Den här första tabellen visar de fack som rymmer komponenter för ovanstående mäthuvudskonfigurationer.

FACK 1 | FACK 2 | FACK 3 | FACK 4 | FACK 5 | FACK 6
P1 | P1 | P2 | P3 | P4 | P5*
P2 |  |  |  |  |

På detaljnivå skulle facken rymma följande komponenter:

FACK 1 | FACK 2 | FACK 3 | FACK 4 | FACK 5 | FACK 6
SM25-1 | SH25-1 | SH25-1 | SH25-2 | SM35-3 | TM25-20
 | 2 mm x 20 mm mätspets | 4 mm x 20 mm mätspets | 6 mm x 80 mm mätspets | SH25-3 | TP20*
 |  |  |  | 8 mm x 100 mm mätspets | 2 mm x 20 mm mätspets*

Fack 1 innehåller endast modulen SM25-1. Till detta används ingen insats. Den här komponenten kopplas direkt till SP25 och kräver tillägg av SH25-1 med en 2 mm mätspets som finns i Fack 2, eller SH25-1 med en 4 mm mätspets som finns i Fack 3.

Fack 2 innehåller mätspetshållaren för SH25-1 med en kopplad mätspets på 2 mm x 20 mm. Detta kräver en insats i facket för att anpassa fackets fysiska egenskaper efter den här komponenten. Den här komponenten kräver modulen SM25-1 (finns i fack 1). När den har plockat upp SM25-1 är mäthuvudsmontaget fullständigt.

Fack 3 innehåller mätspetshållaren för SH25-1 med en kopplad mätspets på 4 mm x 30 mm. Detta kräver en insats i facket för att anpassa fackets fysiska egenskaper efter den här komponenten. Den här komponenten kräver modulen SM25-1 (finns i fack 1). När den har plockat upp SM25-1 är mäthuvudsmontaget fullständigt.

Fack 4 innehåller mätspetshållaren SH25-2 och en kopplad mätspets på 6 mm x 80 mm. Till detta används ingen insats. När den har plockats upp är mäthuvudsmontaget fullständigt.

Fack 5 innehåller SM25-3 med mätspetshållaren SH25-3 och en kopplad mätspets på 8 mm x 100 mm. Till detta används ingen insats. När den har plockats upp är mäthuvudsmontaget fullständigt.

Fack 6 innehåller endast modulen TM25-20. Till detta används ingen insats. Den här komponenten kopplas direkt till SP25M.

* När den används med en enda mätspets kan TP20-mäthuvudsmodulen och mätspetsen kopplas till modulen TM25-20 medan den befinner sig i facket och kräver inget ytterligare magasinsystem. Men om den används med flera mätspetsar (som i det här exemplet), har modulen TM25-20 inga andra kopplade komponenter medan den befinner sig i facket, men den kräver användning av ytterligare FCR25-fack med adaptrar som är specifikt avsedda för att hålla kombinationer av TP20-moduler/-mätspetsar. I det här exemplet skulle de tre tilläggsportarna se ut på följande vis:

FACK 7 | FACK 8 | FACK 9
P5 | P6 | tomt

FACK 7 | FACK 8 | FACK 9
TP20 | TP20 | tomt
2 mm x 20 mm mätspets | 4 mm x 20 mm mätspets |

När P1 används släpper mätmaskinen eventuella befintliga komponenter. Den plockar sedan SM25-1 som finns i fack 1 i FCR25 och fortsätter med att plocka den SH25-1 som finns i fack 2 i samma magasin.

När P2 används släpper mätmaskinen eventuella befintliga komponenter. Den plockar sedan SM25-1 som finns i fack 1 i FCR25 och fortsätter med att plocka den SH25-1 som finns i fack 3 i samma magasin.

När P3 används släpper mätmaskinen eventuella befintliga komponenter. Den plockar sedan kombinationen av SM25-2 och SH25-2 som finns i fack 4. I och med detta blir mäthuvudsmontaget fullständigt.

När P4 används släpper mätmaskinen eventuella befintliga komponenter. Den plockar sedan kombinationen av SM25-3 och SH25-3 som finns i fack 5. I och med detta blir mäthuvudsmontaget fullständigt.

När P5 används släpper mätmaskinen eventuella befintliga komponenter. Den plockar sedan kroppen TM25-20 som finns i fack 5 i FCR25 och fortsätter med att plocka modul/mätspetskombinationen TP20 som finns i fack 7 i FCR25.

När P6 används släpper mätmaskinen eventuella befintliga komponenter. Den plockar sedan kroppen TM25-20 som finns i fack 6 i FCR25 och fortsätter med att plocka modul/mätspetskombinationen TP20 som finns i fack 8 i FCR25.

I likhet med andra verktygsbyten och mäthuvudsmontage släpps komponenterna i omvänd ordning jämfört med den ordning i vilken de plockas.


Hämta det aktiva mäthuvudet

Genom att välja menyvägen Redigera | Alternativ | Hämta aktivt mäthuvud laddas det aktiva mäthuvudet som detaljprogrammet kräver. I inlärningsläget kan du använda dialogrutan Mäthuvud (Infoga | Hårdvarudefinition | Mäthuvud) för att ändra den laddade mäthuvudsfilen(-filerna). I dialogrutan Konfigurera växlare (Redigera | Alternativ | Växlare) kan du definiera lämpliga mäthuvudskonfigurationer för varje fack som du kommer att använda. Med alternativet Hämta aktivt mäthuvud kan du bestämma att maskinen ska byta de nödvändiga mäthuvudskonfigurationerna.


Konfigurera maskingränssnittet

Det här alternativet är endast tillgängligt i onlineläge.

När du väljer Redigera | Inställningar | Installningar, maskininterface öppnas dialogrutan CMM-alternativ för det specifika maskingränssnitt som används. Även om innehållet på dialogrutans gränssnittsflikar kan variera mycket mellan de olika gränssnitten, innehåller flikarna normalt information för inställning av följande:

  • Kommunikation mellan maskinen och mäthuvudet

  • Mekaniska offset

  • Axelorientering

  • Felsökningsinformation

Alternativet Inställningar, maskininterface är endast tillgängligt i onlineläge.

Varning! I de flesta fall bör du inte ändra något av värdena i den här dialogrutan. Vissa objekt i dialogrutan, till exempel området Mekaniska offset, skriver permanent över värden som sparats för din maskin på styrenhetens hårddisk. Om du har frågor om när och hur du ska använda dialogrutan CMM-alternativ bör du kontakta din lokala servicetekniker:

De parametrar som finns i dialogrutan CMM-alternativ diskuteras för följande maskingränssnitt:

Axila

Backtalk (B&S)*

Bright

Dea

Elm

Embboard (B&S)*

Faro

Federal

GOM

Johansson

Leitz

LKDriver

LKRS232

Manmiti

Manmora

Metrocom/Metromec

Metrolog

Mitutoyo

Mora

MZeizz

Numerex

Omnitech

Reflex

Renishaw

Romer

Sharpe

Sheffield

Tech80

Theodole

Wenzel

Zeiss

ZssGPIB

*B&S = Brown & Sharpe

Mer fullständig information om hur du installerar/konfigurerar de olika gränssnitten finns i installationsdokumentationen (Machine_Interface_Installation_Manual.doc).

Mer:

Tilldela maskinaxlarna

Generera en felsökningsfil

OIT-kommunikation

PH9-kommunikation

Inställningar, rundbord

Ställa in kommunikationsprotokoll

Ställa in axlars skalfaktor

Vinkelkonfiguration


Tilldela maskinaxlarna

Dialogrutan CMM-alternativ - fliken Axel

På fliken Axel finns listor med värden för axlarna X, Y och Z. I de här listrutorna anger du vilka av maskinens axlar som ska kopplas till axlarna i PC-DMIS. VARNING! De axelriktningar som du defnierar MÅSTE utgöra ett högerhänt koordinatsystem.

Varning! Om du ändrar standardvärdena på fliken Axel kan det göra maskinens volymkompenseringsvärden ogiltiga (beroende på vilken typ av styrenhet och volymkompensering som används)


Generera en felsökningsfil

I PC-DMIS kan du generera en särskild textfil som innehåller all kommunikation som sker mellan PC-DMIS och CMM-maskinen när ett detaljprogram körs. Den här filen kallas för en felsökningsfil och används av supporttekniker för att lösa vissa problem med CMM-maskinen.

I felsökningsfilen skapas en lista över alla de kommandon som skickas från PC-DMIS till CMM-maskinen, de svar som returneras och de felmeddelanden som styrenheten genererar.

Om du stöter på upprepade problem som rör CMM-maskinens rörelser i onlineläge kan du generera en felsökningsfil genom följande procedur:

1. I dialogrutan CMM-alternativ (Redigera | Inställningar | Inställningar, maskingränssnitt ) väljer du fliken Felsökning.

Dialogrutan CMM-alternativ - fliken Felsökning

2. Markera kryssrutan Logg.

3. Ge felsökningsfilen ett namn i rutan bredvid kryssrutan Logg. Standardfilnamnet är debug.txt. Om du vill kan du även skriva sökvägen framför filnamnet för att ange den fullständiga sökvägen till den katalog där felsökningsfilen ska sparas. Som standard sparas felsökningsfilen i den katalog där PC-DMIS installerades.

4. Klicka på Verkställ och sedan på OK. Dialogrutan stängs.

5. Kör detaljprogrammet och avsluta PC-DMIS omedelbart så fort du stöter på problemet.

6. Bläddra fram till den katalog där felsökningsfilen finns och ge filen ett nytt namn. Om du inte ändrar filnamnet kommer alla data som sparats i den att skrivas över nästa gång du startar PC-DMIS.

Du bör sedan skicka felsökningsfilen, detaljprogrammet (.prg), mätspetsfilen (.prb), tillsammans med eventuella andra nödvändiga filer till din supporttekniker.

Mer:

Påbörja en ny felsökningsfil

Ställa in ytterligare felsökningsalternativ


Påbörja en ny felsökningsfil

För att påbörja en ny felsökningsfil och rensa alla befintliga data markerar du kryssrutan Återställ logg vid programstart på fliken Felsök. Innehållet i den befintliga felsökningsfilen byts då ut varje gång ett detaljprogram startas.

Om du avmarkerar kryssrutan Återställ logg vid programstart läggs nya data till i slutet av felsökningsfilen, i stället för att radera dess innehåll.


Ytterligare felsökningsalternativ

Ställa in ytterligare felsökningsalternativ

Du kan styra vilken typ av felsökningsinformation som loggas och vart den skickas.

  • Markera kryssrutan Fönster och ange ett namn på fönstret i rutan till höger. Felsökningsinformation visas då för granskning i det fönstret.

  • Välj Ingen, Båda, Logg eller Fönster bredvid Positionsrapporter för att logga positionsrapporter från PC-DMIS.

  • Välj Ingen, Båda, Logg eller Fönster bredvid Från maskinen för att logga den felsökningsinformation som skickas från maskinen till datorn. Det här alternativet stöds inte av alla gränssnitt.

  • Välj Ingen, Båda, Logg eller Fönster bredvid Från CPU för att logga den felsökningsinformation som skickas från datorn till maskinen. Det här alternativet stöds inte av alla gränssnitt.


OIT-kommunikation

Dialogrutan CMM-alternativ - fliken Oit

På fliken Oit kan du konfigurera den seriella anslutningen till din OIT-enhet. Du kan välja kommunikationsport (COM-port) och ändra COM-portsinställningarna. Mer information om COM-portsinställningar finns i dokumentationen som medföljde din styrenhet. De tillgängliga OIT-typerna är TESA, VORNE eller GE.


PH9-kommunikation

Dialogrutan CMM-alternativ - fliken PH9

På fliken PH9 kan du konfigurera den seriella anslutningen till din PH9-enhet. Du kan välja kommunikationsport (COM-port) och ändra COM-portsinställningarna. Mer information om COM-portsinställningar finns i dokumentationen som medföljde din styrenhet.


Inställningar, rundbord

Dialogrutan CMM-alternativ - fliken Rundbord

På fliken Rundbord kan du konfigurera rundbordsinställningar för ditt gränssnitt.

Acceleration - Detta är rundbordets maximala acceleration. Normalt hämtas det här värdet från styrenhetens konfiguration.

Hastighet - Detta är rundbordets maximala hastighet. Normalt hämtas det här värdet från styrenheten.

Upplösning - Det här anger rundbordets skalfaktor.

Offset - Rundbordets hemmaläge kanske inte ligger vid nolläget. Om du vill att bordet ska gå till det sanna nolläget efter återgång till hemmaläget, är det här värdet den vinkel som du vill att bordet ska rotera efter återgång till hemmaläget. Den andra rutan bredvid Offset är till för ett andra rundbord.

Mindelta - Detta är den minsta skillnaden mellan bordets aktuella läge och ett nytt begärt bordläge. Om skillnaden är mindre än detta värde ignoreras begäran om bordsrotering.

Bord - Markera den här kryssrutan om maskinen har ett rundbord.

Dubbelbord - Markera den här kryssrutan om maskinen har dubbla rundbord.

Obs! Kom ihåg att portlåset måste vara programmerat för rundbord.


Ställa in kommunikationsprotokoll

Dialogrutan CMM-alternativ - fliken Styrenhet

På fliken Port eller Styrenhet kan du konfigurera den seriella anslutningen till ditt gränssnitts styrenhet. Du kan välja kommunikationsport (COM-port) och ändra COM-portsinställningarna. Mer information om COM-portsinställningar finns i dokumentationen som medföljde din styrenhet.


Ställa in axlars skalfaktor

Dialogrutan CMM-alternativ - fliken Upplösning

På fliken Upplösning kan du ange skalfaktorn för varje axel på din maskin. Skalfaktorn används av två anledningar:

  • Vissa styrenheter returnerar inte skalor som riktiga siffror (t.ex. 637.24319876), utan som heltal (t.ex. 63724319876). I det här fallet måste du dela heltalet som returneras av styrenheten med skalfaktorn 1 000 000.0 för att få fram den korrekta siffran.

  • Dessa värden kan även användas för att utföra volymkompensering i din maskin. Om du till exempel har ett mindre linjärt fel kan du använda skalfaktorn 9 998 i stället för 10 000.

Varning! Dessa värden bör endast ändras av en behörig tekniker. Om du ändrar dem kan det leda till oönskade resultat.


Vinkelkonfiguration

Dialogrutan CMM-alternativ - fliken Vridbart mäthuvud

På fliken Vridbart mäthuvud kan du i rutorna Upplösning A och Upplösning B ange skalfaktorn för A- respektive B-axlarna på ditt steglösa mäthuvud. Den här skalfaktorn används vid konvertering av värden från ditt steglösa mäthuvud till värden som kan användas i PC-DMIS.

Värdena A-offset och B-offset används för att “räta upp” hemmaläget för ditt steglösa mäthuvud.

I rutan Maxhastighet står den högsta tillåtna hastigheten (i procent) för ditt steglösa mäthuvuds rörelser.

Varning! Dessa värden bör endast ändras av en behörig tekniker. Om du ändrar dem kan det leda till oönskade resultat.


Axila-gränssnitt

Axila-gränssnittet används tillsammans med en Axila-armmaskin. Du bör först installera programvaran för PC-DMIS innan du fortsätter med att installera de drivrutins- och armspecifika data som följer med maskinen. GDS-drivrutinen för din Axila-maskin skyddas av en HASP-dongel som du måste ansluta till datorn. På CD-ROM-skivan GTech/ROMER finns verktyg som du kan använda tillsammans med din maskin.

Innan du startar PC-DMIS ska du ändra namn på filen axila.dll till interfac.dll.

Dialogrutan CMM-alternativ har två flikar för Axila-gränssnittet.

Fliken Felsök

Se Generera en felsökningsfil.

Fliken GDS-konfigurering

På den här fliken finns en knapp (Starta konfigurering) med vilken du kan börja konfigurera den programvara som du installerat med Axila-gränssnittet

Obs! Ytterligare information om det här gränssnittet finns i Machine Interface Installation Manual (MIIM).


Backtalk-gränssnitt

Du använder Backtalk-gränssnittet tillsammans med manuella Brown & Sharpe-maskiner utrustade med Man 3 (externt seriellt gränssnitt). Om maskinen har har en ljuspenna måste du ändra styrenhetens inställningar under MM2-kontroll i Inställningar. Mer information om hur du ändrar registerposter finns i avsnittet Ändra registerposter.

Du måste ansluta en bildskärm till styrenheten för att konfigurera Backtalk-styrenheten. Innan du startar PC-DMIS ska du ändra namn på filen backtalk.dll till interfac.dll.

Obs! Om kunden har en Man3-dosa och använder Z-spårmusen behöver du en ljuspenna för att inaktivera Z-spårmusen.

Dialogrutan CMM-alternativ har fyra flikar för Backtalk-gränssnittet.

Fliken Styrenhet

Se Ställa in kommunikationsprotokoll. Standardvärdet är Port 1, 4800 baud, jämn paritet, 7 databitar samt 1 stoppbit.

Fliken Axel

Se Tilldela maskinaxlarna.

Fliken Upplösning

Se Ställa in axlars skalfaktor. Standardvärden är X=1.0, Y=1.0, Z=1.0.

Fliken Felsök

Se Generera en felsökningsfil.

Obs! Ytterligare information om det här gränssnittet finns i Machine Interface Installation Manual (MIIM).


Bright-gränssnitt

Bright-gränssnittet används tillsammans med Mitutoyo Euro C (Bright)-maskiner. Det här gränssnittet kommunicerar med styrenheten via ett kort som utvecklats av Mitutoyo. Om du gör den här installationen på en ny dator måste du ta ut kortet från den ursprungliga datorn och sätta det i den nya datorn. Om kunden fortfarande måste kunna använda den gamla programvaran tillsammans med PC-DMIS, måste båda installeras på samma dator.

Innan du startar PC-DMIS ska du ändra namn på filen bright.dll till interfac.dll.

Dialogrutan CMM-alternativ har två flikar för Bright-gränssnittet.

Fliken Axel

Se Tilldela maskinaxlarna.

Fliken Felsök

Se Generera en felsökningsfil.

Obs! Ytterligare information om det här gränssnittet finns i Machine Interface Installation Manual (MIIM).


Dea-gränssnitt

Dea-gränssnittet används tillsammans med DEA GAMMA- och nyare DEA-maskiner (med styrenheter i Tutor P & B3P-serien), manuella Mistral-maskiner (med M Inside Card-styrenheter) och manuella Swift-maskiner (med AKA CPM3-styrenheter (s.k. "White Box")).

Om Tutor for Windows redan finns installerad på din dator hittas filen WTUTOR.INI och relevant information extraheras om kompenseringsdata, mekaniska offset o.s.v. och motsvarande alternativ anges i registret. Om du installerar på en dator som Tutor inte har installerats på, kommer du att behöva göra ändringar i registret.

Innan du startar PC-DMIS ska du ändra namn på filen dea.dll till interfac.dll.

Dialogrutan CMM-alternativ har sju flikar för Dea-gränssnittet.

Fliken Dea

Se Använda fliken Dea.

Fliken Styrenhet

Se Ställa in kommunikationsprotokoll. Standardvärdet är Port 1, 9600 baud, jämn paritet, 8 databitar samt 1 stoppbit.

Fliken PH9

Se PH9-kommunikation. Standardvärdet är Port 2, 4800 baud, ingen paritet, 8 databitar samt 1 stoppbit.

Fliken Vridbart mäthuvud

Se Vinkelkonfiguration. Standardvärden är: Upplösning A = 3600, Upplösning B = 3600, Offset A = 0,0, Offset B = 0,0 samt Maxhastighet = 100.

Fliken Axel

Se Tilldela maskinaxlarna.

Fliken Upplösning

Se Ställa in axlars skalfaktor. Standardvärden är X=10000,0, Y=10000,0, Z=10000,0.

Fliken Felsök

Se Generera en felsökningsfil.

Obs! Ytterligare information om det här gränssnittet finns i Machine Interface Installation Manual (MIIM).


Använda fliken Dea

Dialogrutan CMM-alternativ - fliken Dea

På fliken Dea kan du konfigurera följande inställningar som är specifika för DEA-gränssnittet:

Bufferstorlek - Antalet rörelser som kan skickas till styrenhetens buffer på samma gång. Vissa maskiner visar fel om man skickar för många rörelser i förväg. Då hjälper det att minska det här värdet. En minskning av värdet reducerar dock systemets prestanda. Om du t.ex. anger värdet 1 kommer du endast att kunna skicka nästa rörelsekommando när maskinen har slutfört föregående rörelse. Detta leder till att maskinen gör uppehåll mellan rörelserna då varje kommando skickas.

Mekanisk offset X,Y,Z - Med de här värdena kan du bestämma maskinens mekaniska offsetvärden. Dessa värden bör endast ändras av en behörig tekniker.

Knappar - Du kan ange om knappen Spela in antingen ska Ta bort senast tagna mätpunkt eller fungera som knappenEnd/Done.

Polla kommunikationsporten - När du markerar den här kryssrutan pollas den seriella porten i PC-DMIS med jämna mellanrum för att förhindra ett avbrott i kommunikationen. Du bör endast markera den här kryssrutan om du misstänker problem med kommunikationen.

Koppla ur drivning - Du bör markera den här kryssrutan om du har CNC-maskiner med drivning som kan kopplas ur och som kommer att användas manuellt.

Kompenseringstyp - Välj bland följande volymkompenseringsmetoder: INGEN, DEA standard, DEA DLL (wcompens32), ASI, eller Brown & Sharpe.

Kompenseringsläge - Välj bland följande kompenseringslägen: Standard-CMM, Dubbeldrift, Horisontell arm (arm 1), eller Horisontell arm (arm 2).

Använd DEA Structural Thermal Compensation OCX - Markera den här kryssrutan om du vill använda OCX för DEA Structural Thermal Compensation.

Sökväg OCX - Den här rutan anger sökvägen till OCX-filen för DEA Structural Thermal Compensation.

Maskintyp - Ange vilken typ av maskin som används: Arm eller Robot.

Varning! Dessa värden bör endast ändras av en behörig tekniker. Om du ändrar dem kan det leda till oönskade resultat.


Elm-gränssnitt

Du använder Elm-gränssnittet tillsammans med maskiner med Elm- eller Starrett-gränssnitt. Gränssnittet kommunicerar med ett kort i datorn som tillverkats av API (Automated Precision, Inc). All direktkommunikation med styrenheten sköts via det här kortet. PC-DMIS-filen interfac.dll kommunicerar med API:s DLL-fil (dccsim32.dll), som måste ligga i PC-DMIS-katalogen.

Med installationsprogrammet elmsetup.exe kan du konfigurera de maskinparametrar som används. Den finns i filen elmsetup.zip, som finns att hämta på Wilcox FTP-plats. Den här zip-filen innehåller även övriga data- och resursfiler som installationsprogrammet behöver.

Innan du startar PC-DMIS ska du ändra namn på filen elm.dll till interfac.dll.

Obs! På Starrett-maskiner kan du använda filen API.INI för konfigurationsändamål. Du behöver bara lägga till ett lämpligt filnamn i INI-posten - INI_filnamn.

Dialogrutan CMM-alternativ har två flikar för Elm-gränssnittet.

Fliken Axel

Se Tilldela maskinaxlarna.

Fliken Felsök

Se Generera en felsökningsfil.

OBS! Ytterligare information om det här gränssnittet finns i Machine Interface Installation Manual (MIIM).


BSEmbed-gränssnitt

Embboard-gränssnitt

Du använder Embboard-gränssnittet tillsammans med manuella Brown & Sharpe-maskiner utrustade med ett internt inbäddat styrkort. Detta är ett fullängdskort som finns i din dator med adressen 300h. Du måste kontrollera att den här adressen inte används av något annat kort i systemet (vissa nätverkskort använder den här adressen).

Innan du startar PC-DMIS ska du ändra namn på filen embboard.dll till interfac.dll.

Dialogrutan CMM-alternativ har tre flikar för Embboard-gränssnittet.

Fliken Axel

Se Tilldela maskinaxlarna.

Fliken Upplösning

Se Ställa in axlars skalfaktor. Standardvärden är X=1.0, Y=1.0, Z=1.0.

Fliken Felsök

Se Generera en felsökningsfil.

Obs! Ytterligare information om det här gränssnittet finns i Machine Interface Installation Manual (MIIM).


Faro-gränssnitt

Faro-gränssnittet används tillsammans med en Faro-armmaskin. Programvara till Faro-armen finns att hämta på Wilcox FTP-server (ftp://ftp.wilcoxassoc.com/3rdParty/Faro/).

Innan du startar PC-DMIS ska du ändra namn på filen faro.dll till interfac.dll.

Dialogrutan CMM-alternativ har fem flikar för Faro-gränssnittet.

Fliken Port

Se Ställa in kommunikationsprotokoll. Standardvärdet är Port 1, 38400 baud, ingen paritet, 7 databitar samt 1 stoppbit.

Fliken Axel

Se Tilldela maskinaxlarna.

Fliken Felsök

Se Generera en felsökningsfil.

Fliken Maskinen som mus

Se Inställningar, Maskinen som mus.

Fliken Verktyg

På den här fliken finns knapparna Diagnostik och Hårdvarukonfiguration. När du klickar på de här knapparna startas program från Faro för att testa och konfigurera Faro-armen.

Obs! Ytterligare information om det här gränssnittet finns i Machine Interface Installation Manual (MIIM).

Elementet Pulled Hit i Faro

Med CMM-maskiner av armtyp, blir mätpunktens vektor den riktning som armens sista ledpunkt har. Pulled Hit har företräde framför den sista ledens vektor. När du tar mätpunkter händer det ibland att den här sista leden inte kommer att eller inte kan noggrant återge den vektor som du vill skicka till PC-DMIS. Så här tar du den här mätpunkten med den nödvändiga vektorn:

  1. Tryck på mätpunktsknappen som vanligt, men håll ner knappen.

  2. Flytta mätspetsen i samma riktning som den vektor som du vill skicka till PC-DMIS minst Vektoravstånd bort från den punkt där mätpunkten togs.

  3. Släpp knappen.


Inställningar, Maskinen som mus

Dialogrutan CMM-alternativ - fliken Maskinen som mus

På fliken Maskinen som mus kan du konfigurera funktionaliteten hos Faro-armens rörelser och knappklickningar för att styra pekarens rörelser och musknappsklickningar.

Tillbaka-knappen - Du kan ställa in Tillbaka-knappen på Faro-armen till: Centrerar muspekaren (flyttar muspekaren till mitten av skärmen), Som höger musknapp eller Som mittenknapp.

'Maskinen som mus'-status - Välj om Maskinen som mus-läget ska vara På eller Av.

Hastighet - Styr hur snabbt musen ska röra sig i förhållande till Faro-armens rörelser.

Aktivera och inaktivera Mus-läge

  • Tryck ner knapparna Framåt och Tillbaka samtidigt för att aktivera Mus-läget.

  • För att inaktivera Mus-läget maximerar du PC-DMIS-fönstret (observera att fönstret MÅSTE vara maximerat), flyttar muspekaren till namnlistens övre kant (som också ligger allra överst i fönstret, eftersom fönstret har maximerats) och klickar sedan på den knapp som simulerar vänster musknapp.


Federal-gränssnitt

Federal-gränssnittet används tillsammans med Federal/Renault-maskiner. Det här gränssnittet kräver bara en RS-232-port.

Innan du startar PC-DMIS ska du ändra namn på filen federal.dll till interfac.dll.

Dialogrutan CMM-alternativ har tre flikar för Federal-gränssnittet.

Fliken Port

Se Ställa in kommunikationsprotokoll. Standardvärdet är Port 1, 9600 baud, jämn paritet, 8 databitar samt 1 stoppbit.

Fliken Axel

Se Tilldela maskinaxlarna.

Fliken Felsök

Se Generera en felsökningsfil.

Obs! Ytterligare information om det här gränssnittet finns i Machine Interface Installation Manual (MIIM).


GOM-gränssnitt

Du använder GOM-gränssnittet tillsammans med CTR-, GOM- och Krypton-maskiner. Gränssnittet fungerar via en seriell port. Du kan använda en generisk tolk för att anpassa gränssnittet så att det fungerar tillsammans med andra manuella maskiner där du känner till formatet på de data som hämtas. På det här sättet kan du använda Traconsa-, Layout- och manuella Mitutoyo-maskiner med extra registervärden (se MIIM).

Innan du startar PC-DMIS ska du ändra namn på filen GOM.dll till interfac.dll.

Dialogrutan CMM-alternativ har tre flikar för GOM-gränssnittet.

Fliken Styrenhet

Se Ställa in kommunikationsprotokoll. Standardvärdet är Port 1, 9600 baud, ingen paritet, 8 databitar samt 1 stoppbit.

Fliken Axel

Se Tilldela maskinaxlarna.

Fliken Felsök

Se Generera en felsökningsfil.

Obs! Ytterligare information om det här gränssnittet finns i Machine Interface Installation Manual (MIIM).


Johansson-gränssnitt

Johansson-gränssnittet används tillsammans med Johansson-maskiner. Det här gränssnittet kräver Proto-programvaran, som ingår i JoWin-installationen. När du startar PC-DMIS startas även Proto-programmet och Proto avslutas när du avslutar PC-DMIS. Kommunikationsinställningen för kommunikation med styrenheten upptäcks automatiskt i Proto.

Innan du startar PC-DMIS ska du ändra namn på filen johansson.dll till interfac.dll.

Dialogrutan CMM-alternativ har två flikar för Johansson-gränssnittet.

Fliken Axel

Se Tilldela maskinaxlarna.

Fliken Felsök

Se Generera en felsökningsfil.

Obs! Ytterligare information om det här gränssnittet finns i Machine Interface Installation Manual (MIIM).


Leitz-gränssnitt

Leitz-gränssnittet är avsett för användning med någon av de styrenheter som använder Leitz-protokollet. Bland dessa finns styrenheter från Brown & Sharpe (t.ex. Sharpe 32Z i Leitz-läge) liksom äkta Leitz-maskiner och styrenheter som använder Brown & Sharpe Common Firmware. Du behöver inte någon maskinparameterfil från det urpsrungliga systemet för att köra det här gränssnittet.

Vissa nya styrenheter stöder kommunikation via TCP/IP som ett alternativ till den seriella porten. Det här gränssnittet stöder båda metoder. Normalt undersöker och/eller ändrar du styrenhetens kommunikationskonfiguration via maskinens serviceverktyg. Du bör sedan konfigurera PC-DMIS att matcha styrenhetens konfiguration.

Innan du startar PC-DMIS ska du ändra namn på filen leitz.dll till interfac.dll.

Dialogrutan CMM-alternativ har åtta flikar för Leitz-gränssnittet.

Fliken Konfigurera Leitz-protokoll

Se Konfigurera Leitz-protokoll.

Fliken Styrenhet

Se Ställa in kommunikationsprotokoll. Standardvärdet är Port 1, 9600 baud, ingen paritet, 8 databitar samt 1 stoppbit.

Fliken Vridbart mäthuvud

Se Vinkelkonfiguration. Standardvärden är: Upplösning A = 3600, Upplösning B = 3600, Offset A = 0.0, Offset B = 0.0 samt Maxhastighet = 100.

Fliken Rundbord

Se Inställningar, rundbord. Standardvärden är: Acceleration = 0.0, Hastighet = 20, Upplösning = Saknas, Offset = 0.0, Mindelta = 0.5, Bord = Omarkerat samt Dubbelbord = Saknas.

Fliken Oit

Se OIT-kommunikation. Standardvärdet är Port 0, 9600 baud, ingen paritet, 8 databitar samt 1 stoppbit.

Fliken Axel

Se Ställa in axlars skalfaktor.

Fliken Param.

Se Leitz, fliken Param..

Fliken Felsök

Se Generera en felsökningsfil.

Obs! Ytterligare information om det här gränssnittet finns i Machine Interface Installation Manual (MIIM).


Fliken Konfigurera Leitz-protokoll

Dialogrutan CMM-alternativ - fliken Konfigurera Leitz-protokoll

På fliken Dea kan du konfigurera följande inställningar som är specifika för DEA-gränssnittet:

Läs CMM standardvärden vid start - När den här kryssrutan är markerad hämtas CMM-maskinens standardinställningar från CMM-maskinens styrenhet nästa gång du startar PC-DMIS. Nästa gång du kör PC-DMIS kommer de värden som lagras i PC-DMIS inställningar att skrivas över med CMM-maskinens fabriksinställda värden som finns lagrade i styrenheten. Obs! Den här proceduren återställer inte de ursprungliga fabriksinställningarna om du har skrivit över dessa på styrenhetens hårddisk.

Använd TCP/IP-länk - Markera den här kryssrutan om du ansluter till din styrenhet via TCP/IP.

IP-adress - Ange IP-adressen till maskinens styrenhet.

Portnummer - Ange numret på den port som styrenheten är konfigurerad att avlyssna. Normalt är detta port 2001.

Terminal-knappen - När du klickar på den här knappen öppnar du en terminalsession med styrenheten baserat på TCP/IP-inställningarna.

Koppla ur drivning - Du bör markera den här kryssrutan om du har CNC-maskiner med drivning som kan kopplas ur och som kommer att användas manuellt.

Kompenseringstyp - Välj bland följande volymkompenseringsmetoder: INGEN, DEA standard, DEA DLL (wcompens32), ASI, eller Brown & Sharpe.

Kompenseringsläge - Välj bland följande kompenseringslägen: Standard-CMM, Dubbeldrift, Horisontell arm (arm 1), eller Horisontell arm (arm 2).

Använd 'DEA Structural Thermal Compensation OCX' - Markera den här kryssrutan om du vill använda DEA Structural Thermal Compensation OCX.

Sökväg OCX - Den här rutan anger sökvägen till OCX-filen för DEA Structural Thermal Compensation.

Maskintyp - Ange vilken typ av maskin som används: Arm eller Robot.

Varning! Dessa värden bör endast ändras av en behörig tekniker. Om du ändrar dem kan det leda till oönskade resultat.


Leitz, fliken Param.

Dialogrutan CMM-alternativ - fliken Param.

Maxhastigheter - De här värdena styr X-, Y- och Z-axlarnas högsta hastigheter. Normalt hämtas de här värdena från styrenheten.

Mekanisk offset - Med de här värdena kan du bestämma mekanisk offset för maskinens X-, Y- och Z-axlar. I det här gränssnittet utförs volymkompensering normalt i själva styrenheten. Om den av någon anledning har konfigurerats att kräva en mätspetsreferenspunkt som inte är 0,0,0 kan du ange de aktuella offsetvärdena.

Max. scanhastighet - Det här värdet ställer in den högsta tillåtna scanhastigheten. Det här används endast vid analoga scanåtgärdr, som de som använder mäthuvudet SP600 eller ett optiskr WAB-mäthuvud.

Varning! Dessa värden bör endast ändras av en behörig tekniker. Om du ändrar dem kan det leda till oönskade resultat.


LKDriver-gränssnitt

LKDriver-gränssnittet används tillsammans med LK-maskiner med LK3000- eller LK2000-styrenheter. Drivrutinen måste hämtas direkt från LK. Den här drivrutinen måste installeras och konfigureras innan du försöker installera/använda det PC-DMIS-gränssnitt som använder den. Den gemensamma drivrutinens DLL-fil heter någor i stil med LKCMMDRV53.DLL, beroende på vilken version av drivrutinsfilen du har. LK tillhandahåller även en mängd andra DLL-filer som måste finnas med för att drivrutinen ska fungera korrekt Den tidigaste versionen som kan användas med PC-DMIS-gränssnittet är LKCMM21.DLL. Tidigare versioner är inte kompatibla.

Innan du startar PC-DMIS ska du ändra namn på filen lkdriver.dll till interfac.dll.

Dialogrutan CMM-alternativ har tre flikar för LKDriver-gränssnittet.

Fliken LK-drivrutin

Se Fliken LK-drivrutin.

Fliken Axel

Se Tilldela maskinaxlarna.

Fliken Felsök

Se Generera en felsökningsfil.

Obs! Ytterligare information om det här gränssnittet finns i Machine Interface Installation Manual (MIIM).


Fliken LK-drivrutin

Dialogrutan CMM-alternativ - fliken LK-drivrutin

På fliken LK-drivrutin kan du ändra parametrar som är specifika för LK-drivrutinen.

Avläsningsintervall (ms) - Det här bestämmer hur ofta lägesavläsningar ska uppdateras i avläsningsläge. Värdet är ett antal millisekunder, uttryckt som ett heltal. Standardvärdet är 500 millisekunder (d.v.s. en halv sekund).

DLL för LK-drivrutin - Det här fältet visar namnet på den drivrutins-DLL-fil som kommer att användas i PC-DMIS. Den här filen kan ändras med tiden, då LK släpper nyare versioner av drivrutinen.

Mekanisk offset X,Y,Z - Med de här värdena kan du bestämma mekanisk offset för maskinens X-, Y- och Z-axlar. Du kan endast redigera de här värdena om Volymkompenseringsmetod har värdet ASI.

Tol., manuella mätpktr - Det här värdet är avsett att hjälpa dig skilja mellan en verklig manuell mätpunkt och en tryckning på knappen för manuell utskrift. Om ett tryck på knappen för manuell utskrift ofta misstolkas som en manuell mätpunkt kan du öka det här värdet. Om manuella mätpunkter ofta misstolkas som tryckningar på knappen för manuell utskrift (samma sak som att trycka på END-knappen) kan du minska det här värdet. Obs! För att knappen för manuell utskrift ska kunna användas som END-tangent får mätmaskinen inte vara i rörelse när knappen trycks. Om maskinen fortfarande rör sig kommer tryckningen med största sannolikhet att tolkas som en manuell mätpunkt.

Minsta rundbordsrörelse - Det här definierar filtret för rundbordsrörelser. Om skillnaden mellan den nyss begärda bordvinkeln och den aktuella vinkeln inte överstiger det här värdet kommer inte rörelsebegäran att verkställas.

Knapp för manuell utskrift - Med det här alternativet kan du vid behov tilldela en PC-DMIS-funktion till knappen för manuell utskrift på handterminalen. Möjliga alternativ är KLART (END-tangenten), Via-punkt (spara en rörelse) eller Ta bort mätpunkt (ta bort den senaste mätpunkten).

Obs! I det här gränssnittet är gäller funktionstilldelningen endast när man kör i "mätpunktsläge". Om du trycker på knappen när gränssnittet körs i "avläsningsläge" kommer det att tolkas som en ogiltig knapptryckning, oavsett inställning för knappen för manuell utskrift.

Volymkompenseringsmetod - Välj LK (via drivrutin) för att använda volymkompensering från drivrutinen, eller välj ASI för att tilldela dessa kompenseringsvärden i rutorna Mekanisk offset X,Y,Z.

Konfigurering - När du trycker på den här knappen startas programmet för konfiguration av LK-drivrutinen.

Varning! Dessa värden bör endast ändras av en behörig tekniker. Om du ändrar dem kan det leda till oönskade resultat.


LKRS232-gränssnitt

LKRS232-gränssnittet kan användas med åtta olika LK-styrenheter: Cupe Serial, Cupe GPIB, Micron Drive, LK3000, LK2000/2002/2000+, LK4000, ACT samt AIM. LK-3000 är äldre än både LK-2000 och LK-4000. ACT ersätter 2000-serien, medan AIM ersätter 4000-serien.

Innan du startar PC-DMIS ska du ändra namn på filen lkrs232.dll till interfac.dll.

Dialogrutan CMM-alternativ har sju flikar för LKRS232-gränssnittet.

Fliken LK direkt

Se Fliken LK direkt.

Fliken Styrenhet

Se Ställa in kommunikationsprotokoll. Standardvärdet är Port 1, 9600 baud, ingen paritet, 8 databitar samt 1 stoppbit.

Fliken Axel

Se Tilldela maskinaxlarna.

Fliken Upplösning

Se Ställa in axlars skalfaktor. Standardvärden är X=10000.000000, Y=10000.000000, Z=10000.000000.

Fliken Rundbord

Se Inställningar, rundbord. Standardvärden är: Acceleration = 0.0, Hastighet = 0.0, Upplösning = 10000, Offset = 0.000000, Offset 2 = 0.000000, Mindelta = 0.5, Bord = Omarkerad samt Dubbelbord = Omarkerad.

Fliken Felsök

Se Generera en felsökningsfil.

Obs! Ytterligare information om det här gränssnittet finns i Machine Interface Installation Manual (MIIM).


Fliken LK direkt

Dialogrutan CMM-alternativ - fliken LK direkt

På fliken LK direkt kan du ange specifika inställningar för LKRS232-gränssnittet.

LK 2000 - Om styrenheten är av typen LK2000 ska du markera den här kryssrutan.

LK 3000 - Om styrenheten är av typen LK3000 ska du markera den här kryssrutan. Om du markerar kryssrutan LK3000 måste du även markera LK2000.

Micron Drive - Om styrenheten är av typen Micron Drive ska du markera den här kryssrutan. Obs! Micron Drive-styrenheten använder aldrig GPIB-kommunikation.

GPIB - Markera den här kryssrutan om styrenheten kommunicerar via GPIB-protokollet.

PH9 - Markera den här kryssrutan om du använder en PH9.

SETPT - Du kanske bör markera den här kryssrutan om du märker att maskinen inte tar mätpunkter.

Hastighet vid nollning - Det här värdet anger hastigheten som maskinen återgår till nolläget med. Om maskinen körs ut till gränserna innan den når nolläget bör du minska det här värdet, stänga av styrenheten och försöka igen. När det här värdet har angetts korrekt bör maskinen nå gränserna och sedan hitta nolläget för varje axel. Standardvärdet är 1.

Transporthastighet - Det här värdet anger maskinens allmänna transporthastighet. Om du tycker att transporthastigheten är för hög trots att du angett en låg hastighet i PC-DMIS, bör du minska det här värdet. Standardvärdet är 1.00000.

Vänta på 'prehit' - Det här värdet bör lämnas som 0.

Rörelsebuffert - Antalet rörelser som kan skickas till styrenhetsbufferten på samma gång. Vissa maskiner visar fel om man skickar för många rörelser i förväg. Då hjälper det att minska det här värdet. En minskning av värdet reducerar dock systemets prestanda. Om du t.ex. anger värdet 1 kommer du endast att kunna skicka nästa rörelsekommando när maskinen har slutfört föregående rörelse. Detta leder till att maskinen gör uppehåll mellan rörelserna då varje kommando skickas.

Ingen startknapp - Markera den här kryssrutan om styrenheten (eller handterminalen) saknar en huvudstartknapp.

Autom. hastighetsoptimering - Vissa LK-styrenheter stöder automatisk hastighetsoptimering, som är en styrenhetsfunktion som driver varje axels oberoende maxhastighet vid varje rörelse. Om du vet att din styrenhet stöder den här funktionen kan du markera den här kryssrutan.

Varning! Dessa värden bör endast ändras av en behörig tekniker. Om du ändrar dem kan det leda till oönskade resultat.


Manmiti-gränssnitt

Manmiti-gränssnittet används tillsammans med manuella Mitutoyo-maskiner med MAG-1-, MAG-2- eller MAG-3-styrenheter som ansluts till skalorna. Detta är ett GPIB-gränssnitt.

Innan du startar PC-DMIS ska du ändra namn på filen manmiti.dll till interfac.dll.

Dialogrutan CMM-alternativ har två flikar för Manmiti-gränssnittet.

Fliken Axel

Se Tilldela maskinaxlarna.

Fliken Felsök

Se Generera en felsökningsfil.

Obs! Ytterligare information om det här gränssnittet finns i Machine Interface Installation Manual (MIIM).


Manmora-gränssnitt

Manmora-gränssnittet används tillsammans med manuella Mora-maskiner. Den här maskinen har en GEMODEK-räknare av typen MR01 med XYZ-koordinatvisning och med vissa styrnings-/inställnings-/sändningsalternativ. Mer information om konfigurering och testning finns i MIIM.

Innan du startar PC-DMIS ska du ändra namn på filen Manmora.dll till interfac.dll.

Dialogrutan CMM-alternativ har fyra flikar för Manmora-gränssnittet.

Fliken Styrenhet

Se Ställa in kommunikationsprotokoll. Standardvärdet är Port 1, 9600 baud, ingen paritet, 8 databitar samt 2 stoppbit.

Fliken Axel

Se Tilldela maskinaxlarna.

Fliken Upplösning

Se Ställa in axlars skalfaktor. Standardvärden är X=1.0, Y=1.0, Z=1.0.

Fliken Felsök

Se Generera en felsökningsfil.

Obs! Ytterligare information om det här gränssnittet finns i Machine Interface Installation Manual (MIIM).


Metrocom-gränssnitt

Metrocom/Metromec-gränssnitt

Metrocom-gränssnittet används tillsammans med Metrocom-, Metromec- (med Metrocom S V2 och V3), samt äldre Wenzel-maskiner (Wenzel 2000 med Metromec-emulator). För att PC-DMIS ska fungera korrekt måste Metrocom-programvarans ursprungliga startfil (METROCON.DAT) kopieras till PC-DMIS-katalogen.

Äldre Wenzel-maskiner (med till exempel en Metrocom S-styrenhet) behöver endast filen METROCON.DAT för att fungera. Men om du använder någon nyare styrenhet i Wenzel WP-serien, måste du även kopiera följande fyra filer från MetroSoft-programkatalogerna: WPMACH.PMC, WPSW.PMC, WPDAT.PMC och WPGO.PMC

Innan du startar PC-DMIS ska du ändra namn på filen METROcom.dll till interfac.dll.

Dialogrutan CMM-alternativ har fem flikar för Metrocom-gränssnittet.

Fliken Metromec

Se Fliken Metromec.

Fliken Styrenhet

Se Ställa in kommunikationsprotokoll. Standardvärdet är Port 1, 38400 baud, ingen paritet, 7 databitar samt 1 stoppbit.

Fliken PH9

Se PH9-kommunikation. Standardvärdet är Port 1, 38400 baud, ingen paritet, 7 databitar samt 1 stoppbit.

Fliken Axel

Se Tilldela maskinaxlarna.

Fliken Felsök

Se Generera en felsökningsfil.

Obs! Ytterligare information om det här gränssnittet finns i Machine Interface Installation Manual (MIIM).


Fliken Metromec

Dialogrutan CMM-alternativ [image] - fliken Metromec

På fliken Metromec kan du konfigurera följande inställningar för Metromec-gränssnittet.

PH9 - Markera den här kryssrutan om du använder en PH9.

Maxhastighet - I den här rutan kan du ange CMM-maskinens högsta hastighet.

Acceleration - I den här rutan kan du ange CMM-maskinens högsta acceleration.

Mekanisk offset X,Y,Z - Med de här värdena kan du bestämma maskinens mekaniska offsetvärden. Dessa värden bör endast ändras av en behörig tekniker.

Kompenseringsdata - Om du använder DEA-kompensationstyperna ska du ange kompensationsdatafilen (normalt compens.dat) i den här rutan. När du använder den nya DEA-kompenseringen är det tre textfiler som måste finnas i PC-DMIS-katalogen: FZYFILE.TXT, RCXFILE.TXT och RMXFILE.TXT.

Kompenseringstyp - Välj bland följande volymkompenseringsmetoder: INGEN, DEA-standard eller DEA DLL (wcompens32).

Kompenseringsläge - Välj bland följande kompenseringslägen som stöds för kompenseringstypen DEA DLL (wcompens32): Standard-CMM, Horisontell arm (arm 1), eller Horisontell arm (arm 2).

Varning! Dessa värden bör endast ändras av en behörig tekniker. Om du ändrar dem kan det leda till oönskade resultat.


Metrolog-gränssnitt

Metrolog-gränssnittet används tillsammans med Metrologic-styrenheter. I PC-DMIS finns två sätt att driva Metrologic-styrenheten.

  • Det första sättet är genom att använda filen MTDIAL.DLL, som tillhandahålls av Metrologic. Den här DLL-filen kräver ett separat portlås som endast tillhandahålls av Metrologic. I det här läget anropas funktioner i filen MTDIAL.DLL för att driva CMM-maskinen. All volymkompensering sköts också i DLL-filen. Kommunikation med DLL-filen sker genom den tilldelade Comm-porten och direkt med CMM-maskinen.

  • Det andra sättet att driva Metrologic-styrenheten är direkt via Comm-porten genom att helt förbigå filen MTDIAL.DLL. I det här läget behövs inget separat portlås från Metrologic. I PC-DMIS sker kommunikationen till styrenheten direkt via den tilldelade Comm-porten. Volymkompensering sker i tre format: 1) DEA Tutor-formatet, 2) Wcompens32.dll-formatet. 3) BNS comp.dat-formatet. De första två alternativen är de som normalt används på en maskin med en DEA-styrenhet. Alternativ 3 används normalt med en Excel-mätmaskin. Det enda skälet att använda det första läget är för att dra nytta av den Metrologic-volymkompensering som kanske redan finns i en befintlig CMM-maskin.

Innan du startar PC-DMIS ska du ändra namn på filen metrolog.dll till interfac.dll.

Dialogrutan CMM-alternativ har tre flikar för Metrolog-gränssnittet.

Fliken Port

Se Ställa in kommunikationsprotokoll. Standardvärdet är Port 1, 9600 baud, jämn paritet, 8 databitar samt 1 stoppbit.

Fliken Axel

Se Tilldela maskinaxlarna.

Fliken Felsök

Se Generera en felsökningsfil.

Obs! Ytterligare information om det här gränssnittet finns i Machine Interface Installation Manual (MIIM).


Mitutoyo-gränssnitt

Mitutoyo-gränssnittet används tillsammans med Mitutoyo-maskiner. Detta är ett GPIB-gränssnitt och kräver ingen maskinparameterfil från det ursprungliga Mitutoyo-systemet. Mitutoyo anser att dessa maskiner är såpass mekaniskt noggranna att fabrikanten inte byggt in någon programvarukompensering. Dock stöds flera kompenseringsmetoder.

För att ta manuella mätpunkter med sådana maskiner måste du trycka ner "MÄTT"-knappen på handterminalen.

Obs! På maskiner med PH9 eller PH10 ingår användning av en manuell styrenhet i maskinens normala startsekvens för att specifikt positionera huvudet (normalt till 0,0). Detta garanterar att all kommunikation mellan PH9/10:ans styrenhet och huvudet initieras och fungerar korrekt. Detta bör fortfarande göras, även om det från början står 0,0 och du vill att det ska stå på läge 0,0. Om du inte initierar huvudet via handdosan kan det leda till fel när du försöker att utföra en CNC-rotation (det kanske inte roterar alls, eller i vissa fall kan det orsaka fel efter att det verkar ha slutat rotera).

Innan du startar PC-DMIS ska du ändra namn på filen mitutoyo.dll till interfac.dll.

Dialogrutan CMM-alternativ har fyra flikar för Mitutoyo-gränssnittet.

Fliken Gränssnitt

Se Mitutoyo, fliken Gränssnitt.

Fliken Axel

Se Tilldela maskinaxlarna.

Fliken Upplösning

Se Ställa in axlars skalfaktor. Standardvärden är X=10000.0, Y=10000.0, Z=10000.0.

Fliken Felsök

Se Generera en felsökningsfil.

Obs! Ytterligare information om det här gränssnittet finns i Machine Interface Installation Manual (MIIM).


Mitutoyo, fliken Gränssnitt

Dialogrutan CMM-alternativ - fliken Gränssnitt

På fliken Gränssnitt kan du konfigurera följande inställningar för Mitutoyo-gränssnittet.

PH9 - Markera den här kryssrutan om du använder en PH9.

Gammal joystick - Om handterminalen är av en äldre typ måste du markera den här kryssrutan (Om handterminalens funktioner inte fungerar enligt nedan har du en gammal joystick)

BHN 706 - Markera den här kryssrutan om du ansluter till en CMM-maskin av typen BHN 706.

Maxhastighet - I den här rutan anges maskinens högsta hastighet. Om värdet är för högt kan CNC-rörelser emellanåt orsaka "överhastighetsfel" i styrenheten. Standardvärdet är 60.

Tolerans för 'i position' - Det här värdet anger hur nära maskinen måste komma ett kommendobestämt läge innan den ska anses ha nått fram till platsen. Om maskinen verkar göra alltför långa uppehåll mellan rörelser kan du öka det här värdet.

Varning! Dessa värden bör endast ändras av en behörig tekniker. Om du ändrar dem kan det leda till oönskade resultat.


Mora-gränssnitt

Mora-gränssnittet används tillsammans med Mora CNC-maskiner. Det här gränssnittet kräver en enkel RS232-port. Någon maskinparameterfil från det ursprungliga systemet krävs inte.

Innan du startar PC-DMIS ska du ändra namn på filen mora.dll till interfac.dll.

Dialogrutan CMM-alternativ har tre flikar för Mora-gränssnittet.

Fliken Port

Se Ställa in kommunikationsprotokoll. Standardvärdet är Port 1, 9600 baud, ingen paritet, 8 databitar samt 1 stoppbit.

Fliken Axel

Se Tilldela maskinaxlarna.

Fliken Felsök

Se Generera en felsökningsfil.

Obs! Ytterligare information om det här gränssnittet finns i Machine Interface Installation Manual (MIIM).


MZeizz-gränssnitt

MZeiss-gränssnittet används tillsammans med manuella Zeiss-maskiner.

Innan du startar PC-DMIS ska du ändra namn på filen Mzeiss.dll till interfac.dll.

Dialogrutan CMM-alternativ har fyra flikar för MZeiss-gränssnittet.

Fliken Styrenhet

Se Ställa in kommunikationsprotokoll. Standardvärdet är Port 1, 9600 baud, jämn paritet, 8 databitar samt 2 stoppbit.

Fliken Axel

Se Tilldela maskinaxlarna.

Fliken Upplösning

Se Ställa in axlars skalfaktor. Standardvärden är X=1.0, Y=1.0, Z=1.0.

Fliken Felsök

Se Generera en felsökningsfil.

Obs! Ytterligare information om det här gränssnittet finns i Machine Interface Installation Manual (MIIM).


Numerex-gränssnitt

Numerex-gränssnittet används tillsammans med Numerex-maskiner. Det finns två olika typer av Numerex-gränssnitt, en med en DRO-enhet (Digital Readout Unit) och en utan. DRO-versionen är enkel att installera, men om maskinen saknar en DRO-enhet behövs ett Tech80-kort (för att läsa av skalorna), liksom ett specialkit för att ansluta Tech80-kortet till Numerex-styrenheten. Installationsanvisningar för dessa två gränssnitt finns i MIIM.

Du behöver inte någon maskinparameterfil från det ursprungliga systemet för att köra det här gränssnittet.

Innan du startar PC-DMIS ska du ändra namn på filen Numerex.dll till interfac.dll.

Dialogrutan CMM-alternativ har fyra flikar för Numerex-gränssnittet.

Fliken Numerex

Se Mitutoyo, fliken Gränssnitt.

Fliken Axel

Se Tilldela maskinaxlarna.

Fliken Upplösning

Se Ställa in axlars skalfaktor. Standardvärden är X=1.0, Y=1.0, Z=1.0. Den här skalfaktorn används om en DRO-enhet finns.

Fliken Felsök

Se Generera en felsökningsfil.

Obs! Ytterligare information om det här gränssnittet finns i Machine Interface Installation Manual (MIIM).


Fliken Numerex

Dialogrutan CMM-alternativ - fliken Numerex

På fliken Numerex kan du konfigurera följande inställningar för Numerex-gränssnittet.

DRO - Markera den här kryssrutan om ditt system använder en DRO-enhet för att läsa av skalorna.

Port för DRO - Ange COM-porten för DRO-enheten.

PH9 - Markera den här kryssrutan om du använder en PH9.

4800 N 8 1 - Markera den här kryssrutan om din PH9-enhet behöver använda de här kommunikationsinställningarna i stället för standardvärdet 4800 bitar/s, NOLL paritet, 7 bitar, 2 stoppbitar (48007N2). Om det är en keramisk CMM-maskin (en nyare CMM-maskin) måste du normalt markera den här kryssrutan. Om CMM-maskinen är äldre måste du avmarkera den här kryssrutan.

Port för PH9 - Ange COM-porten för PH9-enheten.

Port för CNC-styrenhet - Ange COM-porten för CNC-styrenheten.

Port för tangentbord - Ange COM-porten för tangentbordet.

Anv. Tech80 - Markera den här kryssrutan om ditt system använder ett Tech80-bord för att läsa av skalorna.

IRQ för Tech80 - Det här fältet ställer in avbrottsnivån för Tech80-bordet. Kontrollera att det matchar bygelinställningen och WNS27-registerinställningarna.

X-, Y- och Z-skala för Tech 80 - I de här fälten för XYZ-skalor kan du ange skalfaktorn för varje axel när du använder Tech80. De här har normalt värdet 200.0. Ett enkelt sätt att kontrollera om värdet är korrekt är att mäta avståndet mellan två kända punkter. Om det finns en avvikelse mellan de uppmätta och de sanna värdena kan du arbeta fram den korrigeringsfaktor som du ska använda för att fastställa värdet. Det har är nästan alltid ett runt värde, t.ex. 100, 1000, 500 o.s.v. Du kan utföra en rudimentär form av linjär felkompensering (linjär sträckning) genom att ändra värdet något.

Tolerans för 'i position' - Det här värdet anger hur nära maskinen måste komma ett kommendobestämt läge innan den ska anses ha nått fram till platsen. Om maskinen verkar göra alltför långa uppehåll mellan rörelser kan du öka det här värdet.

Acceleration - I det här fältet anger du mätmaskinens acceleration vid CNC-rörelser. Standardvärdet är 1500. Om mätmaskinen är lite för ryckig vid en rörelses start och slut kan du sänka accelerationsvärdet.

Maxhastighet - Det här alternativet är helt enkelt en multiplikator av maskinhastigheten, med vilken du kan styra maskinens högsta hastighet. Den bör justeras så att 100% hastighet i PC-DMIS matchar maskinens högsta hastighet.

CNC-maskin - Den enda omständigheten när den här kryssrutan INTE ska vara markerad är vid felsökning, när du vill testa DRO utan att köra den som en CNC-maskin. Om det rör sig om en manuell maskin bör du använda det raka Tech80-gränssnittet.

Har hemmaläge - Markera det här alternativet om maskinen har ett hemmaläge. Om du använder kompenseringsdata måste den markeras.


Omnitech-gränssnitt

Omnitech-gränssnittet används tillsammans med Omnitech-maskiner. Det här gränssnittet kommunicerar med styrenheten genom ett standard RS-232-gränssnitt.

Innan du startar PC-DMIS ska du ändra namn på filen omnitech.dll till interfac.dll.

Dialogrutan CMM-alternativ har två flikar för Omnitech-gränssnittet.

Fliken Axel

Se Tilldela maskinaxlarna.

Fliken Felsök

Se Generera en felsökningsfil.

Obs! Ytterligare information om det här gränssnittet finns i Machine Interface Installation Manual (MIIM).


Reflex-gränssnitt

Reflex-gränssnittet används tillsammans med en Reflex-styrenhet. Det här gränssnittet är avsett för användning med en manuell Gage 2000-maskin där Reflex-lådan är i genomgångsläge. Det finns två "smarta kort" som du sätter in i styrenheten. Det övre kortet är minneskortet, där programmen finns. När du vänder på Reflex-styrenheten lägger du märke till följande skärmar.

Innan du startar PC-DMIS ska du ändra namn på filen Reflex.dll till interfac.dll.

Dialogrutan CMM-alternativ har fyra flikar för Reflex-gränssnittet.

Fliken Styrenhet

Se Ställa in kommunikationsprotokoll. Standardvärdet är Port 1, 9600 baud, ingen paritet, 8 databitar samt 1 stoppbit.

Fliken Axel

Se Tilldela maskinaxlarna.

Fliken Felsök

Se Generera en felsökningsfil.

Obs! Ytterligare information om det här gränssnittet finns i Machine Interface Installation Manual (MIIM).


Renishaw-gränssnitt

Renishaw-gränssnittet kommunicerar med den installerade Renishaw-programvaran (V4.0 eller senare). Det finns även ett särskilt gränssnittskort (eller USB-modul) som används för kommunikation med UCC1-styrenheten via en optisk länk. Programvaran och gränssnittskortet måste hämtas från Renishaw.

Innan du startar PC-DMIS ska du ändra namn på filen Renishaw.dll till interfac.dll.

Dialogrutan CMM-alternativ har två flikar för Renishaw-gränssnittet.

Fliken Axel

Se Tilldela maskinaxlarna.

Fliken Felsök

Se Generera en felsökningsfil.

Obs! Ytterligare information om det här gränssnittet finns i Machine Interface Installation Manual (MIIM).


Romer-gränssnitt

Romer-gränssnittet används tillsammans med en Romer-armmaskin. I PC-DMIS v3.7 och senare finns stöd för USB-armar. Om du kör PC-DMIS 3.5 MR2 eller en tidigare version, hämtar du den här filen från Wilcox FTP-plats: ftp://ftp.wilcoxassoc.com/3rdParty/Romer/Romer22.zip. För andra versioner (inklusive Beta) hämtar du den här filen från Wilcox FTP-plats: ftp://ftp.wilcoxassoc.com/3rdParty/Romer/Romer22.zip. Packa upp filen/filerna och kör installationsprogrammet.

Så här anger du miljöparametrar så att PC-DMIS kan använda Romers DLL-filer:

  • Gå till Kontrollpanelen

  • Välj System, klicka på fliken Avancerat och klicka sedan på knappen Miljövariabler.

  • Redigera variabeln Path i listrutan Systemvariabler. Lägg till ett semikolon och ange sedan installationskatalogen för WinRDS. Normalt anger du “;C:\Program\cimcore\winrds” (utan citattecken) i slutet på sökvägssträngen för Path.

Innan du startar PC-DMIS ska du ändra namn på filen romer.dll till interfac.dll.

Dialogrutan CMM-alternativ har fem flikar för Romer-gränssnittet.

Fliken Felsök

Se Generera en felsökningsfil.

Fliken Verktyg

På den här fliken finns knappen Diagnostik. När du klickar på den här knappen startas Romer-programvaran där du kan konfigurera och testa din Romer-arm.

Obs! Ytterligare information om det här gränssnittet finns i Machine Interface Installation Manual (MIIM).


Sharpe-gränssnitt

I Sharpe-gränssnittet ingår Sharpe-, Sharpe 32- och Excel-gränssnitten. För att du ska kunna köra PC-DMIS krävs filen DOWNL.OAD som följde med det ursprungliga programvarupaketet. Om programvarukompensering används krävs även filen COMP.DAT. Mer information om hur du skapar filen DOWNL.OAD finns i MIIM-dokumentationen för Sharpe-gränssnittet.

System som har konfigurerats med dubbla rundbord använder en andra styrenhet som endast styr det andra bordet. I det fallet krävs att filen DOWNL2.OAD har lämplig konfiguration i PC-DMIS för att kunna användas med en styrenhet där endast W-axeln används. För närvarande finns ingen kompensering för endast bordet, varför filen COMP2.DAT inte behövs.

Innan du startar PC-DMIS ska du ändra namn på filen sharpe.dll till interfac.dll.

Dialogrutan CMM-alternativ har sju flikar för Sharpe-gränssnittet.

Fliken Sharpe32

Se Fliken Sharpe32.

Fliken Styrenhet

Se Ställa in kommunikationsprotokoll. Standardvärdet är Port 1, 4800 baud, jämn paritet, 7 databitar samt 1 stoppbit.

Fliken Styrenhet2

Se Ställa in kommunikationsprotokoll. Standardvärdet är Port 0, 4800 baud, jämn paritet, 7 databitar samt 1 stoppbit.

Fliken Oit

Se OIT-kommunikation. Standardvärdet är Port 0, 9600 baud, ingen paritet, 8 databitar samt 1 stoppbit.

Fliken Axel

Se Tilldela maskinaxlarna.

Fliken Upplösning

Se Ställa in axlars skalfaktor. Standardvärden är X=0.0, Y=0.0, Z=0.0.

Fliken Rundbord

Se Inställningar, rundbord. Standardvärden är: Acceleration = 46500.0, Hastighet = 46500.0, Upplösning = 5000.0, Offset = 0.0, Mindelta = 0.5, Bord = Omarkerad samt Dubbelbord = Omarkerad.

Fliken Felsök

Se Generera en felsökningsfil.

Obs! Ytterligare information om det här gränssnittet finns i Machine Interface Installation Manual (MIIM).


Fliken Sharpe32

Dialogrutan CMM-alternativ - fliken Sharpe32

På fliken Sharpe32 kan du konfigurera följande inställningar för Sharpe32-gränssnittet.

Knappar - Skriv ut - Du kan ange om du vill att knappen Skriv ut, tar bort senast tagna mätpunkt, lagrar rörelse, eller ska fungera som Slut/Klar-tangent.

Manuell - Markera den här kryssrutan om du använder en manuell maskin (ingen CNC-kapacitet).

Verifiera PH9 - Vissa styrenheter kan inte positionera PH9 med den begärda vinkeln på ett pålitligt sätt. Om du markerar den här kryssrutan kommer PH9:ans läge att kontrolleras efter den begärda roteringen och PH9-rörelsen upprepas ifall läget inte är korrekt.

Enkelt EStop-medd. - Om du markerar den här kryssrutan kommer EStop-varningsmeddelandet att endast visas en gång, i stället för att visas upprepade gånger, så länge maskinen befinner sig i EStop-läge och du trycker på EStop. Det här gör att användaren kan E-stoppa maskinen och sedan manuellt flytta mäthuvudet (till exempel vid ritsning) samtidigt som denna fortfarande har tillgång till den normala funktionaliteten i PC-DMIS-gränssnittet.

Cirkulära rörelser - Markera den här kryssrutan om din styrenhet stöder cirkulära rörelser.

Polla kommunikationsporten - När du markerar den här kryssrutan pollas styrenhetens seriella port i PC-DMIS med jämna mellanrum för att kontrollera kommunikationen. Det här är ett bra alternativ om du misstänker att det finns problem med din dators RS232-port.

Stäng av auto-avbryt - Vissa feltyper (till exempel vissa typer av PH9-fel) kan omedelbart återställas, men återkommer hela tiden. Detta leder till en situation där felmeddelandefönstret hela tiden dyker upp och försvinner för snabbt för att kunna läsas. Om du markerar den här kryssrutan hindras denna felmeddelanderuta från att "auto-avbrytas", så att användaren får tid att läsa själva felmeddelandet. Observera att vissa dialogrutor auto-avbryts trots denna inställning när maskinen återgår till hemmaläget.


Sheffield-gränssnitt

Sheffield-gränssnittet används tillsammans med Sheffield-maskiner. Du behöver inte någon maskinparameterfil från det urpsrungliga systemet för att köra det här gränssnittet. På CMM-maskiner från Sheffield sker ingen kontroll av huruvida CMM-maskinen styrs manuellt eller med CNC. Knapparna som styr detta finns på handterminalen. Om CMM-maskinen har ett rundbord krävs ett ett separat Tech80-kort för rundbordets kodare.

Innan du startar PC-DMIS ska du ändra namn på filen sheffield.dll till interfac.dll.

Dialogrutan CMM-alternativ har fyra flikar för Sheffield-gränssnittet.

Fliken Gränssnitt

Se Sheffield, fliken Gränssnitt.

Fliken Axel

Se Tilldela maskinaxlarna.

Fliken Upplösning

Se Ställa in axlars skalfaktor. Standardvärden är X=1000, Y=1000, Z=1000.

Fliken Felsök

Se Generera en felsökningsfil.

Obs! Ytterligare information om det här gränssnittet finns i Machine Interface Installation Manual (MIIM).


Sheffield, fliken Gränssnitt

Dialogrutan CMM-alternativ - fliken Gränssnitt

På fliken Gränssnitt kan du konfigurera följande inställningar för Sheffield-gränssnittet.

RS232 - Markera den här kryssrutan om du tänker använda RS232 i stället för GPIB. Alla nyare Sheffield-styrenheter, SMP3xx och SMP400 använder seriell kommunikation.

LPT2 - Markera den här kryssrutan om ditt system använder MSI-kortet för att läsa av skalorna.

Tech80 - Markera den här kryssrutan om ditt system använder Tech80-kortet för att läsa av skalorna.

Manuell maskin - Markera den här kryssrutan om maskinen är manuell. Obs! Markera den här kryssrutan endast för testningsändamål. Om den här maskinen är avsedd att vara manuell, bör Tech80-gränssnittet installeras.

RS50 - Markera den här kryssrutan om systemet använder RS50.

Port för Maskin - I det här fältet ställer du in RS232-kommporten för styrenheten.

IRQ för Tech80 - I det här fältet ställer du in avbrottsvärdet på XYZ tech80-kortet. Om du ändrar det måste du se till att bygeln på tech80-kortet har samma inställning. Standardvärdet är 5. Obs! Detta gäller inte för rundbordets Tech80-kort. Det kräver inget avbrott.

Mätpkt-fördröjn. - Det här är fördröjningen innan en mätpunkt läses av från MSI-kortet. Standardvärdet är 0.3. Om det här värdet är för litet kommer kortet att läsas av för snabbt, vilket kan ge felaktiga avläsningsvärden. Om du har problem med noggranheten kan du försöka med att öka det här värdet stegvis. Obs! Om du använder alternativet MP-mätpunkter har det ingen inverkan om du ändrar det här värdet.

Återst.fördröjn. - Vissa MP-enheter kan hänga sig när kommandon skickas för tätt inpå varandra. Du kan öka det här värdet om du misstänker att så är fallet. Om du ökar det här värdet sänks dock systemets prestanda. Obs! När du kör tillsammans med SMP400 måste det här värdet vara 1.0.

PH9 - Markera den här kryssrutan om du använder en PH9.

Handterminal (PH9D) för PH9 - Om du använder en handburen PH9-styrenhet av 'pendangtyp' markerar du den här kryssrutan.

Baud för PH9 - Det här värdet anger PH9:ans bithastighet. Giltiga värden är 300, 1200, 4800 eller 9600. Som standard används serieprotokollet inga stoppbitar, 8 databitar och 1 paritetsbit (N81).

Port för PH9 - Det här värdet ställer in RS232-kommporten för PH9.

MP-mätpunkter - Om du markerar den här kryssrutan kommer PC-DMIS att hämta sina mätpunktsdata från Sheffield MP-enheten, i stället för tech80-kortet. Fördelen med detta är att MP-enheten ger kompenserade data, så att du inte behöver skapa några ASI-kompenseringsdata. Nackdelen är att det här alternativet inaktiverar funktionaliteten hos handterminalens makronycklar (Slut, Ta bort mätpunkt, Spara via-punkt o.s.v.) när du kör i mätpunktsläget (se växlingsalternativet för handterminalen nedan). Obs! Du behöver inte markera den här kryssrutan om du använder MSI-kortet, eftersom det här kortet redan ger kompenserade data. Dessutom, om du använder ett Tech80-kort, bör du kontrollera att mäthuvudkabeln INTE är ansluten till mäthuvudsignalen i MP-enheten.

MP-vektorer - Om den här kryssrutan inte är markerad kommer PC-DMIS att spåra mätpunkternas vektorer genom att läsa av mäthuvudets läge innan mätpunkten tas. Om du markerar den här kryssrutan kommer PC-DMIS att hämta vektorerna direkt från MP-enheten. Nackdelen är att det här alternativet inaktiverar funktionaliteten hos handterminalens makronycklar (Slut, Ta bort mätpunkt, Spara via-punkt o.s.v.) när du kör i mätpunktsläget (se växlingsalternativet för handterminalen nedan). Obs! Vissa äldre system stöder inte den här funktionen. Om du får ett fel om 'Ogiltig parameter 21' när du startar med det här alternativet påslaget, stöder inte ditt system det här alternativet. Om du använder MP-mätpunkter bör du (om det finns stöd) markera den här kryssrutan.


Tech80-gränssnitt

Tech80-gränssnittet har stöd för manuella Tech80- och Scazon-kortgränssnitt. Du behöver inte någon maskinparameterfil från det urpsrungliga systemet för att köra det här gränssnittet.

Innan du startar PC-DMIS ska du ändra namn på filen TECH80.dll till interfac.dll.

Dialogrutan CMM-alternativ har fyra flikar för Tech80-gränssnittet.

Fliken Anslutning

Se Tech80, fliken Anslutning.

Fliken Axel

Se Tilldela maskinaxlarna.

Fliken Upplösning

Se Ställa in axlars skalfaktor. Standardvärden är X=1000.0, Y=1000.0, Z=1000.0.

Fliken Felsök

Se Generera en felsökningsfil.

Obs! Ytterligare information om det här gränssnittet finns i Machine Interface Installation Manual (MIIM).


Fliken Anslutning för Tech80

Dialogrutan CMM-alternativ - fliken Anslutning

På fliken Anslutning kan du konfigurera följande inställningar för Tech80-gränssnittet.

Avbrott - Med det här värdet anger du avbrottsnivån för Tech80-kortet. Om du ändrar värdet måste du se till att bygeln på kortet har samma nivåinställning.

Frågeintervall - Med det här värdet styr du hastigheten med vilken mäthuvudets läge spåras. Det här värdet anges i millisekunder (t.ex. är 300 lika med 0,3 sekunder). Med standardvärdet 300 efterfrågas mäthuvudets läge cirka tre gånger per sekund.

Mätpkt.intervall - Med det här värdet styr du hur mycket tid som måste passera efter att en mätpunkt tas innan nästa mätpunktstagning ska räknas som giltig. Det här används används för att undvika "dubbla mätpunkter" när mäthuvudet dras tillbaka från detaljen. Värdet anges i millisekunder (t.ex. är 500 lika med 0,5 sekunder).

Nollställ räknare vid start - Markera den här kryssrutan om du vill nollställa räknarna varje gång du startar PC-DMIS.

Nollställ räknare nu - Klicka på den här knappen för att nollställa räknarna.


Theodole-gränssnitt

Theodole-gränssnittet används tillsammans med Theodolite-maskiner.

Innan du startar PC-DMIS ska du ändra namn på filen theodole.dll till interfac.dll.

Dialogrutan CMM-alternativ har fyra flikar för Theodole-gränssnittet.

Fliken Styrenhet

Se Ställa in kommunikationsprotokoll. Standardvärdet är Port 1, 19200 baud, jämn paritet, 7 databitar samt 1 stoppbit.

Fliken Axel

Se Tilldela maskinaxlarna.

Fliken Felsök

Se Generera en felsökningsfil.

Obs! Ytterligare information om det här gränssnittet finns i Machine Interface Installation Manual (MIIM).


Wenzel-gränssnitt

Wenzel-gränssnittet används tillsammans med Wenzel-maskiner utrustade med en Wenzel 2010-styrenhet (med Wenzels eget protokoll). Det här gränssnittet kräver en enkel RS232-com-port. Någon maskinparameterfil från det ursprungliga systemet krävs inte.

Innan du startar PC-DMIS ska du ändra namn på filen wenzel.dll till interfac.dll.

Dialogrutan CMM-alternativ har två flikar för Wenzel-gränssnittet.

Fliken Axel

Se Tilldela maskinaxlarna.

Fliken Felsök

Se Generera en felsökningsfil.

Obs! Ytterligare information om det här gränssnittet finns i Machine Interface Installation Manual (MIIM).


Zeiss-gränssnitt

Zeiss-gränssnittet används tillsammans med IP-baserade maskiner med Zeiss-styrenheter. Det här nya gränssnittet stöder de två protokollen TCP och UDP. På grund av de mindre skillnaderna som vi observerat bland dessa styrenheter, har gränssnittet utformats för att tillåta ändringar i en konfigurationsfil för att rymma dessa skillnader utan att kräva en ny interfac.dll-fil. Dessutom har de flesta av styrenhetens konfigurationsalternativ flyttats till den här konfigurationsfilen och man har förberett för framtida WAI-verktyg som kan kommunicera med maskinen utan att du behöver köra PC-DMIS.

Bland de mäthuvuden som stöds finns Zeiss standardmäthuvud, RDS, DSE och Vast. Gamla handterminaler stöds (både den lilla med numerisk knappsats och den större med tangentsats) och stöd finns för nyare handterminaler (i form av bärbara datorer) med tillägg av ett IP-baserat verktyg som tillåter användning av grundfunktionsknappar.

Innan du startar PC-DMIS ska du ändra namn på filen Zeiss.dll till interfac.dll.

Dialogrutan CMM-alternativ har fyra flikar för Zeiss-gränssnittet.

Fliken PH9

Se Ställa in kommunikationsprotokoll. Standardvärdet är Port 0, 4800 baud, ingen paritet, 8 databitar samt 1 stoppbit.

Fliken Axel

Se Tilldela maskinaxlarna.

Fliken Felsök

Se Generera en felsökningsfil.

Obs! Ytterligare information om det här gränssnittet finns i Machine Interface Installation Manual (MIIM).


ZssGPIB-gränssnitt

ZssGPIB-gränssnittet används tillsammans med Zeiss-maskiner med en RS232 med en GPIB-baserad styrenhet. Det här gränssnittet stöder GPIB Zeiss-styrenheten (en grå, 60 cm stor, fyrkantig låda) PH9 styrs via en RS232-port.

Det finns även stöd för tillverkarens egen RS232-anslutning (Zeiss C99-styrenhet) med det här gränssnittet, medan ZEISS CMM-maskin drivs av filen ZSSRS232.DLL genom programvarupaketet ZEISS UMESS/COMET. Huruvida PC-DMIS kommunicerar med GPIB eller RS232 styrs av alternativet RS232CMM i ZEISS-avsnittet i Inställningar. För den av tillverkaren levererade RS232 ska värdet vara 1. Mer information om hur du ändrar registerposter finns i avsnittet Ändra registerposter.

Innan du startar PC-DMIS ska du ändra namn på filen zssgpib.dll till interfac.dll.

Dialogrutan CMM-alternativ har fyra flikar för ZssGPIB-gränssnittet.

Fliken PH9

Se Ställa in kommunikationsprotokoll. Standardvärdet är Port 0, 4800 baud, ingen paritet, 8 databitar samt 1 stoppbit.

Fliken Axel

Se Tilldela maskinaxlarna.

Fliken Felsök

Se Generera en felsökningsfil.

Obs! Ytterligare information om det här gränssnittet finns i Machine Interface Installation Manual (MIIM).


 Rutorna Sensornummer Rutorna Materialkoefficient Rutorna Aktuell temp. Rutorna Föreg. temp. Rutorna Referenstemp. Rutorna Övre gräns Rutorna Undre gräns Rutorna Nollpunkt Kryssrutan Kalibreringsnormal Visa temperatur i Celsius Kryssrutan Temperaturkompensering aktiverad Listan Kompenseringsmetod Återstående tid Fördröjn. före avläsn. av detalj Knappen Återställ Knappen Läs aktuell temp. Knappen OK Knappen Avbryt Knappen Standard

Kompensera för temperatur

Dialogrutan Inställningar, temperaturkompensering

När du väljer menyalternativet Redigera | Alternativ | Inställningar, temperaturkompensering öppnas dialogrutan Inställningar, temperaturkompensering. I den här dialogrutan kan du kompensera för rummets och detaljens temperatur, vilket ökar inspektionsprocessens noggrannhet.

Information om hur du kompenserar för temperatur vid multiarmskalibrering finns i Använda temperaturkopensering vid flerarmskalibrering i avsnittet Använda flerarmsläge.

Mer:

Använda STP-filer

Tillgängliga indataparametrar

Kommandot TEMPKOMP i Redigeringsfönstret

Stöd i styrenheter


Använda STP-filer

Varje CMM-maskin använder maskinspecifika parametrar för temperatutkompensering på varje axel, till exempel termiska koefficienter och tilldelade sensorer. De här parametrarna, tillsammans med inbyggd kod som anger om filen är en strukturell eller linjör kompenseringsfil, lagras i särskilda STP-filer (namnet kommer från filtillägget, .stp) som din CMM-maskins leverantör skapar.

De här STP-filerna krävs för temperaturkompenseringen

Innan du kan kompensera för temperaturer måste du kontrollera att de här STP-filerna finns i rätt mappar på din hårddisk.

  • För metoden DEA Structural Thermal Compensation ska filen Serv1.stp finnas i katalogen C:\Thermal_OCX.

  • För metoden DEA Linear Thermal Compensation ska filen Serv1.stp finnas i katalogen C:\Program\Thermal_OCX.

Mer:

Linjär och strukturell temperaturkompensering


Linjär och strukturell temperaturkompensering

Linjär kompensering = (Termisk utvidgningskoefficient) X (Lägesförskjutning + Temperaturförändring i varje axel och detaljen). Om det finns flera temperatursensorer på en axel används ett genomsnitt av värdena för att beräkna temperaturförändringen.

Strukturell kompensering tar hänsyn till det faktum att en CMM-maskins olika materialkomponenter kan ha olika temperaturer (en av maskinens axlar kan t.ex. ha flera olika temperaturer, vilket ger upphov till att maskinen på något sätt blir böjd, buktad eller skev). Genom strukturell kompensering tillämpas temperaturkorrigeringar på specifika områden på CMM-maskinen. När du väljer menyvägen Redigera | Alternativ | Temperaturkompensering anropas filen Structural Thermal_OCX och nya tillfälliga volymkompenseringsdata beräknas.


Tillgängliga indataparametrar

Följande ämnen beskriver de indataparametrar som är tillgängliga i dialogrutan Inställningar, temperaturkompensering (Redigera | Alternativ | Temperaturkompensering).

Mer:

Rutorna Sensornummer

Rutorna Materialkoefficient

Rutorna Aktuell temp.

Rutorna Föreg. temp.

Rutorna Referens-temp.

Rutorna Övre gräns

Rutorna Undre gräns

Rutorna Nollpunkt

Visa temperatur i Celsius

Temperaturkompensering aktiverad

Kompe nseringsmetod

Återstående tid

Fördröjn. före avläsn. av detalj

Återställ

Läs aktuell temp.


Rutorna Sensornummer

Rutorna Sensornummer innehåller en lista över ett eller flera sensornummer som ska användas för den aktuella axeln eller detaljen. Dessa värden är mycket viktiga vid avläsning av temperaturer från styrenheten, eftersom de måste motsvara hur sensorerna faktiskt är konfigurerade.

  • Varje sensor är en siffra i intervallet 1 till 32.

  • Posterna i listan kan antingen vara enkla tal eller ett intervall från första till sista.

  • Posterna avgränsas med kommatecken eller lämnas tomma.

  • I indata tillåts upp till 32 värden för detaljen eller varje axel.

I "manuellt" läge är dessa siffror relativt betydelselösa, men du måste tilldela minst ett sensornummer till varje axel och till detaljen.


Rutorna Materialkoefficient

Rutorna Materialkoefficient innehåller tal som står för materialets egenskaper. Talen är den bråkdel som materiallängden förändras per ändrad temperaturenhet.

  • Värdena varierar, beroende på vilken typ av material skalorna på maskinens axlar är gjorda av, liksom vilket material detaljen är tillverkad av.

  • Enheterna är grader Celsius (C) eller Fahrenheit (F), beroende på om du markerat kryssrutan för temperaturmätning med Celsiusskalan.

  • Dessa kan vara meter/grader Celsius, eller tum/grader Fahrenheit, men eftersom längden i både täljaren och nämnaren använder samma enhet spelar det ingen roll.

Exempel: En skala med koefficienten 11.5 mikroner/meter/grad C blir 0.0000115 meter/grad C, eller helt enkelt 0.0000115/grad C.

Kalibreringsnormal

I den här rutan kan du ange materialkoefficienten för mäthuvudets kalibreringsnormal separat från detaljen.


Rutorna Aktuell temp.

Rutorna Aktuell temp. visar de aktuella temperaturerna i den angivna enheten. Du kan antingen skriva in dessa värden eller läsa in dem från styrenheten, beroende på den tillgängliga maskintypen och dina valda alternativ.


Rutorna Föreg. temp.

I rutorna Föreg. temp. visas alltid de föregående avlästa temperaturerna. Om ingen temperatur har tidigare lästs av är de här värdena antingen noll eller tomma.


Rutorna Referens-temp.

Rutorna Referens-temp. innehåller den referenstemperatur mot vilken justeringar för temperaturkompensering ska tillämpas.

  • Den korrigering som ska tillämpas beräknas genom att multiplicera materialkoefficienten med skillnaden mellan den aktuella temperaturen och referenstemperaturen.
    Korrigering = Materialkoefficient x (Aktuell temp. – Referenstemp.)

  • Om den aktuella temperaturen är samma som referenstemperaturen blir nettoeffekten att ingen justering för temperaturkompensering tillämpas.

  • Värdena i de här rutorna är nästan alltid 20 grader Celsius, eller motsvarande tal på Fahrenheit-skalan.


Rutorna Övre gräns

Rutorna Övre gräns innehåller en övre gräns (i den enhet som används) för den aktuella temperaturen över vilken ingen ytterligare temperaturkompensering kommer att tillämpas. Inga varnings- eller felmeddelanden visas.

Exempel: Med referenstemperaturen 20 grader Celsius, en aktuell temperatur på 35 grader och ett övre gränsvärde på 30 grader, baseras beräkningen av den kompensering som faktiskt tillämpas på skillnaden (30 – 20) i stället för (35 – 20), eftersom den aktuella temperaturen ligger ovanför det övre gränsvärdet.


Rutorna Undre gräns

Rutorna Undre gräns fungerar på samma sätt som rutorna för övre gränsvärde, med den skillnaden att de definierar ett undre gränsvärde för aktuella temperaturer under vilket ingen ytterligare temperaturkompensering kommer att tillämpas.


Rutorna Nollpunkt

I rutorna för Nollpunkt kan du bestämma längden på det objekt på vilket temperaturkompensering ska tillämpas.

Längd = Aktuellt lägesvärde – Ursprungligt värde

  • Värdena för X, Y och Z i rutorna Nollpunkt är oftast noll. Vissa maskiner använder dock inte noll som nollpunkten på sina skalor.

  • Värdet för Detalj kommer normalt också vara noll, om ingen särskild typ av fixturbegränsning finns.


Visa temperatur i Celsius

Kryssrutan Visa temperatur i Celsius påverkar både temperaturer och materialkoefficienten.

  • Om du markerar den här kryssrutan visas temperaturer i grader Celsius.

  • Om du avmarkerar den här kryssrutan visas temperaturer i grader Fahrenheit.


Temperaturkompensering aktiverad

Med kryssrutan Temperaturkompensering aktiverad styr du användningen av temperaturkompensering.

  • Om kryssrutan inte är markerad sker ingen temperaturkompensering och kommandot TEMPKOMP (om det finns med i detaljprogrammet) har ingen inverkan.

  • Om kryssrutan är markerad sker kompensering i enlighet med indataparametrarna.


Kompenseringsmetod

Följande kompenseringsmetoder och deras motsvarande processer är tillgängliga i PC-DMIS.

Metod | Process
Manuell | ü Kompensering sker manuellt (styrs av dina inmatningar) utan inblandning från maskinens styrenhet. ü Alla kompenseringsberäkningar sker i PC-DMIS. ü Vid körning av ett detaljprogram visas dialogrutan Inställningar, temperaturkompensering där du kan redigera de aktuella inställningarna innan du fortsätter med resten av programmet.
Läs temperatur från styrenheten | ü När du använder en maskin som stöder det här alternativet kan de aktuella temperaturerna läsas av från styrenheten automatiskt, i stället för att du måste ange dessa data. ü Alla kompenseringsberäkningar sker i PC-DMIS. Styrenheten anger endast de aktuella temperaturerna. ü När detaljprogrammet körs visas inte dialogrutan Inställningar, temperaturkompensering. ü Det sker inga uppehåll för bekräftelse i detaljprogrammet.
Styrenheten kompenserar axlar | ü I styrenheten sker kompensering av maskinaxlarna. ü Indata för axlarna används inte. ü Detaljens indataparametrar gäller, eftersom kompensering för detaljen fortfarande sker i PC-DMIS. ü När detaljprogrammet körs visas inte dialogrutan Inställningar, temperaturkompensering. ü Det sker inga uppehåll för bekräftelse i detaljprogrammet.
Styrenheten kompenserar axlar och detalj | ü I styrenheten sker kompensering av både maskinaxlarna och detaljen. ü Indata för axlarna används inte. ü Inga kompenseringsberäkningar sker i PC-DMIS. ü Detaljens indata för materialkoefficienten, referenstemperatur och ursprung måste anges, eftersom denna information måste skickas till styrenheten. ü När detaljprogrammet körs visas inte dialogrutan Inställningar, temperaturkompensering. ü Det sker inga uppehåll för bekräftelse i detaljprogrammet.


Återstående tid

Funktionen Återstående tid visar hur mycket tid som återstår innan temperaturmätningen ska ske. Den här funktionen visas endast om du har konfigurerat en fördröjningsperiod för avläsningen. Se Fördröjn. före avläsn. av detalj.


Fördröjning före avläsning av detalj

I rutan Fördröjn. före avläsn. av detalj kan du ange hur lång period som du vill vänta vid körning av ett detaljprogram innan sensorerna avläses för att mäta de aktuella temperaturerna. Om du anger värdet noll sker ingen fördröjning.


Återställ

Med knappen Återställ kan du återställa eventuellt ändrade värden till tidigare sparade värden. Om du gör detta på en DEA-maskin och filen serv1.stp är tillgänglig, kommer den filen att läsas.


Läs aktuell temp.

Om du väljer metoden Läs temperatur från styrenheten i listan Kompenseringsmetod, och om din maskin stöder det här alternativet, läses de aktuella temperaturerna in från styrenheten när du trycker på knappen Läs aktuell temp. och de visas i dialogrutan Inställningar, temperaturkompensering.


Kommandot TEMPKOMP i Redigeringsfönstret

När du accepterar indatavärdena i dialogrutan Inställningar, temperaturkompensering genom att klicka på OK infogas ett TEMPKOMP-kommando i detaljprogrammet.

Exempel på ett infogat TEMPKOMP-kommando

Normalt används endast ett TEMPKOMP-kommando i ett detaljprogram. TEMPKOMP-kommandot bör placeras nära början av programmet, före eventuella mätningar. När du kör detaljprogrammet fungerar det i enlighet med de olika indataparametrarna.


Stöd i styrenheter

Alla kompenseringsmetoder stöds inte av alla styrenheter. Följande styrenheter har stöd för de olika kompenseringsmetoderna: Se Kompenseringsmetoder.

Kompenseringsmetoder | Styrenheter med stöd
Manuell | Alla. Styrenheten används inte vid den här metoden.
Läs temperatur från styrenheten | DEA (endast med styrenheter i DEAC-serien), Sharpe32z med Leitz-protokollet
Styrenheten kompenserar axlar | Sharpe32z med Leitz-protokollet
Styrenheten kompenserar axlar och detalj | Sharpe32z med Leitz-protokollet


Ange externa kataloger att söka i

Dialogrutan Sökväg

Du öppnar dialogrutan Sökväg genom att välja menyvägen Redigera | Alternativ | Ange sökvägar. I den här dialogrutan kan du ange de kataloger som används när du ska:

  • Importera CAD-filer

  • Exportera CAD-filer

  • Ladda detaljprogramfiler (.prg)

  • Ladda rapport- (.rtp), etikettmall- (.lbl) eller formfiler (.frm)

  • Ladda mäthuvudsfiler (.prb)

  • Hämta uppriktningar (.aln)

  • Anropa underprogram

Så här anger du en standardkatalog:

  1. Öppna dialogrutan Sökväg.

  2. Markera ett objekt i listan Sökväg för.

  3. Skriv sökvägen till katalogen i rutan (eller klicka på Bläddra för att välja en katalog).

  4. Klicka på OK. Ändringarna sparas och dialogrutan stängs.

Obs! Om du markerar LADDA_MÄTH, HÄMTA eller UNDERPROGRAM i listan Sökväg för blir fler kryssrutor tillgängliga för markering. De här kryssrutorna beskrivs nedan.

Dialogrutan Sökväg innehåller följande alternativ:

Mer:

Sökväg för

Sök igenom aktuell mapp

Sök igenom aktuell mapp först

Sök i angiven mapp

Knappen Bläddra


Sökväg för

I listrutan Sökväg för kan du välja något av följande alternativ:

  • Standard exportmapp

  • Standard importmapp

  • Standard detaljprogrammapp

  • Standard rapportmapp

  • LADDA_MÄTH

  • HÄMTA

  • UNDERPROGRAM

För varje alternativ kan du definiera en katalog att söka i när det valda alternativets kommando hittas i Redigeringsfönstret.


Sök igenom aktuell mapp

Med kryssrutan Sök igenom aktuell mapp kan du aktivera eller inaktivera sökning i den aktuella katalogen.


Sök igenom aktuell mapp först

Om du markerar den här kryssrutan (samt om båda kryssrutorna Sök igenom aktuell mapp och Sök i angiven mapp har markerats) kan du söka i både den aktuella katalogen och i den angivna katalogen. Sökordningen beror på om den här kryssrutan har markerats.

  • Om du har markerat den sker sökningen först i den aktuella katalogen och sedan i den angivna katalogen.

  • Om du inte har markerat den sker sökningen i omvänd ordning, d.v.s. först i den angivna katalogen och sedan den aktuella katalogen.


Sök i angiven mapp

Med kryssrutan Sök i angiven mapp kan du aktivera eller inaktivera sökning i en katalog som du anger. Du anger sökvägen till den här katalogen under kryssrutan.


Knappen Bläddra

Genom att klicka på Bläddra kan du bläddra fram till en önskad katalog. När du klickar på knappen visas systemets katalogstruktur:

Exempel på ett systems katalogstruktur i dialogrutan Ange mapp.

I dialogrutan Ange mapp visas de mappar och mappnivåer som du har åtkomst till. Du markerar helt enkelt den mapp som du vill söka i och klickar på OK. Du återgår då till dialogrutan Sökväg. Notera att sökvägen nu visas i rutan Sök i angiven mapp.

Obs! Katalogstrukturens utseende i dialogrutan Ange mapp varierar från dator till dator. Ovanstående är endast ett exempel på hur det kan se ut.


Ändra inställningar för OpenGL

Dialogrutan Inställningar, OpenGL

Fokus måste ligga på Grafikfönstret för att det här menyalternativet ska vara tillgängligt.

När du väljer menyvägen Redigera | Alternativ | OpenGL visas dialogrutan Inställningar, OpenGL. I den här dialogrutan kan du ändra inställningarna för OpenGL som påverkar hur modellen visas i det solida vyläget. Information om hur du ändrar detaljen till solid vy finns i Konfigurera skärmvisningen i avsnittet Redigera CAD-visningen.

Mer:

Skrivbordsinställningar

Alternativ

Tessellering


Skrivbordsinställningar

Varje skrivbordsinställning för visning kan ha olika OpenGL-alternativ. I området Skrivbordsinställningar visas de aktuella inställningarna.


Alternativ

I området Alternativ kan du styra visningsegenskaperna för modellen i det solida vyläget. Vissa kombinationer av alternativ är kanske inte tillgängliga p.g.a. begränsningar i ditt grafikkort. Beroende på om ditt grafikkort stöder hårdvaruacceleration kan vissa alternativkombinationer dessutom resultera i sämre grafikprestanda. Om de aktuella alternativinställningarna leder till sämre prestanda visas ett varningsmeddelande längst ner i dialogrutan.


Dubbelbuffring

En visningsbuffert är grafikminne som används för att lagra den bild som du ser på skärmen.

När du markerar kryssrutan Dubbelbuffring finns det faktiskt två visningsbuffertar: en främre och en bakre buffert. Den främre bufferten är vad du ser på skärmen. När skärmbilden måste ritas om, till exempel när modellen roteras, raderas bilden från skärmen och bildren ritas om i dess nya läge. Detta raderande och omritande sker i den bakre bufferten. Du kan inte se det faktiska raderandet och ritandet av grafiken. När grafiken har ritats i den bakre bufferten byter den bakre bufferten och den främre bufferten plats med varandra. Detta sker så snabbt att övergången mellan de två buffertarna knappt går att upptäcka.

Om du avmarkerar kryssrutan Dubbelbuffring, eller med andra ord endast använder en visningsbuffert, kan du faktiskt se hur skärmbilden raderas och ritas om (även om det sker mycket snabbt). Raderandet och omritningen gör att skärmen blinkar till.

Sammanfattningsvis ger dubbelbuffring en visuellt mer tilltalande grafisk visning än vad enkelbuffring ger.


Z-buffertdjup

Med listan Z-buffertdjup kan du styra hur mycket minne som ska användas för Z-bufferten. Z-bufferten bestämmer vilka delar av en 3D-modell som ska ligga framför modellens övriga detaljer. Om du inte använder tillräckligt många bitar för Z-bufferten, kan visuella artefakter dyka upp på modellen i det solida vyläget. Dessa artefakter är modellområden som ritas framför andra modelldetaljer, när de i själva verket borde vara dolda. Artefakterna påverkar inte noggrannheten, utan är helt enkelt fel i hur modellen visas.


Färgdjup

Med listan Färgdjup kan du styra hur mycket grafikminne systemet ska använda för varje bildpunkts färginformation. Det här talet är normalt beroende av skrivbordsinställningens färgdjup.


Tessellering

Tesselleringsvärdet är standardvärdet som används för att dela upp ytor i områden för skuggning.

I området Tessellering kan du styra hur bilden ritas genom att ange en tesselleringsmultiplikator i rutan Multiplikator. Multiplikatorn multipliceras med det aktuella CAD-systemets tesselleringsvärde. De här värdena används sedan när den skuggade bilden skapas.


Redigera CAD-visningen

Redigera CAD-visningen: Inledning

Konfigurera skärmvisningen

Ändra layout och vyer

Ändra storlek på vyer

Visa linjaler

Visa linjer ovanpå ytor

Lägga till ett 3D-rutnät

Visa, skapa och ändra lager

Skapa lager

Ta bort lager

Ändra lager

Hantera och placera element på skärmen

Växla mellan kurv- och ytläge

Visa ytor

Markera ytor och kurvor med musen

Uppdatera skärmen

Ändra arbetsläge för bildskärm

Läget Flytta

Krympa detaljbilden i Grafikfönstret

Förstora detaljbilden i Grafikfönstret

Förstora en del av detaljbilden i Grafikfönstret

Flytta detaljbilden i Grafikfönstret

Läget Rotera 2D

Rotera 2D genom att dra

Rotera 2D till ett element (rikta ritningen parallellt med axlarna)

Rotera 2D med en faktor

Läget Rotera 3D

Rotera 3D med dialogrutan Rotera

Rotera 3D genom att dra

Rotera 3D till ett element (rikta ritningen parallellt med axlarna)

Programläget

Läget Textfält

Ändra skärmfärger

Så här ändrar du färg:

Bakgrund

Markering

3D-rutnät

Skalanpassa ritningen

Skalanpassa modellen för att passa vyn

Skalanpassa modellen med en faktor

Rotera ritningen

Ändra rotation och andra rörelsealternativ

Inaktivera 2-sidig belysning och dolda baksidor

Stäng av material, texturer och transparens

Ignorera dessa objekt

Andel av kvarvarande objekt att rita (%)

Hur ska objekten ritas – Fullst.

Hur ska objekten ritas – Kantlinjer

Hur ska objekten ritas – Punkter

Visa och dölja grafik

A rbeta med komplettenheter med detaljer

Spegla CAD

Göra om CAD till 3D med fönstret Skapa lager

Så här gör du om CAD till 3D

Skapa lager – Arkiv-menyn

Skapa lager – Visa-menyn

Visa | Ändra vy

Visa | Passa skala.

Visa | Rotera

Visa | CAD-info

Visa | Skärmfärg

Skapa lager – Lager-menyn

Lager | Nytt

Så här skapar du ett nytt lager:

Lager | Välj

Lager | Avmarkera

Lager | Skapa

Lager | Läge

Så här flyttar du ett lager:

Området Riktning

Knappen Läge

Området Element som definierar nollpunkten

Området Element som definierar offset

Rutan Skala

Ytterligare lagerändringar

Visa CAD-information

Använda skärmbilder av Grafikfönstret

Skicka skärmbilder till Urklipp

Skicka skärmbilder till rapporten

Skicka skärmbilder till en fil

Redigera skärmbilder

Ändra CAD

Elementtyper

Antal valda element

Ändra...

Byt namn

Ändra färg

Prioriterat

Så här sparar du en ny grupp ytor:

Visa namn

Så här döljer eller visar du specifika elementnamn:

Avmarkera

Rutan Namn för CAD-element

Använda belysning och material i CAD-visningen

Fliken Arkiv

Fliken Belysning

Fliken Material

Använda texturer i hela CAD-modellen

Använda texturer på valda CAD-objekt

Ta bort texturer från valda CAD-objekt

Fliken Klippningsplan

Definiera ett klippningsplan

Justera ett klippningsplan

Redigera element

Elementfärg

Så här ändrar du färg på ett element:

Elementvisning

Så här anger du visning av element för en detalj:

Etikettvisning

Så här aktiverar/inaktiverar du visning av element-ID:n:

Utseende, element: Inställningar

Välja element med hjälp av Grafikfönstret

Välja element med hjälp av ID:n

Välja element med hjälp av metateckenmatchning

Metatecknet * (asterisk)

Metatecknet ? (frågetecken)

Välja sista ID/ID:n

Rutmarkera ett eller flera ID:n

Översikt över rutmarkering av ID:n för tunnplåtselement

Välja element online

Redigera ett element-ID

Redigera utvärderingsfärger

Visa och animera körvägar

Animera körvägen

Uppdatera körvägen

Kollisionsdetektering

Så här aktiverar du funktionen för kollisionsdetektering:

Så här konfigurerar du en vy för OpenGL-läge:

Alternativ i dialogrutan Kollisionsdetektering

Ta bort CAD

Elementtyper

Antal valda element

Antal borttagna element

Ta bort CAD

Ångra CAD-borttagning

Avmarkera

Ta bort element

Borttagning med dialogrutan Ta bort element

Ta bort element

Ångra borttagning av element

Töm lista

Borttagning med menyobjektet Ta bort [Element]

Ta bort utvärderingar

Ta bort utvärderingar

Ångra borttagning av utvärderingar

Rensa lista

Transformera en CAD-modell

Arbeta med CAD-koordinatsystem


Redigera CAD-visningen: Inledning

I PC-DMIS kan du redigera CAD-visningen i Grafikfönstret.

Hur du redigerar CAD-visningen beskrivs i huvuddelarna av det här avsnittet. Här följer några av ämnena:

  • Konfigurera skärmvisningen

  • Hantera och placera element på skärmen

  • Växla mellan kurv- och ytläge

  • Visa ytor

  • Markera ytor och kurvor med musen

  • Uppdatera skärmen

  • Ändra arbetsläge för bildskärm

  • Ändra skärmfärger

  • Skalanpassa ritningen

  • Rotera ritningen

  • Ändra rotation och andra rörelsealternativ

  • Visa och dölja grafik

  • Visa och dölja komplettenheter med detaljer

  • Spegla CAD

  • Göra om CAD till 3D med fönstret Skapa lager

  • Visa CAD-information

  • Använda skärmbilder av Grafikfönstret

  • Ändra CAD

  • Använda belysning och material i CAD-visningen

  • Redigera element

  • Välja element med hjälp av Grafikfönstret

  • Redigera utvärderingsfärger

  • Visa och animera körvägar

  • Ta bort CAD

  • Ta bort element

  • Ta bort utvärderingar

  • Transformera en CAD-modell

  • Arbeta med CAD-koordinatsystem


Konfigurera skärmvisningen

Med alternativet Redigera | Grafikfönster | Vyer öppnar du dialogrutan Konfigurera vyer. I den här dialogrutan kan du ange antalet vyer (maximalt fyra stycken) av detaljen som ska visas i Grafikfönstret i PC-DMIS. Du kan också ange riktningen för varje vy och ange om vyn ska visas som en trådmodell eller ytmodell.

Dialogrutan Konfigurera vyer

Tips: För att snabbt ändra hur detaljen visas i den blå vyn kan du klicka på ikonerna i verktygsfältet Grafikvy.

Mer:

Ändra layout och vyer

Visa linjer ovanpå ytor

Visa linjaler

Visa, skapa och ändra lager


Ändra layout och vyer

Så här ändrar du skärmlayout och riktning för vyerna:

  1. Öppna dialogrutan Konfigurera vyer (Redigera | Grafikfönster | Vyer...). Visa menykarta

  2. Välj önskat skärmformat i området Layout. Exempel: För att dela skärmen i två olika vyer av detaljbilden klickar du på knapp två eller tre (i den första raden). Fönstret delas vågrätt eller lodrätt, beroende på vilken knapp du använder.

  3. Ange önskad vyriktning för varje fönster som visas med hjälp av den nedrullningsbara listrutan. Exempel: För att visa detaljbilden från Z+-riktningen väljer du Z+ i den nedrullningsbara listrutan. För att visa samma bild från Y-axeln väljer du Y-. Visningsalternativen påverkar bara hur detaljbilden visas i PC-DMIS. De påverkar inte uppmätta data eller resultat.

  4. Markera kryssrutan Ren färg för att visa detaljen i den valda vyn av detaljen med ren färg. Om du inte markerar kryssrutan visas vyn av detaljen som en kantlinje.

  5. Klicka på Verkställ eller OK.

  6. Om du klickar på OK stängs dialogrutan Konfigurera vyer i PC-DMIS och ändringarna verkställs i Grafikfönstret.

  7. Om du klickar på Verkställ utan rätt vyriktning visas ett meddelande med en uppmaning om att du anger nödvändiga vyer. När du har angett önskad skärmlayout och klickat på Verkställ ritas Grafikfönstret i PC-DMIS om enligt de aktuella inställningarna.

Mer:

Ändra storlek på vyer


Ändra storlek på vyer

I PC-DMIS kan du ange nya storlekar för vyer i Grafikfönstret.

Så här ändrar du storlek på ett vyfönster:

  1. Placera pekaren på linjen som utgör gränsen mellan fönstren. Markörpilen ändras till en dubbelpil.

  2. Håll ned vänster musknapp.

  3. Dra linjen till önskad plats. Vyns storlek ändras.

Den här proceduren fungerar på både vågräta och lodräta linjer. Därefter kan du skalanpassa ritningen så att den passar i det nya fönstret genom att välja alternativet Passa skala. Se Skalanpassa ritningen.

Obs! Du kan ändra vystorleken i vilket läge som helst i PC-DMIS.


Lägga till ett 3D-rutnät

Markera en 3D rutn.-kryssruta om du vill aktivera 3D-rutnätet för den valda vyn. Till skillnad från linjalerna finns nollpunkten för 3D-rutnätet alltid vid den aktuella uppriktningen för detaljen.

Med knappen Inst. 3D-rutnät visar du dialogrutan Inställningar, 3D rutnät. Här kan du ändra avstånd i rutnätet.

Dialogrutan Inställningar, 3D-rutnät

Ändra avståndet mellan linjerna i rutnätet genom att skriva värden i rutorna X-axel, Y-axel och Z-axel, eller markera Auto-kryssrutorna om du vill att användbara avstånd ska räknas ut automatiskt.

Etiketter för rutnätslinjerna finns utanför fönstret. Linjerna följer den aktuella uppriktning som har definierats i redigeringsfönstret. De kan dras in med det värde som visas i rutan Etikettindrag. Det här värdet anger storleken på den pixelbuffert som placeras mellan ytterkanten av Grafikfönstret och etiketterna för 3D-rutnätet.

Klicka på OK . 3D-rutnätet visas i Grafikfönstret.

Exempel på ett 3D-rutnät med värdet 10 för Etikettindrag i X-Y-planet

Tre möjliga rutnät kan ritas:

X-Y

Y-Z

Z-X

I PC-DMIS ritas bara ett rutnät åt gången. Vilket rutnät som ritas beror på vilket axelplan som har roterats närmast skärmen (detta visas på axelindikatorn). Exempel: I följande axelindikator i Grafikfönstret visas X-Y-axelplanet riktat mot användaren, och därför ritas X-Y-axelrutnätet.

Axelindikator som visar X-Y-planet.

Obs! Du kan ändra färgen på 3D-rutnätet i dialogrutan Skärmfärg. Se Ändra skärmfärger


Visa linjer ovanpå ytor

Den här kryssrutan gäller endast för ytmodellvyer. Markera den här kryssrutan om du vill att punkter och linjer som finns under ytor ska synas. Det här alternativet är användbart om du vill se mätta element som finns bakom ytor. Exempel: En mätt linje i en detalj ligger delvis under CAD-ytan. Om du markerar kryssrutan visas hela den mätta linjen.


Visa linjaler

Markera kryssrutan Linjaler för att aktivera linjaler i alla vyer. Nollpunkten för linjaler finns alltid vid CAD-nollpunkten (inte lokala detaljuppriktningar).


Visa, skapa och ändra lager

Ett CAD-lager består av en grupp relaterade CAD-geometrier som identifieras av ett lagernummer. Lagerinformationen i de här filerna importeras till PC-DMIS när filerna "importeras". Därefter kan du ange vilka lager som ska visas i varje vy i Grafikfönstret med hjälp av dialogrutan Konfigurera vyer (Redigera | Grafikfönster | Vyer...).

Eftersom många CAD-filer är stora och komplexa är det en stor fördel att kunna ange vilka delar av CAD-modellen som ska synas när olika uppgifter utförs i PC-DMIS. (Mer information finns i Göra om CAD till 3D.)

Obs! Det här alternativet är bara tillgängligt om lager har tagits med i IGES-ritningsfilen.

Så här visar du ett lager i Grafikfönstret:

Välj den önskade vyn (blå, röd, gul eller grön vy).

Välj ett lämpligt lager i listan.

Klicka på knappen Verkställ.

Grafikfönstret i PC-DMIS ritas om så att det återspeglar den aktuella inställningen. Du måste klicka på OK för att ändringarna ska sparas.

Med knappen Skapa… i dialogrutan Konfigurera vyer kan du öppna dialogrutan Lager.

Dialogrutan Lager

I dialogrutan Lager kan du skapa, ta bort eller ändra lager.

Mer:

Skapa lager

Ta bort lager

Ändra lager


Skapa lager

När du skapar ett lager går du igenom tre steg.

  1. I dialogrutan Lager skriver du det nya lagernumret i rutan nedanför knappen Skapa.

  2. Välj vilka element som ska ingå i det nya lagret genom att markera kryssrutorna för önskade elementtyper.

  3. Klicka på Slutför för att slutföra processen.


Ta bort lager

När du tar bort ett lager går du igenom tre steg:

  1. I dialogrutan Lager väljer du ett befintligt lager i den nedrullningsbara listan.

  2. Klicka på knappen Ta bort.

  3. Klicka på Slutför för att slutföra processen. Alla elementtyper som var tilldelade det borttagna lagret tilldelas nu lager 0.


Ändra lager

När du ändrar ett lager går du igenom fem steg:

  1. I dialogrutan Lager väljer du ett befintligt lager i den nedrullningsbara listan.

  2. Klicka på knappen Ändra.

  3. Klicka på knappen Tilldela för att lägga till CAD för det valda lagret, eller klicka på Ångra för att ta bort CAD för det valda lagret.

  4. Bland Elementtyp-kryssrutorna markerar du de elementtyper som ska läggas till för eller tas bort från det valda lagret.

  5. Klicka på Slutför för att slutföra processen.

För att lägga till och ändra lager måste CAD-data väljas. Du kan begränsa markeringsfunktionen till olika typer av geometri på samma sätt som markeringsfunktionen är begränsad i dialogrutorna Redigera CAD och Ta bort CAD . Du kan också begränsa markeringsfunktionen till CAD-data i en angiven färg genom att markera kryssrutan Färg och markera en geometri i den önskade färgen. Den markerade färgen visas sedan bredvid kryssrutan Färg. För att ändra färgen avmarkerar du kryssrutan Färg, markerar den igen och väljer en geometri med den nya färgen.

Du kan stänga dialogrutan Lagerdefinition genom att klicka på OK eller Avbryt. Om du klickar på Avbryt sparas inga resultat av pågående åtgärder.


Hantera och placera element på skärmen

Grafikfönstret innehåller mer än bara en CAD-ritning av en detalj. Fönstret kan även innehålla etiketter för element-ID och referensdefinition, textrutorna Utvärderingsinfo och Punktinfo samt toleransrektanglar (TLR). Dessa element hjälper dig med organisationen av en rapport, men om för många av dem visas på skärmen kan de dölja delar av detaljen och det gör att detaljritningen ser rörig ut.

Du kan därför enkelt flytta på elementen genom att flytta muspekaren över ett element. Muspekaren ändras till ett hårkors. Klicka på ett element och dra det till en annan position på skärmen. Därefter dras en hänvisningslinje från ID-etiketten eller textrutan till motsvarande element.

Du kan även ställa in PC-DMIS så att samtliga etiketter och textrutor dynamiskt flyttas om runt en detaljritning även om du ändrar zoomnivån för detaljvisningen. Markera kryssrutan Placera etiketter automatiskt på fliken Allmänt i dialogrutan Inställningsval. Se Placera etiketter automatiskt i Göra inställningar.

Om det fortfarande ser rörigt ut kan du även kontrollera hur elementen visas med hjälp av snabbmenyer. Se Snabbmenyn Element och Snabbmenyn Rutmarkering i Använda kortkommandon och snabbmenyer.

Obs! Du kan endast placera element i den aktiva vyn. Om du har en delad skärm som visar flera vyer av en detalj kommer ID-etiketterna att vara desamma i de övriga vyerna.


Växla mellan kurv- och ytläge

Åtgärder | Grafikfönster | Växla mellan kurv- och ytläge

För att du ska kunna använda de här lägena måste du ha köpt tilläggspaketet Curves and Surfaces.

  • Med alternativet Kurva Visa menykarta blir en trådmodell (med kurvor och linjer) valbar när du klickar på CAD-data i Grafikfönstret. Du måste importera en trådmodell för att det här alternativet ska bli tillgängligt.

  • Med alternativet Yta Visa menykarta blir ytorna i en ytmodell valbara när du klickar på CAD-data i Grafikfönstret. Du måste importera en ytmodell för att det här alternativet ska bli tillgängligt.

Mer information om hur du använder de här lägena för scanåtgärder finns i avsnittet Scanna en detalj.


Visa ytor

Med alternativet Åtgärder | Grafikfönster | Visa ytor kan du visa ytor på skärmen. Observera att du först måste markera kryssrutan Ren färg i dialogrutan Konfigurera vyer. Mer information om dialogrutan Konfigurera vyer finns i Konfigurera skärmvisningen.

För att inaktivera visningen av ytor väljer du alternativet igen.


Markera ytor och kurvor med musen

I PC-DMIS 3.6 och senare versioner kan du snabbt och enkelt markera CAD-ytor och kantlinjeelement genom att placera musmarkören över dem. På så sätt kan du få en snabb översikt över de tillgängliga ytorna eller kurvorna i detaljmodellen. Detta kallas ytindikering.

Exempel på ytindikering

För att använda ytindikeringsfunktionen håller du ned SKIFT och rör musen över detaljen.

Om du har valt Yta markeras den aktuella ytan under musen med gult i PC-DMIS.

Om du har valt Kurva markeras den aktuella kurvan eller kantlinjeelementet under musen.

Om du använder ytindikering när en textur-bitmap används på ytor i detaljen bör du ange ett lägre värde än 32 bitar för Z-bufferdjup. Om du anger 32 eller högre kan ojämna markeringslinjer finnas kvar på bilden tills du uppdaterar Grafikfönstret. See "Changing OpenGL Options" in the "Setting Your Preferences" section.


Uppdatera skärmen

Det här alternativet innebär att Grafikfönstret uppdateras varje gång du väljer alternativet Åtgärder | Grafikfönster | Uppdatera skärmen.


Ändra arbetsläge för bildskärm

I PC-DMIS kan du växla mellan nedanstående skärmarbetslägen. Musklickningar har olika effekter i de olika lägena.

Mer:

Läget Flytta

Läget Rotera 2D

Läget Rotera 3D

Programläget

Läget Textfält


Läget Flytta

Med alternativet Åtgärder | Grafikfönster | Arbetsläge, bildskärm | Flytta aktiveras läget Flytta i PC-DMIS. I det här läget kan du zooma in eller zooma ut från detaljen i Grafikfönstret. Följande funktioner är tillgängliga i läget:

  • Krymp detaljens storlek i Grafikfönstret.

  • Förstora detaljen i Grafikfönstret.

  • Välj en del av detaljen i Grafikfönstret.

  • Flytta detaljbilden i Grafikfönstret

Mer:

Krympa detaljbilden i Grafikfönstret

Förstora detaljbilden i Grafikfönstret

Förstora en del av detaljbilden i Grafikfönstret

Flytta detaljbilden i Grafikfönstret


Krympa detaljbilden i Grafikfönstret

Så här krymper du hela bilden av detaljen genom att klicka:

  1. Flytta muspekaren till en punkt ovanför den tänkta vågräta centrumlinjen i den grafiska detaljvisningen.

  2. Klicka med höger musknapp.

Ju längre markören är från centrumlinjen, desto mer krymper bilden.

Om du har en hjulmus med rullar du mushjulet från dig för att krympa ritningen.


Förstora detaljbilden i Grafikfönstret

Så här förstorar du hela bilden av detaljen:

  1. Flytta muspekaren till en punkt nedanför den tänkta vågräta centrumlinjen i den grafiska detaljvisningen.

  2. Klicka med höger musknapp.

Ju längre markören är från centrumlinjen, desto mer växer bilden.

Om du har en hjulmus rullar du mushjulet mot dig för att förstora detaljen.


Förstora en del av detaljbilden i Grafikfönstret

Så här förstorar du en angiven del av den visade detaljen:

  1. Placera muspekaren i ett hörn av markeringsområdet.

  2. Håll ned både vänster och höger musknapp.

  3. Dra pilikonen över den del av Grafikfönstret som du vill välja. En ruta ritas i PC-DMIS.

  4. När rutan ser ut som du vill ha den släpper du musknapparna. Det valda området zoomas in i PC-DMIS.

Obs! När du kommer till en viss punkt går det inte att förstora bilden ytterligare.


Flytta detaljbilden i Grafikfönstret

Så här flyttar du detaljbilden i Grafikfönstret:

  1. Placera muspekaren över detaljbilden.

  2. Håll ned höger musknapp och dra bilden till en ny plats.

  3. Släpp musknappen.


Läget Rotera 2D

Om du roterar en ritning tvådimensionellt ändras bara visningen. Den faktiska detaljens nollpunkt och referenser ändras inte.

Med alternativet Åtgärder | Grafikfönster | Arbetsläge, bildskärm | Rotera 2D roterar du detaljen tvådimensionellt. Du kan rotera detaljen upp till 360 grader.

I följande avsnitt beskrivs olika metoder för att rotera en ritning tvådimensionellt.

Mer:

Rotera 2D genom att dra

Rotera 2D till ett element (rikta ritningen parallellt med axlarna)

Rotera 2D med en faktor


Rotera 2D genom att dra

Bilden ritas om dynamiskt när du rör musen.

Du kan rotera en bild tvådimensionellt genom att dra den runt den tänkta mitten av Grafikfönstret.

Så här roterar du genom att dra:

  1. I verktygsfältet Grafik klickar du på ikonen Rotera 2D.

  2. Placera muspekaren i Grafikfönstret (någon annanstans än i mitten).

  3. Håll ned höger musknapp.

  4. Rör pekaren kring den tänkta mitten av fönstret. Bilden ritas om dynamiskt medan du rör musen.

  5. Släpp musknappen. Den aktuella rotationen behålls.


Rotera 2D till ett element (rikta ritningen parallellt med axlarna)

För att rikta ritningen parallellt med skärmen väljer du ikonen Rotera 2D i verktygsfältet Grafik. Klicka sedan på ett element med höger musknapp. (Håll inte ned knappen.) Ritningen roteras så att det valda elementet blir parallellt med den närmaste skärmaxeln (vertikalt eller horisontellt).


Rotera 2D med en faktor

Så här roterar du med en exakt faktor (liknar proceduren som beskrivs i Skalanpassa modellen med en faktor):

  1. Klicka på ikonen Rotera 2D i verktygsfältet Grafik.

  2. Håll ned SKIFT och högerklicka i Grafikfönstret. En liten dialogruta visas.

  3. Skriv in vinkeln (i grader) i rutan Vinkel för detaljkoordinat X.

  4. Klicka på OK. Rutan stängs och detaljen roteras tvådimensionellt i Grafikfönstret.


Läget Rotera 3D

Med alternativet Åtgärder | Grafikfönster | Arbetsläge, bildskärm | Rotera 3D kan du rotera en detalj tredimensionellt. Du kan rotera detaljen upp till 45 grader per rotation. Om du väljer det här alternativet öppnas dialogrutan Rotera.

Dialogrutan Rotera

Obs! Om kryssrutan Animera är markerad ritas grafikvisningen om dynamiskt i PC-DMIS under tiden som musen flyttas.

Läs mer under ämnet Rotera ritningen.

I ämnena Rotera 3D med dialogrutan Rotera, Rotera 3D genom att dra och Rotera 3D till ett element beskrivs tre olika sätt att rotera en ritning tredimensionellt.

I följande tre avsnitt beskrivs olika metoder för att rotera en ritning tredimensionellt.

Mer:

Rotera 3D med dialogrutan Rotera

Rotera 3D genom att dra

Rotera 3D till ett element (rikta ritningen parallellt med axlarna)


Rotera 3D med dialogrutan Rotera

Så här roterar du ritningen med hjälp av dialogrutan:

  1. Markera den vy som ska ändras (vyerna är numrerade som 1-4 alternativknappar).

  2. Ange hur mycket du vill rotera genom att markera ett värde för alternativet Vinkel (1, 5, 10 eller 45).

  3. Klicka på önskade axelknappar för att rotera ritningen.

  4. Klicka på knappen Stäng. Ändringarna i CAD-bilden visas i Grafikfönstret.

Om du klickar på knappen Återställ visas föregående vy av ritningen i dialogrutan igen.


Rotera 3D genom att dra

Du kan också rotera detaljen genom att dra med musen. Gör så här:

  1. Öppna dialogrutan Rotera 3D.

  2. Klicka med höger musknapp och håll ned knappen.

  3. Dra med musen.

Obs! Ett snabbt sätt att rotera en detalj tredimensionellt är att hålla ned CTRL, högerklicka och dra detaljen. Du kan också göra detta genom att hålla ned hjulknappen på musen och sedan dra detaljen.

Avgöra rotationspunkten

Det finns två sätt att avgöra rotationspunkten, beroende på var musmarkören finns när du klickar med höger musknapp. Markören finns antingen över bakgrunden i Grafikfönstret eller över detaljen.

1.) Om markören är över bakgrunden i Grafikfönstret roteras detaljen kring sin egen nollpunkt.

2.) Om markören är över detaljen roteras detaljen kring den del av detaljen som finns direkt nedanför musmarkören.


Rotera 3D till ett element (rikta ritningen parallellt med axlarna)

För att rikta ritningen parallellt med skärmen väljer du ikonen Rotera 3D i verktygsfältet Grafik. Klicka sedan på ett element med höger musknapp. (Håll inte ned knappen.) Ritningen roteras så att det valda elementet blir parallellt med den närmaste skärmaxeln (vertikalt, horisontellt eller vinkelrätt mot skärmen).


Programläget

Med menyalternativet Åtgärder | Grafikfönster | Arbetsläge, bildskärm | Program kan du lära in och redigera detaljprogram med hjälp av CAD-data från IGES-filer. Den här funktionen är tillgänglig i både offline- och onlineversionerna av PC-DMIS.

Mer information om programmering med grafik finns i avsnittet Arbeta i offlineläge.


Läget Textfält

Med menyalternativet Åtgärder | Grafikfönster | Arbetsläge, bildskärm | Textfält aktiverar du ett läge där du kan ändra element-ID:n och toleransrektanglar samt snabbt skapa och ändra textfält av typen Utvärderingsinfo. och Punktinfo .

Du skapar de här textfälten med hjälp av de snabbmenyer som aktiveras när du högerklickar på eller rutmarkerar element-ID:n eller element. Se Infoga rutor med utvärderingsinformation och Infoga rutor med punktinformation i avsnittet Infoga rapportkommandon.

Obs! Observera att när du rör musen över ett element eller ID-etiketten för ett element i Grafikfönstret markeras elementet i CAD-ritningen i PC-DMIS. Detta gör det enklare att snabbt identifiera vilket element som hör till en viss etikett.

Följande snabbmenyer är tillgängliga i läget Textfält:

  • Om du högerklickar på ett element, dess ID-etikett eller ett av dess textfält visas en snabbmeny för elementet. Se Snabbmenyn Element i avsnittet Använda kortkommandon (snabbtangenter) och snabbmenyer

  • Om du högerklickar på en Dimensionsinfo- eller Punktinfo-ruta visas en snabbmeny för rutan. Se Snabbmenyn Element i avsnittet Använda kortkommandon (snabbtangenter) och snabbmenyer

  • Om du rutmarkerar ett eller flera element visas en snabbmeny. Se Snabbmenyn Rutmarkering i avsnittet Använda kortkommandon (snabbtangenter) och snabbmenyer

Obs! När musen inte är placerad över ett element eller en textruta kan du utföra vanliga åtgärder i läget Flytta, som att zooma och rotera detaljen med hjälp av höger musknapp. Mer information finns i Läget Flytta.

Tips: Ett snabbt sätt att skapa en UTVINFO- eller PUNKTINFO-ruta är att dubbelklicka på ett element eller dess ID-etikett. Det spelar ingen roll vilket läge som används i PC-DMIS. En informationsruta skapas automatiskt utifrån de aktuella dialogruteinställningarna för Ändra utvärderingsinformation eller Redigera punktinformation.

Exempel: Du har skapat en UTVINFO-ruta för ett element. Om du dubbelklickar på efterföljande elementetiketter skapas ytterligare UTVINFO-rutor för dessa element, med samma inställningar som du valde senast i dialogrutan Ändra utvärderingsinformation.


Ändra skärmfärger

Dialogrutan Skärmfärg

Med dialogrutan Skärmfärg (Redigera | Grafikfönster | Utseende, skärm) kan du ange vilka färger som ska visas i Grafikfönstret. Till exempel kan du ange bakgrundsfärg, en gradientfärg, markerings- och ytindikeringsfärger, färg för 3D-rutnätet och kameravyfärg (FOV-färg) för Vision-modulen.

Mer:

Så här ändrar du färg:

Bakgrund

Markering

Ytindikering (muspekaren)

3D-rutnät

Kameravy


Så här ändrar du färg:

Så här ändrar du färger:

  1. Öppna dialogrutan Skärmfärg (Redigera | Grafikfönster | Skärmfärg ). Visa menykarta

  2. Klicka på knappen Redigera för Bakgrund, Gradient, Markering, Ytindikering (muspekaren), 3D rutn. eller Kameravy. Dialogrutan Färg öppnas.

  3. Markera en ny färg för alternativet som du valde.

  4. Klicka på OK. Dialogrutan Färg stängs och dialogrutan Skärmfärg visas igen.

  5. Klicka på Verkställ för att spara ändringarna och fortsätt arbeta i dialogrutan Skärmfärg.

  6. När du är klar klickar du på OK.


Bakgrund

I området Bakgrund kan du ändra bakgrundsfärgen på skärmen. Följ instruktionerna i Så här ändrar du färg.

I området Gradient kan du definiera en sekundär gradientfärg för bakgrunden. Om du anger en annan gradientinställning än Ingen i listan visas knappen Redigera.... Klicka på knappen för att definiera en sekundär gradientfärg. När du ställer in skärmbakgrunden utgår PC-DMIS från platsen där du gör inställningarna (till exempel underkanten) där den sekundära gradientfärgen visas, och därefter ändras färgen gradvis till den primära gradientfärgen mot den andra änden av skärmen.

Exempel: En gradientinställning för Underkant kan se ut så här:

Exempel på gradientfärger

De tillgängliga objekten i listan Gradient är:

  • Ingen – Ingen sekundär gradientfärg. Skärmbakgrunden är primärfärgen.

  • Underkant – Den sekundära gradientfärgen visas i underkanten av skärmen, och färgen ändras sedan gradvis mot primärfärgen i överkanten.

  • Höger – Den sekundära gradientfärgen visas i högerkanten av skärmen, och färgen ändras sedan gradvis mot primärfärgen i vänsterkanten.

  • Nedifrån höger – Den sekundära gradientfärgen visas i den nedre högra kanten av skärmen, och färgen ändras sedan gradvis mot primärfärgen i den övre vänstra kanten.

  • Nedifrån vänster – Den sekundära gradientfärgen visas i den nedre vänstra kanten av skärmen, och färgen ändras sedan gradvis mot primärfärgen i den övre högra kanten.

  • Uppifrån höger – Den sekundära gradientfärgen visas i den övre högra kanten av skärmen, och färgen ändras sedan gradvis mot primärfärgen i den nedre vänstra kanten.

  • Uppifrån vänster – Den sekundära gradientfärgen visas i den övre vänstra kanten av skärmen, och färgen ändras sedan gradvis mot primärfärgen i den nedre högra kanten.


Markering

I området Markering kan du ange vilken färg som ska användas för markering i Grafikfönstret i PC-DMIS. Följ instruktionerna i Så här ändrar du färg.


Ytindikering (muspekaren)

Området Ytindikering (muspekaren)

I området Ytindikering (muspekaren) kan du ange vilken färg som ska användas och hur muspekaren ska se ut när du markerar ytor eller kurvor med musen med hjälp av ytindikering. Följ instruktionerna i Så här ändrar du färg.

I området Pekare anger du om pekaren ska visas som en pil eller ett hårkors när du använder funktionen för ytindikering:

Muspekare – pil

Muspekare – pil

Muspekare – hårkors

Muspekare – hårkors

Mer information finns i Markera ytor och kurvor med musen.


3D-rutnät

I området 3D rutn. kan du ange vilken färg som ska användas för 3D-rutnätet i Grafikfönstret. Följ instruktionerna i Så här ändrar du färg.

Mer information om 3D-rutnät finns i Lägga till ett 3D-rutnät.


Kameravy

I området Kameravy kan du ändra färgen som används för kameravyn (FOV) när du använder Vision-modulen i PC-DMIS. Följ instruktionerna i Så här ändrar du färg. Mer information om FOV och Vision-modulen finns i dokumentationen för PC-DMIS Vision.


Skalanpassa ritningen

Du kan skalanpassa CAD-ritningen så att den passar storleken på en eller flera valda vyer i Grafikfönstret. Du kan också välja att skalanpassa med en faktor.

Mer:

Skalanpassa modellen för att passa vyn

Skalanpassa modellen med en faktor


Skalanpassa modellen för att passa vyn

Med menyalternativet Åtgärder | Grafikfönster | Passa fönster visas detaljbilden så att hela bilden passar precis i Grafikfönstret. Det här alternativet är användbart om bilden blir för stor eller för liten. För att ändra detaljbilden så att alla element och CAD-element blir synliga väljer du menyalternativet Passa fönster.


Skalanpassa modellen med en faktor

Dialogrutan Skalanpassa ritning

Alternativet Skalanpassa ritning fungerar bara när du arbetar i läget Flytta i PC-DMIS. Se Ändra arbetsläge för bildskärm

Alternativet Skalanpassa ritning är inte tillgängligt från menyraden. Med alternativet Skalanpassa ritning kan du ändra detaljbilden i Grafikfönstret. Alternativet innebär inte att CAD-data ändras på något sätt.

Så här använder du alternativet:

  1. Klicka på lägesikonen Flytta i verktygsfältet Grafik.

  2. Håll ned SKIFT och klicka med höger musknapp. Dialogrutan Skalanpassa ritning visas.

  3. Ange de X-, Y- och Z-detaljkoordinater som ska visas i mitten av skärmen.

  4. Skriv in den skalningsfaktor du vill använda.

Exempel: För att göra elementen i ritningen 50 % mindre skriver du 0,5. För att göra elementen i ritningen dubbelt så stora skriver du 2,0. Skalningsfaktorn 1,0 innebär att ritningens storlek inte ändras.

Du kan också skalanpassa den grafiska bilden i Grafikfönstret genom att högerklicka med musen ovanför eller nedanför en tänkt horisontell linje som delar fönstret mitt itu.


Rotera ritningen

Om du väljer menyalternativet Åtgärder | Grafikfönster | Rotera öppnas dialogrutan Rotera.

Dialogrutan Rotera

I den här dialogrutan kan du rotera en detaljritning tredimensionellt. Varje vy av detaljen kan roteras upp till 45 grader per rotation. Du kan också aktivera det här alternativet genom att välja ikonen Rotera 3D i verktygsfältet Grafik.

Tips: För att snabbt rotera en detalj kan du också hålla ned CTRL samtidigt som du högerklickar och drar med musen, eller hålla ned hjulknappen, om det finns en sådan, och dra med musen.Om du dubbelklickar med hjulknappen (kan göras när som helst) sker samma sak som när du klickar på knappen Återställ i dialogrutan Rotera: rotationen fästs vid den närmaste axeln.

Så här roterar du ritningen med hjälp av dialogrutan:

  1. Markera den vy som ska ändras (1-4).

  2. Ange hur mycket du vill rotera genom att markera ett vinkelvärde (1, 5, 10 eller 45).

  3. Klicka på önskad axelknapp för att rotera ritningen i den indikerade riktningen.

Om du klickar på Återställ fästs rotationen av ritningen vid den närmaste axeln i dialogrutan Rotera och i Grafikfönstret.

Om du markerar kryssrutan Animera ritas detaljen om dynamiskt i Grafikfönstret under tiden som den roteras.

Obs! Mer information finns i Läget Rotera 3D.


Ändra rotation och andra rörelsealternativ

Du kan ändra hur CAD-modeller visas vid rotation genom att välja menyobjektet Redigera | Grafikfönster | Inställningar, 2D/3D-rotation. Dialogrutan Inställningar, rotation visas.

Ikonen för rotationsalternativ

Du kan också öppna dialogrutan genom att klicka på ikonen Inställningar, rotation i verktygsfältet Grafik.

Dialogrutan Inställningar, rotation

I den här dialogrutan anger du vilka objekt som ska ritas, och hur de ska ritas, i Grafikfönstret när du roterar en detaljmodell med hjälp av höger musknapp. Med hjälp av alternativen i dialogrutan kan du se till att rotationen visas snabbare.

Viktigt! Om du använder en SpaceBall- eller SpaceMouse-enhet fungerar den här dialogrutan exakt som dialogrutan Panorering, Zoom, Rotation – det är bara namnet på dialogrutan som är annorlunda. SpaceBall- och SpaceMouse-enheter ger utökade funktioner för rotation, zoomning och panorering. Se Konfigurera SpaceBall- och SpaceMouse-enheter i avsnittet Komma igång: Översikt . Om du använder en standardmus som pekare gäller dialogrutan Inställningar, rotation bara för rotation.

Mer:

Inaktivera 2-sidig belysning och dolda baksidor

Stäng av material, texturer och transparens

Ignorera dessa objekt

Andel av kvarvarande objekt att rita (%)

Hur ska objekten ritas – Fullst.

Hur ska objekten ritas – Kantlinjer

Hur ska objekten ritas – Punkter


Inaktivera 2-sidig belysning och dolda baksidor

Om du markerar den här kryssrutan inaktiveras tvåsidig belysning och baksidor döljs under rotationen. Ljuseffekterna innebär att ungefär hälften av CAD-elementen visas. Se jämförelsen nedan.

Före rotationen

Under rotationen – inaktiverad tvåsidig belysning och dolda baksidor

Mer:

Stäng av material, texturer och transparens

Ignorera dessa objekt

Andel av kvarvarande objekt att rita (%)

Hur ska objekten ritas – Fullst.

Hur ska objekten ritas – Kantlinjer

Hur ska objekten ritas – Punkter


Stäng av material, texturer och transparens

Om du markerar den här kryssrutan inaktiveras visning av material, texturer och transparenser under rotationen. Se jämförelsen nedan.

Före rotation m. transparens

Under rotationen – inga transparenser


Ignorera dessa objekt

Om du markerar den här kryssrutan inaktiveras visningen av angivna objekt. Under rotationen ignoreras alla objekt av de typer som du väljer med hjälp av kryssrutorna. Du kan välja att ignorera mätspetsar, maskiner, växlare eller fixturer. I exemplet nedan döljs mätspetsen under rotation.

Före rotationen

Under rotation – mätspetsen ignoreras


Andel av kvarvarande objekt att rita (%)

I det här området visas den angivna procentandelen av CAD-enheter som utgör de kvarstående objekt som visas i Grafikfönstret. Du kan välja mellan 100, 50, 20 och 10 procent. Exempel: Om du väljer 10 % ritas endast 10 % av de CAD-enheter som utgör hela modellen i PC-DMIS. I exemplet nedan visas endast 10 % av objekten under rotationen.

Före rotationen

Under rotation - endast 10 % visas


Hur ska objekten ritas – Fullst.

Om du väljer det här alternativet ritas objekten fullständigt (d.v.s. som de ursprungligen definierades) när de roteras.


Hur ska objekten ritas – Kantlinjer

Om du väljer det här alternativet ritas kantlinjerna för objekten när de roteras. Se jämförelsen nedan.

Före rotationen

Under rotation – kantlinjer ritas


Hur ska objekten ritas – Punkter

Om du väljer det här alternativet ritas objekten som punkter. Alternativet Punkter innebär att en representation av objekten visas med punkter. Se jämförelsen nedan.

Före rotation m. transparens

Under rotation – punkter ritas


Visa och dölja grafik

Du kan ange att olika typer av grafiska objekt ska visas eller döljas i Grafikfönstret genom att välja menyalternativet Redigera | Grafikfönster | Visa/göm grafik. När du väljer detta alternativ visas dialogrutan Visa/göm grafik.

Ikonen Grafiska kategorier

Du kan också öppna dialogrutan genom att klicka på ikonen Grafiska kategorier i verktygsfältet Grafik.

Visa/göm grafik

I den här dialogrutan finns kryssrutor som du kan använda för att ange om följande objekt ska visas i Grafikfönstret:

  • CAD-modeller

  • Mäthuvud

  • Maskin

  • Mätspetsväxlare

  • Fixtur

Att dölja en del av dessa objekt kan ibland göra det ännu lättare att använda Grafikfönstret.

Det finns inga tillgängliga kryssrutor för modeller eller hårdvarudefinitioner som inte har infogats ännu.


Arbeta med komplettenheter med detaljer

I dialogrutan CAD komplettenhet finns en lista med alla importerade och ihopslagna detaljer eller komplettenheter som används i grafikfönstret. Du kan använda den här dialogrutan för att visa eller redigera komplettenheter med detaljer. Om du markerar ikonen Komplettenhet eller väljer Redigera | Grafikfönster | CAD komplettenhet visas dialogrutan CAD komplettenhet.

Dialogrutan CAD komplettenhet

I den här dialogrutan finns följande alternativ:

Detaljsökväg

I den grå rutan högst upp i dialogrutan visas platsen för en vald detalj på datorn.

Trädvy över komplettenheter

Till vänster i dialogrutan visas en trädvy över enhetsstrukturen. I trädvyn visas varje komponentdetalj i komplettenheten.

När du väljer en komponent i komplettenheten markeras den i Grafikfönstret i PC-DMIS. Det motsatta gäller också: när du väljer ett CAD-objekt i Grafikfönstret väljs motsvarande komponent i trädvyn för komplettenheter i PC-DMIS. Detta gör det enkelt att se vilka CAD-objekt som hör till vilken enhetskomponent.

Om du väljer en detalj visas också sökvägsinformation i den grå rutan ovanför listan, så att du kan hitta detaljen på datorn.

I trädvyn finns också en kryssruta intill varje komponent. Du kan välja att visa eller dölja en komponent i Grafikfönstret genom att markera kryssrutan för den. Ändringen återspeglas direkt i grafikfönstret.

Att markera och avmarkera de här kryssrutorna ger samma funktion som om du klickar på knapparna Visa respektive Dölj i området Visning.

Expandera trädstruktur

Med knappen Expandera trädstruktur kan du expandera en komplettenhet så att en lista över alla underordnade detaljer som enheten består av visas.

Området Visning

I området Visning finns knappar som du kan använda för att dölja och visa komponentgrupper i komplettenheter. Klicka på Dölj för att dölja den markerade komponenten.

  • Göm syskon – Döljer alla komponenter utom den markerade komponenten på den aktuella nivån i trädet.

  • Visa – Visar den markerade komponenten.

  • Dölj – Döljer den markerade komponenten.

  • Visa syskon – Visar alla komponenter utom den markerade komponenten på den aktuella nivån i trädet.

  • Visa allt – Visar alla komponenter i trädet.

Området Ändra

I området Ändra finns knappar som du kan använda för att göra enkla ändringar i komplettenheten.

  • Ta bort – Tar bort den valda komponenten från komplettenheten och tar bort den från Grafikfönstret.

  • Transformera – Visar dialogrutan CAD-transformering. I den här dialogrutan kan du transformera en enskild komponent i komplettenheten. Mer information finns i Transformera en CAD-modell.

  • Koordinatsystem – Visar dialogrutan CAD-koordinatsystem. I den här dialogrutan kan du skapa och hantera olika koordinatsystem. Mer information finns i Arbeta med CAD-koordinatsystem.

Det går inte att redigera komponenten på rotnivån (vanligtvis det detaljnamn som används i detaljprogrammet) eller DCI-komponenter. Om du väljer de här komponenttyperna inaktiveras knapparna i området Ändra


Spegla CAD

Om du väljer menyalternativet Åtgärder | Grafikfönster | Spegla kan du spegla CAD-delen av en detalj. Detta är användbart om du mäter bilindustridetaljer som har identiska vänster- och högerdetaljer. Om CAD-information är tillgänglig för den högra sidan av en detalj kan du spegla lämplig axel så att du får en CAD-vy av den vänstra sidan av detaljen.

Med det här menyalternativet visar du dialogrutan Spegla CAD.

Dialogrutan Spegla CAD

Markera den axel som du vill spegla. Om du vill behålla ursprungliga CAD-data, så att du har data för två symmetriska halvor efter speglingen, markerar du kryssrutan Behåll originalet.

När du har klickat på OK speglas CAD-ritningen längs den angivna axeln, och bilden visas i Grafikfönstret.

Alternativet Spegla innebär inte att ett nytt detaljprogram skapas i den speglade bilden. Om du vill spegla detaljprogrammet i stället läser du Spegla i avsnittet Använda grundläggande filalternativ och följer instruktionerna.


Göra om CAD till 3D med fönstret Skapa lager

Med menyalternativet Åtgärder | Grafikfönster | CAD-bearbetning (eller knappen Skapa 3D i dialogrutan IGES-fil) kan du arbeta tredimensionellt med en tvådimensionell CAD-ritning. This option can also be accessed during the import phase of loading a CAD drawing.

När du har valt menyalternativet CAD-bearbetning visas fönstret Skapa lager i PC-DMIS. Till att börja med visas "Skapa lager-GAMMAL FIL" i namnlisten.

Fönstret Skapa lager

Obs! Alla ändringar som görs i ritningen är tillfälliga. När huvudfönstret för PC-DMIS för Windows aktiveras igen slutar ändringarna att gälla.

I fönstret Skapa lager-GAMMAL FIL kan du skapa nya lager, eller vyer av de olika geometriska element som CAD-ritningen består av. Alla ändringar som görs i bilden är tillfälliga tills du väljer Arkiv | Spara och avsluta.

Det finns tre menyer som är kopplade till det här fönstret, och som används för att skapa de olika lagren:

  • Arkiv. Här kan du spara ändringar, ångra ändringar och växla mellan fönstren GAMMAL FIL och NY FIL. I Skapa lager – Arkiv-menyn finns en beskrivning av alternativen på Arkiv-menyn.

  • Visa. Med alternativen på den här menyn kan du ändra visningen av de olika lagren. I Skapa lager – Visa-menyn finns en beskrivning av alternativen på Visa-menyn.

  • Lager. Med den här menyn kan du skapa, välja och placera lager. I Skapa lager – Lager-menyn finns en beskrivning av alternativen på Lager-menyn.

Mer:

Så här gör du om CAD till 3D

Skapa lager – Arkiv-menyn

Skapa lager – Visa-menyn

Skapa lager – Lager-menyn


Så här gör du om CAD till 3D

När du använder den här programfunktionen kan det vara bra att experimentera lite för att bekanta dig med riktningsalternativen som beskrivs nedan.

  1. Skapa ett detaljprogram (se Skapa nya detaljprogram i avsnittet Använda grundläggande filalternativ).

  2. Importera CAD-modellen till detaljprogrammet (se Importera CAD-data i avsnittet Använda avancerade filalternativ).

  3. Granska koordinatsystemet för modellen.

  4. Skapa en uppriktning (se avsnittet Skapa och använda uppriktningar).

  5. Välj menyalternativet Åtgärder | Grafikfönster | CAD-bearbetning. Fönstret Skapa lager visas med texten "GAMMAL FIL" i namnlisten. Importerade CAD-data visas som en trådmodell i fönstret. Visa menykarta

  6. Håll ned vänster musknapp och rita en ruta kring hela modellen. CAD-modellen markeras.

  7. Välj Lager | Skapa. Modellen uppdateras.

  8. Välj Lager | Läge. Dialogrutan Placera lager visas med siffran 1 i namnlisten. Här visas hur du placerar modellen för den första nivån.

  9. Markera en vy som du vill rikta om modellen från, i området Riktning. Resten av alternativen i dialogrutan blir tillgängliga.

  10. Markera andra alternativ beroende på vad du vill göra:

  • För att rotera modellen till en riktning som du väljer klickar du på Läge.

  • Om du vill förskjuta modellens riktning med ett angivet värde i horisontell eller vertikal riktning skriver du förskjutningsavståndet (offset) i rutan Offset (horisontellt)eller Offset (vertikalt).

  • För att flytta riktningen till ett specifikt element klickar du på alternativet Element 1 och därefter på det önskade CAD-elementet i fönstret Skapa lager. Riktningen flyttas till det angivna elementet. Om du vill använda ett andra element gör du samma sak med alternativet Element 2.

  • Om du vill förskjuta riktningen från ett definierande element väljer du alternativet Element i området Element som definierar offset och skriver ett förskjutningsavstånd (offset) i rutan Offset.

  11. När du är klar med ändringarna klickar du på Verkställ och sedan på OK. Dialogrutan Placera lager stängs och fönstret Skapa lager uppdateras med dina ändringar.

  12. Granska ändringarna med hjälp av alternativen på Visa-menyn. Använd Visa | Ändra för att öppna dialogrutan Konfigurera vyer där du kan ange vyn för fönstret Skapa lager.

  13. Välj Arkiv | Spara och avsluta om du vill behålla den nya riktningen. Om du inte vill behålla den väljer du Avsluta (utan att spara).


Skapa lager – Arkiv-menyn

På Arkiv-menyn i Skapa lager kan du öppna den ursprungliga filen som lästes i "GAMMAL FIL" och filen "NY FIL" som skapades nyss. Dessutom kan du spara ändringarna innan du avslutar alternativet.

  • "GAMMAL FIL" innehåller alltid data som inte har ändrats från den ursprungliga filen.

  • Med filen "NY FIL" kan du öppna dialogrutan Läge som placerar lagret tredimensionellt.

Du kan bara visa ett av filfönstren åt gången. I PC-DMIS kan du växla mellan de öppna fönstren med hjälp av Arkiv-menyn. Lämpligt fönster visas automatiskt när det behövs för en specifik funktion (till exempel när ett nytt lager ska skapas).

För att spara ändringar efter att ha skapat eller redigerat lager väljer du alternativet Spara och avsluta. Ändringarna sparas inte automatiskt i CAD-visningen i PC-DMIS om du bara stänger fönstret.


Skapa lager – Visa-menyn

Med Visa-menyn i Skapa lager kan du tillfälligt ändra grafiken som visas i dialogrutan. Detta innebär att du kan rotera, skalanpassa eller ändra vyn så att det blir lätt att nå nödvändiga CAD-element.

Mer:

Visa | Ändra vy

Visa | Passa skala.

Visa | Rotera

Visa | CAD-info

Visa | Skärmfärg


Visa | Ändra vy

Med menyalternativet Ändra vy kan du skapa nya vyer från en CAD-fil. Den här funktionen är användbar när du använder en 2D-IGES-fil som innehåller flera vyer av en detalj i ett plan, och vyerna måste kopplas till korrekta motsvarande riktningar i Grafikfönstret.


Visa | Passa skala

Med menyalternativet Passa skala ritas detaljbilden om så att den passar precis i Grafikfönstret. Den här funktionen är användbar när bilden blir för stor eller för liten.


Visa | Rotera

Med menyalternativet Rotera öppnar du dialogrutan Rotera, där du kan rotera detaljbilden tredimensionellt. Se Skalanpassa ritningen.


Visa | CAD-info

Med menyalternativet CAD-info visas dialogrutan CAD-information. I den här dialogrutan kan du visa information om en specifik CAD-geometri. När en enskild CAD-geometri markeras och dialogrutan CAD-information är öppen visas information om den markerade CAD-geometrin.

Dialogrutan CAD-information

Det markerade elementet blinkar också på skärmen. Den mest grundläggande information som visas är typen för geometrin (cirkel, linje o.s.v.). Om CAD-geometrin importerades med hjälp av version 3.2 eller senare av PC-DMIS visas också information om CAD-filen (vid importtidpunkten). Denna information består av den fullständiga sökvägen till filen, tidpunkten för den senaste ändringen och filens storlek (i byte). Om sekvensnumret för elementet i IGES-/XYZ-filen o.s.v. är tillgängligt visas detta. Vanligtvis visas information om geometrin som till exempel diameter, vektor eller läge. För komplexa element som trimmade ytor visas också information om andra geometrier (basyta, begränsande kurvor). Om du väljer knappen Vy blinkar den beskrivna geometrin på skärmen. Du kan välja den här dialogrutan med hjälp av menyalternativet CAD-info.


Visa | Skärmfärg

Med menyalternativet Skärmfärg öppnar du dialogrutan Skärmfärg. Den här dialogrutan fungerar på samma sätt som dialogrutan Skärmfärg som beskrivs i Ändra skärmfärger, så att du kan ändra färgerna som visas i fönstret Skapa lager.


Skapa lager – Lager-menyn

Med menyobjektet Lager i Skapa lager kan du välja önskade CAD-element och skapa upp till 18 olika lager. Allt eftersom varje lager skapas visas de längst ned i menylistan så att du kan välja dem igen.

Ett CAD-lager består av en grupp relaterade CAD-geometrier som identifieras av ett lagernummer. Lager fördefinieras i en IGES- eller XYZ-CAD-fil. Lagerinformationen i de här filerna importeras till PC-DMIS när filerna "importeras". Därefter kan du ange vilka lager som ska visas i varje vy med hjälp av dialogrutan Konfigurera vyer. Eftersom många CAD-filer är stora och komplexa är det en stor fördel att kunna ange vilka delar av CAD-modellen som ska synas när olika uppgifter utförs i PC-DMIS.

En CAD-geometri kan bara höra till ett lager. Exempel: Geometrin A kan höra till lager x eller lager y, men inte till båda. Detta begränsar inte visningsfunktionerna, eftersom du kan visa flera lager samtidigt.

Mer:

Lager | Nytt

Lager | Välj

Lager | Avmarkera

Lager | Skapa

Lager | Läge

Ytterligare lagerändringar


Lager | Nytt

Med menyalternativet Nytt kan du skapa ett nytt lager när det finns befintliga lager. (Du behöver inte använda det här alternativet för att skapa det första lagret, eftersom ett nytt lager skapas automatiskt när fönstret Skapa lager-GAMMAL FIL öppnas.)

Mer:

Så här skapar du ett nytt lager:


Så här skapar du ett nytt lager:

  1. Öppna fönstret Skapa lager

  2. Välj menyalternativet Nytt. Om menyalternativet Nytt är inaktivt har det valts automatiskt när du öppnade fönstret Skapa lager-GAMMAL FIL.

  3. Markera önskade CAD-element. (CAD-element kan väljas på samma sätt som i PC-DMIS, d.v.s. genom musmarkering eller rutmarkering.) CAD-elementet markeras med den aktuella markeringsfärgen.

  4. Välj Lager | Skapa på den nedrullningsbara menyn.

Det nya lagret skapas och fönstret Skapa lager-NY FIL visas automatiskt med de valda elementen.

Du kan också skapa nya lager med hjälp av dialogrutan Konfigurera vyer. Mer information om dialogrutan finns i Konfigurera skärmvisningen.


Lager | Välj

Det här alternativet är bara tillgängligt när du har valt menyalternativet Nytt.

Med menyalternativet Välj kan du välja de CAD-element som ska visas i det nya lagret. Valda data visas med den aktuella markeringsfärgen. Element kan bara väljas när menyalternativet Välj har valts.

Obs! Kontrollera att valda data visas precis som du vill. Efter att du har valt menyalternativet Skapa går det inte att ändra CAD-elementen. För att ändra ett lager (innan du väljer menyalternativet Skapa) väljer du alternativet Avmarkera. Alla markerade data avmarkeras.


Lager | Avmarkera

Det här alternativet är bara tillgängligt när du har valt menyalternativet Nytt.

Med menyalternativet Avmarkera kan du rensa markeringar från alla CAD-element som har valts för visning.


Lager | Skapa

Med menyobjektet Skapa skapar du ett nytt lager utifrån de valda CAD-elementen.

När CAD-elementen och det här alternativet har valts flyttas de valda elementen från "GAMMAL FIL" till "NY FIL". Skärmen växlas automatiskt så att "NY FIL" visas. I fönstret visas också eventuella tidigare lager som har skapats. Elementen som väljs för det nya lagret ritas i svart. Data från tidigare lager visas i grått.

För att skapa ytterligare ett lager väljer du menyobjektet Nytt (beskrivs i Så här skapar du ett nytt lager:). "GAMMAL FIL" visas automatiskt, och du kan upprepa valproceduren.


Lager | Läge

Dialogrutan Läge

När ett lager har skapats kan du välja menyalternativet Läge för att visa dialogrutan Läge. I dialogrutan kan du flytta axlarna och ändra riktningen för lagret.

Mer:

Så här flyttar du ett lager:

Området Riktning

Knappen Läge

Området Element som definierar nollpunkten

Området Element som definierar offset

Rutan Skala


Så här flyttar du ett lager:

  1. Välj lagret på menyn Lager.

  2. Välj Lager | Läge.

  3. Markera ett riktningsalternativ i området Riktning i dialogrutan.

  4. Klicka på knappen Läge. Dialogrutan Vy från Riktning visas. Här kan du placera lagret i relation till riktningen.

  5. Använd alternativen i dialogrutan Vy från Riktning för att flytta lagret tredimensionellt så att det är korrekt placerat i relation till de andra lagren.

  6. Klicka på OK.

Lager kan placeras om i vilket ordning som helst, så många gånger som det behövs.


Området Riktning

För tillfället finns bara stöd för riktningar som motsvarar de sex sidorna i en kub. Välj den riktning som motsvarar den önskade delen av dina tvådimensionella data. Om dessa data motsvarar detaljen som den ses från höger sida väljer du riktningen HÖGER.

Exempel: Om data visar vänster sida av en bil väljer du riktningen VÄNSTER. Det är viktigt att det som visas är den vänstra sidan av bilen, som om du stod bredvid bilen. Om bilen ser ut att vara upp och ned, eller står på ena änden, klickar du på knappen Läge efter att du har valt riktning.


Knappen Läge

Med knappen Läge visar du dialogrutan Vy från Riktning.

Dialogrutan Vy från Riktning

Med det här alternativet visas endast tvådimensionella data för det aktuella lagret. Dessutom visas en ruta med den valda riktningen. Använd alternativknapparna Rotera och kryssrutorna Spegla för att ändra data som du vill. Detta kan göras när som helst under placeringsproceduren.


Området Element som definierar nollpunkten

För att flytta data inom planet kan du välja en "nollpunkt" med hjälp av området Element som definierar nollpunkten i dialogrutan Vy från Riktning. Du gör detta genom att välja en eller flera geometrier inom lagerdata, eller genom att ange numerisk offset, eller båda.

  • Så här väljer du en geometri:

  1. Markera alternativet Element 1.

  2. Markera ett geometriskt element i fönstret Skapa lager-NY FIL (t.ex. en linje). Om du sedan klickar på Verkställ används en av ändpunkterna för linjen som "nollpunkt".

  3. För att göra den andra ändpunkten till nollpunkt markerar du kryssrutan Punkt 2.

  • Så här använder du skärningspunkten mellan de två linjerna som nollpunkt:

  1. Markera alternativet Element 1.

  2. Markera en linje i fönstret Skapa lager-NY FIL.

  3. Markera därefter alternativet Element 2.

  4. Markera en andra linje i fönstret Skapa lager-NY FIL.

  5. Klicka på Verkställ för att flytta lagerdata till den nya nollpunkten. (Du kan använda valfri kombination av linjer, bågar, cirklar och punkter för att välja en nollpunkt.)

  • Numeriska offset-värden kan också anges för att flytta nollpunkten i vågrät eller lodrät riktning (definierat i relation till riktningen).


Området Element som definierar offset

När en nollpunkt har valts kan du behöva flytta planet i en normal riktning för att placera det korrekt i relation till de andra lagren. Du gör detta genom att välja en geometri i ett lager.

Exempel: En linje i en Över-riktning kan väljas. Lagren i riktningen Höger flyttas därefter så att de är i samma plan som linjen i riktningen Över. Helst ska den valda linjen vara parallell med lagret i riktningen Höger.


Rutan Skala

Med rutan Skala kan du skalanpassa detaljbilden i Grafikfönstret till CAD-ritningen. Det som skiljer det här alternativet från alternativen Passa fönster och Skalanpassa ritning är att ändringarna återspeglas i CAD-data i detaljprogrammet. Skriv in den skalningsfaktor du vill använda.

  • För att göra elementen i ritningen 50 % mindre skriver du 0,5 i rutan Skala.

  • För att göra elementen i ritningen dubbelt så stora skriver du 2,0.

  • Om ritningens storlek ska vara oförändrad skriver du 1,0. (Skalningsfaktorer kan anges för alla lager.)

För att verkställa alla ändringar klickar du på Verkställ. Med knappen Återställ kan du ångra alla ändringar som har gjorts i det aktuella lagret. Med knappen Avbryt ångras alla ändringar som har gjorts sedan dialogrutan Läge visades.

Obs! Alla ovanstående placeringsåtgärder kan göras i valfri ordning. Du kan dessutom upprepa dem så ofta som det behövs. I de flesta fall visas inte ändringarna förrän du klickar på Verkställ.


Ytterligare lagerändringar

I PC-DMIS kan du utföra följande ytterligare lagerändringar i dialogrutan Konfigurera vyer:

  • Skapa ett nytt lager. Se Skapa lager.

  • Ta bort ett befintligt lager. Se Ta bort lager.

  • Ändra ett befintligt lager. Se Ändra lager.

För att lägga till och ändra lager måste CAD väljas. Du kan begränsa markeringsfunktionen till olika typer av geometri på samma sätt som markeringsfunktionen är begränsad i dialogrutorna Redigera CAD och Ta bort CAD . Du kan också begränsa markeringsfunktionen till ett befintligt valt lager.

Detaljerad information om hur lager används i dialogrutan Konfiguera vyer finns i Visa, skapa och ändra lager i avsnittet Redigera CAD-visningen.

Du kan också skapa lager med hjälp av menyobjektet CAD-bearbetning. Se Göra om CAD till 3D.


Visa CAD-information

Rutan CAD-information

Med menyalternativet Visa | CAD-info visar du dialogrutan CAD-information. I den här dialogrutan kan du visa CAD-information genom att markera önskat CAD-element i Grafikfönstret. När CAD-elementet har valts visas all tillgänglig CAD-information i PC-DMIS.

Om du klickar på knappen Vy bekräftas valet av ett element genom att den markerade grafikbilden blinkar i Grafikfönstret.


Använda skärmbilder av Grafikfönstret

I PC-DMIS kan du kopiera skärmbilden i Grafikfönstret och placera den i en rapport eller i Urklipp.

Mer:

Skicka skärmbilder till Urklipp

Skicka skärmbilder till rapporten

Skicka skärmbilder till en fil

Redigera skärmbilder


Skicka skärmbilder till Urklipp

Bilden finns kvar i Urklipp tills du kopierar en annan skärm eller stänger detaljprogrammet.

Med menyalternativet Åtgärder | Grafikfönster | Fånga skärm till | Urklipp kopierar du det aktuella Grafikfönstret och placerar skärmbilden i Urklipp.

För att visa en bild som har kopierats till Urklipp klistrar du in den i ett Windows-program där alternativet Klistra in är tillgängligt (t.ex. Word för Windows).


Skicka skärmbilder till rapporten

Med menyalternativet Åtgärder | Grafikfönster | Fånga skärm till | Rapport kan du visa skärmbilder i en rapport. Om du väljer det här menyalternativet placeras ett VISNING/METAFIL-kommando i Redigeringsfönstret. När kommandot markeras och körs uppdateras skärmbilden automatiskt i PC-DMIS och den visas i rapporten.

För att skärmbilden ska visas i Rapportfönstret högerklickar du på texten i Rapportfönstret och väljer Redigera. När dialogrutan Rapport visas markerar du kryssrutan Visa skärmbilder.

Det här kommandot fungerar ungefär som kommandona ANALYSVY och VISNING/METAFIL som skapas i Analysfönstret. Mer information om Analysfönstret finns i Analys i avsnittet Infoga rapportkommandon.

Obs! Du får bäst resultat för visning av skärmbilder om du använder ett True Type-teckensnitt för texten i Grafikfönstret.


Skicka skärmbilder till en fil

Med menyalternativet Åtgärder | Grafikfönster | Fånga skärm till | Fil kan du kopiera det aktuella Grafikfönstret och spara skärmbilden som en bitmappfil på datorn.


Redigera skärmbilder

I PC-DMIS finns inga inbyggda funktioner för att redigera eller formatera skärmbilder. Du kan dock använda vilket bildredigeringsprogram som helst för att redigera eller formatera skärmbilder. Använd kommandot Infoga | Rapport | Externt objekt för att infoga ett objekt i Redigeringsfönstret (t.ex. en bitmappfil).

Klistra sedan in skärmbilden i det bildprogram som är kopplat till bitmappfilen. Du bör kunna använda bildalternativen i det externa programmet för att redigera bilden.

Mer information om hur du använder kommandot Externt objekt finns i Infoga externa objekt i avsnittet Lägga till externa element.


 Området Elementtyper Området Antal valda Knappen Avmarkera Knappen OK Knappen Stäng Knappen Verkställ Kryssrutan Prioriterat Kryssrutan Visa namn Kryssrutan Byt namn Kryssrutan Byt färg Ändra Rutan Namn

Ändra CAD

Dialogrutan Ändra CAD

I dialogrutan Redigera CAD-element (Redigera | Grafikfönster | CAD-element) kan du ändra färg för den importerade CAD-filen.

Välj de element som ska ändras. Du kan göra detta genom att röra muspekaren över elementet i Grafikfönstret och klicka med vänster musknapp.

För att välja flera element rutmarkerar du flera CAD-element. När du släpper musknappen markeras de aktuella elementen som valdes, och antalet element visas i rutan Antal valda. Du kan välja fler element på samma sätt. Med knappen Avmarkera tömmer du skärmen från alla markeringar av element.

När du har valt alla element klickar du på Färg och väljer en färg. Du måste klicka på Verkställ för att färgändringen ska visas i Grafikfönstret.

Obs! För att detta ska fungera måste du skapa CAD-lager. Mer information finns i Konfigurera skärmvisningen.

Mer:

Elementtyper

Antal valda element

Ändra...

Byt namn

Byt färg

Prioriterat

Visa namn

Avmarkera

Rutan Namn för CAD-element


Elementtyper

Med det här alternativet anger du vilken/vilka typ(-er) av element som ska ändras. Du kan välja mellan följande:

  • Punkter

  • Linjer

  • Cirklar

  • Bågar

  • Kurvor

  • Ytor

Obs! För att välja ytor väljer du först ikonen Yta. Se Växla mellan kurv- och ytläge.


Antal valda element

I rutorna Antal valda visas antalet element som ska tas bort. Siffrorna i fälten ändras beroende på vilka element som har markerats i området Elementtyper i dialogrutan.


Ändra...

Med kommandoknappen Ändra... kan du ange färgen för ett CAD-element. Gör så här:

  1. Klicka på Ändra.... Dialogrutan Färg visas i PC-DMIS.

    Dialogrutan Färg

  2. Välj en färg.

  3. Klicka på knappen OK. Dialogrutan Redigera CAD-element uppdateras, och den valda färgen visas.


Byt namn

Med kryssrutan Byt namn kan du ändra namnet på valda CAD-element. Gör så här:

  1. Öppna dialogrutan Redigera CAD-element (Redigera | Grafikfönster | CAD-element). Visa menykarta

  2. Markera kryssrutan för lämplig elementtyp. Se Elementtyper.

  3. Klicka på CAD-elementet/-elementen i Grafikfönstret. Markeringen visas i PC-DMIS.

  4. Markera kryssrutan Byt namn.

  5. Skriv det nya namnet för det/de valda CAD-elementet/-elementen i rutan Namn. Se Rutan Namn för CAD-element.

  6. Klicka på Verkställ. Namnet ändras i PC-DMIS. Du kan kontrollera att namnet har ändrats med hjälp av kryssrutan Visa namn (se Visa namn).


Byt färg

Med kryssrutan Byt färg ritas valda CAD-data i den färg som visas i rutan Färg längst ned i dialogrutan. Du måste klicka på Verkställ för att detta ska ske. För att ändra den aktuella färgen klickar du på knappen Färg.


Prioriterat

Du kan markera och lagra en grupp CAD-ytor för Sök nom.-bearbetning med hjälp av kryssrutan Prioriterat. Detta gör att beräkningen av nominella värden går snabbare eftersom det avgörs automatiskt vilka ytor som ska kontrolleras först. Det finns ingen begränsning för hur många ytor som kan markeras. Sökordningen är den ordning som du markerar ytorna i.

När du öppnar dialogrutan Redigera CAD-element och markerar kryssrutan Prioriterat väljs automatiskt den tidigare lagrade gruppen ytor.

Mer:

Så här sparar du en ny grupp ytor:


Så här sparar du en ny grupp ytor:

  1. Öppna dialogrutan Redigera CAD-element (Redigera | Grafikfönster | CAD-element). Visa menykarta

  2. Markera kryssrutan Prioriterat. Om du tidigare har definierat en grupp ytor markeras dessa ytor i Grafikfönstret.

  3. När kryssrutan Prioriterat har markerats klickar du på knappen Avmarkera och sedan på knappen Verkställ. Detta innebär att alla lagrade ytor töms i PC-DMIS.

  4. Avmarkera kryssrutan Prioriterat.

  5. Markera den nya gruppen ytor som ska lagras.

  6. Markera kryssrutan Prioriterat.

  7. Klicka på knappen Verkställ.

  8. Klicka på OK.


Visa namn

Med kryssrutan Visa namn anger du om element-ID:n ska visas eller döljas för valda CAD-element.

Om du markerar kryssrutan visas elementnamnen (om CAD-utformaren har angett namn) eller elementtyperna för de angivna elementen.

Om du inte markerar kryssrutan döljs elementnamnen.

Mer:

Så här döljer eller visar du specifika elementnamn:


Så här döljer eller visar du specifika elementnamn:

  1. Öppna dialogrutan Redigera CAD-element (Redigera | Grafikfönster | CAD-element). Visa menykarta

  2. Klicka på det önskade elementet i CAD-visningen (eller rutmarkera ett område om det är flera element). De valda CAD-elementen markeras i CAD-modellen.

  3. Markera eller avmarkera kryssrutan Visa namn.

  4. Klicka på OK.


Avmarkera

Med knappen Avmarkera kan du rensa alla ändringar som du har gjort med knappen Verkställ i PC-DMIS innan du har klickat på OK.


Rutan Namn för CAD-element

Med rutan Namn kan du ange ett namn för de(t) valda CAD-elementet/-elementen. Gör så här: Välj CAD-elementet/-elementen, skriv namnet i rutan och klicka på Verkställ.


Använda belysning och material i CAD-visningen

Ikonen för CAD-belysning i verktygsfältet Visa | Verktygsfält | Grafik

Om du väljer ikonen CAD-belysning eller menyobjektet Belysning & material visas dialogrutan Belysning och material.

Dialogrutan Belysning och material

I dialogrutan Belysning och material finns verktyg som du kan använda för att ändra visningen av CAD-modeller, inklusive detaljmodellen, mätspetsmodellen, maskinmodellen och andra fixturmodeller, i Grafikfönstret i PC-DMIS.

I dialogrutan finns följande flikar:

Arkiv: Här kan du spara och återkalla CAD-konfigurationer så att du kan använda dem senare.

Belysning: På den här fliken kan du definiera och aktivera ljuskällor, deras färg och riktning, belysningsmodeller och CAD-transparens.

Material: På den här fliken kan du ange texturer som ska användas på ytorna i CAD-modellerna, samt ändra färg och ljusstyrka för de material som texturen består av.

Klippningsplan: På den här fliken kan du definiera upp till fyra klippningsplan där alla visade objekt i det klippta området döljs. Använd denna funktion om du vill dölja objekt eller klippa detaljmodellen så att du ser genomskärningar och tvärsnitt.

Längst ned i dialogrutan finns fyra knappar:

OK – Ändringarna sparas och dialogrutan stängs.

Avbryt – Ändringarna ignoreras och dialogrutan stängs.

Spara som standard – Ändringarna sparas som nya standardinställningar för belysning och material. Detta åsidosätter standardinställningarna som levererades med PC-DMIS.

Återställ standard – De ursprungliga inställningarna för belysning och material som levererades med PC-DMIS återställs.

Obs! Alla ändringar du gör i dialogrutan Belysning och material utförs i realtid i Grafikfönstret, så att du omedelbart ser effekten av ändringarna. Ändringarna är dock bara tillfälliga tills du klickar på OK.

Mer:

Fliken Arkiv

Fliken Belysning

Fliken Material

Fliken Klippningsplan


Fliken Arkiv

På den här fliken finns två områden: Systeminställningar och Egna konfigurationer.

I området Systeminställningar kan du välja mellan systemdefinierade inställningar för belysning och material. Inställningarna finns i en konfigurationsfil med namnet LightingMaterials.dat i den mapp där PC-DMIS är installerat.

I området Egna konfigurationer kan du spara och återkalla egna, anpassade konfigurationer för belysning och material. Inställningarna sparas i undermappen \Models\LightingMaterials i den mapp där PC-DMIS är installerat.

Så här sparar du en anpassad konfiguration:

  1. Utför eventuella andra ändringar på de andra flikarna i dialogrutan Belysning och material.

  2. Klicka i rutan Spara som. Knappen Spara nu visas.

  3. Skriv ett namn för den sparade konfigurationen.

  4. Klicka på knappen Spara nu.

För att återkalla en användardefinierad konfiguration väljer du den sparade konfigurationen i listan Återkalla.


Fliken Belysning

På fliken Belysning finns tre områden där du kan definiera ljuskällor, belysningsmodell och transparens.

Ljuskälla:

I området Ljuskälla finns upp till fyra ljuskällor definierade med respektive ljusriktning och färger. Du kan skapa en ny ljuskälla genom att välja en siffra och klicka i kryssrutan Aktiverad.

Förutom den första ljuskällan, som alltid är aktiverad, kan du använda kryssrutan Aktiverad för att aktivera eller inaktivera en ljuskälla.

Belysningsriktning:

När du har aktiverat en ljuskälla markeras en aktiv knapp för belysningsriktning med en röd kontur. Med de här knapparna definierar du riktningen som ljuset kommer från.

Riktningsknappen i mitten innebär att ljuset ser ut att komma från den plats där du befinner dig, som om belysningen går in genom skärmen på CAD-detaljen. Med de andra riktningsknapparna anger du att ljuset kommer från andra vinklar.

Färger:

Du kan ändra inställningarna Bakgrund, Spritt ljus och Reflexer för den aktuella ljuskällan genom att klicka på den färgade rektangeln nedanför varje inställning och välja en ny färg från dialogrutan Färg som visas.

Obs! Ljuskälla 1 har vitt som standardfärg för Spritt ljus och Reflexer, men för de andra tre ljuskällorna är standardfärgen svart.

Bakgrundsbelysning är ljus som har spritts så mycket på grund av miljön att det inte går att avgöra ljusets riktning – det ser ut att komma från alla håll. Bakgrundsljus i ett rum fungerar på det här sättet, eftersom det ljus som når ditt öga har studsat mot många olika ytor. En spotlight utomhus fungerar nästan inte alls på det här sättet: det mesta av ljuset går i samma riktning, och eftersom ljuskällan finns utomhus är det väldigt lite ljus som når ditt öga efter att först ha studsat mot andra objekt. När bakgrundsljus möter en yta sprids det jämnt i alla riktningar.

Spritt ljus kommer från ett håll, vilket gör att det blir ljusare om det landar rakt på en yta än om det bara snuddar ytan. När spritt ljus möter en yta sprids det dock jämnt i alla riktningar, så det ser lika ljust ut oavsett var ögat finns i förhållande till det. Allt ljus som kommer från en viss plats eller riktning har en viss andel spritt ljus.

Reflexljus kommer från en given riktning, och studsar också från ytan i en given riktning. En laserstråle som studsar mot en spegel ger nästan 100 procents spegelreflektion. Blank metall eller plast är mycket reflekterande, och krita och mattor reflekterar nästan inte alls. Reflexljus kan ses som "blankhet".

Om du inaktiverar en ljuskälla inaktiveras knapparna Belysningsriktning och Färger.

Belysningsmodell:

I området Belysningsmodell definieras information som gäller för hela bilden, oavsett ljuskälla.

Dubbelsidig belysning – Med den här kryssrutan anger du om fram- och baksidorna av ytor ska belysas. Du bör markera kryssrutan för importerade IGES-filer och för vissa andra CAD-format när ytnormalerna inte är korrekta.

Dölj frånsidor – Med den här kryssrutan anger du om baksidorna (frånsidorna) av ytor ska döljas i PC-DMIS. Du bör markera kryssrutan för IGES-filer och för vissa andra CAD-format när ytnormalerna inte är korrekta.

Bakgrund – Med den här rutan definierar du bakgrundsfärgen för hela bilden. Klicka på rutan för att ändra färg.

Transparens:

I området Transparens kan du göra följande visningsobjekt transparenta i Grafikfönstret:

  • CAD-modell

  • Mäthuvud

  • Maskin

Om du väljer Aktivera transparens kan du välja de andra objekten i området. När du aktiverar transparens för ett objekt kan du använda de andra inställningarna i området för att styra hur transparensen visas.

Djupbuffer enbart läsning – (Inte tillgängligt just nu).

Dölj frånsidor – Om du markerar den här kryssrutan ritas inte frånsidorna av ytor för det valda transparenta objektet i PC-DMIS.

% transp. – Med det här skjutreglaget anger du hur transparent det valda objektet ska vara, som en procentandel. Om du drar reglaget åt vänster blir objektet mindre transparent, och om du drar det åt höger blir objektet mer transparent.


Fliken Material

På fliken Material finns inställningar som används för CAD-objekten som ingår i den importerade CAD-detaljmodellen eller i hela detaljmodellen.

I det första området på fliken finns två alternativknappar som du kan använda för att ange "aktivt urval": om inställningarna ska gälla Hela modellen eller CAD-objekt.

Hela modellen – Om du väljer det här alternativet används inställningarna för hela CAD-modellen.

CAD-objekt – Om du väljer det här alternativet används inställningarna för valda CAD-objekt i modellen.

Texturer

I området Texturer definierar du texturen som ska användas för det aktiva urvalet. Texturbilden används så ofta som det behövs för att täcka hela det aktiva urvalet.

Namnet på den aktuella bitmappfilen visas vid kryssrutan när du väljer en bitmapp att använda som textur. Den här kryssrutan är alltid markerad när det aktiva urvalet är CAD-objekt.

Den aktuella texturen visas i den stora grå fyrkanten under kryssrutan.

Så här använder du en textur för detaljen:

  1. Klicka på den grå fyrkanten. Dialogrutan Öppna visas.

  2. Använd dialogrutan Öppna för att navigera till och välja en giltig bitmappfil. Bredden och höjden måste vara en 2-potens. Exempel: 25 är 32 och 24 är 16. En bitmap på 32 × 16 pixlar är alltså en giltig bitmap. Om storleken vore t.ex. 32 × 20 skulle ett felmeddelande visas i PC-DMIS.

  3. Den valda texturen visas i förhandsgranskningsrutan (den grå fyrkanten).

  4. Klicka på Öppna för att acceptera texturen.

För att använda kryssrutan för det aktiva urvalet klickar du på kryssrutan Aktivera.

Med de andra objekten i området Texturer anger du hur textur- och ytfärger ska användas:

Klistra innebär att ingen av ytfärgerna lyser igenom så att du bara ser texturfärgen.

För Modulera och Blanda används OpenGL-algoritmer för att avgöra de slutliga visningsfärgerna.

Zoom styr vilken zoomningsfaktor som ska användas för den aktuella texturen. Värden högre än 1.0 innebär inzoomning av texturen, så att den repeteras mer sällan. Värden lägre än 1.0 innebär utzoomning av texturen, så att den repeteras oftare. Exempel: Värdet 2.0 gör bitmapen dubbelt så stor (den repeteras hälften så många gånger), och värdet 0.5 gör bitmapen hälften så stor (den repeteras dubbelt så många gånger).

Med knapparna Inv. T, Inv. S och Byt anger du riktning för texturen. Texturen är en tvådimensionell bild, och riktningen beskrivs i termer av S och T. Texturen nedan har försetts med en pil för att det ska bli lättare att se vad som händer:

Den ursprungliga texturen ser ut så här, med en pil som pekar åt höger, där den övre halvan av pilen är röd och den nedre halvan är grön:

Om du klickar på Byt för den ursprungliga bilden ändras riktningen så att S blir T och T blir S. Detta innebär att pilen pekar uppåt, men också att den vänds upp och ned:

(Exempel på Byt)

Om du klickar på Inv. S på den ursprungliga bilden ändras riktningen för S. Detta innebär att pilen pekar åt vänster:

(Exempel på Inv. S)

Om du klickar på Inv. T på den ursprungliga bilden ändras riktningen för T. Detta innebär att pilen vänds så att den övre delen och den nedre byter plats.

(Exempel på Inv. T)

Du kan klicka på de här knapparna i olika sekvenser för att uppnå många olika riktningar för texturen.

Klicka på Verkställ för att se ändringarna du har gjort vad gäller texturriktning eller andra materialfärger.

Materialfärger

I området Materialfärger definierar du färginformation som ska användas för hela CAD-modellen.

Kommandona Bakgrund, Spritt ljus och Reflexer fungerar på samma sätt som kommandona med samma namn i området Färger på fliken Belysning. Se Fliken Belysning på sidan 7–219.

Utstrålning – En del material har en utstrålande färg, vilket ger en simulation av ljus som kommer från objektet. I belysningsmodellen OpenGL, innebär en utstrålande färg på en yta att objektet blir mer intensivt, men ytan påverkas inte av några ljuskällor. Dessutom innebär inte den utstrålande färgen att mer ljus sprids i bilden i stort.

Ljusstyrka för markering – Med det här reglaget styr du ljusstyrkan för markeringen när du tittar på en krökt yta.

Mer:

Använda texturer i hela CAD-modellen

Använda texturer på valda CAD-objekt

Ta bort texturer från valda CAD-objekt


Använda texturer i hela CAD-modellen

  1. Välj alternativet Hela modellen.

  2. Välj det grå fyrkantiga området. Dialogrutan Öppna visas.

  3. Välj en giltig bitmappfil.

  4. Klicka på Öppna. Texturen visas i dialogrutan.

  5. Klicka på kryssrutan för bitmapparna i området Texturer. Texturen täcker hela CAD-modellen.

  6. Anpassa texturen ytterligare, om det behövs, med hjälp av de andra alternativen i dialogrutan.

  7. Klicka på OK för att acceptera den färdiga texturen.


Använda texturer på valda CAD-objekt

  1. Välj alternativet Cad-objekt. En tom lista visas med knapparna Radera och Ta bort.

  2. Välj det grå fyrkantiga området. Dialogrutan Öppna visas.

  3. Välj en giltig bitmappfil.

  4. Klicka på Öppna. Texturen visas i dialogrutan.

  5. Klicka på ytor i CAD-modellen. Den aktuella texturen används på de ytor som du klickar på. Den tomma listan fylls i med de CAD-objekt där texturer nu används.


Ta bort texturer från valda CAD-objekt

När du använder en textur på ett CAD-objekt visas numret för CAD-objektet i en lista.

För att ta bort texturer från alla markerade CAD-objekt klickar du på knappen Töm.

För att ta bort texturer från enskilda CAD-objekt markerar du objekten i listan och klickar på Ta bort.


Fliken Klippningsplan

Fliken Klippningsplan

På fliken Klippningsplan kan du definiera upp till fyra plan, "klippningsplan", som du kan använda för att dölja visade objekt på ena sidan av planet. Objekt på den andra sidan planet förblir synliga. Med hjälp av dessa plan kan du skapa genomskärningar av en detaljmodell.

Ett klippningsplan visas som en rund, sågliknande symbol i Grafikfönstret när dialogrutan Belysning och material är öppen.

Exempel på ett klippningsplan som skapar en genomskärning av testblocket Hexagon

Mer:

Definiera ett klippningsplan

Justera ett klippningsplan


Definiera ett klippningsplan

Det behövs bara två bitar information för att definiera ett klippningsplan: Ett XYZ-läge och en IJK-vektor. IJK-vektorn pekar i riktningen för det som ska förbli synligt.

Det finns två sätt att definiera den här informationen.

  • Om du klickar på en detalj i Grafikfönstret, tolkas punkten som du klickade på som läget för klippningsplanet i PC-DMIS. När du har klickat på ett läge aktiveras klippningsplanet automatiskt och en standardvektor anges. Därefter kan du ändra IJK-vektorn om det behövs.

  • Du kan också klicka på kryssrutan Aktiverad och skriva in XYZ-läget och IJK-vektorn manuellt.

Obs! I version 4.0 och senare finns XYZ- och IJK-värdena i det aktiva koordinatsystemet för detaljuppriktningen, inte (som i tidigare versioner) i CAD-koordinatsystemet.

Med knappen Vänd IJK kan du vända vektorn så att den pekar åt motsatt håll.

När du har ändrat klippningsplanet till det läge där du vill ha det klickar du på Verkställ för att se ändringarna. Alla CAD-visningsobjekt som pekar bort från den valda klippningsplanvektorn döljs i PC-DMIS.

Om du avmarkerar kryssrutan Aktiverad inaktiveras det aktuella klippningsplanet. Inaktiverade klippningsplan är gula, och det går inte heller att placera och flytta inaktiverade klippningsplan. Aktiverade klippningsplan är röda.

Du kan definiera flera klippningsplan genom att välja en alternativknapp för ett nytt klippningsplan och följa instruktionerna ovan.


Justera ett klippningsplan

När du har infogat ett klippningsplan kan du justera det genom att:

  • Klicka på Vänd IJK för att invertera IJK. Det här är användbart när ytvektorer från en CAD-markering är felaktiga, vilket är vanligt för IGES-filer.

  • Redigera XYZ-läges- och IJK-vektorinformation manuellt genom att skriva in nya värden.

  • Med hjälp av området Flytta klipp-plan längs ovanstående vektor.

I området Flytta klipp-plan längs ovanstående vektor finns två rader med rutor och vänster- och högerpilknappar. I rutorna definieras inkrement för hur klippningsplanet flyttas längs den definierade vektorn när du klickar på vänster- eller högerpilarna för rutan.

Med hjälp av den översta raden kan du flytta klippningsplanet längs IJK-vektorn i små steg.

Med hjälp av den nedersta raden kan du flytta klippningsplanet längs IJK-vektorn i större steg.


Redigera element

Dialogrutan Redigera elementlayout

Om du väljer menyobjektet Redigera | Grafikfönster | Utseende, element visas dialogrutan Redigera elementlayout. Där kan du ändra element-ID:n inom ett detaljprogram. Med det här alternativet kan du ändra ID:n, färger och etiketter för elementet.

Ett tilldelat elementnamn kan redigeras genom att du dubbelklickar på elementet i listrutan. Dialogrutan Redigera ID visas, där du kan skriva in ett nytt ID.

Dialogrutan Redigera ID

Element-ID:n kan också ändras i Redigeringsfönstret. Markera ett ID och skriv in ett nytt ID.

I Redigeringsfönstret i PC-DMIS spåras inte element-ID:n, och därför visas inga varningar om du tilldelar samma ID till mer än ett element. Var försiktig när du ändrar ID:n så att du inte anger samma ID för flera element.

Mer:

Elementfärg

Elementvisning

Etikettvisning

Utseende, element: Inställningar


Elementfärg

Med alternativet Elementfärg kan du ange färgen för ett angivet element. Alternativet fungerar på samma sätt som alternativet Ändra... (se dialogrutan Ändra CAD i Ändra CAD).

Mer:

Så här ändrar du färg på ett element:


Så här ändrar du färg på ett element:

Så här ändrar du färg på ett element:

  1. Gå till dialogrutan Redigera elementlayout. Visa menykarta

  2. Markera ID:t för det element som ska ändras.

  3. Välj alternativet Elementfärg. Dialogrutan Färg visas automatiskt.

  4. Klicka på den färg du vill använda, eller definiera en ny färg med hjälp av rutan Anpassad färg.

  5. Klicka på knappen OK. Dialogrutan Ändra element-ID visas igen. Den nya färgen visas i rutan Elementfärg.

  6. Klicka på Verkställ. Färgen på elementet/elementen ändras automatiskt i Grafikfönstret.


Elementvisning

Med PÅ/AV-alternativen under Visning i dialogrutan Redigera elementlayout styr du visningen av element i Grafikfönstret. Detta är användbart när du vill fokusera på en särskild del av de geometriska elementen i en detalj.

Mer:

Så här anger du visning av element för en detalj:


Så här anger du visning av element för en detalj:

Så här anger du visning av element för en detalj:

  1. Gå till dialogrutan Redigera elementlayout. Visa menykarta

  2. Markera det/de element som du vill aktivera eller inaktivera.

  3. Markera alternativet PÅ eller AV under Visning i dialogrutan.

  4. Klicka på knappen Verkställ. Elementen visas eller döljs.

  5. Om du är nöjd med ändringarna klickar du på OK. Dialogrutan stängs och ändringarna sparas.


Etikettvisning

Med PÅ/AV-alternativen under Etikett styr du visningen av element-ID:n i Grafikfönstret. Detta är användbart när en del av detaljritningen blir "rörig". Angivna ID:n kan inaktiveras, så att det blir lättare att visa andra ID:n.

Mer:

Så här aktiverar/inaktiverar du visning av element-ID:n:


Så här aktiverar/inaktiverar du visning av element-ID:n:

  1. Gå till dialogrutan Redigera elementlayout. Visa menykarta

  2. Markera den/de elementetikett(-er) som du vill aktivera eller inaktivera.

  3. Välj alternativet PÅ eller AV i området Etikett i dialogrutan.

  4. Klicka på knappen Verkställ. Elementetiketterna visas eller döljs.

  5. Om du är nöjd med ändringarna klickar du på OK. Dialogrutan stängs och ändringarna sparas.


Utseende, element: Inställningar

Text Label Options

I området Inställningar kan du ange bakgrundsfärg och linjefärg för den aktuella element-ID-etiketten. Du kan också ange om en skugga ska visas kring etikettens kant i PC-DMIS.

För att ändra grafikinställningarna för ID-etiketten väljer du ett alternativ i området och klickar på Verkställ och sedan på OK.

Tips: Du kan också ändra de här objekten genom att högerklicka på ID-etiketten för ett element och välja ett objekt på snabbmenyn som visas. Se Snabbmenyn Element i Använda kortkommandon (snabbtangenter) och snabbmenyer


Välja element med hjälp av Grafikfönstret

När du väljer ett element i PC-DMIS markeras det med den aktuella markeringsfärgen.

I PC-DMIS kan du välja element i Grafikfönstret (t.ex. för att skriva ut, skapa koordinatsystem, konstruera nya element, beräkna utvärderingar m.m.). Det finns fem grundläggande metoder för att välja element:

  1. Välja element med hjälp av ID:n

  2. Välja element med hjälp av metateckenmatchning

  3. Välja sista ID/ID:n

  4. Rutmarkera ett eller flera ID:n

  5. Välja element online

Mer:

Välja element med hjälp av ID:n

Välja element med hjälp av metateckenmatchning

Välja sista ID/ID:n

Rutmarkera ett eller flera ID:n

Välja element online

Redigera ett element-ID


Välja element med hjälp av ID:n

Välj det önskade elementet med hjälp av ID:t. Det finns flera olika metoder för att välja element i listrutan för element, som finns i många dialogrutor.

  1. Skriv in ID:t för elementet (fungerar även för flera element) i rutan Sök-ID.

  2. Klicka på önskat ID i listan med element. Varje element tilldelas automatiskt ett nummer enligt valordningen i PC-DMIS. Numret visas till höger om elementets ID.

  3. I Grafikfönstret rör du markören över det önskade elementet och klickar med vänster musknapp (observera att elementet som du har valt i Grafikfönstret nu markeras i elementfönstret.)


Välja element med hjälp av metateckenmatchning

Du kan också välja element med hjälp av metatecken. Metatecken är tecken som används som jokertecken för andra alfanumeriska tecken. Det finns två tillgängliga metatecken i PC-DMIS:

  1. Asterisk (*)

  2. Frågetecken (?)

Tecknen beskrivs mer detaljerat nedan.

Mer:

Metatecknet * (asterisk)

Metatecknet ? (frågetecken)


Metatecknet * (asterisk)

* Metatecknet asterisk (*) matchar, eller ersätter, ett eller flera tecken vid en sökning. Exempel: Följande element är tillgängliga i elementlistan:

PLN1
LINJ1
LINJ2
CIR1
CIR2
Meta Asterisk Character

Metatecknet * (asterisk)

För att välja alla linjelement (LINJ1 och LINJ2) skriver du "L*" (utan citattecken) i rutan Sök-ID och trycker på TABB. Alla element vars namn inleds med "L" väljs. Asterisken (*) innebär att sökningen görs efter de tecken som kommer före eller efter asterisken. Eftersom asterisken i det här fallet kommer efter "L" sker sökningen efter objekt som inleds med "L", oavsett vilka tecken som följer efter det.

Så här använder du metatecknet * (asterisk) när du väljer element:

  1. Placera pekaren i rutan Sök-ID.

  2. Ange sökkriterier med hjälp av asterisken (*).

  3. Tryck på TABB-tangenten.

Elementen som uppfyller sökkriterierna väljs i PC-DMIS.

Obs! Metatecknet * (asterisk) kan användas flera gånger i samma sökning. Det kan också användas tillsammans med metatecknet ? (frågetecken).


Metatecknet ? (frågetecken)

? Metatecknet ? (frågetecken) fungerar på samma sätt som * (asterisken), förutom att ett frågetecken bara motsvarar ett enda alfanumeriskt tecken. Exempel: Följande element är tillgängliga i elementlistan:

PLN1
LINJ1
LINJ2
CIR1
CIR2
Question Mark Meta Character

Metatecknet ? (frågetecken)

För att välja alla cirkelelement (CIR1 och CIR2) med hjälp av metatecknet ? (frågetecken) anger du "CIR?" (utan citattecken) i rutan Sök-ID . Sökningen görs då efter alla element som matchar sökkriterierna, d.v.s. alla element vars namn innehåller fyra tecken och där de tre första tecknen är "CIR".

Så här använder du metatecknet ? (frågetecken):

  1. Placera pekaren i rutan Sök-ID.

  2. Ange sökkriterier med hjälp av frågetecknet (?).

  3. Tryck på TABB-tangenten.

Elementen som uppfyller sökkriterierna väljs i PC-DMIS.

Obs! Metatecknet ? (frågetecken) kan användas flera gånger i samma sökning. Det kan också användas tillsammans med metatecknet * (asterisk).


Välja sista ID/ID:n

Med det här kommandot anger du att ett antal av de sista elementen ska användas i den aktuella åtgärden.

Så här väljer du ett antal av de sista elementen:

  1. I dialogrutan placerar du markören i rutan Välj sista.

  2. Ange ett antal av de sista elementen som ska användas. Exempel: För att skapa en linje utifrån de senaste fyra element som uppmätts skriver du 4 i rutan.

Välja sista ID


Rutmarkera ett eller flera ID:n

Ett annat sätt att välja element är att rita en "ruta" kring elementen med vänster musknapp. Detta kallas för att "rutmarkera". Gör så här:

  1. Placera muspekaren i det första tänkta hörnet av rutan och klicka med och håll ned vänster musknapp.

  2. Dra sedan muspekaren till det motsatta hörnet av "rutan". Rutan ritas på skärmen i PC-DMIS under tiden som du drar musen.

  3. När du är nöjd med "rutan" släpper du musknappen. Alla element i rutan markeras i PC-DMIS, och de visas i elementlistrutan.

Rutmarkering av CIR1 och CIR2

Med det här alternativet kan du också ändra innehållet i rutan enligt vad som visas i listan. För att lägga till eller ta bort ett element från uppsättningen klickar du på det element som ska ändras (antingen i Grafikfönstret eller i elementlistan i dialogrutan).

Mer:

Översikt över rutmarkering av ID:n för tunnplåtselement


Översikt över rutmarkering av ID:n för tunnplåtelement

Med funktionen för "rutmarkering" i PC-DMIS kan du nu förena olika tunnplåtelement mellan två valda grupper. Detta innebär att det blir lättare att välja flera tredimensionella objekt. Om några CAD-objekt rutmarkeras och ett CAD-objekt sedan markeras utan rutmarkering, blir de rutmarkerade objekten permanenta markeringar utöver den enskilda markeringen.

Mer information om den här funktionen finns i Rutmarkering av autoelement-ID i avsnittet Skapa autoelement.


Välja element online

I onlineläget använder du den aktiva mätspetsen som pekare och triggar mätspetsen när spetsen är nära det nödvändiga elementet.


Redigera ett element-ID

För att ändra ID för ett element dubbelklickar du på element-ID:t i elementlistan. Dialogrutan Redigera ID visas i PC-DMIS. I dialogrutan kan du ändra ID:t för det valda elementet.


Redigera utvärderingsfärger

Om du väljer menyobjektet Redigera | Grafikfönster | Ändra utvärderingsfärger öppnas dialogrutan Redigera utvärderingsfärger.

Dialogrutan Redigera utvärderingsfärger

I den här dialogrutan kan du ange antalet toleranszoner och deras respektive färger. Gör så här:

  1. Se till att dialogrutan är öppen.

  2. Skriv in antalet toleranszoner.

  3. Välj en toleranszon i den nedrullningsbara listan Utvärderingsfärger.

  4. Klicka på Ändra för att ändra färgen för den valda toleranszonen.

Du kan också ange färger på följande sätt:

  1. Välj en startfärg och en slutfärg med vänster musknapp direkt på färghjulet i dialogrutan.

  2. Klicka på knappen Använd.

Dessa två färger används för den första respektive den sista toleranszonen. Återstående toleranszoner får färger som sprids jämnt mellan start- och slutfärgerna. Riktningen för avstånden mellan färgerna beror på vilket alternativ du väljer:

  • Med alternativet Medurs anges samma ljusstyrka för slutfärgen som för startfärgen, och färgerna sprids i riktningen medurs.

  • Med alternativet Moturs anges också samma ljusstyrka för slutfärgen som för startfärgen, men färgerna sprids i riktningen moturs.

  • Med alternativet Rak linje sprids färgerna från startfärgen till slutfärgen, oavsett ljusstyrka, i en rak linje.

Om du klickar på Standard åsidosätter de här ändringarna de tidigare standardfärgerna för toleranser. Om du klickar på Återkalla återställs standardfärgerna.


Visa och animera körvägar

I PC-DMIS finns en funktion för att skapa färgade linjer på CAD-modellen i Grafikfönstret för att visa längs vilken väg en mätspets flyttas över detaljen, när markerade element mäts. Dessa linjer kallas för körvägar. Med hjälp av körvägar kan du förhandsgranska mätspetsens rörelse och felsöka möjliga kollisionsområden.

Här visas mätspetsens körväg på den grafiska bilden av detaljen.

Obs! Du kan ange storlek och färg för körvägarna genom att ändra värdena för följande registerposter med hjälp av PC-DMIS Inställningar: DrawPathLinesRadiusInMM och PathLinesColorRGB. Mer information om hur du ändrar registerposter finns i avsnittet Ändra registerposter.

Mer:

Animera körvägen

Uppdatera körvägen

Kollisionsdetektering


Animera körvägen

Med alternativet Animera körväg sker bara en simulering av mätspetsens rörelse. Detaljprogrammet körs inte.

Med alternativet Åtgärder | Grafikfönster | Animera körväg animeras körvägen för mätspetsen på detaljen så att mätspetsens rörelse simuleras.

Så här gör du alternativet Animera körväg tillgängligt:

  1. Markera de aktuella elementen.

  2. Välj menykommandot Markera körväg. Alternativet Animera körväg kan nu väljas. Visa menykarta

  3. Välj menykommandot Animera körväg. I PC-DMIS visas fönstret Inställningar, körning och körvägen animeras automatiskt med en simulerad mätspets.

Animeringen kan stoppas när som helst genom att du trycker på ESC på tangentbordet eller klickar på Stopp i körningsfönstret. (Om kommandoknappen Stopp har valts kan du också avbryta animeringen genom att trycka på RETUR.)

För att stega igenom detaljprogrammet klickar du på Fortsätt.

För att stoppa animeringen klickar du på Stopp.

Om du klickar på Avbryt stängs fönstret Inställningar, körning och körningen av detaljprogrammet slutförs inte.

Om du klickar på körvägen med pilikonen och vänster musknapp flyttas insättningspunkten till motsvarande kommandorad i Redigeringsfönstret. Nästa tillgängliga element i körvägen indikeras.


Uppdatera körvägen

Om en rörelse infogas före en PH9-vridning ändras inte platsen för vridningen förrän kommandot Uppdatera körväg väljs.

Med menyalternativet Åtgärder | Grafikfönster| Uppdatera körväg uppdateras körvägarna för detaljprogrammet. De aktuella körvägarna raderas på skärmen och ritas upp på nytt. Det här alternativet är användbart om ett detaljprogram har ändrats och du behöver bekräftelse på att körvägarna verkligen återspeglar aktuell status för detaljprogrammet.

Obs! Alternativet Uppdatera körväg är bara tillgängligt efter att element har markerats i Redigeringsfönstret och alternativet Visa körväg har markerats.


Kollisionsdetektering

Med menyobjektet Åtgärder | Grafikfönster | Kollisionsdetektering (CD) öppnar du dialogrutan Kollisionsdetektering. CD-modulen har utformats för att hitta kollisioner mellan mätspetsen och CAD-ytor. Alla CAD-kurvor, -linjer och -punkter ignoreras. Detta innebär att endast CAD-filer där detaljen beskrivs fullständigt med hjälp av ytor kan användas för kollisionsdetektering. (CD-algoritmen arbetar inte utifrån de faktiska ytdefinitionerna, utan utifrån yttesselleringar (eller grafiska uppskattningsvärden), som också används för att skapa solida vyer med OpenGL-grafikspråket.)

Mer:

Så här aktiverar du funktionen för kollisionsdetektering:

Så här konfigurerar du en vy för OpenGL-läge:

Alternativ i dialogrutan Kollisionsdetektering


Så här aktiverar du funktionen för kollisionsdetektering:

  1. Importera en detaljmodell som innehåller ytdata.

  2. Kontrollera att detaljmodellen visas i Ytläge i Grafikfönstret. Kollisionsdetektering fungerar inte i läget Trådmodell. Se Så här konfigurerar du en vy för OpenGL-läge:".

  3. Välj menyalternativet Åtgärder | Grafikfönster | Visa körväg. Åtgärden utförs och körvägarna för mätspetsen visas i Grafikfönstret. Se Visa och animera körvägar. Visa menykarta

  4. Välj menyalternativet Åtgärder | Grafikfönster | Kollisionsdetektering. Dialogrutan Kollisionsdetektering visas i PC-DMIS. Se Alternativ i dialogrutan Kollisionsdetektering. Visa menykarta


Så här konfigurerar du en vy för OpenGL-läge:

Så här konfigurerar du en vy för OpenGL-läge:

  1. Klicka på ikonen Vyer för att öppna dialogrutan Konfigurera vyer. Visa menykarta

  2. Markera kryssrutan Solider.

  3. Klicka på knappen Verkställ.

  4. Klicka på knappen OK.

  5. Klicka på ikonen Yta i verktygsfältet Grafik.


Alternativ i dialogrutan Kollisionsdetektering

Kollisioner visas i dialogrutan Kollisionsdetektering.

Dialogrutan Kollisionsdetektering

  • Om du markerar kryssrutan Stanna vid kollision stoppas kollisionsdetekteringen under mätspetsanimering om en kollision uppstår.

  • De andra alternativen i dialogrutan fungerar som alternativen i dialogrutan Inställningar, körning. (Se Köra detaljprogram i avsnittet Använda avancerade filalternativ)

När en kollisionsdetektering har slutförts i PC-DMIS ritas körvägarna om i Grafikfönstret. Platserna för de kollisioner som uppstått visas med rött.

Mätspetsvisning

Mätspetsen visas med grön färg i området där mätspetsen visas. Om en kollision uppstår visas den kolliderande delen av mätspetsen i rött. Samma färgschema används för att rita mätspetsen på skärmen, liksom i dialogrutan Kollisionsdetektering.

  • Du kan förstora eller förminska ritningen av mätspetsen på samma sätt som du gör med detaljer i Grafikfönstret genom att klicka med höger musknapp nedanför eller ovanför en tänkt vågrät linje.

  • Du kan 3D-rotera ritningen av mätspetsen genom att hålla ned CTRL och dra med musen (använd höger musknapp).

Med knappen Passa skala kan du förminska eller förstora ritningen av mätspetsen så att den passar i området där mätspetsen visas i dialogrutan Kollisionsdetektering.


Ta bort CAD

Dialogrutan Ta bort CAD

Med menyobjektet Redigera | Ta bort | Cad-element öppnar du dialogrutan Ta bort CAD.

I den här dialogrutan kan du permanent ta bort de nominella bilderna av element från Grafikfönstret. Detta är användbart om du vill förenkla en importerad CAD-fil innan du skapar ett mätprogram. En CAD-fil kan till exempel innehålla text eller annan beskrivande information som inte påverkar mätningen av detaljen. I dialogrutan Ta bort CAD kan du ta bort den här överflödiga informationen.

Mer:

Elementtyper

Antal valda element

Antal borttagna element

Ta bort CAD

Ångra CAD-borttagning

Avmarkera


Elementtyper

I området Elementtyp i dialogrutan finns kryssrutor som du kan använda för att ange vilken/vilka typ(er) av element som ska tas bort. Du kan välja mellan följande:

  • Punkter

  • Linjer

  • Cirklar

  • Bågar

  • Kurvor

  • Ytor


Antal valda element

Med det här alternativet anges antalet element som ska ändras i PC-DMIS.


Antal borttagna element

I rutorna Antal borttagna visas antalet element som har tagits bort. Siffrorna i fälten ändras beroende på vilka element som har markerats i området Elementtyper i dialogrutan.


Ta bort CAD

Med kommandoknappen Ta bort kan du ta bort alla nominella element som har valts i PC-DMIS.


Ångra CAD-borttagning

Med kommandoknappen Ångra kan du återställa alla nominella element som just har tagits bort i PC-DMIS.


Avmarkera

Med knappen Avmarkera kan du avmarkera element som tidigare markerats i PC-DMIS.


Ta bort element

I PC-DMIS kan du ta bort befintliga element på tre sätt:

  • Du kan välja element i Redigeringsfönstret och trycka på DELETE-tangenten.

  • Du kan använda dialogrutan Ta bort element. (Se beskrivning nedan.)

  • Du kan placera insättningspunkten i Redigeringsfönstret och välja menyobjektet Ta bort [Element] . (Se beskrivning nedan.)

Mer:

Borttagning med dialogrutan Ta bort element

Borttagning med menyobjektet Ta bort [Element]


Borttagning med dialogrutan Ta bort element

Dialogrutan Ta bort element

Om du väljer menyobjektet Redigera | Ta bort | Element visas dialogrutan Ta bort element. Med den här dialogrutan kan du ta bort mätta eller konstruerade element permanent från detaljprogrammet. Använd det här alternativet när det finns ett antal onödiga element som behöver tas bort.

I dialogrutan Ta bort element kan du skriva in ID-numret, klicka på elementet eller välja det senast skapade elementet genom att ange ett tal. I PC-DMIS kan du också återställa element som just har tagits bort. När du klickar på OK tas de markerade elementen bort.

Obs! När ett mätt element tas bort från Grafikfönstret tas alla utvärderingar och referenser som kopplats till elementet bort automatiskt från detaljprogrammet i PC-DMIS.

Mer:

Ta bort element

Ångra borttagning av element

Töm lista


Ta bort element

Med knappen Ta bort kan du ta bort alla element som har markerats för borttagning. Borttagningen är inte permanent förrän du klickar på OK.


Ångra borttagning av element

Med kommandoknappen Ångra kan du återställa alla borttagna element som har tagits bort med knappen Ta bort. Du kan inte använda knappen för att återställa borttagna element efter att du har klickat på OK.


Töm lista

Med kommandoknappen Töm lista tömmer du listrutan med alla element som markerats för att tas bort.


Borttagning med menyobjektet Ta bort [Element]

Med menyobjektet Redigera | Ta bort | Ta bort [Element] kan du ta bort det element som finns vid insättningspunkten i Redigeringsfönstret. [Element] motsvarar ID:t för det element som ska tas bort (t.ex. Ta bort PNT1). När ett detaljprogram skapas placeras insättningspunkten vanligtvis i slutet av programmet. Om du väljer menyobjektet Ta bort [Element] tas alltså det sista elementet i detaljprogrammet bort.


Ta bort utvärderingar

Dialogrutan Ta bort utvärderingar

I dialogrutan Ta bort utvärderingar (Redigera | Ta bort | Utvärderingar) kan du ta bort utvärderingar permanent från detaljprogrammet. Använd det här alternativet när det finns ett antal onödiga utvärderingar som behöver tas bort.

I dialogrutan Ta bort utvärderingar kan du skriva in ID-numret, klicka på utvärderingen, välja alla utvärderingar eller de senast skapade utvärderingarna genom att skriva en siffra i rutan Välj sista. I PC-DMIS kan du också återställa borttagna utvärderingar genom att klicka på knappen Ångra innan du klickar på OK. När du klickar på OK tas de markerade utvärderingarna bort permanent.

Mer:

Ta bort utvärderingar

Ångra borttagning av utvärderingar

Töm lista


Ta bort utvärderingar

Med knappen Ta bort placerar du textfragmentet "del" efter alla utvärderingar som är valda i listan när du klickar på Ta bort. Du kan välja alla utvärderingar i listan genom att klicka på Markera allt. Borttagningen är inte permanent förrän du klickar på OK.


Ångra borttagning av utvärderingar

Med kommandoknappen Ångra kan du återställa alla borttagna utvärderingar som har markerats för borttagning med knappen Ta bort. Du kan inte använda knappen för att återställa borttagna utvärderingar efter att du har klickat på OK.


Töm lista

Med kommandoknappen Töm lista tömmer du listrutan med alla utvärderingar som markerats för att tas bort.


Högerhandsregeln: Om du placerar tummen på din högerhand i samma riktning som vektorn och böjer de andra fingrarna mot handflatan, pekar dina fingrar i riktningen för den positiva vinkelrotationen.

Du kan markera kryssrutan Ange rotationsmatris för att skriva in värdena för rotationsmatrisen manuellt. Kolumnerna anger axlarna för rotationen. Följande begränsningar gäller:

  • Varje axel i matrisen måste vara ortogonal mot de andra två axlarna. Varje axelpar måste alltså utgöra en 90-graders vinkel.

  • Varje axel måste vara en enhetsvektor. Längden för axeln måste alltså vara ett.

Om någon av dessa begränsningar överträds när du verkställer transformationen visas ett meddelande som beskriver problemet . Dessutom korrigeras rotationsmatrisen automatiskt.

Transformera en CAD-modell

I PC-DMIS 4.0 och senare versioner kan du transformera (flytta, skalanpassa och rotera) en CAD-modell. Om du vill kan du också behålla en kopia av den ursprungliga CAD-modellen och skapa ett nytt koordinatsystem för den transformerade modellen.

För att transformera en CAD-modell öppnar du dialogrutan CAD-transformering genom att välja Åtgärder | Grafikfönster | Transformera. När dialogrutan visas gör du inställningar efter behov och klickar sedan på OK eller Verkställ.

Dialogrutan CAD-transformering

Objekt i dialogrutan

Beskrivning

Behåll originalet

Med den här kryssrutan kan du behålla en kopia av den ursprungliga CAD-modellen.

Skapa nytt koordinatsystem

Med den här kryssrutan skapar du ett nytt koordinatsystem för den transformerade CAD-modellen. Mer information finns i Arbeta med CAD-koordinatsystem.

Flytta

I det här området definieras XYZ-offsetvärdena för flyttningen av modellen.

Skala

I det här området anger du hur CAD-modellen ska skalanpassas. Detta kan vara användbart om du vill korrigera modeller som är felaktigt skalanpassade på grund av felaktiga enheter. Exempel: om modellen är skapad för millimeter, men du vet att det borde vara tum, kan du skalanpassa modellen med faktorn 25,4.

Med kryssrutan Enhetlig skalanpassar du modellen enhetligt. Om du vill skalanpassa en axel i modellen avmarkerar du kryssrutan Enhetlig. Låt värdet vara 1 för axlar som du inte vill skalanpassa och ändra värdet för den axel du vill skalanpassa. Du kan också skalanpassa axlar med negativa värden. Detta är användbart om du vill spegla en axel. I så fall anger du värdet –1 för axeln.

Spegla

I den här delen kan du spegla CAD-modellen. Spegling är samma funktion som du utför när du använder Skala med värdet –1 för spegelaxeln.

Rotera

I det här området anger du hur CAD-modellen ska roteras. Skriv in ett värde för hur du vill rotera modellen i rutan Vinkel.

Vridningsaxel

I det här området definieras den linje som CAD-modellen ska roteras kring. Modellen roterar kring den här linjen med det angivna vinkelvärdet. Rotationsriktningen följer högerhandsregeln.

Du kan använda en av koordinatsystemaxlarna som rotationslinje genom att välja alternativknappen för X-, Y- eller Z-axeln.

Om du inte vill rotera runt en av koordinatsystemaxlarna kan du rotera runt en godtycklig linje genom att välja alternativknappen Linje. Då aktiveras områdena Riktning för linjen och Punkt på linjen. Fyll i de här områdena för att ange punkten och vektorn som utgör den godtyckliga linjen.

Rotationsmatris

När du anger en ny transformation för en CAD-modell fylls det här området automatiskt i med värdena som ska användas i en 3 × 3-matris. Denna 3 × 3-matris roterar CAD-modellen.

Vanligtvis behöver du inte fylla i något i det här området, eftersom det i huvudsak är avsett endast som information.

För avancerade användare:


Arbeta med CAD-koordinatsystem

Dialogrutan CAD-koordinatsystem

Om du väljer menyobjektet Redigera | Grafikfönster | CAD-koordinater visas dialogrutan CAD-koordinatsystem. I dialogrutan CAD-koordinatsystem kan du skapa eller välja nya koordinatsystem för en CAD-modell.

I listan Koordinatsystem till vänster i dialogrutan visas alla koordinatsystem i CAD-modellen. Koordinatsystemen som står först i listan är de globala koordinatsystemen. Koordinatsystemet Standard visas alltid i listan.

Om CAD-modellen är en komplettenhet med komponentdetaljer följs de globala koordinatsystemen i listan av alla koordinatsystem i komplettenheten. Systemen visas i en trädstruktur. För att expandera trädstrukturen klickar du på en plussymbol (+). Koordinatsystemen för komponentdetaljerna visas i PC-DMIS. Ett Standard-koordinatsystem för varje detaljkomponent i komplettenheten visas alltid i listan. Det här koordinatsystemet definierar det lokala standardkoordinatsystemet för detaljen.

När du öppnar dialogrutan CAD-koordinatsystem görs en kontroll i PC-DMIS för att se om det aktuella aktiva koordinatsystemet matchar ett koordinatsystem i listan:

  • Om en matchning finns markeras den i listan i PC-DMIS.

  • Om det inte finns något matchande koordinatsystem används koordinatsystemet Standard högst upp i listan. Detta kan hända om du har transformerat CAD utan att skapa ett koordinatsystem (mer information finns i avsnittet om dialogrutan CAD-transformering).

Så här väljer och använder du koordinatsystem

Så här använder du ett befintligt koordinatsystem

  1. Markera koordinatsystemet i listan Koordinatsystem. Koordinatsystemet visas i grafikfönstret i PC-DMIS. Om du markerar en komponent i en komplettenhet markeras det första koordinatsystem för komponenten i stället.

  2. Klicka på Verkställ eller OK. Det markerade koordinatsystemet blir det nya aktiva koordinatsystemet och CAD ritas om i PC-DMIS för att motsvara den nya positionen.

Så här skapar du ett koordinatsystem

För att skapa ett koordinatsystem vid positionen för den aktuella CAD-modellen klickar du på Skapa. Du kan ändra positionen för CAD-modellen med hjälp av dialogrutan CAD-transformering. Mer information om att transformera CAD-modeller finns i Transformera en CAD-modell.

Så här byter du namn på ett koordinatsystem

För att byta namn på ett koordinatsystem markerar du systemet i listan och klickar på Byt namn. Skriv sedan in det nya namnet.

Det går inte att byta namn på Standard-koordinatsystem.

Så här tar du bort ett koordinatsystem

För att ta bort namn på ett koordinatsystem markerar du systemet i listan och klickar på Ta bort. Det valda koordinatsystemet tas bort i PC-DMIS.

Det går inte att ta bort Standard-koordinatsystem eller koordinatsystem för komplettenheter.

Så här ersätter du ett koordinatsystem

För att ersätta eller skriva över ett befintligt koordinatsystem med positionen för den aktuella CAD-modellen markerar du ett koordinatsystem i listan och klickar på Ersätt.

Det går inte att ersätta Standard-koordinatsystem eller koordinatsystem för komplettenheter.


Redigera ett detaljprogram

Redigera ett detaljprogram: Inledning

Använda standardkommandon för redigering

Ångra

Gör om

Klippa ut

Kopiera

Klistra in

Ta bort

Markera allt

Redigera elementmönster

Mönster

XYZ-förskjutning (offset)

Vinkeloffset

Antal gånger

Vänd X, Y, Z

Klistra in (mönster)

Söka och ersätta text

Sök

Använda jokertecken

Använda fördefinierade teckenuppsättningar

Så här söker du efter ett ord eller en fras:

Ersätt

Sök efter

Ersätt med

Matcha hela ord

Matcha gemener/VERSALER

Använda mönstermatchning

Knappen Sök nästa

Knappen Ersätt

Knappen Ersätt alla

Redigera datafält

Hoppa till angivna radnummer

Hoppa till och från refererade kommandon

Ändra igenkända element

Ändra hittade nominella värden

Om dialogrutan Omprojicera (SökNom)

Kolumnerna Prioritetsyta, Genomborrningspunkt och Linproj-punkt

Rutan Tolerans

Kryssrutan Använd föregående yta

Knappen Omprojicera

Använda dialogrutan Omprojicera (SökNom) i inlärningsläget:

Procedur 1: Söka efter nominella punkter på föregående yta

Procedur 2: Söka efter nominella punkter på prioritetsytor

Procedur 3: Söka efter nominella punkter på alla CAD-ytor

Procedur 4: Välja en nominell punkt senare

När du har valt den bästa nominella punkten

Använda Omprojicera (SökNom) i körningsläget:

Använda dialogrutan Omprojicera (SökNom) i Redigeringsfönstret:

Markera kommandon för körning

Markera

Så här avmarkerar du angivna rader inom ett element:

Markera alla

Ta bort alla markeringar

Överordnat läge

Underordnat läge

Läge 'Ny uppriktning'

Skapa och köra markeringsgrupper

Ett exempel på fönstret Markeringsgrupper

Så här skapar du nya markeringsgrupper

Så här lägger du till element i befintliga markeringsgrupper

Så här tar du bort element från befintliga markeringsgrupper

Så här anpassar du ikoner för markeringsgrupper

Så här flyttar du markeringsgrupper

Så här kör du markeringsgrupper

Så här låser du markeringsgrupper

Så här tar du bort markeringsgrupper

Använda brytpunkter

Växla brytpunkt PÅ/AV

Infoga standardbrytpunkter

Ta bort standardbrytpunkter

Ta bort alla brytpunkter

Sätta startpunkter

Använda bokmärken

Växla bokmärke PÅ/AV

Nästa bokmärke

Töm alla bokmärken

Ändra teckensnitt och färger

Redigera externa objekt


Redigera ett detaljprogram: Inledning

Huvudsyftet med PC-DMIS är att du ska kunna skapa, redigera och köra detaljprogram på ett enkelt och smidigt sätt. I det här avsnittet beskrivs hur du använder alternativen på Redigera-menyn (med andra menyalternativ) för att redigera detaljprogram. Du använder Redigera-menyn för de kommandon som visas i Redigeringsfönstret men själva Redigeringsfönstret beskrivs inte i det här avsnittet. Mer information om Redigeringsfönstret finns i avsnittet Använda Redigeringsfönstret.

I det här avsnittet beskrivs följande:

  • Använda standardkommandon för redigering

  • Redigera elementmönster

  • Söka och ersätta text

  • Redigera datafält

  • Hoppa till angivna radnummer

  • Hoppa till och från refererade kommandon

  • Ändra igenkända element

  • Ändra hittade nominella värden

  • Markera kommandon för körning

  • Skapa och köra markeringsgrupper

  • Använda bokmärken

  • Använda brytpunkter

  • Ändra teckensnitt och färger

  • Redigera externa objekt


Använda standardkommandon för redigering

I PC-DMIS kan du använda samma standardredigeringskommandon i detaljprogram som i de flesta Windows-program. Följande standardmenyalternativ är tillgängliga:

  • Ångra

  • Gör om

  • Klippa ut

  • Kopiera

  • Klistra in

  • Ta bort

  • Markera allt


Ångra

Med menyalternativet Redigera | Ångra kan du återställa den senaste ändringen du gjorde i Redigeringsfönstret. Du kan välja alternativet Ångra fler gånger för att återställa fler ändringar i Redigeringsfönstret.

Obs! Om du växlar till ett annat läge försvinner alla ändringar ur minnet, så att du inte kan använda det här alternativet.


Gör om

Med menyalternativet Redigera | Gör om återställer du de senaste ändringarna som du gjorde med menyalternativet Ångra. Precis som med alternativet Ångra kan du använda alternativet Gör om flera gånger för att återställa flera ändringar.

Obs! Om du växlar till ett annat läge försvinner alla ändringar ur minnet, så att du inte kan använda det här alternativet.


Klippa ut

Med menyalternativet Redigera | Klipp ut kan du "klippa ut" eller flytta text från ett område till ett annat område med hjälp av Urklipp.

Så här klipper du ut text:

  1. Markera det/de objekt som ska flyttas.

  2. Välj alternativet Klipp ut. Texten tas bort från Redigeringsfönstret och sparas i Urklipp.

  3. Välj kommandot Klistra in när du vill klistra in den urklippta texten. (Se Klistra in.)

Obs! När du väljer kommandot Klipp ut ersätts det tidigare innehållet i Urklipp med den nya markering som du klipper ut.


Kopiera

Med menyalternativet Redigera | Kopiera kan du också kopiera och flytta text från ett område till ett annat område med hjälp av Urklipp. Den enda skillnaden mellan det här alternativet och alternativet Klipp ut är att texten inte tas bort från Redigeringsfönstret när den kopieras.

Så här kopierar du text:

  1. Markera texten som du vill kopiera.

  2. Välj kommandot Kopiera. Texten finns kvar på den ursprungliga platsen, men sparas också i Urklipp.

  3. Välj kommandot Klistra in när du vill klistra in den kopierade texten. (Se Klistra in.)

Obs! När du väljer kommandot Kopiera ersätts det tidigare innehållet i Urklipp med den nya markering som du kopierar.


Klistra in

Med menyalternativet Redigera | Klistra in kan du klistra in kopierad text från Urklipp vid insättningspunkten i Redigeringsfönstret.


Ta bort

Med menyalternativet Redigera | Ta bort tar du bort det som är markerat för tillfället i Redigeringsfönstret. Det som tas bort sparas inte i Urklipp.


Markera allt

Med menyalternativet Redigera | Markera allt kan du markera allt innehåll i Redigeringsfönstret för redigering.


Redigera elementmönster

Elementmönster är vanligt i detaljer. I PC-DMIS kan du skapa nya elementmönster. Läs mer om följande menyalternativ:

  • Mönster

  • Klistra in (mönster)


Mönster

Med menyalternativet Redigera | Mönster öppnar du dialogrutan Mönster.

Dialogrutan Mönster

Med den här dialogrutan kan du definiera det mönster som ska användas när du väljer alternativet Redigera | Klistra in (mönster).

Så här skapar du ett mönster:

  1. Öppna dialogrutan Mönster.

  2. Skriv in de värden du vill använda.

  3. Välj ett speglingsalternativ.

  4. Ange hur många upprepningar som ska användas i rutan Antal gånger.

  5. Klicka på knappen OK.

  6. Du kan också klicka på Avbryt om du vill stänga dialogrutan utan att ändra de aktuella inställningarna.

Mer:

XYZ-förskjutning (offset)

Vinkeloffset

Antal gånger

Vänd X, Y, Z


XYZ-förskjutning (offset)

I de här fälten kan du ange X-, Y- och Z- offset mellan mönsterförekomster.

Så här ändrar du värdet för X-, Y- eller Z-offset:

  1. Markera rutan X-, Y- eller Z-offset.

  2. Skriv in det värde du vill använda.

Nominella X-, Y- och Z-data för det inklistrade elementet (eller elementgruppen) förskjuts enligt dessa värden.


Vinkeloffset

Med rutan Vinkeloffset kan du ange vinkelförskjutningen (offset) mellan mönsterförekomster.

En vinkelförskjutning kan vara användbar när du mäter lägeriktigheten för ett antal hål i ett bulthålmönster, där referensen var ett hål i mitten av mönstret. Förskjutningen roteras kring nollpunkten.

Vinkelförskjutningar kan användas tillsammans med XYZ-förskjutningar och vändningar. Förskjutningarna används i följande ordning: först vändningar, sedan rotationer och slutligen förflyttningar.

Så här ändrar du vinkelförskjutningen:

  1. Markera rutan Vinkeloffset i dialogrutan.

  2. Skriv in det värde du vill använda.


Antal gånger

Med det här alternativet kan du ange hur många gånger ett mönster ska upprepas. För att ändra det aktuella värdet väljer du det här alternativet och skriver ett nytt värde. Standardvärdet är 1.


Vänd X, Y, Z

Med alternativen Vänd X, Vänd Y, och Vänd Z speglar du mönstret kring X-, Y- eller Z-axeln. Det ursprungliga mönstret vänds kring X-, Y- eller Z-axeln innan det flyttas eller roteras.


Klistra in (mönster)

Med alternativet Redigera | Klistra in (mönster) klistras det element (eller den elementgrupp) som finns i Urklipp in i Redigeringsfönstret på den plats där insättningspunkten finns. När du gör detta skapas nya element utifrån de element som finns i Urklipp. För de element som skapas används dock de tidigare definierade mönstren. Mer information finns i Mönster.

Så här klistrar du in element med ett mönster:

  1. Kontrollera att rätt värden har angetts i dialogrutan Mönster (välj menyalternativet Mönster).

  2. Kontrollera att elementet (eller elementgruppen) som du vill klistra in med mönster har markerats och kopierats till Urklipp.

  3. Placera insättningspunkten på den plats i detaljprogrammet där de nya elementen ska infogas.

  4. Välj menyalternativet Redigera | Klistra in (mönster).

Innehållet i Urklipp klistras in så många gånger som anges av värdet för Antal gånger i dialogrutan Mönster. Varje gång som innehållet i Urklipp klistras in upprepas det/de skapade elementet/elementen med hänsyn till det/de tidigare infogade elementet/elementen, enligt de definierade värdena. ID-värdena för de nya elementen skapas utifrån ID-värdet från respektive ursprungligt element. Dessutom visas de nya elementen i Grafikfönstret.


Söka och ersätta text

Du kan söka efter och ersätta text i fält i Redigeringsfönstret med hjälp av standarduttryck som beskrivs i avsnitten om följande menyalternativ:

  • Sök

  • Ersätt


Sök

Med menyalternativet Redigera | Sök öppnar du dialogrutan Sök som du kan använda för att söka efter text i Redigeringsfönstret.

Dialogrutan Sök

Mer:

Använda jokertecken

Använda fördefinierade teckenuppsättningar

Så här söker du efter ett ord eller en fras:


Använda jokertecken

För att använda jokertecken för mönsterigenkänning när du söker markerar du kryssrutan Använd mönstermatchning.

Med det här alternativet kan du också söka efter text som matchar olika typer av sökkriterier. Nedan följer en beskrivning:

Vad vill du söka efter? | Jokertecken som kan användas | Exempel
Valfritt tecken | . | "D.M" matchar både "DIM" och "D4M".
Ett av de angivna tecknen | [ ] | "D[MI]S" matchar "DIS" och "DMS" men inte "DMIS" eller "DUS".
Ett valfritt tecken i ett intervall | [-] | "LINJE[2-6]" matchar "LINJE2" och "LINJE3", men inte "LINJE1" eller "LINJE7". Intervallet måste vara i stigande ordning.
Valfritt tecken utom tecknet/tecknen inom hakparenteser | [^] | PUNKT[^32] matchar "PUNKT1", "PUNKT5" och "PUNKT12", men inte "PUNKT3", "PUNKT2", "PUNKT21" eller "PUNKT30".
Valfritt tecken utom ett teckenintervall inom hakparenteser | [^x-z] | LINJE[^2-5] matchar "LINJE6" och "LINJEH" men inte "LINJE3"
Teckenuppsättningar som innehåller tecknet "-" ska ha tecknet "-" som första eller sista tecken i intervallet. Om intervallet inte innehåller "-" ska tecknet "-" vara det andra tecknet. | [-] | LINJE[0-9-] matchar "LINJE4" och "LINJE-". LINJE[^-0-9] matchar "LINJEH" men inte "LINJE-".
0 eller fler förekomster av föregående tecken, om inte följande gäller: "*" inleder en sträng "*" följer efter tecknet "^" som inleder en sträng "*" inleder ett underuttryck inom parenteser | * | lo*p matchar "lp" och "looooop". ^* matchar tecknet "*" om det står först på en rad.
En rad som inleds med en angiven fras eller ett angivet tecken. Tecknet "^" är bara ett specialtecken om det står först i en sträng. | ^ | ^CIRKEL matchar alla rader som inleds med ordet "CIRKEL". Observera att rader med indrag i Redigeringsfönstret inleds med blanksteg.
En rad som avslutas med en angiven fras eller ett angivet tecken. Tecknet "$" är bara ett specialtecken om det står sist i en sträng. | $ | SLUTMÄT/$ matchar rader som slutar med "SLUTMÄT/" men inte "MÄT/"


Använda fördefinierade teckenuppsättningar

För att matcha en fördefinierad teckenuppsättning markerar du kryssrutan Använd mönstermatchning. Därefter kan du söka i texten med hjälp av följande fördefinierade teckenuppsättningar:

Teckenuppsättning | Tecken i uppsättningen
[[:alnum:]] | ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789
[[:alpha:]] | ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz
[[:blank:]] | (Blankstegs- och tabbtecknen)
[[:digit:]] | 0123456789
[[:graph:]] | ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789!"#$%&'()*+,-./:;<=>?@[\]^_`{|}~
[[:lower:]] | abcdefghijklmnopqrstuvwxyz
[[:print:]] | ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz 0123456789!"#$%&'()*+,-./:;<=>?@[\]^_`{|}~
[[:punct:]] | !"#$%&'()*+,-./:;<=>?@[\]^_`{|}~
[[:upper:]] | ABCDEFGHIJKLMNOPQRSTUVWXYZ
[[:xdigit:]] | 0123456789ABCDEFabcdef

Exempel: För att söka efter en sträng som består av en bokstav, följt av några bokstäver eller siffror som sedan följs av den första bokstaven använder du en bakåtreferens, enligt följande: \([[:alpha:]]\)[[:alnum:]]\{1,\}\1.


Så här söker du efter ett ord eller en fras:

  1. Välj Redigera | Sök i menyraden.

  2. Skriv ett ord eller en fras som du vill söka efter.

  3. Ange sökvägen (uppåt eller nedåt).

  4. Markera kryssrutan Matcha hela ord om du vill att endast hela ord ska hittas. Om du till exempel skriver "CIR" och markerar kryssrutan hittas "CIR" men inte "CIRKEL".

  5. Markera kryssrutan Matcha gemener/VERSALER om du vill att endast ord med samma användning av gemener/VERSALER ska hittas.

  6. Klicka på Sök (eller tryck på RETUR).


Ersätt

Alternativet Redigera | Ersätt liknar alternativet Sök (se Sök). När du har hittat texten du söker efter kan du ersätta texten med hjälp av dialogrutan Ersätt.

Dialogrutan Ersätt

I tidigare versioner än 3.6 gick det bara att söka efter och ersätta text i redigerbara fält i Redigeringsfönstret. Du kunde till exempel inte ersätta

VISA_MÄTPKT=NEJ

med

VISA_MÄTPKT=JA

eftersom VISA_MÄTPKT= var ett konstantfält. Det gick bara att ersätta den redigerbara delen av kommandot (NEJ eller JA).

I PC-DMIS 3.6 och senare kan du dock söka efter och ersätta alla matchande textsträngar, förutsatt att den sista delen av strängen motsvarar ett redigerbart fält och det bara är det redigerbara fältet i strängen som ändras.

Ett exempel på en sök och ersätt-åtgärd som fungerar:

=AUTO/CIRKEL,VISA_ALLA_PARAMETRAR = NEJ

som ersätts med

=AUTO/CIRKEL,VISA_ALLA_PARAMETRAR = JA

Observera att slutet av strängen motsvarar ett redigerbart fält. Det är bara det sista redigerbara fältet som kan ändras jämfört med söksträngen.

Ett exempel på en sök och ersätt-åtgärd som INTE fungerar:

Det går inte att till exempel ersätta två redigerbara fält med en ersättningsåtgärd - så här:

=AUTO/CIRKEL,VISA_ALLA_PARAMETRAR = NEJ

kan inte ersättas med

=AUTO/LINJE,VISA_ALLA_PARAMETRAR = JA

eftersom CIRKEL som ersätts med LINJE är ett redigerbart fält, och NEJ som ersätts med JA är ett annat redigerbart fält.

Det går inte heller att göra följande:

=AUTO/CIRKEL,VISA_ALLA_PARAMETRAR

kan inte ersättas med

=AUTO/CIRKEL,MITT_VISA_ALLA

eftersom du försöker ersätta ett konstantfält.

Mer:

S ök efter

Ersätt med

Matcha hela ord

Matcha gemener/VERSALER

Använda mönstermatchning

Knappen Sök nästa

Knappen Ersätt

Knappen Ersätt alla


Sök efter

I den här rutan anger du texten som du vill söka efter. Du kan använda ett eller flera av de jokertecken och sökmönster som beskrivs i avsnittet Sök. Se Sök.


Ersätt med

I den här rutan anger du den text som du vill ersätta söktexten med.


Matcha hela ord

Om du markerar den här kryssrutan hittas bara hela ord som innehåller söktexten. Om du till exempel skriver "CIR" i rutan Sök efter och markerar den här kryssrutan hittas bara ordet "CIR". Orden "CIRKEL" och "CIRKULÄR" hittas inte.


Matcha gemener/VERSALER

Med den här kryssrutan anger du att du bara vill söka efter text som ser likadan ut vad gäller gemener/VERSALER som texten i rutan Sök efter. Om du till exempel skriver "Punkt" i rutan Sök efter och markerar kryssrutan Matcha gemener/VERSALER hittas orden "Punkt" och "Punkter", men inte ordet "PUNKT".


Använda mönstermatchning

Med den här kryssrutan kan du söka efter angivna mönster i PC-DMIS. Markera den här kryssrutan när du söker efter mönstermatchningar med jokertecken eller andra typer av specialtecken.


Knappen Sök nästa

När du klickar på knappen Sök nästa görs en sökning efter nästa förekomst av texten som du söker efter.


Knappen Ersätt

Med knappen Ersätt ersätter du den hittade texten med textsträngen i rutan Ersätt med. På så sätt kan du ersätta en förekomst av söktexten i taget.


Knappen Ersätt alla

Om du klickar på knappen Ersätt alla görs en sökning efter alla förekomster av texten i rutan Sök efter och alla förekomster ersätts omedelbart med texten i rutan Ersätt med.


Redigera datafält

Guiden Edit Data Field

Guiden Edit Data Field är ett externt program som du kan använda med PC-DMIS för att ändra data i angivna datafält för vissa kommandotyper i Redigeringsfönstret. Du öppnar guiden genom att välja ikonen DataFieldEdit i verktygsfältet Guider.

Den här guiden är inte likadan som dialogrutan Ersätt. Med hjälp av guiden kan du ändra dataobjekt globalt i vilket läge som helst i Redigeringsfönstret, men dialogrutan Ersätt fungerar bara i kommandoläget. Dessutom kan du använda guiden för att ersätta vissa värden som du inte kan ändra med hjälp av dialogrutan Ersätt.

I dialogrutan Edit Data Field finns följande objekt:

Choose Command Type – I den här listan visas de tillgängliga kommandotyperna.

Choose Data Type – I den här listan visas datatyperna för den valda kommandotypen. Om du vill se alla datatyper i den här listan väljer du All Command Types i listan Choose Command Type.

Type Index – I den här rutan kan du ange det numeriska indexet för ett specifikt fält som du vill ändra. Detta kan vara användbart om du har fler än ett fält av samma datatyp och bara vill ändra ett av dem. Genom att skriva ett indexvärde anger du vilket fält som ska ändras. Exempel: För kommandot SÄKPLAN finns det två avståndsfält, ett för säkerhetsavståndet och ett för genomgångsavståndet. Om du skriver indexvärdet 1 ändras säkerhetsavståndet, och om du skriver 2 ändras genomgångsavståndet.

Change From – I det här området finns kryssrutan Use och en ruta med ett värde. Använd kryssrutan för att ange ett specifikt befintligt värde som du vill ändra. Detta innebär att endast de fält som innehåller det angivna värdet ändras i PC-DMIS.

Change To – I den här rutan kan du skriva det nya värdet för datafältet som du vill ändra.

Verify Each Change – Om du markerar den här kryssrutan visas ett meddelande med ID:t för det objekt som ska ändras, objektets aktuella värde och information om huruvida du vill ändra värdet för fältet till det nya värdet eller inte.

Change – Med den här knappen startar du processen för att söka efter datafält och ändra värden.

Status – I rutan längst ned i dialogrutan visas eventuella status- och diagnosmeddelanden under ändringsprocessen.


Hoppa till angivna radnummer

I PC-DMIS är det lätt att hoppa till angivna radnummer. Använd menyalternativet Redigera | Gå till för att hoppa till en angiven rad i Redigeringsfönstret.

Dialogrutan Gå till

Så här flyttar du insättningspunkten till ett angivet radnummer i kommandoläget eller DMIS-läget:

  1. Välj Redigera | Gå till på menyn. Dialogrutan Gå till öppnas.

  2. Den aktuella rad där insättningspunkten finns visas i rutan Radnummer i dialogrutan.

  3. Skriv numret på den rad du vill gå till.

  4. Klicka på OK (eller tryck på RETUR). Den angivna raden visas.


Hoppa till och från refererade kommandon

Om ett kommando refererar till ett annat kommando kan du hoppa till det refererade kommandot i kommandoläget i Redigeringsfönstret genom att markera det refererade kommandot och välja menyalternativet Redigera | Hoppa till. Visa menykarta

När det refererade kommandot visas kan du snabbt gå tillbaka till det tidigare elementet genom att välja menyalternativet Redigera | Hoppa tillbaka. Visa menykarta

Exempel: I ett uppriktningsblock finns de kommandon som visas nedan, och du vill hoppa till elementet LIN2 som refereras i blocket:

A1 =UPPRIKTNING/START,ÅTERKALLA:START, LISTA= JA

UPPRIKTNING/PRIMÄR,ZPLUS,PLAN1

UPPRIKTNING/ROTERA,XPLUS,TILL,LIN1,OMKRING,ZPLUS

UPPRIKTNING/FLYTTA,X-AXEL,LIN2

UPPRIKTNING/FLYTTA,Y-AXEL,LIN1

UPPRIKTNING/FLYTTA,Z-AXEL,PLAN1

UPPRIKTNING/SLUT

Du markerar LIN2 och väljer menyalternativet Hoppa till i menyraden, eller högerklickar och väljer alternativet på snabbmenyn. Därefter kan du hoppa tillbaka till det tidigare kommandot genom att välja Hoppa tillbaka.

Du kan också välja de här menyalternativen från den snabbmeny som visas när du högerklickar på element i kommandoläget i Redigeringsfönstret.


Ändra igenkända element

Med undermenyn Redigera | Ändra elementtyp kan du ändra typen för det element som mättes senast.

Om du till exempel mäter en cirkel och programmet felaktigt förutsätter att elementet är ett plan, kan du använda det här alternativet för att omvandla elementet till rätt typ. Du måste använda det här alternativet innan du mäter eller konstruerar fler element.

Så här använder du alternativet Ändra elementtyp:

  1. Öppna Redigeringsfönstret.

  2. Placera insättningspunkten på den felaktiga elementtypen i Redigeringsfönstret.

  3. På undermenyn Ändra elementtyp väljer du rätt elementtyp.

Elementet ändras i Redigeringsfönstret.


Ändra hittade nominella värden

Dialogrutan Omprojicera (SökNom)

Med dialogrutan Omprojicera (SökNom) kan du välja en lämplig nominell punkt från CAD-ytor för autoelement av typen Vektorpunkt eller Ytpunkt, samt enskilda mätpunkter i andra element (t.ex. scanresultat). Detta åsidosätter den vanliga SökNom-funktionen i inlärningsläget och körningsläget i PC-DMIS.

När du försöker hitta en giltig nominell punkt (inom SökNom-toleransen) genom att ta en manuell mätpunkt väljs oftast rätt punkt automatiskt. Men under vissa sällsynta omständigheter går det inte att hitta en lämplig punkt. I stället väljs en felaktig punkt i CAD-modellen. I en sådan situation kan du använda dialogrutan Omprojicera (SökNom) för att hitta en lämplig nominell punkt på CAD-ytorna.

Under rubrikerna nedan finns beskrivningar av dialogrutan och hur du använder den i olika lägen:

Mer:

Om dialogrutan Omprojicera (SökNom)

Använda dialogrutan Omprojicera (SökNom) i inlärningsläget:

Använda Omprojicera (SökNom) i körningsläget:

Använda dialogrutan Omprojicera (SökNom) i Redigeringsfönstret:


Om dialogrutan Omprojicera (SökNom)

Dialogrutan Omprojicera (SökNom)

Den här dialogrutan beskrivs under följande rubriker:

Mer:

Kolumnerna Prioritetsyta, Genomborrningspunkt och Linproj-punkt

Rutan Tolerans

Kryssrutan Använd föregående yta

Knappen Omprojicera


Kolumnerna Prioritetsyta, Genomborrningspunkt och Linproj-punkt

I det här området i dialogrutan finns följande tre kolumner:

1.) Prioritetsyta

2.) Genomborrningspunkt

3.) Linproj-punkt

Ett T-värde är avståndet mellan mätpunkten och den nominella punkten längs den nominella CAD-ytvektorn.

I kolumnerna visas de relevanta nominella punktvärdena och deras T-värden (värdet som visas till vänster om X-, Y- och Z-värdena inom parenteser).

Kolumnen Prioritetsyta – I den här kolumnen visas de ytor som du har sparat som prioritetsytor i dialogrutan Redigera CAD-element (Redigera | Grafikfönster | CAD-element). Visa menykarta

För varje yta visas typen och en kryssruta. Du kan använda kryssrutan för att lägga till eller ta bort ytan i listan med prioritetsytor. Om du markerar kryssrutan läggs ytan till i prioritetslistan. Om du avmarkerar kryssrutan tas ytan bort från listan.

Kolumnen Genomborrningspunkt – I den här kolumnen visas de nominella punktvärdena som hittats med åtgärden Genomborrningspunkt i PC-DMIS. Om texten "Misslyckad åtgärd" visas i den här kolumnen har åtgärden misslyckats, och det gick inte att hitta en nominell punkt på ytan. Den bästa nominella punkten som hittas med urvalsalgoritmen markeras med grönt i PC-DMIS. Du kan välja om du vill använda den här punkten eller inte.

Kolumnen Linproj-punkt – I den här kolumnen visas de nominella punktvärdena som hittats med åtgärden Linproj-punkt i PC-DMIS.


Rutan Tolerans

I rutan Tolerans kan du ange ett nytt toleransvärde som ska användas för sökning efter nominella punkter med den här dialogrutan.


Kryssrutan Använd föregående yta

Med kryssrutan Använd föregående yta anger du att den senast använda ytan ska användas för sökning efter nominella puntker. Den här kryssrutan blir tillgänglig när du har tagit en mätpunkt på en yta när dialogrutan är öppen. När du har tagit en mätpunkt finns det en yta som du kan arbeta med för fler mätpunkter.


Knappen Omprojicera

Med knappen Omprojicera ersätter du en felaktig nominell punkt som har hittats i PC-DMIS med den nominella punkt som du väljer i listan med kolumnerna Prioritetsyta, Genomborrningspunkt och Linproj-punkt.


Använda dialogrutan Omprojicera (SökNom) i inlärningsläget:

Så här öppnar du dialogrutan i inlärningsläget:

  1. Markera kryssrutorna Enbart punkter och Sök nom. på fliken Allmänt i dialogrutan Inställningsval (Redigera | Alternativ | Inställningar). Visa menykarta

  2. Kontrollera att du har importerat en CAD-ytmodell.

  3. Klicka på ikonen Yta i verktygsfältet Grafik.

  4. Välj menyalternativet Omprojicera (SökNom) . Dialogrutan Omprojicera (SökNom) visas.

När dialogrutan Omprojicera (SökNom) är öppen och du tar en manuell mätpunkt följs den vanliga programlogiken för att välja en så noggrann nominell punkt som möjligt, genom att koordinaterna och anloppsvektorn för den senast mätta mätpunkten används.

Därefter kan du använda dialogrutan Omprojicera (SökNom) för att utföra ytterligare åtgärder för att ersätta den nominella punkt som hittas.

Mer:

Procedur 1: Söka efter nominella punkter på föregående yta

Procedur 2: Söka efter nominella punkter på prioritetsytor

Procedur 3: Söka efter nominella punkter på alla CAD-ytor

Procedur 4: Välja en nominell punkt senare

När du har valt den bästa nominella punkten


Procedur 1: Söka efter nominella punkter på föregående yta

Om du markerar kryssrutan Använd föregående yta görs ett försök i dialogrutan Omprojicera (SökNom) att hitta en nominell punkt från den yta som användes senast. Om en punkt hittas som är inom SökNom-toleransområdet väljs den som nominell punkt och en autovektorpunkt skapas utifrån de nominella värdena.


Procedur 2: Söka efter nominella punkter på prioritetsytor

Om det inte går att hitta en nominell punkt på den senaste ytan med dialogrutan Omprojicera (SökNom) (se Procedur 1: Söka efter nominella punkter på föregående yta) görs ett försök att hitta en nominell punkt på prioritetsytorna. Prioritetsytor är ytor som användaren har valt som en undergrupp av CAD-ytor för att hitta nominella punkter. Prioritetsytor kan markeras och avmarkeras med hjälp av kryssrutan Prioriterat i dialogrutan Redigera CAD-element (se Redigera CAD i avsnittet Redigera CAD-visningen). Om en lämplig punkt hittas bland prioritetsytorna väljs punkten och en autovektorpunkt skapas utifrån de nominella värdena. Dessutom visas de giltiga nominella punkterna inom SökNom-toleransområdet från alla prioritetsytorna i dialogrutan Omprojicera (SökNom).


Procedur 3: Söka efter nominella punkter på alla CAD-ytor

Om det inte går att hitta en giltig nominell punkt med hjälp av procedurerna 1 och 2 (se Procedur 1: Söka efter nominella punkter på föregående yta och Procedur 2: Söka efter nominella punkter på prioritetsytor) sker följande i PC-DMIS:

  • En sökning görs efter den bästa nominella punkten på alla CAD-ytor inom SökNom-toleransområdet

  • En autovektorpunkt skapas utifrån den bästa tillgängliga nominella punkten.

  • Alla CAD-ytor som innehöll nominella punkter visas i dialogrutan Omprojicera (SökNom).


Procedur 4: Välja en nominell punkt senare

Om det fortfarande inte går att hitta en lämplig punkt på någon av CAD-ytorna får du en fråga om du vill skapa en autovektorpunkt och välja en nominell punkt senare. Om du svarar ja skapas en autovektorpunkt i Redigeringsfönstret och du kan välja mellan följande alternativ:

Alternativ 1. Du kan ta en ny mätpunkt så att ett försök att hitta en ny nominell punkt kan göras. Det här innebär i princip att börja om från början.

Alternativ 2. Du kan välja en annan nominell punkt i dialogrutan och klicka på knappen Omprojicera. Om du gör detta ersätts den nominella punkt som valdes tidigare med den nya valda punkten för den autovektorpunkt som du just har skapat.

Det här är användbart om du inte vill använda den nominella punkt som togs fram med hjälp av procedurerna som beskrivs under följande rubriker:

  • "Procedur 1: Söka efter nominella punkter på föregående yta

  • "Procedur 2: Söka efter nominella punkter på prioritetsytor

  • "Procedur 3: Söka efter nominella punkter på alla CAD-ytor

Alternativ 3. Du kan välja en CAD-yta på skärmen. I så fall görs ett försök att hitta nominella punkter på den valda ytan. Dessa punkter visas sedan i dialogrutan Omprojicera (SökNom).

Därefter kan du ersätta den nominella punkt som hittades tidigare genom att välja en punkt från den nya ytan och klicka på Omprojicera.

Obs! Toleransvärdena för SökNom ignoreras om du väljer det här alternativet. Även om den valda CAD-ytan är utanför toleransgränserna för SökNom visas ändå punkterna i dialogrutan.

Alternativ 4. Du kan utöka toleransområdet för SökNom genom att ändra värdet i rutan Tolerans och klicka på knappen Använd. Därefter körs nedanstående procedurer igen med det nya toleransvärdet, och alla eventuella lämpliga punkter visas:

  • "Procedur 1: Söka efter nominella punkter på föregående yta

  • "Procedur 2: Söka efter nominella punkter på prioritetsytor

  • "Procedur 3: Söka efter nominella punkter på alla CAD-ytor

Nu kan du välja en giltig punkt och klicka på Omprojicera för att acceptera den som nominell punkt för den autovektorpunkt som du just har skapat.

Att utöka toleransvärdet för SökNom i rutan Tolerans har samma effekt som att ändra SökNom-toleransen på fliken Allmänt i dialogrutan Inställningsval.


När du har valt den bästa nominella punkten

När du har valt den bästa nominella punkten lagras den valda ytan för det aktuella elementet.

Under körningen i manuellt läge sker följande i PC-DMIS:

  1. Toleransvärdet i rutan Sök nom. under körning på fliken Allmänt i dialogrutan Inställningsval används (Redigera | Alternativ | Inställningar). Visa menykarta

  2. Du måste markera kryssrutan Sök nom. under körning (finns också på fliken Allmänt) för att detta ska fungera.

  3. Ett försök görs att använda samma yta och CAD-åtgärd (Genomborrningspunkt eller Linproj-punkt) för att hitta de nya nominella värdena för punkten som just kördes.

Om det inte går att hitta en nominell punkt på CAD-ytan öppnas dialogrutan Omprojicera (SökNom) igen. Under Använda Omprojicera (SökNom) i körningsläget: kan du läsa mer om funktioner under körning.


Använda Omprojicera (SökNom) i körningsläget:

Under rubriken När du har valt den bästa nominella punkten nämns att dialogrutan Omprojicera (SökNom) visas i körningsläget i PC-DMIS när följande villkor uppfylls:

  • En ytmodell med ytor måste importeras och ikonen Yta måste väljas i verktygsfältet Grafik.

  • Kryssrutan Sök nom. under körning på fliken Allmänt i dialogrutan Inställningsval måste vara markerad.

  • Autovektorpunkten eller autoytpunkten måste innehålla en giltig nominell punkt som har hittats i inlärningsläget (se Använda dialogrutan Omprojicera (SökNom) i inlärningsläget:).

  • Körningen måste utföras i manuellt läge.

  • Autoelementet av typen Vektorpunkt eller Ytpunkt måste köras i PC-DMIS.

  • Det får inte gå att hitta en nominell punkt för den vektorpunkt eller ytpunkt som körs.

När dialogrutan visas stoppas körningen och du kan använda dialogrutan enligt beskrivningen under Använda dialogrutan Omprojicera (SökNom) i inlärningsläget .

Du kan också välja att köra punktelementet som mättes igen. I så fall körs elementet igen och nya försök görs att hitta nominella värden. Om det fortfarande inte går att hitta nominella värden för punkten visas dialogrutan Omprojicera (SökNom) igen.

Därefter kan du göra något av följande:

  • Köra elementet ännu en gång.

  • Använda knappen Omprojicera (läs mer under Procedur 4: Välja en nominell punkt senare.

  • Stänga dialogrutan genom att klicka på Avbryt. Om du stänger dialogrutan utan att välja en lämplig nominell punkt ersätts mätta data med de tidigare nominella värdena.


Använda dialogrutan Omprojicera (SökNom) i Redigeringsfönstret:

Du kan också öppna dialogrutan omprojicera (SökNom) genom att högerklicka på något av följande element och välja Omprojicera (SökNom) på snabbmenyn:

  • Vektorpunkt

  • Ytpunkt

  • Enskild mätpunkt

I så fall används mätta data för elementet (punkt och vektor) i dialogrutan för att hitta en lämplig nominell punkt, enligt beskrivningen under Använda dialogrutan Omprojicera (SökNom) i inlärningsläget .


Markera kommandon för körning

För att köra kommandon i PC-DMIS måste du först markera dem för körning. Denna markering gör du med hjälp av följande menyalternativ och kommandon:

Mer:

Markera

Markera alla

Ta bort alla markeringar

Överordnat läge

Underordnat läge

Läge 'Ny uppriktning'


Markera

Med menyalternativet Redigera | Markeringar | Markera kan du markera ett angivet element eller kommando för körning. Kommandon som alltid körs markeras automatiskt, t.ex. uppriktningen och mätspetskommandon.

Du kan markera element eller kommandon på flera olika sätt. Ett markerat objekt visas med den aktuella färgen för markerad text (se Definiera färger i Redigeringsfönstret i avsnittet Göra inställningar) i Redigeringsfönstret. Dessutom visas en asterisk (*) bredvid element-ID:t i Grafikfönstret. Du kan markera objekt i detaljprogram på något av följande sätt:

  • Markera det önskade elementet eller kommandot i Redigeringsfönstret. Placera markören på elementet som ska markeras och välj Markera. Kommandot markeras.

  • Markera flera kommandon i Redigeringsfönstret. Markera önskade kommandon i Redigeringsfönstret och välj Markera. Kommandona markeras.

  • Markera det önskade elementet i Grafikfönstret. Kontrollera att läget Flytta är aktivt i PC-DMIS. Klicka på elementet med vänster musknapp samtidigt som du håller ned SKIFT.

  • Markera flera element i Grafikfönstret. Kontrollera att läget Flytta eller textruteläget är aktivt i PC-DMIS. Håll ned SKIFT samtidigt som du rutmarkerar de önskade elementen genom att klicka och dra.

Om du har valt menyalternativet Redigera | Markeringar | Överordnat läge Visa menykarta och därefter markerar ett konstruerat element eller en utvärdering, markeras också eventuella relaterade element som har använts i konstruktions- eller utvärderingsprocessen.

Om du har valt menyalternativet Redigera | Markeringar | Underordnat läge Visa menykarta och därefter markerar ett element som har använts för att konstruera ett element eller för att skapa en utvärdering, markeras också eventuella relaterade underordnade element.

Obs! Du kan avmarkera element och kommandon genom att upprepa en av procedurerna ovan.

När du har markerat ett objekt kan du avmarkera enskilda rader inom vissa objekt. Du kan till exempel avmarkera vissa rader i markerade element och utvärderingar. Om du avmarkerar en rad körs den inte i PC-DMIS.

Om du markerar utvärderingar skickas resultatet till skrivaren med korrekt utdatakonfiguration efter att programmet har körts. (Se Skriv i i avsnittet Utvärdera element.)


Så här avmarkerar du angivna rader inom ett element:

  1. Flytta insättningspunkten till den rad som du vill avmarkera i det markerade elementet (t.ex. raden MÄTPKT/BASIC).

  2. Välj alternativet Redigera | Markeringar | Markera igen Visa menykarta för att avmarkera raden.


Markera alla

Med menyalternativet Redigera | Markeringar | Markera alla markerar du alla element eller kommandon i Redigeringsfönstret. De markerade objekten visas med grön text i Redigeringsfönstret. Dessutom visas en asterisk (*) bredvid varje element-ID i Grafikfönstret som har markerats för körning.

När du väljer Markera alla får du en fråga om du också vill markera element för manuell uppriktning.

  • Om du klickar på Ja markeras hela detaljprogrammet för körning, inklusive uppriktningselementen.

  • Om du klickar på Nej markeras hela detaljprogrammet för körning, utom uppriktningselementen.


Töm allt

Med menyalternativet Redigera | Markeringar | Töm allt tömmer (eller avmarkerar) du alla objekt i Redigeringsfönstret som tidigare har markerats för körning.


Överordnat läge

Om du väljer Redigera | Markeringar | Överordnat läge markeras det överordnade kommandot (om menyalternativet är markerat med en bock och motsvarande kommando har markerats i Redigeringsfönstret). Ett överordnat kommando är ett kommando (eller information från ett kommando) som används i ett annat kommando. Om du till exempel markerar en utvärdering och väljer det här alternativet markeras också elementet som används i utvärderingen. Det här var standardläget i tidigare versioner av PC-DMIS än 3.25.

Obs! Om du avmarkerar ett markerat underordnat kommando förblir det överordnade kommandot markerat.


Underordnat läge

Om du väljer Redigera | Markeringar | Underordnat läge markeras alla underordnade kommandon, förutsatt att motsvarande överordnat kommando är markerat. Ett underordnat kommando är beroende av ett annat kommando för att fungera. Om du till exempel markerar ett element som innehåller en utvärdering och det här alternativet har valts, markeras också utvärderingen för elementet.

Obs! Om du inte har valt något av alternativen Överordnat läge eller Underordnat läge markeras bara de objekt som du väljer.

Obs! Om du avmarkerar ett markerat överordnat kommando förblir det underordnade kommandot markerat.


Läge 'Ny uppriktning'

Med alternativet Redigera | Markeringar | Läge 'Ny uppriktning' (en markering visas bredvid menyalternativet) markerar du motsvarande uppriktningsdata varje gång ett element/en utvärdering markeras för körning.


Skapa och köra markeringsgrupper

I PC-DMIS kan du ordna markerade element i grupper. Därefter kan du köra lagrade elementgrupper med hjälp av fönstret Markeringsgrupper.

  • Du kan definiera upp till trettio (30) markeringsgrupper för ett detaljprogram.

  • Du kan använda hur många element som helst för en markeringsgrupp – det finns ingen antalsbegränsning.

  • När du kör en grupp körs bara de element som har grupperats inom den aktiva markeringsgruppen.

  • Varje markeringsgrupp som skapas inom ett detaljprogram visas som en ikon i fönstret Markeringsgrupper. Varje ikon visar grafiskt alla de element som har kopplats till den markeringsgrupp som ikonen motsvarar.

I följande avsnitt beskrivs hur du skapar, ändrar, kör, flyttar, låser och tar bort markeringsgrupper.

Mer:

Ett exempel på fönstret Markeringsgrupper


Ett exempel på fönstret Markeringsgrupper

Fönstret Markeringsgrupper med två skapade markeringsgrupper (Grupp1 och Grupp2).

Obs! När fönstret Markeringsgrupper döljs inaktiveras alla markeringsgrupper och standardläget för körning av detaljprogram används.

TIllgängliga knappar

Öppna – Med den här knappen öppnar du standarddialogrutan Öppna så att du kan öppna detaljprogram och utföra andra mindre filåtgärder. Se Öppna befintliga detaljprogram i avsnittet Använda grundläggande filalternativ.

Skriv rapport – Med den här knappen skickas den aktuella rapporten till det aktuella utmatningsformatet. Se Skriva ut från Redigeringsfönstret i avsnittet Använda grundläggande filalternativ.

Kalibrera spetsar – Med den här knappen öppnar du dialogrutan Mäthuvud där du kan kalibrera mätspetsar. Den här knappen inaktiveras för interface som hör till Gom (Krypton), Romer och Garda. Se Definiera mätspetsar i avsnittet Definiera hårdvara.

Mer:

Så här skapar du nya markeringsgrupper

Så här lägger du till element i befintliga markeringsgrupper

Så här tar du bort element från befintliga markeringsgrupper

Så här anpassar du ikoner för markeringsgrupper

Så här flyttar du markeringsgrupper

Så här kör du markeringsgrupper

Så här låser du markeringsgrupper

Så här tar du bort markeringsgrupper


Så här skapar du nya markeringsgrupper

  1. Välj alternativet Redigera | Markeringar | Ny markeringsgrupp eller dubbelklicka någonstans i fönstret Markeringsgrupper. Dialogrutan Ny markeringsgrupp visas och du uppmanas att ange ett namn för den nya markeringsgruppen.

Dialogrutan Ny markeringsgrupp

  2. Skriv ett namn på markeringsgruppen. Namnet kan vara hur långt som helst, men för enkelhetens skull bör du använda korta beskrivande namn.

  3. Klicka på OK. Den nya markeringsgruppen sparas i fönstret Markeringsgrupper. Nu kan du öppna markeringsgruppen och lägga till element i den.


Så här lägger du till element i befintliga markeringsgrupper

  1. Välj alternativet Redigera | Markeringar | Visa markeringsgrupper. Fönstret Markeringsgrupper visas.

  2. Kontrollera att den markeringsgrupp som du vill ändra är aktiv (tryck på TABB för att hoppa mellan grupperna, eller klicka en gång på gruppen för att markera den).

  3. Gå till Redigeringsfönstret och markera de element som du vill lägga till i markeringsgruppen. Standardikonen för gruppen ändras dynamiskt så att den motsvarar dina ändringar.

  4. Stäng fönstret Markeringsgrupper när du är klar.


Så här tar du bort element från befintliga markeringsgrupper

  1. Välj alternativet Redigera | Markeringar | Visa markeringsgrupper. Fönstret Markeringsgrupper visas.

  2. Kontrollera att den markeringsgrupp som du vill ändra är aktiv (tryck på TABB för att hoppa mellan grupperna, eller klicka en gång på gruppen för att markera den).

  3. Gå till Redigeringsfönstret och avmarkera de element som du vill ta bort från markeringsgruppen. Standardikonen för gruppen ändras dynamiskt så att den motsvarar dina ändringar.

  4. Stäng fönstret Markeringsgrupper när du är klar.


Så här anpassar du ikoner för markeringsgrupper

Om du vill kan du använda användardefinierade bitmappbilder i stället för standardikonerna för markeringsgrupper. Så här anger du en egen bitmappbild:

  1. Skapa en bitmappbild med hjälp av Paint eller ett liknande bildredigeringsprogram. Bilden får inte vara större än 48 × 48 pixlar.

  2. Spara bitmappfilen i samma katalog som detaljprogrammet. Bitmappfilnamnen måste anges i följande format för att du ska kunna använda dem i PC-DMIS:

MARKST00.BMP för den första markeringsgruppen

MARKST01.BMP för den andra markeringsgruppen

MARKST02.BMP för den tredje markeringsgruppen

…

MARKST29.BMP för den trettionde markeringsgruppen

Exempel: Om du sparar bitmappfilen MARKST00.BMP i katalogen för detaljprogrammet när du skapar den första markeringsgruppen visas bitmappbilden i filen MARKST00.BMP. Om det inte finns någon bitmappfil för en markeringsgrupp används standardikonen. Du behöver inte heller använda bitmappfiler som följer direkt efter varandra. Du kan t.ex. använda en bitmappbild för markeringsgrupperna 1 och 5 men använda standardikonen för markeringsgrupperna 2, 3 och 4.


Så här flyttar du markeringsgrupper

Du kan flytta markeringsgrupper. Så här flyttar du en markeringsgrupp:

  1. Välj alternativet Redigera | Markeringar | Visa markeringsgrupper. Fönstret Markeringsgrupper visas.

  2. Håll ned SKIFT och klicka på en markeringsgrupp med vänster musknapp för att markera den.

  3. Dra den markerade gruppen till det nya läget.

  4. När du släpper SKIFT-tangenten och vänster musknapp uppdateras fönstret Markeringsgrupper.

  5. Stäng fönstret Markeringsgrupper när du är klar.


Så här kör du markeringsgrupper

  1. Välj alternativet Redigera | Markeringar | Visa markeringsgrupper. Fönstret Markeringsgrupper visas.

  2. Dubbelklicka på den grupp som du vill köra. Markeringsgruppen körs.

  3. Stäng fönstret Markeringsgrupper när du är klar.


Så här låser du markeringsgrupper

När du har definierat en markeringsgrupp för ett detaljprogram kan du skapa ett lås som hindrar att någon oavsiktligt tar bort eller ändrar den aktuella konfigurationen. Mer information om det här alternativet finns under Lås markeringsgrupper i avsnittet Göra inställningar.


Så här tar du bort markeringsgrupper

Det är enkelt att ta bort markeringsgrupper som du har skapat. Så här gör du:

  1. Välj alternativet Redigera | Markeringar | Visa markeringsgrupper. Fönstret Markeringsgrupper visas.

  2. Kontrollera att den markeringsgrupp som du vill ta bort är aktiv (tryck på TABB för att hoppa mellan grupperna, eller klicka en gång på gruppen för att markera den).

  3. Tryck på DELETE. Ett meddelande visas där du uppmanas att bekräfta att du vill ta bort markeringsgruppen.

  4. Klicka på Ja. Markeringsgruppen tas bort och ikonen tas bort från fönstret Markeringsgrupper.

  5. Stäng fönstret Markeringsgrupper när du är klar.


Använda brytpunkter

Redigeringsfönstret med en brytpunkt (röd ikon)

Med menyalternativet Redigera | Brytpunkt blir det lättare att felsöka processen när du skapar, testar och kör ett detaljprogram. I allmänhet körs detaljprogram i följd, en rad i taget. Om du anger en brytpunkt på en rad i detaljprogrammet görs en paus i programkörningen när punkten nås. Om du använder variabeluttryck och programflödeskommandon i detaljprogrammet kan du kontrollera dessa variablar för att se till att programmet fungerar korrekt.

När en paus har gjorts vid en brytpunkt kan du använda knappen Stega nästa. Med den här knappen går du vidare med mätprocessen, ett steg i taget, och CMM-enheten pausas efter varje steg av ett kommando som skapar en rörelse av CMM-enheten. När du arbetar i stegningsläge kan mätpunkter infogas i element och nya element kan infogas mellan befintliga element eller kommandon. Det går även att simulera stegningsläget offline.

När du vill fortsätta med den normala programkörningen klickar du på Fortsätt i dialogrutan Körning. Du kan använda flera olika meny- och tangentkommandon för att flytta och ta bort brytpunkter. Brytpunkterna sparas i detaljprogrammet och är alltså tillgängliga igen nästa gång detaljprogrammet öppnas.

Obs! Om du använder brytpunkter i programmet och du använder kommandoläget i Redigeringsfönstret så visas Redigeringsfönstret även i fortsättningen under körningen, men det aktuella kommandot som ska köras markeras med rött. Om Redigeringsfönstret är i översiktslägeoch innehåller en brytpunkt markeras redan körda kommandon med grönt, element som ska mätas markeras med gult, element som körs markeras med blått och ej körda kommandon markeras med orange i Redigeringsfönstret.

Mer:

Växla brytpunkt PÅ/AV

Infoga standardbrytpunkter

Ta bort standardbrytpunkter

Ta bort alla brytpunkter


Växla brytpunkt PÅ/AV

Med menyalternativet Redigera | Brytpunkter | Växla brytpunkt PÅ/AV kan du ange eller ta bort en brytpunkt. Brytpunkten anges på, eller tas bort från, den rad i Redigeringsfönstret där insättningspunkten finns. En liten rund röd ikon visas i vänstermarginalen i Redigeringsfönstret för att visa att du har angett en brytpunkt.


Infoga standardbrytpunkter

Med menyalternativet Redigera | Brytpunkter | Infoga standardbrytpunkter kan du sätta brytpunkter i standardlägen i hela detaljprogrammet. Standardlägen definieras som rader i Redigeringsfönstret som innehåller kommandon som innebär att CMM-enheten rör sig eller att förgrening uppstår på grund av ett programflödeskommando (t.ex. OM-SÅ-uttryck). Mer information finns i avsnittet Förgrening genom användning av programflödeskommandon.


Ta bort standardbrytpunkter

Med menyalternativet Redigera | Brytpunkter | Ta bort standardbrytpunkter kan du ta bort brytpunkter från standardlägen i hela detaljprogrammet. Det är bara brytpunkter i standardlägen (se Infoga standardbrytpunkter) som tas bort. Brytpunkter i andra lägen tas inte bort.


Ta bort alla brytpunkter

Med menyalternativet Redigera | Brytpunkter | Ta bort alla brytpunkter kan du ta bort alla brytpunkter i hela detaljprogrammet.


Sätta startpunkter

Redigeringsfönstret med en startpunkt (röd pil)

Du kan bara sätta startpunkter när kommandoläget är aktivt i Redigeringsfönstret (se Arbeta i kommandoläge i avsnittet Använda Redigeringsfönstret).

När du infogar en startpunkt i detaljprogrammet och väljer menyalternativet Arkiv | Partiell körning | Kör från startpunkt påbörjas körningen av detaljprogrammet från den första startpunkten, i stället för att programflödet körs från början av detaljprogrammet.

Viktigt! Observera att om den aktuella spetsen vid placeringen i programmet i PC-DMIS inte matchar mätspetshuvudets riktning görs ett försök att gå tillbaka till föregående mätspetskommando och ändra mätspetsens riktning.

Startpunkter är användbara om du arbetar i flerarmsläge och behöver ange olika startpunkter för varje arm (se avsnittet Använda flerarmsläge).

För att infoga en startpunkt i ett detaljprogram klickar du på den plats i Redigeringsfönstret där du vill placera startpunkten. Klicka sedan på ikonen Sätt startpunkt i verktygsfältet Redigeringsfönster eller högerklicka i kommandoläget och välj Sätt startpunkt på snabbmenyn.

Mer information finns i Sätta startpunkter för flera armar i avsnittet Använda flerarmsläge och Verktygsfältet Redigeringsfönster i avsnittet Använda verktygsfält.


Använda bokmärken

Redigeringsfönstret med ett bokmärke (blå ikon)

Du kan ange bokmärken när kommandoläget är aktivt i Redigeringsfönstret (se Arbeta i kommandoläge i avsnittet Använda Redigeringsfönstret) eller (om det är aktiverat) i DMIS-läget. Med bokmärken markerar du rader som används ofta i ett detaljprogram. När du har angett ett bokmärke kan du använda meny- eller tangentkommandon för att gå till det. Du kan ta bort bokmärken när du inte behöver dem längre. Bokmärken sparas mellan redigeringssessionerna och är alltså tillgängliga nästa gång detaljprogrammet öppnas.

Viktigt: Observera att bokmärken tilldelas till radnummer, inte kommandon. Om du anger ett bokmärke i ett läge och sedan växlar till ett annat läge kan det alltså hända att bokmärket hamnar vid ett annat kommando, även om det ligger kvar på samma rad.

Mer:

Växla bokmärke PÅ/AV

Nästa bokmärke

Töm alla bokmärken


Växla bokmärke PÅ/AV

Med menyalternativet Redigera | Bokmärken | Växla bokmärke PÅ/AV kan du ange eller ta bort ett bokmärke. Bokmärket anges på, eller tas bort från, den rad i Redigeringsfönstret där insättningspunkten finns. En liten blå ikon visas i vänstermarginalen för att visa att du har angett ett bokmärke.


Nästa bokmärke

Med menyalternativet Redigera | Bokmärken | Nästa bokmärke kan du visa nästa bokmärke i Redigeringsfönstret. Om det inte finns något bokmärke efter den aktuella positionen för insättningspunkten fortsätter sökningen från början i Redigeringsfönstret.


Töm alla bokmärken

Med menyalternativet Redigera | Bokmärken | Töm alla bokmärken kan du ta bort alla bokmärken från Redigeringsfönstret.


Ändra teckensnitt och färger

Det är enkelt att ändra de teckensnitt och färger som används i Redigeringsfönstret. Följ instruktionerna under Konfigurera Redigeringsfönstret i avsnittet Göra inställningar.


Redigera externa objekt

I PC-DMIS kan du redigera inbäddade externa objekt i kommandoläget. Markera objektet i kommandoläge och dubbelklicka på det för att redigera det.

Mer information om hur du skapar och infogar externa objekt finns i Infoga externa objekt i avsnittet Lägga till externa element .


Använda Redigeringsfönstret

Använda Redigeringsfönstret: Inledning

Om grundläggande koncept

Navigera i Redigeringsfönstret

Använda Grafikfönstret för att flytta till ett specifikt elements läge

Om standardfärgerna i Redigeringsfönstret

Infoga kommandon

Redigera värden

Markera kommandon

Flytta kommandon

Ta bort kommandon

Öppna dialogrutor

Ändra sidhuvuden och sidfötter

Sidhuvudet

Sidfoten

Formateringsnyckelord för sidhuvuden och sidfötter

Använda uttryck och spårningsfält för att anpassa sidhuvuden och sidfötter

Arbeta i översiktsläge

Layout

Kommandon

Grupper

Dataelement

Redigera ett detaljprogram i översiktsläge

Markera kommandon

Lägga till kommandon

Ta bort kommandon

Kopiera, klippa ut och klistra in kommandon

Markera/avmarkera kommandon för körning

Redigera dataelement i ett kommando

Tangentbordsfunktioner i översiktsläge

Arbeta i kommandoläge

Konstruerade element

Utvärderingar

Utvärderingsformat

Tillgängliga utvärderingar

Analys

Statistiska data

Uppriktning

Uppriktningskommandon

CAD <--> detalj

Identifiera uppriktningar

Mätta element

Mätpunkter

Mätpunkt

Mätpunkter på tunnplåt

Lägga till mätpunktsrader

Ta bort tomma rader

Rörelsekommandon

Läge = MANUELL/CNC

Insträcka

Transporthastighet

Mäthastighet

Scanhastighet

Återgångssträcka

Söksträcka

Via-kommandon

Tunnplåtsmått

Mäthuvud

Ladda mäthuvud

Mätsp.komp.

Läs punkt

Mätspets

Kommentarer

Operatör

Rapport

Inmatn

Dokument

Ja / Nej

Avläsning

Spårningsfält

Uttryck

Kopiera skärmbilder

Globala kommandon

Tangentbordsfunktioner i kommandoläge

Arbeta i DMIS-läge


Använda Redigeringsfönstret: Inledning

För att öppna Redigeringsfönstret väljer du menyalternativet Visa | Redigeringsfönster.

Ett av de viktigaste verktygen när du vill redigera ett detaljprogram är Redigeringsfönstret. I Redigeringsfönstret kan detaljprogrammeraren utföra redigeringsåtgärder som att klippa ut, kopiera och klistra in, eller köra mätkommandon, felsöka samt konfigurera och granska inspektionsresultat. Om du har använt tidigare versioner av PC-DMIS kommer du att märka att Redigeringsfönstrets utseende har ändrats.

  • Menyerna i Redigeringsfönstret har tagits bort och placerats i den nya menystrukturen på den uppdaterade menyraden.

  • Verktygsfältet i Redigeringfönstret, som ger snabb åtkomst till många av Redigeringsfönstrets mest använda funktioner, har tagits bort och kan nu nås från verktygsområdet i PC-DMIS. Mer information om det här verktygsfältet finns i Verktygsfält i Redigeringsfönstret i avsnittet Använda verktygsfält.

  • Nu är Redigeringsfönstret dockningsbart på skärmens sidor, överkant eller underkant. Detta betyder att du kan docka Redigeringsfönstret på Grafikfönstret.

  • Redigeringsfönstret kan även placeras flytande ovanför Grafikfönstret. Du kan låta det flyta ovanför Grafikfönstret, på samma sätt som i tidigare versioner av PC-DMIS (versionerna 2.x t.o.m. 3.25). För att göra Redigeringsfönstret flytande högerklickar du på Redigeringsfönstret och avmarkerar alternativet Dockningsvy. Då öppnas ett nytt Redigeringsfönster som fungerar på samma sätt som det gamla Redigeringsfönstret. I det här läget kan du använda kommandona på Fönster-menyn.

De här förbättringarna ger dig verktyg som gör att du kan arbeta med innehållet i Redigeringsfönstret på ett sätt som är både enkelt och intuitivt.

Redigeringsfönstret

I det här avsnittet kan du lära dig mer om Redigeringsfönstret och om redigering av detaljprogram i allmänhet genom att läsa följande ämnen:

  • Om grundläggande koncept

  • Arbeta i översiktsläge

  • Arbeta i kommandoläge

  • Arbeta i DMIS-läge


Om grundläggande koncept

Från Redigeringsfönstret kan du enkelt komma åt den aktuella detaljens program. Du kan enkelt göra ändringar i detaljprogrammet via Redigeringsfönstret, via dialogrutorna, eller via en kombination av Redigeringsfönstret och de aktuella dialogrutorna. Nedanstående avsnitt presenterar grundläggande koncept som lär dig hur du ska använda Redigeringsfönstret.

Mer:

Navigera i Redigeringsfönstret

Om standardfärgerna i Redigeringsfönstret

Infoga kommandon

Redigera värden

Markera kommandon

Flytta kommandon

Ta bort kommandon

Öppna dialogrutor

Ändra sidhuvuden och sidfötter


Navigera i Redigeringsfönstret

Redigeringsfönstret rymmer alla de kommandon som ditt detaljprogram består av. Varje kommando har redigerbara och ej redigerbara fält. Redigerbara fält är sådana fält vars värden du kan ändra.

I följande lägen kan du endast lägga till nya kommandon eller redigera befintliga kommandon:

  • Om du kör i kommandoläge eller DMIS-läge flyttas markören till nästa redigerbara fält när du trycker på TABB-tangenten. Du kan se att du befinner dig i ett redigerbart fält när värdet är markerat med markeringsfärgen (standardfärgen är gul).

  • Om du kör i översiktsläge,expanderar kommandot och sedan högerklickar på redigerbara objekt öppnas ett redigeringskommando. Om du väljer redigeringskommandot kan du ange ett nytt värde eller välja ett befintligt värde i en lista.


Använda Grafikfönstret för att flytta till ett specifikt elements läge

För att flytta markören till ett specifikt elements läge i Redigeringsfönstret håller du ned CTRL-tangenten och klickar på det aktuella elementet i Grafikfönstret.


Om standardfärgerna i Redigeringsfönstret

PC-DMIS-kommandon visas med någon av följande standardfärger:

  • Blått – Ej markerade kommandon. Dessa kommandon kommer inte att köras.

  • Grönt – Markerade kommandon. Dessa kommandon kommer att köras.

  • Rött – Kommandon som inte stöds, utvärderingar som ligger utanför toleransgränserna eller fel i uttrycket. Rödfärgade kommandon kommer att hoppas över när programmet körs.

  • Svart – Felsökningskommandon. Den här färgen visar nästa rad som kommer att utföras när ett detaljprogram körs med brytpunkter.

Information om hur du kan ändra dessa färger finns i avsnittet Ändra fönsterfärger i avsnittet Göra inställningar.


Infoga kommandon

I många fall infogas kommandon automatiskt när du tar mått eller när du använder dialogrutorna för att ange information. Men du kan också lägga till kommandon direkt inifrån Redigeringsfönstret. Beroende på vilket läge du kör i får du olika resultat i PC-DMIS.

  • Om du kör i kommandoläge kan du infoga nya kommandon helt enkelt genom att skriva de första bokstäverna i kommandot, om du känner till dem.

  • Om du kör i översiktsläge kan du infoga nya kommandon genom att högerklicka och välja Lägg till kommando på snabbmenyn. En lista över kommandon som du kan lägga till visas.

  • Om du kör i DMIS-läge kan du infoga nya kommandon helt enkelt genom att trycka på RETUR på en rad. En lista visas, där du kan välja ett lämpligt DMIS-kommando att lägga till.


Redigera värden

Ibland kanske du snabbt vill ändra ett kommandos inställningar direkt i Redigeringsfönstret.

  • Om du kör i kommando- eller DMIS-läge kan du trycka på TAB för att gå till det redigerbara fältet som du vill ändra. Du kan antingen ange ett nytt värde eller trycka på F7 eller F8 för att bläddra framåt eller bakåt i en lista över tillgängliga värden.

  • Om du kör i översiktsläge expanderar du kommandot. Sedan högerklickar du på den rad som du vill redigera. I PC-DMIS visas antingen en lista där du kan välja ett fördefinierat värde, eller en redigeringsruta där du kan ange ett nytt värde.


Markera kommandon

De flesta kommandon kan markeras i alla PC-DMIS olika lägen. Du måste markera ett kommando innan du kan flytta eller kopiera det.

  • I översiktsläge klickar du på ett hopfällt kommando för att markera hela kommandoblocket. Samtliga dataelement som är kopplade till det kommandot kommer också att markeras.

  • I kommando- eller DMIS-läget klickar du vid början av kommandot, håller ned musknappen och drar med musen till dess att hela kommandot har markerats.

Med menyalternativet Markera allt kan du markera hela rapporten för redigering.


Flytta kommandon

Du kan flytta många kommandon i PC-DMIS. Det är enkelt att flytta ett kommando när du vill göra det.

Om du kör i översikts-, kommando- eller DMIS-läge kan du flytta ett kommando genom att markera hela kommandoblocket, sedan välja menyalternativet Redigera| Klipp ut för att klippa ut kommandot från dess nuvarande plats och sedan välja menyalternativet Redigera | Klistra in för att placera det på dess nya plats. Du kan även använda menyalternativet Redigera | Kopiera för att göra en kopia av ett kommando som sparas i Urklipp till dess att du bestämmer dig för att klistra in kopian på en annan plats.

Mer information om dessa och andra standardkommandon för redigering finns i Använda standardkommandon för redigering i avsnittet Redigera ett detaljprogram.


Ta bort kommandon

Du kan enkelt ta bort kommandon i Redigeringsfönstret genom att markera dem och trycka på DEL. Du kan återställa ett borttaget kommando om du omedelbart klickar på ikonen Ångra i Redigeringsfönstrets verktygsfält.


Öppna dialogrutor

När du redigerar funktioner eller kommandon vill du kanske öppna de dialogrutor som är kopplade till ett visst element eller kommando. Det är enkelt att göra. I något av redigeringslägena, placera markören på element- eller kommandoblocket och tryck på F9. Dialogrutan som är kopplad till det elementet visas. Du kan göra ändringar i dialogrutan och när du klickar på OK eller Verkställ uppdateras Redigeringsfönstret automatiskt med ändringarna.

För vissa kommandon visas dialogrutan när du trycker på F9 endast om PC-DMIS körs i kommandoläge.


Ändra sidhuvuden och sidfötter

Det finns tre filer som används till att formatera sidhuvud-/sidfotstexten i Redigeringsfönstret. Filerna heter LOGO.DAT, HEADER.DAT och ELOGO.DAT. De här filerna finns i installationskatalogen (C:\Pcdmisw om du installerade programmet i standardmappen).

Du kan redigera Redigeringsfönstrets sidhuvud eller sidfot genom att göra och spara ändringar i dessa textfiler med ett vanligt textredigeringsprogram (t.ex. Anteckningar).


Sidhuvudet

Det finns två filer som du kan ändra för att definiera sidhuvudet. LOGO.DAT och HEADER.DAT.

LOGO.DAT – Den här filen definierar sidhuvudet för den allra första sidan i din rapport. Du kan ange en bitmappsfil med ditt företags logotyp, liksom specifika datum- och tidsformat för den första sidan.

Exempel på sidhuvudformatering i Redigeringsfönstret

Motsvarande LOGO.DAT-fil visas nedan:

Exempel på Logo.dat i Anteckningar

Obs! Fälten DETALJNAMN, VERSIONSNR, SERIENR och STATISTIKRÄKNARE är statiska fält som du inte kan ändra i filen LOGO.DAT.

HEADER.DAT – Den här filen används för att formatera sidhuvudet för alla övriga sidor.


Sidfoten

Filen ELOGO.DAT används endast för att formatera den sista sidans dokumentsidfot.

Exempel på sidfotsformatering i Redigeringsfönstret

Motsvarande ELOGO.DAT-fil visas nedan:

Exempel på Elogo.dat i Anteckningar


Formateringsnyckelord för sidhuvuden och sidfötter

Följande är en lista över de tillgängliga formateringsnyckelorden och deras funktioner. Du kan infoga dessa nyckelord i .DAT-filerna så att de visas i ett sidhuvud eller en sidfot.

Os! Nyckelorden är skiftlägeskänsliga.

#DATE | Infogar dagens datum.
#TIME | Infogar det aktuella klockslaget.
#PAGE | Infogar det aktuella sidnumret. Detta används lämpligtvis i filen HEADER.DAT.
#TRn | Infogar värdet i spårningsfältet n, där n är numret på spårningsfältet.
#PARTN | Infogar namnet på detaljprogrammet.
#DRWN | Infogar revisionsnumret.
#SERIALN | Infogar serienumret.
#SEQUENCE | Infogar sekvensnumret.
#SHRINK | Infogar skalfaktorn.
#NMEAS | Infogar det totala antalet utvärderingar.
#NOUT | Infogar det totala antalet utvärderingar som ligger utanför tolerans.
#ELAPSTIM | Infogar den tid som gått mellan utförandets början och slut. Detta används lämpligtvis i filen FOOTER.DAT.
#BMP=bitmapssökväg | Infogar en bitmappsbild med det namn som anges i variabeln bitmappssökväg. Du måste ange den fullständiga sökvägen till bitmappsfilen (t.ex. D:\filer\bmp\Pcdhead.bmp).


Använda uttryck och spårningsfält för att anpassa sidhuvuden och sidfötter

Du kommer att märka att själva nyckelorden inte går att anpassa. Till exempel ger nyckelordet #DATUM i filen logo.dat endast ett sätt att visa datumet — i formatet mm-dd-åååå. Till exempel visas datumet 5 maj 2005 ut som 5-5-2005 i rapporten.

Följande exempel visar hur du kan använda uttryck och spårningsfält för att ändra datumformatet i din rapport.

  1. Skriv följande kommandon någonstans i ditt detaljprogram:

TILLDELA/V1 = SYSTEMDATUM("MMM dd, åååå")

Detta ger V1 strängvärdet "maj 05, 2005" (eller vad dagens datum nu är).

SPÅRNINGSFÄLT/VISNING,GRÄNS=15 ; DATUM : V1

Detta tilldelar V1 till SPÅRNINGSFÄLT.

  2. Vi antar att detta är det första spårningsfältet i ditt program. Öppna filen logo.dat i ett textredigeringsprogram och ändra fältet DATUM= så att det ser ut så här:

DATUM=#TR1

Lägg märke till att fältet DATUM nu använder det första spårningsfältet som referens genom att använda #TR1.

  3. Spara och stäng filen logo.dat.

  4. Kör ditt detaljprogram.

  5. Granska rapporten. Vi antar att din rapport har konfigurerats att visa sidhuvuden och sidfötter. Sidhuvudet använder nu det formaterade systemdatumet som sparades med variabeln V1 och följaktligen i det första spårningsfältet.

Du kan använda spårningsfält och uttryck för att skaffa större kontroll över vad som visas i Redigeringsfönstret och i rapporter.

Mer information om spårningsfält finns i Använda spårningsfält i avsnittet Spåra statistiska data.

Mer information om uttryck finns i avsnittet Använda uttryck och variabler..


Arbeta i översiktsläge

För att köra översiktsläget väljer du Visa | Översiktsläge.

I översiktsläget kan du visa detaljprogrammets generella layout, liksom detaljprogramskommandon på olika detaljerade nivåer. Det intuitiva gränssnittet gör det enkelt att ordna om och redigera kommandon.

Mer:

Layout

Redigera ett detaljprogram i översiktsläge

Tangentbordsfunktioner i översiktsläge


Layout

Layouten i PC-DMIS översiktsläge är i form av expanderbara och hopfällbara databitar. På toppnivå visas kommandoobjekt. Du kan expandera dessa objekt för att visa deras grupper och dataelement genom att klicka på plustecknet (+) till vänster om respektive kommando. Du kan fälla ihop dem genom att klicka på minustecknet (-). Du kan även expandera och fälla ihop kommandon eller grupper genom att trycka på HÖGERPIL respektive VÄNSTERPIL.

Mer:

Kommandon

Grupper

Dataelement


Kommandon

Visa kommandon i översiktsläge (ej expanderade element)

De flesta detaljprogramskommandon visas på toppnivå. Vissa kommandon, som grundläggande mätpunkter, lägesutvärderingar och vissa uppriktningskommandon, visas under respektive överordnat objekt. Dessutom:

  • Varje kommando är kopplad till en specifik ikon, för att du snabbt ska kunna identifiera nödvändiga kommandon.

  • Om ett kommando har ett ID, visas detta ID framför kommandots beskrivning.

  • Kommandon som markerats för körning visas med grön text.

  • Kommandon som inte markerats för körning visas med blå text.


Grupper

Översiktsläge med visning av grupper (mappikoner)

Grupper visas med mappikoner och består av liknande dataelement för ett kommando. Till exempel har det mätta cirkelobjektet gruppen teoretiska, gruppen mätta värden och gruppen inställningar.

  • Gruppen teoretiska innehåller de teoretiska värdena för den uppmätta cirkeln, inklusive teoretiska x, y, z, i, j, k och diametern.

  • Gruppen uppmätta värden innehåller cirkelns motsvarande mätta värden.

  • Gruppen inställningar innehåller information om den mätta cirkeln, som ID, koordinattyp, huruvida cirkeln är en inner- eller yttercirkel, antalet mätpunkter o.s.v.


Dataelement

Visning av dataelement i översiktsläge (blå kulor)

Dataelement är ett kommandoobjekts parametrar eller inställningar. Vissa dataelement är redigerbara, medan andra är endast till för information och kan inte ändras. Dataelement visas med blå kulor.


Redigera ett detaljprogram i översiktsläge

I PC-DMIS kan du redigera ett detaljprogram när du kör i översiktsläge. I översiktslägets gränssnitt kan du välja, lägga till, ta bort, kopiera, klippa ut, klistra in, markera eller avmarkera kommandon, liksom redigera ett kommandos dataelement.

Mer:

Välja kommandon

Lägga till kommandon

Ta bort kommandon

Kopiera, klippa ut och klistra in kommandon

Markera/avmarkera kommandon för körning

Redigera ett kommandos dataelement


Markera kommandon

Du kan markera kommandon antingen genom att vänsterklicka eller genom att navigera till dem med tangenterna UPPIL eller NEDPIL.

  • För att markera flera kommandon samtidigt håller du ned CTRL-tangenten medan du vänsterklickar på kommandona.

  • För att markera en grupp objekt samtidigt, markerar du det första objektet i blocket, håller ned SKIFT-tangenten och markerar sedan det sista objektet i blocket.

Samtliga valda objekt markeras.


Lägga till kommandon

När du kör i översiktsläge kan du lägga till kommandon i ett detaljprogram genom att använda PC-DMIS standardmenyalternativ eller genom att använda en särskild snabbmeny.

  1. Högerklicka på ett kommandoobjekt för att öppna snabbmenyn. Mer information om tillgängliga objekt finns i Snabbmeny för kommandon i översiktsläget i avsnittet Använda snabbtangenter och snabbmenyer.

  2. Välj Lägg till kommando på snabbmenyn. En rullningsbar blå lista visas.

  3. Välj det kommando som du vill lägga till. När du klickar på ett objekt i listan försvinner popup-listan och kommandot infogas i Redigeringsfönstret. Om du vill stänga listan utan att lägga till ett kommando trycker du på ESC-tangenten till dess att den stängs.

Obs! Normalt infogas det nya kommandot efter det för tillfället markerade objektet i den expanderbara/hopfällbara listan.


Ta bort kommandon

Du kan enkelt ta bort kommandon från ett detaljprogram genom att markera ett objekt och sedan trycka på DEL-tangenten. Om kommandot innehåller underkommandon kommer även dessa kommandon att tas bort.


Kopiera, klippa ut och klistra in kommandon

Så här kopierar du eller klipper ut ett kommando:

  1. Markera det önskade kommandot i den expanderbara/hopslagbara vyn.

  2. Välj kommandot Kopiera eller Klipp ut från något av dessa lägen:

  • Redigeringsfönstrets Redigera-meny

  • Tangentbordet (CTRL + C för att kopiera, CTRL + X för att klippa ut)

  • Snabbmenyns alternativ Klipp ut eller Kopiera som visas när du högerklickar på kommandot

Obs! Om kommandot innehåller underkommandon kommer även dessa kommandon att kopieras eller klippas ut.

Så här klistrar du in ett kommando som du klippt ut eller kopierat:

  1. Markera kommandot i den expanderbara/hopfällbara vyn som föregår det kommando som ska klistars in.

  2. Välj kommandot Klistra in från något av dessa lägen:

  • Redigeringsfönstrets Redigera-meny

  • Tangentbordet (CTRL + V)

  • Snabbmenyns alternativ Klistra in som visas när du högerklickar på kommandot.


Markera/avmarkera kommandon för körning

Så här markerar eller avmarkerar du ett kommando för körning:

  1. Markera kommandot i Redigeringsfönstret

  2. Tryck på F3 (eller högerklicka på kommandot och välj Alltid på på snabbmenyn).


Redigera ett kommandos dataelement

Gör något av följande för att redigera ett kommandos dataelement:

  • Markera dataelementet och tryck på RETUR. Redigera informationen och tryck på RETUR.

  • Dubbelklicka på dataelementet med vänster musknapp. Redigera informationen och tryck på RETUR.

  • Högerklicka på dataelementet och välj Redigera | Värde / Uttryck. Redigera informationen och tryck på RETUR.

Om dataelementet är ett växlingsbart fält visas en lista över möjliga värden där du kan välja det önskade värdet. Tryck på RETUR efter att du har valt önskat värde eller dubbelklicka på det önskade värdet.

Om dataelementet är redigerbart och inte är ett växlingsbart fält öppnas ett litet popup-fönster med ett redigeringsfält som visar det nuvarande värdet, som du sedan kan redigera med tangentbordet. Tryck på ESC för att avbryta redigeringen av ett objekt.

Så här redigerar du ett kommando via det kommandots specifika dialogruta.

  1. Markera kommandot i den expanderbara/hopslagbara vyn.

  2. Tryck på F9 (eller högerklicka på kommandot och välj Redigera på snabbmenyn).

Kommandots kopplade dialogruta visas. Observera dock att du i vissa fall endast kan redigera ett kommando när du kör PC-DMIS i kommandoläge.


Tangentbordsfunktioner i översiktsläge

Följande tabell innehåller en lista över de olika tangentbordsfunktionerna som är tillgängliga när PC-DMIS körs i översiktsläge.

Tangent(er) | Funktion
SKIFT + TABB | Flyttar markören bakåt till föregående post i översiktsvyn.
CTRL | Vänsterklicka på den önskade funktionen. PC-DMIS flyttar markören till motsvarande kommandoobjekt i översiktsvyn.
CTRL + A | Markerar samtliga kommandon i detaljprogrammet.
CTRL + C | Kopierar text eller objekt till Urklipp.
CTRL + END | Flyttar markören till slutet på detaljprogrammet.
CTRL + HOME | Flyttar markören till början av detaljprogrammet.
CTRL + Q | Öppnar dialogrutan Utför, där du kan köra detaljprogrammet.
CTRL + V | Klistrar in text om du kör en redigeringskontroll. Om du har kopierat eller klippt ut ett objekt klistras objektet in efter det markerade objektet.
CTRL + X | Klipper ut det markerade objektet eller texten, om du kör en redigeringskontroll.
CTRL + Y | Öppnar dialogrutan Utför, där du kan köra detaljprogrammet på ett visst läge.
DEL | Tar bort eventuellt markerade tecken när du redigerar ett värde i en redigeringskontroll. Om ingenting har markerats fungerar dessa tangenter på samma sätt som i andra redigerngsprogram.
dubbelklickning | Om du dubbelklickar på ett kommando- eller gruppelement, expanderas det elementet. Om du dubbelklickar på ett redigerbart dataelement öppnas redigeringskontrollen för dataelementet.
NEDPIL | Flyttar markören en rad nedåt.
F2 | Öppnar uttrycksguiden om det markerade dataelementet tillåter uttryck.
F3 | Aktiverar ett enskilt element för körning.
F9 | Anropar dialogrutan för det markerade kommandot.
PAGE DOWN | Flyttar markören en sida nedåt.
PAGE UP | Flyttar markören en sida uppåt.
SKIFT | Används tillsammans med vänster musknapp efter markering av ett första objekt för att underlätta markering av ett block av objekt.
TABB | Flyttar markören framåt till nästa post i översiktsvyn.
UPPIL | Flyttar markören en rad uppåt.
VÄNSTERPIL | Slår ihop ett kommando eller en grupp som expanderats.
HÖGERPIL | Expanderar ett kommando eller en grupp som slagits ihop.


Arbeta i kommandoläge

För att köra i kommandoläget väljer du Visa | Kommandoläge.

Om du klickar på ikonen Kommandoläge övergår Redigeringsfönstret till kommandoläget. I det här läget kan du infoga eller redigera en stor mängd PC-DMIS-kommandon. Bland de viktigaste funktionerna eller kommandona som du kan lägga till i Redigeringsfönstret är:

  • Konstruerade element

  • Utvärderingar

  • Statistiska data

  • Uppriktning

  • Mätta element

  • Mätpunkter

  • Rörelsekommandon

  • Via-kommandon

  • Tunnplåtsmått

  • Mäthuvud

  • Kommentarer

  • Spårningsfält

  • Uttryck

  • Kopiera skärmbilder

  • Globala kommandon

  • Tangentbordsfunktioner i kommandoläget

I PC-DMIS finns även vissa tangentbordsfunktioner som du kan använda när Redigeringsfönstret körs i kommandoläget. Dessa diskuteras i Tangentbordsfunktioner i kommandoläge 9-291.

Du kan även bestämma vilka kommandon som ska visas i kommandoläge. Mer information finns i Visningsalternativ i kommandoläge i avsnittet Göra inställningar.


Konstruerade element

I PC-DMIS kan du skapa specificerade element av befintliga element. Ytterligare information, inklusive specifika regler för konstruerade element, finns i avsnittet Konstruera nya element av befintliga element.

I PC-DMIS stods konstruktionen av följande element:

· PUNKT

· CIRKEL

· ELLIPS

· SFÄR

· LINJE

· KON

· CYLINDER

· PLAN

· SPÅR

· KURVA

· YTA

· ELEMENTGRUPP

· GAUSSFILTERGRUPP


Utvärderingar

Utv'rderingar

Med utvärderingskommandon kan du utvärdera element eller relationen mellan element. Mer information om beräkning av utvärderingar finns i avsnittet Utvärdera element.

Mer:

Utvärdera format

Tillgängliga utvärderingar

Analys


Utvärderingsformat

Utskriftsfunktionen i PC-DMIS är en av dess mest kraftfulla funktioner. En utvärdering kan beräknas på många olika sätt till dess att resultaten är acceptabla. Utvärderingsdata kommer endast att visas på rapporten om utvärderingen har markerats för utskrift.

Med kommandot FORMAT kan du skapa mer än ett utvärderingsformat inom ett detaljprogram. För vissa utvärderingar vill du kanske inte skriva ut de nominella värdena.

Obs! Vissa typer av zontoleranser har alltid det nominella värdet noll, varför det blir onödigt att skriva ut NOM. Senare i detaljprogrammet kan du dock vilja använda dessa nominella värden för en annan typ av utvärdering, t.ex. läge eller lägeriktighet.

Standard-FORMAT-kommandot skriver ut samtliga kolumner och kolumnrubriker. Kommandot skapar även statistikfilen XSTATS11.TMP.

Kommandorad i Redigeringsfönstret:
FORMAT/RUBRIKER,SYMBOL;NOM,TOL,MÄT,MAXMIN,
AVV,UTOMTOL

RUBRIKER = Det här huvudkommandot styr huruvida de utvärderingar som följer kommandot FORMAT kommer att få kolumnrubriker ovanför siffrorna.

SYMBOL = Det här underkommandot styr huruvida avvikelsesymboler ska skrivas ut. Du kan växla det här fältet av och på. Om fältet är tomt betyder det att kommandot är avstängt.

När markören befinner sig i något av dessa fält kan du använda snabbtangenterna F7 eller F8 för att växla mellan av och på.

NOM,TOL,MÄT,MAXMIN,AVV,UTOMTOL = Dessa underkommandon styr vilka kolumner som ska skrivas ut för utvärderingarna till följd av kommandot FORMAT. Du kan växla valfri kombination av dessa kolumner av eller på. För att stänga av en flagga anger du ett blanksteg i dess fält. De kan också visas i valfri ordning. Du behöver bara ange det önskade kommandot i den önskade ordningen. (Numeriska värden visas i denna ordning i dialogrutan Parameterinställningar, utvärdering.)

Mer information finns i avsnittet Utvärdera element.


Tillgängliga utvärderingar

Information om hur du redigerar dessa utvärderingar finns under respektive ämne i avsnittet Utvärdera element.


Analys

Information om hur du redigerar analysinformation finns i avsnittet Infoga rapportkommandon.


Statistiska data

Information om hur du inkluderar och redigerar statistiska data finns i avsnittet Spåra statistiska data.


Uppriktning

Med alternativet Uppriktning kan du återkalla eller skapa ett nytt koordinatsystem.

Mer:

Uppriktningskommandon

CAD <--> detalj

Identifiera uppriktningar


Uppriktningskommandon

Mer information om hur du använder de här uppriktningskommandon i Redigeringsfönstret finns under respektive ämne i avsnittet Skapa och använda uppriktningar.


CAD <--> detalj

Mer information om hur du använder kommandot CAD <--> detalj i Redigeringsfönstret finns i Identifiera CAD med mätta detaljdata i avsnittet Skapa och använda uppriktningar.


Identifiera uppriktningar

Mer information om hur du använder kommandot Identifiera uppriktningar i Redigeringsfönstret finns i Identifiera en uppriktning i avsnittet Skapa och använda uppriktningar.


Mätta element

Du kan infoga kommandon som skapar följande mätta element:

  • Mätt punkt

  • Mätt linje

  • Mätt plan

  • Mätt sfär

  • Mätt cylinder

  • Mätt kon

  • Mätt cirkel

Dessa element, tillsammans med information om mätta element i allmänhet, diskuteras i avsnittet Skapa mätta element.


Mätpunkter

Det här kommandot anger lägen för mäthuvudets faktiska mätningar.

Mer:

Mätpunkt

Mätpunkter på tunnplåt

Lägga till mätpunktsrader

Ta bort tomma rader


Mätpunkt

MÄTPKT/BASIC,x,y,z,i,j,k,x,y,z,ANV_NOM=JA/NEJ

Det här är det enklaste formatet på en mätpunkt. Se Förstå kommandoformatet i avsnittet Skapa mätta element för mer information.


Mätpunkter på tunnplåt

MÄTPKT/typ,x,y,z,i,j,k,x,y,z

typ = VEKTOR, YTA, KANT, HÖRN, VINKEL

Det finns fem tillgängliga typer av mätpunkter på tunnplåt. För att det här alternativet ska vara tillgängligt måste tunnplåtspaketet ha installerats. (Se Tunnplåtsmått.)


Lägga till mätpunktsrader

För att lägga till en mätpunktsrad, placerar du insättningspunkten på önskad plats och trycker på RETUR. Börja med att skriva kommandot MÄTPKT. Tryck på TABB-tangenten. Den nya raden läggs till där insättningspunkten befinner sig. Om insättningspunkten finns mitt i ett kommando skapas en ny rad nedanför den aktuella raden. Om insättningspunkten finns någonstans bland de första fyra raderna kommer den nya raden att skapas efter den mätta raden.


Ta bort tomma rader

För att ta bort en tom rad trycker du på NEDPIL eller RETUR. Du kan även markera raden och trycka på DEL. (Se Tangentbordsfunktioner i kommandoläge.)


Rörelsekommandon

De olika rörelsekommandona styr maskinens rörelser. Se de olika rörelsekommandon som diskuteras i Parameterinställningar: fliken Rörelse och i Parameterinställningar: fliken Tilläggsrörelse i avsnittet Göra inställningar.

Mer:

Läge - MANUELL/CNC

Insträcka

Transporthastighet

Mäthastighet

Scanhastighet

Återgångssträcka

Söksträcka


Läge = MANUELL/CNC

LÄGE/MANUELL(eller CNC )

Med det här kommandot kan du välja mellan att köra i manuellt läge eller CNC-läge.


Insträcka

INSTRÄCKA/nnn.nnnn

Det här kommandot bestämmer avståndet från det teoretiska mätpunktsläget som maskinen kommer att röra sig med mäthastighet.


Transporthastighet

TRANSP_HAST/nnn.nnnn

Det här kommandot ändrar CMM-maskinens positioneringshastighet från punkt till punkt. Det värde som anges (1 till 100) är en procentandel av maskinens högsta hastighet.


Mäthastighet

MÄTHAST/nnn.nnnn

Det här kommandot ändrar hastigheten med vilken mätmaskinen utför sina mätningar. Det värde som anges är en procentandel av maskinens högsta hastighet och får inte överskrida 20 procent.


Scanhastighet

SCAN_HAST/nnn.nnnn

Det här kommandot ändrar hastigheten med vilken mätmaskinen scannar detaljen. Det värde som anges är en procentandel av maskinens högsta hastighet.


Återgångssträcka

ÅTERGÅNG/nnn.nnnn

Det här kommandot bestämmer det avstånd som maskinen kommer att röra sig bort från den aktuella mätpunktens läge innan den övergår från "Mäthastighet" till "Transporthastighet".


Söksträcka

SÖKSTRÄCKA/nnn.nnnn,p.pp

Det här kommandot bestämmer avståndet i tum eller millimeter (beroende på vilket måttsystem som ursprungligen konfigurerades för just det detaljprogrammet) förbi det teoretiska mätpunktsläget som maskinen ska fortsätta att söka efter detaljens yta innan den fastställer att ytan inte finns där.

nnn.nnnn:
Söksträckan

p.pp:
Procentandel av den totala söksträckan som PC-DMIS ska röra sig när den utför en Sök hål-operation. Standardvärdet är 1, vilket betyder 100 % av söksträckan. Således .1=10 %, .2=20 %, .3=30 % o.s.v. Detta fungerar endast med Sök hål-operationer.

  • Om en yta hittas inom den angivna söksträckan tas en mätpunkt.

  • Om ingen yta hittas visas ett felmeddelande om att ett oväntat rörelseslut påträffats.

  • Exempel: Om du anger 8 mm som söksträcka rör sig PC-DMIS 8 mm förbi den teoretiska ytan i sökandet efter en yta att sätta en mätpunkt på.

    Se Söksträcka i avsnittet Göra inställningar för mer information.


Via-kommandon

Kommandona i nedanstående lista ger dig möjlighet att ändra hur mäthuvudet ska röra sig mellan mätpunkter.

VIA/PUNKT

VIA/STEGVÄRDE

VIA/SÄKERHETSPLAN

VIA/CIRKULÄR

VIA/SYNK

VIA/SVEP

VIA/RUNDBORD

VIA/SÄKERHETSZON

Dessa beskrivs i avsnittet Infoga Via-kommandon.


Tunnplåtsmått

Tunnplåtsmått, även kallat "autoelement", är endast tillgängliga som tilläggsalternativ till PC-DMIS grundläggande geometriska programvarupaket. (Se avsnittet Skapa autoelement.) Med det här alternativet får du flera olika val för bestämning av mätpunkter. De olika tunnplåtselementen står i nedanstående lista. Vid behov kan du uppdatera värdena för Antal mätpunkter, Antal rader, Avstånd och Indrag. Det minsta tillåtna antalet visas som standard.

Följande tunnplåtsmått är tillgängliga:

  • Autovektorpunkt

  • Autolinje

  • Autoplan

  • Autocirkel

  • Autoellips

  • Autospår

  • Autorundat spår

  • Autovinkelpunkt

  • Autohörnpunkt

  • Autokantpunkt

  • Auto högsta punkt

  • Autoytpunkt

  • Autorektangel

  • Autocylinder

  • Autokon

  • Autosfär


Mäthuvud

Med följande kommandon kan du komma åt element som styr mäthuvudet. Med de här kommandona kan du ändra den aktiva spetsen i ett mäthuvudskluster eller ändra läge på det roterande mäthuvudet. Vid behov kan du också slå av eller på mätspetskompensering.

Mer:

Ladda mäthuvud

Mätsp.komp.

Läs punkt

Mätspets


Ladda mäthuvud

LADDA_MÄTH/mäthuvudets_filnamn

Kommandot Ladda mäthuvud är ett redigerbart fält, där du kan ladda en fil med kalibrerade mäthuvuden för användning i ett detaljprogram.


Mätsp.komp.

MÄTSP_KOMP/PÅ (eller AV)

Med kommandot Mätsp.komp. kan du slå på eller av kompensering för mätspetsen. Om kommandot visas i Redigeringsfönstret antas det vara PÅ.


Läs punkt

F_ID= ELEMENT/ PUNKT, ALT1
TEOR/ x, y, z, i, j, k
MÄTT/ x, y, z, i, j, k
LÄSPUNKT

Kommandot Läs punkt skapar ett punktelement vid mäthuvudets aktuella läge. PC-DMIS kommer sedan att spara värden för den punkt som mätts.

Mer information finns i Skapa en LäsPunkt från mäthuvudets läge i avsnittet Skapa allmänna element.


Mätspets

MÄTSPETS/T1A0B0, SKAFTIJK=0, 0, 1, VINKEL=0

· SKAFTIJK är helt enkelt en annan vektorform för att ange mätspetsens A- och B-vinklar.

· VINKEL anger den vinkel som mätspetsens omvandlingsmatris ska roteras runt skaftets vektor.


Kommentarer

Med det här alternativet kan du visa kommentarer medan ett detaljprogram körs, eller skicka dessa kommentarer till rapporten. Du skapar de här kommentarerna med menyalternativet Infoga | Rapportkommandon | Kommentar. Med alternativet Visa kommentarer kan du inifrån Redigeringsfönstret även lägga till, redigera eller ta bort operatörsanteckningar och kommentarer i rapporter. KOMMENTAR-kommandot växlar mellan alternativen OPER, RAPPORT, JANEJ, $$, INMATN, och KOORDINATVISNING.

När du i den aktuella versionen öppnar ett detaljprogram som sparats i en senare version, kommer eventuella kommandon som inte stöds av den aktuella versionen att visas som DOK-kommentarer.

Se Infoga programmerarkommentarer i avsnittet Infoga rapportkommandon.

Mer:

Operatör

Rapport

Inmatn

$$

Ja / Nej

Koordinatvisning


Operatör

Med det här alternativet kan du visa ett användardefinierat meddelande när ett detaljprogram körs. Du kommer åt det här alternativet genom att välja Infoga | Rapportkommandon | Kommentar i menyraden och växla till OPER eller genom att ange kommandot KOMMENTAR/OPER på önskad plats i Redigeringsfönstret. Ange den önskade texten. (Texten får vara hur lång du vill.) Klicka på OK (eller tryck på RETUR) när du har skrivit in dina kommentarer. När detaljprogrammet körs visas kommentarerna i en meddelanderuta. Klicka på OK för att stänga meddelanderutan.

Om du trycker på F9 medan markören är på en KOMMENTAR/OPER-kommandorad öppnas dialogrutan Kommentarer, där du kan ändra det meddelande som visas.

Kommandorad i Redigeringsfönstret:
KOMMENTAR/OPER, kommentarstext


Rapport

Med det här alternativet kan du skicka text till rapporten. Du kommer åt det här alternativet genom att välja Infoga | Rapportkommandon| Kommentar i menyraden och växla till RAPP eller genom att ange kommandot KOMMENTAR/RAPP på önskad plats i Redigeringsfönstret. Ange den önskade texten. (Texten får vara hur lång du vill.) Klicka på OK (eller tryck på RETUR) när du har skrivit dina kommentarer. När detaljprogrammet körs, visas inte de här meddelandena. Kommentarerna kommer dock att infogas i rapporten när den skrivs ut.

Om du trycker på F9 medan markören är på en KOMMENTAR/RAPP-kommandorad öppnas dialogrutan Kommentarer, där du kan ändra det meddelande som visas.

Kommandorad i Redigeringsfönstret:
KOMMENTAR/RAPP, kommentarstext


Inmatn

Det här elementet liknar "OPER", på så vis att du kan visa text medan du kör ett detaljprogram. Förutom att ett meddelande med den tidigare angivna texten visas, visas en kommentarsruta. Där kan du ange numerisk information som kommer att skrivas i rapporten. Du kommer åt det här alternativet genom att välja Infoga | Rapportkommandon | Kommentar i menyraden och växla till INMATN eller ange kommandot KOMMENTAR/INMATN på den önskade platsen i Redigeringsfönstret. Ange den önskade texten. Operatörens inmatning kommer att tilldelas till kommentars-ID:t och blir tillgänglig via en uttrycksreferens (t.ex. C1.INMATN).

Om du trycker på F9 medan markören är på en KOMMENTAR/INMATN-kommandorad öppnas dialogrutan Kommentarer, där du kan ändra det meddelande som visas.

Kommandorad i Redigeringsfönstret:
kommentars-ID = KOMMENTAR/INMATN, kommentarstext


$$ (Dokument)

Med det här alternativet kan du dokumentera (lägga till programmerarkommentarer i) det interna programmet. Ingen text visas när detaljprogrammet körs. Det här kommandot använder inte det vanliga KOMMENTAR-prefixet för kommandot. Detta görs för att göra det tydligare.

Kommandorad i Redigeringsfönstret:
$$ NEJ, V.g. redigera kommentarstexten!

Så här definierar du detta som en dokumentationskommentar direkt i Redigeringsfönstret:

  1. Skriv KOMMENTAR och tryck på TABB. Fältet OPER markeras.

  2. Skriv $$ och tryck på TABB eller RETUR.

När du i den aktuella versionen öppnar ett detaljprogram som sparats i en senare version kommer eventuella kommandon som inte stöds av den aktuella versionen att visas som DOK-kommentarer. Se Spara som i avsnittet Använda grundläggande filalternativ.


Ja / Nej

Med det här alternativet kan du visa text när ett detaljprogram körs. I meddelanderutan visas eventuellt tidigare definierad text och knapparna JA / NEJ. Svaret på JA/NEJ-frågan visas i detaljprogram. Texten 'JA' eller 'NEJ' kommer att vara kopplad till kommentars-ID:t och kan användas i valfritt uttryck genom en referens till Kommentars-ID:t (t.ex. C1 INMATN).

Kommandorad i Redigeringsfönstret:
kommentars-ID = KOMMENTAR/JANEJ, kommentarstext


Avläsning

Med det här alternativet kan du visa text i Koordinatvisningsfönstret.

Kommandoraden i Redigeringsfönstret för det här alternativet ser ut så här:
KOMMENTAR/AVLÄSNING,kommentarstext

Mer information om om hur du ställer in det här alternativet finns i Avläsning i avsnittet Infoga rapportkommandon.


Spårningsfält

Med alternativet Spårningsfält kan du ställa in spårningsfält i Redigeringsfönstret. Den här informationen är användbar i STATS-databasen (se filen XSTATS11.TMP). Du kan ändra namnet på fältet och dess aktuella värde i Redigeringsfönstret. Det gör du genom att markera fältet som du vill ändra och skriva in ett nytt värde.

För att öppna dialogrutan Spårningsfält väljer du menyalternativet Infoga| Statistikkommandon | Spårningsfält.

Kommandorad i Redigeringsfönstret:
SPÅRNINGSFÄLT/fältnamn: värde

fältnamn = en sträng som representerar namnet på spårningsfältet. Fältnamnet får vara högst 15 tecken långt.

värde = spårningsfältets aktuella värde. Värdet får vara högst 15 tecken långt.


Uttryck

Du kan infoga uttryck i de flesta av PC-DMIS redigerbara fält. Se avsnittet Använda uttryck och variabler.


Kopiera skärmbilder

Med VISA / METAFIL-kommandot (Operation | Grafikfönster | Fånga skärm till | Rapport) kan du kopiera grafikdelen av skärmen och infoga ett kommando så att den visas i rapportfönstret.

För att visa den i rapportfönstret högerklickar du på text i rapportfönstret och väljer Redigera. När dialogrutan Rapport visas markerar du kryssrutan Visa skärmbilder.

Bilden uppdateras även varje gång detaljprogrammet körs.

Kommandorad i Redigeringsfönstret:
VISA / METAFIL, "___"

___ = I det här fältet kan du ange en beskrivning av skärmbilden. Fältet rymmer högst 255 tecken.


Globala kommandon

Nedanstående tabell visar en lista över de globala kommandon som är tillgängliga i Redigeringsfönstret. Även om du inte kan ändra dessa kommandon, kan du i Redigeringsfönstret välja vilka underkommandon som ska följa på dessa huvudkommandon.

Så här väljer du underkommandon:

  1. Placera markören på ett underkommando i Redigeringsfönstret.

  2. Vänsterklicka.

  3. Tryck på F7 eller F8. Då växlar du mellan de olika tillgängliga alternativen.

Den här listan utgör en övergripande sammanfattning av de kommandon som du kan lägga till i ett detaljprogram. Vid behov finns mer information i respektive avsnitt.

Obs! Det högsta antalet tecken som kan hanteras på valfri rad i Redigeringsfönstret är 280.

HUVUDKOMMANDO | UNDERKOMMANDO
2DVINKEL (se Utvärdera vinkel) | A
2DAVSTÅND (se Utvärdera avstånd) | M
3DVINKEL (se Utvärdera vinkel) | A
3DAVSTÅND (se Utvärdera avstånd) | M
UPPRIKTNING (se avsnittet Skapa och använda uppriktningar) | BA2D, BA3D, ITERERA, NIVÅ, ROTERA, FLYTTA, VRID_OFFSET, FLYTTA_OFFSET, ÅTERKALLA, HÄMTA_EXTERN
VINKELRIKTIGHET (se Utvärdera vinkelriktighet) | M
ANALYSVY (se Analys) |
ARRAYINDEX (se Arrayer) |
TILLDELA (se Använda variabler med uttryck) |
BIFOGA (se ID:n för funktioner i underprogram, Basic-skript eller externa program) |
AUTO (se Tunnplåtsmått) | VEKTORPUNKT, YTPUNKT, KANTPUNKT, HÖRNPUNKT, VINKELPUNKT, HÖGSTA PUNKT, SFÄR, CIRKEL, CYLINDER, RÄTVINKL. SPÅR, RUNDAT SPÅR, KON, ELLIPS, SPÅR, KON
AUTOTRIGG (se Parameterinställningar: fliken Alternativ, trigg) |
CAD <--> DETALJ (se CAD <--> detalj) |
BERÄKNING |
ANROPA_UNDERPROGRAM (se Anropa ett underprogram) |
FALL (se Fall / Slut Fall) |
SÖKSTRÄCKA (se Söksträcka) |
SÄKPLAN (se Parameterinställningar: fliken Säkerhetsplan) | "VÄRDE PÅ ARBETSPLAN"
MÄTKRAFT (se Mätkraftsvärde) |
KOLUMN132 (se Utvärderingar) |
KOMMENTAR (se Kommentarer) | OPER, RAPPORT
KONCENTRICITET (se Utvärdera koncentricitet) | M
KONST (se Konstruerade element) | CIRKEL, KON, KURVA, CYLINDER, ELLIPS, LINJE, PLAN, PUNKT, GRUPP, YTA, SFÄR
CIRKULARITET (se Utvärdera rundhet) |
CYLINDRICITET (se Utvärdera cylindricitet) |
STANDARD_FALL (se StandardFall / Slut StandardFall) |
VISNING (se Kopiera skärmbilder) | METAFIL
UTFÖR (se Utför / Tills) |
ANNARS (se Annars / Slut Annars) |
SLUT_ANNARS_OM (se Annars Om / Slut Annars Om) |
ANNARS_OM (se Annars Om / Slut Annars Om) |
SLUT_FALL (se Fall / Slut Fall) |
SLUT_STANDARDFALL (se StandardFall / Slut StandardFall) |
SLUT_ANNARS (se Annars / Slut Annars) |
SLUT_OM (se Om / Slut Om) |
SLUT_VÄLJ (se Välj / Slut Välj) |
SLUT SÅLÄNGE (se SåLänge / Slut SåLänge) |
SLUT_UNDERPROGRAM (se Avsluta ett underprogram) |
IDENTIFIERA (se Identifiera uppriktningar) |
EXTERNKOMMANDO (se Infoga ett externt kommando). |
FIL (se avsnittet Använda indata/utdata i filer) | ÖPPNA, RÖRELSE, FINNS, DIALOG, TA_BORT, KOPIERA, STÄNG, SKRIV_TECKEN, SKRIV_BLOCK, SKRIVLINJE, SPARA_POSITION, SPOLA_TILLBAKA, HÄMTA_POSITION, LÄS_FRAM_TILL, LÄS_TECKEN, LÄS_BLOCK, LÄSLINJE
PLANHET (se Utvärdera planhet) | M
GENVÄG (se Genvägsläge) |
SIDBRYTNING (se Infoga ett sidbrytningskommando). |
FORMAT (se Utvärderingsformat) | RUBRIKER,STAT
ENBARTSPEL (se Utvärdera läge) | PÅ
ALLMÄN (se Skapa ett allmänt element) | PUNKT, PLAN, INGEN, LINJE, CYLINDER, KON, CIRKEL, RÄTVINKL_SPÅR, SFÄR, RUNDATSPÅR
GÅ TILL (se Hoppa till en etikett) |
MÄTPKT (se Mätpunkter) | BASIC, VINKEL, VEKTOR, YTA, KANT, HÖRN
OM (se Om / Slut Om) |
INMATNING (se Utvärdering genom tangentbordsinmatning) | M
ETIKETT (se Skapa etiketter) |
LEITZPROBE |
LADDA_MÄTH (se Ladda mäthuvud) | "FILNAMN"
LÄGE (se Utvärdera läge) | A, D, M, PA, PR, R, T, X, Y, Z
UPPREPA (se Skapa allmänna slingor) | START, SLUT
MÄT (se Mätta element) | CIRKEL, KON, KURVA, CYLINDER, LINJE, PLAN, PUNKT, GRUPP, SPÅR, SFÄR
LÄGE (se Verktygsfältet Mätning) | CNC, MANUELL
RÖRELSE (se Rörelsekommandon) | PUNKT, RUNDBORD, CIRKULÄR, SÄKERHETSPLAN, STEGVÄRDE, PH9 (X,Y,Z)
TRANSP_HAST (se Transporthastighet) | % av allmänna maskinhastigheten
VID_FEL (se Förgrening vid ett CMM-fel) | Oväntad_träff, ingen_mätyta
TILLÄGGSRÖRELSE (se Parameterinställningar: Fliken Tilläggsrörelse) |
PARALLELLITET (se Utvärdera parallellitet) | M
PD |
VINKELRÄTHET (se Utvärdera vinkelräthet) | M
INSTRÄCKA (se Insträcka) | "avstånd"
MÄTH_KOMP (se Mäth.komp.) | "PÅ, AV"
PROFIL (se Utvärdera yt- eller linjeprofil). |
PROGRAM | SLUT "avslutar programmet vid kommandots läge"
LÄSPUNKT (se Läspunkt | "xyz-värde på mätspetsläge"
HÄMTA (se Hämta en sparad uppriktning) | VY, UPPRIKTNING (INTERN/EXTERN)
ÅTERGÅNG (se Återgångssträcka) | "avstånd"
ENBART_RETROLINEAR (se Lägesalternativ) | PÅ, AV
RMÄT (se Relativ mätyta) |
RS |
RT |
KAST (se Kastutvärderingar) | M
S |
SPARA (se Spara en uppriktning) | UPPRIKTNING
SCAN_HAST (se Scanhastighet) | % av allmänna maskinhastigheten
SKRIPT (se Infoga BASIC-skript) |
VÄLJ (se Välj / Slut Välj) |
STAT (se avsnittet Spåra statistiska data) | PÅ, AV
RAKHET (se Utvärdera rakhet) | M
UNDERPROGRAM (se Förgrening med underprogram) |
MÄTSPETS (se Mätspets) | "filnamn"
TEMPKOMP (se Kompensera för temperatur) |
MÄTHAST (se Mäthastighet %) | "% av allmänna maskinhastigheten"
SPÅRNINGSFÄLT (se Spårningsfält) | (fältnamn: värde)
POSITION (se Utvärdera lägeriktighet) | A, D, M, PA, PR, R, T, V, X, Y, Z
TILLS (se Utför / Tills) |
SÅLÄNGE (se SåLänge / Slut SåLänge) |
ARBETSPLAN (se Arbetsplanlista) | UPPÅT, BAKSIDA, UNDERKANT, FRAMSIDA, VÄNSTER, HÖGER


Tangentbordsfunktioner i kommandoläget

I följande tabell visas en lista över de olika tangentbordsfunktioner som är tillgängliga i Redigeringsfönstrets kommandoläge.

Tangent(er) | Funktion
ALT + F3 | Öppnar dialogrutan Sök.
SKIFT + TABB, CTRL + VÄNSTERPIL | Flyttar markören bakåt till föregående fält som användaren kan redigera.
CTRL | Vänsterklicka på den önskade funktionen i Grafikfönstret. Markören flyttas till motsvarande elementrad i Redigeringsfönstret. CTRL + dubbelklickning på ett element markerar hela elementet.
CTRL + A | Markera all text i fönstret.
CTRL + C | Kopiera text eller objekt till Urklipp. Om du markerar text i ett enskilt fält kopieras denna text till Urklipp. Om du markerar mer än ett fält kopieras hela objektet till Urklipp.
CTRL + E | Kör de valda elementen (eller det element som har en markör).
CTRL + END | Flyttar markören till slutet på detaljprogrammet.
CTRL + TABB | Minimerar eller återställer Redigeringsfönstret.
CTRL + HOME | Flyttar markören till början av detaljprogrammet.
CTRL + PAGE DOWN | Flyttar markören till slutet på filen.
CTRL + PAGE UP | Flyttar markören till början av filen.
CTRL + Q | Öppnar dialogrutan Utför, där du kan köra detaljprogrammet.
CTRL + T | Tilldelar det aktuella kommandot till den valda aktiva armen.
CTRL + V | Klistrar in innehållet från Urklipp vid insättningspunkten. Om endast text har kopierats görs ett försök att klistra in texten. Om ett helt objekt har kopierats till Urklipp görs ett försök att klistra in hela objektet. I det senare fallet placeras objektet i Urklipp framför insättningspunkten om den ligger i Redigeringsfönstrets första kolumn och på den första raden i ett kommando. I alla andra fall sker insättningen efter objektet.
CTRL + X | Klipper ut markerade tecken.
CTRL + Y | Öppnar dialogrutan Utför och återupptar en avbruten körning.
DEL eller BAKSTEG | Raderar markerade tecken. Om ingenting har markerats fungerar dessa tangenter på samma sätt som i andra redigeringsprogram.
dubbelklickning | Om du dubbelklickar med vänster musknapp när markören befinner sig i något redigerbart fält markeras fältet.
NEDPIL | Flyttar markören en rad nedåt.
F1 | Öppnar hjälpavsnittet för det aktuella kommandot.
F2 | Infogar ett uttryck.
F3 | Markerar ett enskilt element för körning. Du kan markera flera element samtidigt genom att markera dem innan du väljer det här kommandot.
F4 | Skriver ut hela Redigeringsfönstrets innehåll.
F5 | Öppnar dialogrutan Inställningsval.
F6 | Öppnar dialogrutan Ändra alla teckensnitt.
F7 | Om du placerar markören i ett växlingsbart fält kan du med det här kommandot växla värdet i fältet framåt till nästa värde i alfabetisk ordning i listan över tillåtna värden. När du når slutet på listan börjar den om från början.
F8 | Om du placerar markören i ett växlingsbart fält kan du med det här kommandot växla värdet i fältet bakåt till föregående värde i alfabetisk ordning i listan över tillåtna värden. När du når början på listan börjar den om från slutet.
F9 | Anropar dialogrutan för det kommando på vilket markören vilar när tangenten trycks.
F10 | Öppnar dialogrutan Parameterinställningar.
F12 | Öppnar dialogrutan Fixturinställning.
VÄNSTERPIL | Flyttar markören ett tecken till vänster.
PAGE DOWN | Flyttar markören en sida nedåt.
PAGE UP | Flyttar markören en sida uppåt.
HÖGERPIL | Flyttar markören ett tecken till höger.
SKIFT | Om du håller ned SKIFT-tangenten medan du trycker på någon av piltangenterna markeras den text som markören passerar. SKIFT + dubbelklickning på ett startblock eller slutblock markerar hela blocket.
SKIFT + F10 | Öppnar dialogrutan Gå till.
TABB + CTRL + HÖGERPIL | Flyttar markören framåt till nästa fält som användaren kan redigera.
UPPIL | Flyttar markören en rad uppåt.
- (minustecken) eller ALT + - | Tar bort den senaste mätpunkten från mätpunktsbufferten.
END | Infogar det mätta elementet i detaljprogrammet.


Arbeta i DMIS-läge

För att köra DMIS-läget väljer du Visa | DMIS-läge.

När du klickar på ikonen DMIS-läge visas redigeringsfönsterkommandona i DMIS-format. Detta innebär att du kan använda DMIS-syntax för att redigera dina detaljprogram.

De flesta kommandon och funktioner som kan du lägga till i ditt detaljprogram när du kör i kommandläge kan du också lägga till när du kör i DMIS-läge. Mer information om hur du infogar eller redigerar kommandon i DMIS-läge finns i Om grundläggande koncept.

  • Mer information om hur DIMS-kommandon (standardformat för PC-DMIS-kommandon) översätts till DMIS-kommandon finns i ett dokument som heter PC-DMIS Support Documentation for DMIS, som finns att hämta på ftp://wilcoxassoc.com/docs/dmis_support.zip.

  • Mer information om DMIS finns på http://www.dmis.com.


Använda övriga fönster, redigerare och verktyg

Använda övriga fönster, redigerare och verktyg: Översikt

Använda Förhandsgranskningsfönstret

Alternativ i Förhandsgranskningsfönstret

Ändra storlek på Förhandsgranskningsfönstret

Använda Koordinatvisningsfönstret

Använda Mäthuvudsverktyg

Placera och ange storlek på verktygsfältet

Ändra det aktuella mäthuvudet

Ändra den aktuella mätspetsen

Redigera mätpunkter i avkänningslistan

Ta bort mätpunkter från mätpunktsbufferten

Öppna Koordinatvisningsfönstret

Låsa maskinens axlar

Använda Statusfönstret

Redigera Basic-skript

Verktygsfältet Redigera Basic-skript

Nytt

Öppna

Spara

Skriva ut

Förhandsgranska

Sök

Klipp ut

Kopiera

Klistra in

Ångra

Kompilera

Start

Arkiv-menyn

Nytt

Öppna

Spara

Spara som

Skriva ut

Förhandsgranska

Avsluta

Unicode

Redigera-menyn

Ångra

Klipp ut

Kopiera

Klistra in

Ta bort

Markera allt

Sök

Sök nästa

Ersätt

Dialogeditor

Visa-menyn

Kör-menyn

Hjälp-menyn

Basic-hjälp

Syntax-hjälp

Syntax-hjälpfil

Använda fönstret Markeringsgrupper

Använda redigeraren för HyperView-rapport

A nvända Inställningsfönstret

Ändra alternativ för Inställningsfönstret

Visa en rapport

Använda det virtuella tangentbordet

Öppna varianter av virtuella tangentbord

Skapa en ny variant av virtuellt tangentbord

Ändra en befintlig variant av virtuellt tangentbord

Ta bort en befintlig variant av virtuellt tangentbord

Koppla ihop eller slå ihop tangenter i en tangentbordsvariant

Använda avgränsare i det virtuella tangentbordet för bättre utseende

Visa körväg


Använda övriga fönster, redigerare och verktyg: Översikt

I PC-DMIS finns en mängd olika fönster, redigerare och andra hjälpmedel som gör programmering av detaljprogram både enklare och mer produktiv. Alternativen är bland annat:

  • Redigeringsfönstret, som redan har presenterats i avsnittet Använda Redigeringsfönstret.

  • Ett Förhandsgranskningsfönster där du kan förhandsgranska dina mätningar innan du accepterar dem.

  • Ett Koordinatvisningsfönster som visar mäthuvudets aktuella position, tillsammans med annan information.

  • Mäthuvudsverktyg, där du kan arbeta med mäthuvuden.

  • Ett Statusfönster som visar en åtgärds aktuella status.

  • Ett skriptredigeringsfönster där du kan skapa skript på programmeringsspråket Basic.

  • Ett fönster där du kan skapa och spara markeringsgrupper med element som du kan köra senare.

  • Ett inställningsfönster där du snabbt kan redigera värden som du använder ofta.

  • En redigerare för HyperView-rapporter där du kan skapa hyperrapporter.

  • En redigerare för rapporter, där du snabbt kan granska och göra mindre ändringar i dina automatiska rapporter.

  • Ett anpassningsbart virtuellt tangentbord som du kan använda i stället för ett riktigt tangentbord.

Det här avsnittet behandlar hur du kan komma åt och använda dessa verktyg. Huvudämnena i detta avsnitt är:

  • Använda Koordinatvisningsfönstret

  • Använda Förhandsgranskningsfönstret

  • Använda Mäthuvudsverktyg

  • Använda Statusfönstret

  • Redigera Basic-skript

  • Använda fönstret Markeringsgrupper

  • Använda Inställningsfönstret

  • Använda redigeraren för HyperView-rapport

  • Visa en rapport

  • Använda det virtuella tangentbordet

  • Visa körväg


Använda Förhandsgranskningsfönstret

När du väljer menyalternativet Visa | Förhandsgranskningsfönster öppnas ett fönster där du kan förhandsgranska resultaten från en elementmätning innan du accepterar mätningen. När alla mätpunkter har tagits och END-tangenten tryckts (eller DONE på handterminalen) visas elementet i Grafikfönstret och elementets utvärderingsinformation visas i Förhandsgranskningsfönstret.

Förhandsgranskningsfönster för en mätt cirkel med värden för X, Y, Z och diameter.

I Förhandsgranskningsfönstret används samma färgschema som används för utvärderingar för att visa avvikelserna från acceptabla toleranser. De här färgerna gör att du snabbt kan avgöra huruvida ett visst mått ligger inom de acceptabla toleranserna (mer information om hur du ändrar de färger som används för utvärderingstoleranser finns i Redigera utvärderingsfärger i avsnittet Redigera CAD-visningen).

Obs! För att fastställa vilken elementinformation som visas i Förhandsgranskningsfönstret, placera markören på kommandoraden för valfritt element i Redigeringsfönstret. Normalt finns markören vid det sista elementet i Redigeringsfönstret.

Följande alternativ är tillgängliga för Förhandsgranskningsfönstret:

Mer:

Alternativ i Förhandsgranskningsfönstret

Ändra storlek på Förhandsgranskningsfönstret


Alternativ i Förhandsgranskningsfönstret

I Förhandsgranskningsfönstret visas allmän information om ett element, liksom mer specifik utvärderingsinformation.

Alternativ | Beskrivning
ID | I den här rutan visas namnetiketten för det mätta elementet eller utvärderingen.
SA | I den här rutan visas standardavvikelsen för det mätta elementet.
Ant. pktr | I rutan Ant. pktr visas antalet mätpunkter används för att mäta elementet.
Dölj | Med knappen Dölj stänger du Förhandsgranskningsfönstret. Du kan öppna Förhandsgranskningsfönstret genom att välja Visa | Förhandsgranskningsfönster.
Acceptera | Med knappen Acceptera kan du acceptera en mätning. Det här fungerar endast om du först markerar kryssrutan Spara utv..
Visa | Med knappen Visa öppnar du analysfönstret för utvärderingen som motsvarar det mätta elementet.
Skapa utvärderingar | Genom att markera kryssrutan Skapa utvärderingar skapar du automatiskt en utvärdering för det mätta elementet när du klickar på knappen Acceptera.
AX | En AX-lista visar den valda listan i Förhandsgranskningsfönstret. Du kan välja följande axlar: X, Y, Z, D, R, A, T, PR, PA , M, V, L, PD, RS, RT, S, H. Du kan visa information om upp till sex axlar åt gången genom att välja dem i de olika AX-listorna. Mer information om de här axlarna finns i Standardaxlar och Axlar, tunnplåt i avsnittet Utvärdera element.
Nominell | I den här rutan visas varje axels nominella värden (eller idealvärden).
+TOL | I den här rutan visas ett toleransvärde över det nominella värdet där mätningen fortfarande är acceptabel.
-TOL | I den här rutan visas ett toleransvärde under det nominella värdet där mätningen fortfarande är acceptabel.
MÄTT | I den här rutan visas de faktiska mätta värdena.
MAX | I den här rutan visas det högsta värde en mätning får ha utan att den ligger utanför toleransen.
MIN | I den här rutan visas det minsta värde en mätning får ha utan att den ligger utanför toleransen.
AVV | I den här rutan visas mätningens avvikelse från det nominella värdet.
UTOMTOL | I den här rutan visas hur mycket det mätta värdet ligger utanför toleransen.


Ändra storlek på Förhandsgranskningsfönstret

Som med de flesta andra fönster kan du ändra storleken på Förhandsgranskningsfönstret för att passa dina behov. Om du vill göra det större eller mindre behöver du helt enkelt bara dra kanten på fönstret med musen till önskad storlek.

Obs! Förhandsgranskningsfönstret i Inlärningsläge skiljer sig från Förhandsgranskningsfönstret i Körläge, men du kan ändra storleken i båda dessa lägen.


Använda Koordinatvisningsfönstret

Med menyalternativet Visa | Koordinatvisning kan du visa koordinaterna för CMM-maskinens aktuella position och annan nyttig information. När du väljer det här alternativet visas Koordinatvisningsfönstret.

Koordinatvisningsfönstret

TheI Koordinatvisningsfönstret visas information från nedanstående tabell, beroende på vilka alternativ du valt i dialogrutan Inställningar, koordinatvisning (se Konfigurera Koordinatvisningsfönstret i avsnittet Göra inställningar).

Tips! Du kan öppna dialogrutan Inställningar, koordinatvisning genom att högerklicka i Koordinatvisningsfönstret och sedan välja Inställningar.

Vänster kolumn | Beskrivning
X Y Z | Mäthuvudets aktuella XYZ-position
LX LY LZ | Senaste mätpunktens XYZ-position
DX DY DZ | Avstånd till nästa position
EX EY EZ | Fel i det senast mätta elementet
W | Vinkel
A B | AB-axelvinklar (för att dessa ska visas måste du använda ett aktivt vridbart mäthuvud, t.ex. PHS eller CW43 Light o.s.v.)
Mätpunkter | Tagna mätpunkter

Dessutom kan Koordinatvisningsfönstret innehålla ytterligare textrader längst ner i fönstret. Texten kommer från Koordinatvisningens kommentarstyp. Mer information om hur du visar den här typen av kommentar i Koordinatvisningsönstret finns i Infoga programmeringskommentarer i avsnittet Infoga rapportkommandon.

Ändra storlek på Koordinatvisningsfönstret

Du kan enkelt ändra storleken på det här fönstret genom att "dra" kanten på fönstret till den önskade storleken. Genom att klicka på maximeringsikonen [image] längst upp till höger i fönstret kan du expandera rutan till att ta upp hela skärmen. (Klicka på ikonen en gång till för att återställa fönstret till dess tidigare storlek.) På så vis kan du se det valda Koordinatvisningsfönstret när CMM-maskinen finns på andra sidan rummet från skärmen. Klicka på X längst upp till höger i Koordinatvisningsfönstret för att stänga det.

Obs! Varje gång du ändrar storleken på eller positionen för Koordinatvisningsfönstret uppdateras motsvarande registerinställning. Nästa gång du öppnar alternativet visas fönstret med samma inställning som det hade vid den förra visningen.

Det här alternativet är inte tillgängligt på maskiner med en extern DRO-enhet.

Koordinatvisningsfönstret i flerarmsläge

Om det är fler än en arm som mäter detaljen visas koordinatinformation för varje extra arm i en ny kolumn.

Exempel på Koordinatvisningsfönstret med flera armar i två kolumner

Du kan högerklicka i det här fönstret för att öppna en snabbmeny där du kan välja att visa eller dölja information om ett visst mäthuvud.

Om bock visas bredvid ett menyalternativ betyder det att dess information visas i Koordinatvisningfönstret.


 Låsa maskinens axlar Öppna Koordinatvisningsfönstret Ta och ta bort mätpunkter Visa mätpunkter i mätpunktsbufferten Ändra den aktuella mätspetsen Ändra det aktuella mäthuvudet Placera ett mäthuvud i Koordinatvisningsläge eller Mätläge Visa mätpunkter i mätpunktsbufferten

Använda Mäthuvudsverktyg

Med menyalternativet Visa | Mäthuvudsverktyg öppnar du Mäthuvudsverktyg.

Mätspetsverktyg

Med de här verktygen kan du enkelt utföra en mängd olika mäthuvudsrelaterade åtgärder. Här finns flikar och information som gäller för det mäthuvud som för tillfället används. Om du t.ex. använder ett optiskt mäthuvud eller ett lasermäthuvud visas olika flikar och på dem kan du ställa in parametrar som är specifika för de typerna av mäthuvuden. Se den specifika dokumentationen om Vision- och Laser-modulerna om du använder något av de här mäthuvudstyperna.

Bland mäthuvudsvärdena för standarmäthuvudstyperna finns:

  • Växla mellan befintligt konfigurerade mätspetsar och mäthuvuden

  • Visa mäthuvudets nuvarande position

  • Öppna Koordinatvisningsfönstret

  • Ta bort tagna mätpunkter från mätpunktsbufferten

  • Visa mätpunkter i mätpunktsbufferten

  • Låsa maskinens X-, Y- eller Z-axlar

Mer information om de här verktygen finns i nedanstående ämnen..

Obs! I tidigare versioner av PC-DMIS fanns det ikoner för lägen för igenkänning av plana och runda element bland de här verktygen. Eftersom igenkänningsalgoritmen har förbättrats i version 4.0 och senare versioner behövs ikonerna inte längre och de har därför tagits bort.

Mer:

Placera och ange storlek på verktygsfältet

Ändra det aktuella mäthuvudet

Visa mätpunkter i mätpunktsbufferten

Ta och ta bort mätpunkter

Öppna Koordinatvisningsfönstret

Placera ett mäthuvud i Koordinatvisningsläge eller Mätläge

Låsa maskinens axlar


Placera och ange storlek på verktygsfältet

I likhet med Redigeringsfönstret eller andra verktygsfält i PC-DMIS kan du docka Mäthuvudsverktyg längst upp, längst ner eller längs med sidorna i fönstret. Du kan också låta det sväva fritt i Grafikfönstret. Så startar gör du:

  1. Klicka på namnlisten i Mäthuvudsverktyg.

  2. Dra verktygsfältet dit du vill placera det.

  3. Släpp musknappen. Verktygsfältet placeras på det nya stället.

Du kan även ändra storlek på verktygsfältet genom att klicka och hålla ner musknappen på någon av dess kanter och sedan dra musen för att ändra storleken.


Ändra det aktuella mäthuvudet

Så här ändrar du det aktuella mäthuvudet i detaljprogrammet genom att använda Mäthuvudsverktyg,

  1. Öppna listan över Mäthuvuden.

  2. Välj ett nytt mäthuvud.

Ett nytt LADDA_MÄTH-kommando infogas i detaljprogrammet för det valda mäthuvudet.


Ändra den aktuella mätspetsen

Så här ändrar du det aktuella mäthuvudet i detaljprogrammet genom att använda Mäthuvudsverktyg,

  1. Öppna listan över Mäthuvuden.

  2. Välj ett nytt mäthuvud.

Det nya LADDA_MÄTH-kommandot infogas i detaljprogrammet för det valda mäthuvudet.


Visa mätpunkter i mätpunktsbufferten

Visa den senast tagna mätpunkten

På fliken Position visas den senast tagna mätpunkten som lagras i mätpunktsbufferten eller mäthuvudets aktuella position. Om du använder en optisk modul eller lasermodul blir dessa poster redigerbara.

Information om senast tagna mätpunkten

Visa alla tagna mätpunkter

Klicka på fliken Mätområden för att visa alla de tagna mätpunkterna i mätpunktsbufferten. XYZ- och IJK-data visas för varje mätpunkt i bufferten.

Mäthuvudsverktyg - fliken Mätområden

Fliken Mätområden visar flera mätpunkter i mätpunktsbufferten

När du trycker på END på tangentbordet eller på DONE på handterminalen och accepterar det element som du mäter, tas de tagna mätpunkterna bort från bufferten och listan töms.


Ta och ta bort mätpunkter

Ikonen Ta mätpunkt

Klicka på ikonen Ta mätpunkt för att ta en mätpunkt vid mäthuvudets aktuella position. Mätpunkten läggs till i mätpunktsbufferten. Den här ikonen är aktiverad endast när du använder ett definierat, hårt mäthuvud.

Ikonen Ta bort mätpunkt

Klicka på ikonen Ta bort mätpunkt i Mäthuvudsverktyg för att ta bort en mätpunkt från mätpunktsbufferten. Om Koordinatvisningsfönstret fortfarande är öppet ser du när mätpunkten tas bort i fönstrets mätpunktsdel. Mer information finns i Ta bort mätpunkter i avsnittet Komma igång: En enkel genomgång.


Öppna Koordinatvisningsfönstret

Ikon för Koordinatvisning

Klicka på ikonen Koordinatvisning i Mäthuvudsverktyg för att öppna Koordinatvisningsfönstret. Mer information om Koordinatvisningsfönstret finns i Använda Koordinatvisningsfönstret.


Placera ett mäthuvud i Koordinatvisningsläge eller Mätläge

Vissa gränssnitt kräver att du växlar mellan Koordinatvisningsläget och Mätläget, eftersom de här lägena inte kan köras tillsammans. Detta beror på att de här gränssnitten antingen körs i mottagningsläge (i Mätläget väntar man på mätpunktssignaler) eller i sändningsläge (i Koordinatvisningsläget skickas mäthuvudets positionsdata till Koordinatvisningsfönstret). Ett LK-RS232-gränssnitt är ett exempel på den här typen av gränssnitt.

Ikon |  | Beskrivning
 | Koordinatvisningsläge | Om du kör ett LK-gränssnitt kan du använda ikonen Koordinatvisningsläge för att sätta mäthuvudet i Koordinatvisningsläge.
 | Mätpunktsläge | Om du kör ett LK-gränssnitt kan du använda ikonen Mätpunktsläge för att sätta mäthuvudet i Mätpunktsläge.


Låsa maskinens axlar

För att förhindra rörelse längs med en eller flera av maskinens axlar kan du klicka på motsvarande ikon för axellåsning i Mäthuvudsverktyg.

Om du t.ex. vill låsa maskinens Z-axel så att den inte ska röra sig, klickar du på ikonen Lås Z-axeln. Du kan sedan klicka var som helst i CAD och maskinen kommer att kunna röra sig fritt på XY-planet, medan rörelser i Z-planet inte är möjliga.

Obs! Om Vision- eller Laser-modulen inte har programmerats i ditt hårdvarulås (portlås), kommer de här alternativen att vara gråfärgade och inte vara tillgängliga. Mer information om hur du använder Mäthuvudsverktyg finns i hjälpfilerna till PC-DMIS Laser eller PC-DMIS Vision.


Använda Statusfönstret

Exempel på Statusfönster

Statusfönstret

Med menyalternativet Visa | Statusfönster öppnar du Statusfönstret. I det här fönstret, som du kan ändra storlek på, flytta eller docka, kan du förhandsgranska kommandon och element medan du skapar dem från verktygsfältet Snabbstart eller på andra sätt, liksom när du kör dem. Statusfönstret påminner om Förhandsgranskningsfönstret, men skiljer sig på följande sätt:

  • Du behöver inte ange toleranser eller nominella värden i det här fönstret. Fönstret är endast för visning.

  • Det ger ett flexibelt sätt att visa kommandon genom en koppling till den nya mallbaserade rapporteringsfunktionen.

  • Förhandsgranskningen av kommandon eller utvärderingar, inte bara utvärderingslägen, är dynamisk, så länge dessa kommandon har tilldelats korrekt i rapporten och i etikettmallarna.

Statusfönstret med verktygsfältet Snabbstart

I Statusfönstret visas den aktuella statusen för eventuella mätningar i inlärningsläget, markerade element och skapade utvärderingar när du använder verktygsfältet Snabbstart. I fallet med ovanstående skärmbild har den här utvärderingen ännu inte skapats, men du kan förhandsgranska utvärderingen i fönstret innan du klickar på Slutför i verktygsfältet Snabbstart.

Statusfönstret vid skapande eller körning av element

I Statusfönstret visas förhandsgranskningsinformation för element som ännu inte visats i Rapportfönstret. Det här fönstret använder den nya rapportmallsfunktionen för att generera dynamiska förhandsgranskningar av kommandon när de körs och skapas. När du skapar element kan du endast förhandsgranska elementet om du kör i Inlärningsläget. Du anger vilken rapportmall som används med registernyckeln StatusWindowReportTemplate. Standardmallen är default.rtp.

Du kan visa valfritt kommando i Statusfönstret, förutsatt att en etikettmall har tilldelats till det kommandot i rapportmallsfilen (.rtp).


Redigera Basic-skript

Du kan använda Redigera Basic-skript för att skapa och redigera BASIC-skript som du använder i Basic-skriptobjekt vid körning eller från verktygsfältet Redigera Basic-skript.

Menyalternativet Visa | Redigera Basic-skript öppnar Redigera Basic-skript och följande menyer ersätter huvudverktygsfältet i PC-DMIS: Arkiv, Redigera, Kör och Hjälp. Du kan återställa det gamla verktygsfältet i PC-DMIS genom att minimera eller stänga Redigera Basic-skript.

Redigera Basic-skript består av följande:

  • Verktygsfältet Redigera Basic-skript

  • Arkiv-menyn

  • Redigera-menyn

  • Kör-menyn

  • Hjälp-menyn

Följande ämnen behandlas nedan.

Mer:

Verktygsfältet Redigera Basic-skript

Arkiv-menyn

Redigera-menyn

Visa-menyn

Kör-menyn

Hjälp-menyn


Verktygsfältet Redigera Basic-skript

Verktygsfältet Redigera Basic-skript har stöd för följande funktioner:

Mer:

Nytt

Öppna

Spara

Skriv ut

Förhandsgranska

Sök

Klipp ut

Kopiera

Klistra in

Ångra

Kompilera

Start


Nytt

Med den här knappen kan du skapa ett nytt Basic-skript i redigeringsprogrammet.


Öppna

När du klickar på den här knappen öppnas dialogrutan Öppna fil där du kan öppna ett befintligt basic-skript till redigeringsprogrammet.


Spara

Med den här knappen kan du spara det aktuella Basic-skriptet. Om du inte redan har gett skriptet ett namn, visas dialogrutan Spara som där du måste ge skriptfilen ett namn.


Skriv ut

Med den här knappen kan du skriva ut det aktuella Basic-skriptet.


Förhandsgranska

Med den här knappen kan du visa det aktuella Basic-skriptet i Förhandsgranskningsfönstret så som det kommer att se ut när det skrivs ut.


Sök

Med den här knappen kan du söka efter text i det aktuella Basic-skriptet.


Klipp ut

Med den här knappen kan du klippa ut den markerade texten och lagra den i Urklipp.


Kopiera

Med den här knappen kan du kopiera den markerade texten och lagra den i Urklipp.


Klistra in

Med den här knappen kan du klistra in text från Urklipp vid insättningspunkten.


Ångra

Med den här knappen kan du ångra din senaste redigering.


Kompilera

Med ikonen Kompilera kan du kompilera (göra skriptet förståeligt och klart att köras på datorsystemet) det aktuella BASIC-skriptet. Du måste kompilera ett skript innan du kan köra det.


Start

Med den här knappen kan du köra det aktuella Basic-skriptet.

Obs! Skript som körs från redigeraren med PC-DMIS Basic-kommandon kan infoga objekt i det aktuella detaljprogrammet.


Arkiv-menyn

På Arkiv-menyn i Redigera Basic-skript finns följande kommandon och alternativ:

Mer:

Nytt

Öppna

Spara

Spara som

Skriv ut

Förhandsgranska

Avsluta

Unicode


Nytt

Men menyalternativet Arkiv | Nytt kan du öppna en ny instans av Redigera Basic-skript, där du kan skapa ett nytt skript.


Öppna

Med menyalternativet Arkiv | Öppna kan du bläddra fram till och öppna ett befintligt skript. För att filerna ska kunna visas i Redigera Basic-skript måste filtypen vara *.bas.


Spara

Med menyalternativet Arkiv | Spara kan du spara ett skript. När du väljer det här alternativet för första gången med ett nytt skript visas dialogrutan Spara som, där du kan ge skriptfilen ett namn och ange den katalog som du vill spara skriptet i.


Spara som

När du väljer menyalternativet Arkiv | Spara som kan du spara ett nytt skript, eller spara ett befintligt skript med ett nytt filnamn. Dialogrutan Spara som öppnas, där du kan ange filnamnet och den katalog som du vill spara skriptet i.


Skriv ut

Med menyalternativet Arkiv | Skriv ut kan du skriva ut skriptet i Redigera Basic-skript på din skrivare.


Förhandsgranska

Med menyalternativet Arkiv | Förhandsgranska kan du förhandsgranska det du skickar till skrivaren när du väljer menyalternativet Skriv ut på Arkiv-menyn i Redigera Basic-skript.


Avsluta

Genom att välja menyalternativet Arkiv | Avsluta kan du avsluta Redigera Basic-skript utan att spara eventuella ändringar du har gjort i öppna skript. När du väljer Arkiv | Avsluta återgår du till det normala användargränssnittet. Menyfältet visar åter de vanliga PC-DMIS-funktionerna.


Unicode

Med menyalternativet Arkiv | Unicode kan du ange huruvida ditt Basic-skript är sparat i Unicode-format. Om det inte är sparat i Unicode-format kommer Redigera Basic-skript att tolka skriptet som ASCII-text.

I Redigera Basic-skript måste du ange skriptfilens format för att det ska visas och tolkas korrekt. Med Unicode-formatet kan redigeraren hantera mer invecklade tecken (t.ex. sådana som visas på kinesiska eller japanska).

Om du inte arbetar på ett språk med dubbelbytetecken behöver du i allmänhet inte välja det här menyalternativet.


Redigera-menyn

På Redigera-menyn i Redigera Basic-skript finns de grundläggande redigeringsfunktioner som du använder för att bearbeta den text som visas i Redigera Basic-skript.

Mer:

Ångra

Klipp ut

Kopiera

Klistra in

Ta bort

Markera allt

Sök

Sök nästa

Ersätt

Dialog


Ångra

Med menyalternativet Redigera | Ångra kan du ångra din senaste åtgärd i Redigera Basic-skript.


Klipp ut

Med menyalternativet Redigera | Klipp ut kan du klippa ut den markerade texten från Redigera Basic-skript. Den urklippta texten lagras i Windows Urklipp så att du kan klistra in den någon annanstans.


Kopiera

Genom att välja menyalternativet Redigera | Kopiera kan du kopiera den markerade texten. Den kopierade texten lagras i Windows Urklipp så att du kan klistra in den någon annanstans.


Klistra in

Med kommandot Redigera | Klistra in kan du klistra in text som sparats i Windows Urklipp.


Ta bort

Med kommandot Redigera | Ta bort kan du ta bort den markerade texten.


Markera allt

När du väljer menyalternativet Redigera | Markera allt markerar du automatiskt all text i Redigera Basic-skript. Du kan sedan Klippa ut, Kopiera eller Ta bort den markerade texten.


Sök

Med menyalternativet Redigera | Sök kan du öppna dialogrutan Sök.

Dialogrutan Sök

I den här dialogrutan kan du söka efter ett specifikt ord eller villkor i Redigera Basic-skript.

  • Om du markerar kryssrutan Matcha hela ord visas endast de ord som matchar hela ordet i dialogrutan.

  • Om du markerar kryssrutan Matcha gemener/VERSALER kommer endast de villkor som matchar skiftläget (VERSALER eller gemener) som du anger i rutan Sök efter.


Sök nästa

Med menyalternativet Redigera | Sök nästa kan du söka i Redigera Basic-skript efter nästa villkor som uppfyller de specifikationer som anges i dialogrutan Sök (Se Redigera | Sök ovan.)


Ersätt

Med menyalternativet Redigera | Ersätt kan du öppna dialogrutan Ersätt.

Dialogrutan Ersätt

Dialogrutan Ersätt är en utökning av kommandot Redigera | Sök. I den här dialogrutan kan du söka efter en specifik term och ersätta den med den term som du anger i rutan Ersätt med.

Om du markerar kryssrutan Matcha hela ord matchas endast hela ord, inte delar av ord. Om du till exempel söker efter ordet "punkt" och du har markerat den här kryssrutan kommer du inte att hitta förekomster av orden "punkter" eller "punkten".

Om du markerar kryssrutan Matcha gemener/VERSALER kommer endast förekomster som exakt matchar skiftläget för bokstäverna du angett i rutan Sök efter. Om du till exempel skriver "punkt" och du har markerat den här kryssrutan kommer du inte att hitta "Punkt" eller "PUNKT", eftersom skiftläget skiljer sig.

Med knappen Sök nästa kan du söka igenom Redigera Basic-skript och visa den första förekomsten som uppfyller de krav som du angett i dialogrutan.

Med knappen Ersätt kan du ersätta det du hittar (genom att använda knappen Sök nästa) med det du angett i rutan Ersätt med.

Med knappen Ersätt alla kan du ersätta alla förekomster i Redigera Basic-skript som uppfyller dina sökkriterier med det som du angett i rutan Ersätt med.

Om du klickar på Avbryt stängs dialogrutan Ersätt.


Dialog

Med menyalternativet Redigera | Dialog kan du öppna ett fönster med ett rutnät som heter Dialog ett och verktygsfältet MasQ Enable Dialog Designer. Det här verktygsfältet och rutnätet Dialog ett ger dig de verktyg du behöver för att utforma dialogrutor som du senare kan programmera för dina skript.

Du kan stänga de här verktygen genom att klicka på "X" längst upp till höger i verktygsfältet MasQ Enable Dialog Designer.


Visa-menyn

På Visa-menyn kan du välja huruvida verktygsfältet Redigera Basic-skript och/eller Statusfältet ska visas. Välj menyalternativet Visa | Verktygsfält för att visa eller dölja verktygsfältet. Välj menyalternativet Visa | Statusfält för att visa eller dölja Statusfältet.

På den här menyn kan du även bestämma var du vill sätta tabbstopp. Med det här alternativet kan du dra in programsatser ett visst antal tecken, vilket gör programmet mer lättläst. Välj Visa | Sätt TAB-stopp och ange en siffra. Det skapas ett indrag med det angivna antalet teckenplatser varje gång du trycker på TABB-tangenten. Om du t.ex. vill ha ett tabbstopp efter fem teckenplatser skriver du "5" i dialogrutan Sätt TAB-stopp.


Kör-menyn

På Kör-menyn kan du välja kommandot Kompilera eller Kör. Med kommandot Kompilera kan du kompilera skriptet - och kontrollera eventuella syntaxfel - medan kommandot Kör kör skriptet.


Hjälp-menyn

På Hjälp-menyn kommer du åt olika alternativ för hjälp med användningen av Redigera Basic-skript.

Mer:

Basic-hjälp

Syntax-hjälp

Syntax-hjälpfil


Basic-hjälp

Med kommandot Hjälp | Basic-hjälp kan du öppna direkthjälpen som skapats för tilläggsmodulen för Basic.


Syntax-hjälp

Med menyalterantivet Hjälp | Syntax-hjälp kan du slå på eller av möjligheten att använda syntax-hjälp när du använder Redigera Basic-skript. Om du väljer det här alternativet visas en popup-listruta i Redigera Basic-skript varje gång du anger ett kommando eller en term som används i Basic-programmeringsspråket. Du kan välja rätt term med hjälp av piltangenterna. När du har markerat termen trycker du på TABB-tangenten. Termen visas då i Redigera Basic-skript. Om du trycker på BLANKSTEG-tangenten visas kommandots nödvändiga syntax.


Syntax-hjälpfil

Med menyalternativet Hjälp | Syntax-hjälpfil kan du ange den syntaxfil som kommandot Hjälp | Syntax-hjälp använder. Dialogrutan Ladda syntax-hjälpfil öppnas. Bläddra fram till den katalog där PC-DMIS för Windows finns och välj filen "Pcdmis.syn".


Använda fönstret Markeringsgrupper

Du öppnar fönstret Markeringsgrupper genom att välja menyalternativet Visa | Markeringsgrupper. I det här fönstret kan du spara en grupp av markeringselement som du vill köra. Mer information finns i Skapa och köra markeringsgrupper i avsnittet Redigera ett detaljprogram.


Använda Inställningsfönstret

Detta infogar ett HÄMTA/UPPRIKTNING-kommando, för att hämta den uppriktning som du väljer i listan.

Detta infogar ett LADDA_MÄTH-kommando i detaljprogrammet för det valda mäthuvudet.

Detta infogar ett INSTRÄCKA-kommando som anger avståndet från den teoretiska positionen som mäthuvudet ska förflytta sig med Mäthastigheten.

Detta infogar ett MÄTHAST-kommando som ändrar hastigheten med vilken CMM-maskinen tar mätpunkter. Värdet kan vara från 1 till 20 procent.

Den här inställningen infogar ett VISNINGSNOGGRANNHET-kommando med ett värde som är lika med inställningsvärdet. Alla element som följer efter det här kommandot visar det angivna antalet decimaler.

Detta infogar ett HÄMTA/VY-kommando, för den sparade vyn som du väljer i listan.

Det här definierar vinkelvärdet som ska användas för LADDA_MÄTH-kommandot genom att det valda MÄTSPETS-kommandot infogas i detaljprogrammet.

Den här inställningen infogar ett SÖKSTRÄCKA-kommando som anger avståndet förbi den teoretiska mätpunkten som maskinen ska fortsätta att söka efter detaljen på ytan.

Detta infogar ett TRANSP_HAST-kommando som bestämmer hur snabbt CMM-maskinen ska förflytta sig mellan mätpunkter. Värdet kan vara från 1 till 100 procent.

Den här inställningen infogar ett POSITIV_RAPPORTERING-kommando i detaljprogrammet. Med det här kommandot visas element på minussidan av nolläget med positiva värden. Du kan välja om du vill rapportera om alla data eller endast om avvikelser.

Detta infogar ett LÄGE/CNC- eller LÄGE/MANUELLT-kommando för att sätta mätmaskinen i antingen CNC-läge eller MANUELLT läge.

Detta slår på eller av mäthuvudskompensering genom att infoga motsvarande MÄTSPKOMP-kommando.

Det här kommandot infogar ett ÅTERGÅ-kommando som anger det avstånd som maskinen kommer att röra sig bort från den aktuella mätpunktens läge innan den övergår från Mäthastighet till Transporthastighet.

Den här inställningen infogar ett SCAN_HAST-kommando som bestämmer hur snabbt maskinen ska scanna detaljen. Värdet kan vara från 1 till 100 procent.

Den här inställningen bestämmer huruvida positiv rapportering för X-axeln ska användas.

Detta ändrar det aktuella arbetsplanet genom att infoga ett nytt ARBETSPLAN-kommando i detaljprogrammet.

Detta infogar ett IGNORERA_RÖRELSEFEL-kommando, med värdet PÅ eller AV, i detaljprogrammet. Om du ger kommandot värdet PÅ kommer inte PC-DMIS att stanna vid en kollision.

Den här inställningen infogar ett MANÅTERGÅNG-kommando som anger återgångssträckan som CMM-maskinen automatiskt ska färdas varje gång en manuell mätpunkt tas.

Den här inställningen bestämmer huruvida positiv rapportering för Y-axeln ska användas.

Den här inställningen aktiverar ett säkerhetsplan genom att infoga ett SÄKPLAN-kommando. Om du markerar det infogade kommandot och trycker på F9 kan du ändra det aktuella planet.

Den här inställningen infogar ett TRIGGTOLERANS-kommando. Med det här kommandot kommer en mätpunkt endast att accepteras om den tagits inom den definierade toleranzonen. Du kan använda detta kommando med manuella maskiner för att ta noggranna mätpunkter.

Den här inställningen bestämmer huruvida positiv rapportering för Z-axeln ska användas.

Med det här kan du ange vilket plan som ska vara säkerhetsplanet. Det här alternativet är inte tillgängligt förrän du aktiverar inställningen Säkerhetsplan aktivt eller förrän du sätter markören på ett SÄKPLAN-kommando.

Det här värdet bestämmer toleransradien för inställningen Triggtolerans.

Den här inställningen infogar ett ENBARTSPEL-kommando i detaljprogrammet. När kommandot har värdet PÅ och du utvärderar läget för kantpunkter, beräknas lägesaxlarna genom att den mätta punkten projiceras på den teoretiska ytan, varefter den här nya punkten projiceras på den teoretiska anloppsvektorn. Eventuella lägesaxlar beräknas sedan om från den här nya punkten.

Med detta kan du ange avståndet för det definierade säkerhetsplanet.

Den här inställningen infogar ett TRIGGPLAN-kommando. Med det här kommandot kan du instruera PC-DMIS att automatiskt ta en mätpunkt när mätspetsen passerar det plan som definieras av ytnormalen i ett autoelement på det definierade djupets nivå. Du kan använda det här kommandot med manuella maskiner. I stället för att trycka på en knapp för att ta en mätpunkt kan du lägga in TRIGGPLAN-kommandon på valfri standardplats i Redigeringsfönstret.

Den här inställningen infogar ett ENBARTRETROLINEAR-kommando i detaljprogrammet. När den här inställningen har värdet PÅ och du utvärderar lägen för yt- eller vektorpunkter, beräknas lägesaxlar på följande sätt.

Först genom att den största komponenten i den teoretiska ytnormalvektorn hittas (störst i riktningen X, Y eller Z).

Sedan genom att den mätta punkten projiceras på den här största komponenten på så sätt att projektionen blir vinkelrätt mot den ursprungliga teoretiska ytnormalvektorn.

Lägesaxlarna beräknas sedan om från den nya projicerade punkten.

Detta motsvarar det plan som mäthuvudet måste passera genom för att komma fram till nästa elementplan.

Den här inställningen infogar ett AUTOTRIGG-kommando i detaljprogrammet. När det upptäcks att mäthuvudet rör sig inom den definierade toleranszonen tas en mätpunkt automatiskt.

Den här inställningen infogar ett 132KOLUMN-kommando som styr huruvida lägesutvärderingar ska visas med 132 kolumner i rapporten. Se 132-kolumners utskrift.

Detta definierar avståndet för genomgångsplanet.

Den här inställningen bestämmer huruvida ett pipljud ska användas tillsammans med AUTOTRIGG-kommandot. Om inställningen har värdet PÅ, blir pipljuden alltmer frekventa ju närmare mäthuvudet kommer målet.

Det här värdet ger instruktioner till styrenheten om hur hårt mätspetsen ska hållas på en Leitz CMM-maskin. Inställningen fungerar endast med Leitz-styrenheten och TTP-enheter av märket Leitz.

Den här inställningen definierar radien för Autotriggs toleranszon.

Med den här inställningen kan du kompensera mätta vektor- och ytpunkter längs med en polärvektor genom att infoga ett POLÄRVEKTORKOMP-kommando.

Detta infogar ett GENVÄG-kommando och ger det värdet PÅ eller AV. Ett GENVÄG-kommando används tillsammans med ett VIA/PUNKT-kommando och gör att mäthuvudet förflyttar sig runt detaljen i en jämn rörelse utan uppehåll.

Med den här inställningen anger du avståndsparametern för GENVÄG-kommandot. Med den styr du hur långt ifrån VIA/PUNKT-kommandot mäthuvudet automatiskt kommer att förflytta sig.

Använda Inställningsfönstret

Du öppnar Inställningsfönstret genom att välja Visa | Inställningsfönster.

Inställningsfönster

Det här dockningsbara fönstret innehåller flera flikar med inställningar som ofta ändras. Varje flik innehåller färgkodade, redigerbara inställningar som är specifika för den fliken. Inställningarna är kopplade till markörens position i detaljprogrammet och kan ändras när du flyttar markören inom programmet.

Redigera en inställning

För att redigera en inställning klickar du i fältet till höger om inställningen och väljer ett nytt alternativ eller anger ett nytt värde. När du ändrar vissa inställningar infogas motsvarande parameterändring i detaljprogrammet vid insättningspunkten.

Tillgängliga inställningar

Följande flikar och inställningar finns. Cellernas färgade bakgrund i tabellen visar vilken standardfärg respektive inställning har.

Alla | Allmänt | Mäthuvud | Avstånd | Hastigheter | Utvärderingar
Den här fliken innehåller samtliga inställningar från alla flikar. | Uppriktning | Mäthuvud | Insträcka | Mäthastighet | Antal decimaler
 | Vyer | Mätspets | Prova | Transporthastighet | Positiv rapportering, skärm
 | Manuell/CNC | Mätspetskompensering | Återgång | Scanhastighet | Positiv rapportering, X-axel
 | Arbetsplan | Ignorera rörelsefel | Manuell återgång |  | Positiv rapportering, Y-axel
 | Säkerhetsplan aktivt | Triggtolerans |  |  | Positiv rapportering, Z-axel
 | Säkerhetsplan | Trigg toleranszon |  |  | Enbart spel
 | Avstånd till säkerhetsplan | Triggplan |  |  | Enbart 'retrolinear'
 | Genomgångsplan | Auto trigg |  |  | Kolumn 132
 | Genomgångsavstånd | Automatisk ljudsignal |  |  |
 | Mätkraftsvärde | Auto toleranszon |  |  |
 | Polär vektorkompensering | Genvägar |  |  |
 |  | Radietyp, genväg |  |  |

Klicka på en inställning om du vill läsa en kort beskrivning av den. Mer djupgående information om inställningen finns i dess specifika hjälpfil i något av följande ämnen:

  • Verktygsfältet Inställningar

  • Verktygsfältet Mätning

  • Göra inställningsval i PC-DMIS

  • Ändra rapport- och rörelseparametrar

Du kan även infoga många av de här inställningarna från undermenyn Infoga | Parameterändringar.

Mer:

Ändra alternativ för Inställningsfönstret


Ändra alternativ för Inställningsfönstret

Du kan ändra dina alternativ för Inställningsfönstret genom att högerklicka i fönstret ch välja Alternativ på snabbmenyn.

Snabbmeny för Inställningsfönstret

Dialogrutan Alternativ, inställningsfönster öppnas.

Dialogrutan Alternativ, inställningsfönster

I den här dialogrutan kan du ändra vilka färge som används i de olika kategorierna och bestämma vilken kategori som ska visas varje gång du öppnar Inställningsfönstret.

Området Start

Det här området innehåller två startalternativ för Inställningsfönstret:

Använd aktiv kategori - Inställningsfönstret visar den senast använda kategorin när det öppnas.

Använd alltid - Inställningsfönstret visar den kategori som du valde i listrutan när det öppnas.

Området Färger

Med kryssrutan Aktivera färger för kategorier kan du aktivera eller inaktivera den färgkodade visningen av inställningskategorier.

Med pilknapparna på färgrutorna kan du ändra den standardfärgkodade visningen av de tillgängliga kategorierna.


Använda Rapportfönstret

Med menyalternativet Visa | Rapportfönster öppnar du Rapportfönstret. När detaljprogrammet har körts visas mätresultaten i det här fönstret och utskriften konfigureras automatiskt i enlighet med standardrapportmallen. Mer detaljerad information finns i Om Rapportfönstret i avsnittet Rapportera mätresultat.


Visa en rapport

Med menyalternativet Visa | Rapport kan du välja vilket textprotokoll du vill ska visas på skärmen. Rapporten skapas i RTF-format (.rtf).

För att öppna en rapport:

  1. Välj menyalternativet Rapport. Dialogrutan Öppna fil öppnas.

    Dialogrutan Öppna som visar ett tillgängligt protokoll (Test001.RTF)

  2. Navigera till katalogen där dina rapporter sparas.

  3. Välj den textfil som du vill visa på skärmen.

Om ditt ordbehandlingsprogram inte stöder RTF-filer öppnas rapporten i WordPad. Med menyerna i WordPad kan du:

  • Klippa ut, kopiera och klistra in delar av en rapport.

  • Öppna en befintlig rapport

  • Spara en ny rapport

  • Skriva ut en rapport

  • Stänga den öppna rapporten


Använda det virtuella tangentbordet

När du väljer menyalternativet Visa | Virtuellt tangentbord visas det virtuella tangentbordet. Det här tangentbordet fungerar som ett vanligt tangentbord och kan användas tillsammans med en mus eller med en pekskärm. Detta är användbart i vissa fabriksmiljöer där det inte är praktiskt att använda ett fysiskt tangentbord.

Exempel på virtuellt tangentbord - tangentbord, variant 1

Du kan enkelt välja bland olika varianter av virtuella tangentbord eller anpassa och skapa egna tangentbordsvarianter.

Det finns även ett verktygsfält från vilket du har enkel åtkomst till det virtuella tangentbordet. Se Verktygsfältet Virtuellt tangentbord i avsnittet Använda verktygsfält.

Mer:

Öppna varianter av virtuella tangentbord

Skapa en ny variant av virtuellt tangentbord

Ändra en befintlig variant av virtuellt tangentbord

Ta bort en befintlig variant av virtuellt tangentbord

Koppla ihop eller slå ihop tangenter i en tangentbordsvariant

Använda avgränsare i det virtuella tangentbordet för bättre utseende

Visa körväg


Öppna varianter av virtuella tangentbord

Du kan när som helst högerklicka i det Virtuella tangentbordet. Då visas en snabbmeny där du snabbt kan välja varianter av tangentbordet eller anpassa det efter dina egna behov.

Följande menyalternativ visar de olika standardvarianterna av tangentbord för det virtuella tangentbordet. Självklart kan du anpassa dessa eller skapa nya varianter som bättre passar dina behov (se Ändra en befintlig variant av virtuellt tangentbord).

Knappsats 1 | Knappsats 2 | Knappsats 3
Standardknappsats | Funktionstangenter | Tangentbord

Mer:


Skapa en ny variant av virtuellt tangentbord

  1. Öppna det virtuella tangentbordet, högerklicka på det och välj sedan Anpassa på snabbmenyn. Dialogrutan Anpassa virtuellt tangentbord öppnas.

Dialogrutan Anpassa virtuellt tangentbord

  2. I området Definiera layout anger du ett namn på tangentbordet i rutan Layoutnamn.

  3. Ange antalet rader och kolumner i rutorna Rader respektive Kolumner. Detta anger hur många "tangenter" (eller knappar) som finns på tangentbordet.

  4. Klicka på Skapa. Ett fönster för tangentbordslayout, bestående av ett tomt rutnät som representerar antalet tangenter i din nya tangentbordslayout, visas.

Exempel på en tom 3x3 rutnätslayout

  5. Du kan ändra rutnätets storlek för att passa dina behov genom att dra i fönstrets kanter.

  6. I området Definiera tangenter skapar du en ny tangentdefinition. Det gör du genom att välja Definiera tangenter i listan Läge och sedan välja typ av tangenttryckning (eller tangentkod) i någon av listorna Specialtangent, Standardtangent eller Systemtangent. De flesta tangenterna är självklara och är synonyma med namnet eller symbolen för den faktiska tangenten på ett engelskt tangentbord. Möjliga undantag är VK_PREVIOUS för tangenten PAGEUP och VK_NEXT för tangenten PAGEDOWN.

  • Om du vill visa en etikett för den valda tangenten väljer du Etikett och anger en etikett i rutan Etikett.

  • Om du vill visa en symbol för den valda tangenten väljer du Symbol och anger en symbol i listan över symboler.

  • Om du vill definiera en tangent som ingenting alls, motsvarande ett platt tomt utrymme på ett verkligt tangentbord, väljer du Ingen knapp för den tangentdefinitionen.

  7. I Layoutfönstret med tangentrutnätet väljer du en odefinierad tangent som ska ha den här definitionen och klickar sedan på knappen Ställ in i området Definiera tangenter i dialogrutan Anpassa virtuellt tangentbord. Din ändring visas i fönstret för tangentbordslayout.

  8. Upprepa den här proceduren till dess att du har definierat ditt tangentbord efter dina önskemål.

Exempel på färdigt tangentbordslayout med hörntangenterna definierade som Ingen knapp.

  9. När du har definierat alla tangenterna blir knappen Spara tillgänglig. Klicka på Spara för att spara ditt tangentbord.

  10. Klicka på Nytt om du vill skapa ytterligare layouter; annars klickar du på Stäng.

Obs! Om gör ett fel vid tilldelning av en tangents definition kan du välja Ingen knapp, klicka på tangenten i layoutrutnätet och sedan klicka på knappen Ställ in. Då rensas den tangentpositionens tidigare tilldelade värde.


Ändra en befintlig variant av virtuellt tangentbord

Så här ändrar du en befintlig layout:

  1. Öppna det virtuella tangentbordet, högerklicka på det och välj sedan Anpassa på snabbmenyn. Dialogrutan Anpassa virtuellt tangentbord öppnas.

Dialogrutan Anpassa virtuellt tangentbord

  2. Klicka på knappen Öppna.

  3. Välj tangentbordet i den nedrullningsbara menyn.

  4. Använd den procedur för att tilldela tangentdefinitioner till tangentbordets layout som beskrivs i Skapa en ny layout på ett anpassat virtuellt tangentbord. Du kanske behöver välja Ingen knapp för att nollställa en tangent från dess tidigare definition innan du kan tilldela den en ny definition.

  5. Spara ändringarna genom att klicka på Spara.


Ta bort en befintlig variant av virtuellt tangentbord

Så här tar du bort en befintlig layout:

  1. Öppna det virtuella tangentbordet, högerklicka på det och välj sedan Anpassa på snabbmenyn. Dialogrutan Anpassa virtuellt tangentbord öppnas.

Dialogrutan Anpassa virtuellt tangentbord

  2. Klicka på knappen Ta bort.

  3. Välj tangentbordet i den nedrullningsbara menyn. Du får en fråga om du vill ta bort tangentbordet.

  4. Klicka på Ja för att ta bort det.

  5. Klicka på Stäng.


Koppla ihop eller slå ihop tangenter i en tangentbordsvariant

I dialogrutan Anpassa virtuellt tangentbord kan du även koppla ihop eller slå ihop fler än en tangent i tangentbordets layout för att skapa större tangenter. Det här är användbart om du vill ha en tangent som är större än den normala tangentstorleken (t.ex. om du vill skapa något i stil med tangenten MELLANSLAG).

  1. Information om hur du öppnar ett tangentbords layout för anpassning finns i Skapa en ny variant av virtuellt tangentbord och i Ändra en befintlig variant av virtuellt tangentbord.

  2. I listan Åtgärd i dialogrutan Anpassa virtuellt tangentbord väljer du Sätt ihop tangenter. Varje tangent i det virtuella tangentbordets layoutrutnät markeras nu med en liten, röd, bruten kantlinje.

  3. Klicka på någon av tangenterna. Den blir nu starttangenten. En fetstilt röd kantlinje visas på både den lodräta och den vågräta sidan av den här starttangenten. Om du klickar på en annan tangent ändras starttangenten till att vara den tangenten.

  4. Högerklicka på den sista tangenten av de som ska slås ihop. Den här tangenten måste ligga inom det ritade röda området och måste ligga till höger om eller under starttangenten. Om det sammanslagna området inte står i konflikt med ett annat befintligt sammanslaget område ändras den röda kantlinjen till en grön rektangel. Detta betyder att de grupperade tangenterna kommer att visas som en enda tangent.

  5. Om det sammanslagna området står i konflikt med ett annat sammanslaget område visas ett meddelande om att ihopslagningen inte kan utföras.

  6. För att ta bort ett redan sammanslaget område kllickar du inuti den gröna rektangeln (sammanslagna tangenter).

Viktigt! När du tilldelar en tangentdefinition till en grupp sammanslagna tangenter måste du markera startknappen i den gruppen: Detta är den tangenten som ligger längst till vänster, vid en vågrät gruppering, eller överst, om det är en lodrät gruppering. Du behöver endast göra detta när du tilldelar gruppen en tangentdefinition. Du behöver inte göra detta när du använder det virtuella tangentbordet.


Använda avgränsare i det virtuella tangentbordet för bättre utseende

Du kan lägga till eller ändra var avgränsare, eller tomrum mellan tangenter, ska finnas i en variant av virtuellt tangentbord. Det här funktionen påverkar inte tangentbordet funktion. Den ger det bara tydligare utseende och skapar bättre ordning på tangentbordets layout.

  1. Information om hur du öppnar ett tangentbords layout för anpassning finns i Skapa en ny variant av virtuellt tangentbord och i Ändra en befintlig variant av virtuellt tangentbord.

  2. I listan Läge i dialogrutan Anpassa virtuellt tangentbord väljer du Växla Separatorer PÅ/AV. Varje tangent i tangentbordets layoutrutnät markeras nu med en liten, blå, bruten kantlinje.

  3. Vänsterklicka mellan de blå prickarna för att visa eller dölja en avgränsare. En röd linje som visar var avgränsaren kommer att hamna visas. Om du väljer en vågrät linje mellan rader kommer avgränsaren att bli en vågrät avgränsare längs med den linjen. Om du väljer en lodrät linje mellan rader kommer avgränsaren att bli en lodrät avgränsare längs med den linjen.

När du arbetar i läget Definiera tangenter, som beskrivs i Skapa en ny variant av virtuellt tangentbord, visas avgränsningarna som blå linjer.


Visa körväg

Med menyalternativet Visa | Markera körväg kan du visa mäthuvudets körväg i Grafikfönstret. Se Visa och animera körväg i avsnittet Redigera CAD-visningen.


Använda verktygsfält

Använda verktygsfält: Inledning

Verktygsfältet Grafik

Verktygsfältet Grafik

Verktygsfältet Inställningar

Listan Vyer

Listan Uppriktningar

Listan Mätspetsar

Listan Arbetsplan

Listan Mäthuvudsfiler

Verktygsfältet Mätning

Verktygsfältet Redigeringsfönster

Köra program

Markera aktuellt element

Markera alla

Ta bort markerade element

Sätta startpunkt

Lägga till/ta bort brytpunkt

Ta bort alla brytpunkter

Lägga till bokmärke

Nästa bokmärke

Ta bort alla bokmärken

Översiktsläge

Kommandoläge

DMIS-läge

Klippa ut

Kopiera

Klistra in

Klistra in med mönster

Ångra

Göra om

Skriva ut

Verktygsfältet Utvärderingar

Verktygsfältet Konstruerade element

Verktygsfältet Autoelement

Igenkänning av autoelement

Elementigenkänning efter elementtyp

Verktygsfältet Mätta element

Automatisk igenkänning av en elementtyp

Tvinga godkännande av en angiven elementtyp

Filåtgärder

Verktygsfältet Spela in/upp makro

Så här spelar du in ett makro:

Så här spelar du upp ett inspelat makro:

Verktygsfältet Virtuellt Tangentbord

Verktygsfältet Pekskärm

Verktygsfältet Guider

Tillgänglig källkod för guide

Verktygsfältet Aktiva armar

Verktygsfältet Aktivt rundbord

Verktygsfältet Snabbstart

Använda dialogrutan Snabbstart

Snabbstart: Verktygsfältet Mät

Snabbstart: Verktygsfältet Konstruera

Snabbstart: Verktygsfältet Utvärdera

Snabbstart: Verktygsfältet Upprikta

Snabbstart: Verktygsfältet Kalibrera/Ändra

Verktygsfältet Fönsterlayout

Åsidosätta standardlayouterna

Ta bort sparade användarlayouter


Använda verktygsfält: Inledning

För att minska tidsåtgången vid programmering av en detalj innehåller PC-DMIS 3.2 och senare versioner en rad verktygsfält med vanliga kommandon. Du kan öppna verktygsfälten på två sätt.

  • Välj undermenyn Visa | Verktygsfält och välj ett verktygsfält i menyn. Visa menykarta

  • Högerklicka i verktygsfältområdet i PC-DMIS och välj ett verktygsfält på snabbmenyn.

De tillgängliga verktygsfälten är:

  • Verktygsfältet Grafik

  • Verktygsfältet Grafikvy

  • Verktygsfältet Inställningar

  • Verktygsfältet Mätning

  • Verktygsfältet Redigeringsfönster

  • Verktygsfältet Utvärderingar

  • Verktygsfältet Konstruerade element

  • Verktygsfältet Autoelement

  • Verktygsfältet Mätta element

  • Verktygsfältet Filåtgärder

  • Verktygsfältet Spela in/upp makro

  • Verktygsfältet Guider

  • Verktygsfältet Aktiva armar

  • Verktygsfältet Aktivt rundbord

  • Verktygsfältet Snabbstart

  • Verktygsfältet Fönsterlayout

Verktygsfälten Elementigenkänning, Koordinatvisning och Manuell/CNC finns nu i det nya verktygsfältet Mätning. Se Verktygsfältet Mätning. Ikonerna för Elementigenkänning finns även i mäthuvudsverktyget, som diskuteras i Använda mäthuvudsverktyget i avsnittet Använda andra fönster, redigerare och verktyg.


Verktygsfältet Grafik

I verktygsfältet Grafik kan du enkelt ändra visningen av en del av skärmen. Här får du även snabb åtkomst till tillgängliga lägen. Verktygsfältet innehåller följande ikoner:

Ikon |  | Beskrivning
 | Konfigurera vyer | Ändrar hur detaljen visas i Grafikfönstret. Se Konfigurera skärmvisningen i avsnittet Redigera CAD-visningen.
 | Spara vyer | Sparar visningen av detaljen som en aktuell vy som senare kan återkallas. Se Definiera och spara vyer i avsnittet Infoga rapportkommandon.
 | Spara vy | Sparar visningen av detaljen som en separat vy som senare kan återkallas. Se Definiera och spara vyer i avsnittet Infoga rapportkommandon.
 | Passa bild | Förstorar eller förminskar visningen av den grafiska detaljen i Grafikfönstret så att den passar på skärmen. Se Skalanpassa ritningen i avsnittet Redigera CAD-visningen.
 | Visa ytor | Aktiverar eller inaktiverar visningen av solida CAD-ytor. Se Visa ytor i avsnittet Redigera CAD-visningen.
 | Uppdatera skärmen | Uppdaterar och ritar om alla vyer för en detalj. Se Uppdatera skärmen i avsnittet Redigera CAD-visningen.
 | Kurvläge | Ställer om PC-DMIS till kurvläge (används med kantlinjer). Se Växla mellan kurv- och ytläge i avsnittet Redigera CAD-visningen.
 | Ytläge | Ställer om PC-DMIS till ytläge (används med ytdata). Se Växla mellan kurv- och ytläge i avsnittet Redigera CAD-visningen.
 | Flytta | Ställer om PC-DMIS till läget Flytta. Se Läget Flytta i avsnittet Redigera CAD-visningen.
 | Rotera 2D | Detaljen roteras tvådimensionellt för den markerade vyn. Se Läget Rotera 2D i avsnittet Redigera CAD-visningen.
 | Rotera 3D | Detaljen roteras tredimensionellt för den markerade vyn. Se Läget Rotera 3D i avsnittet Redigera CAD-visningen.
 | Programmeringsläge | Använder mäthuvudet offline eller online så att du kan lära dig och redigera detaljprogrammet. Se Programmeringsläge i avsnittet Redigera CAD-visningen.
 | Textruteläge | Ger åtkomst till snabbkommandon för textrutorna Punktinformation och Utvärderingsinfo samt för andra element som visas på skärmen. Se Textruteläge i avsnittet Redigera CAD-visningen.
 | Snabbfixtur | Gör det möjligt att flytta snabbfixturer och detaljer genom att klicka på och dra dem med musen. Se Infoga snabbfixturer i avsnittet Definiera hårdvara.
 | Komplettenhet | Visar ett fönster som gör att du kan visa eller dölja detaljer i en komplettenhet (en samling detaljmodeller). Se Arbeta med komplettenheter med detaljer i avsnittet Redigera CAD-visningen.
 | Koordinatsystem | Visar dialogrutan CAD-koordinatsystem. I dialogrutan kan du skapa ett nytt eller välja ett befintligt koordinatsystem. Se Arbeta med CAD-koordinatsystem i avsnittet Redigera CAD-visningen.
 | CAD-belysning | Lägger till belysning, texturer och transparens till CAD-modeller. Se Använda belysning och material i CAD-visningen i avsnittet Redigera CAD-visningen.
 | Grafiska kategorier | Visar och döljer objekt i Grafikfönstret. Se Visa och dölja grafik i avsnittet Redigera CAD-visningen.
 | Inställningar, rotation | Ändrar hur objekt visas i Grafikfönstret när detaljen roteras. Se Ändra rotation och andra rörelsealternativ i avsnittet Redigera CAD-visningen.


Om du till exempel har delat in fönstret i tre vyer genom att klicka på den här ikonen i dialogrutan Konfigurera vyer...

en vyikon som delar in Grafikfönstret i tre delar, eller rutor, för visning olika vyer

... påverkas endast den övre vänstra (blå) delen av skärmen om du klickar på någon av ikonerna i verktygsfältet Grafikvy.

Verktygsfältet Grafikvy

Verktygsfältet Grafikvy

I verktygsfältet Grafikvy kan du snabbt och enkelt ändra visningen av en detalj i Grafikfönstret. Ikonerna fungerar på samma sätt som om du hade ändrat visningen i dialogrutan Konfigurera vyer. Mer information om hur du konfigurerar vyer finns i Konfigurera skärmvisningen i avsnittet Redigera CAD-visningen.

Om du har konfigurerat Grafikfönstret till att visa mer än en vy påverkas endast den blå rutan i området Vyer i dialogrutan Konfigurera vyer.

Ikon | Beskrivning
 | Visar detaljen i visningsriktningen X+
 | Visar detaljen i visningsriktningen X-
 | Visar detaljen i visningsriktningen Y+
 | Visar detaljen i visningsriktningen Y-
 | Visar detaljen i visningsriktningen Z+
 | Visar detaljen i visningsriktningen Z-
 | Visar en isometrisk visning av detaljen
 | Visar detaljen som trådmodell
 | Visar detaljen som yta/solid
 | Visar eller döljer 3D-rutnätet.


Verktygsfältet Inställningar

Verktygsfältet Inställningar innehåller en rad listor som du kan använda för att enkelt växla mellan följande inställningar:

  • Sparade vyer

  • Fördefinierade uppriktningar

  • Fördefinierade mätspetsar

  • Tillgängliga arbetsplan

  • Aktiva CMM-gränssnitt

Så här ändrar du visningen:

  1. Öppna den önskade nedrullningsbara listan.

  2. Markera ett tidigare definierat ID eller element.

Mer:

Listan Vyer

Listan Uppriktningar

Listan Mätspetsar

Listan Arbetsplan

Listan Mäthuvudsfiler


Listan Vyer

I listan Vyer lagras vyer som har skapats och sparats i det aktiva detaljprogrammet.

Se Konfigurera skärmvisningen i avsnittet Redigera CAD-visningen och Definiera och spara vyer i avsnittet Infoga rapportkommandon.

Så här använder du en sparad vy:

  1. Placera muspekaren över nedpilen i listan Vyer.

  2. Klicka med vänster musknapp.

  3. Flytta muspekaren till önskat ID.

  4. Klicka med vänster musknapp.

Medan en tidigare vy återkallas kan du inte använda några andra funktioner.

Kommandorad i Redigeringsfönstret:
ÅTERKALLA/VYER, vy_namn

Vy_namn = namnet på den vy som ska återkallas.


Listan Uppriktningar

I listan Uppriktningar sparas tidigare sparade uppriktningar. Uppriktningarna i listan kan väljas och infogas i Redigeringsfönstret.

Mer information om hur du skapar och sparar uppriktningar finns i Spara en uppriktning i avsnittet Skapa och använda uppriktningar.

Så här ändrar du uppriktningen:

  1. Placera muspekaren över nedpilen i listan Uppriktningar.

  2. Klicka med vänster musknapp. Då öppnas en nedrullningsbar lista där du kan välja en ny uppriktning.

Du kan kontrollera vilka uppriktningar som visas i listan genom att gå till Uppriktning i Redigeringsfönstret och ändra värdet för LISTA= i kommandot UPPRIKTNING/START (mer information finns i avsnittet Skapa och använda uppriktningar).


Listan Mätspetsar

I listan Mätspetsar sparas redan definierade mätspetsvinklar. Information om hur du skapar mätspetsvinklar finns i Lägga till vinklar i avsnittet Definiera hårdvara.

Så här ändrar du numret för en mätspets:

  1. Bläddra bland de tillgängliga mätspetsarna genom att klicka på nedpilen i listan Mätspetsar.

  2. Markera den önskade spetsen med vänster musknapp.


Listan Arbetsplan

I listan Arbetsplan kan du ändra vilket plan du arbetar på. Visningen i Grafikfönstret ändras inte, endast arbetsplanet.

Tillgängliga arbetsplan är:

A=TOPP | Ljusgrå | ZPLUS
B=HÖGER | Mellangrå | XPLUS
C=BAKSIDA | Lodräta linjer | YPLUS
D=BOTTEN | Vågräta linjer | ZMINUS
E=VÄNSTER | Röd | XMINUS
F=FRAMSIDA | Töm | YMINUS

Så här gör du om du till exempel vill ändra det aktuella arbetsplanet till detaljbildens baksida:

  1. Placera muspekaren över nedpilen i listan Arbetsplan.

  2. Välj YPLUS i listan för att få det nya arbetsplanet.

Mätta linjer och arbetsplan

När du skapar en mätt linje förväntas det att mätpunkterna för linjen tas på en vektor som är vinkelrät mot det aktuella arbetsplanet.

Om det aktuella arbetsplanet är ZPLUS (med vektorn 0,0,1) och du har en detalj som ser ut som ett block, måste mätpunkterna för den mätta linjen ligga på en lodrät vägg i detaljen, till exempel på framsidan eller sidan.

Om du därefter vill mäta ett linjeelement på detaljens toppyta måste du byta arbetsplan till XPLUS, XMINUS, YPLUS eller YMINUS beroende på planets riktning.

Mer information om hur du skapar mätta linjer finns i Mäta en linje.


Listan Mäthuvudsfiler

I listan Mäthuvudsfiler kan du välja mäthuvuden som redan har definierats i mäthuvudsfilen. Ett LADDA_MÄTH-kommando infogas i Redigeringsfönstret.


Verktygsfältet Mätning

Verktygsfältet Mätning innehåller ikoner som du kan använda för att växla till de olika lägen som används för det aktuella mäthuvudet eller mätmaskinen. De tillgängliga lägesikonerna beskrivs i tabellen nedan:

Ikon |  | Beskrivning
 | Manuellt läge | Med ikonen Manuellt läge växlar du till manuellt läge i PC-DMIS. I det manuella läget kan du manuellt kontrollera maskinens rörelser och mätningar. Det manuella läget används för en manuell mätmaskin eller vid manuell uppriktning i ett program som kommer att köras med en automatisk mätmaskin. När du klickar på ikonen infogas kommandot LÄGE/MANUELLT vid markörens läge i Redigeringsfönstret. Redigeringsfönsterkommandon som kommer efter detta kommando körs i manuellt läge.
 | CNC-läge | Med ikonen CNC-läge växlar du PC-DMIS till CNC-läge. I CNC-läget kan CNC-maskiner som stöds av programmet automatiskt ta över mätningen av ett detaljprogram. När du klickar på ikonen infogas kommandot LÄGE/CNC vid markörens läge i Redigeringsfönstret. Redigeringsfönsterkommandon som kommer efter detta kommando körs i CNC-läge.
 | Koordinatvisningsläge | Ikonen Koordinatvisningsläge (K) är endast tillgänglig om du använder en LK-maskin. Med ikonen växlar du till koordinatvisningsläge för mäthuvudet. Mer information finns i Växla till koordinatvisningsläge och mätpunktsläge för mäthuvudet i Använda andra fönster, redigerare och verktyg.
 | Mätpunktsläge | Ikonen Mätpunktsläge är endast tillgänglig om du använder en LK-maskin. Med ikonen växlar du till mätpunktsläge för mäthuvudet. Mer information finns i Växla till koordinatvisningsläge och mätpunktsläge för mäthuvudet i Använda andra fönster, redigerare och verktyg.
 | Autotriggläge, yta | Med ikonen Autotriggläge, yta infogas ett AUTOTRIGGER-kommando i detaljprogrammet. Se Området Autotrigg i avsnittet Göra inställningar.
 | Autotriggläge, kant | Med ikonen Autotriggläge, kant infogas ett AUTOTRIGGER-kommando i detaljprogrammet. Se Området Stödplan som autotrigg i avsnittet Göra inställningar.
 | Sök nominella värden från CAD | Med ikonen Sök nominella värden från CAD markerar du kryssrutan Sök nom. på fliken Allmänt i dialogrutan Inställningsval. Se Sök nom. i avsnittet Göra inställningar.
 | Enbart punkter | Om du klickar på ikonen Enbart punkter markerar du kryssrutan Enbart punkter på fliken Allmänt i dialogrutan Inställningsval. Se Enbart punkter i avsnittet Göra inställningar.

Obs! I tidigare versioner av PC-DMIS fanns det ikoner för lägen för igenkänning av plana och runda element. Eftersom igenkänningsalgoritmen har förbättrats i version 4.0 och senare versioner behövs ikonerna inte längre och de har därför tagits bort ur verktygsfältet.


 Print Icon Redo Icon Undo Icon Paste with Pattern Past Icon Copy Icon Cut Icon DMIS Mode Icon Command Mode Icon Summary Mode Icon Clear All Bookmarks Next Bookmark Icon Insert Bookmark Icon Set Start Point Remove All Breakpoints Icon Insert/Remove Breakpoint Icon Clear Marked Mark All Icon Mark Current Feature Icon Execute Program Icon

Verktygsfältet Redigeringsfönster

Verktygsfältet Redigeringsfönster

Verktygsfältet Redigeringfönster ger snabb åtkomst till många vanliga funktioner i Redigeringsfönstret.

I verktygsfältet kan du enkelt ändra innehållet i Redigeringsfönstret. Du kan även köra viktiga Redigeringsfönsterkommandon i verktygsfältet.

Mer:

Köra program

Markera aktuellt element

Markera alla

Ta bort markerade element

Sätta startpunkt

Lägga till/ta bort brytpunkt

Ta bort alla brytpunkter

Lägga till bokmärke

Nästa bokmärke

Ta bort alla bokmärken

Översiktsläge

Kommandoläge

DMIS-läge

Klippa ut

Kopiera

Klistra in

Klistra in med mönster

Ångra

Göra om

Skriva ut


Köra program

Med ikonen Kör program i verktygsfältet kör (eller utför) du mätprocessen för eventuellt markerade element. Se Köra detaljprogram i avsnittet Använda avancerade filalternativ.


Markera aktuellt element

Om du klickar på ikonen Markera aktuellt element i verktygsfältet markeras elementet under pekaren och förbereds för körning. Mer information finns i Markera i avsnittet Redigera ett detaljprogram.


Markera alla

Om du klickar på ikonen Markera alla i verktygsfältet markeras alla element i Redigeringsfönstret. Du tillfrågas om du även vill markera element som används vid uppriktningen. Mer information finns i Markera alla i avsnittet Redigera ett detaljprogram.


Ta bort markerade element

Med ikonen Ta bort markeringar i verktygsfältet tas alla markeringar bort från de markerade elementen i Redigeringsfönstret. Mer information finns i Markera alla i avsnittet Redigera ett detaljprogram.


Sätta startpunkt

Med ikonen Sätt startpunkt i verktygsfältet ställer du in startpunkten för den aktiva inlärningsarmen. Klicka på det kommando som du vill använda som startpunkt i Redigeringsfönstret och klicka därefter på ikonen Startpunkt i verktygsfältet. Startpunkten för den aktuella armen ställs in till det kommando som finns vid insättningspunkten. Du kan även ställa in en startpunkt genom att högerklicka på ett kommando och välja Sätt startpunkt. Mer information om flerarmsläge finns i avsnittet Använda flerarmsläge.

Mer information finns i Sätta startpunkter i avsnittet Redigera ett detaljprogram.


Lägga till/ta bort brytpunkt

Med ikonen Lägg till/ta bort brytpunkt i verktygsfältet lägger du till en brytpunkt vid markörens nuvarande läge i detaljprogrammet. Mer information finns i Använda brytpunkter i avsnittet Redigera ett detaljprogram.


Ta bort alla brytpunkter

Med ikonen Ta bort alla brytpunkter i verktygsfältet tar du bort eventuella brytpunkter ur detaljprogrammet. Mer information finns i Ta bort alla i avsnittet Redigera ett detaljprogram.


Lägga till bokmärke

Med ikonen Lägg till bokmärke i verktygsfältet lägger du till ett bokmärke vid markörens nuvarande läge i detaljprogrammet. Mer information finns i Växla bokmärke PÅ/AV i avsnittet Redigera ett detaljprogram.


Nästa bokmärke

Med ikonen Nästa bokmärke i verktygsfältet hoppar markören till nästa läge för ett bokmärke i detaljprogrammet. Mer information finns i Nästa bokmärke i avsnittet Redigera ett detaljprogram.


Ta bort alla bokmärken

Med ikonen Ta bort alla bokmärken i verktygsfältet tas samtliga bokmärken bort ur detaljprogrammet. Mer information finns i Ta bort alla bokmärken i avsnittet Redigera ett detaljprogram.


Översiktsläge

Om du klickar på ikonen Översikt i verktygsfältet övergår Redigeringsfönstret till översiktsläget. I detta läge ser du en förstorings-/förminskningsbar grafisk översikt över samtliga element och kommandon i detaljprogrammet. Du kan även göra vissa ändringar. Se Arbeta i översiktsläge i avsnittet Använda Redigeringsfönstret.


Kommandoläge

Om du klickar på ikonen Kommandoläge övergår Redigeringsfönstret till kommandoläget. I detta läge kan du öppna kommandon, vilket innebär att du kan redigera olika delar av ett detaljprogram. Se Arbeta i kommandoläge i avsnittet Använda Redigeringsfönstret.


DMIS-läge

Med ikonen DMIS-läge i verktygsfältet visas kommandona för Redigeringsfönstret i DMIS-format. I detta läge kan du arbeta med DMIS-syntax. Om ikonen inte visas i verktygsfältet markerar du kryssrutan Använd DMIS-knappen i redigeringsfönstret på fliken Allmänt i dialogrutan Inställningsval. Se Inställningsval: Fliken Allmänt i avsnittet Göra inställningar.

  • Mer information om hur DIMS-kommandon (standardformat för PC-DMIS-kommandon) översätts till DMIS-kommandon finns i ett dokument som heter PC-DMIS Support Documentation for DMIS, som finns att hämta på ftp://wilcoxassoc.com/docs/dmis_support.zip.

  • Mer information om DMIS finns på http://www.dmis.com.

Se Arbeta i DMIS-läge i avsnittet Använda Redigeringsfönstret.


Klippa ut

Med ikonen Klipp ut i verktygsfältet kan du klippa ut text och objekt i Redigeringsfönstret och tillfälligt lägga dem i Urklipp för att senare klistra in dem. Mer information finns i Klippa ut i avsnittet Redigera ett detaljprogram.


Kopiera

Med ikonen Kopiera i verktygsfältet kan du kan du kopiera text och objekt i Redigeringsfönstret och tillfälligt lägga dem i Urklipp för att senare klistra in dem. Mer information finns i Kopiera i avsnittet Redigera ett detaljprogram.


Klistra in

Med ikonen Klistra in i verktygsfältet klistrar du in information från Urklipp till markörens plats i Redigeringsfönstret. Mer information finns i Klistra in i avsnittet Redigera ett detaljprogram.


Klistra in med mönster

Med ikonen Klistra in (mönster) i verktygsfältet klistrar du in grupperade element och deras offset där markören är placerad i detaljprogrammet. Mer information finns i Redigera elementgrupper i avsnittet Redigera ett detaljprogram.


Ångra

Med ikonen Ångra i verktygsfältet tar du bort den senaste åtgärden från Redigeringsfönstret. Mer information finns i Ångra i avsnittet Redigera ett detaljprogram.


Göra om

Med ikonen Gör om i verktygsfältet upprepas en åtgärd som togs bort när du använde Ångra. Mer information finns i Göra om i avsnittet Redigera ett detaljprogram.


Skriva ut

Med ikonen Skriv ut i verktygsfältet kan du skicka en rapport med det aktuella innehållet i Redigeringsfönstret direkt till standardskrivaren utan att det öppnas några dialogrutor.


Verktygsfältet Utvärderingar

Du använder ikonerna i verktygsfältet Utvärderingar för att snabbt öppna de alternativ som finns på undermenyn Utvärderingar.

Ikon | Beskrivning
 | Läge
 | Lägeriktighet
 | Avstånd
 | Vinkel mellan
 | Koncentricitet
 | Koaxialitet
 | Rundhet
 | Cylindricitet
 | Rakhet
 | Planhet
 | Vinkelräthet
 | Parallellitet
 | Totalkast
 | Cirkulärt kast
 | Ytprofil
 | Linjeprofil
 | Vinkelriktighet
 | Symmetri
 | Inmatning


Verktygsfältet Konstruerade element

Du använder ikonerna i verktygsfältet Konstruerade element för att snabbt öppna de alternativ för elementkonstruktion som finns på undermenyn Konstruera.

Ikon | Beskrivning
 | Punkt
 | Linje
 | Plan
 | Cirkel
 | Ellips
 | Spår
 | Kurva
 | Cylinder
 | Kon
 | Sfär
 | Yta
 | Elementgrupp
 | Gaussfilter
 | Allmän

Mer information om dessa objekt finns i avsnittet Konstruera nya element från befintliga element och i avsnittet Skapa allmänna element.

Information om hur du infogar läspunkter finns i avsnittet Skapa allmänna element .


Verktygsfältet Autoelement

Från verktygsfältet Autoelement öppnar du enkelt de autoelement som även finns på flikarna i dialogrutan Autoelement eller låter PC-DMIS känna igen elementtypen utifrån antalet tagna mätpunkter.

Vilka autoelementobjekt som aktiveras i verktygsfältet och på menyn beror på vilken typ av mäthuvud som aktiveras samt på inställningarna för hårdvarulåset. Om alternativet för ej beröringskänsligt mäthuvud inte har aktiverats kan du inte välja ikonerna Karaktäristisk punkt och Flush och spel.

När du klickar på en ikon för ett autoelement öppnas fliken för det aktuella elementet med dialogrutan Autoelement.

Om du vill skapa autoelementet trycker du på tangenten END eller klickar på knappen Skapa i dialogrutan Autoelement. Innan du skapar elementet kan du ta bort mätpunkter från mätpunktsbufferten med tangentkombinationen ALT + "-".

Tips! Klicka på knappen för att minimera dialogrutan Autoelement. Då kan du dölja dialogrutan Autoelement men ändå skapa det valda tunnplåtselementet.

Mer:

Igenkänning av autoelement


Igenkänning av autoelement

Med ikonen Gissa kan du öka hastigheten vid skapande av detaljprogram. Observera att det inte öppnas någon dialogruta när du väljer ikonen. I stället görs en igenkänning av elementtypen utifrån antalet tagna mätpunkter. Detta krävs för att du ska kunna använda åtgärden Gissa:

  • Det måste finnas CAD-ytdata.

  • Du måste välja ikonen Ytläge.

  • Du måste använda ett beröringskänsligt mäthuvud. Det finns inte stöd för elementigenkänning med optiska mäthuvuden.

Obs! Kantlinjedata för CAD kan vara användbara om du vill öka hastigheten vid elementskapande. Om du till exempel endast använder ytdata krävs det tre mätpunkter för att PC-DMIS ska känna igen en cirkel. Om du däremot använder kantlinjedata krävs det endast en mätpunkt.

Mer:

Elementigenkänning efter elementtyp


Elementigenkänning efter elementtyp

I tabellen nedan anges det hur många mätpunkter du behöver ta och var de ska tas för att den angivna elementtypen ska kännas igen när du använder ikonen Gissa:

Ikon | Elementtyp | Antal mätpunkter för igenkänning av elementtypen | Mätpunkternas lägen för igenkänning av elementtypen
 | Vektorpunkt | En |
 | Ytpunkt | Två |
 | Kantpunkt | Kant & yta: En | En mätpunkt nära kanten.
 | Vinkelpunkt | Två | En mätpunkt på en yta och en mätpunkt på den andra ytan, mindre än 90 grader från den första ytan.
 | Karaktäristisk punkt | Igenkänningsläget fungerar inte för den här elementtypen.
 | Hörnpunkt | Tre | En på var och av de tre ytorna.
 |  | Endast yta: Två | En mätpunkt på toppytan. En mätpunkt på kantytan cirka 90 grader från toppen.
 | Högsta punkt | En |
 | Linje | Igenkänningsläget fungerar inte för den här elementtypen.
 | Plan | Igenkänningsläget fungerar inte för den här elementtypen.
 | Cirkel | Kant & yta: En | En mätpunkt på toppytan nära kanten på cirkeln eller bågen.
 |  | Endast yta: Tre | Tre mätpunkter på toppytan nära kanten på cirkeln eller bågen.
 | Ellips | Fem | Fem mätpunkter runt ellipsen.
 | Rätvinkligt spår | Fyra | Fyra mätpunkter på toppytan nära kanten av spåret.
 | Rundat spår | Kant & yta: Två | En mätpunkt på toppytan nära kanten på en båge och en mätpunkt nära motstående båge.
 |  | Endast yta: Sex | Tre mätpunkter på toppytan nära kanten på en båge och tre mätpunkter nära motstående båge.
 | Urtag | Fem | Två mätpunkter på motstående sida från urtagets öppning. En mätpunkt på sidan parallellt med urtaget. En mätpunkt på den andra sidan. En mätpunkt på den öppna kanten.
 | Polygon | Kant & yta: En | En mätpunkt på in- eller utsidan av polygonens sida.
 | Cylinder | Kant & yta: Två | En mätpunkt på toppytan nära kanten på cirkeln eller bågen och en mätpunkt på cylinderns sida.
 |  | Endast yta: Fyra | Tre mätpunkter på toppytan nära kanten på cirkeln eller bågen och en mätpunkt på cylinderns sida.
 | Kon | Kant och yta eller endast yta: Fyra | Tre mätpunkter på toppytan nära kanten på cirkeln eller bågen och en mätpunkt på konens sida. Om det finns en vinkel som är större än 2 grader mellan den fjärde mätpunkten och cirkeln, beräknat från de tre första mätpunkterna, känns elementet igen som en kon i PC-DMIS, i annat fall känns det igen som en cylinder.
 | Sfär | Fem | Fem mätpunkter på sfärens yta.
 | Flush och spel | Igenkänningsläget fungerar inte för den här elementtypen.
 |  | Endast kant: Två | En mätpunkt nära den första cirkeln eller bågen (konens första ända). En mätpunkt nära den andra cirkeln eller bågen (konens andra ända). Det görs en kontroll i programmet för att se om cirklarna ligger ovanpå varandra. Om cirklarna ligger ovanpå varandra känns elementet igen som en kon. Om de inte gör det känns elementet igen som ett rundat spår.
 | Gissa | Variabel. Information om denna ikon finns i början av ämnet. |


Verktygsfältet Mätta element

I verktygsfältet Mätta element kan du ställa in automatisk igenkänning och visning av den elementtyp som du tar mätpunkter för eller tvinga fram ett godkännande av en angiven elementtyp i PC-DMIS.

Mer:

Automatisk igenkänning av en elementtyp

Tvinga godkännande av en angiven elementtyp


Automatisk igenkänning av en elementtyp

Om du klickar på ikonen Elementigenkänning visas en ikon som efter varje tagen mätpunkt anger vilken elementtyp det bör handla om. På så sätt kan du förhandsgranska elementtypen innan den skapas.

Om du till exempel mäter en cylinder tar du två uppsättningar om fyra mätpunkter vardera på två olika nivåer längs cylindern. När du tar fyra mätpunkter på samma nivå visas en Cirkel-ikon som elementtyp i Grafikfönstret. När du har tagit mätpunkterna på den andra nivån visas en Cylinder-ikon.


Tvinga godkännande av en angiven elementtyp

Med ikonerna för elementtyper i verktygsfältet kan du tvinga PC-DMIS att godkänna den valda elementtypen.

Ikon | Beskrivning
 | Tvingar PC-DMIS att godkänna elementtypen Punkt
 | Tvingar PC-DMIS att godkänna elementtypen Linje
 | Tvingar PC-DMIS att godkänna elementtypen Plan
 | Tvingar PC-DMIS att godkänna elementtypen Cirkel
 | Tvingar PC-DMIS att godkänna elementtypen Cylinder
 | Tvingar PC-DMIS att godkänna elementtypen Kon
 | Tvingar PC-DMIS att godkänna elementtypen Sfär

Om du tar mätpunkter i läget för elementigenkänning (ikonen Elementigenkänning) och fel elementtyp visas i PC-DMIS kan du klicka på rätt ikon och tvinga PC-DMIS att godkänna elementet. Elementet kommer inte att läggas till i detaljprogrammet förrän du har skapat det genom att trycka på END. Du kan ta bort mätpunkter med tangenterna "-" eller ALT + "-".

Om du till exempel markerar Cirkel-ikonen måste elementtypen cirkel godkännas förutsatt att du har tagit det minsta antalet mätpunkter för denna typ.


Filåtgärder

Verktygsfältet Filåtgärder

I verktygsfältet Filåtgärder kan du snabbt utföra några av de vanligaste filåtgärderna. Verktygsfältet innehåller följande ikoner.

Ikon |  | Beskrivning
 | Öppna | Öppnar ett befintligt detaljprogram
 | Nytt | Skapar ett nytt detaljprogram
 | Stäng | Stänger det aktiva detaljprogrammet
 | Avsluta | Avslutar PC-DMIS utan att detaljprogrammet sparas
 | Spara | Sparar det aktuella detaljprogrammet
 | Spara som | Sparar det aktuella detaljprogrammet under ett annat namn

Mer information om filåtgärderna finns i avsnitten Använda grundläggande filalternativ och Använda avancerade filalternativ.


Verktygsfältet Spela in/upp makro

I verktygsfältet Spela in/upp makro kan du spela in, spela upp och stoppa makron genom att klicka på ikoner. Du kan enkelt spela in och upp anpassade makron för att utföra vanliga och upprepade uppgifter.

I PC-DMIS är ett makro en inspelning av tangenttryckningar och musrörelser som kan spelas upp för att göra en uppgift automatisk.

Tips! När du arbetar med makron kan du använda kryssrutan Fasta dialogpositioner. Om du markerar den här rutan ligger alla dialogrutor kvar på fasta, förinställda lägen. Se Fasta dialogpositioner i avsnittet Göra inställningar.

Mer:

Så här spelar du in ett makro

Så här spelar du upp ett inspelat makro:


Så här spelar du in ett makro:

  1. Klicka på ikonen Spela in [image]. Dialogrutan Spela in makro öppnas.

Dialogrutan Spela in makro

  2. Skapa ett filnamn med filtillägget *.mac i rutan Filnamn.

  3. Klicka på knappen Öppna. Dialogrutan Spela in makro stängs och ikonen Spela in börjar blinka. Det anger att inmatningar från tangentbordet och/eller musen spelas in.

  4. Skapa det önskade makrot genom att spela in tangenttryckningar och/eller musinmatningar.

  5. Klicka på ikonen Stopp [image] när du är färdig.


Så här spelar du upp ett inspelat makro:

  1. Klicka på ikonen Spela upp [image]. Dialogrutan Spela upp makro öppnas.

Dialogrutan Spela upp makro

  2. Gå till den mapp som innehåller makrot.

  3. Markera det önskade makrot.

  4. Klicka på knappen Öppna.

Ikonen Spela upp [image] börjar blinka, vilket anger att det begärda makrot spelas upp. Du ser hur det markerade makrots mus- och tangenttryckningar utförs.


Verktygsfältet Virtuellt tangentbord

I verktygsfältet Visa | Verktygsfält | Virtuellt tangentbord kan du använda och anpassa ett virtuellt tangentbord i stället för ett fysiskt tangentbord. Det fungerar som ett vanligt tangentbord och kan användas tillsammans med en mus eller med en pekskärm. Detta är användbart i vissa fabriksmiljöer där det inte är praktiskt att använda ett fysiskt tangentbord.

Exempel på virtuellt tangentbord – tangentbord, variant 1

Ikonerna i verktygsfältet Virtuellt tangentbord beskrivs här:

Ikon

Beskrivning

Om du klickar på den här ikonen visar eller döljer du ett virtuellt tangentbord. Det virtuella tangentbordet visas automatiskt ovanför huvudvyn i PC-DMIS. Det visas även en programikon i aktivitetsfältet:

Precis som i andra Windows-program ger du fokus åt programmet Virtuellt tangentbord genom att klicka på programikonen.

Om du klickar på den här ikonen öppnar du dialogrutan Konfigurera tangentbord där du kan skapa en anpassad version av ett virtuellt tangentbord. Mer information finns i Så här skapar du en ny variant på ett virtuellt tangentbord.

Om du klickar på nedpilen till höger om ikonen Anpassa öppnas en nedrullningsbar lista som liknar den snabbmeny som nämns i Öppna varianter av virtuella tangentbord.

Mer information finns i Använda det virtuella tangentbordet i avsnittet Använda andra fönster, redigerare och verktyg.


Verktygsfältet Pekskärm

I verktygsfältet Pekskärm kan du välja hur beröring av pekskärmen ska tolkas. Detta är användbart i vissa fabriksmiljöer där det inte är praktiskt att använda en mus.

Om du klickar på ikonen Vänsterklick, som är standardinställningen, tolkas beröring av skärmen som ett klick med vänster musknapp.

Om du klickar på ikonen Högerklick tolkas nästa beröring av skärmen som ett klick med höger musknapp. När du har rört vid skärmen växlar läget automatiskt tillbaka till Vänsterklick.

Information om hur du använder verktygsfältet Pekskärm finns i de produktgenomgångar som levererades med din Brown and Sharpe "One".


Verktygsfältet Guider

Ikonerna i verktygsfältet är från början kopplade till externa guider som installeras med PC-DMIS. Guiderna har två syften:

  1. Att öka användbarheten för nya användare som fortfarande håller på att lära sig använda programmet.

  2. Att demonstrera hur flexibelt och anpassningsbart PC-DMIS är.

Guiderna är:

Ikon

Beskrivning

Guide för 321-uppriktning (3-2-1 Alignment Wizard) – Den här guiden innehåller en genomgång av två grundläggande uppriktningstyper: en 321-uppriktning och en uppriktning av två cirklar.

Guide för CAD-import (CAD Import Wizard) – Med den här guiden kan du importera enstaka eller flera CAD-modeller till det aktuella detaljprogrammet. Klicka på ikonen för att öppna dialogrutan. Markera en eller flera filer som ska importeras och klicka därefter på Öppna.

Guide för redigering av datafält (Data Field Edit Wizard) – Med den här guiden kan du ersätta vissa fält i Redigeringsfönstret som du inte kan ersätta från dialogrutan Ersätt. Se Redigera datafält i avsnittet Redigera ett detaljprogram.

Guide för DMIS-utmatning (DMIS Out Wizard) – Med den här guiden får du hjälp att exportera detaljprogramfiler som DMIS-filer.

Guide för iterativ uppriktning (Iterative Alignment Wizard) – Den här guiden innehåller en genomgång av stegen för att skapa en iterativ uppriktning och en förklaring av reglerna bakom indata för uppriktningen.

Guide för multipel körning (Multiple Execute Wizard) – Med den här guiden kan du enkelt skapa en oändlig slinga i programkörningen, eller köra programmet ett visst antal gånger. Du kan även välja ett meddelande som ska visas mellan iterationerna.

Guide för PCD2Excel (PCD2Excel Wizard) – Med den här guiden exporteras data från detaljprogrammet till en Microsoft Excel-fil. Klicka på Konfigurera om du vill konfigurera alternativen i guiden. De flesta av konfigurationsalternativen i dialogrutan behöver ingen ytterligare förklaring.

Om kryssrutan Använd STAT/PÅ och STAT/AV är markerad måste du inkludera kommandon för utvärdering (eller utvärdering av toleransrektangel) mellan kommandona STAT/PÅ och STAT/AV i programmet. Om du inte gör det kommer det inte att exporteras några data till Excel-filen. Om du avmarkerar kryssrutan exporteras samtliga utvärderingskommandon till Excel-filen. Se avsnittet Spåra statistiska data.

Om du markerar kryssrutan Ignorera TLR överförs inga kommandon för toleransrektanglar till Excel-filen. Se avsnittet Använda toleransrektanglar.

Mäthuvudsguide (Probe Wizard) – I den här guiden får du en demonstration av hur du definierar ett mäthuvud och kan kalibrera det nydefinierade mäthuvudet.

Databasguide (Database Wizard) – Med den här guiden kan du enkelt skapa och registrera ODBC-databaser. Guiden visas endast om hårdvarulåset har konfigurerats med alternativet Integrerad statistik.

Mer:

Tillgänglig källkod för guide


Tillgänglig källkod för guide

Guiderna har utvecklats med Microsoft Visual Basic© och automatiseringsfunktionerna i PC-DMIS. Källkoden och projektfilerna som användes för att skapa guiderna inkluderas i underkatalogen Guider (alt. Wizards) i den katalog som innehåller installationsfilen för PC-DMIS. Om du vill utöka funktionerna i PC-DMIS eller skapa ett eget anpassat program med samma gränssnitt som PC-DMIS kan du använda den levererade källkoden som vägledning. Du kan även förbättra guiderna med funktioner som inte inkluderades i ursprungsprogrammet.


Verktygsfältet Aktiva armar

Verktygsfältet Aktiva armar innehåller ikoner med bilder av flera armar. Ikonen Arm 1 aktiv (knappen med nummer 1 i verktygsfältet) motsvarar masterarmen. Ikonen Arm 2 aktiv anger slavarmen. Det får endast finnas en aktiv arm åt gången. Den markerade ikonen räknas som aktiv.

Du kan även köra kommandon som är knutna till en viss arm genom att klicka på ikonen med den färgade bocken, som motsvarar den aktiva armen.

För närvarande är verktygsfältet Aktiva armar endast tillgängligt om du har köpt tilläggspaketet för flerarmsläge.

Du kan även visa verktygsfältet via menyalternativet Åtgärder | Flerarmsläge.

Mer information om hur du ställer in och använder flerarmsmaskiner finns i avsnittet Använda flerarmsläge. Det finns även mer information om hur du använder det här verktygsfältet i ämnet Tilldela ett kommando till en arm i samma avsnitt.


Verktygsfältet Aktivt rundbord

I verktygsfältet Aktivt rundbord kan du välja vilket av de båda rundborden som är aktivt. Du kan inte göra några val i verktygsfältet förrän du har ställt in rundbord med menyalternativet Redigera | Alternativ | Inställningar, rundbord. Mer information finns i Definiera ett rundbord i avsnittet Göra inställningar.


Verktygsfältet Snabbstart

I verktygsfältet Snabbstart (Visa | Verktygsfält | Snabbstart) kan du snabbt skapa ett enkelt detaljprogram. I verktygsfältet kan du öppna dialogrutor eller starta processer som hjälper dig att definiera eller kalibrera en mätspets, rikta en detalj, mäta element, konstruera fler element och utvärdera befintliga element.

Om du vill öppna något av objekten håller du muspekaren över den önskade ikonen. Om det krävs fler processer för ikonen öppnas ett annat verktygsfält till höger om den markerade ikonen. I det nya verktygsfältet kan du välja en specifik process.

Ikonerna i verktygsfältet Snabbstart

Verktygsfältet Snabbstart innehåller följande ikoner:

Kalibrera/Ändra – Om du klickar på den här ikonen öppnas det inte något annat verktygsfält. I stället öppnas dialogrutan Mäthuvud. I dialogrutan kan du definiera ett mäthuvud och kalibrera mätspetsar.

Upprikta – Om du klickar på den här ikonen öppnas verktygsfältet Upprikta i Snabbstart. I verktygsfältet kan du välja en uppriktningsprocess.

Mät – Om du klickar på den här ikonen öppnas verktygsfältet Mät i Snabbstart. I verktygsfältet kan du välja en mätprocess.

Konstruera – Om du klickar på den här ikonen öppnas verktygsfältet Konstruera i Snabbstart. I verktygsfältet kan du välja en konstruktionsprocess.

Utvärdera – Om du klickar på den här ikonen öppnas verktygsfältet Utvärdera i Snabbstart. I verktygsfältet kan du välja önskad utvärderingsprocess.

Återställ – Om du klickar på den här ikonen återställs dialogrutan Snabbstart till igenkänningsläge.

Om Snabbstart-gränssnittet:

I versionerna 3.5 till 3.7 var verktygsfältet Snabbstart skilt från dialogrutan Snabbstart. I den aktuella versionen är verktygsfältet Snabbstart knutet till dialogrutan för att spara utrymme på skärmen. Det innebär att när du väljer verktygsfältet Snabbstart öppnas dialogrutan Snabbstart automatiskt.

Dialogrutan och verktygsfältet Snabbstart

Vidare:

  • Om du håller muspekaren över ett objekt i dialogrutan eller verktygsfältet ser du en beskrivning av objektet.

  • Du kan docka eller ta bort dockningen av dialogrutan Snabbstart vid vänster sida av skärmen genom att klicka i titelfältet och därefter dra och släppa rutan.

  • Dialogrutan Snabbstart innehåller inte längre instruktioner för de olika snabbstartsprocesserna. De visas i stället i Statusfältet längst ned på skärmen. Om instruktionerna är för långa för statusfältet kan du rulla instruktionerna från höger till vänster. När du rör muspekaren över dialogrutan Snabbstart återgår rullningen av den aktuella instruktionen till början.

  • Nu kan du välja inmatade element som används i de olika processerna genom att klicka på elementen i Redigeringsfönstret eller i Grafikfönstret.

  • Den här versionen av PC-DMIS innehåller ett statusfönster. I statusfönstret kan du förhandsgranska en utvärdering eller, om du arbetar i igenkänningsläge, förhandsgranska ett mätt element innan du klickar på Slutför och infogar utvärderingen eller elementet i detaljprogrammet. Se Använda statusfönstret i avsnittet Använda andra fönster, redigerare och verktyg.

Viktigt! När du aktiverar dialogrutan och verktygsfältet Snabbstart inaktiveras vissa kommandon. Du kan till exempel inte ta bort, kopiera eller markera element, och inte heller köra detaljprogrammet. Om du vill utföra dessa eller andra åtgärder stänger du verktygsfältet och dialogrutan Snabbstart.

Mer:

Använda dialogrutan Snabbstart

Snabbstart: Verktygsfältet Mät

Snabbstart: Verktygsfältet Konstruera

Snabbstart: Verktygsfältet Utvärdera

Snabbstart: Verktygsfältet Upprikta

Snabbstart: Verktygsfältet Kalibrera/Ändra


Använda dialogrutan Snabbstart

Med flera av ikonerna i verktygsfälten startas åtgärder i dialogrutan Snabbstart.

Exempel på dialogrutan Snabbstart

Nedan följer en beskrivning av de objekt du ser i dialogrutan och information om hur du utför olika åtgärder i dialogrutan.

Objekt i dialogrutan

Beskrivning

Grafisk beskrivning

I PC-DMIS visas två ikoner för varje åtgärd som använder dialogrutan Snabbstart. En aktuell process till vänster och det aktuella steget i processen, eller det aktuella igenkända elementet, till höger.

I skärmdumpen till vänster anger ikonen med frågetecknet att det pågår en åtgärd i igenkänningsläge. Punkt-ikonen till höger visar att med en enda mätpunkt skapas ett punktelement. Ikonen till höger ändras till en linje om du tar en andra mätpunkt.

Exempel på element-ID

ID

Unikt ID för elementet. När du har valt en lämplig process visas ett ID i rutan.

Se ID i avsnittet Navigera i användargränssnittet.

Listan Ändra elementtyp

Ändra elementtyp

I listan kan du ändra den igenkända elementmätningen till den markerade elementtypen. Om du till exempel tar fyra mätpunkter och ett plan känns igen i PC-DMIS kan du välja Cirkel i listan och i stället skapa en mätt cirkel.

Se Ändra ett igenkänt mätt element i avsnittet Skapa mätta element.

Antal tagna/nödvändiga mätpunkter

Antal tagna mätpunkter

Till höger om snedstrecket visas det minsta antalet mätpunkter som krävs för att mäta elementet och till vänster om snedstrecket visas det aktuella antalet tagna mätpunkter. Du kan ta mer än det minsta antalet mätpunkter och då kommer värdet till vänster om snedstrecket att vara större än värdet till höger.

Lagra rörelse

Med ikonen Lagra rörelse kan du enkelt spara via-punkter i detaljprogrammet. När du klickar på ikonen läses mäthuvudets aktuella läge in och det infogas ett VIA/PUNKT-kommando i Redigeringsfönstret.

Se Infoga ett kommando för via-punkt i avsnittet Infoga rörelsekommandon.

Gissa

Om den här ikonen visas i dialogrutan så körs PC-DMIS i igenkänningsläge. När du har skapat ett konstruerat element eller en uppriktning från dialogrutan Snabbstart återgår programmet till detta läge.

Om du klickar på ikonen Gissa i verktygsfältet Snabbstart: Mät växlar PC-DMIS också till igenkänningsläget.

Beroende på antalet tagna mätpunkter görs i detta läge en igenkänning av den elementtyp som du försöker mäta och dialogrutan Snabbstart uppdateras dynamiskt enligt den igenkända elementtypen.

Om du markerar två punkter i igenkänningsläge uppdateras dialogrutan Snabbstart till ett linjeelement. Om du tar fyra punkter uppdateras rutan till ett cirkelelement, om du tar åtta till en cylinder och så vidare.

Se Känna igen en mätt elementtyp avsnittet Skapa mätta element .

Exempel på rutan Resultat

Resultat

I rutan Resultat visas resultaten för de steg i mätprocessen som hittills genomförts. Om en användare till exempel vill göra en uppriktning av ett plan, en linje och en punkt visas följande i resultatrutan:

PLN1=Mätt plan; LIN1=Mätt linje; PNT1 = Mätt punkt.

Rutan Resultat är kopplad till knapparna längst ned i dialogrutan. Knapparna aktiveras när kraven för ett visst steg i processen har uppfyllts.

<Föreg. och Nästa>

Med knapparna <Föreg. och Nästa> bläddrar du mellan listor av begärda element eller inmatningar. Knapparna blir tillgängliga när det finns processer i verktygsfälten som kräver att du väljer eller skapar flera element (till exempel verktygsfälten Utvärdera och Upprikta) eller matar in flera värden (som övre och nedre toleransvärde för utvärderingar). När du arbetar i dialogrutan Mät får du samma effekt om du klickar två gånger på knappen Done på handterminalen som om du klickar på Nästa>.

Slutför

Med knappen Slutför slutför du processen, lägger till lämpligt kommando i Redigeringsfönstret och därefter återgår PC-DMIS i de flesta fall till ursprungssteget i den aktuella processen.

Om du arbetar med uppriktningar eller konstruerade element återgår du däremot till standardläget för igenkänning när du klickar på Slutför.


Snabbstart: Verktygsfältet Mät

Snabbstart: Verktygsfältet Mät

Snabbstart: Verktygsfältet Mät

I verktygsfältet finns ikoner för följande mätfunktioner:

Punkt | Linje | Plan
Cirkel | Cylinder | Kon
Sfär | Elementigenkänning |

Mer information om hur du skapar mätta element finns i avsnittet Skapa mätta element.

Scan

Med Scan-ikonen kan du snabbt utföra en scan med fast tidsintervall. När du klickar på Scan öppnas en guide med en genomgång av stegen för att skapa en scan.

Mer:

Skapa mätta element

Mäta en punkt

Mäta en linje

Mäta ett plan

Mäta en cirkel

Mäta en cylinder

Mäta en kon

Mäta en sfär


Skapa mätta element

  1. Välj verktygsfältet Mät i verktygsfältet Snabbstart.

  2. Klicka på ikonen för det element som ska mätas. Ikonen överst till vänster i dialogrutan ändras så att den visar vad du ska mäta under processen och det visas instruktioner i statusfältet.

  3. Om du arbetar i offlineläge klickar du på ikonen Programläge i verktygsfältet PC-DMIS-lägen. Då visas en simulering av mäthuvudet nära detaljen i Grafikfönstret.

  4. Om du arbetar i offlineläge högerklickar du för att ställa in mäthuvudets djup. Om du arbetar i onlineläge flyttar du mäthuvudet till önskat djup.

  5. Mät elementet genom att ta det minsta antalet mätpunkter på detaljen.

  6. Klicka på Slutför eller tryck på Done på handenheten när du har slutfört mätningen. Dialogrutan Snabbstart är fortfarande öppen, det görs en automatisk kompensering för mäthuvudets radie och det mätta elementet placeras på detaljen i Grafikfönstret.

  7. Upprepa steg fyra till sex tills du har skapat alla begärda element.

  8. Klicka på Stäng när du är färdig. Dialogrutan Snabbstart stängs.


Mäta en punkt

Använd ikonen Punkt för att mäta läget för en punkt som tillhör ett plan på samma plan som ett referensplan eller för en punkt i rummet.

Du måste ta minst en mätpunkt på detaljen för att skapa en mätt punkt.

Mer information om det närliggande Redigeringsfönsterkommandot finns i Grundläggande mätformat för en punkt i avsnittet Skapa mätta element.


Mäta en linje

Använd ikonen Linje för att mäta orientering och linjäritet för en linje som ligger på samma plan som ett referensplan eller för en linje i rummet.

Du måste ta minst två mätpunkter på detaljen för att skapa en mätt linje.

Mätta linjer och arbetsplan

När du skapar en mätt linje förväntas det att mätpunkterna för linjen tas på en vektor som är vinkelrät mot det aktuella arbetsplanet.

Om det aktuella arbetsplanet är ZPLUS (med vektorn 0,0,1) och du har en detalj som ser ut som ett block, måste mätpunkterna för den mätta linjen ligga på en lodrät vägg i detaljen, till exempel på framsidan eller sidan.

Om du därefter vill mäta ett linjeelement på detaljens toppyta måste du byta arbetsplan till XPLUS, XMINUS, YPLUS eller YMINUS beroende på planets riktning.

Information om hur du byter arbetsplan finns i Arbetsplanlista.

Mer information om det närliggande Redigeringsfönsterkommandot finns i Grundläggande mätformat för en linje i avsnittet Skapa mätta element.


Mäta ett plan

 | Använd ikonen Plan för att mäta tyngdpunkt, orientering och planhet för ett plan i rummet. Läget för de valda punkternas tyngdpunkt räknas också ut.
Du måste ta minst tre mätpunkter på en plan yta för att skapa ett mätt plan. Om du endast använder tre mätpunkter bör du lägga punkterna i en stor triangel som täcker den bredaste delen av ytan.
Exempel: Plan med 4 punkter | Exempel: Plan med 8 punkter
Mer information om det närliggande Redigeringsfönsterkommandot finns i Grundläggande mätformat för ett plan i avsnittet Skapa mätta element.


Mäta en cirkel

 | Använd ikonen Cirkel för att mäta diameter, rundhet och mittpunktens läge för ett hål/en tapp som är parallell/t med referensplanet, det vill säga den vinkelräta delen av en cylinder med en referensaxel.
Du måste ta minst tre mätpunkter för att skapa ett mätt hål eller en mätt tapp. Planet känns igen automatiskt och ställs in under mätningen. De valda punkterna måste vara jämnt fördelade efter omkretsen.
Exempel: Cirkel med 4 punkter | Exempel: Cirkel med 8 punkter
Mer information om det närliggande Redigeringsfönsterkommandot finns i Grundläggande mätformat för en cirkel i avsnittet Skapa mätta element.


Mäta en cylinder

Använd ikonen Cylinder för att mäta en cylinders diameter, cylindricitet och axelns riktning i rummet. Läget för de valda punkternas tyngdpunkt räknas också ut.

Du måste ta minst sex mätpunkter på cylindern för att skapa en mätt cylinder. De valda punkterna måste vara jämnt fördelade på ytan. De tre första punkterna måste ligga på ett plan som är vinkelrätt mot huvudaxeln.

Exempel: Cylinder med åtta punkter

Mer information om det närliggande Redigeringsfönsterkommandot finns i Grundläggande mätformat för en cylinder i avsnittet Skapa mätta element.


Mäta en kon

Använd ikonen Kon för att mäta en kons konicitet, vinkel vid spetsen och axelns riktning i rummet. Läget för de valda punkternas tyngdpunkt räknas också ut.

Du måste ta minst sex mätpunkter för att skapa en mätt kon. De valda punkterna måste vara jämnt fördelade på ytan. De tre första punkterna måste ligga på ett plan som är vinkelrätt mot huvudaxeln.

Exempel: Kon med åtta punkter

Mer information om det närliggande Redigeringsfönsterkommandot finns i Grundläggande mätformat för en kon i avsnittet Skapa mätta element.


Mäta en sfär

 | Använd ikonen Sfär för att mäta diameter, sfäriskhet och mittpunktens läge för en sfär.
Du måste ta minst fem mätpunkter för att skapa en mätt sfär. De valda punkterna måste vara jämnt fördelade på ytan. De fyra första punkterna får inte ligga på samma omkrets. Den första punkten bör tas på sfärens pol. De tre övriga punkterna tas längs omkretsen.
Exempel: Sfär med 5 punkter | Exempel: Sfär med 9 punkter
Mer information om det närliggande Redigeringsfönsterkommandot finns i Grundläggande mätformat för en sfär i avsnittet Skapa mätta element.


Snabbstart: Verktygsfältet Konstruera

Snabbstart: Verktygsfältet Konstruera

Snabbstart: Verktygsfältet Konstruera

När du konstruerar element i PC-DMIS bearbetas inte de valda punkterna, utan i stället bearbetas de karaktäristiska punkterna för redan mätta element eller för element som ska mätas.

I detta verktygsfält kan du skapa samma uppsättning av element som de du kan mäta i verktygsfältet Snabbstart: Mät. Den vanligaste tillämpningen är att konstruera en cirkel som går igenom mittpunkterna för en cirkulär gruppering av hål eller knoppar.

Vanligtvis är de element som används vid konstruktion av andra element punkter och cirklar (eller sfärer) som du redan kan ha mätt och sparat. Om du ännu inte har mätt ett nödvändigt element kan du mäta det under konstruktionen.

Du kan konstruera följande element:

Punktelement

Linjeelement

  • Skärningspunkt

  • Medelpunkt

  • Utflyttad punkt

  • Linje (BA)

  • Skärningslinje

  • Medellinje

Planelement

Cirkelelement

  • Plan (BA)

  • Medelplan

  • Uppriktningsplan

  • Cirkel (BA)

  • Skärningscirkel

  • Höjdcirkel

  • Diametercirkel

Spårelement

Cylinderelement

  • Spårelement

  • Cylinderelement

Konelement

  • Konelement

Via länkarna i tabellen ovan kan du gå till rätt ämne i avsnittet Konstruera nya element från befintliga element i hjälpen om du vill ha mer information.

Mer:

Skapa konstruerade element


Skapa konstruerade element

Processen nedan innehåller grundläggande information om hur du skapar element. Mer ingående information finns i avsnittet Konstruera nya element från befintliga element.

  1. Välj verktygsfältet Konstruera i verktygsfältet Snabbstart. Visa menykarta

  2. Klicka på ikonen för det element som ska mätas. I dialogrutan Snabbstart visas en ikon för processen och en andra ikon för den första begärda elementtypen.

  3. Följ instruktionerna längst ned i verktygsfältet och fyll i data i dialogrutan eller markera (eller mät) de begärda element som ska användas i konstruktionen.

  4. Fortsätt genom att klicka på Nästa och följa instruktionerna tills knappen Slutför visas.

  5. Klicka på Slutför när du är färdig. Det nykonstruerade detaljelementet placeras i Grafikfönstret och i Redigeringsfönstret.


Snabbstart: Verktygsfältet Utvärdera

Snabbstart: Verktygsfältet Utvärdera

Snabbstart: Verktygsfältet Utvärdera

I verktygsfältet Utvärdera kan du göra geometriska mätningar och toleranskontroller. Med undantag för Inmatad utvärdering innehåller detta verktygsfält samtliga utvärderingar från det vanliga verktygsfältet Utvärderingar i PC-DMIS. Se avsnittet Verktygsfältet Utvärderingar.

Om geometriska mätningar

Om geometriska toleranskontroller

Geometriska mätningar används i följande fall:

  • När utvärderingen behandlar två element (till exempel avstånd och vinklar).

  • När utvärderingselementen inte kan mätas (till exempel hörn).

  • När du kan göra utvärderingsmätningar genom geometriska uträkningar (skärningar, projektioner och/eller medelelement).

I ett geometriskt förhållande mellan två element skapas ett tredje element (punkt, cirkel, linje eller plan). De flesta viktiga utvärderingar ingår i standardutskriftsformatet för det beräknade elementet.

Obs! Geometriska förhållanden bör inte förväxlas med geometriska toleranser. Geometriska toleranser används för att kontrollera de funktionella kraven för ett element. Funktionella krav är elementegenskaper som säkerställer bland annat korrekt sammansättning, säkerhet, utseende och prestanda. Geometriska förhållanden, så som de används i PC-DMIS, räcker inte för att säkerställa funktionella krav på grund av att de inte utnyttjar referensteorin i tillräcklig omfattning.

I en geometrisk toleranskontroll testas läges-, riktnings-, profil-, kast- eller formfel för ett element (kontrollerat element) i förhållande till ett lämpligt referenssystem.

Du kan göra följande kontroller:

  • Riktningskontroller: Testar fel i parallellism, vinkelräthet och vinkelriktighet.

  • Lägeskontroller: Testar fel i koaxialitet, koncentricitet, läge och position.

  • Profilkontroller: Testar fel i profilformat eller profil i förhållande till den aktuella uppriktningen.

  • Kastkontroller: Testar fel i totalkast för en cirkel, en cylinder eller ett plan.

En utvärdering av den resulterande geometriska toleranskontrollen infogas mellan två element i Redigeringsfönstret.

Ikon | Beskrivning | Snabbstartsprocess
 | Skapar en utvärdering av ett äldre läge. | Markera eller mät elementet. Klicka på Nästa, ange övre och undre toleranser och klicka därefter på Slutför för att införa lägesutvärderingen.
 | Skapar en utvärdering av en äldre lägeriktighet. | Markera eller mät elementet, klicka på Nästa, ange övre och undre toleranser och klicka därefter på Slutför för att införa utvärderingen av lägeriktighet.
 | Skapar en utvärdering av ett äldre avstånd. | Markera eller mät det första elementet och klicka på Nästa. Markera eller mät det andra elementet. Klicka på Nästa. Ange övre och undre toleranser, skriv in ett nominellt värde, välj 2D eller 3D och klicka därefter på Slutför för att infoga avståndsutvärderingen.
 | Skapar en utvärdering av en äldre vinkel. | Markera eller mät det första elementet och klicka på Nästa. Markera eller mät det andra elementet. Klicka på Nästa. Ange plus- och minustoleranser, skriv in ett nominellt värde, välj 2D eller 3D och klicka därefter på Slutför för att infoga vinkelutvärderingen.
 | Skapar en utvärdering av en äldre koncentricitet. | Markera eller mät det första cirkulära elementet och klicka på Nästa. Markera eller mät det andra cirkulära elementet. Klicka på Nästa. Ange den övre toleransen. Klicka på Nästa. Klicka på Slutför för att infoga koncentricitetsutvärderingen.
 | Skapar en utvärdering av en äldre rundhet. | Markera eller mät det första cirkulära elementet och klicka på Nästa. Markera eller mät det andra cirkulära elementet. Klicka på Nästa. Ange den övre toleransen. Klicka på Nästa. Klicka på Slutför för att infoga rundhetsutvärderingen.
 | Skapar en utvärdering av en äldre cylindricitet. | Markera eller mät en cylinder och klicka på Nästa. Markera eller mät det andra elementet. Klicka på Nästa. Ange den övre toleransen. Klicka på Nästa. Klicka på Slutför för att infoga cylindricitetsutvärderingen.
 | Skapar en utvärdering av en äldre rakhet. | Markera eller mät en kon, linje eller cylinder. Klicka på Nästa. Ange en övre tolerans. Klicka på Nästa. Klicka på Slutför för att infoga rakhetsutvärderingen.
 | Skapar en utvärdering av en äldre planhet. | Markera eller mät ett plan. Klicka på Nästa. Ange en övre tolerans. Klicka på Nästa. Klicka på Slutför för att infoga planhetsutvärderingen.
 | Skapar en utvärdering av en äldre vinkelräthet. | Markera eller mät det första elementet. Klicka på Nästa. Markera eller mät det andra elementet. Ange en övre tolerans och ett projektionsavstånd. Klicka på Nästa. Klicka på Slutför för att infoga vinkelräthetsutvärderingen.
 | Skapar en utvärdering av en äldre parallellism. | Markera eller mät ett element som inte är en punkt. Klicka på Nästa. Markera eller mät det andra elementet som inte är en punkt. Ange en övre tolerans och ett projektionsavstånd. Klicka på Nästa. Klicka på Slutför för att infoga parallellismutvärderingen.
 | Skapar en utvärdering av ett äldre totalkast. | Markera eller mät en kon, en cylinder, en linje eller ett plan. Klicka på Nästa. Markera eller mät en kon, en cylinder, en linje eller ett plan. Klicka på Nästa. Ange en övre och en undre tolerans. Klicka på Nästa. Klicka på Slutför för att infoga totalkastutvärderingen.
 | Skapar en utvärdering av ett äldre cirkulärt kast. | Markera eller mät en cylinder, en kon, en linje eller en sfär. Klicka på Nästa. Markera eller mät en cylinder, en kon, en linje eller en sfär. Klicka på Nästa. Ange en övre och en undre tolerans. Klicka på Nästa. Klicka på Slutför för att infoga utvärderingen av det cirkulära kastet.
 | Skapar en utvärdering av en äldre ytprofil. | Markera eller mät ett element. Klicka på Nästa. Ange en övre och en undre tolerans. Välj om profilen är Enbart form eller Form och Läge. Klicka på Nästa. Klicka på Slutför för att infoga ytprofilutvärderingen.
 | Skapar en utvärdering av en äldre linjeprofil. | Markera eller mät ett element. Klicka på Nästa. Ange en övre och en undre tolerans. Klicka på Nästa. Klicka på Slutför för att infoga linjeprofilutvärderingen.
 | Skapar en utvärdering av en äldre vinkelriktighet. | Markera eller mät ett valfritt element som inte är en punkt eller en sfär. Klicka på Nästa. Markera en kon, en cylinder, en linje eller ett plan. Klicka på Nästa. Ange en övre tolerans, ett avstånd och en vinkel. Klicka på Nästa. Klicka på Slutför för att infoga vinkelriktighetsutvärderingen.
 | Skapar en utvärdering av en äldre symmetri. | Markera eller mät en linje eller grupp för det första elementet. Klicka på Nästa. Markera det andra elementet. Klicka på Nästa. Markera det tredje elementet (eller referenselementet). Klicka på Nästa. Ange en övre tolerans. Klicka på Nästa. Klicka på Slutför för att infoga symmetriutvärderingen.

Mer:

Utvärdera element med gränssnittet för snabbstart


Utvärdera element med gränssnittet för snabbstart

Processen nedan innehåller grundläggande instruktioner om hur du skapar utvärderingar i gränssnittet för snabbstart:

  1. Välj verktygsfältet Utvärderingar i verktygsfältet Snabbstart. Visa menykarta

  2. Välj önskad utvärdering i verktygsfältet. Då visas en ikon för den valda utvärderingsprocessen i dialogrutan Snabbstart och du ser instruktioner i statusfältet längst ned på skärmen.

  3. Följ instruktionerna i statusfältet genom att välja element i Redigeringsfönstret eller Grafikfönstret (eller genom att mäta elementen om de inte finns).

  4. Följ instruktionerna i statusfältet eller skriv in värden i dialogrutan Snabbstart.

  5. Fortsätt följa instruktionerna och klicka på Nästa tills knappen Slutför visas.

  6. Klicka på Slutför. Utvärderingen importeras till detaljprogrammet.


Snabbstart: Verktygsfältet Upprikta

Snabbstart: Verktygsfältet Upprikta

Snabbstart: Verktygsfältet Upprikta

I verktygsfältet Upprikta kan du skapa uppriktningar från specifika elementtyper genom att följa processerna nedan.

Ikon | Beskrivning | Snabbstartsprocess
 | Uppriktning av plan, linje, linje | Markera eller mät ett plan för primäruppriktning och klicka på Nästa. Markera eller mät en linje för sekundäruppriktning och klicka på Nästa. Markera eller mät en andra linje. Uppriktningens nollpunkt ställs in till skärningspunkten mellan den första och den andra linjen. Klicka på Slutför för att infoga uppriktningen.
 | Uppriktning av plan, linje, cirkel | Markera eller mät ett plan för primäruppriktning och klicka på Nästa. Markera eller mät en linje för sekundäruppriktning och klicka på Nästa. Markera eller mät en cirkel. Uppriktningens nollpunkt ställs in till den position där cirkelns mittpunkt är utflyttad till linjen. Klicka på Slutför för att infoga uppriktningen.
 | Uppriktning av plan, cirkel, cirkel | Markera eller mät ett plan för primäruppriktning och klicka på Nästa. Markera eller mät det första cirkelelementet. Klicka på Nästa. Markera eller mät det andra cirkelelementet. Uppriktningen roteras mot den linje som skapas mellan cirklarnas mittpunkter. Därefter ställs uppriktningens nollpunkt in till den första cirkelns mittpunkt. Klicka på Slutför för att infoga uppriktningen.
 | Uppriktning av plan, linje, punkt | Markera eller mät ett plan för primäruppriktning och klicka på Nästa. Markera eller mät en linje för sekundäruppriktning. Klicka på Nästa. Markera eller mät en punkt för uppriktningens nollpunkt. Klicka på Slutför för att infoga uppriktningen.
 | Uppriktning av cylinder, linje, punkt | Markera eller mät en cylinder och klicka på Nästa. Markera eller mät en linje. Klicka på Nästa. Markera eller mät en punkt. Uppriktningen ställs in till samma nivå som den yta där du klickade på punkten, roteras mot linjen och uppriktningens XY-nollpunkt ställs in till cylinderns mittpunkt. Klicka på Slutför för att infoga uppriktningen.

Information om fler metoder för att skapa uppriktningar finns i avsnittet Skapa och använda uppriktningar.


Snabbstart: Verktygsfältet Kalibrera/Ändra

Snabbstart: Verktygsfältet Kalibrera/Ändra

Snabbstart: Verktygsfältet Kalibrera/Ändra

Med verktygsfältsikonen Kalibrera/Ändra i Snabbstart öppnar du dialogrutan Mäthuvud.

Dialogrutan Mäthuvud

I dialogrutan kan du skapa mäthuvuden och kalibrera vinklarna. Mer information om hur du använder dialogrutan finns i Definiera mäthuvuden i avsnittet Definiera hårdvara.


Verktygsfältet Fönsterlayout

I verktygsfältet Fönsterlayout kan du spara layouten för öppna fönster, redigerare eller verktygsfält och sedan återställa den i det aktuella detaljprogrammet genom att klicka på en ikon.

Viktigt! Observera att layouterna inte bara innehåller sparade positioner för verktygsfält och fönster utan även sparade inställningar och alternativ för fönstren och verktygsfälten. Om du har markerat en viss inställning för en layout och du sparar layouten, sparas inställningen tillsammans med layouten. Om du senare avmarkerar fönsterinställningen utan att ersätta den sparade layouten återställs den sparade inställningen nästa gång du väljer layouten.

Med ikonen Minimera minimeras storleken på Redigeringsfönstret.

Med ikonen Maximera maximeras storleken på Redigeringsfönstret.

Med ikonen Spara öppnar du dialogrutan Ange namn för fönsterlayout där du kan spara den aktuella positionen och storleken på öppna fönster, redigerare eller verktygsfält med önskat layoutnamn:

I rutan Namn på fönsterlayout anger du namnet på layouten. Namnet visas även som en hjälptext för den ikon som kopplas till layouten. Om du inte anger ett layoutnamn används standardnamnet "Återkalla fönsterlayout".

När du klickar på OK sparas layouten och en ikon som representerar layouten visas i verktygsfältet med den konfigurerade layouten.

Med ikonen för återställning av sparad layout återställs den sparade layouten. Alla fönster, redigerare och verktygsfält återställs till de sparade positionerna. Om du rör musen över ikonen visas namnet på den sparade layouten.

Obs! Om du har flera öppna detaljprogram och har skapat en sparad layout i ett av programmen får det detaljprogram där layouten skapades företräde. Detaljprogrammet som användes för att skapa den sparade layouten blir det aktiva detaljprogrammet och den sparade fönsterlayouten visas.

Mer:

Ta bort sparade användarlayouter


Åsidosätta standardlayouterna

Så här åsidosätter du en eller flera standardlayouter:

  1. Högerklicka på en av ikonerna för standardlayouter. Då öppnas samma dialogruta som när du klickar på ikonen Spara. Det finns text i dialogrutan som dock inte kan redigeras.

  2. Klicka på OK.

Den aktuella skärmlayouten tilldelas till ikonen. Standardlayouten som levererades med PC-DMIS åsidosätts. Om du vill återställa de layouter som levererades med PC-DMIS måste du installera om PC-DMIS.

Du kan inte ta bort ikonerna för standardlayouter.


Ta bort sparade användarlayouter

Så här tar du bort en sparad användarlayout:

  1. Tryck ned och håll SKIFT-tangenten nedtryckt.

  2. Klicka på ikonen och håll musknappen nedtryckt. Nu kan du flytta ikonen.

  3. Dra ikonen utanför verktygsfältet.

  4. Släpp musknappen.

Ikonen och den layout som är kopplad till ikonen tas bort.


Definiera hårdvara

Definiera hårdvara: Inledning

Definiera mäthuvuden

Namn på mäthuvudsfil

Kryssrutan Anv.definierad kalibreringsordning

Kryssrutan Anv. mäth.komp. (om tillgängl.)

Listan Aktiva mätspetsar

Mätspets-ID

Mätspetsens rotation

Typ av mätspets

Nominellt värde för X, Y, Z

Vektorn I, J, K

Diameter och tjocklek

Datum och tidpunkt för kalibrering

Okalibrerad mätspets

Kaliberingsordning

Beskrivning av mäthuvud

Redigera mäthuvudskomponenter

Förhandgranska mäthuvudskonfigurationen

Mäta

Antal mätpunkter

Insträcka/återgång

Transporthastighet

Mäthastighet

Systemläge

Området Åtgärd

Området Kalibreringsläge

Området Kalibrering, vridbart mäthuvud

Skaftkalibrering

Mätpunkter

Offset

Området Sparade inställningar

Kalibreringsnormal på rundbordet

Mäta

Lägga till kalibreringsnormal

ID för kalib.normal

Typ av normal

Offset X, Y, Z

Skaftvektor I, J, K

Sökvektor I, J, K

Diameter/längd

Redigera kalibreringsnormal

Ta bort kalibreringsnormal

Tillgängliga kalibreringsnormaler

Sfärisk kalibreringsnormal och kulmätspets

Sfärisk kalibreringsnormal och skivmätspets

Sfärisk kalibreringsnormal och konisk mätspets

Sfärisk kalibreringsnormal och cylindrisk mätspets

Sfärisk kalibreringsnormal och optisk mätspets

Redigera

Mätspets-ID

DMIS-etikett

Centrum X, Y och Z

Skaftvektor/optisk vektor I, J, K

Kulmätspetsens diameter

Kulmätspetsens tjocklek

PrbRadAvv

Datum och tidpunkt för kalibrering

Mätspetsnamn

Så här tar du bort en mätspets ur listan Aktiva mätspetsar:

Så här tar du bort en vinkel för ett vridbart mäthuvud:

Lägga till nya vinklar

Rutan Nya vinklar

Vinkel

Jämnt fördelade vinklar

Arbeta med rutnätet för vinklar

Kommentarer till alternativet Lägg till

Resultat

Knappen Markera anv.

Knappen Globalt anv.

Filformat

Använd kalib.data

Tillgängliga mätspetstyper

Kula

Skiva

Optisk

Cylinder

Kollisionstolerans

Ange kollisionstoleranser

Inställningar för mätning

Skriva ut en lista

Exempel på utskrift

Faro – inställningar för mätspetskalibrering

Tillgängliga alternativ i dialogrutan

Process för kalibrering av Faro

Information om kalibrering av SP600

Kommentarer till lågnivåmatrisen för SP600:

Kommentarer till högnivåmatrisen för SP600 (vanlig kalibrering):

Kalibreringsanteckningar och kalibreringsprocess för skivmätspets

Kalibreringsprocesser för SP600

Kalibrera lågnivåmatrisen

Kalibrera högnivåmatrisen

Autokalibrering

Så här kalibrerar du en enstaka mätspets automatiskt

Definiera fasta mäthuvuden

Definiera stjärnmäthuvuden

Skapa ett stjärnmäthuvud

Skapa ett 5-vägs anpassningsbart stjärnmäthuvud

Skapa ett fördefinierat stjärnmäthuvud

Definiera maskiner

Skapa en ny maskin för visning

Mer information om maskinens axlar

Mer information om området för maskinens hemmaläge

Mer information om hur du skapar flerarmsmaskiner

Visa befintliga maskiner i Grafikfönstret

Skapa ett förhållande mellan maskinen och detaljen

Ta bort en animerad maskin ur Grafikfönstret

Välja objektet Ingen maskin

Ta bort kommandot LADDA_MASKIN

Ta bort maskinen

Infoga snabbfixturer

Infoga och ta bort snabbfixturer

Lägga till anpassade fixturer

Mus- och tangentbordskommandon för fixturläget

Visa en animerad växlare

Så här visar du växlaren i Grafikfönstret:

Så här tar du bort växlaren från Grafikfönstret:


Definiera hårdvara: Inledning

Detta avsnitt innehåller beskrivningar av samtliga alternativ för att definiera den hårdvara som används vid mätning av detaljer. Detta innebär bland annat att skapa och kalibrera mäthuvudet med mätspetsarna, att skapa och använda en virtuell maskin, att skapa, placera och använda flexibla fixturer inklusive den nya funktionen för snabbfixturer, och att skapa animerade växlare.

Genomgångar av de här alternativen finns i följande ämnen:

  • Definiera mäthuvuden

  • Definiera fasta mäthuvuden

  • Definiera stjärnmäthuvuden

  • Definiera maskiner

  • Infoga snabbfixturer

  • Visa en animerad växlare


 Probe File list Use Wrist Map If Available checkbox User Defned Calibration Order checkbox Active Tip List Probe Description OK button Cancel button Measure Tips Edit the Active Tip Define Collision Tolerance Probe Setup Print List Delete button Previewing Your Probe Configuration Add New Angles Results Mark Used Global Used File Format Use Unit Calibration Data

Definiera mäthuvuden

Det första steget vid programmering av mätmaskiner är att definiera vilka mäthuvuden som kommer att användas under mätprocessen. PC-DMIS innehåller stöd för en rad olika mäthuvudstyper och kalibreringsalternativ. Det finns även en unik metod för kalibrering av ett vridbart mäthuvud av modellen Renishaw PH9 /PH10. Välj Infoga | Hårdvarudefinition | Mäthuvud på menyraden om du vill ha åtkomst till mäthuvudsalternativen. Visa menykarta

Innan du kan påbörja mätprocessen i ett nytt detaljprogram måste du skapa och/eller ladda en mäthuvudsfil. Innan du har laddat en mäthuvudsfil kan du inte göra särskilt mycket i detaljprogrammet.

Tips! Om du klickar på den här ikonen [image] i verktygsfältet Guider öppnas mäthuvudsguiden (Probe Wizard) i PC-DMIS.

Dialogrutan Mäthuvud

I dialogrutan Mäthuvud visas data för den aktiva mätspetsen. I rutan kan du skapa nya mäthuvudsfiler, öppna tidigare definierade filer och vid behov ändra en mäthuvudsfil. Du kan även kalibrera mäthuvuden.

Mer:

Namn på mäthuvudsfil

Kryssrutan Anv.definierad kalibreringsordning

Kryssrutan Anv. mäth.komp. (om tillgängl.)

Listan Aktiva mätspetsar

Beskrivning av mäthuvud

Mäta

Lägga till kalibreringsnormal

Redigera kalibreringsnormal

Ta bort kalibreringsnormal

Tillgängliga kalibreringsnormaler

Redigera

Lägga till nya vinklar

Resultat

Knappen Markera anv.

Knappen Globalt anv.

Filformat

Använd kalib.data

Tillgängliga mätspetstyper

Kollisionstolerans

Inställningar för mätning

Skriva ut en lista

Faro – inställningar för mätspetskalibrering

Information om kalibrering av SP600

Kalibreringsprocesser för SP600

Autokalibrering


Namn på mäthuvudsfil

Den aktuella mäthuvudsfilen visas i den nedrullningsbara listan Filnamn. Mäthuvudsfiler sparas i den katalog där PC-DMIS installerades. Standardkatalogen är filnamnet och den katalog där du installerade PC-DMIS (vanligtvis PCDMISW på den lokala enheten C:\). När det görs en sökning efter en mäthuvudsfil som ska laddas görs sökningen i katalogen även om du har ändrat sökvägen. Mer information finns i Ange externa kataloger att söka i i avsnittet Göra inställningar.

Så här skapar du en ny mäthuvudsfil:

  1. Markera det aktuella namnet i den nedrullningsbara listan Filnamn.

  2. Skriv in ett nytt namn (maximalt 8 tecken).

Om det redan finns en sparad mäthuvudsfil med det angivna namnet laddas den tidigare sparade filen i det aktuella detaljprogrammet.


Kryssrutan Anv.definierad kalibreringsordning

Med kryssrutan Anv.definierad kalibreringsordning kan du avgöra ordningen vid kalibrering av markerade mätspetsar.

Om du markerar kryssrutan kalibreras mätspetsarna i den ordning som har definierats av användaren vid markering av mätspetsar för kalibrering i listan Aktiva mätspetsar. (Se Listan Aktiva mätspetsar.) Om du inte markerar några mätspetsar används vektorerna I, J, K som definieras i rutorna Sök I, J, K i någon av dialogrutorna Ändra kalibreringsnormal eller Lägg till normal för att ange den effektivaste kalibreringsordningen för mätspetsarna.

Om du inte markerar kryssrutan kalibreras mätspetsarna i den ordning som beräknas vara mest effektiv. Då ignoreras den ordning som angavs för markerade spetsar i listan Aktiva mätspetsar. Vektorn för kalibreringsnormalen används också för att bestämma den effektivaste kalibreringsordningen.


Kryssrutan Anv. mäth.komp. (om tillgängl.)

Kryssrutan Anv. mäth.komp. (om tillgängl.) anger om det används en fil med en mäthuvudskompenseringstabell (även kallad kompenseringstabell) vid kalibrering av AB-vinkelspetsar på mäthuvudskonfigurationer med ett vridbart mäthuvud. Om du markerar kryssrutan görs en sökning efter filen med mäthuvudskompenseringstabellen (med namnet abcomp.dat) på datorn och om filen påträffas kompenseras det vridbara mäthuvudets feldata vid kalibrering av AB-vinkelspetsarna.

Information om hur du skapar en fil med en mäthuvudskompenseringstabell finns i Beräkna felkompensering i avsnittet Använda ett vridbart mäthuvud.


Listan Aktiva mätspetsar

Listan Aktiva mätspetsar

I PC-DMIS kan du spara data som beskriver ett stort antal mätspetsar. Du kan spara upp till 32 767 mätspetsar. Antalet kan dock begränsas av det tillgängliga hårddiskutrymmet.

Så här ändrar du mätspetsdata:

  1. Markera den önskade aktiva mätspetsen i listan Aktiva mätspetsar.

  2. Klicka på Redigera.

Dialogrutan Redigera öppnas så att du kan redigera de visade värdena.

Obs! Det visas en asterisk (*) framför mätspets-ID:t för okalibrerade mätspetsar i listan Aktiva mätspetsar.

I PC-DMIS beskrivs ett mäthuvud i enlighet med:

Beskrivning i mätspetslistan

Mer:

Mätspets-ID

Mätspetsens rotation

Typ av mätspets

Nominellt värde för X, Y, Z

Vektorn I, J, K

Diameter och tjocklek

Datum och tidpunkt för kalibrering

Okalibrerad mätspets

Kaliberingsordning


Mätspets-ID

Det här är det permanenta värde som tilldelas till en mätspets när den laddas till minnet.


Mätspetsens rotation

I det här fältet visas mätspetsens rotation i lodrät (A) och vågrät (B) riktning.


Typ av mätspets

I det här fältet visas mätspetstypen (kula, skiva, kon, cylinder, optisk).


Nominellt värde för X, Y, Z

Dessa värden beskriver mätspetsens position. Positionen anges i förhållande till undersidan av Z-spåret.


Vektorn I, J, K

Dessa värden anger mätspetsens riktning. Vektorn går från mätspetsens mittpunkt mot Z-spåret.


Diameter och tjocklek

Dessa värden beskriver mätspetsens diameter och tjockleken för mäthuvuden av typerna cylinder och skiva. Värdena definieras när mäthuvudet laddas. (Information om hur du ändrar ett fält finns i Redigera kalibreringsnormal.)


Datum och tidpunkt för kalibrering

I de här rutorna anger du datum och tidpunkt för den senaste kalibreringen av mätspetsen. Om du skapar en ny mätspets utan att kalibrera den visas NY som värde för datum och tidpunkt. Om du laddar en gammal mätspets som inte har någon tillgänglig information om datum och tid visas OKÄNT för värdena. Värdena för tidpunkt och datum uppdateras endast för de mätspetsar som faktiskt kalibreras.

Du kan endast redigera en mätspets åt gången.


Okalibrerad mätspets

Okalibrerade mätspetsar identifieras genom att de markeras med en asterisk (*).

Kommandoraden för en mätspets bör se ut ungefär så här i Redigeringsfönstret:
MÄTSPETS/T1A0B0, SKAFTIJK=0, 0, 1, VINKEL=0

Okalibrerade mätspetsar som är markerade med asterisker (*)


Kaliberingsordning

Kalibreringsordningen avgörs genom i vilken ordning du väljer mätspetsarna i listrutan.

Så här ställer du in kalibreringsordningen:

  1. Välj alternativet Användardefinierat i dialogrutan Kalibrera mätspetsar (se Mäta).

  2. Håll tangenten CTRL nedtryckt.

  3. Klicka med vänster musknapp på de mätspetsar som ska kalibreras i listan Aktiva mätspetsar. När du väljer ett mätspets-ID visas ett värde som anger indexet för mätspetskalibreringsordningen bredvid ID:t.

Om du inte väljer några mätspetsar får du en fråga om du vill kalibrera alla mätspetsar.


Beskrivning av mäthuvud

Området Beskrivning

I området Beskrivning (som består av en nedrullningsbar lista och tillhörande ruta) kan du definiera mäthuvud, förlängningar och spets(ar) som används i detaljprogrammet. I den nedrullningsbara listan Beskrivning visas tillgängliga mäthuvudsalternativ i bokstavsordning.

Så här definierar du ett mäthuvud, förlängningar och spets(ar):

  1. Markera alternativet Inget mäthuvud definierat:

  2. Öppna den nedrullningsbara listan Beskrivning.

  3. Markera önskat mäthuvud.

  4. Tryck på RETUR när du har markerat mäthuvudet. Då kommer du att kunna markera mäthuvudsalternativ som är kopplade till den markerade satsen.

Obs! I allmänhet anger mäthuvudets riktning riktningen för den första komponenten i en mäthuvudsfil, vanligtvis mäthuvudet. Om du däremot väljer en mäthuvudsadapter med flera anslutningar (till exempel en femvägs adapter) som första komponent blir flera möjliga anslutningar tillgängliga. I de fallen anger mäthuvudets riktning riktningen för mäthuvudsadaptern med flera anslutningar. Då kan det hända att mäthuvudet inte är i linje med maskinens axlar så att du kan behöva justera rotationsvinkeln för anslutningen i listan Beskrivning i dialogrutan Mäthuvud. Mer information om hur du gör det finns i Redigera mäthuvudskomponenter.

Välja ett mäthuvud

Det valda mäthuvudet visas i den nedre rutan för Beskrivning och i rutan med den grafiska visningen till höger.

  1. Markera Tom anslutning, nr. 1 i rutan Beskrivning.

  2. Klicka på den nedrullningsbara listan.

  3. Markera nästa objekt som ska kopplas till mäthuvudet (en förlängning eller en mätspets). Mätspetsar visas först efter storlek och därefter efter storlek på gängorna.

Välja en mätspets

Om du till exempel har lagt till en 5-vägs förlängning finns det fem tomma anslutningar. Du kan lägga till lämpliga mätspetsar till en eller flera anslutningar. Den lägsta mätspetsen (lägst på Z-axeln) i förlängningen mäts alltid först.

5-vägs förlängning

Om du har markerat en rad i rutan Beskrivning som redan innehåller ett objekt tillfrågas du om du vill infoga ett objekt före det markerade objektet eller om du vill ersätta det.

Klicka på Ja om du vill infoga före objektet, eller på Nej för att ersätta det.

· Om du svarar genom att klicka på Ja kan du skapa ytterligare en rad genom att infoga den nya mätspetsen före det ursprungliga objektet.

· Om du svarar genom att klicka på Nej tas det ursprungliga objektet bort och ersätts av det markerade objektet.

Obs! Det markerade objektet infogas på den markerade raden i rutan Beskrivning. När det är lämpligt visas ett meddelande om att du kan infoga det markerade objektet före den markerade raden eller ersätta det markerade objektet.

Mer:

Redigera mäthuvudskomponenter

Förhandgranska mäthuvudskonfigurationen


Redigera mäthuvudskomponenter

Om du dubbelklickar på en rad i området Beskrivning öppnas dialogrutan Redigera mäthuvudskomponenter.

Dialogrutan Redigera mäthuvudskomponenter

Med det här alternativet kan du ta bort visningen av vissa delar av mäthuvudsgrafiken. I de fall där detaljgeometrin är ovanligt tät kan du använda det här alternativet för att tillfälligt ta bort en del av grafiken så att du får en bättre vy över elementen.

Så här tar du bort mäthuvudsgrafik:

  1. Dubbelklicka på den elementbeskrivning som behöver tas bort (i rutan Beskrivning). Dialogrutan Redigera mäthuvudskomponenter öppnas.

  2. Avmarkera kryssrutan Visa denna komponent.

  3. Klicka på OK. Dialogrutan Redigera mäthuvudskomponenter stängs. Mäthuvudsgrafiken ritas om utan den angivna komponenten och alla komponenter ovanför den i dialogrutan Mäthuvud.

Med det här alternativet kan du även ändra mäthuvudets rotationsvinkel. Om du vill ändra standardinställningen 0 anger du den önskade vinkeln (valfri vinkel mellan +180° och -180°) i rutan Rotationsvinkel vid anslutningen.


Förhandgranska mäthuvudskonfigurationen

Grafisk visning av ett mäthuvud och reglage

I den grafiska visningen i dialogrutan Mäthuvud kan du grafiskt förhandsgranska:

  • De komponenter som mäthuvudet består av.

  • De olika positionerna för AB-vinklarna i rutan Aktiva mätspetsar.

  • En fullständig 3D-rotation av mäthuvudet.

Visa komponenter: När en komponent i mäthuvudskonfigurationen har markerats som en del av mäthuvudet visas den automatiskt i den grafiska visningen i dialogrutan Mäthuvud.

Visa positionerna för AB-vinklarna: Om du markerar en position för en AB-vinkel i Aktiva mätspetsar så ändras den grafiska visningen av mäthuvudet dynamiskt så att den återger hur den aktuella mäthuvudskonfigurationen skulle se ut med den markerade AB-vinkeln.

Rotera mäthuvudet i 3D: Flytta reglagen nedanför och till vänster om den grafiska visningen av mäthuvudet om du vill rotera bilden av mäthuvudet. Med reglaget nedanför roteras mäthuvudet vågrätt. Med reglaget till vänster roteras mäthuvudet lodrätt.

Vågrätt reglage – bilden roteras vågrätt.

Lodrätt reglage – bilden roteras lodrätt.


 Number of Hits Prehit / Retract Move Speed Touch Speed Type of Operation Area Calibration Mode area Wrist Calibration area Shank Qualification Number of Shank Hits Shank Offset Parameter Sets area Tool Mounted on Rotary Table List of Available Tools Add Tool System Mode Delete Tool Edit Tool

Mäta

Med kommandoknappen Mät kalibreras markerade mätspetsar. Den här processen anger placeringen av och diametern för varje mätspets i PC-DMIS.

Så här börjar du kalibreringsprocessen:

  1. Gå till dialogrutan Mäthuvud och kontrollera att listan Aktiva mätspetsar är korrekt.

  2. Markera lämpliga mätspetsar.

  3. Klicka på knappen Mät.

Obs! Om användaren har en växlare och den aktiva mäthuvudsfilen inte är mäthuvudskonfigurationen för mäthuvudet tas den laddade mäthuvudskonfigurationen automatiskt bort och ersätts av den nödvändiga konfigurationen.

Dialogrutan Kalibrera mätspetsar öppnas. Om du använder en Faro-arm öppnas dialogrutan Inställningar för mätspetskalibrering. Se Faro – inställningar för mätspetskalibrering.

Dialogrutan Kalibrera mätspetsar

Obs! Information om kalibrering av mäthuvuden sparas inte. Därför måste du kontrollera att ett mäthuvud kalibreras om varje gång det ändras.

Du måste ladda minst en mätspets innan du kan kalibrera en mätspets.

Du kan kalibrera en enstaka mätspets. Om du har markerat mer än en mätspets i listan Aktiva mätspetsar tillfrågas du om det är OK att kalibrera alla markerade mätspetsar.

· Om du svarar Ja tillfrågas du om kalibreringsnormalen har flyttats. Om du svarar Ja på denna andra fråga öppnas dialogrutan Inställningar, körning och du måste ta en mätpunkt i manuellt läge innan kalibreringsprocessen kan fortsätta. Ta mätpunkten i samma riktning som mätspetsen. Om du svarar Nej på den andra frågan öppnas fortfarande dialogrutan Inställningar, körning. Systemet kommer däremot att vara i CNC-läge och du behöver inte ta några mätpunkter före kalibreringsprocessen.

· Om du svarar Nej återgår du till dialogrutan Mätning utan att något händer.

I dialogrutan Kalibrera mätspetsar visas standardinställningarna. Standardvärdet för antalet mätpunkter är 5.

Klicka på knappen Mät om du vill använda standardvärdena. Annars anger du önskade värden innan du fortsätter.

När du tar en mätpunkt manuellt förväntas du mäta en kalibreringsnormal. Mätresultaten används för att bestämma offset för mätspetsarna. Resultaten visas i rutan X, Y, Z i listan Aktiva mätspetsar i dialogrutan Mäthuvud.

Om du använder en sfärisk kalibreringsnormal uppdateras mätspetsens diameter som ett led i kalibreringen.

Du måste definiera en kalibreringsnormal innan kalibreringsprocessen kan påbörjas. Vilken typ av kalibrering som ska göras av kalibreringsnormalen beror på typen av kalibreringsnormal (sfär, kub) och typen av mätspets (kula, skiva, kon, skaft, optisk).

Mer:

Antal mätpunkter

Insträcka/återgång

Transporthastighet

Mäthastighet

Systemläge

Området Åtgärd

Området Kalibreringsläge

Området Kalibrering, vridbart mäthuvud

Skaftkalibrering

Mätpunkter

Offset

Området Sparade inställningar

Kalibreringsnormal på rundbordet

Mäta


Antal mätpunkter

I PC-DMIS används antalet angivna mätpunkter för att kalibrera mätspetsen utifrån kalibreringsläget. Standardvärdet för antal mätpunkter är 5.

Så här ändrar du värdet:

  1. Markera värdet i rutan Antal mätpunkter.

  2. Ange ett nytt värde.


Insträcka/återgång

I rutan Insträcka/återg. kan du ange insträckan och återgången för en mätpunkt vid mätspetskalibrering.

Så här ändrar du avståndet för insträckan/återgången:

  1. Markera ett värde med musen.

  2. Skriv in ett nytt avståndsvärde.


Transporthastighet

I rutan Transp.hast. anger du transporthastighet för kalibrering av ett PH9-mäthuvud.

Så här ändrar du värdet för transporthastigheten:

  1. Gå till rutan Transp.hast..

  2. Ange ett nytt värde för transporthastigheten. Värdet ska vara ett procenttal mellan 1 % och 100 %, där 1.0 är långsammast och 100.0 snabbast.

Information om fler sätt att påverka hastigheten för mätprocessen finns i Transporthastighet % i avsnittet Göra inställningar.

Obs! Värdet i rutan Transp.hast. får inte innehålla mer än fyra decimaler. Om du anger ett värde med mer än fyra decimaler avrundas värdet till fyra decimaler.


Mäthastighet

I rutan Mäthastighet anger du mäthastigheten för kalibrering av ett PH9-mäthuvud.

Så här ändrar du mäthastigheten:

  1. Markera det befintliga värdet.

  2. Ange ett nytt värde. Värdet ska vara ett procenttal mellan 1 % och 100 % där 1 är långsammast och 100 snabbast.

Mer information finns i Mäthastighet % i avsnittet Göra inställningar.

Obs! Värdet i rutan Mäthastighet får inte innehålla mer än fyra decimaler. Om du anger ett värde med mer än fyra decimaler avrundas värdet till fyra decimaler.


Systemläge

Systemlägena för kalibrering av mäthuvuden är följande:

  • I Manuellt läge måste du ta samtliga mätpunkter manuellt även om mätmaskinen har CNC-kapacitet.

  • I CNC-läget, som används för mätmaskiner med CNC, tas alla mätpunkter automatiskt om inte kalibreringsnormalen har flyttats. Om normalen har flyttats måste du ta den första mätpunkten manuellt.

  • Läget Man+CNC är en kombination av lägena Manuellt och CNC. I detta läge kan du kalibrera ovanliga mäthuvudskonfigurationer som är svåra att modellbestämma. I de flesta fallen fungerar Man+CNC som CNC-läget men med följande skillnader:

q Du måste alltid ta den första mätpunkten för varje mätspets manuellt även om kalibreringsnormalen inte har flyttats. De återstående mätpunkterna för den aktuella mätspetsen tas därefter automatiskt i CNC-läge.

q Det utförs inte några frigångsrörelser före mätningen av mätspetsarna eftersom alla första mätpunkter tas manuellt.

q När kalibreringen av sfären har slutförts för en angiven mätspets kan det, beroende på vilken typ av vridbart mäthuvud som används, göras en slutlig återgångrörelse.

Om du använder ett rörligt vridbart mäthuvud, till exempel PH9, PH10, PHS eller liknande, utförs återgångsrörelser som i vanligt CNC-läge. Körningen fortsätter automatiskt utan meddelanden till användaren, så att det utförs en kontroll av om det finns tillräckligt med utrymme för att mäthuvudet ska kunna flyttas till AB-vinklarna för nästa mätspets och utföra nästa AB-förflyttning.

Om du inte använder ett rörligt vridbart mäthuvud utförs inte de slutliga återgångrörelserna. I stället får du direkt en uppmaning om att ta en manuell mätpunkt för nästa mätspets.

  • Läget CNC+CNC fungerar som läget Man+CNC förutom att i stället för att den första mätpunkten tas manuellt för varje mätspets så tas exempelmätpunkter för att placera sfären. Detta läge kan vara användbart om du helt vill automatisera kalibreringsprocessen. Observera däremot att du kan få mer korrekta resultat i läget Man+CNC.

Om du vill ändra systemläget klickar du på någon av alternativknapparna Manuellt, CNC, Man+CNC eller CNC+CNC.


Området Åtgärd

I området Åtgärd kan du välja vilken åtgärd som ska utföras när du klickar på knappen Mät i dialogrutan Kalibrera mätspetsar. Tillgängliga åtgärder är:

Kalibrera spetsar:

Det här alternativet används för att göra en standardkalibrering av samtliga markerade mätspetsar.

Kalibrera mäthuvud:

Det här alternativet används för felkompensering av ett mäthuvud eller ett vridbart mäthuvud. I det här avsnittet beskrivs felkompensering av ett indexerande mäthuvud, till exempel PH9, PH10 eller Zeiss RDS. En speciell mätspetskonfiguration som består av tre spetsar med samma diameter sätts på mäthuvudet och så många mätspetsriktningar som önskas (alla möjliga riktningar är bäst) mäts med konfigurationen. Du bör ordna spetsarna i en T-konfiguration som är minst 20 mm hög och 40 mm bred (som ett stjärnmäthuvud med mätspetsar 20 mm från mitten). Ju längre från varandra mätspetsarna är placerade, desto korrektare blir felkompenseringen.

När du har mätt alla möjliga riktningar med specialkonfigurationen kan du byta mätspetskonfigurationer utan att behöva kalibrera hela mätspetslistan. Varje riktning som mäts i den ursprungliga kompenseringstabellen kommer automatiskt att kalibreras i den nya konfigurationen. PC-DMIS innehåller fullständigt stöd för kalibrering och användning av samtliga mäthuvuden från Renishaw och DEA, samt för Zeiss RDS-huvud.

Obs! Alternativet som tas upp här refererar enbart till mäthuvuden med upprepade indexpositioner, till exempel PH10. För den här kalibreringen krävs ett stjärnmäthuvud med tre spetsar. När du har genomfört kalibreringen kan du endast använda de indexerade positioner som kalibrerades vid indexkalibreringen utan att behöva göra en fullständig kalibrering i senare mäthuvudsfiler. Alternativet Kalibrera mäthuvud är inte tillgängligt om du använder ett analogt mäthuvud oavsett om det är indexerbart eller kontinuerligt. Detta beror på att för ett analogt mäthuvud måste varje position kalibreras för att få de begärda avböjningskoefficienterna.

Information om kalibrering av vridbara mäthuvuden finns i avsnittet Använda ett vridbart mäthuvud.

Processen

  1. Skapa en mätspetskonfiguration för indexet som liknar konfigurationen på bilden nedan:

    De exakta komponentstorlekarna kan variera men formen måste vara likadan. Du bör välja så lätta komponenter som möjligt. Tyngdkraften kan skapa fel vid mätningarna.

  2. Klicka på knappen Flera vinklar i dialogrutan Mäthuvud och lägg till så många olika riktningar du önskar. En fullständig kompensering av mäthuvudet innebär mätningar i alla möjliga riktningar.

  3. Klicka på knappen Mät i dialogrutan Mäthuvud. Dialogrutan Kalibrera mätspetsar öppnas.

  4. Ange de standardvärden som ska användas.

  5. Välj Kalibrera mäthuvud för den typ av åtgärd som ska utföras.

  6. Klicka på knappen Mät i dialogrutan Kalibrera mätspetsar. Var och en av de tre mätspetsarna kommer därefter att mätas i alla valda riktningar. Data från mätningarna används för kompensering av offset, pitch och yaw för riktningarna.

  7. Därefter sätter du den mätspetskonfiguration som du vill använda för mätningen på mäthuvudet.

  8. Välj minst fyra av de kartlagda riktningarna.

  9. Markera kryssrutan Använd kalib.data i dialogrutan Mäthuvud.

  10. Kalibrera mäthuvudet i de valda riktningarna. Så här gör du:

  • Klicka på Mät i dialogrutan Mäthuvud. Dialogrutan Kalibrera mätspetsar öppnas.

  • Välj alternativet Kalibrera spetsar för den typ av åtgärd som ska utföras.

  • Klicka på knappen Mät i dialogrutan Kalibrera mätspetsar. Den faktiska längdförskjutningen för mäthuvudskonfigurationen beräknas och det skapas automatiskt mätspetsar för var och en av de kartlagda riktningarna.

Kalibreringskontroll:

Med detta alternativ mäts de mätspetsriktningar som har angetts av användaren och det görs en jämförelse med tidigare mätta data för mätspetsriktningarna. Jämförelsen kan användas för att avgöra om det behövs en fullständig kalibrering.

Nolla enheten:

Med detta alternativ nollställs ett vridbart mäthuvud in till A=0 och B=0. Nolla enheten kan väljas om registerposten RenishawWrist i PC-DMIS Inställningar är lika med 1. Information om hur du ändrar registerposter finns i avsnittet Ändra registerposter.

Obs! Alternativet för vridbart mäthuvud måste vara aktiverat i hårdvarulåset för att stödet för vridbara mäthuvuden ska vara aktiverat i PC-DMIS.

Kalibrera NC-100:

Det här alternativet används för att kalibrera en normal av typen NC-100. Du måste ha köpt tillvalet NC-100 för att alternativet ska aktiveras. Om alternativet är aktiverat för hårdvarulåset kan du använda fliken NC-100 i dialogrutan Inställningsval.

NC-100 måste vara korrekt konfigurerad innan du kan välja Kalibrera NC-100.


Området Kalibreringsläge

I området Kalibreringsläge kan du växla mellan alternativen Standardläge och Användardefinierat enligt beskrivningen nedan.

Standardläge

Om du väljer Standardläge tas antalet angivna mätpunkter runt den sfäriska kalibreringsnormalen vid 10 eller 15 grader från mittlinjen, plus en extra mätpunkt i mäthuvudets riktning, 90 grader från mittlinjen.

Exempel på sfärisk kalibreringsnormal

Om du tar mätpunkterna på 10 eller 15 grader kommer inte mäthuvudets skaft att beröra kalibreringssfären om skaftets diameter är nästan lika stor som mätspetsens diameter.

Om mätspetsens diameter är mindre än 1 mm tas mätpunkterna kring sfären på 15 grader.

Om mätspetsens diameter är större än 1 mm tas mätpunkterna kring sfären på 10 grader.

Användardefinierat läge

Om du väljer alternativet Användardefinierat får du åtkomst till rutorna för nivå och vinkel. Mätspetsen kalibreras efter antalet angivna nivåer och de valda start- och slutvinklarna. Nivåns läge baseras på de inställda vinklarna. 0° motsvarar mäthuvudets mittlinje. 90° är i mäthuvudets riktning. När du mäter i samma riktning som mäthuvudet tas endast en mätpunkt.

Antal nivåer

Värdet i rutan Antal nivåer anger hur många nivåer som används i kalibreringsprocessen. Antalet mätpunkter divideras med antalet nivåer för att ange hur många mätpunkter som ska tas på varje nivå.

Start- och slutvinklar

Värdena i rutorna Startvinkel och Slutvinkel styr läget för den första och sista nivån. De övriga nivåerna placeras på jämna avstånd mellan dessa båda nivåer.

  • Startvinkeln 0° motsvarar sfärens mittlinje (i förhållande till mäthuvudet).

  • Slutvinkeln 90° motsvarar högst upp på sfären i samma riktning som mäthuvudet.

Start- och slutvinklar


Området Kalibrering, vridbart mäthuvud

I det här området kan du ange positioner för ett vridbart mäthuvud i en grupp om upp till nio sfärkalibreringar för kalibrering av indexerbara vridbara mäthuvuden.

Du kan välja området Kalibrering, vridbart mäthuvud när du har gjort följande:

  • Ställ in ett steglöst indexerbart vridbart mäthuvud, till exempel PHS eller CW43L i dialogrutan Mäthuvud. Se Definiera mäthuvuden i avsnittet Definiera hårdvara.

  • Ställ in lämpliga poster för det vridbara mäthuvudet (DEAWrist eller RENISHAWWrist) i avsnittet Alternativ i PC-DMIS Inställningar till 1. Se avsnittet Ändra registerposter.

  • Välj alternativet Kalibrera mäthuvud i området Åtgärd i dialogrutan Kalibrera mätspetsar.

Mer information om hur du använder och kalibrerar vridbara mäthuvuden finns i avsnittet Använda ett vridbart mäthuvud.

Definiera AB-positioner som ska kalibreras för ett vridbart mäthuvud

För att kalibrera det vridbara mäthuvudet måste du kalibrera positioner för ett vridbart mäthuvud för minst tre A-vinkelpositioner gånger minst tre B-vinkelpositioner så att du får nio sfärsmått. I området Kalibrering, vridbart mäthuvud kan du ange vinklar för kalibrering av både A- och B-axlarna. I rutorna Start, Slut och Stegvärde kan du ange start- och slutvinklar för kompensering av det vridbara mäthuvudet och steg för kompensering på både A- och B-axlarna.

Anta att du anger följande värden i rätt rutor:

A-vinkel
Start | -90
Slut | 90
Stegvärde | 90
B-vinkel
Start | -180
Slut | 180
Stegvärde | 180

Då kalibreras positionerna A-90B-180, A-90B0, A-90B180, A0B-180, A0B0, A0B180, A90B-180, A90B0 och A90B180.

Obs! Du bör använda de faktiska Start- och Slut-vinklarna beroende på vilken typ av vridbart mäthuvud som används, mekanisk tillgänglighet och rekommendationer från tillverkaren eller återförsäljaren. I vissa fall anges Start- och Slut-vinklarna automatiskt utifrån styrenhetens krav (däremot kartläggs endast 359,9 grader av B-vinkelns intervall).

Du måste ange minst nio positioner för att kalibrera ett vridbart mäthuvud men kan välja fler. Du får en mer korrekt kalibrering om du använder mer än det minsta antalet positioner.

När du kalibrerar ett vridbart mäthuvud kan du även skapa en mäthuvudskompenseringstabell för vinkelfel i mäthuvudet mellan kalibrerade positioner. Se Beräkna kompenseringstabell i avsnittet Använda ett vridbart mäthuvud.

Om du använder ett SP600-mäthuvud bör du läsa uppmaningen om försiktighet under Kalibrering, vridbart mäthuvud i avsnittet Använda ett vridbart mäthuvud.

Använda mäthuvudskompenseringstabeller

Med följande kontroller kan du skapa, ersätta, visa och ta bort mäthuvudskompenseringstabeller.

Kontroll

Beskrivning

Skapa ny matris

Med den här alternativknappen skapas en ny mäthuvudskompenseringstabell när du klickar på knappen Mät.

Ersätt närmaste matris

Med den här alternativknappen ersätter du den närmaste befintliga mäthuvudskompenseringstabellen med en nyskapad mäthuvudskompenseringstabell när du klickar på knappen Mät.

Visa/ta bort matriser

Om du klickar på den här knappen öppnas dialogrutan Titta på / ta bort mäthuvudskompenseringstabeller. I dialogrutan finns en lista över alla mäthuvudskompenseringstabeller i systemet. För varje kompensering visas även längden på mäthuvudets förlängning, antalet AB-vinklar och stegvärdet för vinkelintervallet.

Markera en mäthuvudskompenseringstabell och klicka på Ta bort om du vill ta bort en mäthuvudskompenseringstabell ur systemet.


Skaftkalibrering

Markera kryssrutan Skaftkalibrering om du kommer att använda en mätspets med en cylinder för att ta mätpunkter på en kant. När du markerar kryssrutan kan du även kalibrera mäthuvudets skaft. Om du väljer det här alternativet kan du ändra värdena i rutorna Mätpunkter och Offset.

Viktigt! Observera att om du använder ett mäthuvud med skaft behöver du endast kalibrera skaftet om du ska ta mätpunkter på kanter.


Mätpunkter

Mätpunkter

I rutan Mätpunkter definieras det antal mätpunkter som kommer att användas för att mäta skaftet.

Så här ändrar du värdet:

  1. Placera markören i rutan Mätpunkter.

  2. Ange ett nytt värde.


Offset

Offset

I rutan Offset anges avståndet (eller längden) för hur långt upp från skaftets spets som nästa grupp av kalibrerande mätpunkter kommer att tas. Så här ändrar du offsetvärdet:

  1. Markera det befintliga värdet.

  2. Ange ett nytt värde.


Området Sparade inställningar

I området Sparade inställningar kan du skapa, spara och använda sparade grupper av parametrar för mätspetskalibrering. Informationen sparas som en del av mäthuvudsfilen och innehåller inställningarna för antal mätpunkter, insträcka/återgång, transporthastighet, mäthastighet, systemläge, inställningar för kalibreringsläget samt kalibreringsnormalens namn och placering.

Så här skapar du egna parametergrupper:

  1. Tillåt att mäthuvudsfilen automatiskt uppdateras till ett format för version 3.5 eller senare.

  2. Öppna dialogrutan Mäthuvud.

  3. Klicka på knappen Mät. Dialogrutan Kalibrera mätspetsar öppnas.

  4. Ändra parametrar i dialogrutan Kalibrera mätspetsar.

  5. Ange ett namn på den nya parametergruppen i rutan Namn i området Sparade inställningar och klicka på Spara. Du får ett meddelande om att den nya parametergruppen har sparats. Du kan enkelt ta bort en sparad parametergrupp genom att markera den och klicka på Ta bort.

  6. Klicka på knappen Mät om du vill kalibrera mätspetsarna direkt. Klicka på Avbryt om du vill kalibrera dem senare.

  7. Klicka på OK i dialogrutan Mäthuvud. Om du klickar på Avbryt i dialogrutan tas eventuella ändringar av mäthuvudsfilen bort, inklusive skapade parametergrupper.

När du har skapat en ny parametergrupp kan du använda den i kommandot AUTOKALIBRERING/MÄTSPETS (se Autokalibrering).

Obs! Parametergrupper är specifika för det mäthuvud som användes när de skapades.


Kalibreringsnormal på rundbordet

Markera kryssrutan Kalibreringsnormal på rundbordet om kalibreringsnormalen är monterad på rundbordet. Om det inte finns något rundbord är kryssrutan inaktiverad.


Mäta

Med knappen Mät utförs den åtgärd som markerades i området Åtgärd.


Lägga till kalibreringsnormal

Om du klickar på knappen Lägg till öppnas dialogrutan Lägg till normal.

Dialogrutan Lägg till normal

I dialogrutan kan du spara data som beskriver kalibreringsnormalerna. Varje kalibreringsnormal tilldelas ett ID-nummer. I PC-DMIS visas ID-nummer, typ av normal (SFÄR, POLYEDER), verktygsoffset, skaftvektor, sökvektor samt diameter (för SFÄR) eller längd (för POLYEDER).

När du definierar en ny normal visas den i listan Kalibreringsnormaler som finns i dialogrutan Kalibrera mätspetsar.

Det måste finnas minst en mätspets i listan Aktiva mätspetsar för att du ska kunna kalibrera en normal.

Klicka på Lägg till om du vill lägga till en normal i den nedrullningsbara listan Kalibreringsnormaler. Då öppnas dialogrutan Lägg till normal där du kan redigera nödvändig information:

I dialogrutan Lägg till normal får du tillgång till samma information som används när du skapar en ny normal. Du kan ändra ID för kalibreringsnormalen, typ av normal och normalens offset-värden, skaftvektor IJK och diameter/längd.

Mer:

ID för kalibreringsnormal

Typ av normal

Offset X, Y, Z

Skaftvektor I, J, K

Sökvektor I, J, K

Diameter/längd


ID för kalib.normal

I den här rutan anger du ett namn på den kalibreringsnormal som definieras.


Typ av normal

I det här fönstret kan du välja typ av normal, antingen sfär eller kub.


Offset X, Y, Z

Med dessa värden för X, Y och Z anges placeringen av kalibreringsnormalen i maskinkoordinater.

Om du vill kalibrera om en mätspets markerar du den önskade mätspetsen i Aktiva mätspetsar. Kalibrera mätspetsen genom att klicka på knappen Mät. (Se Förhandgranska mäthuvudskonfigurationen.)


Skaftvektor I, J, K

I de här rutorna visas vektorerna för kalibreringsnormalens skaft. Värdena används för att undvika skaftet vid kalibreringen.

Skaft på sfärisk kalibreringsnormal


Sökvektor I, J, K

I dessa rutor kan du ange en vektor som används för att fastställa den effektivaste ordningen vid kalibrering av samtliga mätspetsar om du markerar kryssrutan Anv.definierad kalibreringsordning i dialogrutan Mäthuvud. Se Kaliberingsordning.


Diameter/längd

I rutan visas diametern/längden för en sfärisk kalibreringsnormal.

Så här ändrar du värdet:

  1. Välj rutan Diameter/längd.

  2. Ange ett nytt värde.


Redigera kalibreringsnormal

Med kommandoknappen Redigera kan du ändra en kalibreringsnormal som redan finns i listan Kalibreringsnormaler. Om du klickar på knappen Redigera öppnas dialogrutan Ändra kalibreringsnormal:

Dialogrutan Ändra kalibreringsnormal

Dialogrutan Ändra kalibreringsnormal innehåller samma alternativ som dialogrutan Lägg till normal.


Ta bort kalibreringsnormal

Med kommandoknappen Ta bort kan du ta bort en normal som inte längre behövs ur listan Kalibreringsnormaler.

Så här tar du bort en kalibreringsnormal:

  1. Markera önskat normal-ID.

  2. Klicka på knappen Ta bort.


Tillgängliga kalibreringsnormaler

I listan Kalibreringsnormaler visas de tillgängliga normalerna så att du kan ange vilken normal som ska användas vid kalibrering av mäthuvudet. I PC-DMIS används endast sfäriska kalibreringsnormaler.

Mer:

Sfärisk kalibreringsnormal och kulmätspets

Sfärisk kalibreringsnormal och skivmätspets

Sfärisk kalibreringsnormal och konisk mätspets

Sfärisk kalibreringsnormal och cylindrisk mätspets

Sfärisk kalibreringsnormal och optisk mätspets


Sfärisk kalibreringsnormal och kulmätspets

Du uppmanas att ange antalet mätpunkter som ska tas på normalen och därefter att ta mätpunkterna.


Sfärisk kalibreringsnormal och skivmätspets

Om läget är MANUELLT uppmanas du att ta sex mätpunkter på kalibreringsnormalen. Ta tre mätpunkter ovanför sfärens mittlinje och tre nedanför mittlinjen.

Om läget är CNC måste du känna till kalibreringsnormalens placering.


Sfärisk kalibreringsnormal och konisk mätspets

Du uppmanas att ta sex mätpunkter på sfären med den koniska delen av mätspetsen. Den sfäriska kalibreringsnormalen används i princip som ett mäthuvud och kalibrerar mätspetsen som en kon. De tre första mätpunkterna måste utgöra ett plan som är vinkelrätt mot konens mittlinje. Om du använder en liten konisk mätspets bör du använda en liten sfärisk kalibreringsnormal för den här åtgärden.


Sfärisk kalibreringsnormal och cylindrisk mätspets

Du uppmanas att ta fyra mätpunkter i en plan genomskärning av sfären så att du får en cirkel. Mätpunkterna måste tas med samma del av mäthuvudet som kommer att användas vid mätningen. När du har tagit de fyra mätpunkterna uppmanas du att vidröra sfären en gång med mäthuvudets undersida.


Sfärisk kalibreringsnormal och optisk mätspets

Det här alternativet är endast tillgängligt om den optiska mätspetsen har definierats som ett fast mäthuvud.


Redigera

Du kan uppdatera en aktiv mätspets genom att markera den i listan Aktiva mätspetsar och klicka på knappen Redigera. Då öppnas dialogrutan Redigera mäthuvudsdata.

Dialogrutan Redigera mäthuvudsdata

Du kan ändra följande information:

Mer:

Mätspets-ID

DMIS-etikett

Centrum X, Y och Z

Skaftvektor/optisk vektor I, J, K

Kulmätspetsens diameter

Kulmätspetsens tjocklek

PrbRadAvv

Datum och tidpunkt för kalibrering

Mätspetsnamn

Så här tar du bort en mätspets ur listan Aktiva mätspetsar:

Så här tar du bort en vinkel för ett vridbart mäthuvud:


Mätspets-ID

I den här rutan visas det permanenta värde som tilldelas till en mätspets när den laddas till minnet. Du kan inte redigera värdet. Det visas endast som information men du kan ange ett utförligare ID i rutan Mätspetsnamn.


DMIS-etikett

I rutan visas DMIS-etiketten. När du importerar DMIS-filer används etikettvärdet för att identifiera eventuella SNSDEF-kommandon i den importerade DMIS-filen.


Centrum X, Y och Z

Dessa värden beskriver mätspetsens position. Positionen anges i förhållande till undersidan av Z-spåret.


Skaftvektor/optisk vektor I, J, K

Med dessa värden anges riktningen för mätspetsens skaft om du använder en mätspets. Vektorn går från mätspetsens mittpunkt mot Z-spåret. Om du använder ett optiskt mäthuvud anger värdena riktningen för den optiska enheten.


Kulmätspetsens diameter

I den här rutan visas mätspetsens diameter.


Kulmätspetsens tjocklek

I den här rutan visas mätspetsens tjocklek.


PrbRadAvv

I rutan PrbRadAvv i dialogrutan Redigera mäthuvudsdata kan du ställa in en radiell avvikelse för den kalibrerade storleken av mätspetsen.

När mätspetskalibreringen körs händer någon av följande saker:

  1. Om du använder en maskinkonfiguration där PrbRadAvv tillämpas ställs mätspetsens storlek automatiskt in till det nominella värdet och därefter beräknas och sparas ett värde för PrbRadAvv under kalibreringsprocessen.

  2. Om du använder en maskin som inte tillämpar PrbRadAvv ställs PrbRadAvv automatiskt in till värdet noll vid kalibreringen och efter beräkning sparas mätspetsen med en storlek som skiljer sig något från det nominella värdet.

I dialogrutan Redigera mäthuvudsdata kan du endast redigera mätspetsens storlek och/eller PrbRadAvv om det av någon anledning behövs efter kalibreringen. Om du gör en omkalibrering kommer de resulterande värdena från kalibreringen och är alltså inte värden som manuellt kan ha angetts i dialogrutan före kalibreringen.

Obs! Du kan endast markera den här rutan om du använder ett analogt mäthuvud med vissa maskiner.


Datum och tidpunkt för kalibrering

Dessa värden anger datum och tidpunkt för den senaste kalibreringen av mätspetsen. Värdena visas i dialogrutan Redigera mäthuvudsdata. Om du skapar en ny mätspets utan att kalibrera den visas NY som värde för datum och tidpunkt. Om du laddar en gammal mätspets som inte har någon tillgänglig information om datum och tid visas OKÄNT för värdena. Värdena för tidpunkt och datum uppdateras endast för de mätspetsar som faktiskt kalibreras.


Mätspetsnamn

I rutan Mätspetsnamn i dialogrutan Redigera mäthuvudsdata kan du ange ett beskrivande namn för det valda mätspets-ID:t. Om du anger namnet MinSpets i rutan Mätspetsnamn kommer MinSpets att användas för mätspetsen i användargränssnittet, till exempel i dialogrutor, meddelanden och rapporter. Om du inte definierar något ID används det standardgenererade mätspets-ID:t.


Så här tar du bort en mätspets ur listan Aktiva mätspetsar:

Så här tar du bort en mätspets ur listan Aktiva mätspetsar:

  1. Markera det objekt som ska tas bort.

  2. Klicka på knappen Ta bort.

Om det endast finns en markerad mätspets tas den bort automatiskt. Du kan ta bort flera objekt genom att markera dem och klicka på Ta bort.

Du kan även ta bort specifika PH9-vinklar ur listan Aktiva mätspetsar.


Så här tar du bort en vinkel för ett vridbart mäthuvud:

Så här tar du bort en vinkel för ett vridbart mäthuvud:

  1. Markera den vinkel som ska tas bort.

  2. Klicka på knappen Ta bort.

Om du tar bort en mätspets eller ett mäthuvud tas även alla relaterade PH9-vinklar bort ur filen.

Obs! Om du väljer det här alternativet tas mätspetsen bort ur listan Aktiva mätspetsar och även från de filer med mätspetsar som finns i systemet.


Lägga till nya vinklar

Om du klickar på knappen Flera vinklar öppnas dialogrutan Lägg till nya vinklar.

Dialogrutan Lägg till nya vinklar

Med hjälp av de tillgängliga rutorna och knapparna kan du skapa en lista med AB-positioner. En position som har kalibrerats kan återkallas när som helst under körningen av ett detaljprogram. Genom att kalibrera vanliga positioner kan du därför när som helst återkalla dem medan du lär dig programmet eller när du manuellt inspekterar ett detaljprogram.

AB-positioner sparas i detaljkoordinater. Därför kan det i körningsläget göras en automatisk sökning efter den kalibrerade AB-position som ligger närmast maskindetaljen. För att AB-positionerna ska bli tillgängliga måste du markera kryssrutan Automatisk justering av mäthuvudsvinklar (se Automatisk justering av mäthuvudsvinklar i avsnittet Göra inställningar). Det måste även visas ett kommando för byte av mäthuvud före elementet i Redigeringsfönstret.

Eftersom den mekaniska placeringen av mäthuvudet förändras över tid rekommenderas du att då och då omkalibrera mäthuvudet. Om du klickar på knappen Flera vinklar öppnas dialogrutan Lägg till nya vinklar.

I dialogrutan kan du ange enstaka AB-riktningar. Det skapas även en lista över jämnt fördelade AB-riktningar med de parametrar som har angetts i rutorna i området Jämnt fördelade vinklar.

Dialogrutan Lägg till nya vinklar innehåller följande parametrar.

Mer:

Rutan Nya vinklar

Vinkel

Jämnt fördelade vinklar

Arbeta med rutnätet för vinklar

Kommentarer till alternativet Lägg till


Rutan Nya vinklar

Rutan Nya vinklar innehåller en lista över AB-vinklar från något av områden Vinkel eller Jämnt fördelade vinklar.


Vinkel

I området Vinkel kan du lägga till en AB-position i taget i rutan Nya vinklar.

Så här lägger du till individuella vinklar:

  1. Placera markören i den ruta/de rutor som du vill ändra.

  2. Ange en ny vinkel.

  3. Klicka på knappen Lägg till.

Den angivna vinkeln visas i rutan Nya vinklar.


Jämnt fördelade vinklar

Om du klickar på knappen Lägg till som är kopplad till dessa rutor markeras automatiskt alla jämnt fördelade AB-positioner i rutan Lägg till nya vinklar. Mäthuvudskonfigurationens standardposition inkluderas automatiskt i den slutgiltiga listan. En PH9 som pekar rakt ned (A = 0°, B = alla °) definieras automatiskt och behöver därför inte definieras om i dialogrutan.

I PC-DMIS kan du enkelt mäta alla AB-positioner från 0° till 90° på A-axeln i steg om 15° och från -180° till 180° på B-axeln i steg om 45°.

A-axelns vinkelintervall – visning av mätmaskinen framifrån med B = 90°.

B-axelns vinkelintervall – visning ovanifrån med A = 90°

Så här lägger du till vinklar i rutan Lägg till nya vinklar:

  1. Ange nödvändig information i alla tillgängliga vinkelrutor (A start, A slut, A inkrement, B start, B slut, B inkrement).

  2. Om du klickar på knappen Lägg till visas automatiskt de begärda AB-orienteringarna i rutan Lägg till nya vinklar.

AB-orienteringar visas i rutan Lägg till nya vinklar


Arbeta med rutnätet för vinklar

I PC-DMIS kan du visa och välja vinklar för ett definierat vridbart mäthuvud i ett vinkelrutnät i dialogrutan Lägg till nya vinklar. I rutnätet visas alla tillgängliga positioner för A-vinkeln längs sidan av dialogrutan och positionerna för B-vinklarna visas överst i dialogrutan.

En del av dialogrutan Lägg till nya vinklar som visar tidigare valda AB-vinklar (mörkgrå) och AB-vinklar som har infogats innan dialogrutan Lägg till nya vinklar har stängts (röda)

Klicka i rutnätet om du vill lägga till nya vinklar.

  1. Sök efter raden för den A-vinkel som du vill lägga till. Sök därefter efter kolumnen med rätt B-vinkel.

  2. Klicka i den ruta i rutnätet där de önskade A- och B-vinklarna möts. Den markerade rutan blir röd och de markerade AB-vinkelpositionerna infogas i rutan Nya vinklar.

Om du vill ta bort en markerad AB-vinkelposition klickar du i en av de röda rutorna. De AB-vinklar som är kopplade till rutan tas bort ur rutan Nya vinklar.

Om färger i rutnätet

När du arbetar med rutnätet för vinklar kan du se fyra olika färger: Mörkgrått, rött, gult och grönt. För mäthuvuden med så många rutor att det kompletta intervallet för mäthuvudets vinkeljustering kan visas ser du endast rutor i mörkgrått eller rött. Om du däremot använder ett vridbart mäthuvud (till exempel PHS eller CW43L) kan det finnas vinklar med stegvisa ökningar som är fler än antalet vinkelsteg i rutnätet. I de fallet markeras den närmaste positionen i rutnätet med grönt eller gult.

Färg | Beskrivning
Mörkgrått | En mörkgrå ruta visar att AB-vinkelpositionen redan finns i listan Aktiva mätspetsar i dialogrutan Mäthuvud. AB-vinkeln matchar vinkeln i rutnätet exakt.
Rött | En röd ruta visar att du har angett en ny AB-vinkelposition i dialogrutan Lägg till nya vinklar men att vinkeln ännu inte har lagts till i listan Aktiva mätspetsar. AB-vinkeln matchar vinkeln i rutnätet exakt.
Gult | En gul ruta visar att AB-vinkelpositionen redan finns i listan Aktiva mätspetsar i dialogrutan Mäthuvud och att den position i rutnätet som ligger närmast AB-vinkeln har valts.
Grönt | En grön ruta visar att du har angett en ny AB-vinkelposition i dialogrutan Lägg till nya vinklar men att vinkeln ännu inte har lagts till i listan Aktiva mätspetsar. Den position i rutnätet som ligger närmast AB-vinkeln väljs.


Kommentarer till alternativet Lägg till

  • Du kan endast genomföra automatisk mätspetskalibrering med ett sfäriskt mäthuvud och en sfärisk kalibreringsnormal.

  • X-, Y- och Z-koordinaterna för mittpunkten på den använda normalen måste återspegla normalens aktuella position på bordet. Om så inte är fallet bör du svara JA på frågan om mäthuvudets position har flyttats.

  • När du mäter AB-positioner under operatörskontroll roteras mäthuvudet automatiskt till nästa manuella position när den aktuella positionen har slutförts. Kontrollera att normalen rensas innan du trycker på tangenten END.

  • Om kalibreringsnormalens position har förändras eller om du behöver koppla nya vinklar i listan över mätspetsar markerar du de vinklar som behövs i rutan Nya vinklar. Du måste även markera mätspetsens standardposition (i samma riktning som normalens skaft). Den vinkel som är i samma riktning som normalen körs först och därefter körs de andra markerade vinklarna.

  • Om den automatiska AB-kalibreringen stoppas innan alla kopplade positioner har mätts får du en fråga om du vill behålla de delvis kalibrerade data innan körningen avslutas.


Resultat

Om du klickar på knappen Resultat visas resultaten för den senaste mätspetskalibreringen i dialogrutan Kalibreringsresultat.

Dialogrutan Kalibreringsresultat

I dialogrutan visas, förutom mäthuvudets diameter och tjocklek, sfärens faktiska vinkel och rundhet. Genom att granska resultaten kan du se hur noggrann kalibreringen har varit.

I version 3.7 och senare versioner visas resultat med upp till sex decimaler.


Knappen Markera anv.

Om du klickar på den här knappen görs en automatisk sökning efter AB-vinklar i det aktuella detaljprogrammet. De AB-vinklar som hittas läggs till i den aktuella mäthuvudskonfigurationen.

Obs! Observera att om du väljer alternativet Automatisk justering av mäthuvudsvinklar (som finns på fliken Allmänt i dialogrutan Inställningar) och klickar på knappen Markera anv. kanske inte alla mätspetsar markeras för kalibrering (se Automatisk justering av mäthuvudsvinklar i avsnittet Göra inställningar).


Knappen Globalt anv.

Om du klickar på knappen Globalt anv. kan du söka efter mätspetsar som används i andra detaljprogram med den aktiva mäthuvudsfilen. Mätspetsarna läggs till i listan Aktiva mätspetsar och markeras för kalibrering.

Standardinställningen innebär att du söker igenom underkataloger för alla detaljprogram när du klickar på knappen. Du kan kontrollera om sökningen ska göras i underkataloger i den definierade sökkatalogen med registerposten ProbeGlobalUsedIsRecursive som beskrivs i avsnittet Ändra registerposter.


Filformat

Med knappen Filformat kan du spara den befintliga mäthuvudsfilen i ett format som är kompatibelt med tidigare versioner av PC-DMIS. Om du klickar på knappen Filformat öppnas dialogrutan Välj mäthuvudsfilformat.

Dialogrutan Välj mäthuvudsfilformat

Dialogrutan innehåller följande objekt:

· Rutan Aktuell version – Här listas den aktuella versionen av PC-DMIS.

· Listan Spara som version – Listan innehåller de mäthuvudsfilformat som du kan spara filen som.


Använd kalib.data

Kryssrutan Använd kalib.data visas endast om du redan har gjort en indexkalibrering. Om kryssrutan inte är markerad används standardkalibreringen. Om du markerar kryssrutan kan du använda kalibreringsdata. Mer information finns i Kalibrera mäthuvud i avsnittet Mäta.


Tillgängliga mätspetstyper

Den nedrullningsbara listan Beskrivning innehåller följande mätspetstyper:

Om du behöver lägga till en mätspets i listan över tillgängliga mätspetsar kontaktar du support för PC-DMIS. Ytterligare mätspetsfiler får endast skapas av auktoriserade personer.

Mer:

Kula

Skiva

Optisk

Cylinder


Kula

Detta är definitionen av ett sfäriskt mäthuvud. Användaren kan ändra mäthuvudets nominella diameter och tjocklek genom att klicka på knappen Redigera. Du måste även definiera mäthuvudets riktning.


Skiva

Detta är definitionen av ett skivmäthuvud. Användaren kan ändra mäthuvudets nominella diameter och tjocklek genom att klicka på knappen Redigera. Du måste även definiera mäthuvudets riktning.


Optisk

Det här alternativet är endast tillgängligt om den optiska mätspetsen har definierats som ett fast mäthuvud.

Med det här alternativet definieras ett optiskt mäthuvud. Användaren kan ändra mäthuvudets nominella diameter genom att klicka på knappen Redigera. Du måste även definiera mäthuvudets riktning.


Cylinder

Detta är definitionen av ett cylindriskt mäthuvud. Användaren kan redigera mäthuvudets nominella diameter och tjocklek genom att klicka på knappen Redigera. Du måste även definiera mäthuvudets riktning.


Kollisionstolerans

CD-modulen i Avail/NT fungerar inte om det inte finns en OPENGL-vy (skuggad vy) på skärmen.

Modulen Kollisionsdetektering (CD) har utformats för att hitta kollisioner mellan mäthuvudet och CAD-ytor.

Kollisionstoleranser anges i dialogrutan Kollisionstoleranser. Du öppnar dialogrutan genom att klicka på knappen Toleranser i dialogrutan Mäthuvud.

Dialogrutan Kollisionstoleranser

Mer information om alternativet Kollisionsdetektering finns i Kollisionsdetektering i avsnittet Redigera CAD-visningen.

Mer:

Ange kollisionstoleranser


Ange kollisionstoleranser

Kollisionstoleranser anges i dialogrutan Kollisionstoleranser. Du öppnar dialogrutan genom att klicka på knappen Toleranser i dialogrutan Mäthuvud.

I redigeringsrutan kan du ange ett positivt eller negativt värde för varje mäthuvudskomponent som markeras i den nedrullningsbara listan. När du gör det ändras komponentens storlek.

  • Ett positivt värde ökar komponentens storlek så att eventuella kollisioner kan upptäckas om en komponent kommer inom det angivna avståndet från detaljen.

  • Ett negativt värde minskar storleken för den aktuella delen av mäthuvudet, vilket får motsatt effekt.

Du kan även välja att ignorera en mäthuvudskomponent genom att markera kryssrutan Ignorera. Då ignoreras komponenten vid kontroll av kollisioner. Detta är praktiskt om du använder en mätspets där det ska uppstå kollisioner när du tar mätpunkter.

När du har valt menyalternativet Kollisionsdetektering och startat kollisionsdetekteringen görs alla nödvändiga beräkningar för att undvika en kollision i den interna CAD-motorn i PC-DMIS. Eventuella påträffade kollisioner visas i dialogrutan Kollisionsdetektering. Resultaten visas i området för visning av mäthuvud i dialogrutan och sparas för senare användning vid ritning av linjerna för körvägen.

Mer information om alternativet Kollisionsdetektering finns i Kollisionsdetektering i avsnittet Redigera CAD-visningen.


Inställningar för mätning

Om du klickar på knappen Inställningar i dialogrutan Mäthuvud öppnas dialogrutan Inställningar, mätning.

Dialogrutan Inställningar, mätning

I dialogrutan kan du anpassa inställningarna för mäthuvudet. Med alternativen i dialogrutan kan du ändra eller markera följande information:

  • Varna vid användning av mätspetsar som inte har kalibrerats på x dagar.
    x är antalet dagar.

  • Varna vid användning av mätspetsar som inte alla kalibrerats inom ett intervall av x timmar.
    x är antalet timmar.

  • Frigångsavstånd längs kalibreringsnormalens skaftvektor: x
     x är frigångsavståndet.

  • Frigångsavstånd längs kalibreringsnormalens skaftvektor för kontinuerligt vridbart mäthuvud: x
     x är frigångsavståndet.

  • Frigångsavstånd i Z när kalibreringsnormalens skaft är vinkelrätt mot Z-axeln: x
     x är frigångsavståndet.

  • Varna vid kalibrering om standardavvikelsen för formfelet är större än: x
     x är standardavvikelsen.

  • Varna om diameterfelet för mätspetsen är större än: x.
    x är diameterfelet.

  • Fråga inte operatören om aktiv mäthuvudsfil när växlare används.
    Aktiv mäthuvudsfil: fil
     fil är den aktuella mäthuvudsfilen.

  • Lägg till kalibreringsresultaten sist i resultatfilen.

  • Mäthuvudsfil för enbart lämning (växlare): fil
    fil är en dummy för en mäthuvudsfil.
    Informationen används för att tvinga fram urladdning av den aktuella mäthuvudsfilen utan att det laddas ett nytt mäthuvud från växlaren. Se Släppa ett mäthuvud utan att plocka ett nytt mäthuvud i avsnittet Göra inställningar.

Klicka på OK för att spara ändringarna.


Skriva ut en lista

Om du klickar på knappen Skriv ut lista öppnas dialogrutan Skriv ut. Om du klickar på OK skrivs det ut en lista med en tabell över kalibrerade och okalibrerade mätspetsvinklar. Det är samma mätspetsvinklar som finns i listan Aktiva mätspetsar. Varje rad i tabellen innehåller en mätspetsvinkel och i kolumnerna visas värdena för XYZ, IJK, diameter och tjocklek för varje mätspetsvinkel. Där visas även datum och tidpunkt för de kalibrerade mätspetsvinklarna.

Om en mätspetsvinkel inte har kalibrerats eller om det finns ett fel i värdena för diameter, datum eller tidpunkt visas mätspetsen med röd text.

Mer:

Exempel på utskrift


Exempel på utskrift

Nedan ser du ett exempel på en utskrift av listan Aktiva mätspetsar:

Exempel på utskrift av Aktiva mätspetsar för ett PH9-mäthuvud


Faro – inställningar för mätspetskalibrering

Om du använder en Faro-arm öppnas dialogrutan Inställningar för mätspetskalibrering i stället för dialogrutan Mät som visas om du klickar på Mät i dialogrutan Mäthuvud.

Dialogrutan Inställningar för mätspetskalibrering

Mer:

Tillgängliga alternativ i dialogrutan

Process för kalibrering av Faro


Tillgängliga alternativ i dialogrutan

I tabellen nedan listas alla tillgängliga alternativ i dialogrutan Inställningar för mätspetskalibrering och vad de innebär.

Alternativ | Beskrivning
Kalibreringsmetod | I dialogrutan Inställningar för mätspetskalibrering kan du utföra två kalibreringsmetoder: · Sfär. De flesta Faro-armar har en inbyggd kalibreringssfär som vanligtvis är en kula med en diameter på 25,40 mm (1.000") och därför är denna kalibreringsmetod standardinställningen. · Hål. Du kan använda ett hål i stället för en sfär för att kalibrera Faro-mätspetsen.
Felområde vid senaste kalibrering | I rutan Felområde vid senaste kalibrering visas det kalibreringsresultat som beräknas efter kalibreringsrutinen. Värdet genereras i styrenheten för Faro och används endast för visning. Det går inte att redigera.
Antal tagna mätpunkter | I rutan Antal tagna mätpunkter visas antalet tagna mätpunkter per kalibreringszon.
Visa stort fönster med mätpunkterna | Om du markerar kryssrutan Visa stort fönster med mätpunkterna visas XYZ och antal mätpunkter i realtid medan kalibreringen pågår.
Ge signal efter varje kalibreringssegment | Om du markerar kryssrutan Ge signal efter varje kalibreringssegment signalerar datorn med ett pip när varje specifik beräkningszon eller -segment har slutförts. I dialogrutans statusfält (nedanför rutan Antal tagna mätpunkter) anges det därefter vilken kalibreringszon som ska mätas och hur många mätpunkter som ska tas.


Process för kalibrering av Faro

Gör så här om du vill kalibrera ett mäthuvud med en Faro-arm:

  1. Öppna dialogrutan Inställningar för mätspetskalibrering.

  2. Välj lämplig kalibreringsmetod i området Kalibreringsmetod.

  3. Markera lämpliga kryssrutor.

  4. Klicka på knappen Mät. Kalibreringsprocessen börjar. Det visas viss visuell hjälp för kalibrering av Faro-armen.

  5. Följ instruktionerna på skärmen (inklusive instruktioner som visas i dialogrutans statusfält).

  6. Om du använder metoden för entumssfär tar du följande mätpunkter på den sfäriska kalibreringsnormalen enligt diagrammet nedan och eventuell hjälp på skärmen:

    Visning från sidan av sfärisk kalibreringsnormal samt Faro-magnet och hållare

  • Ta fem mätpunkter runt mittlinjen.

  • Vänd den sista axeln och ta ytterligare fem mätpunkter runt mittlinjen.

  • Ta fem mätpunkter i sfärens riktning från öster till väster.

  • Vänd den sista axeln och ta fyra mätpunkter i sfärens riktning från väster till öster.

  • Ta fyra mätpunkter i sfärens riktning från norr till söder.

  • Vänd den sista axeln och ta fyra mätpunkter i sfärens riktning från söder till norr.

  7. Om du använder metoden för kalibrering av hål uppmanas du att ta följande mätpunkter:

  • Ta tio mätpunkter i hålet medan du vrider på handtaget.

  • Ta tio mätpunkter i hålet från det andra hållet.

  8. Klicka på OK när du har slutfört kalibreringen.


Information om kalibrering av SP600

Nedan visas några ändringar av kalibreringen av SP600-mäthuvuden i version 3.25 och senare versioner av PC-DMIS.

Mer:

Kommentarer till lågnivåmatrisen för SP600:

Kommentarer till högnivåmatrisen för SP600 (vanlig kalibrering):

Kalibreringsanteckningar och kalibreringsprocess för skivmätspets


Kommentarer till lågnivåmatrisen för SP600:

För lågmatrisprocessen används metoden AP_COMP som har utvecklats av Brown and Sharpe Engineering. Det har skapats tre nya inställningar som finns tillgängliga under rubriken ANALOG_PROBING i PC-DMIS Inställningar. De är:

SP6MTXMaxForce=0.54

SP6MTXUpperForce=0.3

SP6MTXLowerForce=0.18

Värdena som anges för inställningarna är de som rekommenderas för lågmatrisprocessen av Brown and Sharpe Engineering. Posterna skapas (om de inte redan finns) första gången du kör lågmatrisprocessen.

Du bör inte ändra värdena såvida det inte kommer nya rekommendationer från Brown and Sharpe Engineering. Inställningarna används i lågmatrisprocessen oavsett vilket MÄTHUVUDSALTERNATIV-kommando som finns i det aktuella detaljprogrammet.

Information om PC-DMIS Inställningar finns i avsnittet Ändra registerposter.

Om du vill ha mer information om lågmatrisprocessen följer du länken till dokumentet SP600 Low Level Matrix på Wilcox Associates Inc. hemsida:

http://www.wilcoxassoc.com/Downloads/dl_instructionalfiles.htm


Kommentarer till högnivåmatrisen för SP600 (vanlig kalibrering):

Följande kommentarer gäller kalibrering av högnivåmatris med ett analogt mäthuvud.

Använda MÄTHUVUDSALTERNATIV-kommandon med analoga mäthuvuden

Varje gång du ändrar ett värde på fliken Inställningar, analogt mäthuvud i dialogrutan Parameterinställning infogas ett MÄTHUVUDSALTERNATIV-kommando i detaljprogrammet. Information om dialogrutan Parameterinställning finns i Parameterinställningar: Fliken Inställningar, analogt mäthuvud i avsnittet Göra inställningar.

Om ett MÄTHUVUDSALTERNATIV-kommando påträffas före kommandot LADDA_MÄTH för mäthuvudet i det aktuella detaljprogrammet används värdena från MÄTHUVUDSALTERNATIV-kommandot vid kalibreringen. Om MÄTHUVUDSALTERNATIV-kommandot inte kommer före ett LADDA_MÄTH-kommando används standardvärdena från PC-DMIS Inställningar.

För version 3.25 bör du inkludera ett MÄTHUVUDSALTERNATIV-kommando för att garantera att rätt värden används i kalibreringsprocessen. Även om de parametrar som används är de normala standardinställningarna för en maskin bör du ändå ange värdena i ett MÄTHUVUDSALTERNATIV-kommando eftersom maskinstandarder inte automatiskt används i version 3.25 utan ett lämpligt MÄTHUVUDSALTERNATIV-kommando.

För version 3.5 och senare versioner behöver du inte inkludera standardinställda maskinvärden i ett MÄTHUVUDSALTERNATIV-kommando på grund av att maskinstandarder automatiskt används om det inte finns något MÄTHUVUDSALTERNATIV-kommando. Standardparametrarna sparas i avsnittet ANALOG_PROBING i PC-DMIS Inställningar.

Viktigt! Om du använder ett MÄTHUVUDSALTERNATIV-kommando kan detaljprogrammets portabilitet begränsas. Eftersom det används specifika data i MÄTHUVUDSALTERNATIV-kommandon i PC-DMIS kan det uppstå fel om du kör detaljprogrammet på en dator med en annan mätmaskin. Du bör inte använda MÄTHUVUDSALTERNATIV-kommandon i den här versionen av PC-DMIS om du inte verkligen behöver använda dem (till exempel vid mätning av en riktigt mjuk detalj). De standardinställda maskinvärdena kan automatiskt hämtas från PC-DMIS Inställningar.

Ändra standardalgoritmerna för kalibrering

Standardalgoritmen för 3D-kalibrering för SP600 har ändrats till Trax. Registerposten som styr ändringen finns under rubriken OPTION och har namnet UseTraxWithSP600.

Standardinställningen för posten är 1, vilket innebär att Trax är standardalgoritmen. Du kan givetvis testa vilka algoritmer som passar bäst i varje situation.

Om du använder Trax-kalibrering av SP600 kommer den faktiska mätspetsstorlek som skapas vid kalibreringen att skilja sig från det tänkta värdet.

Om du använder Trax-kalibrering för analoga mätspetsar som inte är SP600 för en Wetzlar-maskin används det tänkta värdet för mätspetsstorleken på grund av att avvikelser i mätspetsstorlek hanteras på ett annat sätt.

Om du inte använder Trax-kalibrering används det tänkta värdet för mätspetsstorleken.

Information om PC-DMIS Inställningar finns i avsnittet Ändra registerposter.

Ta extra exempelmätpunkter

Varning! Det finns inte längre stöd för registerposten UseAnalogSampling i Inställningar och den bör därför INTE användas. Kontrollera att UseAnalogSampling är inställd till 0. Om den har värdet 1 kan det uppstå rörelsefel vid kalibreringen.


Kalibreringsanteckningar och kalibreringsprocess för skivmätspets

När du kalibrerar en skivmätspets på ett analogt mäthuvud med en kalibreringssfär måste du ange fem mätpunkter i rutan Antal mätpunkter och två nivåer i rutan Antal nivåer i dialogrutan Kalibrera mätspetsar.

Kontrollera att den definierade mätspetsen är en skivmätspets och inte en kulmätspets. När du klickar på knappen Mät i dialogrutan Kalibrera mätspetsar känner programmet av att du använder ett analogt mäthuvud med en skivmätspets och följande process startar:

  • Om du flyttade sfären eller om du har valt läget Manuellt + CNC uppmanas du att manuellt ta en mätpunkt högst upp på kalibreringssfären (på "nordpolen") med mitten av skivmätspetsens undersida. Om mätspetsen har konfigurerats med ytterligare en kulmätspets på undersidan av skivmätspetsen tar du mätpunkten med kulmätspetsen.

  • Om du inte flyttade sfären och inte har valt att använda läget Manuellt + CNC tas en mätpunkt högst upp på kalibreringsnormalen i CNC-läge.

Därefter avslutas processen genom följande åtgärd i CNC-läge:

  • Fyra mätpunkter tas högst upp på sfären med ett cirkulärt mönster på undersidan av skivmätspetsen och ett plan beräknas utifrån mätpunkterna.

  • Sex mätpunkter tas på två nivåer för att få en noggrannare placering av sfärens mittpunkt.

  • Med hjälp av mittpunkten och planets vektor görs en korrekt placering av de därpå följande fem mätpunkterna.

  • Fem mätpunkter tas, fyra i ett cirkulärt mönster runt sfärens mittlinje och den femte högst upp på sfärens pol.

PC-DMIS Inställningar innehåller två registerposter i avsnittet Mätspetskalibrering som kan användas för att påverka placeringen av mätpunkter på undersidan av skivmätspetsen under kalibrering. De är:

  • ProbeQualAnalogDiskBottomHitsDistanceFromEdge

  • ProbeQualAnalogDiskPlaneStartAngle

Mer information om registerposterna finns i avsnittet Ändra registerposter.


Kalibreringsprocesser för SP600

I processerna nedan beskrivs hur du kalibrerar låg- och högnivåmatriserna för ett SP600-mäthuvud.

För största noggrannhet i processerna nedan bör du använda en högkvalitativ sfärisk kalibreringsnormal som hålls ren under båda kalibreringsprocesserna.

Mer:

Kalibrera lågnivåmatrisen

Kalibrera högnivåmatrisen


Kalibrera lågnivåmatrisen

Lågnivåmatrisen innehåller 3D-positionen eller den centrerade positionen för mätenheten. Du bör göra om kalibreringen av lågmatrisnivån för SP600 vid följande tillfällen:

  • När du tar bort mäthuvudet

  • När du sätter tillbaka mäthuvudet

  • När du kopplar in ett nytt SP600-mäthuvud

  • När det uppstår skada på SP600

  • Med jämna mellanrum efter behov

Kalibreringsprocess:

  1. Öppna dialogrutan Mäthuvud (Infoga | Hårdvarudefinition | Mäthuvud). Visa menykarta

  2. Kontrollera att de vinklar som behövs finns i listan Aktiva mätspetsar.

  3. Välj den vinkel som ska användas som referensposition i listan Aktiva mätspetsar. I de flesta fall bör det vara den vinkel som används för riktningen Z-. Om du inte använder en horisontalarm är vinkeln vanligtvis mätspetsen T1A0B0.

  4. Klicka på knappen Mät. Dialogrutan Kalibrera mätspetsar öppnas.

  5. Markera alternativknappen SP600 lågnivåmatris i området Åtgärd. Alternativet visas endast om du arbetar i onlineläge och har ställt in mäthuvudet SP600 i dialogrutan Mäthuvud.

  6. Du kan ändra värdena i rutorna Insträcka/återg., Transp.hast. eller Mäthastighet.

  7. Markera en lämplig normal i listan Kalibreringsnormaler.

  8. Klicka på knappen Mät. Du får en varning om att maskinspecifika parametrar för lågnivåmatrisen i styrenheten kommer att ändras om du fortsätter. Klicka på Ja om du vill fortsätta med kalibreringen.

  9. Du får ytterligare ett meddelande med en fråga om huruvida mäthuvudet har flyttats. Klicka på Ja eller Nej.

  10. I nästa meddelande uppmanas du att ta en mätpunkt i samma riktning som kalibreringsnormalen. Om du arbetar från positionen Z- tar du mätpunkten högst upp på normalen. När du har tagit mätpunkten slutförs fastställandet av läget för kalibreringsnormalens mittpunkt i PC-DMIS. Läget fastställs genom att följande mätpunkter tas:

  • 3 mätpunkter runt sfären.

  • 25 andra mätpunkter runt sfären.

  11. När normalens mittpunkt har påträffats startar den egentliga kalibreringen av lågnivåmatrisen. Det tas automatiskt 20 mätpunkter (10 mätpunkter i en riktning och 10 i en annan riktning så att det bildas ett korsmönster) på polerna X+, X-, Y+, Y- och Z+ på kalibreringssfären; vilket blir totalt 100 mätpunkter. Detta tar normalt fem till tio minuter.

  12. Därefter visas nio värden och en fråga om värdena är korrekta. Det är lågnivåmatrisvärdena. Om du startade kalibreringen med mätspetsen i riktningen Z- bör värdet ZZ (värdet i tredje raden, tredje kolumnen) ligga mellan 0.14 och 0.16 . Alla andra värden bör vara mindre än eller ungefär 0.1.

  13. Klicka på OK om värdena är korrekta. Det skickas ett kommando om nödstopp till maskinen och därefter ersätts styrenhetens lågnivåmatrisvärden med de nya värdena. Du uppmanas att starta maskinen.

  14. Tryck på knappen Machine Start på handterminalen.

  15. Klicka på OK i meddelanderutan.

Dialogrutan Mäthuvud öppnas än en gång. Observera att referensmätspetsen i listan Aktiva mätspetsar inte är kalibrerad. Med lågnivåkalibrering kalibreras inte de faktiska mätspetsvinklarna. Mätspetsvinklar kalibreras när du utför kalibreringen av högnivåmatrisen.

Viktigt! Om det inte finns en bra lågnivåmatris kommer det att uppstå problem vid vissa scanprocesser och det är möjligt att vissa scanåtgärder inte kan slutföras i maskinen. Dessutom kommer det att uppstå felaktigheter.


Kalibrera högnivåmatrisen

När du har slutfört kalibreringen av lågnivåmatrisen kan du utföra den vanliga kalibreringen. När du kalibrerar på den högre nivån kalibreras de faktiska mätspetsarna. Det skickas även en annan matris med värden till styrenheten för små korrigeringar av lågnivåmatrisen utifrån den aktuella mätspetskonfigurationen och -orienteringen.

För större noggrannhet bör det tas mätpunkter i samtliga riktningar längs kalibreringssfärens mittlinje. Du får bättre resultat om det finns en god täckning över sfären. Start- och slutvinklarna för mätningen runt sfärens mittlinje kan kontrolleras från följande inställningar i avsnittet [ProbeCal] i PC-DMIS Inställningar:

FullSphereAngleCheck=25.0

ProbeQualToolDiameterCutoff=18.0

ProbeQualLargeToolStartAngle1=50.0

ProbeQualLargeToolEndAngle1=310.0

ProbeQualSmallToolStartAngle1=70.0

ProbeQualSmallToolEndAngle1=290.0

Information om hur du ändrar registerposter finns i avsnittet Ändra registerposter.

Kalibreringsprocess

Så här kalibrerar du en högnivåmatris:

  1. Öppna dialogrutan Mäthuvud (Infoga | Hårdvarudefinition | Mäthuvud). Visa menykarta

  2. Klicka på knappen Mät.

  3. Markera Kalibrera spetsar i området Åtgärd.

  4. Markera Användardefinierat i området Kalibreringsläge. Eftersom metoden Standardläge endast tar mätpunkter kring diametern och en mätpunkt högst upp på kalibreringssfären ger den inte en tillfredsställande 3D-relation till mätspetsens mittpunkt. Om du vill använda metoden Standardläge för kalibrering bör du därför läsa igenom "Kommentarer till standardkalibreringsläget (2D) för SP600" nedan.

  5. Ange 3 i rutan Antal nivåer. Du kan skriva in fler nivåer så länge de inte överstiger antalet mätpunkter som ska tas. Det måste däremot vara minst tre nivåer.

  6. Ange 0 i rutan Startvinkel.

  7. Ange 90 i rutan Slutvinkel.

  8. Ange 25 i rutan Antal mätpunkter. Du kan ställa in att det som minst ska tas 12 mätpunkter, men 25 mätpunkter rekommenderas.

  9. Klicka på knappen Mät när kalibreringen kan börja.

  10. Om du har aktiverat alternativet för analoga mätpunkter i PC-DMIS Inställningar tas automatiskt 5 mätpunkter runt kalibreringssfären för att få en bättre definition av kalibreringsnormalens mittpunkt.

  11. Därefter kalibreras AB-vinklarnas positioner och högnivåmatrisens värden överförs automatiskt till styrenheten. Värdena kommer automatiskt att vara korrekta om du genomförde kalibreringen av lågnivåmatrisen korrekt.

Därefter öppnas dialogrutan Mäthuvud. De aktiva mätspetsarna har nu kalibrerats och du kan programmera detaljen med det nykalibrerade SP600-mäthuvudet.

Kommentarer till standardkalibreringsläget (2D) för SP600

Om du väljer Standardläge i området Kalibreringsläge infogas fem mätpunkter i rutan Antal mätpunkter. När du startar kalibreringen tas de fem mätpunkterna på axlarna i samma riktning som mätspetsens position.

Varning! Observera att i kalibreringsläget Standardläge kommer kalibrering av mätspetsar med vinkeln A90 resultera i att mäthuvudet går rakt in i skaftet till kalibreringssfären för sfärer där skaftet utgår från sfärens undersida (skaftvektor 0, 0, 1). Detta händer för att mäthuvudet försöker ta en mätpunkt i positionen Z- för sfären. För att korrigera detta fel bör du använda ett lutande skaft, inte kalibrera mätspetsar med vinkeln A90 eller välja kalibreringsläget Användardefinierat.


Autokalibrering

PC-DMIS innehåller ett kommando som automatiskt kalibrerar det aktuella mäthuvudet när ett detaljprogram körs. Kalibreringsrutinen påbörjas när kommandot körs.

Välj menyalternativet Infoga | Kalibrera | Autokalibrering om du vill infoga kommandot.

Så här ser koden för kommandot ut i Redigeringsfönstret:

AUTOKALIBRERING/MÄTSPETS, PARAMETER_GRUPP=, KALIB_NORMAL_HAR_FLYTTATS=J/N, VISA_SAMMANFATTNING=J/N, SKRIV_ÖVER_RESULTATFIL=J/N

PARAMETER_GRUPP= I det här fältet anges namnet på en definierad grupp med kalibreringsparametrar. Det finns en standardinställd grupp med namnet ALLA-SPETSAR-MED-STANDARD som alltid är tillgänglig. Om du väljer denna grupp kalibreras samtliga mätspetsar som har definierats i den aktuella mätspetsfilen med standarduppsättningen av kalibreringsparametrar, som är de parametrar som senast användes interaktivt. Information om hur du skapar egna parametergrupper finns i Området Sparade inställningar .

KALIB_NORMAL_HAR_FLYTTATS= Fältet JA/NEJ anger svaret på frågan om kalibreringsnormalen har flyttats.

VISA_SAMMANFATTNING= Fältet JA/NEJ anger om det ska visas en sammanfattning av kalibreringen.

SKRIV_ÖVER_RESULTATFIL= Fältet JA/NEJ anger om information som skickas till resultatfilen skriver över eller läggs till i filen. Detta är samma resultatfil som du hänvisas till vid interaktiv kalibrering.

Om du trycker på F9 på kommandoblocket kan du redigera kommandoblocket med hjälp av dialogrutan Kalibrera mätspets eller Kalibrera mäthuvud.

Du kan även infoga ett kommando för automatisk kalibrering av flera armar. Mer information finns i Utföra automatisk kalibrering i avsnittet Använda flerarmsläge.

Mer:

Så här kalibrerar du en enstaka mätspets automatiskt


Så här kalibrerar du en enstaka mätspets automatiskt

Så här kan du göra för att kalibrera den aktiva mätspetsen automatiskt:

  1. Kontrollera att det finns minst ett sfärelement i detaljprogrammet. Det måste finnas ett sfärelement för att den här typen av kalibrering ska kunna utföras i PC-DMIS.

  2. Öppna Redigeringsfönstret och ställ in det i kommandoläge.

  3. Välj den mätspets som du vill kalibrera i verktygsfältet Inställningar. Det visas ett nytt MÄTSPETS-kommando i Redigeringsfönstret. Kontrollera att det nya MÄTSPETS-kommandot visas efter det sfärelement som används vid kalibreringen.

  4. Gå till någon rad efter MÄTSPETS-kommandot och välj menyalternativet Infoga | Kalibrera | Enstaka mätspets. Visa menykarta

  5. Kommandoblocket KALIBRERA AKTIV MÄTSPETS MED ELEMENT-ID infogas i Redigeringsfönstret.

  6. Klicka i kommandoblocket och tryck på F9. Dialogrutan Kalibrera mätspets öppnas.

Dialogrutan Kalibrera mätspets

  7. Markera det sfärelement som ska användas i listan Sfärelement.

  8. Markera den önskade kalibreringsnormalen i listan Kalibreringsnormal.

  9. Om kalibreringsnormalen har flyttats sedan den senaste kalibreringen markerar du kryssrutan Kalibreringsnormalen har flyttats.

  10. Klicka på OK om du vill uppdatera kalibreringskommandoblocket med ändringarna. I exempelkommandoblocket nedan har kalibreringsnormalen namnet MinNormal och sfärelementet som ska användas vid kalibreringen är SPH1.

KALIBRERA AKTIV MÄTSPETS MED ELEMENT-ID=SPH1, KALIBNORMAL_ID=MinNormal, FLYTTAD=NEJ
AXEL | TEOR | MÄTT | AVV | STD-AVV
X | 0.0000 | 8.0080 | 8.0080 |
Y | 0.0000 | 1.0000 | 1.0000 |
Z | 0.0000 | 0.9500 | 0.9500 |
DIAM | 2.0000 | 1.0000 | 1.0000 | 0.0000

  11. Markera kommandoblocket och kör detaljprogrammet. Den aktiva mätspetsen kalibreras när körningen når det aktuella kommandoblocket.


Definiera fasta mäthuvuden

I PC-DMIS kan du välja ett fast eller ett brytande (TTP) mäthuvud. Om du använder ett brytande mäthuvud (t.ex. Renishaw) rapporteras läget från mätmaskinen så fort mäthuvudet kommer i kontakt med detaljen. Om du väljer ett fast mäthuvud förväntas ett mäthuvud som inte automatiskt aktiveras när det kommer i kontakt med detaljen.

Obs! Du kan inte utföra CNC-kalibrering med ett fast mäthuvud. Kontrollera att du har valt rätt typ av mäthuvud.

Mer information om hur du arbetar med bärbara maskiner med fasta mäthuvuden finns i avsnittet Arbeta med bärbara enheter.


Definiera stjärnmäthuvuden

I PC-DMIS kan du definiera, kalibrera och arbeta med flera olika konfigurationer av stjärnmäthuvuden. Ett stjärnmäthuvud består av en mätspets som pekar i lodrät riktning (i riktningen Z- om du använder en vertikal arm) mot mätmaskinens platta och som har ytterligare fyra mätspetsar som pekar i vågräta riktningar, enligt bilden nedan:

En typisk konfiguration av ett stjärnmäthuvud

I det här avsnittet får du en beskrivning av hur du skapar ett stjärnmäthuvud.

Viktigt! Det finns många olika maskintyper och armkonfigurationer, men i de processer och exempel som nämns nedan förutsätts det att du använder en mätmaskin med en vertikal standardarm som pekar i riktningen Z- mot mätmaskinens platta.

Mer:

Skapa ett stjärnmäthuvud


Skapa ett stjärnmäthuvud

Du kan skapa följande konfigurationer av stjärnmäthuvuden:

Ett 5-vägs anpassningsbart stjärnmäthuvud med olika mätspetsar.

5-vägs anpassningsbart stjärnmäthuvud. Den här typen av stjärnmäthuvud använder en mittkub med fem gängade hål där du kan skruva fast olika mätspetsar.

Ej anpassningsbart stjärnmäthuvud med identiska mätspetsar.

Ej anpassningsbart stjärnmäthuvud. Den här typen av stjärnmäthuvud har inte en anpassningsbar 5-vägs mittkub. Den består av en kub som dock inte har några gängade hål, och de fyra vågräta mätspetsarna sitter fast i kuben. De vågräta mätspetsarna är lika stora.

När du har skapat mäthuvudet bör du kalibrera det genom att klicka på knappen Mät i dialogrutan Mäthuvud. Information om kalibrering av mätspetsar finns i Mäta.

Mer:

Skapa ett 5-vägs anpassningsbart stjärnmäthuvud

Skapa ett fördefinierat stjärnmäthuvud


Skapa ett 5-vägs anpassningsbart stjärnmäthuvud

  1. Öppna dialogrutan Mäthuvud (Infoga | Hårdvarudefinition | Mäthuvud). Visa menykarta

  2. Skriv namnet på mäthuvudsfilen i rutan Filnamn.

  3. Markera Inget mäthuvud definierat i området Beskrivning.

  4. Markera mäthuvudet i listan Beskrivning. I dokumentationen används mäthuvudet PROBETP2. Mäthuvudsvisningen bör se ut ungefär så här:

  5. Dölj mäthuvudet genom att dubbelklicka på PROBETP2-anslutningen i området Beskrivning och avmarkera kryssrutan Visa denna komponent.

  6. Markera Tom anslutning, nr. 1 i området Beskrivning.

  7. Markera 5-vägsmodulen EXTEN5WAY i listan Beskrivning. Då visas fem tomma anslutningar i området Beskrivning. Mäthuvudsvisningen ser ut så här:

  8. Tilldela lämpliga mätspetsar och/eller förlängningar för varje tom anslutning tills det finns maximalt fem mätspetsar, som i bilden nedan:

    Du behöver inte fylla alla anslutningar.

Mätspetsen som tilldelas till Tom anslutning, nr. 1 pekar i samma riktning som det spår den vilar på. Detta är riktningen Z-.

Mätspetsen som tilldelas till Tom anslutning, nr. 2 pekar i riktningen X+.

Mätspetsen som tilldelas till Tom anslutning, nr. 3 pekar i riktningen Y+.

Mätspetsen som tilldelas till Tom anslutning, nr. 4 pekar i riktningen X-.

Mätspetsen som tilldelas till Tom anslutning, nr. 5 pekar i riktningen Y-.

  9. Klicka på OK för att spara ändringarna eller på Mät om du vill kalibrera mätmäthuvudet. Information om kalibrering av mätspetsar finns i Mäta.

Varning! Om du gör en mätning med ett anpassat 5-vägs stjärnmäthuvud som har olika storlekar på mätspetsarna måste du kontrollera att det görs en kompensering med diametern på den sista mätspetsens kula.


Skapa ett fördefinierat stjärnmäthuvud

  1. Öppna dialogrutan Mäthuvud (Infoga | Hårdvarudefinition | Mäthuvud). Visa menykarta

  2. Skriv namnet på mäthuvudsfilen i rutan Filnamn.

  3. Markera Inget mäthuvud definierat i området Beskrivning.

  4. Markera mäthuvudet i listan Beskrivning. I dokumentationen används mäthuvudet PROBETP2. Mäthuvudsvisningen bör se ut ungefär så här:

  5. Dölj mäthuvudet genom att dubbelklicka på PROBETP2-anslutningen i området Beskrivning och avmarkera kryssrutan Visa denna komponent.

  6. Markera Tom anslutning, nr. 1 i området Beskrivning.

  7. Markera antingen 2BY18MMSTAR eller 10BY6.5STAR. I dokumentationen används 2BY18MMSTAR. Mäthuvudsvisningen ser ut ungefär så här:

  8. Markera samma mätspets för vart och ett av de fyra objekten för Tom anslutning i området Beskrivning, en gång för varje vågrät mätspets. I det här fallet bör du markera antingen TIPSTAR2BY30 eller TIPSTAR2BY18 fyra gånger. I dokumentationen används TIPSTAR2BY30.

  9. Klicka på OK om du vill spara ändringarna eller på Mät om du vill kalibrera mäthuvudet. Information om kalibrering av mätspetsar finns i Mäta.


Definiera maskiner

Dialogrutan Maskin

Om du väljer menyalternativet Infoga | Hårdvarudefinition | Maskin öppnas dialogrutan Maskin.

I den här dialogrutan kan du markera eller skapa en mätmaskin som kan visas och animeras tillsammans med mäthuvudet i Grafikfönstret när du arbetar i programmeringsläge.

Listan över maskiner i dialogrutan skapas med filerna "machine.dat" och "usermachine.dat" som finns i installationskatalogen för PC-DMIS.

  • Filen "machine.dat" innehåller maskinbeskrivningar från PC-DMIS utvecklare.

  • Filen "usermachine.dat" innehåller maskinbeskrivningar av eventuella maskiner som har skapats och sparats av användaren.

Om du markerar en post i listan Maskinnamn som finns i filen "machine.dat" visas det markerade valet i förhandsgranskningsområdet (det tomma blå fältet).

Om filen "machine.dat" saknas visas endast objektet Ingen maskin i listan Maskinnamn.

Mer:

Skapa en ny maskin för visning

Visa befintliga maskiner i Grafikfönstret

Ta bort en animerad maskin ur Grafikfönstret


Skapa en ny maskin för visning

Så här skapar du en ny maskin:

  1. Ange ett namn på maskinen i listan Maskinnamn.

  2. Välj maskintyp i listan Maskintyp.

  3. Ange maskinens dimensioner genom att ange axlarnas längd, bredd och höjd:

  • Ange den första axeln genom att markera X, Y eller Z i listan 1:a axel. Skriv in längden för maskinens bas i rutan 1:a axel.

  • Ange den andra axeln genom att markera X, Y eller Z i listan 2:a axel. Skriv in bredden för den andra axeln för maskinens bas i rutan 2:a axel.

  • Ange den tredje axeln genom att markera X, Y eller Z i listan 3:e axel. Skriv in maskinens höjd i rutan 3:e axel.

  4. Ange maskinens hemmaläge genom att ange värden i området Hemmaläge.

  5. Klicka på knappen Spara. Den nya maskinen läggs till i listan Maskinnamn.

Obs! Filen "usermachine.dat" ändras inte förrän du klickar på Verkställ eller på OK. Om du klickar på Avbryt ignoreras alla ändringar.

Mer:

Mer information om maskinens axlar

Mer information om området för maskinens hemmaläge

Mer information om hur du skapar flerarmsmaskiner


Mer information om maskinens axlar

Den första axeln definierar längden för maskinens bas i den riktning som portalen rör sig (för portalmaskiner) eller basens längd i den riktning som den vertikala maskindelen rör sig (för horisontalarmsmaskiner). Detta är vanligtvis X-axeln för de flesta horisontalarmsmaskiner och antingen X- eller Y-axeln för de flesta vertikalarmsmaskiner.

Den andra axeln definierar basens bredd i den riktning som maskinen rör sig (för portalmaskiner) eller i den riktning som armen rör sig (för horisontalarmsmaskiner). Detta är vanligtvis Z-axeln för de flesta horisontalarmsmaskiner och antingen X- eller Y-axeln för de flesta vertikalarmsmaskiner. Detta är inte detsamma som maskinområdet. Området definierar hur stort avstånd som armen kan täcka. De flesta armmaskiner har ett avstånd på strax över 50 % av bredden.

Den tredje axeln definierar maskinens höjd från basens topp till undersidan av portalen för en portalmaskin, eller till toppen av den vertikala axeln för en horisontalarmsmaskin. Detta är den lodräta Z-axeln för de flesta portalmaskiner och Y-axeln för de flesta horisontalarmsmaskiner. För närvarande tillåts endast följande axelkonfigurationer:

  • Allmän portalmaskin med Y, X, Z eller X, Y, Z

  • Allmän armmaskin med X, Y, Z


Mer information om området för maskinens hemmaläge

I dessa tre rutor definieras maskinens hemmaläge. Värdena för x, y och z definierar var maskinens hemmaläge är. Mitten på maskinbasen är 0,0,0, men de koordinaterna används vanligtvis inte för att visa hemmaläget. Värdena för x, y och z är förskjutna från baspositionen 0,0,0.

Om maskinens dimensioner är 1000, 700 och 700 och det faktiska hemmaläget är i det övre vänstra hörnet på baksidan, så skulle maskinens förskjutning vara: -350, 500, 350 för den första, andra respektive tredje axeln.


Mer information om hur du skapar flerarmsmaskiner

Du kan skapa och placera en simulerad flerarmsmaskin i Grafikfönstret.

  1. Följ processen för flerarmsinställningar i PC-DMIS.

  2. Växla till flerarmsläge. Verktygsfältet Aktiva armar öppnas. Alternativet Dubbel horisontalarm aktiveras i området Maskintyp.

  3. Skapa ett detaljprogram för flera armar.

  4. Följ stegen i processen Skapa en ny maskin för visning (kontrollera att du markerar alternativknappen för Dubbel horisontalarm i området Maskintyp).

  5. När du har slutfört processen bör du se en maskin med två armar i Grafikfönstret.


Visa befintliga maskiner i Grafikfönstret

Om du vill visa en maskin i Grafikfönstret öppnar du dialogrutan Maskin, markerar en maskin i listan Maskinnamn och klickar på OK. Då visas en grafisk bild av den valda maskinen i Grafikfönstret tillsammans med detaljens CAD-ritning.

Det infogas även ett LADDA_MASKIN/NAMN-kommando i Redigeringsfönstret, där NAMN står för maskinens namn.

Mer:

Skapa ett förhållande mellan maskinen och detaljen


Skapa ett förhållande mellan maskinen och detaljen

Det finns två sätt att skapa ett förhållande mellan maskinmodellen och CAD-modellen av en detalj.

  1. Onlineläge – Du måste mäta detaljelementen och skapa en uppriktning för åtgärden CAD till detaljer (uppriktningsalternativet CAD <--> Detalj eller Iterativ uppriktning med CAD-värden). Mer information om alternativen finns i avsnittet Skapa och använda uppriktningar.

  2. Offlineläge – Du kan skapa de offset och rotationer av X, Y och Z som krävs för att skapa korrekt orientering genom att gå till fliken Detalj/maskin i dialogrutan Inställningsval. Se Inställningsval: Fliken Detalj/maskin i avsnittet Göra inställningar.


Ta bort en animerad maskin ur Grafikfönstret

Du kan när som helst avsluta den grafiska visningen av en mätmaskin på något av följande sätt:

Mer:

Välja objektet Ingen maskin

Ta bort kommandot LADDA_MASKIN

Ta bort maskinen


Välja objektet Ingen maskin

Gör så här om du vill ta bort den animerade visningen av en maskin i Grafikfönstret genom att markera objektet Ingen maskin:

  1. Öppna dialogrutan Maskin. Visa menykarta

  2. Markera Ingen maskin i listan Maskinnamn.

  3. Klicka på Verkställ eller på OK. Visningen av maskinen tas bort.


Ta bort kommandot LADDA_MASKIN

Gör så här om du vill ta bort den animerade visningen av en maskin i Grafikfönstret genom att ta bort kommandot LADDA_MASKIN:

  1. Öppna Redigeringsfönstret.

  2. Växla fönstret till översikts- eller kommandoläge.

  3. Ta bort hela kommandot LADDA_MASKIN/. Visningen av maskinen tas bort.


Ta bort maskinen

Gör så här om du vill ta bort den animerade visningen av en maskin i Grafikfönstret genom att ta bort maskinen permanent:

  1. Öppna dialogrutan Maskin. Visa menykarta

  2. Markera den maskin som ska tas bort i listan Maskinnamn.

  3. Klicka på knappen Ta bort.

  4. Klicka på Verkställ eller på OK. Maskinen tas bort ur listan Maskinnamn och visningen av maskinen tas bort. Maskinen tas även bort ur filen "usermachine.dat".

Obs! Filen "usermachine.dat" ändras inte förrän du klickar på Verkställ eller på OK. Om du klickar på Avbryt ignoreras alla ändringar.


Infoga snabbfixturer

I PC-DMIS 3.6 MR1 och senare versioner kan du snabbt och enkelt infoga ett urval av fördefinierade (eller användardefinierade) fixturer i Grafikfönstret från dialogrutan Fixtur.

Välj menyobjektet Infoga | Hårdvarudefinition | Snabbfixtur om du vill öppna dialogrutan. Visa menykarta

Dialogrutan Fixtur

Dialogrutan innehåller följande alternativ:

Tillgängliga fixturer – I listan visas tillgängliga fixturer som kan importeras till Grafikfönstret. Fixturerna sparas i installationskatalogen Models\QuickFix\PC-DMIS.

Visade fixturer – I listan visas de fixturer som för närvarande visas i Grafikfönstret.

Infoga – Med den här knappen flyttar du en markerad fixtur från listan Tillgängliga fixturer till listan Visade fixturer så att det markerade elementet kan visas i Grafikfönstret.

Ta bort – Med den här knappen tar du bort den markerade fixturen ur listan Visade fixturer.

Ny fixtur – I det här området kan du lägga till egna fixturer i listan Tillgängliga fixturer. Nya fixturer måste vara IGES-filer. I rutan Filnamn visas den fullständiga sökvägen till den fixtur du vill lägga till, med knappen Bläddra kan du bläddra till den IGES-fil som ska läggas till och med knappen Lägg till lägger du till den nya fixturen i listan över tillgängliga fixturer.

Förhandsgranska fixtur – I området nedanför Ny fixtur kan du förhandsgranska den fixtur som är markerad i listan Tillgängliga fixturer.

Mer:

Infoga och ta bort snabbfixturer

Lägga till anpassade fixturer

Placering av snabbfixturer i Grafikfönstret


Infoga och ta bort snabbfixturer

Så här infogar du en snabbfixtur i Grafikfönstret:

  1. Gå till dialogrutan Fixtur.

  2. Markera den fixtur du vill lägga till i listan Tillgängliga fixturer. Fixturen visas i området för förhandsgranskning av fixturer i dialogrutan.

  3. Klicka på Infoga. Namnet på fixturen visas i listan Visade fixturer och fixturmodellen visas i Grafikfönstret.

Så här tar du bort en snabbfixtur ur Grafikfönstret:

  1. Gå till dialogrutan Fixtur.

  2. Leta upp den fixtur du vill ta bort ur listan Tillgängliga fixturer.

  3. Klicka på Ta bort. Namnet på fixturen tas bort ur listan Visade fixturer och visningen av fixturmodellen tas bort ur Grafikfönstret.


Lägga till anpassade fixturer

Så här lägger du till egna anpassade fixturer i listan Tillgängliga fixturer:

  1. Gå till dialogrutan Fixtur.

  2. Klicka på Bläddra i området Ny fixtur. Dialogrutan Öppna öppnas.

  3. Gå till fixturmodellen. Den kan vara i något av de grafiska format som stöds i PC-DMIS. Standardinställningen i listan Filformat är IGES. Du kan ändra formatet till något av de andra tillgängliga formaten.

  4. Markera modellen och klicka på Öppna. Dialogrutan Öppna stängs och hela sökvägen till den fil du markerade i området Ny fixtur visas.

  5. Klicka på knappen Lägg till. Fixturen läggs till i listan Tillgängliga fixturer. Den visas i listan även för andra detaljprogram.


Mus- och tangentbordskommandon för fixturläget

Om du vill använda mus- och tangentbordskommandon för snabbfixturer ställer du om PC-DMIS till fixturläget genom att klicka på ikonen Fixturläge i verktygsfältet Grafik.

  • Dra med vänster musknapp nedtryckt – Fixturobjektet som finns under musen flyttas tills du släpper musknappen. Om du inte börjar ovanpå ett objekt händer ingenting. Du kan endast flytta fixtur- och CAD-objekt.

  • Tryck på CTRL + dra med vänster musknapp nedtryckt – Objektet roteras i 3D under muspekaren i den riktning som du drar musen tills du släpper musknappen. Du kan endast rotera fixtur- och CAD-objekt.

  • Högerklicka på musen – Snabbmenyn för snabbfixturer öppnas. Se Snabbmenyn Snabbfixtur i Använda kortkommandon och snabbmenyer


Visa en animerad växlare

I PC-DMIS kan du visa en animering av en fördefinierad växlare i Grafikfönstret.

Obs! Du kan definiera en växlare i Konfigurera växlarinställningar i avsnittet Göra inställningar.

Exempel på en animerad växlare som visas i Grafikfönstret i visningsriktningen Z+ (den övre bilden) och i visningsriktningen X+ (den undre bilden).

Du ställer in växlarens position och orientering i dialogrutan Animerad växlare. Du öppnar dialogrutan genom att välja menyobjektet Infoga | Hårdvarudefinition | Animerad växlare. Visa menykarta

Dialogrutan Animerad växlare

Objekten i dialogrutan behandlas i processen Så här visar du växlaren nedan.

Mer:

Så här visar du växlaren i Grafikfönstret:

Så här tar du bort växlaren från Grafikfönstret:


Så här visar du växlaren i Grafikfönstret:

  1. Öppna dialogrutan Animerad växlare (Infoga | Hårdvarudefinition | Animerad växlare). Visa menykarta

  2. Markera en befintlig fördefinierad växlare i listan Aktiv växlare. Om det inte finns några växlare i listan kan du definiera en växlare i ämnet Konfigurera växlarinställningar i avsnittet Göra inställningar.

  3. Definiera växlarens läge och riktning. Det gör du genom att antingen använda kalibreringsdata för läge och riktning eller genom att ange läget och riktningen för XYZ direkt i dialogrutan.

  • Om du vill använda befintliga kalibreringsdata markerar du kryssrutan Använd kalibreringsdata. Lägesrutorna fylls i med värdena för X, Y och Z från kalibreringen.

  • Om du vill ange läge och riktning skriver du in värden i rutorna X, Y och Z väljer därefter en riktning i listan Riktning.

  4. Klicka på Verkställ. Den animerade växlaren visas i det angivna läget och med den angivna riktningen i Grafikfönstret. Ett LADDA_VÄXLARE-kommando infogas i Redigeringsfönstret.

  5. Klicka på OK när du är nöjd med riktningen och läget.


Så här tar du bort växlaren från Grafikfönstret:

Öppna Redigeringsfönstret och ta bort kommandot LADDA_VÄXLARE. Den fördefinierade växlaren tas inte bort utan endast animeringen av växlaren i Grafikfönstret.


Arbeta med rundbord

Följande kommandon för rundbordet utvecklades som stöd för PC-DMIS/NC vid användning av CNC-maskiner, men kan även användas i vanliga detaljprogram för mätmaskiner. Mer information om användning av CNC-maskiner med PC-DMIS finns i hjälpfilen för PC-DMIS NC.

Ignorera rundbord

Om du väljer menyobjektet Infoga | Parameterändring | Mäthuvud | Ignorera rundbord infogas ett IGNORERA_RUNDBORD-kommando i detaljprogrammet. Det finns två alternativ:

IGNORERA_RUNDBORD/PÅ eller IGNORERA_RUNDBORD/AV.

När du har definierat ett rundbord förutsätts det att du placerar detaljer som ska mätas på rundbordet. Du förväntas helt enkelt använda rundbordet. Det innebär att rundbordet inte kommer att ignoreras. Därför ställs IGNORERA_RUNDBORD in till AV:

IGNORERA_RUNDBORD/AV

I det läget justeras eventuella insamlade mätdata från maskinen genom att använda data från kalibreringen av rundbordet.

Om du infogar kommandot IGNORERA_RUNDBORD/PÅ ignoreras kalibreringsdata för rundbordet. Då tillämpas inte någon rundbordsjustering av insamlade mätdata. Detta används främst i följande fall:

  • En detaljmätning där du vill mäta detaljen utan att använda rundbordet trots att det finns ett rundbord.

  • Ett detaljprogram där du vill göra en ny bordskalibrering och måste ignorera tidigare kalibreringsresultat.

Kalibrera rundbordet

Med menyposten Infoga | Kalibrera | Rundbord från element infogas ett KALIBRERA_RUNDBORD-kommando i detaljprogrammet:

KALIBRERA_RUNDBORD/PLAN=BORD_PLN, CIRKEL=BORD_CIR,

MÄTT/XYZ=0,0,0, MÄTT/IJK=0,0,0

Med kommandot skickas instruktioner om kalibrering av rundbordet vid programkörning till ett lämpligt program.

Så här använder du kommandot:

  1. Koppla ett lämpligt kalibreringsobjekt (en sfär) till bordet.

  2. Kalibrera en lämplig uppsättning vinkelpositioner.

  3. Du skapar ett konstruerat plan och en konstruerad cirkel i mittpunkterna för de resulterande sfärerna. När du har konstruerat planet och cirkeln kan du använda dem som indata i kommandot.

  4. Infoga kommandot KALIBRERA_RUNDBORD.

  5. Tryck på F9 på kommandot för att öppna dialogrutan Kalibrera rundbord .

  6. Markerade det konstruerade planet i listan Konstruerat plan. Markerade den konstruerade cirkeln i listan Konstruerad cirkel.

  7. Klicka på OK. Kommandona uppdateras med de konstruerande elementen.

  8. När du kör detaljprogrammet används de konstruerade elementen för att uppdatera kalibreringsdata för rundbordet. Delarna MÄTT/XYZ och MÄTT/IJK i kommandoblocket anger resultatet för bordets mittpunkt och rotationsplan.

Information om konfigurering av rundbordet finns i Definiera ett rundbord i Göra inställningar.


Skapa autoelement

Skapa autoelement: Inledning

S nabba sätt att skapa autoelement

Skapa autoelement med enkelklickning

Kommentar A

Kommentar B

R utmarkering för att skapa flera autoelement

Om dialogrutan Markera CAD

Gemensamma alternativ i dialogrutan Autoelement

Körvägar och riktning för element

Området Egenskaper för mätning

Listan Typ av autoelement

Kryssrutan Säkerhetsplan

Kryssrutan Mät

Listan Elementtyp

Området Läge

Inmatningsfält för punkt (XYZ)

Inmatningsfälten för start- och slutpunkt (XYZ)

Inmatningsfält för centrumpunkt (XYZ)

Pol.-/Rekt.-alternativ

Knappen Sök

Knapparna Läs pos/Läs position

Området Mätpunkter

Listorna Inledn. och Perm.

Rutan Distans

Rutorna Indrag

Rutan Djup

Rutan Ant. pktr (Antal mätpunkter)

Kryssrutan Breddmätn.

Området Egenskaper

Kryssrutan Fästpunkt

Kryssrutan Yttre

Rutan Stegvärde

Rutan Tolerans

Rutan Bredd

Rutan Längd

Knappen Rektangel

Knappen Cirkelformig

Rutan Rader

Rutan Diameter

Rutan Startvinkel

Rutan Slutvinkel

Rutan Mätvinkel

Rutan Stigning

Rutan Startvink.1

Rutan Slutvink.1

Rutan Startvink.2

Rutan Slutvink.2

Rutan Radie

Rutan Stordiam.

Rutan Lilldiam.

Rutan Vinkel

Mönstret Fyrkant/Radiell

Typerna Begränsad och Obegränsad

Området Riktning

Rutorna Normal (IJK)

Rutorna Vinkel (IJK)

Rutorna Mittpunkt

Rutorna Kantvektor (IJK)

Rutorna Ytvektor (IJK)

Rutorna Linje (IJK)

Rutorna Yta 1 (IJK)

Rutorna Yta 2 (IJK)

Rutorna Yta 3 (IJK)

Knappen Sök vektor(er)

Knappen Vänd vektor

Knappen Vänd kant

Knappen Vänd linje

Knapparna Vänd yta

Knappen Byt vektorer

Alternativen Inv. och Utv.

Rutan Höjd

Rutan ID

Området Diverse

Området Tjocklek

Listan Mätordning

Listan Beräkning

Listan Läge

Området Relativ mätning

Kryssrutan Visa alla parametrar

Kryssrutan Visa mätpktr

Området Auto

Kryssrutan PH9

Kryssrutan Vid fel

Kryssrutan Läs pos.

Kryssrutan Cirkulär rörelse

Kryssrutan Ommätning

Kryssrutan Anv. nom.

Rörelseavstånd

Rutan Avstånd

Kryssrutan Sök element

Området Ytterligare alternativ, tunnplåt

Rutorna Rapportvektor (IJK)

Rutorna Målvektor (IJK)

Rutorna Uppdat.vektor (IJK)

Rutorna Kantrapp. (IJK)

Rutorna Ytrapport (IJK)

Rutorna Stansvektor (IJK)

Rutorna Pinnvektor (IJK)

Kryssrutan Använd skaftvektor

Knappen Återställ

Knapparna Mer och Mindre

Knappen Visa punkter

Knappen Skapa för autoelement

Skapa en autovektorpunkt

Fältdefinitioner för vektorpunkter

Utökade fältdefinitioner för vektorpunkter

Mäta en vektorpunkt

Använda angivna data för en vektorpunkt

Använda ytdata med CMM-enheten för en vektorpunkt

Använda ytdata på skärmen för en vektorpunkt

Använda tråddata med CMM-enheten för en vektorpunkt

Använda tråddata på skärmen för en vektorpunkt

Utan att använda CAD-data för en vektorpunkt

Skapa en autolinje

Fältdefinitioner för linjer

Mäta en linje

Använda angivna data för en linje

Använda tråddata med CMM-enheten för en linje

Utan att använda CAD-data för en linje

Skapa ett autoplan

Fältdefinitioner för plan

Mäta ett plan

Använda angivna data för ett autoplan

Använda tråddata med CMM-enheten för ett autoplan

Använda tråddata på skärmen för ett autoplan

Utan att använda CAD-data för ett autoplan

Skapa en autocirkel

Fältdefinitioner för cirklar

Utökade fältdefinitioner för cirklar

Mäta en cirkel

Använda angivna data för en autocirkel

Använda ytdata med CMM-enheten för en autocirkel

Använda ytdata på skärmen för en autocirkel

Använda tråddata på skärmen för en autocirkel

Utan att använda CAD-data för en autocirkel

Skapa en autoellips

Fältdefinitioner för ellipser

Mäta en ellips

Använda angivna data för en ellips

Använda ytdata med CMM-enheten för en ellips

Använda ytdata på skärmen för en ellips

Utan att använda CAD-data för en ellips

Skapa ett autourtag

Fältdefinitioner för urtag

Mäta ett urtag

Använda angivna data för ett urtag

Använda ytdata med CMM-enheten för ett urtag

Använda ytdata på skärmen för ett urtag

Använda tråddata med CMM-enheten för ett urtag

Använda tråddata på skärmen för ett urtag

Utan att använda CAD-data för ett urtag

Skapa ett autoelement av typen Rundat spår

Fältdefinitioner för rundade spår

Utökade fältdefinitioner för rundade spår

Mäta ett rundat spår

Använda angivna data för ett rundat spår

Använda ytdata med CMM-enheten för ett rundat spår

Använda ytdata på skärmen för ett rundat spår

Använda tråddata med CMM-enheten för ett rundat spår

Använda tråddata på skärmen för ett rundat spår

Utan att använda CAD-data för ett rundat spår

Skapa en autovinkelpunkt

Fältdefinitioner för vinkelpunkter

Mäta en vinkelpunkt

Använda angivna data för en vinkelpunkt

Använda ytdata med CMM-enheten för en vinkelpunkt

Använda ytdata på skärmen för en vinkelpunkt

Använda tråddata med CMM-enheten för en vinkelpunkt

Använda tråddata på skärmen för en vinkelpunkt

Utan att använda CAD-data för en vinkelpunkt

Skapa en autohörnpunkt

Fältdefinitioner för hörnpunkter

Mäta en hörnpunkt

Använda angivna data för en hörnpunkt

Använda ytdata med CMM-enheten för en hörnpunkt

Använda ytdata på skärmen för en hörnpunkt

Använda tråddata med CMM-enheten för en hörnpunkt

Använda tråddata på skärmen för en hörnpunkt

Utan att använda CAD-data för en hörnpunkt

Skapa en autokantpunkt

Fältdefinitioner för kantpunkter

Utökade fältdefinitioner för kantpunkter

Mäta en kantpunkt

Använda angivna data för en kantpunkt

Använda ytdata med CMM-enheten för en kantpunkt

Använda ytdata på skärmen för en kantpunkt

Använda tråddata med CMM-enheten för en kantpunkt

Använda tråddata på skärmen för en kantpunkt

Utan att använda CAD-data för en kantpunkt

Skapa ett autoelement av typen Högsta punkt

Fältdefinitioner för högsta punkter

Mäta en högsta punkt

Högsta punkt - genomgång

Andra sökningar efter högsta punkt

Använda angivna data för en högsta punkt

Använda ytdata med CMM-enheten för en högsta punkt

Använda ytdata på skärmen för en högsta punkt

Utan att använda CAD-data för en högsta punkt

Skapa en autoytpunkt

Fältdefinitioner för ytpunkter

Utökade fältdefinitioner för ytpunkter

Mäta en ytpunkt

Använda angivna data för en ytpunkt

Använda ytdata med CMM-enheten för en ytpunkt

Använda ytdata på skärmen för en ytpunkt

Använda tråddata med CMM-enheten för en ytpunkt

Använda tråddata på skärmen för en ytpunkt

Utan att använda CAD-data för en ytpunkt

Skapa ett autoelement av typen Rätvinkligt spår

Fältdefinitioner för rätvinkliga spår

Utökade fältdefinitioner för rätvinkliga spår

Mäta ett rätvinkligt spår

Använda angivna data för ett rätvinkligt spår

Använda ytdata med CMM-enheten för ett rätvinkligt spår

Använda ytdata på skärmen för ett rätvinkligt spår

Använda tråddata med CMM-enheten för ett rätvinkligt spår

Använda tråddata på skärmen för ett rätvinkligt spår

Utan att använda CAD-data för ett rätvinkligt spår

Skapa en autocylinder

Fältdefinitioner för cylindrar

Mäta en cylinder

Använda angivna data för en cylinder

Använda ytdata med CMM-enheten för en cylinder

Använda ytdata på skärmen för en cylinder

Använda tråddata på skärmen för en cylinder

Utan att använda CAD-data för en cylinder

Kommentarer om att ställa in cylinderparametrar korrekt

Skapa en autokon

Fältdefinitioner för koner

Mäta en kon

Använda angivna data för en kon

Använda ytdata med CMM-enheten för en kon

Använda ytdata på skärmen för en kon

Använda tråddata på skärmen för en kon

Utan att använda CAD-data för en kon

Skapa en autosfär

Fältdefinitioner för sfärer

Mäta en sfär

Använda angivna data för en sfär

Använda ytdata med CMM-enheten för en sfär

Använda ytdata på skärmen för en sfär

Använda tråddata på skärmen för en sfär

S kapa en autopolygon

Fältdefinitioner för polygoner

Mäta en polygon

Ställa in relativ mätning

Läget Absolut

Den matematiska processen i läget ABSOLUT:

Läget Normal

Den matematiska processen i läget NORMAL


Skapa autoelement: Inledning

I PC-DMIS kan du använda direktdatorstyrda funktioner (CNC-funktioner) om en automatisk CMM-enhet (Coordinate Measuring Machine) används. Med hjälp av de här funktionerna kan du skapa ett valfritt CNC-element i dialogrutan Autoelement.

I PC-DMIS finns ett urval funktioner som underlättar mätning av tunnplåtsdetaljer. Alternativen är tillgängliga som ett extra alternativ i PC-DMIS utöver den grundläggande geometrimjukvaran. Du når alternativen genom att välja respektive menyalternativ i menyraden.

Med undermenyn Infoga | Element | Autoelement får du tillgång till olika mätningsprocedurer som har utformats särskilt för tunnplåt och andra tunna material.

Huvudämnena i detta avsnitt är:

  • Snabba sätt att skapa autoelement

  • Gemensamma alternativ i dialogrutan Autoelement

  • Skapa en autovektorpunkt

  • Skapa en autolinje

  • Skapa ett autoplan

  • Skapa en autocirkel

  • Skapa en autoellips

  • Skapa ett autourtag

  • Skapa ett autoelement av typen Rundat spår

  • Skapa en autovinkelpunkt

  • Skapa en autohörnpunkt

  • Skapa en autokantpunkt

  • Skapa ett autoelement av typen Högsta punkt

  • Skapa en autoytpunkt

  • Skapa ett autoelement av typen Rätvinkligt spår

  • Skapa en autocylinder

  • Skapa en autokon

  • Skapa en autosfär

  • S kapa en autopolygon

  • Ställa in relativ mätning


Snabba sätt att skapa autoelement

Utöver de vanliga metoderna för att skapa autoelement finns det två "genvägar" till att skapa autoelement i PC-DMIS. Här beskrivs dessa två snabba metoder:

  • Rutmarkering – Rita en ruta kring CAD-element för att skapa flera element samtidigt.

  • Enkelklickning – Klicka en gång på en elementtyp som stöds, så skapas ett sådant autoelement automatiskt.

Mer:

Rutmarkering för att skapa flera autoelement

Skapa autoelement med enkelklickning


Rutmarkering för att skapa flera autoelement

Använd verktygsfältet längst ned i det här fönstret för att styra demonstrationen. När du är klar klickar du på den blå ikonen igen för att stänga det här utökade fönstret.

Exempel på något roterad del

Exempel på en något roterad del

Om du väljer i vyn Z+ är den här cirkelns vektor vinkelrät mot arbetsplanet, och därför genereras ingen cirkel för den i PC-DMIS.

Om du lutar detaljen och sedan rutmarkerar, väljs det här elementet.

I det här exemplet används trådmodellblocket Brown and Sharpe (Bsbwire.igs) med autocirklar:

Om du rutmarkerar hela modellen, som inte är helt i riktningen +Z, ser du att de översta och nedersta cirklarna/bågarna väljs eftersom de är synliga objekt som också uppfyller CAD-filterlogiken för autocirklar.

Klicka på Skapa i dialogrutan Markera CAD. Det som visas liknar följande:

Observera att:

  • Cirklar/bågar med samma diameter och vektor slås samman till ett enda element. De översta och nedersta cirklarna för de två mitthålen slås samman till två element, CIR1 och CIR13 (på samma sätt som alla de andra elementen som beräknades med hjälp av de översta och nedersta cirklarna/bågarna). För konelementet skapas dock två element (CIR12 och CIR14), eftersom diametrarna är olika.

  • En cirkel skapas för det bakre hålet, CIR15. Detta beror på att modellen har roterats något. Om vyn fortfarande hade haft riktningen +Z hade inte CIR15 skapats.

I det här exemplet används trådmodellblocket Brown and Sharpe (Bsbwire.igs) med autocylindrar:

Om du gör samma sak som i exempel 1, men med autocylindrar, blir resultatet ungefär följande:

Observera att det inte skapades någon cylinder vid konelementet, eftersom en cylinder måste ha längd och samma diameter.

I det här exemplet används ytmodellblocket Brown and Sharpe (Bsbsolid.igs) med autocirklar och cylindrar:

Om du rutmarkerar för att skapa element med en modell som bara innehåller ytdata (inga tråddata), måste du rotera modellen något i vyn så att de önskade ytorna visas. Så här:

När du klickar på Skapa och elementen skapas utifrån de valda objekten blir resultatet ungefär så här:

Cirkelelement

Cylinderelement

Observera att lutningen innebär att du inte får ett cirkel-/cylinderelement i ena änden av spåret, eller i den översta högra OD-cylindern.

I det här exemplet används den Hexagon-modell som levereras med PC-DMIS (Hexblock_Wireframe_Surface.igs) med autocylindrar.

Ange riktningen Z+ för modellen och rutmarkera hela modellen.

Klicka på Skapa. Det som visas liknar följande:

Om du vänder detaljen till riktningen Z- och lutar detaljen något innan du rutmarkerar, visas något som liknar följande:

Klicka på Skapa. Resultatet blir ungefär följande:

Observera att både ett ID- och ett OD-cylinderelement har skapats för de flesta cylindrarna i detaljen, till exempel de översta högra CYL3 och CYL10.

Rutmarkering för att skapa flera autoelement

Du kan rita en ruta på en CAD-bild för att automatiskt skapa flera autoelement för följande elementtyper som stöds:

  • Autocirkel

  • Autocylinder

Rutmarkering för att skapa element

För att använda rutmarkeringsmetoden för att snabbt skapa flera autoelement av typen cirkel eller cylinder gör du så här:

  1. Importera den CAD-modell som innehåller de autoelement som du vill rutmarkera.

  2. Rotera detaljen och välj antingen Trådmodell eller Ytmodell för att välja den vy där elementen du vill ta med visas tydligast.

  3. Öppna dialogrutan Autoelement (Infoga | Element | Autoelement) Visa menykarta för antingen cirkel- eller cylinderelement.

  4. Med dialogrutan öppen klickar du med musen och "ritar" en ruta kring de elementtyper som du vill skapa autoelement för. Släpp musknappen. Dialogrutan Markera CAD visas, där du kan se antalet valda objekt.

  5. Klicka på Skapa. Flera autoelement av den valda typen skapas utifrån de objekt som valts.

Se en kort demonstration av rutmarkering för att skapa flera autoelement

Detaljerad information om rutmarkering

  • Rutmarkering fungerar bara för objekt som syns i Grafikfönstret. Detta förhindrar att osynliga objekt används när element skapas.

  • Modeller med ingen eller lite ytmodellsgeometri bör lutas något (eller roteras) i Grafikfönstret så att önskade ytor och element syns.

  • På grund av tessellering och visningsnoggrannhet kan utflytande underliggande ytor och kurvor innebära att extra, oväntade objekt används för att skapa elementen. En funktion där de valda objekten jämförs med varandra, för att avgöra det minsta antalet pixlar som krävs för att valet ska anses vara giltigt, minimerar effekten av detta problem. Detta är dock inte en helt säker metod, och vissa objekt som till stor del är dolda kan bli valda för att minimera sannolikheten för att ett giltigt objekt elimineras.

  • När elementen skapas från de valda objekten ignoreras oftast objekt med vektorer som är vinkelräta mot den aktuella vyn. Exempel: Om du använder Hexagon-blocket visat i riktningen +Z med hela modellen rutmarkerad, skapas inget element för det främre hålet som genomskär mitthålet.

  • Filteråtgärder utförs i PC-DMIS för att se till att samma CAD-objekt inte används för att skapa ett annat element i samma läge.

  • Allt eftersom elementen skapas när du har klickat på Skapa visas informationen för varje objekt i statusraden.

Exempel 1: Rutmarkera autocirklar med tråddata

Exempel 2: Rutmarkera autocylindrar med tråddata

Exempel 3: Rutmarkera autocirklar eller autocylindrar med ytdata

Exempel 4: Rutmarkera autocylindrar med både tråddata och ytdata

Mer:

Om dialogrutan Markera CAD


Om dialogrutan Markera CAD

Den här dialogrutan visas när du gör en rutmarkering i en CAD-modell med dialogrutan Autoelement öppen. I dialogrutan visas antalet markerade CAD-element som kan användas för att skapa element av den valda typen.

Skapa: Med den här knappen skapar du autoelement av den valda typen (just nu fungerar detta endast för typerna Cirkel och Cylinder) utifrån de markerade CAD-elementen. Dialogrutan Markera CAD stängs och lämpliga element skapas utifrån varje element som har rutmarkerats. Vektorn avgörs med hjälp av den metod som väljs i området Använd vektor.

Stäng: Dialogrutan stängs och rutmarkeringsåtgärden avbryts.

Visa pilar: Med den här kryssrutan kan du visa eller dölja färgade pilar som visar riktningen för de vektorer som används enligt de metoder som har valts i området Använd vektor.

I området Använd vektor kan du välja vilken metod som ska användas för att definiera vektorerna för de autoelement du är på väg att skapa.

  • Arbetsplan: Om du väljer den här metoden används vektorn för det aktiva arbetsplanet som vektor för varje enskilt element.

  • Senast anv: Om du väljer den här metoden används den vektor som senast placerades i dialogrutan för autoelementet. På så sätt kan du ange en vektor som ska användas för samtliga markerade element.

  • Från CAD: Om du väljer den här metoden används vektorn från CAD-elementet. Den här metoden blir tillgänglig om det finns vektordata för varje element.

  • Sök vektor: Om du väljer den här metoden görs en sökning efter vektorn i de CAD-ytdata som är närmast elementet. Den här metoden är bara tillgänglig om det finns ytdata.


Skapa autoelement med enkelklickning

Se till att dialogrutan Autoelement är öppen och klicka en gång på den plana ytan som innehåller cirkeln för ett hål, eller på den cylindriska änden av en tapp.

  • Huruvida cirkelelementet är ett hål eller en tapp avgörs av vilken kant som är närmast musklickningen. (Se Kommentar B).

  • Om cirkeln har en längd (ett djup), som en cylinder, används cirkeln som är närmast dig för att definiera mittpositionen.

  • Dialogrutan fylls i och cirkelns vektor definieras automatiskt.

Se till att dialogrutan Autoelement är öppen och klicka en gång på den plana ytan som innehåller konens hål, eller på den koniska änden av en kon.

  • Huruvida konelementet är en inner- eller ytterkant avgörs av vilken kant som är närmast musklickningen. (Se Kommentar B).

  • Vektorn för konen pekar bort från dess apex.

  • Dialogrutan fylls i och mittpunkten definieras automatiskt. För innerkoner används den större radien för mittpunkten. För ytterkoner används den mindre radien. Detta görs för att undvika skaftkollisioner när konen mäts.

Se till att dialogrutan Autoelement är öppen och klicka en gång på den plana ytan som innehåller cylindern, eller på en cylindrisk ände av en yttercylinder.

  • Huruvida cirkelelementet är ett hål eller en tapp avgörs av vilken kant som är närmast musklickningen. (Se Kommentar B).

  • Dialogrutan fylls i och cirkelns vektor definieras automatiskt.

  • Samma som för Rundat spår.

Se till att dialogrutan Autoelement är öppen och klicka en gång i närheten av den bakre kanten av urtaget. Om du enkelklickar för att skapa urtagselement definieras elementet alltid som ett innerurtag. Dialogrutan fylls i automatiskt.

Se till att dialogrutan Autoelement är öppen och klicka en gång på ett polygonelement som innehåller minst fem sidor. Dialogrutan fylls i automatiskt och startsidan avgörs utifrån vilken kant som är närmast musklickningen.

Se till att dialogrutan Autoelement är öppen och klicka en gång i närheten av en kant som innehåller hörnpunkten.

  • Vilken kant som är närmast musklickningen avgör vilken slutpunkt som är närmast musklickningen. Den här slutpunkten blir hörnpunkten.

  • Dialogrutan fylls i automatiskt.

Så här fungerar det:

  • Närliggande relativa kanter till den första kanten hittas automatiskt i PC-DMIS. Kanten testas för att kontrollera om den har en slutpunkt som sammanfaller med hörnpunkten. Om detta är fallet hittas en punkt på kanten som ligger mycket nära hörnpunkten. Denna process fortsätter tills två kanter (och två punkter) har hittats som har unika vektorer (helst vinkelräta) mot varandra och den första kanten.

  • När tre punkter har hittats nära hörnpunkten finns dessa på olika kanter. Utifrån de två olika punkterna intill hörnpunkten samt hörnpunkten beräknas de tre planen. Exempel: I den här bilden skapar den GULA hörnpunkten och de RÖDA och VITA punkterna ett plan vars vektor är den BLÅ pilen. På samma sätt ger de GULA, VITA och BLÅ punkterna den röda pilen, och de GULA, BLÅ och RÖDA punkterna ger den VITA pilen.

Se till att dialogrutan Autoelement är öppen och (om du arbetar med ett inre rundat spår) klicka en gång på den plana ytan som innehåller den rundade kanten. Om du arbetar med ett yttre rundat spår klickar du på den översta kanten av den rundade änden, bort från den plats där kurvan slutar och de plana sidorna börjar. (Se Kommentar A).

  • Huruvida elementet är ett inre eller yttre rundat spår avgörs av vilken kant som är närmast musklickningen. (Se Kommentar B).

  • Dialogrutan fylls i och spårets vektor och riktning definieras automatiskt.

  • Se till att dialogrutan Autoelement är öppen och (om du arbetar med ett inre rätvinkligt spår) klicka en gång på den plana ytan nära någon av kanterna. Om du arbetar med ett yttre rätvinkligt spår klickar du på en överkant. (Se Kommentar A).

    • Huruvida elementet är ett inre eller yttre rätvinkligt spår avgörs av vilken kant som är närmast musklickningen. (Se Kommentar B).

    • Dialogrutan fylls i och spårets vektor och riktning definieras automatiskt.

Se till att dialogrutan Autoelement är öppen och klicka en gång på sfärens kant. Dialogrutan fylls i automatiskt.

Se till att dialogrutan Autoelement är öppen och klicka en gång var som helst. Dialogrutan fylls i automatiskt.

Se till att dialogrutan Autoelement är öppen och klicka en gång var som helst. Dialogrutan fylls i automatiskt.

  • Om du arbetar i kurvläget fästs punkten vid närmaste kantlinje.

  • Om du arbetar i ytläge skapas punkten på den plats där du klickade.

Skapa autoelement med enkelklickning

I PC-DMIS skapas kontinuerligt fler funktioner för att göra det enklare att välja autoelement på skärmen med så få musklickningar som möjligt. I tabellen nedan anges vilka autoelement du kan välja med en enda musklickning i kurvläget respektive i ytläget. Dessutom anges hur många gånger du måste klicka för att välja element som ännu inte kan väljas med en enda klickning.

Typ av autoelement | Kurva | Yta
Vinkelpunkt | Nej (2 klickningar) | Nej (2 klickningar)
Cirkel | Ja | Ja
Kon | Ja | Ja
Hörnpunkt | Ja | Ja
Cylinder | Ja | Ja
Ellips | Ja | Ja
Kantpunkt | Nej (2 klickningar) | Nej (2 klickningar)
Högsta punkt | Ja | Ja
Linje | Nej (2 klickningar) | Nej (2 klickningar)
Urtag | Ja | Ja
Plan | Ja | Ja
Polygon | Ja | Ja
Rundat spår | Ja | Ja
Rätvinkligt spår | Ja | Ja
Polygon | Ja | Ja
Sfär | Ja | Ja
Ytpunkt | Ja | Ja
Vektorpunkt | Ja | Ja

Cirkelelement:

Konelement:

Cylinderelement:

Ellipselement:

Urtagselement:

Polygonelement:

Hörnpunktelement:

Rundat spår-element:

Rätvinkligt spår-element:

Sfärelement:

Ytpunktelement:

Vektorpunktelement:

Mer:

Kommentar A

Kommentar B


Kommentar A

I den här bilden gäller följande:

  • De GRÖNA markeringarna bör fungera eftersom linjen/kurvan (eller kanten, om det är en yta) som är närmast markeringarna finns i det plan där spåret definieras.

  • De RÖDA markeringarna fungerar inte eftersom linjen/kurvan (eller kanten, om det är en yta) som är närmast markeringarna inte finns i det plan där spåret definieras.

  • Den GULA markeringen fungerar om ytan är en cylinder.


Kommentar B

Bilden visar Hexagon-modellen vänd så att den visas i riktningen Z-. Följande gäller:

  • De RÖDA markeringarna ger ett YD-element (ytterdiameter).

  • De VITA markeringarna ger ett ID-element (innerdiameter).


Gemensamma alternativ i dialogrutan Autoelement

Mätspetsen anses vara "aktiv" under tiden som du arbetar på någon av flikarna i dialogrutan Autoelement. Detta innebär att det går att avgöra när mätspetsen utböjs. När en utböjning av mätspetsen identifieras förutsätts att det är det aktuella definierade elementet i dialogrutan som mäts. I meddelanderutan visas uppmaningar om att mäta de återstående mätpunkterna (om det finns sådana) för att slutföra det definierade elementet. Om användaren klickar på CAD-data när dialogrutan Autoelement är öppen förutsätts, på samma sätt, att det aktuella definierade elementet lärs in.

Följande funktioner är tillgängliga i mätningar av autoelement.

Obs! En del av objekten i dialogrutan, framför allt i området Ytterligare alternativ, tunnplåt, är bara tillgängliga om du visar de utökade tunnplåtsfunktionerna. För att aktivera de utökade tunnplåtsfunktionerna måste du välja kryssrutan Visa utökade tunnplåtsfunktioner i dialogrutan Inställningsval.

Mer:

Körvägar och riktning för element

Området Egenskaper för mätning

Området Läge

Området Mätpunkter

Området Egenskaper

Området Riktning

Rutan ID

Området Diverse

Området Auto

Området Ytterligare alternativ, tunnplåt

Knapparna Mer och Mindre

Knappen Visa punkter

Knappen Skapa för autoelement


Körvägar och riktning för element

I version 3.7 och senare av PC-DMIS läggs knapparna nedan till i dialogrutan Autoelement. Knapparna är inte tillgängliga och kan inte väljas om du arbetar i manuellt läge i programmet:

Med hjälp av de här knapparna kan du förhandsgranska och ändra mätpunkter och körvägar för det markerade autoelementet och ändra riktningen i den aktuella vyn.

Körväg på/av – Om du klickar på den här knappen visas körvägarna och mätpunktslägena för det aktuella elementet. Om du avmarkerar knappen döljs informationen.

Körvägarna visas som gröna linjer på CAD-modellen. Den röda linjen visar startmätpunkten, och den orange linjen visar var slutmätpunkten finns.

Du kan också högerklicka på en körväg och använda snabbmenyn som visas för att utföra olika funktioner. Mer information finns i Snabbmenyn för körvägar i avsnittet Använda kortkommandon och snabbmenyer.

I följande tabell beskrivs knappen Körväg på/av med ett cirkelautoelement som exempel.

I det här exemplet har start- och slutvinklarna angetts så att endast 180 grader av cirkeln mäts med fyra mätpunkter.

Om du redigerar värdena för start- och/eller slutvinkel ändras även mätpunkterna.

Om du till exempel ändrar slutvinkeln från 180 till 360 visas mätpunkterna runt hela cirkeln i PC-DMIS.

Du kan klicka på en körväg och dra en mätpunkt till ett nytt läge.

För att göra detta rör du musen över körvägen tills den markeras med rött. Klicka sedan och dra mätpunkten till ett nytt läge.

Exempel: Du har en autocirkel med tre initialpunkter och permanenta punkter för att placera ytan kring cirkeln. Dessa linjer visas också i PC-DMIS.

Du kan klicka på och dra de här linjerna till ett nytt läge om du vill att värdet för Distans ska uppdateras dynamiskt, precis som elementmätpunkterna.

Normalriktning – Om du klickar på den här knappen riktas CAD-ritningen så att du tittar ned på elementet. Om du avmarkerar knappen visas den föregående CAD-vyn. Du kan också välja den här funktionen genom att högerklicka på körvägen och välja Normalriktning på snabbmenyn.

Vinkelrätt – Om du klickar på den här knappen riktas CAD-ritningen så att du ser sidan av elementet. Det här är användbart när du definierar djup för ett element eller om du lägger till ytterligare rader med mätpunkter för element som stöder flera lager, t.ex. koner eller cylindrar. För att ange ytterligare rader högerklickar du och väljer Lägg till rad på menyn.

Exempelcylinder när Vinkelrätt är aktivt

Om du avmarkerar Vinkelrätt visas den föregående CAD-vyn. Du kan också välja den här funktionen genom att högerklicka på körvägen och välja Vinkelrätt på snabbmenyn.

Genom att markera Körväg på/av och Vinkelrätt kan du visa elementet vinkelrätt och se på vilket djup mätpunkterna tas i PC-DMIS.

För att ändra djupet markerar du den gröna linjen med mätpunkter i den här vyn och klickar och drar uppåt eller nedåt för att ange ett nytt djup.


Området Egenskaper för mätning

I området Egenskaper för mätning i dialogrutan finns en del av eller samtliga följande objekt, beroende på vilket autoelement du skapar.

Obs! I området Egenskaper för mätning finns också områdena Läge, Egenskaper och Riktning. Se Området Läge, Området Egenskaper och Området Riktning.

Mer:

Listan Typ av autoelement

Kryssrutan Säkerhetsplan

Kryssrutan Mät

Listan Elementtyp


Listan Typ av autoelement

Med listan Typ av autoelement kan du öppna dialogrutan för det valda autoelementet. Följande autoelement visas i listan:

  • Vektorpunkt

  • Linje

  • Plan

  • Cirkel

  • Ellips

  • Urtag

  • Rundat spår

  • Vinkelpunkt

  • Hörnpunkt

  • Kantpunkt

  • Högsta punkt

  • Ytpunkt

  • Rätvinkligt spår

  • Cylinder

  • Sfär

  • Kon


Kryssrutan Säkerhetsplan

Kryssrutan Säkerhetsplan är bara tillgänglig i CNC-läget.

Med kryssrutan Säkerhetsplan visar du den aktuella inställningen för säkerhetsplanet. Om du markerar kryssrutan infogas en SÄKPLAN-RÖRELSE (relativt mot det aktuella koordinatsystemet och detaljens nollpunkt) före den första automatiska mätpunkten. Efter att den sista mätpunkten på elementet har mätts stannar mätspetsen kvar på mätdjupet tills den behövs för nästa element. Om du använder säkerhetsplan behöver du inte lägga så mycket tid på programmering och definiering av mellanliggande rörelser. (Se Parameterinställningar: fliken Säkerhetsplan i avsnittet Göra inställningar om du vill ha mer information om säkerhetsplan.)

Om du markerar kryssrutan Säkerhetsplan infogas ett VIA/SÄKERHETSPLAN-kommando före elementet.

Så här ser kommandoraden för det här alternativet ut i Redigeringsfönstret:
VIA/SÄKERHETSPLAN

Obs! Säkerhetsplan används inte vid tagning av stödpunkter. När du mäter tappar är det därför viktigt att du anger distansvärdet till en distans som tillåter mätspetsen att röra sig runt tappen.


Kryssrutan Mät

Med kryssrutan Mät kan du starta mätningsprocessen. Om du markerar den här kryssrutan mäts detaljen utifrån de värden som har angetts i dialogrutan när du klickar på knappen Skapa.


Listan Elementtyp

Med listan Elementtyp kan du ange en mer specifik undertyp för det element du skapar. Den här listan är bara tillgänglig för följande element:

För vektorpunkter kan du markera ENKELPUNKT eller TYNGDPUNKT i listan.

För kantpunkter är listan för närvarande tom.

För cirklar används listan med element som mäts med CMT-mätspetsar.

För rätvinkliga spår är listan för närvarande tom.


Området Läge

I området Läge i dialogrutan finns en del av eller samtliga följande objekt, beroende på vilket autoelement du skapar:

Mer:

Inmatningsfält för punkt (XYZ)

Inmatningsfälten för start- och slutpunkt (XYZ)

Inmatningsfält för centrumpunkt (XYZ)

Pol.-/Rekt.-alternativ

Knappen Sök

Knapparna Läs pos/Läs position


Inmatningsfält för punkt (XYZ)

För element av typen Vektorpunkt, Ytpunkt, Kantpunkt, Vinkelpunkt och Hörnpunkt innehåller inmatningsfälten för punkt (XYZ) de nominella XYZ-värdena för elementets läge.

När det nya värdet har skapats ritas den animerade mätspetsen i det nya läget. Detta läge är också den plats där mätpunkten tas på detaljen.

För ett element av typen Högsta punkt innehåller inmatningsfälten för punkt (XYZ) de nominella XYZ-värdena för startpunkten.

När det nya värdet har skapats ritas den animerade mätspetsen i det nya läget. Detta läge är också startläget för sökningen. När körningen är klar innehåller XYZ-punkten den högsta punkten i det aktuella arbetsplanet. Under senare körningar används dock den ursprungliga startpunkten för sökning.


Inmatningsfälten för start- och slutpunkt (XYZ)

I inmatningsfälten för start- och slutpunkt (XYZ) visas start- och slutpunkterna för ett autoelement av typen Linje. Du kan klicka på knapparna Läs pos. för att visa XYZ-läget för den aktuella mätspetsen. Du kan också välja att bara ta mätpunkter på detaljen för att ta fram värden för start- och slutpunkt. Observera att slutpunktsfälten bara visas om du har valt alternativet Begränsad i området Typ.

Läs mer under Typerna Begränsad och Obegränsad.


Inmatningsfält för centrumpunkt (XYZ)

De här rutorna är bara tillgängliga för autoelement av följande typer: Cirkel, Cylinder, Sfär, Rätvinkligt spår, Rundat spår, Ellips, Urtag och Kon.

I inmatningsfälten för centrumpunkt (XYZ) visas de nominella XYZ-värdena för elementets läge.

Så här ändrar du de nominella värdena:

  1. Välj det befintliga värdet.

  2. Skriv in ett nytt värde.

När värdet har skapats ritas den animerade mätspetsen i det nya läget. Detta läge är också elementets centrumpunkt.

För ett urtag är detta läge urtagets medelpunkt längs den icke-parallella sidan.

Observera för cylindrar: Om en cylinder definieras som ett hål måste centrumpunkten definieras högst upp på cylindern. Om cylindern definieras som en tapp måste centrumpunkten definieras längst ned på cylindern.


Pol.-/Rekt.-alternativ

Genom att klicka på de här alternativknapparna växlar du mellan inställningarna Rekt. och Pol. Med de här alternativen kan du välja vilket koordinatsystem som ska användas för att visa punkt- eller mittvärdena för autoelementet. I läget Rekt. visas värdena i koordinatsystemet XYZ. I läget Pol. visas värdena som radie, vinkel och höjd (visas som R, A respektive H i dialogrutan). Höjdvärdet beror på vilket arbetsplan som används för tillfället. Om det aktuella arbetsplanet är ZPLUS är höjden lika med Z-värdet.


Knappen Sök

Med knappen Sök kan du söka efter det närmaste CAD-elementet i CAD-ritningen utifrån värdena i inmatningsfälten för punkt (XYZ). I PC-DMIS kan du skriva in eller ytvälja relevant information.

När du klickar på kommandoknappen Sök görs en sökning längs den markerade axeln tills det närmaste CAD-elementet påträffas. Därefter placeras värdet för axeln där CAD-elementet påträffades i respektive punktruta. Detta görs genom att varje yta i CAD-data genomborras, och den punkt som är närmast de angivna XYZ-värdena behålls. XYZ-punkten och ytnormalvektorn (IJK) visas sedan i dialogrutan.

Inmatningsmetoden

Med inmatningsmetoden kan du skriva in två axlar och markera kryssrutan för den axel där sökningen efter det närmaste CAD-elementet ska utföras.

Så här gör du:

  1. Skriv in värdena för samtliga tre axlar.

  2. Markera kryssrutan för den axel där du vill söka efter det närmaste CAD-elementet.

  3. Klicka på knappen Sök.

Det är viktigt att du skriver in ett värde som ligger nära det CAD-element du söker efter.

Ytvalsmetoden

I ytvalsläget kan du använda musen för att markera en CAD-yta. Från den här ytan får du sedan de nödvändiga värdena för inmatningsfälten för punkt (XYZ).

Så här gör du:

  1. Markera CAD-ytan med vänster musknapp. XYZ-värdena förs automatiskt in i dialogrutan.

  2. Ändra XYZ-värdena om det behövs.

  3. Markera kryssrutan för sökaxeln.

  4. Klicka på knappen Sök.

Punkt- och vektorvärdena visas i dialogrutan om angivna data genomborrar ytan.


Knapparna Läs pos/Läs position

Med knappen Läs pos eller Läs position kan du starta en omedelbar avläsning av det aktuella läget för mätspetsen. Läget fylls sedan i automatiskt i XYZ-värdena för elementet.


Området Mätpunkter

I området Mätpunkter i dialogrutan finns en del av eller samtliga följande objekt, beroende på vilket autoelement du skapar:

Mer:

Listorna Inledn. och Perm.

Rutan Distans

Rutorna Indrag

Rutan Djup

Rutan Ant. pktr (Antal mätpunkter)

Kryssrutan Breddmätn.


Listorna Inledn. och Perm.

Med listorna Inledn. och Perm. kan du ange hur många stödpunkter som ska tas för autoelementet. Stödpunkterna används för att mäta planet kring det nominella punktläget.

  • Stödpunkterna i listan Inledn. tas bara vid den inledande mätningen av elementet när detaljprogrammet körs.

  • Stödpunkterna i listan Perm. används för alla efterföljande mätningar när detaljprogrammet körs.

I tabellen nedan visas de autoelement där stödpunkter används, och hur stödpunkterna används för mätning av varje element.

Autoelement

Beskrivning av stödpunkter

Ytpunkter

Noll och tre är de enda giltiga värdena.

  • Om du anger värdet 0 mäts punkten vid den angivna nominella anloppsvektorn.

  • Om du anger värdet 3 mäts ett plan kring det nominella punktläget och ytnormalvektorn från de tre mätta punkterna används för anlopp till det nominella punktläget.

Kantpunkter

Alla värden från noll till fem kan användas, men antalet permanenta stödpunkter får inte vara större än antalet inledande stödpunkter (i listan Inledn.).

Punkten mäts med utgångspunkt från det angivna värdet:

  • Om värdet är 0 mäts punkten vid de angivna nominella anlopps- och normalvektorerna.

  • Om värdet är 1 mäts en punkt på normalytan. Kantmätningen projiceras sedan in i den nominella ytan genom den här punkten. Alla DJUP-värden förskjuts från punkten.

  • Om värdet är 2 tas två stödpunkter på kanten längs den angivna nominella anloppsriktningen. Därefter används dessa stödpunkter för att beräkna en ny anloppsvektor för den faktiska punktmätningen längs kanten.

  • Om värdet är 3 mäts punkten med en kombination av en respektive två stödpunkter. Den här mätningsmetoden kallas ofta för "Flush och spel"-mätning.

  • Om värdet är 4 mäts de tre stödpunkterna på normalytan och ytnormalvektorn justeras. Kantmätningen projiceras sedan in i denna nya nominella yta. Alla DJUP-värden förskjuts från punkten. Slutligen mäts punkten längs anloppsvektorn.

  • Om värdet är 5 mäts punkten genom att tre stödpunkter tas på normalytan och två punkter tas på kanten längs den angivna nominella anloppsriktningen. Den här mätningsmetoden anses vara mest exakt.

Olika inledande och permanenta stödpunkter för kantpunkter

Vinkelpunkter

För elementet Vinkelpunkt kan du bara ange stödpunkter av typen Perm.

Stödpunkterna används på varje yta. De giltiga värdena för det här alternativet är två och tre.

  • Om du väljer två stödpunkter tas de längs en linje som är vinkelrät mot kantvektorn.

  • Om du väljer tre stödpunkter utgör de ett plan på varje yta (se ritningen).

Två och tre stödpunkter av typen Perm för en vinkelpunkt

Cirklar, cylindrar och koner

De definierade stödpunkterna används för att mäta ytnormalen till elementet. Det angivna antalet mätpunkter placeras med jämna avstånd mellan de angivna start- och slutvinklarna.

Hur punkten mäts beror på vilket värde som har angetts. Exempel:

  • Om Typ = HÅL och det angivna värdet är noll tas inga stödpunkter.

  • Om Typ = TAPP och det angivna värdet är noll tas inga stödpunkter. Värdet Höjd behandlas sedan som om elementet var ett HÅL och inte en TAPP.

  • Om Typ = HÅL och det angivna värdet är ett tas punkten på utsidan av elementet.

  • Om Typ = TAPP och det angivna värdet är ett tas punkten högst upp på tappen.

Obs! Om du skriver ett värde i rutan Höjd och något av värdena i rutorna Inledn. och Perm. inte är noll förutsätts att det är en tapp som mäts, och då måste en punkt tas högst upp på tappen. Om värdena för Inledn. och Perm. är noll fungerar dock värdet Höjd enligt beskrivningen för TYP = HÅL. (se Rutan Höjd)

I figuren ovan är STRTV = Startvinkel. SLUTV = Slutvinkel.

  • Om det angivna värdet är 3 mäts ytan vid tre mätpunkter med jämna avstånd, med början från startvinkeln. Stödpunkterna blir relativa mot det mätta planet och alla eventuella värden förskjuts från dessa punkter.

I figuren ovan är STRTV = Startvinkel och SLUTV = Slutvinkel.

Obs! De nominella X-, Y- och Z-värdena för tappen förväntas vara vid basen. Om mittpunkten är högst upp på tappen anger du negativa värden för djup och distans.

Sfärer

Det går bara att ange en stödpunkt i rutan Inledn. och en i rutan Perm. När en stödpunkt anges körs följande procedur när du kör detaljprogrammet:

  1. Den automatiska mätningen stoppas innan sfären mäts.

  2. Du uppmanas att ta en mätpunkt i den riktning som sfären ska mätas.

  3. När du har tagit stödpunkten klickar du på Fortsätt.

  4. Därefter tas ytterligare tre mätpunkter automatiskt på sfären i ett område som avgörs av distansvärdet.

Med hjälp av dessa fyra mätpunkter och det beräknade läget för sfären mäts sfären med det angivna antalet mätpunkter, rader och vinklar.

Rätvinkliga och rundade spår

Giltiga värden är noll, ett och tre. Det mätta planet används som centrumlinjens vektor för projicering och mätningsdjup.

Spåret mäts med utgångspunkt från det angivna värdet. Om det angivna värdet är:

  • 0 mäts det angivna spåret. Inga stödpunkter tas.

  • 1 mäts ytan vid mitten av spåret. Spårmätpunkten placeras till höger om vektorn.

  • 3 mäts ytan vid tre mätpunkter med jämna avstånd med början från SPÅR A. Spårmätpunkterna blir relativa mot det mätta planet och alla eventuella värden förskjuts från dessa punkter.

Inledn./Perm. för tre mätpunkter på ett rätvinkligt spår (till vänster) och ett rundat spår (till höger)

Obs! För att ta mätpunkterna på den motsatta sidan av spåret vänder du centrumlinjens vektor.

Ellipser

Giltiga värden är noll, ett och tre. Det mätta planet används som centrumlinjens vektor för projicering och mätningsdjup.

Ellipsen mäts med utgångspunkt från det angivna värdet. Om det angivna värdet är:

  • 0 mäts den angivna ellipsen. Inga stödpunkter tas.

  • 1 tas en mätpunkt i det läge som VINKELVEK pekar mot (d.v.s. 0° + DISTANS), alltså inte i mitten av ellipsen (detta kan vara särskilt svårt om ellipsen är ett hål).

  • 3 mäts ytan vid punkter utanpå (eller inuti) ellipsen på ett angivet avstånd från ytterkanten (värdet Distans). Den första mätpunkten tas vid den angivna startvinkeln. Den andra punkten placeras halvvägs mellan start- och slutvinkeln. Den sista mätpunkten tas vid slutvinkeln. Mätpunkterna blir relativa mot det mätta planet och alla eventuella värden förskjuts från dessa punkter.

Obs! För att ta mätpunkten på den motsatta sidan av ellipsen vänder du centrumlinjens vektor.

Urtag

Stödpunkterna definierar också kanten för vinkelvektorn och bredden. De enda giltiga värdena är värden från noll till fem. Det mätta planet används som centrumlinjens vektor för projicering och mätningsdjup.

Urtaget mäts med utgångspunkt från det angivna värdet. Om det angivna värdet är:

  • 0 mäts det angivna urtaget. Inga stödpunkter tas.

  • 1 mäts ytan vid kanten av urtaget.

  • 2 mäts kanten längs urtagets öppna sida. Detta värde definierar vinkelvektorn och används för att ta fram bredden för urtaget.

  • 3 mäts ytan med två mätpunkter i ena änden av urtaget och en mätpunkt i andra änden. Mätpunkterna blir relativa mot det mätta planet och alla eventuella värden förskjuts från dessa punkter.

  • 4 mäts ytan på samma sätt som med tre stödpunkter. En fjärde mätpunkt tas på kanten längs den öppna sidan. Denna punkt används när bredden för urtaget ska tas fram.

  • 5 mäts ytan på samma sätt som med tre stödpunkter. Dessutom mäts kanten längs den öppna sidan på samma sätt som två stödpunkter.


Rutan Distans

I rutan Distans definieras det avstånd från det nominella punktläget som används för att mäta ett plan om stödpunkter anges.

Så här ändrar du värdet:

  1. Markera värdet.

  2. Skriv in ett nytt värde.

Om du inte anger något värde används ett standardavstånd.

Autoelement

Distansbeskrivning

Ytpunkter

I rutan Distans definieras radien för den cirkel där det nominella värdet och stödpunkterna finns.

Kantpunkter

I rutan Distans definieras radien för den cirkel där det nominella värdet och stödpunkterna finns.

Vinkelpunkter

I rutan Distans definieras förskjutningsavståndet (offset) mellan punkterna på var sin sida om krökningen.

Hörnpunkter

I rutan Distans definieras avståndet från radien för den första mätpunkten till de andra mätpunkterna.

Cirklar, cylindrar och koner

I rutan Distans definieras avståndet från omkretsen för cirkeln till stödpunkterna.

Obs! Säkerhetsplan används inte vid tagning av stödpunkter. När du mäter tappar är det därför viktigt att du anger ett distansvärde som tillåter mätspetsen att röra sig runt tappen.

Obs! De nominella X-, Y- och Z-värdena för tappen förväntas vara vid basen. Om mittpunkten är högst upp på tappen anger du negativa värden för djup och distans.

Sfärer

I rutan Distans definieras avståndet från mittaxeln längs överkanten av sfären till stödpunkten/-punkterna. När stödpunkter tas används en bästanpassningsprocedur för läget för att definiera var mittpunkten ska ligga. Den här proceduren gör det lättare att hitta det allmänna läget för sfären innan den mäts.

Rätvinkliga spår, rundade spår och ellipser

I rutan Distans definieras avståndet från elementets yttre kant till stödpunkten/-punkterna.

Distans för ett rätvinkligt spår eller ett urtag (till vänster) respektive ett rundat spår (till höger)

Plan

I rutan Distans definieras det avstånd mellan mätpunkterna som utgör planet.


Rutorna Indrag

I rutan Indrag visas det minsta förskjutningsavståndet från punktens läge till den första stödpunkten.

Så här ändrar du avståndet:

  1. Markera det befintliga värdet.

  2. Skriv in ett nytt värde.

Kantpunkter

I rutan Indrag visas det minsta förskjutningsavståndet från punktens läge till den första mätpunkten på vardera sidan om krökningen (eller kanten).

Förskjutningsavstånd från kanten

Vinkelpunkter

I PC-DMIS kan du använda två Indrag-rutor, Indrag 1 och Indrag 2, för att ange förskjutningsavstånden från punktens läge till stödpunkterna på krökningens två ytor i en vinkelpunkt.

Indrag för en vinkelpunkt

  • I rutan Indrag 1 kan du ange förskjutningsavståndet från punktens läge till stödpunkterna på krökningens första yta.

  • I rutan Indrag 2 kan du ange förskjutningsavståndet från punktens läge till stödpunkterna på krökningens andra yta.

Hörnpunkt

I PC-DMIS kan du använda tre Indrag-rutor, Indrag 1, Indrag 2 och Indrag 3, för att ange förskjutningsavstånden från punktens läge till stödpunkterna på krökningens tre ytor i en hörnpunkt.

  • I rutan Indrag 1 kan du ange förskjutningsavståndet från punktens läge till stödpunkterna på det första av de tre planen.

  • I rutan Indrag 2 kan du ange förskjutningsavståndet från punktens läge till stödpunkterna på det andra av de tre planen.

  • I rutan Indrag 3 kan du ange förskjutningsavståndet från punktens läge till stödpunkterna på det tredje av de tre planen.

Indrag för en hörnpunkt. Vi ser en av ytorna där 1 är indragspunkten, och 2 och 3 är stödpunkterna.

Urtag

I rutan Indrag anges avståndet in från kanten på den öppna änden av urtaget där de parallella sidomätpunkterna tas.


Rutan Djup

Djup stöds för följande elementtyper: Kantpunkt, Cirkel, Cylinder, Kon, Rätvinkligt spår, Rundat spår, Ellips och Urtag

I rutan Djup definieras på vilket avstånd från ytan som stödpunkter mäts, och på vilket avstånd från ytan som själva elementet mäts.

Så här ändrar du värdet:

1. Markera det befintliga värdet.

2. Skriv in ett nytt värde.

I den här tabellen finns information om hur djup fungerar för vart och ett av autoelementen:

Kantpunkt

Om en, två eller tre stödpunkter indikeras (se Inledn. och Perm) används djupvärdet från värdet för den mätta ytan.

Djup för Kantpunkt

Cirkel, Cylinder och Kon

Det här avståndet används som ett positivt värde längs centrumlinjens vektor från elementets mittpunkt. För cylindrar och koner används värdet en gång för varje lager med mätpunkter.

Alternativet TYP = HÅL/ PIN påverkar hur värdet används. Ett positivt djupvärde för alternativet HÅL innebär att mätspetsen flyttas djupare in i hålet. Ett positivt djupvärde för alternativet PIN innebär att mätspetsen flyttas längre upp på tappen. (Mer information finns i Alternativen Inv. och Utv.)

Obs! De nominella X-, Y- och Z-värdena för tappen förväntas vara vid basen. Om mittpunkten är högst upp på tappen anger du ett negativt djupvärde.

Linje

Avståndet används som ett positivt värde längs den vektor som är vinkelrät mot linjevektorn och kantvektorn.

Linjens djup beror på riktningen för mätpunkterna i relation till det aktuella koordinatsystemet. Exempel: Om du använder typiska riktningar (X/Höger, Y/Bakåt och Z/Uppåt) och du tar den första och andra mätpunkten från vänster till höger på modellen, måste du använda ett positivt djupvärde. Om du tar den första och andra mätpunkten från höger till vänster på modellen måste du använda ett negativt djupvärde.


Rutan Ant. pktr (Antal mätpunkter)

I rutan Ant. pktr anges antalet mätpunkter som ska användas för att mäta elementet. Det angivna antalet mätpunkter placeras med jämna avstånd mellan de angivna start- och slutvinklarna.

Så här ändrar du värdet:

  1. Välj det befintliga värdet.

  2. Skriv in ett nytt värde.

Cirkel eller ellips

Om start- och slutvinkeln har samma värde, eller skillnaden är en multipel av 360°, tas bara en mätpunkt på den gemensamma start- och slutplatsen.

Placering av mätpunkter

Cylinder eller kon

För det här elementet definieras antalet mätpunkter (per rad).

Obs! Minst sex mätpunkter krävs för att mäta elementet (tre punkter vardera på de två lagren).

Sfär

För att mäta en sfär krävs minst fyra mätpunkter.

Rundat spår

Om ett värdet för antalet mätpunkter är udda ökas det automatiskt med ett. På så sätt blir det alltid ett jämnt antal mätpunkter för rundade spår. Hälften av punkterna tas på halvcirkeln i ena änden av spåret, och hälften i den andra änden. Minst sex mätpunkter krävs.

Plan

För att mäta ett plan krävs minst tre mätpunkter. Det totala antalet mätpunkter för planelement skapas dock av produkten av värdena i rutorna Ant. pktr och Rader. Om värdet 2 har angetts i rutan Ant. pktr och värdet 3 har angetts i rutan Rader blir slutresultatet sex mätpunkter.

Linje

I den här rutan kan du ange valfritt antal mätpunkter. Beroende på vilken typ av linje som används och vilket värde som anges, utförs följande i en trelinjeriktning:

Om du skapar en begränsad linje används den beräknade längden för linjen, och mätpunkterna sprids med jämna avstånd längs linjen så att den första och sista punkten placeras på start- och slutpunkterna.

Om du skapar en obegränsad linje används det inskrivna längdvärdet, och mätpunkterna sprids med jämna avstånd längs linjens riktningsvektor.

Obs! Om du inte anger ett längdvärde (eller om värdet är noll) används den aktuella mätspetsens diameter som avstånd mellan punkterna.


Kryssrutan Breddmätn.

Den här kryssrutan är bara tillgänglig för följande autoelement: Rätvinkligt spår

När kryssrutan Breddmätn. är markerad och du klickar på knappen Skapa sker följande i PC-DMIS:

  • Två mätpunkter på sidan av spåret mäts.

  • Vinkelvektorn justeras.

  • Två mätpunkter på den motsatta sidan mäts för att beräkna bredden.

  • Läget för de sista två mätpunkterna justeras i varje ände för bredden.


Området Egenskaper

I området Egenskaper i dialogrutan finns en del av eller samtliga följande objekt, beroende på vilket autoelement du skapar:

Mer:

Kryssrutan Fästpunkt

Kryssrutan Yttre

Rutan Stegvärde

Rutan Tolerans

Rutan Bredd

Rutan Längd

Knappen Rektangel

Knappen Cirkelformig

Rutan Rader

Rutan Diameter

Rutan Startvinkel

Rutan Slutvinkel

Rutan Mätvinkel

Rutan Stigning

Rutan Startvink.1

Rutan Slutvink.1

Rutan Startvink.2

Rutan Slutvink.2

Rutan Radie

Rutan Stordiam.

Rutan Lilldiam.

Rutan Vinkel

Mönstret Fyrkant/Radiell

Typerna Begränsad och Obegränsad


Kryssrutan Fästpunkt

Den här kryssrutan är bara tillgänglig för följande autoelement: Vektorpunkt och Ytpunkt

När vissa typer av element mäts kan användaren ange om de mätta värdena ska "fästas" mot den teoretiska vektorn. Om du markerar kryssrutan Fästpunkt placeras all avvikelse längs vektorn för punkten. Detta är användbart om du vill fokusera på en avvikelse längs en specifik vektor.

Exempel: Du mäter en plan bordsyta i planet XY och du tar tre mätpunkter från Z-axeln. Även om X- och Y-värdena för de mätta punkterna avviker är detta irrelevant eftersom bordet är plant. Alla eventuella förskjutningar eller avvikelser längs Z-axeln är dock viktiga. Om du markerar Fästpunkt anses X- och Y-värdena vara korrekta och alla fel ignoreras. Med Fästpunkt visas bara bordets avvikelse längs Z-axeln.


Kryssrutan Yttre

Den här kryssrutan är bara tillgänglig för autoelementet Vinkelpunkt.

Med kryssrutan Yttre definierar du vinkeln som inre (omarkerad ruta) eller yttre (markerad ruta). Vinkeln är inre om den solida vinkeln av detaljen är mindre än 180°, och en yttre vinkel är alltså större än 180°. Om du markerar kryssrutan mäts vinkeln som yttre i PC-DMIS. Det är viktigt att det här alternativet ställs in korrekt eftersom de olika typerna mäts med olika sekvenser.


Rutan Stegvärde

Den här rutan är bara tillgänglig för autoelementet Högsta punkt.

Med rutan Stegvärde kan du ange vilket stegvärde som ska användas när du söker efter den högsta punkten i sökområdet. Sökningen påbörjas från startpunkten (eller sökpunkten) med det värde som har angetts i rutan Stegvärde.


Rutan Tolerans

Den här rutan är bara tillgänglig för autoelementet Högsta punkt.

Med rutan Tolerans kan du ange ett toleransvärde som i princip anger när en sökning efter en högsta punkt inom ett angivet område ska avslutas. Toleransvärdet ska alltid vara mindre än stegvärdet. Under sökprocessen minskas stegvärdet tills det är mindre än eller lika med det angivna värdet för Tolerans, vilket innebär att den högsta punkten i det aktuella arbetsplanet har hittats.


Rutan Bredd

Högsta punkt | I rutan Bredd definieras bredden på sökområdet. Om du anger ett värde för Längd men anger 0 för Bredd motsvarar värdet för Bredd längden längs storaxeln för det aktuella arbetsplanet.
Rätvinkliga spår, rundade spår, ellipser och urtag | I rutan Bredd visas bredden för elementet.


Rutan Längd

Högsta punkt | I rutan Längd definieras bredden på sökområdet. Om du anger ett värde för Bredd men anger 0 för Längd motsvarar värdet för Längd längden längs lillaxeln för det aktuella arbetsplanet.
Rätvinkligt spår, Rundat spår, Ellips, Urtag och Linje | I rutan Längd visas längden för elementet.


Knappen Rektangel

Den här knappen är bara tillgänglig för elementet Högsta punkt.

Med knappen Rektangel kan du definiera sökläget som ska användas för att returnera den högsta punkten i PC-DMIS.

Om du klickar på knappen Rektangel ändras sökläget. Rutorna Bredd och Längd byts ut mot rutorna Ytterradie och Innerradie, och knappen Rektangel byts ut mot knappen Cirkelformig. (se avsnittet om knappen Cirkelformig).

Om knappen som visas är Rektangel blir sökområdet för elementet Högsta punkt ett område som definieras med hjälp av värdena för Bredd och Längd. Den högsta punkten inom området rapporteras i PC-DMIS.

Obs! Startpunkten måste ligga inom sökområdet som definieras av parametrarna Bredd och Längd för Rektangel. Vad gäller linjesökning, som är ett specialfall, justeras startpunkten automatiskt så att den ligger på linjen.

Knappen Rektangel visas som standard.


Knappen Cirkelformig

Den här knappen är bara tillgänglig för elementet Högsta punkt.

Med knappen Cirkelformig kan du definiera sökläget som ska användas för att returnera den högsta punkten i PC-DMIS.

Om du klickar på knappen Cirkelformig ändras sökläget. Rutorna Ytterradie och Innerradie byts ut mot rutorna Bredd och Längd, och knappen Cirkelformig byts ut mot knappen Rektangel. (se avsnittet om knappen Rektangel).

Om knappen som visas är Cirkelformig blir sökområdet för elementet Högsta punkt ett cirkulärt sökområde som definieras med hjälp av värdena för Ytterradie och Innerradie.

  • Om du vill ha ett helt cirkelområde anger du 0 som värde för innerradien.

  • Om du vill ha en cirkulär söklinje anger du samma värde för ytter- och innerradien.

Den högsta punkten längs omkretsen rapporteras.

Obs! Startpunkten måste ligga inom sökområdet som definieras av parametrarna Innerradie och Ytterradie för Cirkelformig. Vad gäller linjesökning, som är ett specialfall, justeras startpunkten automatiskt så att den ligger på linjen.


Rutan Rader

Den här listan är bara tillgänglig för följande autoelement: Cylinder, Sfär, Kon och Plan.

I rutan Rader anges antalet rader som ska användas för att mäta elementet. Alla heltal som är större än ett kan användas.

För en cylinder eller kon sprids raderna med jämna avstånd mellan elementets djup och längd.

För en sfär sprids raderna med jämna avstånd mellan Startvink. 2 och Slutvink. 2.

För ett plan används antalet rader och antalet mätpunkter för att avgöra det totala antalet mätpunkter som ska användas för att skapa autoplanet.


Rutan Diameter

Den här rutan är bara tillgänglig för följande autoelement: Cirklar, cylindrar, sfärer, koner och polygoner

I rutan Diameter definieras diametern för elementet. Om elementet är en tapp visas det nominella angivna värdet i rutan Diameter.

Så här ändrar du elementets diameter:

  1. Välj det befintliga värdet.

  2. Skriv in ett nytt värde.

När elementet har skapats uppdateras elementets storlek i Grafikfönstret.

För en kon motsvarar det här värdet den nominella diametern i den ände av konen där du har definierat X-, Y- och Z-läget.

För en polygon är diametern avståndet mellan de två motstående sidorna i liksidiga polygoner. För andra polygoner, till exempel liksidiga trianglar, är diametern lika med två gånger radien för den största cirkel som kan inskrivas i polygonen.


Rutan Startvinkel

Den här rutan är bara tillgänglig för följande autoelement: Cirklar, cylindrar, ellipser och koner

I rutan Startvinkel visas startvinkeln för elementet. Användaren anger vinkelvärdet i decimalgrader.

Så här ändrar du startvinkeln:

  1. Välj det befintliga värdet.

  2. Skriv in ett nytt värde.

Obs! Storaxeln för det aktuella arbetsplanet är 0°. Startvinkeln är riktad ned mot centrumlinjen och flyttas moturs.

Förskjutningsinformation (offset): När en båge skapas utifrån ett cirkelformigt autoelement (en cirkel, cylinder, kon, sfär eller ett rundat spår) förskjuts start- och slutvinklarna med två grader vardera. På det här sättet mäts inte bågar som hämtas från CAD-data vid start- och slutvinklarna, vilket skulle kunna leda till att ett hörn träffades. Det här är vanligtvis inget problem, såvida du inte försöker skapa en liten båge med en vinkel på bara några få grader. Exempel: Om du vill skapa en båge med fyra grader med hjälp av fliken Cirkel måste du skriva in en bågparameter på åtta grader i rutorna Startvinkel och Slutvinkel eftersom du vet att bågen kortas automatiskt med två grader i varje vinkel.


Rutan Slutvinkel

Den här rutan är bara tillgänglig för följande autoelement: Cirklar, cylindrar, ellipser och koner

I rutan Slutvinkel visas slutvinkeln för elementet. Användaren anger vinkelvärdet i decimalgrader.

Så här ändrar du slutvinkeln:

  1. Välj det befintliga värdet.

  2. Skriv in ett nytt värde.

Obs! När du anger start- och slutvinkel är det viktigt att komma ihåg att IJK-vektorn alltid är riktad ned mot centrumlinjen, och att cirkulära CNC-element mäts moturs i PC-DMIS.

För autocirklar läser du under Förskjutningsinformation (offset) i Rutan Startvinkel.


Rutan Mätvinkel

Rundade spår har två rundade ändar med upp till 180 graders mätningsradie vardera. Med värdet i rutan Mätvinkel anger du hur mycket av radien som ska mätas. Det angivna värdet delas med två, så att hälften mäts på vardera sidan om vinkelvektorn för spåret.

Exempel: Du skriver 90 i rutan. När du skapar det rundade spåret mäts 45 grader till vänster och 45 grader till höger om vinkelvektorn (eller vice versa, beroende på vinkelvektorn).


Rutan Stigning

Den här rutan är bara tillgänglig för följande autoelement: Cirklar och cylindrar

Rutan Stigning gör det enklare att utföra exakta mätningar av gängade hål och tappar. I PC-DMIS är stigningen lika med avståndet mellan gängorna längs elementets axel. Om värdet i rutan Stigning är något annat än noll PC-DMIS sprids mätpunkterna för elementet längs TEOR-axeln kring elementet med avstånd som skapas utifrån start- och slutvinklarna.

Obs! Utanför PC-DMIS definieras stigning vanligtvis som antal gängor per cm.

Cirkel

Om ett standardgängemönster (medurs) ska följas måste du byta plats på start- och slutvinklarna (d.v.s. 720–0), och om du vill att mätningen ska göras från stigande till sjunkande stigning (uppåt/nedåt) måste du ange ett negativt stigningsvärde.

Exempel: Om du mäter en cirkel med fyra mätpunkter med jämna avstånd kring cirkeln placeras den första mätpunkten vid startvinkeln på det angivna djupet. Den andra mätpunkten placeras med 90 graders vridning från den första punkten, med följande djup: (djup – ((punktnr–1) / totalt_antal_pktr * stigning)). Den tredje mätpunkten placeras med 180 graders vridning från den första punkten, med följande djup: (djup – ((punktnr–1) / totalt_antal_pktr * stigning)). Alla övriga punkter placeras också enligt detta mönster.

Cylinder

Exempel: Om du mäter en cylinder med två lager med fyra mätpunkter vardera, med jämna avstånd kring cylindern, placeras den första mätpunkten för varje lager vid startvinkeln på det angivna djupet. Den andra mätpunkten placeras med 90 graders rotation från den första punkten, med följande djup: (Djup - (punktnr–1)/Antal_pktr_per_rad * stigning). Den tredje mätpunkten placeras med 180 graders rotation från den första punkten, med följande djup: (Djup - (punktnr–1)/Antal_pktr_per_rad * stigning). Alla övriga punkter placeras också enligt detta mönster.


Rutan Startvink.1

Den här rutan är bara tillgänglig för autoelement av typen Sfär.

I rutan Startvink.1 visas startvinkeln för sfären. Användaren anger vinkelvärdet i decimalgrader. Godkända värden är allt mellan 0° och 180° (samt allt mellan –0° och –180°).

Så här ändrar du startvinkeln:

  1. Välj det befintliga värdet.

  2. Skriv in ett nytt värde.

Storaxeln för det aktuella arbetsplanet är 0°. Detta kan visualiseras som en pol som vektorerna pekar mot. 180° är den riktning som vektorerna pekar bort från, och 90° är parallellt med det plan som utgörs av den angivna punkten och de angivna vektorerna som normalvektor.

Obs! Storaxeln för det aktuella arbetsplanet är 0°. Startvinkeln är riktad ned mot centrumlinjen och flyttas moturs.


Rutan Slutvink.1

Den här rutan är bara tillgänglig för autoelement av typen Sfär.

I rutan Slutvink. 1 visas slutvinkeln för sfären. Användaren anger vinkelvärdet i decimalgrader. Godkända värden är allt mellan 0° och 180°.

Så här ändrar du slutvinkeln:

  1. Välj värdet i rutan Slutvink. 1.

  2. Skriv in ett nytt värde.

Obs! När du anger start- och slutvinkel är det viktigt att komma ihåg att IJK-vektorn alltid är riktad ned mot centrumlinjen, och att CNC-sfärer mäts moturs i PC-DMIS.


Rutan Startvink.2

Den här rutan är bara tillgänglig för autoelement av typen Sfär.

I rutan Startvink.2 visas startvinkeln för sfären. Användaren anger vinkelvärdet i decimalgrader. Godkända värden i fältet är allt mellan 0° och 90°. Om startvinkeln är 0° är den sista raden en enda mätpunkt högst upp på sfären.

Så här ändrar du startvinkeln:

  1. Välj det befintliga värdet.

  2. Skriv in ett nytt värde.


Rutan Slutvink.2

Den här rutan är bara tillgänglig för autoelement av typen Sfär.

I rutan Slutvink. 2 visas slutvinkeln för sfären. Användaren anger vinkelvärdet i decimalgrader. Godkända värden i fältet är allt mellan 0° och 90°. Om slutvinkeln är 0° är den sista raden en enda mätpunkt högst upp på sfären.

Så här ändrar du slutvinkeln:

  1. Välj det befintliga värdet.

  2. Skriv in ett nytt värde.

Obs! Se till att slutvinkeln inte är större än 90°. Risken att mätskaftet kolliderar med detaljen ökar om en större vinkel används.

Obs! När du anger start- och slutvinkel är det viktigt att komma ihåg att IJK-vektorn alltid är riktad ned mot centrumlinjen, och att CNC-sfärer mäts moturs i PC-DMIS.


Rutan Radie

Den här rutan är bara tillgänglig för följande elementtyper: Rätvinkligt spår och Urtag.

Rätvinkliga spår och urtag är inte alltid helt rektangulära. Ibland har de radier i stället för hörn. Värdet i rutan Radie anger hur stor radien är.

För rätvinkliga spår används värdet som referens för varje mätpunkt när spåret mäts, så att inga punkter tas på radierna.

För urtag justeras alla mätpunkter längs kanten mitt emot den öppna sidan så att de inte ligger på radien.


Rutan Stordiam.

Den här rutan är bara tillgänglig för element av typen Ellips.

I rutan Stordiam. visas den totala längden för ellipsen.

Så här ändrar du värdet:

  1. Markera det befintliga värdet.

  2. Skriv in ett nytt värde.


Rutan Lilldiam.

Den här rutan är bara tillgänglig för element av typen Ellips.

I rutan Lilldiam. visas bredden för ellipsen.

Så här ändrar du värdet:

  1. Markera det befintliga värdet.

  2. Skriv in ett nytt värde.


Rutan Vinkel

Den här rutan är bara tillgänglig för konelement.

I rutan Vinkel anger du vinkeln för konen.

Så här ändrar du konens vinkel:

  1. Välj det befintliga värdet.

  2. Skriv in ett nytt värde.

När elementet har skapats uppdateras konens storlek i Grafikfönstret.


Mönstret Fyrkant/Radiell

För autoplanelement kan du använda alternativen Fyrkant och Radiell för att ange om mätpunkterna för planet ska tas i ett fyrkantsmönster eller ett radiellt mönster.

Om du väljer Radiell skapas mätpunkterna i rader utifrån planets mittpunkt i ett cirkelformigt (radiellt) mönster. Vinkeln mellan varje rad bestäms genom att 360 grader delas med värdet i rutan Rader . Exempel: Om värdet i rutan Rader är 6 och värdet i rutan Ant. pktr är 3 skapas en rad med tre mätpunkter vid var 60:e grad, d.v.s. totalt 18 mätpunkter.

Om du väljer Fyrkant skapas mätpunkterna i ett rutnätsmönster kring planets mittpunkt. Exempel: Om värdet i rutan Rader är 3 och värdet i rutan Ant. pktr är 4 skapas totalt 12 mätpunkter i ett rutnätsmönster med planets mittpunkt i mitten.


Typerna Begränsad och Obegränsad

Det här området är just nu bara tillgängligt för elementet Linje.

I området Typ kan du ange om en autolinje är Begränsad av en slutpunkt, eller om den är Obegränsad.

Om du väljer Begränsad, visas några Slut-rutor i området Läge med XYZ-värdena för slutpunkten. Linjens längd beräknas automatiskt utifrån avståndet mellan Start- och Slut-punkterna, och längden visas i rutan Längd.

Om du väljer Obegränsad måste du själv skriva in ett värde i rutan Längd. Därefter beräknas linjen från startpunkten, längs linjevektorn, för det avstånd som har angetts i rutan Längd.

Mer information finns i Inmatningsfälten för start- och slutpunkt (XYZ) och Rutan Längd.


Området Riktning

I området Riktning i dialogrutan finns en del av eller samtliga följande objekt, beroende på vilket autoelement du skapar:

Mer:

Rutorna Normal (IJK)

Rutorna Vinkel (IJK)

Rutorna Mittpunkt

Rutorna Kantvektor (IJK)

Rutorna Ytvektor (IJK)

Rutorna Linje (IJK)

Rutorna Yta 1 (IJK)

Rutorna Yta 2 (IJK)

Rutorna Yta 3 (IJK)

Knappen Sök vektor(er)

Knappen Vänd vektor

Knappen Vänd kant

Knappen Vänd linje

Knapparna Vänd yta

Knappen Byt vektorer

Alternativen Inv. och Utv.

Rutan Höjd


Rutorna Normal (IJK)

Linjen är en IJK-normalvektor som användaren anger. IJK-vektorn ska alltid peka bort från ytan. När det nya värdet har skapats normaliseras vektorn och den får längden 1. Den här vektorn används för mätspetskompensering.

För element av typen Vektorpunkt, Ytpunkt och Högsta punkt innehåller rutorna Normal (IJK) anloppsriktningen för mätpunkten som togs för att skapa autoelementet.

För element av typen Högsta punkt visas anloppsvektorn för den högsta punkten i det aktuella arbetsplanet i rutorna Normal (IJK) efter körningen.

För element av typen Cirkel, Cylinder, Sfär och Kon används rutorna Normal (IJK) för att definiera centrumlinjen för elementet. Vektorn för en kon är mycket viktig och pekar alltid ut från nollpunkten. Höjden och djupet för en kon är alltid relativa mot den här vektorn.

För element av typen Rätvinkligt spår, Rundat spår, Ellips och Urtag används rutorna Normal (IJK) för att definiera ytnormalvektorn för planet där elementet ligger (planet som är parallellt med elementet).

För ett element av typen Plan används rutorna Normal (IJK) för att definiera anloppsriktningen för planets mätpunkter.


Rutorna Vinkel (IJK)

Så här ändrar du vinkelvektorn:

  1. Markera de rutor som du vill uppdatera.

  2. Skriv in ett nytt värde.

När ett nytt värde har skapats normaliseras vektorn och den får längden 1.

För element av typen Cirkel, Cylinder, Sfär och Kon används rutorna Vinkel för att definiera 0°-läget kring normalvektorn. Start- och slutvinklarna beräknas utifrån den här vektorn. Om vektorerna inte är vinkelräta justeras vinkelvektorn till normalvektorn.

För element av typen Rätvinkligt spår, Rundat spår och Ellips används rutorna Vinkel för att definiera centrumlinjen för elementet. Linjen är en IJK-normalvektor som användaren anger. Centrumlinjen och normalvektorn för elementet måste vara vinkelräta mot varandra.

För ett element av typen Urtag används rutorna Vinkel för att definiera riktningsvektorn för den sida som är mitt emot urtagets öppning. Linjen är en IJK-normalvektor som användaren anger. Vinkelvektorn och normalvektorn för urtaget måste vara vinkelräta mot varandra.

För ett element av typen Plan används rutorna Vinkel för att definiera planets centrumlinje.


Rutorna Mittpunkt

De här rutorna är bara tillgängliga för elementet Högsta punkt.

Rutorna Mittpunkt visar läget för mitten av sökområdet för ett Högsta punkt-element.


Rutorna Kantvektor (IJK)

De här rutorna är bara tillgängliga för element av typen Kantpunkt och Linje.

I rutorna Kantvektor (IJK) visas anloppsriktningen för kantmätpunkten eller för punkterna på en autolinje. Linjen är en mätt IJK-vektor som användaren anger. IJK-vektorn ska alltid peka bort från kanten och vara vinkelrät mot den kant som mäts.

Så här ändrar du anloppsvektorn:

  1. Välj det befintliga värdet.

  2. Skriv in ett nytt värde.

När ett nytt värde har skapats normaliseras vektorn och den får längden 1.


Rutorna Ytvektor (IJK)

De här rutorna är bara tillgängliga för elementet Kantpunkt.

I rutorna Ytvektor (IJK) visas den ytnormalvektor som kantpunkten projiceras i när den har mätts. Linjen är en IJK-normalvektor som användaren anger. IJK-vektorn ska alltid peka bort från ytan och vara vinkelrät mot den kant som mäts.

Så här ändrar du anloppsvektorn:

  1. Markera det befintliga värdet.

  2. Skriv in ett nytt värde.

När ett nytt värde har skapats normaliseras vektorn och den får längden 1.

Om du väljer det här alternativet tas två mätpunkter på ytan, två på kanten och ännu en punkt på kanten.


Rutorna Linje (IJK)

De här rutorna är bara tillgängliga för element av typen Vinkelpunkt och Linje.

I rutorna Linje (IJK) visas vektorn för den linje där vinkelpunkten eller linjen ligger. Linjen är en IJK-normalvektor som användaren anger.

Så här ändrar du anloppsvektorn:

  1. Markera det befintliga värdet.

  2. Skriv in ett nytt värde.

När ett nytt värde har skapats normaliseras vektorn och den får längden 1.


Rutorna Yta 1 (IJK)

De här rutorna är bara tillgängliga för autoelement av följande typer: Vinkelpunkt och Hörnpunkt

I rutorna Yta 1 (IJK) visas ytnormalvektorn för den första yta som mäts. IJK-vektorn förväntas peka bort från den yta som mäts.

Så här ändrar du ett värde:

  1. Markera en ruta som du vill ändra.

  2. Skriv in ett nytt värde.

När ett nytt värde har skapats normaliseras vektorn och den får längden 1.


Rutorna Yta 2 (IJK)

De här rutorna är bara tillgängliga för autoelement av följande typer: Vinkelpunkt och Hörnpunkt

I rutorna Yta 2 (IJK) visas ytnormalvektorn för den andra yta som mäts. IJK-vektorn förväntas peka bort från den yta som mäts.

Så här ändrar du ett värde:

  1. Markera den ruta som du vill ändra.

  2. Skriv in ett nytt värde.

När ett nytt värde har skapats normaliseras vektorn och den får längden 1.


Rutorna Yta 3 (IJK)

De här rutorna är bara tillgängliga för elementet Hörnpunkt.

I rutorna Yta 3 (IJK) visas ytnormalvektorn för det tredje planet som mäts. IJK-vektorn förväntas peka bort från det plan som mäts.

Så här ändrar du värdet:

  1. Markera de Yta 3-rutor som du vill ändra.

  2. Skriv in ett nytt värde.

När ett nytt värde har skapats normaliseras vektorn och den får längden 1.


Knappen Sök vektor(er)

Den här knappen är bara tillgänglig för följande autoelement: Vektorpunkt, Ytpunkt och Kantpunkt.

Med knappen Sök vektor(er) genomborrar du alla ytor längs XYZ-punkten och IJK-vektorn för att söka efter den närmaste punkten. Ytnormalvektorn visas som IJK NOM VEK, men XYZ-värdena ändras inte.


Knappen Vänd vektor

Med knappen Vänd vektor kan du vända riktningen för ytvektorerna åt rakt motsatt håll. Klicka på Vänd vektor för att vända de visade värdena.


Knappen Vänd kant

Med knappen Vänd kant kan du vända riktningen för kantvektorerna åt rakt motsatt håll. Klicka på Vänd kant för att vända de visade värdena.


Knappen Vänd linje

Med knappen Vänd linje kan du vända riktningen för linjevektorn åt rakt motsatt håll. Klicka på Vänd linje för att vända de visade värdena.


Knapparna Vänd yta

Med ytvändningsknapparna kan du vända den associerade ytvektorn. Klicka på lämplig knapp för att vända de visade värdena.


Knappen Byt vektorer

Med knappen Byt vektorer ser du till att den aktuella kantvektorn och ytvektorn byter plats.


Alternativen Inv. och Utv.

De här alternativknapparna är bara tillgängliga för följande autoelement: Cirkel, Cylinder, Sfär, Rätvinkligt spår, Rundat spår, Ellips, Kon och Polygon

Med alternativen Inv. och Utv. anger du om elementet som ska mätas är inre (som ett Hål) eller yttre (som en Tapp). Det är viktigt att det här alternativet ställs in korrekt eftersom de olika typerna mäts med olika sekvenser.


Rutan Höjd

I rutan Höjd anges höjden för det externa cirkelelement som mäts.

Så här ändrar du värdet:

  1. Markera rutan Höjd.

  2. Ange ett nytt värde.

Cirkel, Rätvinkligt spår, Rundat spår eller Ellips

Rutan Höjd används endast om elementet är ett externt element (eller en tapp). Om rutan används kan en extra mätpunkt tas högst upp på (och i mitten av) tappen. Om detta värde är något annat än 0 tas en extra mätpunkt i mitten av tappen. Därefter beräknas höjden på tappen.

Cylinder eller kon

När TYP = HÅL används rutan Höjd för att definiera den nominella längden för elementet. Om du anger ett värde för Höjd men inte definierar något djup delas värdet för Höjd jämnt med antalet rader, som anges i rutan Rader.

För cylindrar flyttas mätspetsen därefter stegvis nedåt längs cylindern tills det angivna höjdvärdet uppnås.

För koner placeras mätspetsen först vid botten av konen med hjälp av det definierade höjdvärdet (läget minus längden), och flyttas uppåt längs konen. Konens vektor är mycket viktig och pekar alltid ut från nollpunkten, och höjden och djupet är relativa mot vektorn.

Om ett djupvärde anges blir det faktiska mätta elementet lika med höjden minus djupvärdet.

När TYP = TAPP och något av värdena i rutorna Inledn. och Perm. inte är noll innebär detta alternativ att en extra mätpunkt kan tas högst upp på, och i mitten av, tappen. Om detta värde är något annat än 0 tas en extra mätpunkt i mitten av tappen. Därefter beräknas höjden på tappen.


Rutan ID

I rutan ID visas aktuellt ID för det autoelement som skapas.

Så här ändrar du ID för ett element:

  1. Markera det tidigare ID:t i rutan ID.

  2. Skriv in ett nytt ID.


Området Diverse

I området Diverse i dialogrutan finns en del av eller samtliga följande objekt, beroende på vilket autoelement du skapar:

Mer:

Området Tjocklek

Listan Mätordning

Listan Beräkning

Listan Läge

Området Relativ mätning

Kryssrutan Visa alla parametrar

Kryssrutan Visa mätpktr


Området Tjocklek

När du mäter en detaljsida som har ritats upp i en modell i PC-DMIS ska värdet för detaljens tjocklek vara noll. Alternativet för detaljens tjocklek ska bara användas när du mäter en detaljsida som inte har ritats i CAD-data.

I området Tjocklek kan du ange ett värde för detaljens tjocklek. Värdet används främst för tunna detaljer (i plast eller tunnplåt) där bara den ena sidan har ritats i CAD-data och du vill mäta den andra sidan.

För tunna detaljer ritar CAD-teknikern oftast bara den ena sidan av detaljen och anger sedan materialets tjocklek. I PC-DMIS används materialtjockleken automatiskt när CAD-ytdata används.

Positiva och negativa värden kan användas. Den här tjockleken används automatiskt längs ytnormalvektorn varje gång CAD-data markeras. Om det finns mer än en normalvektor för elementet (t.ex. för vinkel- och hörnpunkter) används tjockleken längs den första normalvektorn.

Så här ser kommandoraden för det här alternativet ut i Redigeringsfönstret:

TEOR_TJOCKLEK = n

eller

VERKL_TJOCKLEK = n

n: ett numeriskt värde som anger detaljens tjocklek.

Om den teoretiska tjockleken måste justeras på grund av att du utför mätningar på detaljens andra sida markerar du alternativet Justera nominellt och skriver in ett nytt värde för tjockleken.

Markera alternativet Justera mätt och skriv in ett värde för tjockleken när det mätta värdet ska justeras tillbaka till de ursprungliga teoretiska XYZ-lägena. Det här alternativet innebär att det ser ut som att de teoretiska och mätta värdena inte har förskjutits och målet är förskjutet. Du måste fortfarande ändra målet så att mätspetsen förs till rätt läge.

Välj alternativet Justera inget om du inte behöver använda ett värde för tjocklek.

Obs! När du växlar mellan teoretisk och mätt tjocklek ändras inte mätningsläget. När du använder teoretisk tjocklek ändras det teoretiska läget, det mätta läget och målläget så att (den teoretiska) tjockleken inkluderas. När du använder mätt tjocklek ändras endast målläget genom att värdet för (den mätta) tjockleken läggs till för det ursprungliga teoretiska läget. Båda dessa metoder ger samma mätningsläge. Det enda som skiljer sig åt är hur elementets teoretiska och mätta värden samt målvärden rapporteras i PC-DMIS.


Listan Mätordning

Den här listan är bara tillgänglig för kantpunkter. | Med listan Mätordning kan användaren ange i vilken ordning stödpunkterna ska tas innan den sista mätpunkten tas. Du kan välja mellan följande värden: YTA, KANT och BÅDA.
 | YTA | YTA innebär att tre punkter mäts först på ytan och sedan på kanten.
 | KANT | KANT innebär att två punkter mäts först på kanten och sedan på ytan.
 | BÅDA | BÅDA innebär att ytan mäts först, därefter kanten, och slutligen mäts ytan igen.


Listan Beräkning

Den här listan är bara tillgänglig för följande autoelement: Cirklar och cylindrar

Med listan Beräkning kan användaren ange hur elementet ska beräknas utifrån de mätta mätpunkterna. De tillgängliga alternativen är: GAUSS, TJEBYCHEV, MAX_INSKR, MIN_OMSKR och FAST_RAD.

De här beräkningstyperna beskrivs detaljerat under Bästanpassningstyp i avsnittet Konstruera nya element från befintliga element.


Listan Arbetsläge

Med listan Arbetsläge i området Diverse anges hur nominella värden ska beräknas för en angiven punkt. Du kan välja mellan SÖK NOM, MASTER och NOMINELLA.

Om arbetsläget NOMINELLT är aktivt jämförs det mätta elementet med de teoretiska data i dialogrutan, och mätningsdata används för beräkningarna.

Om arbetsläget MASTER är aktivt används det mätta elementet som nominellt element, men XYZ-data och diameterdata uppdateras inte i dialogrutan.

Arbetsläget VEKTOR är bara tillgängligt för vektor- och ytpunkter.

Om arbetsläget VEKTOR är aktivt används de tre första mätpunkterna för att beräkna en lämplig vektor att använda för elementet. Läget för elementet justeras inte. Du måste ta mätpunkterna när dialogrutan Autoelement är öppen.

Obs! Om ett nominellt värde är okänt väljer du SÖK NOM i listan. När det här alternativet är aktivt och du markerar ett värde för att ändra det uppmanas du att utföra lämpliga mätningar av detaljen för att få fram de värden som behövs.

Objekt i listan

Beskrivning

Sök nom.

När du väljer SÖK NOM i listan Arbetsläge genomborras CAD-modellen för att hitta det läge på en CAD-kant (eller yta) som är närmast den mätta punkten, och sedan anges de nominella värdena för detta läge på CAD-elementet.

Så här söker du efter nominella värden med hjälp av CAD-data:

  1. Kontrollera att Kurva eller Yta är aktivt (alternativen är tillgängliga i verktygsfältet Grafik ). Vilket läge som är lämpligt beror på detaljprogrammet.

  2. Klicka på det önskade CAD-elementet i Grafikfönstret. CAD-elementet genomborras för att hitta läget, men inget element skapas. När de önskade elementen har markerats fylls XYZ- och IJK-värdena i automatiskt.

  3. Om du är nöjd med värdena klickar du på kommandoknappen Skapa.

VARNING! Om du markerar rutan Mät mäts detaljen.

Om du tar en mätpunkt i arbetsläget SÖK NOM görs en sökning bland CAD-elementen för att hitta den nominella CAD-information som är närmast den mätta punkten. Om det behövs uppmanas du att ta ytterligare mätpunkter på detaljen.

Nästa gång detaljen mäts anges nominella data för det närmaste CAD-element som hittas. Arbetsläget återställs då till NOMINELLT.

Använda Sök nom. med fasta mätspetsar:

Faro- och Romer-armar med fasta mätspetsar ger inga bra anloppsvektorer. Detta innebär att det blir svårt att avgöra var sökningen efter ytor ska göras.

Så här förbättrar du vektorer från fasta mätspetsar:

  1. Placera den fasta mätspetsen på detaljen.

  2. Klicka på knappen Mätpkt.

  3. Flytta mätspetsen bort från detaljen längs den ungefärliga ytvektorn.

  4. Klicka på knappen Slut.

Vektorn mellan mätpunkten och mätspetsen beräknas och används.

Eftersom standardvektorn från en Faro-arm använder axeln för den fasta mätspetsen bör du också tänka på att om du placerar vektorn helt vinkelrätt mot ytan blir den som mest användbar för Sök nom.-åtgärder.

Master

Om en punkt skapas när du har valt MASTER i listan Arbetsläge blir de nominella data lika med mätta data nästa gång detaljen mäts. Värdet i listan Arbetsläge återställs då till NOMINELLT.

Nominellt

Med alternativet NOMINELLT krävs också att du har nominella data innan mätningsprocessen påbörjas. Det mätta elementet jämförs med de teoretiska data i dialogrutan och det mätta elementet används för eventuella nödvändiga beräkningar.

Sätt nomaxel

Med alternativet SÄTT NOMAXEL kan du uppdatera (eller "sätta") det nominella punktläget och den nominella anloppsriktningen före varje körning. Om du markerar kryssrutan för en axel i området Läge genomborras CAD-ytorna längs den axeln. I andra fall används uppdateringsvektorn.

CAD-ytan genomborras längs den markerade axeln (eller vektorn) för att hitta nya teoretiska värden och målvärden.

Så här väljer du alternativet SÄTT NOMAXEL:

  1. Kontrollera att rutan Visa utökade tunnplåtsfunktioner är markerad. (Se Visa utökade tunnplåtsfunktioner i avsnittet Göra inställningar.)

  2. Om du vill markerar du kryssrutorna för en av axlarna i området Läge.

  3. Klicka på SÄTT NOMAXEL i listan Arbetsläge i dialogrutan.

  4. När du har definierat resten av autoelementet klickar du på knappen Skapa. Den markerade axeln eller vektorn används för SÄTT NOMAXEL.

Så här ser Redigeringsfönstret ut: SÖK NOM AXEL = ALT

ALT motsvarar den axel eller vektor som har angetts för SÄTT NOMAXEL. Här är några av de tillgängliga alternativen:
X-AXEL
Y-AXEL
Z-AXEL
VEKT
INGEN

Om du inte markerar någon axel visas SÖK NOM AXEL = VEKT som standard.

Obs! Det här alternativet är bara tillgängligt för autoelement av typen Vektorpunkt eller Ytpunkt.


Området Relativ mätning

Med området Relativ mätning kan du hålla den relativa positionen och riktningen mellan ett eller flera angivna element och autoelementet.

Innan du markerar ett relativt autoelement bör du först välja ett läge för relativ mätning. Se Ställa in relativ mätning.

Om du klickar på knappen Info… visas dialogrutan Relativt element:

Dialogrutan Relativt element

I den här dialogrutan kan du välja:

  • Ett enskilt element i listan till höger

  • Flera element (ett för varje axel) i listorna till höger

När du har markerat ett eller flera element och klickar på OK visas de(t) markerade elementet/elementen i området Relativ mätning. Det här alternativet fungerar för RMÄT-formaten 1, 3 och 6 i DMIS V3.0.


Kryssrutan Visa alla parametrar

Med kryssrutan Visa alla parametrar anger du om följande parametrar ska visas eller inte i fälten i Redigeringsfönstret för autoelementet:

  • TEOR_TJOCKLEK

  • REKT./POL.

  • RASTER

  • AUTORÖRELSE

  • AVSTÅND


Kryssrutan Visa mätpktr

Den här kryssrutan är bara tillgänglig för följande autoelement: Cirkel, Cylinder, Sfär, Rätvinkligt spår, Rundat spår, Ellips, Urtag och Kon

Med kryssrutan Visa mätpktr anger du om mätpunkterna som används för att skapa autoelementet ska visas i Redigeringsfönstret.


Området Auto

I området Auto i dialogrutan finns en del av eller samtliga följande objekt, beroende på vilket autoelement du skapar:

Mer:

Kryssrutan PH9

Kryssrutan Vid fel

Kryssrutan Läs pos.

Kryssrutan Cirkulär rörelse

Kryssrutan Ommätning

Kryssrutan Anv. nom.

Rörelseavstånd

Rutan Avstånd

Kryssrutan Sök element


Kryssrutan PH9

Vid kryssrutan PH9 i området Auto visas den aktuella inställningen för AUTO-PH9. Om det här alternativet inte är markerat används det aktuella PH9-läget för alla mätpunkter som tas. Om alternativet PH9 är markerat väljs det läge som uppskattas vara närmast den bästa anloppsriktningen.

  • För kantpunkter och vinkelpunkter är den bästa anloppsriktningen medeltalet av de två ytvektorerna.

  • För hörnpunkter är den bästa anloppsriktningen medeltalet av de tre ytvektorerna.

  • För alla andra autoelementtyper är den bästa anloppsriktningen lika med ytvektorn för elementet.

Auto-PH9 kan också aktiveras globalt genom att du markerar kryssrutan Automatisk justering av mäthuvudsvinklar. Läs mer under Automatisk justering av mäthuvudsvinklar i avsnittet Göra inställningar.


Kryssrutan Vid fel

Med kryssrutan Vid fel i området Auto blir det lättare att kontrollera felet om en oväntad eller missad mätspetsträff identifieras.

Obs! Du kan använda det här alternativet för samtliga autoelementtyper utom Vektorpunkt, Ytpunkt, Sfär och Högsta punkt.

Om du markerar den här kryssrutan sker följande:

  • En positionsläsning utförs automatiskt (se Läs pos) när en oväntad eller missad mätspetsträff uppstår under mätningscykeln.

  • Hela elementet mäts med det nya läget som hämtas från positionsläsningen.

Så här ser kommandoraden för det här alternativet ut i Redigeringsfönstret:

VID_FEL = ALT

ALT: Det här fältet växlar mellan JA (på) och NEJ (av).

Mer information om vad du kan göra när oväntade eller missade mätspetsträffar uppstår finns i Förgrening vid ett CMM-fel i avsnittet Förgrening genom användning av programflödeskommandon.

Obs! Som standard returneras bara X- och Y-värdena när en positionsläsning utförs i PC-DMIS (t.ex. vid Läs pos, Sök element eller Vid fel). Det finns dock två registerposter som du kan använda för att även Z-axelvärdet ska returneras. Posterna är: ReadPosUpdatesXYZ och ReadPosUpdatesXYZEvenIfRMeas.


Kryssrutan Läs pos.

Den här kryssrutan är bara tillgänglig för följande autoelement: Cirkel, Cylinder, Rätvinkligt spår, Rundat spår, Ellips, Urtag och Kon

Kryssrutan Läs pos. används precis innan ett element mäts. Processen stoppas ovanför ytan, och du får en fråga om du vill använda aktuella data.

  • Om du klickar på knappen Nej måste du flytta mätspetsen till önskat läge för att mätningsprocessen ska kunna fortsätta.

  • Om du klickar på Ja mäts elementet med hjälp av aktuella mätspetsdata.

Obs! Läs pos. är bara tillgängligt i CNC-läget.

Använda Läs pos. med en autocirkel:

Om du klickar på Ja måste du placera mätspetsen i ett cylinderformat område ovanför cirkeln.

Placera mätspetsen i det cylinderformade området: Du behöver bara placera mätspetsen i mitten av den tänkta tredimensionella cylindern för hålet. Djupet och riktningen för mätningen avgörs sedan automatiskt med hjälp av något av följande alternativ:

  • RMÄT-element: Om du anger ett RMÄT-element förutsätts att du vill mäta hålet med detta (eller dessa, om du anger flera) element som referens. Elementet/elementen används då för att definiera ytnormalen och djupet för mätningen, och inställningen Läs pos. används för att avgöra de övriga två axlarna för förflyttningen.

  • Sök element: Om du använder alternativet Sök element och ytan kring hålet träffas minst en gång justeras samtliga tre axlar. Två av axlarna anges utifrån mätspetsens läge när hålet har hittats och den tredje axeln (längs med ytnormalen) anges utifrån den senaste ytan som träffades. Alternativet Sök element har lägre prioritet än RMÄT-element.

  • Stödpunkter: Om stödpunkter används prioriteras de alltid högst när riktningen och djupet för hålmätningen ska fastställas.

  • Inget av ovanstående: Om inget av ovanstående alternativ används mäts hålet utifrån de angivna mål- och djupvärdena, med justeringar utifrån mätspetsens placering inom det cylinderformade området.

Obs! Som standard returneras bara X- och Y-värdena när en positionsläsning utförs i PC-DMIS (t.ex. vid Läs pos, Sök element eller Vid fel). Det finns dock två registerposter som du kan använda för att även Z-axelvärdet ska returneras. Posterna är: ReadPosUpdatesXYZ och ReadPosUpdatesXYZEvenIfRMeas.


Kryssrutan Cirkulär rörelse

Den här kryssrutan är bara tillgänglig för följande autoelement: Cirklar, cylindrar, koner

Om du markerar kryssrutan Cirkulär rörelse flyttas mätspetsen längs en båge när den går från en mätpunkt till nästa, i stället för att som vanligt flyttas längs en rak linje. Det här alternativet är användbart om du arbetar med ringskåror.

Mer information om hur du infogar cirkulära rörelser i Redigeringsfönstret finns i Infoga ett kommando för cirkulär rörelse i avsnittet Infoga rörelser.


Kryssrutan Ommätning

Den här kryssrutan är bara tillgänglig för följande autoelement: Cirkel, Cylinder, Rätvinkligt spår, Rundat spår och Urtag

Genom att markera kryssrutan Ommätning kan du automatiskt mäta om elementet mot de mätta värden som erhölls den första gången som elementet mättes.


Kryssrutan Anv. nom.

Den här kryssrutan är bara tillgänglig för autoelement av typen Cylinder.

Med kryssrutan Anv. nom. anger du att den teoretiska informationen som visas i dialogrutan ska användas för beräkning av den mätta elementinformationen utifrån insamlade mätta data. Detta är användbart när du mäter cylindrar med åtta punkter (fyra höga och fyra låga). Detta kan ge tre giltiga mätta cylindrar i 90 graders vinkel mot varandra. Med hjälp av den teoretiska informationen går det att avgöra vilken av de tre lösningarna som är korrekt.

Kryssrutan blir tillgänglig när du har konstruerat en giltig uppriktning.


Rörelseavstånd

Med listan Rörelse i området Auto kan du ange om en automatisk rörelse ska skapas från mittpunkten innan stödpunkterna tas och efter att elementmätningen har slutförts.

  • Om du anger värdet BÅDA i listan Rörelse placeras mätspetsen längs vektorn på det avstånd du har angett i rutan Avstånd före och efter det att mätpunkter tas utan att ett säkerhetsplan anges.

  • Om du anger värdet FÖRE i listan Rörelse placeras mätspetsen längs vektorn på det avstånd du har angett i rutan Avstånd före det att mätpunkter tas utan att ett säkerhetsplan anges.

  • Om du anger värdet EFTER i listan Rörelse placeras mätspetsen längs vektorn på det avstånd du har angett i rutan Avstånd efter det att mätpunkter tas utan att ett säkerhetsplan anges.

  • Om du anger NEJ i listan Rörelse tas mätpunkterna utan att mätspetsen placeras.

Så här ser kommandoraden för det här alternativet ut i Redigeringsfönstret:

AUTORÖRELSE = ALT , AVSTÅND = n

ALT: Det här fältet växlar mellan BÅDA, FÖRE, EFTER och NEJ.

n: ett numeriskt värde som anger autorörelseavståndet.


Rutan Avstånd

När du anger värdet JA för listan Rörelse blir rutan Avstånd tillgänglig. I den här rutan kan du ange det avstånd som mätspetsen flyttas innan stödpunkter tas, efter att mätpunkterna för elementet har tagits. Mätspetsen flyttas längs den teoretiska vektorn.

Så här ser kommandoraden för det här elementet ut i Redigeringsfönstret:

AUTORÖRELSE = ALT , AVSTÅND = n

ALT: Det här fältet växlar mellan JA (på) och NEJ (av).

n: ett numeriskt värde som anger autorörelseavståndet.


Kryssrutan Sök element

För en cirkel eller cylinder

  • Om hålet hittas: Mätspetsen flyttas ned till söksträckans djup och tre mätpunkter tas med jämna avstånd runt hålet så att dess allmänna läge kan bestämmas. Efter den här allmänna justeringen mäts hålet med de parametrar som användaren har definierat på fliken för elementet. (Med detta avses t.ex. Stödpunkter.) Detta fungerar på samma sätt som för objektet CENTRERAD som beskrivs ovan.

  • Om hålet inte hittas: Mätspetsen flyttas bort från ytan och ett cirkelformigt sökmönster startas på avståndet (elementradien – mätspetsradien) från elementets teoretiska mittpunkt. Under sökningen prövas lägena (2 * PI * elementradien/(elementradien – mätspetsradien)) kring sökcirkeln. Om hålet fortfarande inte hittas ökas sökradien med (elementradien – mätspetsradien), och sökningen fortsätter tills sökradien är lika med insträckan. Om insträckan är mindre än (elementradien – mätspetsradien) slutförs endast ett sökmönster.

  • Om hålet inte hittas alls: Mätspetsen flyttas till läget för en insträcka ovanför elementets teoretiska mittpunkt, och användaren uppmanas att utföra åtgärden Läs position. (Se Knapparna Läs pos/Läs position.)

  • Justeringar längs ytnormalen: Allt eftersom sökningen fortgår och ytor hittas i stället för hålet, uppdateras sökhöjden kontinuerligt utifrån de ytor som hittas. När hålet har hittats uppdateras mätdjupet för hålet utifrån den senaste ytan som hittades. Om hålet hittas vid första försöket görs inga justeringar.

  • Justeringar med RMÄT: Om du anger ett eller flera RMÄT-element förutsätts att du vill använda elementet/elementen som referens för såväl sökhöjd som sökdjup för hålmätningen. Därför görs ingen justering längs ytnormalen utöver RMÄT-justeringen.

För ett rätvinkligt eller rundat spår

  • Om hålet hittas: Mätspetsen flyttas ned till söksträckans djup och en mätpunkt tas på var och en av de fyra sidorna i spåret. Mittpunkten mellan de fyra punkterna justeras och två mätpunkter tas på en av långsidorna för att motverka spårrotationen. När ett allmänt läge och en allmän riktning har beräknats för spåret mäts det med de parametrar som har definierats på fliken för elementet.

  • Om hålet inte hittas: Mätspetsen flyttas bort från ytan och ett cirkelformigt sökmönster startas på avståndet (elementradien – mätspetsradien) från elementets teoretiska mittpunkt. Under sökningen prövas lägena (2 * PI * elementradien/(elementradien – mätspetsradien)) kring sökcirkeln. Om hålet fortfarande inte hittas ökas sökradien med (elementradien – mätspetsradien), och sökningen fortsätter tills sökradien är lika med insträckan. Om insträckan är mindre än (elementradien – mätspetsradien) slutförs endast ett sökmönster.

  • Om hålet inte hittas alls: Mätspetsen flyttas till läget för en insträcka ovanför elementets teoretiska mittpunkt, och användaren uppmanas att utföra åtgärden Läs position. (Se Knapparna Läs pos/Läs position.)

  • Justeringar längs ytnormalen: Allt eftersom sökningen fortgår och ytor hittas i stället för hålet, uppdateras sökhöjden kontinuerligt utifrån de ytor som hittas. När hålet har hittats uppdateras mätdjupet för hålet utifrån den senaste ytan som hittades. Om hålet hittas vid första försöket görs inga justeringar.

  • Justeringar med RMÄT: Om du anger ett eller flera RMÄT-element förutsätts att du vill använda elementet/elementen som referens för såväl sökhöjd som sökdjup för hålmätningen. Därför görs ingen justering längs ytnormalen utöver RMÄT-justeringen.

För ett urtag

  • Om hålet hittas: Mätspetsen flyttas ned till söksträckans djup för att mäta hålets djup, och därefter mäts hålet.

  • Om hålet inte hittas: Mätspetsen flyttas bort från ytan och ett sökmönster startas. Mönstret är cirkelformigt och justeras utåt med halva bredden från den teoretiska mittpunkten för elementet (för urtag är detta mittpunkten för den inre kanten). Sökningen görs i åtta lägen kring detta läge. Om hålet hittas flyttas mätspetsen ned för att mäta hålets djup, och därefter mäts hålet.

  • Om hålet inte hittas alls: Mätspetsen flyttas till läget för en insträcka ovanför elementets teoretiska mittpunkt, och användaren uppmanas att utföra åtgärden Läs position. (Se Knapparna Läs pos/Läs position.)

Kryssrutan Sök element

När kryssrutan Sök element markeras flyttas mätspetsen till läget för en insträcka ovanför den teoretiska mitten av elementet. Därefter förs den vinkelrätt mot elementets ytvektor och söker efter hålet i mäthastighet.

Sökningen fortsätter tills ytan påträffas (vilket innebär att hålet inte finns) eller tills söksträckan uppnås (vilket innebär att hålet finns). Se Söksträcka i avsnittet Använda Redigeringsfönstret.

Om kommandot för hålsökning inte fungerar kan du ange att detaljprogrammet ska fortsätta köras automatiskt. Se Fortsätt körningen automatiskt om SökHål misslyckas i avsnittet Göra inställningar.

Obs! Sök element är bara tillgängligt i CNC-läget

När du markerar kryssrutan Sök element visas följande objekt i den nedrullningsbara listan nedanför kryssrutan (med de här objekten anger du vad som ska ske vid försök att hitta ett hål):

CENTRERAD – Med det här objektet flyttas mätspetsen först ned till söksträckans djup för att se till att inget material påträffas på vägen. Därefter flyttas spetsen till elementets djup eller till Söksträcka * procent för en sökning inuti hålet som ger en ungefärlig uppskattning av hålets mittpunkt (se kommentar nedan). Detta görs genom att tre mätpunkter tas med jämna avstånd runt hålet. När det allmänna läget för hålet har fastställts fortsätter mätningen av hålet med de parametrar som har angetts i dialogrutan för det aktuella autoelementet. Om du inte markerar INGENCENTRERING eller ENSAM MÄTPKT är det här standardproceduren som används om hålet hittas.

Obs! En ny registerpost för Sök element ger bättre kontroll över djupet i centreringsprocessen. Som standard avgörs centreringsprocessens Z-komponent av elementets djup. Djupet används ofta tillsammans med ett RMÄT-element (plan). Men i vissa situationer, när du inte använder ett RMÄT-element, och ytan på detaljen varierar stort i Z, hittas aldrig hålet under centreringsprocessen eftersom ytan på detaljen ligger nedanför sökdjupet. Om detta sker kan du i stället ange att centreringsprocessen ska köras på Söksträcka * procent genom att ange värdet SANT för registerposten FHCenteringAtChkDistTimesPercentInsteadOfDepth i PC-DMIS Inställningar. Posten finns i avsnittet USER_AutoFeatures. Se "Parameterinställningar: Fliken Rörelse om du vill ha information om hur du anger värdena Söksträcka och Procent.

INGENCENTRERING – Det här objektet fungerar på samma sätt som CENTRERAD, förutom att mätspetsen inte tar tre mätpunkter för att ge en ungefärlig uppskattning av hålets mittpunkt. Mätningen av cirkeln påbörjas i stället med de befintliga parametrar som har angetts i dialogrutan för det aktuella autoelementet.

ENSAM MÄTPKT – Den här inställningen innebär att mätspetsen tar en enda mätpunkt. Om spetsen träffar ytan och inte hittar hålet inleds proceduren "Om hålet inte hittas", som beskrivs nedan. Om hålet hittas fortsätter proceduren med alternativet INGENCENTRERING.

För en cirkel eller cylinder

För ett rätvinkligt eller rundat spår

För ett urtag

Obs! Som standard returneras bara X- och Y-värdena när en positionsläsning utförs i PC-DMIS (t.ex. vid Läs pos, Sök element eller Vid fel). Det finns dock två registerposter som du kan använda för att även Z-axelvärdet ska returneras. Posterna är: ReadPosUpdatesXYZ och ReadPosUpdatesXYZEvenIfRMeas.


Området Ytterligare alternativ, tunnplåt

I PC-DMIS visas området Ytterligare alternativ, tunnplåt och andra objekt för en del av autoelementen om du markerar kryssrutan Visa utökade tunnplåtsfunktioner på fliken Allmänt i dialogrutan Inställningsval. (Se Visa utökade tunnplåtsfunktioner i avsnittet Göra inställningar).

De här funktionerna är gemensamma för många av autopunktmätningarna.

Så här ändrar du en vektor:

  1. Markera det befintliga värdet.

  2. Skriv ett nytt värde i tillämplig ruta.

Mer:

IJK-rapportvektorrutor

IJK-målvektorrutor

IJK-uppdateringsvektorrutor

IJK-kantrapportrutor

IJK-ytrapportrutor

IJK-stansvektorrutor

IJK-pinnvektorrutor

Kryssrutan Använd skaftvektor

Knappen Återställ


Rutorna Rapportvektor (IJK)

De här rutorna är tillgängliga för autoelement av följande typer: Vektorpunkt och Ytpunkt

I rutorna Rapportvektor (IJK) visas den vektor som används för avvikelserapportering. Linjen är en IJK-vektor som användaren anger. I kryssrutan RT för läget visas avvikelsen som beräknats längs den här vektorn.

När det nya värdet har skapats och du har stängt dialogrutan normaliseras vektorn och den får längden 1.


Rutorna Målvektor (IJK)

De här rutorna är bara tillgängliga för element av typen Vektorpunkt.

I rutorna Målvektor (IJK) visas anloppsriktningen för den mätpunkt som tas. Linjen är en IJK-normalvektor som användaren anger. IJK-vektorn ska alltid peka bort från ytan.

När det nya värdet har skapats och du har stängt dialogrutan normaliseras vektorn och den får längden 1.


Rutorna Uppdat.vektor (IJK)

De här rutorna är bara tillgängliga för element av typen Vektorpunkt.

I rutorna Uppdat.vektor (IJK) visas den uppdateringsvektor som används för att genomborra CAD-ytan om alternativet har aktiverats genom att läget SÄTT NOMAXEL används. Linjen är en IJK-normalvektor som användaren anger. IJK-vektorn ska alltid peka bort från ytan.

När det nya värdet har skapats normaliseras vektorn och den får längden 1.


Rutorna Kantrapp. (IJK)

De här rutorna är bara tillgängliga för element av typen Kantpunkt.

I rutorna Kantrapp. (IJK) visas den vektor som används för avvikelserapportering. Linjen är en IJK-vektor som användaren anger. I kryssrutan RT för läget visas avvikelsen som beräknats längs den här vektorn.

När det nya värdet har skapats normaliseras vektorn och den får längden 1.


Rutorna Ytrapport (IJK)

De här rutorna är bara tillgängliga för element av typen Kantpunkt.

I rutorna Ytrapport (IJK) visas den vektor som används för avvikelserapportering. Linjen är en IJK-vektor som användaren anger. I kryssrutan RS för läget visas avvikelsen som beräknats längs den här vektorn.

När det nya värdet har skapats normaliseras vektorn och den får längden 1.


Rutorna Stansvektor (IJK)

De här rutorna är bara tillgängliga för element av typen Cirkel, Rätvinkligt spår och Rundat spår.

Med rutorna Stansvektor (IJK) anges riktningen för stansningen genom tunnplåten. Den här vektorn ligger vid XYZ-mitten, plus hälften av tjockleken längs ytnormalvektorn.

För ett element av typen Cirkel ligger elementets diameter också längs den här vektorn.


Rutorna Pinnvektor (IJK)

De här rutorna är bara tillgängliga för element av typen Cirkel, Rätvinkligt spår och Rundat spår.

Med rutorna Pinnvektor (IJK) anges riktningen för tappen genom det hål som skapas vid stansningen.


Kryssrutan Använd skaftvektor

Den här kryssrutan är bara tillgänglig för element av typen Cirkel, Rätvinkligt spår och Rundat spår.

Om du markerar kryssrutan Använd skaftvektor blir rutorna Stansvektor och Pinnvektor tillgängliga och kan redigeras. Om du avmarkerar kryssrutan Använd skaftvektor inaktiveras rutorna Stansvektor och Pinnvektor.


Knappen Återställ

Med knappen Återställ kan du återställa stödvektorerna så att de är lika med IJK-värdena för normalvektorn. Stödvektorerna är vektorer för mätning, rapport, uppdatering, tapp och stansning.


Knapparna Mer och Mindre

Med knappen Mer >> kan du visa avancerade funktioner i dialogrutan Autoelement. Om du klickar på knappen blir dialogrutan större och de avancerade funktionerna för autoelementet visas. Dessutom blir knappen << Mindre tillgänglig.

Om du klickar på << Mindre blir dialogrutan mindre igen, så att bara de grundläggande alternativen för autoelementet visas.

Knapparna Mer och Mindre fungerar inte på samma sätt som kryssrutan Visa utökade tunnplåtsfunktioner på fliken Allmänt i dialogrutan Inställningsval (se Visa utökade tunnplåtsfunktioner i avsnittet Göra inställningar).


Knappen Visa punkter

Autocirkel
Autocylinder
Autosfär
Autokon

Med knappen Visa punkter visar du dialogrutan Mätområden för elementet där du kan visa, redigera eller ta bort delar av mätpunktsdata för autoelement som den här knappen stöds för. Detta är till exempel autocirklar, autocylindrar, autosfärer och autokoner. Knappen fungerar på samma sätt som knappen Mätområden som visas i vissa Mätt element-dialogrutor.

Under Mätområden i avsnittet Skapa mätta element finns information om hur du använder dialogrutan Mätområden för elementet.


Knappen Skapa för autoelement

På vissa CMM-enheter utförs samma åtgärd om du trycker på DONE på handterminalen som om du klickar på kommandoknappen Skapa.

Med knappen Skapa skapar du ett element utifrån de nominella data som visas i dialogrutan.

Om du markerar kryssrutan Mät och systemet är i CNC-läge mäts det begärda elementet automatiskt i PC-DMIS. Om systemet körs i manuellt läge uppmanas du att ta de nödvändiga mätpunkterna.


 Området Ytterligare alternativ, tunnplåt Körvägar och riktning för element Området Riktning Området Egenskaper Listan Typ av autoelement Området Läge Rutan ID Området Diverse Knapparna Mer och Mindre Området Auto Knappen Skapa Knappen Stäng

Skapa en autovektorpunkt

Dialogrutan Vektorpunkt

Med mätningsalternativet Vektorpunkt kan du definiera ett nominellt punktläge samt den nominella anloppsriktning som används när den definierade punkten mäts med CMM-enheten.

Du använder alternativet Vektorpunkt genom att öppna autoelementrutan Vektorpunkt (Infoga | Element | Autoelement | Punkt | Vektor). Visa menykarta

Mer:

Fältdefinitioner för vektorpunkter

Mäta en vektorpunkt


Fältdefinitioner för vektorpunkter

Det här är ett exempel på en kommandorad i Redigeringsfönstret för en vektorpunkt:
F_ID=AUTO/VEKTORPUNKT, VISA_ALLA_PARAMETRAR = JA/NEJ VISA_MÄTPKT= NEJ
TEOR/ TX,TY,TZ,TI,TJ,TK
MÄTT / X,Y,Z,I,J,K
MÅL / målX,målY,målZ,målI,målJ,målK
TEOR_TJOCKLEK = n, ALT , RASTER = JA/NEJ
AUTORÖRELSE = JA/NEJ, AVSTÅND = n

VISA_ALLA_PARAMETRAR = Med det här JA-/NEJ-fältet kan du ange om fälten TEOR_TJOCKLEK, REKT/POL, RASTER, AUTORÖRELSE och AVSTÅND ska visas i Redigeringsfönstret.

TEOR_TJOCKLEK = Det här värdet motsvarar den angivna tjockleken för detaljen. Positiva och negativa värden kan användas.

ALT = Det här är ett växlingsfält. X,Y,Z,I,J,K visas i REKT-koordinater (rektangulära) eller POL-koordinater (polära).

RASTER = Med det här JA-/NEJ-fältet kan du ange om den faktiska anloppsvektorn ska låsas mot den teoretiska anloppsvektorn för att eliminera CMM-lägesfel.

TEOR/ = Det här värdet motsvarar den nominella mätpunkten.

MÄTT/ = Det här värdet motsvarar den uppmätta mätpunkten.

MÅL/ = Med de här värdena styr du mätningsläget och vektorriktningen för körning, samtidigt som du kan använda ett helt annat TEO-värde.

AUTORÖRELSE = Det här är ett växlingsfält. JA innebär att alternativet är PÅ.

AVSTÅND = Det här värdet är det avstånd som mätspetsen förflyttas med alternativet AUTORÖRELSE.

Allmän information om mätning av alla typer av autoelement finns i Gemensamma alternativ i dialogrutan Autoelement (14-520).

Mer:

Utökade fältdefinitioner för vektorpunkter


Utökade fältdefinitioner för vektorpunkter

Så här ser kommandoraden för det här elementet med utökade alternativ ut i Redigeringsfönstret:
F_ID=AUTO/VEKTORPUNKT, VISA_ALLA_PARAMETRAR = JA/NEJ VISA_MÄTPKT= NEJ
TEOR/ TX,TY,TZ,TI,TJ,TK
MÄTT/ X,Y,Z,I,J,K
MÅL/ målX,målY,målZ,målI,målJ,målK
TEOR_TJOCKLEK = n, ALT , LÅS_MOT = JA/NEJ
AUTORÖRELSE = JA/NEJ, AVSTÅND = n
SÖK NOM AXEL = x, UPPDATERAVEKT = I,J,K
MÄTVEKTOR = I,J,K, RAPPORTVEK = I,J,K

Obs! TEOR/ motsvarar det teoretiska mätpunktsläget. MÄTT/ motsvarar det faktiska mätta mätpunktsläget.

SÖK NOM AXEL = Det här är ett växlingsfält. Du kan hitta X-AXEL,Y-AXEL,Z-AXEL eller VEKT. Om värdet är INGET hittas inte den nominella axeln.

UPPDATERAVEKT = I det här fältet anges den uppdateringsvektor som används för att genomborra CAD-ytan om läget SÄTT NOMAXEL är aktivt. Värdena kan redigeras.

MÄTVEKTOR = I det här fältet anges anloppsriktningen för den mätpunkt som tas. Värdena kan redigeras.

RAPPORTVEK = I det här fältet anges den vektor som används för avvikelserapportering. Värdena kan redigeras.


Mäta en vektorpunkt

I PC-DMIS finns flera metoder för att mäta en vektorpunkt med autoalternativet. Information om metoderna finns i följande stycken:

  • Använda angivna data för en vektorpunkt

  • Använda ytdata med CMM-enheten för en vektorpunkt

  • Använda ytdata på skärmen för en vektorpunkt

  • Använda tråddata med CMM-enheten för en vektorpunkt

  • Använda tråddata på skärmen för en vektorpunkt

  • Utan att använda CAD-data för en vektorpunkt

Obs! Det går inte att använda musen i Grafikfönstret om CAD-data inte är tillgängliga.


Använda angivna data för en vektorpunkt

Med den här metoden kan du skriva in önskade XYZ- och IJK-värden för vektorpunkten. Mer information om nominella värden finns i Listan Läge.


Använda ytdata med CMM-enheten för en vektorpunkt

Alternativet Sök nom. ska vara PÅ för den här mätmetoden.

För att skapa en vektorpunkt med hjälp av ytdata med CMM-enheten rör du vid den önskade ytan på detaljen med mätspetsen. CAD-ytan genomborras så nära mätspetsens kontaktplats som möjligt.

  • Om beröringsplatsen är nära ytdata, kryssrutan Mätt är avmarkerad och du trycker på knappen Done skapas punktelementet, och det läggs omedelbart till i Redigeringsfönstret. Om beröringsplatsen är nära ytdata och kryssrutan Mätt är markerad används fortfarande ytdata, men elementet skapas inte förrän du klickar på knappen Skapa.

  • Om beröringsplatsen inte är nära ytdata behandlas beröringsplatsen som en faktisk mätpunkt, och dess läge och anloppsvektor visas.

  • Om du tar en andra mätpunkt innan du klickar på knappen Skapa används lägesinformationen för den andra mätpunkten.

  • Om du tar en tredje mätpunkt används de tre mätpunkterna för att avgöra anloppsvektorn, och den sista mätpunktens läge används.

  • Om du tar fler än tre mätpunkter används alla utom den sista mätpunkten för att avgöra anloppsvektorn. Den sista mätpunkten används alltid för att avgöra läget.


Använda ytdata på skärmen för en vektorpunkt

Så här skapar du en vektorpunkt med hjälp av ytdata:

  1. Placera markören på den plats i Grafikfönstret som du vill använda för punkten (på ytan).

  2. Klicka på ytan. Den valda ytan markeras i PC-DMIS.

  3. Kontrollera att rätt yta har markerats.

Den markerade ytan genomborras och läget och vektorn för den valda punkten visas. Riktningen för ytnormalvektorn avgörs av den sida av detaljen som är åtkomlig för mätspetsen. Om båda sidorna är lika åtkomliga används normalen från CAD-data. Med knappen Vänd vektor kan du ändra anloppsriktningen.

Om du gör fler musklickningar innan du klickar på knappen Skapa skrivs den tidigare informationen över med nya data.


Använda tråddata med CMM-enheten för en vektorpunkt

Alternativet Sök nom. ska vara PÅ för den här mätmetoden. Mer information om Sök nom. finns i Listan Läge.

Så här skapar du en vektorpunkt med hjälp av tråddata:

  • Den första mätpunkten som tas anger det nominella XYZ-värdet. Dessutom visas IJK-vektorn. Det här värdet anger den motsatta riktningen i jämförelse med CMM-anloppsvektorn (och pekar alltså bort från ytan). Du kan välja att använda dessa data eller ta ytterligare mätpunkter när du får meddelanden som uppmanar dig att göra detta. Om du tar en andra mätpunkt uppdateras mätpunktsläget och anloppsvektorn med den senaste mätpunkten.

  • Den tredje mätpunkten på ytan ändrar det visade nominella XYZ-värdet till läget för den aktuella mätpunkten. Ett plan skapas utifrån de tre mätpunkterna för att hitta IJK-anloppsvektorn.

  • Eventuella ytterligare mätpunkter som tas innebär att läget för mätpunkten uppdateras med den mest aktuella informationen. Anloppsvektorn uppdateras också så att den blir ett medeltal av alla tidigare mätpunkter (exklusive den senaste mätpunkten) för vektorpunkten.

Du kan välja att använda de data som visas när som helst efter att du tagit den första, andra eller tredje mätpunkten. Även om du inte väljer att använda den tredje mätpunkten återställs systemet internt så att nästa mätpunkt (den fjärde) blir den första mätpunkten i serien.


Använda tråddata på skärmen för en vektorpunkt

Så här använder du CAD-tråddata för att skapa en vektorpunkt:

  1. Markera två kanter (trådar) på den yta där målpunkten ska finnas genom att klicka på trådarna med vänster musknapp. (Trådarna ska finnas på samma yta.) De valda trådarna markeras i PC-DMIS.

  2. Kontrollera att rätt trådar har valts. Ett meddelande visas.

  3. Markera målpunkten på ytan som har skapats. Denna markering projiceras i det plan som utgörs av de två trådarnas vektorer och höjden för den första tråden.


Utan att använda CAD-data för en vektorpunkt

Så här skapar du en vektorpunkt utan att använda CAD-data:

  • Den första mätpunkten som tas anger det nominella XYZ-värdet. Dessutom visas IJK-anloppsvektorn för mätpunkten. Det här värdet anger den motsatta riktningen i jämförelse med CMM-anloppsvektorn (och pekar alltså bort från ytan). Du kan välja att använda dessa data eller ta ytterligare mätpunkter när du får meddelanden som uppmanar dig att göra detta.

  • Om du tar en andra mätpunkt uppdateras mätpunktsläget och anloppsvektorn med den senaste mätpunkten.

  • Den tredje mätpunkten på ytan ändrar det visade nominella XYZ-värdet till läget för den aktuella mätpunkten. Ett plan skapas utifrån de tre mätpunkterna för att hitta IJK-anloppsvektorn.

  • Eventuella ytterligare mätpunkter som tas innebär att läget för mätpunkten uppdateras med den mest aktuella informationen. Anloppsvektorn uppdateras också så att den blir ett medeltal av alla tidigare mätpunkter (exklusive den senaste mätpunkten) för vektorpunkten.


Skapa en autolinje

Dialogrutan Linje

Med mätningsalternativet Linje kan du definiera en nominell linje som används när den definierade linjen mäts med CMM-enheten.

Du använder alternativet Linje genom att öppna autoelementrutan Linje. Visa menykarta

Mer:

Fältdefinitioner för linjer

Mäta en linje


Fältdefinitioner för linjer

Det här är ett exempel på en kommandorad i Redigeringsfönstret för en autolinje:
F_ID=AUTO/LINJE, VISA_ALLA_PARAMETRAR = JA/NEJ VISA_MÄTPKT = JA/NEJ
TEOR/ TX1,TY1,TZ1,TX2,TY2,TZ2,TLÄNGD
MÄTT/ X1,Y1,Z1,X2,Y2,Z2,LÄNGD
MÅL/ målX1,målY1,målZ1, målX2,målY2,målZ2,
TEOR_TJOCKLEK = n, ALT1,ALT2, LÅS_MOT = JA/NEJ
AUTORÖRELSE = JA/NEJ, AVSTÅND = n, RMÄT = Inget
ANTPKTR = n, DJUP = n,
KANTVEK = I,J,K

VISA_ALLA_PARAMETRAR = Med det här JA-/NEJ-fältet kan du ange om fälten TEOR_TJOCKLEK, REKT/POL, BEGR/OBEGR, AUTORÖRELSE, AVSTÅND, RMÄT, ANTPKTR, DJUP och KANTVEK ska visas i Redigeringsfönstret.

TEOR_TJOCKLEK = Det här värdet motsvarar den angivna tjockleken för detaljen. Positiva och negativa värden kan användas.

ALT1 = Det här är ett växlingsfält. X,Y,Z,I,J,K visas i REKT-koordinater (rektangulära) eller POL-koordinater (polära).

ALT2 = Det här är ett växlingsfält. Det kan växla mellan en begränsad (BEGR) och obegränsad (OBEGR) linje.

VID_FEL = Det här JA-/NEJ-fältet gör det lättare att kontrollera felet när en oväntad eller missad mätpunkt identifieras.

TEOR/ = Det här värdet motsvarar den nominella mätpunkten.

MÄTT/ = Det här värdet motsvarar den uppmätta mätpunkten.

MÅL/ = Med de här värdena styr du mätningsläget och vektorriktningen för körning, samtidigt som du kan använda ett helt annat TEO-värde.

AUTORÖRELSE = Det här är ett växlingsfält. JA innebär att alternativet är PÅ.

AVSTÅND = Det här värdet är det avstånd som mätspetsen förflyttas med alternativet AUTORÖRELSE.

RMÄT = Det här värdet är den relativa positionen och riktningen mellan ett eller flera angivna element och autoelementet.

ANTPKTR = Det här växlingsbara värdet kan ändras så att det motsvarar antalet mätpunkter för linjen.

DJUP = Det här värdet motsvarar det avstånd från kanten som mätpunkterna för linjen ska tas på.

KANTVEK = Här visas anloppsriktningen för en kantmätpunkt som används för att skapa linjen.

Allmän information om mätning av alla typer av autoelement finns i Gemensamma alternativ i dialogrutan Autoelement.


Mäta en linje

I PC-DMIS finns flera metoder för att mäta en linje med autoalternativet. Information om metoderna finns i följande stycken:

  • Använda angivna data för en linje

  • Använda tråddata med CMM-enheten för en linje

  • Använda tråddata på skärmen för en linje

  • Utan att använda CAD-data för en linje

Obs! Det går inte att använda musen i Grafikfönstret om CAD-data inte är tillgängliga.


Använda angivna data för en linje

Med den här metoden kan du skriva in de värden som behövs för att skapa en autolinje:

Så här skapar du en begränsad linje

  1. Välj alternativet Begränsad.

  2. Skriv antalet mätpunkter i rutan Ant. pktr.

  3. Skriv ett värde för linjens djup i rutan Djup.

  4. Skriv in XYZ-värdena för Start- och Slutpunkterna.

  5. Skriv in IJK-vektorerna.

  6. Fyll eventuellt i andra alternativ i dialogrutan om det behövs.

  7. Klicka på Skapa. En linje skapas utifrån de värden som du har angett i dialogrutan.

Så här skapar du en obegränsad linje

  1. Välj alternativet Obegränsad.

  2. Skriv antalet mätpunkter i rutan Ant. pktr.

  3. Skriv ett värde för linjens djup i rutan Djup.

  4. Skriv in XYZ-värdena för Startpunkten.

  5. Skriv in IJK-vektorerna.

  6. Skriv ett värde för linjens längd i rutan Längd.

  7. Fyll eventuellt i andra alternativ i dialogrutan om det behövs.

  8. Klicka på Skapa. En linje skapas utifrån de värden som du har angett i dialogrutan.


Använda tråddata med CMM-enheten för en linje

Alternativet Sök nom. ska vara PÅ för den här mätmetoden. Mer information om Sök nom. finns i Listan Läge.

Så här skapar du en linje med hjälp av tråddata:

  • Den första mätpunkten som tas anger XYZ-värdet för den nominella startpunkten. Om du tar en andra mätpunkt (obligatoriskt om du har valt Begränsad) skapas slutpunkten för linjen. Efter att den andra mätpunkten tagits visas också IJK-linjevektorn och IJK-kantvektorn.

  • Alla eventuella ytterligare mätpunkter placeras med jämna avstånd längs linjens längd. Anloppsvektorn uppdateras också så att den blir ett medeltal av alla tidigare mätpunkter (exklusive den senaste mätpunkten) för vektorpunkten.

Du kan välja att använda de data som visas när som helst efter att du tagit den andra mätpunkten.


Använda tråddata på skärmen för en linje

Så här skapar du en linje på skärmen med hjälp av tråddata:

  1. Markera två kanter (trådar) på den yta där målpunkterna ska finnas (om linjen ska begränsas av en andra punkt, annars klickar du bara en gång) genom att klicka på trådarna med vänster musknapp. Trådarna ska finnas på samma yta.

  2. Startpunktens läge ritas i PC-DMIS. Om du skapar en begränsad linje ritas också läget för slutpunkten. Dessutom ritas vektorerna för linjen och kantpunkten.

  3. Kontrollera att rätt trådar har valts.

  4. Ändra eventuellt andra alternativ i dialogrutan om det behövs.

  5. Klicka på Skapa. En linje skapas i PC-DMIS.


Utan att använda CAD-data för en linje

Så här skapar du en linje utan att använda CAD-data:

  1. Välj Begränsad eller Obegränsad.

  2. Om du har valt Begränsad tar du två mätpunkter. Om du har valt Obegränsad tar du en mätpunkt.

  3. Ändra eventuellt andra alternativ i dialogrutan om det behövs.

  4. Klicka på Skapa.


Skapa ett autoplan

Dialogrutan Plan

Med autoalternativet Plan kan du definiera en planmätning. Minst tre mätpunkter krävs för att mäta ett plan.

Du använder alternativet Plan genom att öppna autoelementrutan Plan (Infoga | Element | Autoelement | Plan). Visa menykarta

Mer:

Fältdefinitioner för plan

Mäta ett plan


Fältdefinitioner för plan

Så här ser kommandoraden för ett exempelplan ut i Redigeringsfönstret:
F_ID=AUTO/PLAN, VISA_ALLA_PARAMETRAR = J/N, VISA_MÄTPKT = JA/NEJ
TEOR/ TX,TY,TZ,TI,TJ,TK,
MÄTT/ X,Y,Z,I,J,K,
MÅL/ målX,målY,målZ,målI,målJ,målK
TJOCKLEK = n, ALT1, ALT2,
AUTORÖRELSE = J/N, AVSTÅND = n, RMÄT = inget
ANTPKTR = n, ANTRADER = n, DISTANS = n, ALT3
VINKELVEK = I,J,K

VISA_ALLA_PARAMETRAR = Med det här JA-/NEJ-fältet kan du ange om fälten TEOR_TJOCKLEK, REKT/POL, GAUSS, AUTORÖRELSE, AVSTÅND, RMÄT, LÄS POS, SÖK HÅL, MÄTOM, ANTPKTR, INITIAL, PERM, DISTANS, STIGNING, STARTVINKEL, SLUTVINKEL, DJUP och VINKELVEK ska visas i Redigeringsfönstret.

VISA_MÄTPKT = Med det här växlingsbara JA-/NEJ-fältet kan du ange om mätpunkterna som använts för att skapa cirkeln ska visas i Redigeringsfönstret.

Om mätpunktsdata hämtas från DMIS, eller om du manuellt ändrar minst ett av värdena X, Y, Z, I, J och K för mätpunkten, genereras inte mätpunkterna på nytt utifrån det teoretiska elementet när detaljprogrammet körs. I stället används angivna mätpunktsdata i PC-DMIS för alla mätningar. Om du ändrar någon av följande elementparametrar ignoreras dock de mätpunktsdata som du angav, och mätpunkterna genereras om utifrån den ändrade parametern. Parametrarna är: "ANTPKTR", "VINKELVEKTOR", "DIAMETER ", "LÄNGD", "BREDD", "HÖJD", "INUT", "STARTVINKEL", "SLUTVINKEL", "STIGNING", "VINKEL", "BREDD MINMAX", "STORDIAMETER", "LILLDIAMETER" och "ANTRADER".

TEOR/ = Det här värdet motsvarar den teoretiska mätpunkten.

MÄTT/ = Det här värdet motsvarar den uppmätta mätpunkten.

MÅL = Med de här värdena styr du mätningsläget och vektorriktningen för körning, samtidigt som du kan använda ett helt annat TEO-värde.

TJOCKLEK = Det här fältet växlar mellan TEOR_TJOCKLEK och VERKL_TJOCKLEK, och det redigerbara värdet motsvarar den angivna tjockleken för detaljen. Positiva och negativa värden kan användas.

ALT1 = Det här är ett växlingsfält. X,Y,Z,I,J,K visas i REKT-koordinater (rektangulära) eller POL-koordinater (polära).

ALT2 = Det här växlingsfältet växlar mellan TRIANGEL och OMKRETS. Värdet anger om punktmönstret utgör en triangel eller en omkrets.

AUTORÖRELSE = Det här är ett växlingsfält. JA innebär att alternativet är PÅ.

AVSTÅND = Det här värdet är det avstånd som mätspetsen förflyttas med alternativet AUTORÖRELSE.

RMÄT = Det här värdet är den relativa positionen och riktningen mellan ett eller flera angivna element och autoelementet.

ANTPKTR = Med det här redigerbara värdet anges hur många mätpunkter som tas på varje rad.

ANTRADER = Det här redigerbara värdet ska vara ett heltal som är större än ett. Det anger hur många rader med mätpunkter som används för att skapa elementet. Om du har två rader och två mätpunkter skapas totalt fyra mätpunkter (två på varje rad).

DISTANS = De här värdena är redigerbara avstånd.

ALT3 = I det här växlingsfältet visas vilken typ av mönster som används när mätpunkter tas för autoplanet. Värdet i fältet är antingen FYRKANT eller RADIELL.

VINKELVEK = I det här fältet anges nollpositionen kring normalvektorn. Värdet kan redigeras.

Allmän information om mätning av alla typer av autoelement finns i Gemensamma alternativ i dialogrutan Autoelement.


Mäta ett plan

I PC-DMIS finns flera metoder för att mäta autoplan. Information om metoderna finns i följande stycken:

  • Använda angivna data för ett autoplan

  • Använda tråddata med CMM-enheten för ett autoplan

  • Använda tråddata på skärmen för ett autoplan

  • Utan att använda CAD-data för ett autoplan

Obs! Det går inte att använda musen i Grafikfönstret om CAD-data inte är tillgängliga.


Använda angivna data för ett autoplan

Med den här metoden kan du skriva in önskade XYZ- och IJK-värden för planet.

  1. Öppna dialogrutan för autoelementet Plan (Infoga | Element | Autoelement | Plan). Visa menykarta

  2. Skriv in värden för X, Y, Z, I, J och K samt i rutorna Ant. pktr och Rader.

  3. Gör eventuella ytterligare ändringar i dialogrutan.

  4. Klicka på Skapa.

Rätt antal mätpunkter skapas utifrån det angivna mönstret. Mer information om nominella värden finns i Listan Läge.


Använda tråddata med CMM-enheten för ett autoplan

Alternativet Sök nom. ska vara PÅ för den här mätmetoden. Mer information om Sök nom. finns i Listan Läge.

Så här skapar du ett plan med hjälp av tråddata med CMM-enheten:

  1. Öppna dialogrutan för autoelementet Plan (Infoga | Element | Autoelement | Plan). Visa menykarta

  2. Ta en mätpunkt på ytan där du vill skapa planet. CAD-ytan genomborras så nära mätspetsens kontaktplats som möjligt. De XYZ-värden som visas motsvarar mittvärdet för planet. IJK-värdena motsvarar ytnormalvektorn.

  3. Ändra eventuellt andra alternativ i dialogrutan om det behövs.

  4. Tryck på knappen Done på handterminalen (eller klicka på knappen Skapa i dialogrutan).


Använda tråddata på skärmen för ett autoplan

Du kan också använda CAD-tråddata för att skapa ett autoplan.

Så här skapar du planet:

  1. Öppna dialogrutan för autoelementet Plan (Infoga | Element | Autoelement | Plan). Visa menykarta

  2. Klicka minst tre gånger på ytan.

  3. Kontrollera att rätt element har markerats. Mätspetsens anloppsriktning är alltid vinkelrät mot elementet och mot centrumlinjens vektor för den aktuella mätspetsen. Värdet för planets mittpunkt och vektor visas i dialogrutan.

  4. Gör eventuella ytterligare ändringar i dialogrutan.

  5. Klicka på Skapa.


Utan att använda CAD-data för ett autoplan

Så här skapar du ett plan utan att använda CAD-data:

  1. Öppna dialogrutan för autoelementet Plan (Infoga | Element | Autoelement | Plan). Visa menykarta

  2. Ta minst tre mätpunkter på en yta.

  3. Ta ytterligare mätpunkter om det behövs. Data från samtliga mätta mätpunkter används. De XYZ-värden som visas är den beräknade mittpunkten för planet.

  4. Klicka på Skapa.


Skapa en autocirkel

Dialogrutan Cirkel

Med autoalternativet Cirkel kan du definiera en cirkelmätning. Den här mätningstypen är användbar om cirkeln finns i ett plan som inte är parallellt med något av arbetsplanen, eller om mätpunkter med jämna avstånd krävs för ofullständiga cirklar. Minst tre mätpunkter krävs för att mäta en cirkel. Standardantalet nödvändiga mätpunkter för att mäta en cirkel beror på standardvärdet i läget INSTÄLLNING.

Du använder alternativet Cirkel genom att öppna autoelementrutan Cirkel (Infoga | Element | Autoelement | Cirkel).

Mer:

Fältdefinitioner för cirklar

Mäta en cirkel


Fältdefinitioner för cirklar

Så här ser kommandoraden för en exempelcirkel ut i Redigeringsfönstret:
F_ID=AUTO/CIRKEL, VISA_ALLA_PARAMETRAR = J/N, VISA_MÄTPKT = NEJ
TEOR/ TX,TY,TZ,TI,TJ,TK, TDIAM,
MÄTT/ X,Y,Z,I,J,K, DIAM,
MÅL/ målX,målY,målZ,målI,målJ,målK
TEOR_TJOCKLEK = n, ALT1, ALT2,ALT3, ALT4
AUTORÖRELSE = J/N, AVSTÅND = n, RMÄT = inget
LÄS POS = J/N, SÖK HÅL = J/N, MÄTOM = J/N, ANTPKTR = n, INITIAL = n, PERM = n
DISTANS = n, STIGNING = n, STARTVINKEL = n, SLUTVINKEL = n, DJUP = n
VINKELVEK = I,J,K

VISA_MÄTPKT = Med det här växlingsbara JA-/NEJ-fältet kan du ange om mätpunkterna som använts för att skapa cirkeln ska visas i Redigeringsfönstret.

Om mätpunktsdata hämtas från DMIS, eller om du manuellt ändrar minst ett av värdena X, Y, Z, I, J och K för mätpunkten, genereras inte mätpunkterna på nytt utifrån det teoretiska elementet när detaljprogrammet körs. I stället används angivna mätpunktsdata i PC-DMIS för alla mätningar. Om du ändrar någon av följande elementparametrar ignoreras dock de mätpunktsdata som du angav, och mätpunkterna genereras om utifrån den ändrade parametern. Parametrarna är: "ANTPKTR", "VINKELVEKTOR", "DIAMETER ", "LÄNGD", "BREDD", "HÖJD", "INUT", "STARTVINKEL", "SLUTVINKEL", "STIGNING", "VINKEL", "BREDD MINMAX", "STORDIAMETER", "LILLDIAMETER" och "ANTRADER".

VISA_ALLA_PARAMETRAR = Med det här JA-/NEJ-fältet kan du ange om fälten TEOR_TJOCKLEK, REKT/POL, GAUSS, AUTORÖRELSE, AVSTÅND, RMÄT, LÄS POS, SÖK HÅL, MÄTOM, ANTPKTR, INITIAL, PERM, DISTANS, STIGNING, STARTVINKEL, SLUTVINKEL, DJUP och VINKELVEK ska visas i Redigeringsfönstret.

TJOCKLEK = Det här redigerbara värdet motsvarar den angivna tjockleken för detaljen. Positiva och negativa värden kan användas.

ALT1 = Det här är ett växlingsfält. X,Y,Z,I,J,K visas i REKT-koordinater (rektangulära) eller POL-koordinater (polära).

ALT2 = Det här växlingsfältet växlar mellan IN och UT. Vilken typ av cirkel som mäts avgörs i PC-DMIS utifrån läget för mätspetsen när mätpunkten tas. (Inuti en cirkel = IN, utanför en tapp = UT.)

ALT3 = Det här växlingsfältet växlar mellan CIRKULÄR och RAK. Värdet anger vilken typ av rörelse som används när elementet körs i PC-DMIS.

ALT4 = Det här växlingsfältet växlar mellan GAUSS, MAX_INSKR, MIN_OMSKR, TJEBYCHEV och FAST_RAD.

TEOR/ = Det här värdet motsvarar den teoretiska mätpunkten. TDIAM är det normala värdet för diametern.

MÄTT/ = Det här värdet motsvarar den uppmätta mätpunkten. DIAM är det mätta värdet för diametern.

MÅL = Med de här värdena styr du mätningsläget och vektorriktningen för körning, samtidigt som du kan använda ett helt annat TEO-värde.

AUTORÖRELSE = Det här är ett växlingsfält. JA innebär att alternativet är PÅ.

AVSTÅND = Det här värdet är det avstånd som mätspetsen förflyttas med alternativet AUTORÖRELSE.

RMÄT = Det här värdet är den relativa positionen och riktningen mellan ett eller flera angivna element och autoelementet.

LÄS POS = Det här är ett växlingsfält. JA innebär att alternativet är PÅ.

SÖK HÅL = Det här alternativfältet flyttar mätspetsen till läget för en insträcka ovanför den teoretiska mitten av elementet. Därefter förs den vinkelrätt mot elementets ytvektor och söker efter hålet i mäthastighet. Sökningen fortsätter tills ytan påträffas (vilket innebär att hålet inte finns) eller tills söksträckan uppnås (vilket innebär att hålet finns).

MÄTOM = Det här växlingsbara JA-/NEJ-fältet mäter automatiskt om elementet en andra gång när elementet har mätts. Mätvärdena från den första mätningen används som mållägen för den andra mätningen.

ANTPKTR = Det här redigerbara värdet måste vara ett heltal som är större än två.

INITIAL/PERM = De här värdena är redigerbara fält.

DISTANS/DJUP = De här värdena är redigerbara avstånd.

STIGNING = Det här värdet ger bättre exakthet för gängade hål och tappar.

STARTVINKEL/SLUTVINKEL = De här värdena motsvarar den del av bågen som ska mätas.

VINKELVEK = I det här fältet anges nollpositionen kring den normala vektorn. Värdet kan redigeras.

Allmän information om mätning av alla typer av autoelement finns i Gemensamma alternativ i dialogrutan Autoelement.

Mer:

Utökade fältdefinitioner för cirklar


Utökade fältdefinitioner för cirklar

Så här ser kommandoraden för det här elementet med utökade alternativ ut i Redigeringsfönstret:
F_ID=AUTO/CIRKEL, VISA_ALLA_PARAMETRAR = J/N, VISA_MÄTPKT = NEJ
TEOR/ TX,TY,TZ,TI,TJ,TK, TDIAM, TLÄNGD
MÄTT/ X,Y,Z,I,J,K, DIAM, LÄNGD
MÅL/ målX,målY,målZ,målI,målJ,målK
TJOCKLEK = n, ALT1, ALT2,ALT3, ALT4, ALT5
AUTORÖRELSE = J/N, AVSTÅND = n, RMÄT = inget
LÄS POS = J/N, SÖK HÅL = J/N, MÄTOM = J/N
ANTPKTR =n, INITIAL =n, PERM =n, DISTANS =n
STIGNING =n STARTVINKEL = n, SLUTVINKEL = n, DJUP = n
VINKELVEK = I,J,K
STANS = I,J,K, PIN = I,J,K

Obs! TEOR/ motsvarar det teoretiska mätpunktsläget. MÄTT/ motsvarar det faktiska mätta mätpunktsläget.

STANS = I det här fältet anges riktningen för stansningen genom tunnplåten. Värdet kan redigeras.

PIN = I det här fältet anges riktningen för punkten genom hålet som skapas vid stansningen.

Standardfältdefinitionerna för cirklar beskrivs i Fältdefinitioner för cirklar.


Mäta en cirkel

I PC-DMIS finns flera metoder för att mäta autocirklar. Information om metoderna finns i följande stycken:

  • Använda angivna data för en autocirkel

  • Använda ytdata med CMM-enheten för en autocirkel

  • Använda ytdata på skärmen för en autocirkel

  • Använda tråddata på skärmen för en autocirkel

  • Utan att använda CAD-data för en autocirkel

För alla metoder är det viktigt att rätt elementtyp (HÅL eller TAPP) anges (mer information finns i Alternativen Inv. och Utv.). Kontrollera att du har valt rätt alternativ.

Obs! Det går inte att använda musen i Grafikfönstret om CAD-data inte är tillgängliga.


Använda angivna data för en autocirkel

Med den här metoden kan du skriva in önskade XYZ- och IJK-värden för cirkeln. Mer information om nominella värden finns i Listan Läge.


Använda ytdata med CMM-enheten för en autocirkel

Alternativet Sök nom. ska vara PÅ för den här mätmetoden. Mer information om Sök nom. finns i Listan Läge.

För att skapa en cirkel med hjälp av ytdata med CMM-enheten tar du minst tre mätpunkter i hålet eller på tappen. CAD-ytan genomborras så nära mätspetsens kontaktplats som möjligt. De XYZ-värden som visas motsvarar den närmaste CAD-cirkeln och inte de faktiska mätpunkterna. IJK-värdena motsvarar ytnormalvektorn. Om ingen CAD-cirkel hittas visas den närmaste punkten och du uppmanas att ta ytterligare mätpunkter.


Använda ytdata på skärmen för en autocirkel

Så här skapar du en cirkel med hjälp av ytdata:

  1. Klicka på ikonen Yta [image] .

  2. Placera markören utanför eller inuti den önskade cirkeln.

  3. Klicka på tre platser kring cirkeln. Minst tre klickningar behövs för att nödvändiga XYZ- och IJK-data ska kunna beräknas.

Mittpunkten och diametern från CAD-data för den markerade autocirkeln visas i dialogrutan när den tredje punkten har valts.

Om du gör fler musklickningar innan du klickar på knappen Skapa identifieras den bästa cirkeln i närheten av samtliga mätpunkter.


Använda tråddata på skärmen för en autocirkel

Du kan också använda CAD-tråddata för att skapa en autocirkel.

Så här skapar du cirkeln:

  1. Klicka i närheten av den önskade tråden på cirkeln. Den valda tråden markeras i PC-DMIS.

  2. Kontrollera att rätt element har markerats. Mätspetsens anloppsriktning är alltid vinkelrät mot elementet och mot centrumlinjens vektor för den aktuella mätspetsen.

Värdet för den valda cirkelns centrumpunkt och diameter visas i dialogrutan när du har markerat tråden.

Obs! Om det underliggande CAD-elementet inte är en cirkel eller båge kan det behövas fler klickningar för att identifiera elementet. Om fel element markeras kan du försöka med att klicka på minst två ytterligare platser på cirkeln.


Utan att använda CAD-data för en autocirkel

Så här skapar du en cirkel utan att använda CAD-data:

  1. Ta tre mätpunkter på ytan för att hitta planet som cirkeln finns i.

  2. Ta ytterligare tre mätpunkter i hålet (eller på tappen). Autocirkeln beräknas med hjälp av de tre mätpunkterna.

Du kan också ta ytterligare mätpunkter. Data från alla mätta mätpunkter används tills du klickar på knappen Skapa. De XYZ-värden som visas är den beräknade mittpunkten för cirkeln (eller tappen).


Skapa en autoellips

Dialogrutan Ellips

Med autoelementalternativet Ellips kan du definiera en ellips. En ellips fungerar ungefär som elementtypen tunnplåtscirkel. Elementtypen är särskilt användbar om ellipsen finns i ett plan som inte är parallellt med något av arbetsplanen. Den är också användbar om mätpunkter med jämna avstånd krävs för ofullständiga ellipser. För att mäta en ellips krävs minst fem mätpunkter.

Du använder alternativet Ellips genom att öppna autoelementrutan Ellips. Visa menykarta

Mer:

Fältdefinitioner för ellipser

Mäta en ellips


Fältdefinitioner för ellipser

Det här är ett exempel på en kommandorad i Redigeringsfönstret för en ellips:
F_ID=AUTO/ELLIPS, VISA_ALLA_PARAMETRAR = J/N, VISA_MÄTPKT = NEJ
TEOR/ TX,TY,TZ,TI,TJ,TK,TSTORAXEL,TLILLAXEL, TVNKI,TVNKJ, TVNKK
MÄTT/ X,Y,Z,I,J,K,STORAXEL,LILLAXEL, VNKI,VNKJ,VNKK
MÅL/målX,målY,målZ,målI,målJ,målK,målVNKI,målVNKJ,målVNKK
TEOR_TJOCKLEK = n, TOG1, ALT2
AUTORÖRELSE = J/N, AVSTÅND = n, RMÄT = inget
ANTPKTR = n, INITIAL = n, PERM = n, DISTANS = n,
STARTVINKEL =n, SLUTVINKEL =n, DJUP = n

VISA_MÄTPKT = Med det här växlingsbara JA-/NEJ-fältet kan du ange om mätpunkterna som använts för att skapa ellipsen ska visas i Redigeringsfönstret.

Om mätpunktsdata hämtas från DMIS, eller om du manuellt ändrar minst ett av värdena X, Y, Z, I, J och K för mätpunkten, genereras inte mätpunkterna på nytt utifrån det teoretiska elementet när detaljprogrammet körs. I stället används angivna mätpunktsdata i PC-DMIS för alla mätningar. Om du ändrar någon av följande elementparametrar ignoreras dock de mätpunktsdata som du angav, och mätpunkterna genereras om utifrån den ändrade parametern. Parametrarna är: "ANTPKTR", "VINKELVEKTOR", "DIAMETER ", "LÄNGD", "BREDD", "HÖJD", "INUT", "STARTVINKEL", "SLUTVINKEL", "STIGNING", "VINKEL", "BREDD MINMAX", "STORDIAMETER", "LILLDIAMETER" och "ANTRADER".

VISA_ALLA_PARAMETRAR = Med det här JA-/NEJ-fältet kan du ange om fälten TEOR_TJOCKLEK, REKT/POL, AUTORÖRELSE, AVSTÅND, RMÄT, LÄS POS, ANTPKTR, INITIAL, PERM, DISTANS, STARTVINKEL, SLUTVINKEL och DJUP ska visas i Redigeringsfönstret.

TEOR_TJOCKLEK = Det här värdet motsvarar den angivna tjockleken för detaljen. Positiva och negativa värden kan användas.

ALT1 = Det här är ett växlingsfält. X,Y,Z,I,J,K visas i REKT-koordinater (rektangulära) eller POL-koordinater (polära).

ALT2 = Det här fältet växlar mellan IN och UT. Vilken typ av ellips som mäts avgörs i PC-DMIS utifrån läget för mätspetsen när mätpunkten tas. (Inuti en ellips = IN, utanför en tapp = UT.)

TSTORAXEL, STORAXEL = De här värdena motsvarar de totala teoretiska och mätta längderna (storaxlarna) för ellipsen.

TLILLAXEL, LILLAXEL = De här värdena motsvarar de totala teoretiska och mätta bredderna (lillaxlarna) för ellipsen.

TEOR/ = Det här värdet motsvarar den teoretiska mätpunkten.

MÄTT/ = Det här värdet motsvarar den uppmätta mätpunkten.

MÅL = Med de här värdena styr du mätningsläget och vektorriktningen för körning, samtidigt som du kan använda ett helt annat TEO-värde.

AUTORÖRELSE = Det här är ett växlingsfält. JA innebär att alternativet är PÅ.

AVSTÅND = Det här värdet är det avstånd som mätspetsen förflyttas med alternativet AUTORÖRELSE.

RMÄT = Det här värdet är den relativa positionen och riktningen mellan ett eller flera angivna element och autoelementet.

ANTPKTR = Det här redigerbara värdet är ett heltal som är större än fyra.

INITIAL/PERM = De här värdena kan redigeras. Giltiga värden är noll, ett och tre.

DISTANS/DJUP = De här värdena är redigerbara avstånd.

STARTVINKEL/SLUTVINKEL = De här värdena motsvarar den del av bågen som ska mätas.

Allmän information om mätning av alla typer av autoelement finns i Gemensamma alternativ i dialogrutan Autoelement.


Mäta en ellips

I PC-DMIS finns flera metoder för att mäta en ellips med alternativet för tunnplåt. Information om metoderna finns i följande stycken:

  • Använda angivna data för en ellips

  • Använda ytdata med CMM-enheten för en ellips

  • Använda ytdata på skärmen för en ellips

  • Utan att använda CAD-data för en ellips

Obs! Det går inte att använda musen i Grafikfönstret om CAD-data inte är tillgängliga.


Använda angivna data för en ellips

Med den här metoden kan du skriva in önskade XYZ- och IJK-värden för ellipsen. Dessutom kan du ange stordiametern, lilldiametern och vinkelvektorn I2, J2 och K2 för ellipsen. Mer information om nominella värden finns i Listan Läge.


Använda ytdata med CMM-enheten för en ellips

Alternativet Sök nom. ska vara PÅ för den här mätmetoden. Mer information om Sök nom. finns i Listan Läge.

För att skapa en ellipsmätning med hjälp av ytdata med CMM-enheten tar du minst fem mätpunkter på ellipsen. CAD-ytan genomborras så nära mätspetsens kontaktplats som möjligt. De XYZ-värden som visas motsvarar den närmaste CAD-ellipsen och inte de faktiska mätpunkterna. IJK-värdena motsvarar ytnormalvektorn. Om ingen CAD-ellips hittas visas den närmaste punkten och du uppmanas att ta ytterligare mätpunkter.


Använda ytdata på skärmen för en ellips

Så här skapar du en ellipsmätning med hjälp av ytdata:

  1. Klicka på ikonen Yta [image] .

  2. Använd den animerade mätspetsen och rör vid fem platser kring ellipsen som visas i Grafikfönstret.

Minst fem mätpunkter behövs för att nödvändiga XYZ- och IJK-data ska kunna beräknas.


Utan att använda CAD-data för en ellips

Så här skapar du en ellips utan att använda CAD-data:

  1. Ta tre mätpunkter på ytan för att hitta planet som cirkeln finns i.

  2. Ta ytterligare fem mätpunkter i hålet (eller på tappen).

Dessa data används för att beräkna tunnplåtsellipsen. Du kan ta ytterligare mätpunkter tills du klickar på knappen Skapa. De XYZ-värden som visas är den beräknade mittpunkten för ellipsen. Dessutom visas de beräknade stor- och lilldiametrarna samt riktningsvektorn.


Skapa ett autourtag

Dialogrutan Urtag

Med mätalternativet Urtag kan du definiera en urtagsmätning. Ett urtag är ett tresidigt rätvinkligt spår. Den här mätningstypen är användbar om du vill mäta en serie linjer och konstruera skärningspunkter och medelpunkter utifrån dem. Minst fyra mätpunkter behövs för att mäta urtag.

Du använder alternativet Urtag genom att öppna autoelementrutan Urtag (Infoga | Element | Autoelement | Urtag). Visa menykarta

Mer:

Fältdefinitioner för urtag

Mäta ett urtag


Fältdefinitioner för urtag

Det här är ett exempel på en kommandorad i Redigeringsfönstret för ett urtag:
F_ID=AUTO/URTAG, VISA_ALLA_PARAMETRAR = J/N, VISA_MÄTPKT = NEJ
TEOR/ TX,TY,TZ,TI,TJ,TK,TBREDD,TLÄNGD, TI2, TJ2, TK2
MÄTT/ X,Y,Z,I,J,K,BREDD,LÄNGD, I2,J2,K2
MÅL/målX,målY,målZ,målI,målJ,målK,målI2,målJ2,målK2
TEOR_TJOCKLEK = n, ALT1, ALT2
AUTORÖRELSE = J/N, AVSTÅND = n, RMÄT = inget
LÄS POS = J/N, SÖK HÅL= J/N, MÄTOM = J/N
INITIAL = n, PERM = n, DISTANS = n,
INDRAG = n, DJUP = n, RADIE = n

VISA_MÄTPKT = Med det här växlingsbara JA-/NEJ-fältet kan du ange om mätpunkterna som använts för att skapa urtaget ska visas i Redigeringsfönstret.

VISA_ALLA_PARAMETRAR = Med det här JA-/NEJ-fältet kan du ange om fälten TEOR_TJOCKLEK, REKT/POL, AUTORÖRELSE, AVSTÅND, RMÄT, LÄS POS, SÖK HÅL, MÄTOM, INITIAL, PERM, DISTANS, INDRAG, DJUP och RADIE ska visas i Redigeringsfönstret.

TEOR_TJOCKLEK = Det här värdet motsvarar den angivna tjockleken för detaljen. Positiva och negativa värden kan användas.

ALT1 = Det här är ett växlingsfält. X,Y,Z,I,J,K visas i REKT-koordinater (rektangulära) eller POL-koordinater (polära).

ALT2 = Det här är ett växlingsfält. Här anges om alternativet VID FEL är aktivt (värdet JA) eller inaktivt (värdet NEJ).

MÅL = Med de här värdena styr du mätningsläget och vektorriktningen för körning, samtidigt som du kan använda ett helt annat TEO-värde.

AUTORÖRELSE = Det här är ett växlingsfält. JA innebär att alternativet är PÅ.

AVSTÅND = Det här värdet är det avstånd som mätspetsen förflyttas med alternativet AUTORÖRELSE.

RMÄT = Det här värdet är den relativa positionen och riktningen mellan ett eller flera angivna element och autoelementet.

LÄS POS = Det här är ett växlingsfält. JA innebär att alternativet är PÅ.

SÖK HÅL = Det här alternativfältet flyttar mätspetsen till läget för en insträcka ovanför den teoretiska mitten av elementet. Därefter förs den vinkelrätt mot elementets ytvektor och söker efter hålet i mäthastighet. Sökningen fortsätter tills ytan påträffas (vilket innebär att hålet inte finns) eller tills söksträckan uppnås (vilket innebär att hålet finns).

MÄTOM = Det här växlingsbara JA-/NEJ-fältet mäter automatiskt om elementet en andra gång när elementet har mätts. Mätvärdena från den första mätningen används som mållägen för den andra mätningen.

INITIAL/PERM = De här värdena kan redigeras. Giltiga värden är noll, ett och tre.

INDRAG = Det här redigerbara värdet är ett avstånd.

DJUP = De här värdena är redigerbara avstånd.

RADIE = Det här redigerbara värdet är ett icke-negativt avstånd.

Allmän information om mätning av alla typer av autoelement finns i Gemensamma alternativ i dialogrutan Autoelement.


Mäta ett urtag

I PC-DMIS finns flera metoder för att mäta ett urtag med alternativet för tunnplåt. Information om metoderna finns i följande stycken:

  • Använda angivna data för ett urtag

  • Använda ytdata med CMM-enheten för ett urtag

  • Använda ytdata på skärmen för ett urtag

  • Använda tråddata med CMM-enheten för ett urtag

  • Använda tråddata på skärmen för ett urtag

  • Utan att använda CAD-data för ett urtag

Obs! Det går inte att använda musen i Grafikfönstret om CAD-data inte är tillgängliga.


Använda angivna data för ett urtag

Med den här metoden kan du skriva in önskade XYZ- och IJK-värden för urtaget. Mer information om nominella värden finns i Listan Läge.


Använda ytdata med CMM-enheten för ett urtag

Alternativet Sök nom. ska vara PÅ för den här mätmetoden. Mer information om Sök nom. finns i Listan Läge.

Så här skapar du en urtagsmätning med hjälp av ytdata med CMM-enheten:

  1. Rör två gånger vid den motsatta sidan till urtagets öppning med mätspetsen. På så sätt definieras en linje längs kanten.

  2. Rör en gång vid detaljen på en av urtagets parallella sidor, och sedan en gång på den andra sidan. På så sätt definierar du längden. Punkten finns längs kanten, halvvägs mellan de parallella sidorna.

  3. Ta en mätpunkt på den öppna kanten. På så sätt definierar du urtagets bredd.


Använda ytdata på skärmen för ett urtag

Så här skapar du en urtagsmätning med hjälp av ytdata:

  1. Klicka på ikonen Yta [image].

  2. Använd den animerade mätspetsen och ta fem mätpunkter på CAD-ytan i samma ordning som om du hade använt en CMM-enhet (se Använda ytdata med CMM-enheten för ett urtag).


Använda tråddata med CMM-enheten för ett urtag

Alternativet Sök nom. ska vara PÅ för den här mätmetoden. Mer information om Sök nom. finns i Listan Läge.

Så här skapar du en urtagsmätning med hjälp av tråddata med CMM-enheten:

  1. Rör två gånger vid den motsatta sidan till urtagets öppning med mätspetsen. På så sätt definieras en linje längs kanten.

  2. Rör vid detaljen på en av urtagets parallella sidor, och rör sedan vid den på den andra sidan. På så sätt definierar du längden. Punkten finns längs kanten, halvvägs mellan de parallella sidorna.

  3. Rör vid den öppna kanten en gång. På så sätt definierar du urtagets bredd.


Använda tråddata på skärmen för ett urtag

Du kan också använda CAD-tråddata för att skapa ett urtag.

Använd den animerade mätspetsen och gör följande:

  1. Rör två gånger vid den motsatta sidan till urtagets öppning med mätspetsen. På så sätt definieras en linje längs kanten.

  2. Rör vid detaljen på en av urtagets parallella sidor, och rör sedan vid den på den andra sidan. På så sätt definierar du längden. Punkten finns längs kanten, halvvägs mellan de parallella sidorna.

  3. Rör vid den öppna kanten en gång. På så sätt definierar du urtagets bredd.


Utan att använda CAD-data för ett urtag

Så här skapar du ett urtag utan att använda CAD-data:

  1. Hitta den översta ytan med hjälp av tre mätpunkter.

  2. Rör två gånger vid den motsatta sidan till urtagets öppning med mätspetsen. På så sätt definieras en linje längs kanten.

  3. Rör vid detaljen på en av urtagets parallella sidor, och rör sedan vid den på den andra sidan. På så sätt definierar du längden. Punkten finns längs kanten, halvvägs mellan de parallella sidorna.

  4. Rör vid den öppna kanten en gång. På så sätt definierar du urtagets bredd.


Skapa ett autoelement av typen Rundat spår

Dialogrutan Rundat spår

Med autoalternativet Rundat spår kan du definiera en mätning av ett rundat spår. Den här mätningstypen är användbar om du inte vill mäta en serie linjer och cirklar, eller konstruera skärningspunkter och medelpunkter utifrån dem. För att mäta ett rundat spår krävs minst sex mätpunkter.

Rundat spår med minst sex mätpunkter

Du använder alternativet Rundat spår genom att öppna autoelementrutan Rundat spår (Infoga | Element | Autoelement | Rundat spår).

Mer:

Fältdefinitioner för rundade spår

Mäta ett rundat spår


Fältdefinitioner för rundade spår

Det här är ett exempel på en kommandorad i Redigeringsfönstret för ett rundat spår:
F_ID=AUTO/RUNDAT SPÅR, VISA_ALLA_PARAMETRAR = J/N, VISA_MÄTPKT = NEJ
TEOR / TX,TY,TZ,TI,TJ,TK,TBREDD,TLÄNGD, TVNKI,TVNKJ,TVNKK
MÄTT / X,Y,Z,I,J,K,BREDD,LÄNGD,VNKI,VNKJ,VNKK
MÅL / målX,målY,målZ,målI,målJ,målK, målVNKI,målVNKJ,målVNKK
TEOR_TJOCKLEK = n, ALT1, ALT2
AUTORÖRELSE = J/N, AVSTÅND = n, RMÄT = inget
LÄS POS = J/N, SÖK HÅL = J/N, MÄTOM = J/N
INITIAL = n, PERM = n, DISTANS = n
DJUP = n, MÄTPKTR = n

VISA_MÄTPKT = Med det här växlingsbara JA-/NEJ-fältet kan du ange om mätpunkterna som använts för att skapa det rundade spåret ska visas i Redigeringsfönstret.

Om mätpunktsdata hämtas från DMIS, eller om du manuellt ändrar minst ett av värdena X, Y, Z, I, J och K för mätpunkten, genereras inte mätpunkterna på nytt utifrån det teoretiska elementet när detaljprogrammet körs. I stället används angivna mätpunktsdata i PC-DMIS för alla mätningar. Om du ändrar någon av följande elementparametrar ignoreras dock de mätpunktsdata som du angav, och mätpunkterna genereras om utifrån den ändrade parametern. Parametrarna är: "ANTPKTR", "VINKELVEKTOR", "DIAMETER ", "LÄNGD", "BREDD", "HÖJD", "INUT", "STARTVINKEL", "SLUTVINKEL", "STIGNING", "VINKEL", "BREDD MINMAX", "STORDIAMETER", "LILLDIAMETER" och "ANTRADER".

VISA_ALLA_PARAMETRAR = Med det här JA-/NEJ-fältet kan du ange om fälten TEOR_TJOCKLEK, REKT/POL, IN/UT, AUTORÖRELSE, AVSTÅND, RMÄT, LÄS POS, SÖK HÅL, MÄTOM, INITIAL, PERM, DISTANS, DJUP och MÄTPKTR ska visas i Redigeringsfönstret.

TEOR_TJOCKLEK = Det här värdet motsvarar den angivna tjockleken för detaljen. Positiva och negativa värden kan användas.

ALT1 = Det här är ett växlingsfält. X,Y,Z,I,J,K visas i REKT-koordinater (rektangulära) eller POL-koordinater (polära).

ALT2 = Det här fältet växlar mellan IN och UT. Vilken typ av spår som mäts avgörs i PC-DMIS utifrån läget för mätspetsen när mätpunkten tas.

ALT3 = Det här fältet växlar mellan NORM och TAPP. Här anges vilken typ av spår som mäts i PC-DMIS.

TEOR/ = Det här värdet motsvarar den teoretiska mätpunkten.

MÄTT/ = Det här värdet motsvarar den uppmätta mätpunkten.

MÅL = Med de här värdena styr du mätningsläget och vektorriktningen för körning, samtidigt som du kan använda ett helt annat TEO-värde.

AUTORÖRELSE = Det här är ett växlingsfält. JA innebär att alternativet är PÅ.

AVSTÅND = Det här värdet är det avstånd som mätspetsen förflyttas med alternativet AUTORÖRELSE.

RMÄT = Det här värdet är den relativa positionen och riktningen mellan ett eller flera angivna element och autoelementet.

LÄS POS = Det här är ett växlingsfält. JA innebär att alternativet är PÅ.

SÖK HÅL = Det här alternativfältet flyttar mätspetsen till läget för en insträcka ovanför den teoretiska mitten av elementet. Därefter förs den vinkelrätt mot elementets ytvektor och söker efter hålet i mäthastighet. Sökningen fortsätter tills ytan påträffas (vilket innebär att hålet inte finns) eller tills söksträckan uppnås (vilket innebär att hålet finns).

MÄTOM = Det här växlingsbara JA-/NEJ-fältet mäter automatiskt om elementet en andra gång när elementet har mätts. Mätvärdena från den första mätningen används som mållägen för den andra mätningen.

INITIAL/PERM = De här värdena kan redigeras. Giltiga värden är noll, ett och tre.

DISTANS/DJUP = De här värdena är redigerbara avstånd.

BREDD MINMAX = Det här fältet växlar mellan MAXMIN och NORM. Detta anger hur spåret ska mätas.

Allmän information om mätning av alla typer av autoelement finns i Gemensamma alternativ i dialogrutan Autoelement.

Mer:

Utökade fältdefinitioner för rundade spår


Utökade fältdefinitioner för rundade spår

Så här ser kommandoraden för det här elementet ut i Redigeringsfönstret:
F_ID=AUTO/RUNDAT SPÅR, VISA_ALLA_PARAMETRAR = J/N, VISA_MÄTPKT = NEJ
TEOR/ TX,TY,TZ,TI,TJ,TK,TDIAM,TLÄNGD, x
MÄTT/ X,Y,Z,I,J,K,DIAM,LÄNGD, x
MÅL/målX,målY,målZ,målI,målJ,målK,målDIAM,x
TEOR_TJOCKLEK = n, ALT1, ALT2,ALT3
AUTORÖRELSE = J/N, AVSTÅND = n, RMÄT = inget
LÄS POS = J/N, SÖK HÅL= J/N, MÄTOM = J/N
INITIAL = n, PERM = n, DISTANS = n,
DJUP = n, STANS = I,J,K, PIN = I,J,K

Obs! TEOR/ motsvarar det teoretiska mätpunktsläget. MÄTT/ motsvarar det faktiska mätta mätpunktsläget.

STANS = I det här fältet anges riktningen för stansningen genom tunnplåten. Värdet kan redigeras.

PIN = I det här fältet anges riktningen för punkten genom hålet som skapas vid stansningen.

Standardfältdefinitionerna för rundade spår beskrivs i Fältdefinitioner för rundade spår.


Mäta ett rundat spår

I PC-DMIS finns flera metoder för att mäta ett rundat spår med alternativet för tunnplåt. Information om metoderna finns i följande stycken:

  • Använda angivna data för ett rundat spår

  • Använda ytdata med CMM-enheten för ett rundat spår

  • Använda ytdata på skärmen för ett rundat spår

  • Använda tråddata med CMM-enheten för ett rundat spår

  • Använda tråddata på skärmen för ett rundat spår

  • Utan att använda CAD-data för ett rundat spår

Obs! Det går inte att använda musen i Grafikfönstret om CAD-data inte är tillgängliga.


Använda angivna data för ett rundat spår

Med den här metoden kan du skriva in önskade XYZ- och IJK-värden för det rundade spåret. Mer information om nominella värden finns i Listan Läge.


Använda ytdata med CMM-enheten för ett rundat spår

Alternativet Sök nom. ska vara PÅ för den här mätmetoden. Mer information om Sök nom. finns i Listan Läge.

För att skapa en mätning av ett rundat spår med hjälp av ytdata med CMM-enheten rör du vid varje båge tre gånger.


Använda ytdata på skärmen för ett rundat spår

Så här skapar du en mätning för ett rätvinkligt spår med hjälp av ytdata:

  1. Klicka på ikonen Yta [image] .

  2. Använd den animerade mätspetsen och rör vid varje båge som visas i Grafikfönstret tre gånger vardera.


Använda tråddata med CMM-enheten för ett rundat spår

Alternativet Sök nom. ska vara PÅ för den här mätmetoden. Mer information om Sök nom. finns i Listan Läge.

För att skapa en mätning av ett rundat spår med hjälp av tråddata med CMM-enheten rör du vid varje båge tre gånger.

Obs! Om de CAD-data som definierar ändarna för spåret uttryckligen är av typen CIRKEL eller BÅGE (d.v.s. ett IGES 100-element) tas automatiskt ytterligare två mätpunkter på bågen. Om båda ändarna är av den här typen räcker det med en beröring av vardera båge för att mäta den här elementtypen.


Använda tråddata på skärmen för ett rundat spår

Du kan också använda CAD-tråddata för att skapa ett rundat spår. Använd den animerade mätspetsen och rör vid varje båge som visas i Grafikfönstret tre gånger vardera.

Obs! Om de CAD-data som definierar ändarna för spåret uttryckligen är av typen CIRKEL eller BÅGE (d.v.s. ett IGES 100-element) tas automatiskt ytterligare två mätpunkter på bågen. Om båda ändarna är av den här typen räcker det med en beröring av vardera båge för att mäta den här elementtypen.


Utan att använda CAD-data för ett rundat spår

Om ett rundat spår ska skapas utan att CAD-data används rör du tre gånger vid varje båge (totalt sex mätpunkter).


Skapa en autovinkelpunkt

Dialogrutan Vinkelpunkt

Med mätalternativet Vinkelpunkt kan du definiera en punktmätning som är skärningspunkten för två mätta linjer. Den här mätningstypen gör att du kan mäta skärningspunkten för två linjer utan att behöva mäta linjerna separat och skapa en skärningspunkt. Sex mätpunkter behövs för att en vinkelpunkt ska kunna mätas korrekt.

Du använder alternativet Vinkelpunkt genom att öppna autoelementrutan Vinkelpunkt (Infoga | Element | Autoelement | Punkt | Vinkel). Visa menykarta

Mer:

Fältdefinitioner för vinkelpunkter

Mäta en vinkelpunkt


Fältdefinitioner för vinkelpunkter

Det här är ett exempel på en kommandorad i Redigeringsfönstret för en vinkelpunkt:
F_ID=AUTO/VINKELPUNKT, VISA_ALLA_PARAMETRAR = JA/NEJ
TEOR/ TX,TY,TZ,TI,TJ,TK
MÄTT/ X,Y,Z,I,J,K
MÅL/målX,målY,målZ,målI,målJ,målK
TEOR_TJOCKLEK = n, ALT1, VID_FEL = JA/NEJ
AUTORÖRELSE = JA/NEJ, AVSTÅND = n, RMÄT = Inget
VEKTOR1 = I,J,K, VEKTOR2 = I,J,K
ANTPKTR = n, DISTANS = n, INDRAG1= n, INDRAG2 = n, ALT2

VISA_ALLA_PARAMETRAR = Med det här JA-/NEJ-fältet kan du ange om fälten TEOR_TJOCKLEK, REKT/POL, AUTORÖRELSE, AVSTÅND, RMÄT, VEKTOR1, VEKTOR2, ANTPKTR, DISTANS, INDRAG1, INDRAG2 och INRE ska visas i Redigeringsfönstret.

TEOR_TJOCKLEK = Det här värdet motsvarar den angivna tjockleken för detaljen. Positiva och negativa värden kan användas.

ALT 1= Det här är ett växlingsfält. X,Y,Z,I,J,K visas i REKT-koordinater (rektangulära) eller POL-koordinater (polära).

TEO/ = Det här värdet motsvarar den teoretiska mätpunkten.

MÄTT/ = Det här värdet motsvarar den uppmätta mätpunkten.

MÅL/ = Med de här värdena styr du mätningsläget och vektorriktningen för körning, samtidigt som du kan använda ett helt annat TEO-värde.

AUTORÖRELSE = Det här är ett växlingsfält. JA innebär att det här alternativet används.

VID_FEL = Det här JA-/NEJ-fältet gör det lättare att kontrollera felet när en oväntad eller missad mätpunkt identifieras.

AVSTÅND = Det här värdet är det avstånd som mätspetsen förflyttas med alternativet AUTORÖRELSE.

RMÄT = Det här värdet är den relativa positionen och riktningen mellan ett eller flera angivna element och autoelementet.

VEKTOR1 = De tre talen (IJK-värdena) utgör en vektor som kan redigeras, och tvingas till rätvinklighet mot vektorn på den första ytan.

VEKTOR2 = De tre talen (IJK-värdena) utgör en vektor som kan redigeras, och tvingas till rätvinklighet mot vektorn på den andra ytan.

ANTPKTR = Det här växlingsbara värdet kan redigeras eller ändras. Giltiga värden är ett och tre.

DISTANS = Det här värdet är förskjutningsavståndet (offset) mellan punkterna på var sin sida om krökningen.

INDRAG1 = Det här värdet, som kan redigeras, är förskjutningsavståndet (offset) mellan punktens läge och stödpunkterna på krökningens första yta.

INDRAG2 = Det här värdet, som kan redigeras, är förskjutningsavståndet (offset) mellan punktens läge och stödpunkterna på krökningens andra yta.

ALT2 = Värdet i det här växlingsbara fältet kan vara INRE eller YTTRE. Värdet beskriver vilken typ av vinkelpunkt som mäts.

Allmän information om mätning av alla typer av autoelement finns i Gemensamma alternativ i dialogrutan Autoelement.


Mäta en vinkelpunkt

I PC-DMIS finns flera metoder för att mäta en vinkelpunkt med autoalternativet. Information om metoderna finns i följande stycken:

  • Använda angivna data för en vinkelpunkt

  • Använda ytdata med CMM-enheten för en vinkelpunkt

  • Använda ytdata på skärmen för en vinkelpunkt

  • Använda tråddata med CMM-enheten för en vinkelpunkt

  • Använda tråddata på skärmen för en vinkelpunkt

  • Utan att använda CAD-data för en vinkelpunkt

Obs! Det går inte att använda musen i Grafikfönstret om CAD-data inte är tillgängliga.


Använda angivna data för en vinkelpunkt

Med den här metoden kan du skriva in önskade XYZ- och IJK-värden för vinkelpunkten. Mer information om nominella värden finns i Listan Läge.


Använda ytdata med CMM-enheten för en vinkelpunkt

Alternativet Sök nom. ska vara PÅ för den här mätmetoden. Mer information om Sök nom. finns i Listan Läge.

För att skapa en vinkelpunkt med hjälp av ytdata med CMM-enheten rör du en gång vid varje sida av vinkelkanten. Om ingen CAD-vinkelpunkt hittas visas den närmaste punkten och du uppmanas att ta ytterligare mätpunkter.


Använda ytdata på skärmen för en vinkelpunkt

Så här skapar du en vinkelpunkt med hjälp av ytdata:

  1. Klicka på ikonen Yta [image] .

  2. Använd den animerade mätspetsen och rör vid en plats nära (men inte på) den vinklade kanten. Den valda ytan markeras i PC-DMIS.

  3. Kontrollera att rätt yta har markerats.

Värdet för den markerade vinkelpunkten och vektorn visas i dialogrutan när du har valt punkten. Riktningen för ytnormalvektorn avgörs av den sida av detaljen som är åtkomlig för mätspetsen. Om båda sidorna är lika åtkomliga används normalen från CAD-data. Med knappen Vänd vektor kan du ändra anloppsriktningen.

Om du gör fler musklickningar innan du klickar på knappen Skapa skrivs den tidigare informationen över med nya data.

Obs! Om ytterligare en punkt krävs klickar du på den motsatta ytan på den vinklade kanten.


Använda tråddata med CMM-enheten för en vinkelpunkt

Alternativet Sök nom. ska vara PÅ för den här mätmetoden. Mer information om Sök nom. finns i Listan Läge.

För att skapa en vinkelpunkt med hjälp av tråddata med CMM-enheten rör du en gång vid varje sida av vinkelkanten. Om ingen CAD-vinkelpunkt hittas visas den närmaste punkten och du uppmanas att ta ytterligare mätpunkter.


Använda tråddata på skärmen för en vinkelpunkt

Du kan också använda CAD-tråddata för att skapa en vinkelpunkt.

Så här skapar du punkten:

  1. Använd den animerade mätspetsen och rör vid en plats nära (men inte på) den vinklade kanten. Den valda ytan markeras i PC-DMIS.

  2. Kontrollera att rätt yta har markerats.

Värdet för den markerade vinkelpunkten och vektorn visas i dialogrutan när du har valt punkten. Riktningen för ytnormalvektorn avgörs av den sida av detaljen som är åtkomlig för mätspetsen. Om båda sidorna är lika åtkomliga används normalen från CAD-data. Med knappen Vänd vektor kan du ändra anloppsriktningen.

· Om du klickar fler gånger med musen innan du klickar på knappen Skapa skrivs den tidigare informationen över med nya data.

· Om ytterligare en punkt krävs klickar du på den motsatta ytan på den vinklade kanten.


Utan att använda CAD-data för en vinkelpunkt

Om en vinkelpunkt ska skapas utan att CAD-data används rör du tre gånger vid varje yta för att hitta de två planen. Den visade vinkelpunkten finns vid läget för den första mätpunkten.


Skapa en autohörnpunkt

Dialogrutan Hörnpunkt

Med mätalternativet Hörnpunkt kan du definiera en punktmätning som är skärningspunkten för tre mätta plan. Den här mätningstypen gör att du kan mäta skärningspunkten för tre plan utan att behöva mäta planen separat och skapa en skärningspunkt. För att mäta en hörnpunkt krävs nio mätpunkter (tre punkter på vart och ett av de tre planen).

Du använder alternativet Hörnpunkt genom att öppna autoelementrutan Hörnpunkt (Infoga | Element | Autoelement | Punkt | Hörn). Visa menykarta

Mer:

Fältdefinitioner för hörnpunkter

Mäta en hörnpunkt


Fältdefinitioner för hörnpunkter

Det här är ett exempel på en kommandorad i Redigeringsfönstret för en hörnpunkt:
F_ID=AUTO/HÖRNPUNKT, VISA_ALLA_PARAMETRAR = JA/NEJ
TEOR/ TX,TY,TZ,TI,TJ,TK
MÄTT/ X,Y,Z,I,J,K
MÅL/målX,målY,målZ,målI,målJ,målK
TEOR_TJOCKLEK = n, ALT, VID_FEL = JA/NEJ
AUTORÖRELSE = JA/NEJ, AVSTÅND = n, RMÄT = Inget
VEKTOR1 = I,J,K, VEKTOR2 = I,J,K
ANTPKTR = n, DISTANS = n, INDRAG1= n, INDRAG2 = n, INDRAG3 = n, ALT2

VISA_ALLA_PARAMETRAR = Med det här JA-/NEJ-fältet kan du ange om fälten TEOR_TJOCKLEK, REKT/POL, AUTORÖRELSE, AVSTÅND, RMÄT, VEKTOR2, VEKTOR3, INDRAG1, INDRAG2 och INDRAG3 ska visas i Redigeringsfönstret.

TEOR_TJOCKLEK = Det här värdet motsvarar den angivna tjockleken för detaljen. Positiva och negativa värden kan användas.

ALT = Det här är ett växlingsfält. X,Y,Z,I,J,K visas i REKT-koordinater (rektangulära) eller POL-koordinater (polära).

ALT2 = Värdet i det här växlingsbara fältet kan vara INNER eller YTTER. Värdet beskriver vilken typ av punkt som mäts.

ANTPKTR = Det här växlingsbara värdet kan redigeras eller ändras. Giltiga värden är ett och tre.

TEOR/ = Det här värdet motsvarar den teoretiska mätpunkten.

MÄTT/ = Det här värdet motsvarar den uppmätta mätpunkten.

MÅL/ = Med de här värdena styr du mätningsläget och vektorriktningen för körning, samtidigt som du kan använda ett helt annat TEO-värde.

AUTORÖRELSE = Det här är ett växlingsfält. JA innebär att det här alternativet används.

VID_FEL = Det här JA-/NEJ-fältet gör det lättare att kontrollera felet när en oväntad eller missad mätpunkt identifieras.

AVSTÅND = Det här värdet är det avstånd som mätspetsen förflyttas med alternativet AUTORÖRELSE.

RMÄT = Det här värdet är den relativa positionen och riktningen mellan ett eller flera angivna element och autoelementet.

VEKTOR1 = De här värdena kan redigeras.

VEKTOR2 = De här värdena kan också redigeras.

DISTANS = Det här redigerbara värdet är ett avstånd.

INDRAG1 = Det här värdet, som kan redigeras, är förskjutningsavståndet (offset) mellan punktens läge och stödpunkterna på det första av de tre planen.

INDRAG2 = Det här värdet, som kan redigeras, är förskjutningsavståndet (offset) mellan punktens läge och stödpunkterna på det andra av de tre planen.

INDRAG3 = Det här värdet, som kan redigeras, är förskjutningsavståndet (offset) mellan punktens läge och stödpunkterna på det tredje av de tre planen.

Allmän information om mätning av alla typer av autoelement finns i Gemensamma alternativ i dialogrutan Autoelement.


Mäta en hörnpunkt

I PC-DMIS finns flera metoder för att mäta en hörnpunkt med autoalternativet. Information om metoderna finns i följande stycken:

  • Använda angivna data för en hörnpunkt

  • Använda ytdata med CMM-enheten för en hörnpunkt

  • Använda ytdata på skärmen för en hörnpunkt

  • Använda tråddata med CMM-enheten för en hörnpunkt

  • Använda tråddata på skärmen för en hörnpunkt

  • Utan att använda CAD-data för en hörnpunkt

Obs! Det går inte att använda musen i Grafikfönstret om CAD-data inte är tillgängliga.


Använda angivna data för en hörnpunkt

Med den här metoden kan du skriva in önskade XYZ-värden för hörnpunkten. Mer information om nominella värden finns i Listan Läge.


Använda ytdata med CMM-enheten för en hörnpunkt

Alternativet Sök nom. ska vara PÅ för den här mätmetoden. Mer information om Sök nom. finns i Listan Läge.

Så här skapar du en hörnpunkt med hjälp av ytdata med CMM-enheten:

  1. Rör en gång vid var och en av de tre ytor som löper samman i hörnet.

  2. Klicka på Skapa.

Om ingen CAD-hörnpunkt hittas visas den närmaste punkten och du uppmanas att ta ytterligare mätpunkter.

Obs! Det förutsätts att ytorna är vinkelräta mot varandra.


Använda ytdata på skärmen för en hörnpunkt

Så här skapar du en hörnpunkt med hjälp av ytdata:

  1. Klicka på ikonen Yta [image] .

  2. Använd den animerade mätspetsen och rör vid var och en av de tre obligatoriska ytorna en gång vardera. Läget för den animerade mätspetsen på hörnpunkten där ytorna går samman ändras automatiskt.

  3. Kontrollera att rätt hörnpunkt har markerats. Värdet för den markerade hörnpunkten och vektorn visas i dialogrutan när du har valt punkten.

  4. Klicka på Skapa.


Använda tråddata med CMM-enheten för en hörnpunkt

Alternativet Sök nom. ska vara PÅ för den här mätmetoden. Mer information om Sök nom. finns i Listan Läge.

Så här skapar du en hörnpunkt med hjälp av tråddata med CMM-enheten:

  1. Rör vid den första ytan två gånger.

  2. Rör en gång vid en punkt nära kanterna som löper samman i hörnet.

Om ingen CAD-hörnpunkt hittas visas den närmaste punkten och du uppmanas att ta ytterligare mätpunkter.

Obs! Det förutsätts att ytorna är vinkelräta mot varandra.


Använda tråddata på skärmen för en hörnpunkt

Du kan också använda CAD-tråddata för att skapa en hörnpunkt.

Så här skapar du punkten:

  1. Använd den animerade mätspetsen och rör vid en plats nära (men inte på) hörnet. Den valda ytan markeras i PC-DMIS.

  2. Kontrollera att rätt yta har markerats.

Värdet för den markerade hörnpunkten och vektorn visas i dialogrutan när du har valt punkten. (Om det behövs rör du vid en annan kant som leder in mot hörnet.)


Utan att använda CAD-data för en hörnpunkt

Så här skapar du en hörnpunkt utan att använda CAD-data:

  1. Rör vid den första ytan tre gånger.

  2. Rör vid den andra ytan två gånger.

  3. Rör en gång vid den tredje ytan.


Skapa en autokantpunkt

Dialogrutan Kantpunkt

Med mätalternativet Kantpunkt kan du definiera en punktmätning som ska tas på kanten av detaljen. Den här mätningstypen är användbar om materialet i detaljen är så tunt att en mycket exakt CMM-mätpunkt krävs. Fem stödpunkter behövs för att en kantpunkt ska kunna mätas korrekt.

Du använder alternativet Kantpunkt genom att öppna autoelementrutan Kantpunkt (Infoga | Element | Autoelement | Punkt | Kant). Visa menykarta

Mer:

Fältdefinitioner för kantpunkter

Mäta en kantpunkt


Fältdefinitioner för kantpunkter

Det här är ett exempel på en kommandorad i Redigeringsfönstret för en kantpunkt:
F_ID=AUTO/KANTPUNKT, VISA_ALLA_PARAMETRAR = JA/NEJ
TEOR/ TX,TY,TZ,TI,TJ,TK
MÄTT/ X,Y,Z,I,J,K
MÅL/ målX,målY,målZ,målI,målJ,målK
TEOR_TJOCKLEK = n, ALT , KANT TEOR_TJOCKLEK = n, VID_FEL = JA/NEJ
AUTORÖRELSE = JA/NEJ, AVSTÅND = n, RMÄT = Inget, MÄTORDNING = S/E/B,
YTNORMAL = I,J,K
INITIAL = n, PERM = n, DISTANS = n, INDRAG = n, DJUP = n

VISA_ALLA_PARAMETRAR = Med det här JA-/NEJ-fältet kan du ange om fälten TEOR_TJOCKLEK, REKT/POL, KANT TEOR_TJOCKLEK, AUTORÖRELSE, AVSTÅND, RMÄT, MÄTORDNING, YTNORMAL, INITIAL, PERM, DISTANS, INDRAG och DJUP ska visas i Redigeringsfönstret.

TEOR_TJOCKLEK = Det här värdet motsvarar den angivna tjockleken för ytan. Positiva och negativa värden kan användas.

ALT = Det här är ett växlingsfält. X,Y,Z,I,J,K visas i REKT-koordinater (rektangulära) eller POL-koordinater (polära).

KANT TEOR_TJOCKLEK = Det här värdet motsvarar den angivna tjockleken för kanten. Positiva och negativa värden kan användas.

TEOR/ = Det här värdet motsvarar den teoretiska mätpunkten.

MÄTT/ = Det här värdet motsvarar den uppmätta mätpunkten.

MÅL/ = Med de här värdena styr du mätningsläget och vektorriktningen för körning, samtidigt som du kan använda ett helt annat TEO-värde.

AUTORÖRELSE = Det här är ett växlingsfält. JA innebär att det här alternativet används.

VID_FEL = Det här JA-/NEJ-fältet gör det lättare att kontrollera felet när en oväntad eller missad mätpunkt identifieras.

AVSTÅND = Det här värdet är det avstånd som mätspetsen förflyttas med alternativet AUTORÖRELSE.

RMÄT = Det här värdet är den relativa positionen och riktningen mellan ett eller flera angivna element och autoelementet.

MÄTORDNING = Det här är ett växlingsfält. Här visas ordningen för mätningen av stödpunkterna. De tillgängliga valen är YTA (SURFACE=S), KANT (EDGE=E) eller BÅDA (B).

YTNORMAL = I det här fältet anges den ytnormalvektor som kantpunkten projiceras i när den har mätts. Värdena kan redigeras.

INITIAL/PERM = De här växlingsbara fälten kan redigeras. Giltiga värden är noll, ett, tre och fem.

DISTANS/INDRAG/DJUP = De här värdena är redigerbara avstånd.

Allmän information om mätning av alla typer av autoelement finns i Gemensamma alternativ i dialogrutan Autoelement.

Mer:

Utökade fältdefinitioner för kantpunkter


Utökade fältdefinitioner för kantpunkter

Så här ser kommandoraden för det här elementet med utökade alternativ ut i Redigeringsfönstret:
F_ID=AUTO/KANTPUNKT, VISA_ALLA_PARAMETRAR = JA/NEJ
TEOR/ TX,TY,TZ,TI,TJ,TK
MÄTT/ X,Y,Z,I,J,K
MÅL/ målX,målY,målZ,målI,målJ,målK
TEOR_TJOCKLEK = n, ALT, KANT TEOR_TJOCKLEK = n, VID_FEL = JA/NEJ
AUTORÖRELSE = JA/NEJ, AVSTÅND = n, RMÄT = Inget,
MÄTORDNING = S/E/B, YTNORMAL = I,J,K
KANT_RAPPORT = I,J,K, YT_RAPPORT = I,J,K
INITIAL = n, PERM = n, DISTANS = n, INDRAG = n, DJUP = n

Obs! TEOR/ motsvarar det teoretiska mätpunktsläget. MÄTT/ motsvarar det faktiska mätta mätpunktsläget.

KANTRAPPORT = I det här fältet anges den vektor som används för avvikelserapportering. Värdena kan redigeras.

YTRAPPORT = I det här fältet anges den vektor som används för avvikelserapportering. Värdena kan redigeras.

Standardfältdefinitionerna för kantpunkter beskrivs i Fältdefinitioner för kantpunkter.


Mäta en kantpunkt

I PC-DMIS finns flera metoder för att mäta en kantpunkt med autoalternativet. Information om metoderna finns i följande stycken:

  • Använda angivna data för en kantpunkt

  • Använda ytdata med CMM-enheten för en kantpunkt

  • Använda ytdata på skärmen för en kantpunkt

  • Använda tråddata med CMM-enheten för en kantpunkt

  • Använda tråddata på skärmen för en kantpunkt

  • Utan att använda CAD-data för en kantpunkt

Obs! Det går inte att använda musen i Grafikfönstret om CAD-data inte är tillgängliga.

Obs! I PC-DMIS förutsätts att normalytan och mätningsytan är vinkelräta mot varandra.


Använda angivna data för en kantpunkt

Med den här metoden kan du skriva in önskade XYZ- och IJK-värden för kantpunkten. Mer information om nominella värden finns i Listan Läge.


Använda ytdata med CMM-enheten för en kantpunkt

Alternativet Sök nom. ska vara PÅ för den här mätmetoden. Mer information om Sök nom. finns i Listan Läge.

Så här skapar du en kantpunkt med hjälp av ytdata med CMM-enheten:

  1. Rör vid en punkt nära den önskade kanten på detaljen med mätspetsen.

  2. Försök göra skaftet så vinkelrätt mot ytan som möjligt.

CAD-ytan genomborras så nära mätspetsens kontaktplats som möjligt. De XYZ-värden som visas motsvarar den närmaste CAD-kanten och inte den faktiska mätpunkten. IJK-värdena motsvarar ytnormalvektorn.

Om ingen CAD-kant hittas visas den närmaste punkten och du uppmanas att ta ytterligare mätpunkter.

Om du tar en andra mätpunkt på den motsatta ytan innan du klickar på Skapa ändras lägesvärdena i enlighet med detta. De vektorer som visas ändras dock inte.


Använda ytdata på skärmen för en kantpunkt

Så här skapar du en kantpunkt med hjälp av ytdata:

  1. Klicka på ikonen Yta [image] .

  2. Placera markören på den plats i Grafikfönstret som du vill använda för punkten på detaljens yta (nära kanten).

  3. Klicka med vänster musknapp. Den valda ytan markeras i PC-DMIS.

  4. Kontrollera att rätt yta har markerats.

Värdet för den valda kantpunkten och vektorn visas i dialogrutan när du har valt punkten. Riktningen för ytnormalvektorn avgörs av den sida av detaljen som är åtkomlig för mätspetsen. Om båda sidorna är lika åtkomliga används normalen från CAD-data. Med knappen Vänd vektor kan du ändra anloppsriktningen.

Om du gör fler musklickningar innan du klickar på knappen Skapa skrivs den tidigare informationen över med nya data.


Använda tråddata med CMM-enheten för en kantpunkt

Alternativet Sök nom. ska vara PÅ för den här mätmetoden. Mer information om Sök nom. finns i Listan Läge.

Så här skapar du en kantpunkt med hjälp av tråddata med CMM-enheten:

  1. Rör vid en punkt nära den önskade kanten på detaljen med mätspetsen.

  2. Försök göra skaftet så vinkelrätt mot ytan som möjligt.

CAD-tråden genomborras så nära mätspetsens kontaktplats som möjligt. De XYZ-värden som visas motsvarar den närmaste CAD-kanten och inte den faktiska mätpunkten. IJK-värdena motsvarar ytnormalvektorn. Om ingen CAD-kant hittas visas den närmaste punkten och du uppmanas att ta ytterligare mätpunkter.

Om du tar en andra mätpunkt på den motsatta ytan innan du klickar på Skapa ändras lägesvärdena i enlighet med detta. De vektorer som visas ändras dock inte.


Använda tråddata på skärmen för en kantpunkt

Du kan också använda CAD-tråddata för att skapa en kantpunkt.

Så här skapar du en kantpunkt:

  1. Klicka nära den önskade tråden på kantsidan (inte inom den översta ytans begränsningar). Den valda tråden markeras i PC-DMIS.

  2. Kontrollera att rätt element har markerats.

Mätspetsens anloppsriktning är alltid vinkelrät mot linjen och mot centrumlinjens vektor för den aktuella mätspetsen. Mätspetsen flyttas mot detaljen från den sida av kanten som du klickade på. Värdet för den valda kantpunkten och vektorn visas i dialogrutan när du har markerat tråden.

Om ytterligare en punkt krävs klickar du på den motsatta tråden på (normal-)ytan.


Utan att använda CAD-data för en kantpunkt

Så här skapar du en kantpunkt utan att använda CAD-data:

  • De första tre mätpunkterna som tas anger den nominella ytvektorn.

  • Med de två följande mätpunkterna hittar och visar du den andra vektorn. Det här värdet anger den motsatta riktningen i jämförelse med CMM-anloppsvektorn (och pekar alltså bort från ytan).

  • Den sista (sjätte) mätpunkten anger det faktiska läget för kantpunkten.


Skapa ett autoelement av typen Högsta punkt

Dialogrutan Högsta punkt

Med autoalternativet Högsta punkt kan du söka i ett användardefinierat område efter den högsta punkten i det aktuella arbetsplanet. Detta innebär att området genomsöks efter den högsta punkten - inga befintliga punkter i detaljprogrammet tas med i sökningen.

Resultatet av sökningen blir en enda punkt som definieras med X-, Y- och Z-koordinater och en anloppsvektor.

Du använder alternativet Högsta punkt genom att öppna autoelementrutan Högsta punkt (Infoga | Element | Autoelement | Punkt | Högsta). Visa menykarta

Mer:

Fältdefinitioner för högsta punkter

Mäta en högsta punkt


Fältdefinitioner för högsta punkter

Det här är ett exempel på en kommandorad i Redigeringsfönstret för en högsta punkt:
F_ID=AUTO/HÖGSTA PUNKT, VISA_ALLA_PARAMETRAR = JA/NEJ
TEOR/ TX,TY,TZ,TI,TJ,TK,
MÄTT/ X,Y,Z,I,J,K,
MÅL/ målX,målY,målZ,målI,målJ,målK
TEOR_TJOCKLEK = n, ALT
AUTORÖRELSE = JA/NEJ, AVSTÅND = n, RMÄT = Inget
STEGVÄRDE = n, TOL = n, ALT1,
BREDD/YTTERRADIE = n , LÄNGD/INNERRADIE = n
CENTRERA = X,Y,Z

VISA_ALLA_PARAMETRAR = Med det här JA-/NEJ-fältet kan du ange om fälten TEOR_TJOCKLEK, REKT/POL, AUTORÖRELSE, AVSTÅND, RMÄT, STEGVÄRDE, TOL, REKTANGULÄR, BREDD, LÄNGD och CENTRERA ska visas i Redigeringsfönstret.

TEOR_TJOCKLEK = Det här värdet motsvarar den angivna tjockleken för detaljen. Positiva och negativa värden kan användas.

ALT = Det här är ett växlingsfält. X,Y,Z,I,J,K visas i REKT-koordinater (rektangulära) eller POL-koordinater (polära).

TEOR/ = Det här värdet motsvarar den teoretiska mätpunkten.

MÄTT/ = Det här värdet motsvarar den uppmätta mätpunkten.

MÅL/ = Med de här värdena styr du mätningsläget och vektorriktningen för körning, samtidigt som du kan använda ett helt annat TEO-värde.

AUTORÖRELSE = Det här är ett växlingsfält. JA innebär att alternativet är PÅ.

AVSTÅND = Det här värdet är det avstånd som mätspetsen förflyttas med alternativet AUTORÖRELSE.

STEGVÄRDE = De här värdena är redigerbara avstånd.

CENTRERAD =Här visas XYZ-koordinater som anger mittpunkten för sökområdet.

TOL = Det här värdet är ett redigerbart avstånd.

ALT1 = Det här värdet är ett växlingsfält där du kan välja sökläge. Söklägesalternativen är REKTANGULÄR och CIRKULÄR.

LÄNGD/INNERRADIE = De här värdena är redigerbara avstånd. När LÄNGD visas motsvarar det avståndet längs det aktuella arbetsplanets storaxel som används för sökområdet. När INNERRADIE visas motsvarar det värdet för sökområdets innerradie. Giltiga värden visas som förslag.

BREDD/YTTERRADIE = De här värdena är redigerbara avstånd. När BREDD visas motsvarar det avståndet längs det aktuella arbetsplanets lillaxel som används för sökområdet. När YTTERRADIE visas motsvarar det värdet för ytterradien för sökområdet. Giltiga värden visas som förslag.

Allmän information om mätning av alla typer av autoelement finns i Gemensamma alternativ i dialogrutan Autoelement.


Mäta en högsta punkt

Det här elementet är direkt beroende av det aktuella arbetsplanet. Den högsta punkten definieras av det arbetsplan som för tillfället visas i listan Arbetsplan.

För att hitta den högsta punkten utför du följande procedur. Skärmbilderna är ett exempel på en process för att hitta den högsta punkten:

  1. Öppna dialogrutan för autoelementet Högsta punkt (Infoga | Element | Autoelement | Punkt | Högsta). Visa menykarta

  2. Kontrollera att rätt arbetsplan visas i listan Arbetsplan. Om du till exempel vill hitta den högsta punkten i planet X+ ska du alltså välja X+ i verktygsfältet Inställningar.

  3. Ta en mätpunkt på detaljen. Vektorn för den valda punkten visas på skärmen, och data visas i dialogrutan. Information om tillgängliga metoder för att skapa denna första mittpunkt finns längre ned i detta avsnitt.

  4. Definiera sökområdet. Välj ett sökläge (Rektangel eller Cirkelformig) och definiera sökområdet genom att skriva värden i rutorna Bredd och Längd eller Innerradie och Ytterradie. Om du väljer Rektangel delas värdena upp jämnt runt den första mittpunkten.

  5. Tryck på TABB-tangenten. Sökområdet ritas upp (i form av en cirkel eller en rektangel) på arbetsplanet i detaljmodellen.

  6. Ange ett stegvärde för att inleda sökningen genom att skriva ett värde i rutan Stegvärde. Det här är det inledande avstånd som du vill söka på kring startpunkten.

  7. Skriv ett toleransvärde i rutan Tolerans. Detta ska alltid vara mindre än stegvärdet.

  8. Klicka på Skapa för att skapa den högsta punkten. Värdet i Redigeringsfönstret är inte den högsta punkten.

  • Om kryssrutan Mät inte är markerad när du klickar på Skapa skapas elementet Högsta punkt och informationen som visas i Redigeringsfönstret motsvarar de inledande sökparametrarna. Värdena visas tills elementet körs.

  • Om kryssrutan Mät är markerad när du klickar på Skapa körs sökproceduren för att hitta den högsta punkten. När sökningen är klar visas den faktiska högsta punkten i Redigeringsfönstret.

  9. Kör elementet. Den punkt som skapas mäts, och därefter görs en sökning efter den högsta punkten genom följande process: Om en punkt som är högre än den ursprungliga punkten hittas i det aktuella arbetsplanet blir den nya punkten den aktuella sökpunkten. Detta fortsätter tills det inte går att hitta en punkt inom det angivna stegvärdet. Därefter minskas stegvärdet automatiskt för att hitta punkter som kan finnas på kortare avstånd än det ursprungliga stegvärdet. Stegvärdet minskas tills det är mindre än eller lika med det angivna värdet för Tolerans, och därmed har den högsta punkten i det aktuella arbetsplanet hittats. Det kan ta några minuter att hitta den högsta punkten, beroende på hur snabb datorn är och vilka inställningar som har angetts.

  10. Öppna Redigeringsfönstret och övergå till kommandoläge. Titta på värdet MÅL/. Värdet har uppdaterats så att det motsvarar XYZIJK-värdena för den högsta punkten i sökområdet.

Om du inte är säker på vilka värden som ska anges i rutorna Stegvärde, Tolerans, Bredd/Längd eller Innerradie/Ytterradie kan du använda de giltiga förslag som anges automatiskt när du har definierat startpunkten och mittpunkten för sökningen.

I PC-DMIS finns flera olika metoder för att definiera mittpunkten för sökområdet för den högsta punkten med autoalternativet. Information om metoderna finns under följande rubriker:

  • Högsta punkt - genomgång

  • Andra sökningar efter högsta punkt

  • Använda angivna data för en högsta punkt

  • Använda ytdata med CMM-enheten för en högsta punkt

  • Använda ytdata på skärmen för en högsta punkt

  • Utan att använda CAD-data för en högsta punkt

Obs! Det går inte att använda musen i Grafikfönstret om CAD-data med ytinformation inte är tillgängliga.


Högsta punkt - genomgång

I den här offlinegenomgången visas hur du använder fliken Högsta punkt för att söka efter den högsta punkten i ett sökområde som har definierats i visningsriktningen Z+ för en detalj med lutning:

I den här genomgången används modellen TAPE10A.IGS. Du kan följa genomgången med vilken modell som helst som innehåller en lutning eller kurva på ytan Z+.

Roterad visningsriktning (Y+) av lutningen (med röda konturer)

Steg 1. Markera det arbetsplan som du ska använda. För den här genomgången ser du till att ZPLUS har markerats i verktygsfältet Inställningar.

Steg 2. Kontrollera att du arbetar i ytläget.

Steg 3. Öppna dialogrutan för autoelementet Högsta punkt (Infoga | Element | Autoelement | Punkt | Högsta). Visa menykarta

Steg 4. Klicka på planet Z+ i Grafikfönstret för CAD-modellen för att skapa den första mittpunkten för sökområdet. Vektorn för den här punkten visas med en färgad pil:

Mittpunkt för den högsta punkten

Steg 5. På fliken Högsta punkt klickar du på Rektangel. I rutan Bredd skriver du 3. I rutan Längd skriver du 125. Tryck på TABB-tangenten. I Grafikfönstret visas nu ett smalt, rektangulärt sökområde som ser ut ungefär så här:

Sökområde i visningsriktningen Y+.

Sökområde i visningsriktningen Z+.

Steg 6. Notera att värdena för Längd och Bredd delas upp jämnt på båda sidorna om mittpunkten.

Steg 7. I rutan Steg skriver du 2, och i rutan Tolerans skriver du .25. Klicka sedan på Skapa. Den första högsta punkten skapas och visas med namnet PKT1.

Steg 8. Aktivera översiktsläget i PC-DMIS och klicka på plustecknet för den högsta punkten. Expandera informationen för Mätta värden och Mål. Det som visas liknar följande:

Observera att det som visas här bara är de XYZ- och IJK-data för mittpunkten som används för att definiera sökområdet. Sökningen efter den högsta punkten har inte påbörjats än – detta sker under programkörningen.

Steg 9. Markera nu elementet Högsta punkt och kör detaljprogrammet.

Som standard används mittpunkten som startpunkt. Du kan ändra startpunkten genom att ändra XYZ-läget för elementet Högsta punkt, eller genom att klicka på CAD-modellen igen.

· Sökningen påbörjas vid startpunkten.

· Åtta stödpunkter tas kring startpunkten på det avstånd som har angetts i rutan Steg.

· Om en högre punkt hittas blir den den nya startpunkten, och åtta nya stödpunkter tas kring denna punkt. Detta fortsätter tills det inte finns någon högre punkt på stegavståndet.

· Därefter tas ytterligare stödpunkter och stegvärdet minskas tills det matchas toleransvärdet, och då avslutas sökningen efter den högsta punkten.

Under körningen flyttas mätspetsen gradvis uppåt längs lutningen under sökningen efter den högsta punkten i sökområdet

När sökningen har slutförts visas värdet för den nya högsta punkten på själva CAD-modellen genom att PKT1-etiketten flyttas till den högsta punkten i sökområdet.

Den nya högsta punkten har hittats

Steg 10. Aktivera översiktsläget och expandera värdena för autoelementet av typen Högsta punkt. Expandera trädet Mätta värden, så visas XYZ-värdena för den högsta punkt som hittats:

De mätta XYZ-värdena har ändrats för att motsvara den högsta punkten.


Andra sökningar efter högsta punkt

Du kan använda åtgärden Högsta punkt för att utföra andra typer av sökningar. Nedan följer beskrivningar av de sökningar du kan göra:

Sökning efter lägsta punkt: | Tänk dig att du har en vågig yta som visas i riktningen Z+. För att hitta den lägsta punkten i en av ytans "dalar" väljer du Z- i verktygsfältet Inställningar och letar efter den högsta punkten i ytan med riktningen Z+.
Linjesökning: | Om du skriver ett värde för antingen Bredd eller Längd för längden på en linje och anger 0 för den andra inställningen i läget Rektangel görs en sökning längs en linje.
Sökning i ett cirkelformigt område: | Om något av radievärdena är 0 i läget Cirkel görs en sökning i ett cirkelformigt område.
Sökning i ett cirkelformigt band: | Om ett av radievärdena är högre än det andra i läget Cirkel görs en sökning i ett cirkelformigt band med ett hål i mitten.
Sökning längs omkretsen: | Om radievärdena är lika stora i läget Cirkel görs sökningen endast längs omkretsen.


Använda angivna data för en högsta punkt

Med den här metoden kan du ange mittpunkten för sökområdet (d.v.s. mitten av rutan eller mittpunkten för cirkeln/cirklarna) genom att ange XYZ-värdena. Dessutom kan du definiera startpunkten och en associerad anloppsvektor genom att skriva in värden för X, Y, Z, I, J och K.


Använda ytdata med CMM-enheten för en högsta punkt

Alternativet Sök nom. ska vara PÅ för den här mätmetoden. Mer information om Sök nom. finns i Listan Läge.

Så här definierar du sökområdet för högsta punkt med CMM-enheten:

  • Rör vid den önskade ytan på detaljen med mätspetsen. Denna punkt blir såväl mittpunkten för sökområdet som startpunkten.

  • Om du vill använda en annan sökmittpunkt rör du vid ytan med mätspetsen en gång till. På så sätt anges en ny mittpunkt för sökområdet.

Om en annan punkt tas med mätspetsen ändras läget för startpunkten och anloppsvektorn. Varje efterföljande punkt som tas alternerar mellan sökmittpunkten och startpunkten. Varje gång mätspetsen rör vid ytan på detaljen genomborras CAD-ytan så nära mätspetsens kontaktplats som möjligt. Denna information som samlas in från ytmodellen används för att definiera startpunkten och sökmittpunkten.


Använda ytdata på skärmen för en högsta punkt

Så här definierar du ett sökområde för en högsta punkt med hjälp av ytdata:

  1. Placera markören på den plats i Grafikfönstret som du vill använda för startpunkten (på ytan).

  2. Klicka med vänster musknapp. Den valda ytan markeras i PC-DMIS.

  3. Kontrollera att rätt yta har markerats.

Den markerade ytan genomborras och läget och vektorn för den valda punkten visas. Riktningen för ytnormalvektorn avgörs av den sida av detaljen som är åtkomlig för mätspetsen. Om båda sidorna är lika åtkomliga används normalen från CAD-data. Med knappen Vänd vektor kan du ändra anloppsriktningen.

Med den första klickningen på ytan definieras mittpunkten för sökområdet i samma läge som startpunkten. För att använda en annan mittpunkt för sökområdet placerar du markören på den plats i Grafikfönstret som du vill använda som mittpunkt för sökområdet och klickar med vänster musknapp igen. Varje efterföljande vänsterklickning alternerar nu mellan startpunkten och mittpunkten för sökområdet.


Utan att använda CAD-data för en högsta punkt

Om sökområdet för en högsta punkt ska skapas utan att CAD-data används anges de nominella XYZ-värdena för startpunkten och sökmittpunkten med den första mätpunkten som tas. Dessutom visas IJK-anloppsvektorn för mätpunkten. Det här värdet anger den motsatta riktningen i jämförelse med CMM-anloppsvektorn (och pekar alltså bort från ytan). För att definiera en ny startpunkt anger du en stödpunkt på ytan med mätspetsen vid det önskade läget för mittpunkten. Varje efterföljande punkt som tas alternerar mellan sökmittpunkten och startpunkten.


Skapa en autoytpunkt

Dialogrutan Ytpunkt

Med mätningsalternativet Ytpunkt kan du definiera ett nominellt punktläge samt en nominell anloppsriktning som används när den definierade punkten mäts med CMM-enheten. I PC-DMIS kan du definiera antalet punkter som ska användas för att mäta ett plan kring det nominella punktläget, samt planets storlek. När planet har mätts används den beräknade ytnormalvektorn för planet för anloppet till det nominella punktläget för mätning.

Obs! För att mäta en ytpunkt krävs antingen noll eller tre stödpunkter.

Du använder alternativet Ytpunkt genom att öppna autoelementrutan Ytpunkt (Infoga | Element | Autoelement | Punkt | Yta). Visa menykarta

Mer:

Fältdefinitioner för ytpunkter

Mäta en ytpunkt


Fältdefinitioner för ytpunkter

Det här är ett exempel på en kommandorad i Redigeringsfönstret för en vinkelpunkt:
F_ID=AUTO/YTPUNKT, VISA_ALLA_PARAMETRAR = JA/NEJ VISA_MÄTPKT= NEJ
TEOR/ TX,TY,TZ,TI,TJ,TK
MÄTT/ X,Y,Z,I,J,K
MÅL/ målX,målY,målZ,målI,målJ,målK
TEOR_TJOCKLEK = n, ALT , RASTER = JA/NEJ
AUTORÖRELSE = JA/NEJ, AVSTÅND = n, RMÄT = Inget
INITIAL = n, PERM = n, RADIE = n

VISA_ALLA_PARAMETRAR = Med det här JA-/NEJ-fältet kan du ange om fälten TEOR_TJOCKLEK, REKT/POL, BEGR/OBEGR, RASTER, AUTORÖRELSE, AVSTÅND, RMÄT, INITIAL, PERM och RADIE ska visas i Redigeringsfönstret.

TEOR_TJOCKLEK = Det här värdet motsvarar den angivna tjockleken för detaljen. Positiva och negativa värden kan användas.

ALT = Det här är ett växlingsfält. X,Y,Z,I,J,K visas i REKT-koordinater (rektangulära) eller POL-koordinater (polära).

RASTER = Med det här JA-/NEJ-fältet kan du ange om den faktiska anloppsvektorn ska låsas mot den teoretiska anloppsvektorn för att eliminera CMM-lägesfel.

TEOR/ = Det här värdet motsvarar den teoretiska mätpunkten.

MÄTT/ = Det här värdet motsvarar den uppmätta mätpunkten.

MÅL/ = Med de här värdena styr du mätningsläget och vektorriktningen för körning, samtidigt som du kan använda ett helt annat TEO-värde.

AUTORÖRELSE = Det här är ett växlingsfält. JA innebär att det här alternativet används.

AVSTÅND = Det här värdet är det avstånd som mätspetsen förflyttas med alternativet AUTORÖRELSE.

RMÄT = Det här värdet är den relativa positionen och riktningen mellan ett eller flera angivna element och autoelementet.

INITIAL/PERM = De här växlingsbara fälten kan redigeras. Giltiga värden är noll och tre.

RADIE = Det här redigerbara värdet är ett icke-negativt avstånd.

Allmän information om mätning av alla typer av autoelement finns i Gemensamma alternativ i dialogrutan Autoelement.


Utökade fältdefinitioner för ytpunkter

Så här ser kommandoraden för det här elementet med utökade alternativ ut i Redigeringsfönstret:
F_ID=AUTO/YTPUNKT,VISA_ALLA_PARAMETRAR= JA/NEJ TEOR_TJOCKLEK = n, ALT , LÅS_MOT = JA/NEJ
TEOR/ TX,TY,TZ,TI,TJ,TK
MÄTT/ X,Y,Z,I,J,K
MÅL/ målX,målY,målZ,målI,målJ,målK
AUTORÖRELSE = JA/NEJ, AVSTÅND = n, RMÄT = inget
INITIAL = n, PERM = n, RADIE = n
SÖK NOM AXEL = x, RAPPORTVEK = I,J,K

Obs! TEOR/ motsvarar det teoretiska mätpunktsläget. MÄTT/ motsvarar det faktiska mätta mätpunktsläget.

RAPPORTVEK = I det här fältet anges den vektor som används för avvikelserapportering. Värdena kan redigeras.

SÖK NOM AXEL = Det här är ett växlingsfält. Du kan hitta X-AXEL,Y-AXEL,Z-AXEL eller VEKT. Om värdet är INGET hittas inte den nominella axeln.

Standardfältdefinitionerna för ytpunkter beskrivs i Fältdefinitioner för ytpunkter.


Mäta en ytpunkt

I PC-DMIS finns flera metoder för att mäta en ytpunkt med autoalternativet. Information om metoderna finns i följande stycken:

  • Använda angivna data för en ytpunkt

  • Använda ytdata med CMM-enheten för en ytpunkt

  • Använda ytdata på skärmen för en ytpunkt

  • Använda tråddata med CMM-enheten för en ytpunkt

  • Använda tråddata på skärmen för en ytpunkt

  • Utan att använda CAD-data för en ytpunkt

Obs! Det går inte att använda musen i Grafikfönstret om CAD-data inte är tillgängliga.


Använda angivna data för en ytpunkt

Med den här metoden kan du skriva in önskade XYZ- och IJK-värden för ytpunkten. Mer information om nominella värden finns i Listan Läge.


Använda ytdata med CMM-enheten för en ytpunkt

Alternativet Sök nom. ska vara PÅ för den här mätmetoden.

För att skapa en ytpunkt med hjälp av ytdata med CMM-enheten rör du vid den önskade ytan på detaljen med mätspetsen. CAD-ytan genomborras så nära mätspetsens kontaktplats som möjligt.

  • Om beröringsplatsen är nära ytdata och kryssrutan Mätt är avmarkerad skapas punktelementet, och det läggs omedelbart till i Redigeringsfönstret.

  • Om beröringsplatsen är nära ytdata och kryssrutan Mätt är markerad används fortfarande ytdata, men elementet skapas inte förrän du klickar på knappen Skapa.

  • Om beröringsplatsen inte är nära ytdata behandlas beröringsplatsen som en faktisk mätpunkt, och dess läge och anloppsvektor visas.

  • Om du tar en andra mätpunkt innan du klickar på knappen Skapa används lägesinformationen för den andra mätpunkten.

  • Om du tar en tredje mätpunkt används de tre mätpunkterna för att avgöra anloppsvektorn, och den sista mätpunktens läge används.

  • Om du tar fler än tre mätpunkter används alla utom den sista mätpunkten för att avgöra anloppsvektorn. Den sista mätpunkten används alltid för att avgöra läget.

Obs! Alternativet Sök nom. ska vara markerat för den här mätmetoden. Mer information om Sök nom. finns i Listan Läge i det här avsnittet.


Använda ytdata på skärmen för en ytpunkt

Så här skapar du en ytpunkt med hjälp av ytdata:

  1. Klicka på ikonen Yta [image] .

  2. Placera markören på den plats i Grafikfönstret som du vill använda för punkten (på ytan).

  3. Klicka med vänster musknapp. Den valda ytan markeras i PC-DMIS.

  4. Kontrollera att rätt yta har markerats.

Den markerade ytan genomborras och läget och vektorn för den valda punkten visas. Riktningen för ytnormalvektorn avgörs av den sida av detaljen som är åtkomlig för mätspetsen. Om båda sidorna är lika åtkomliga används normalen från CAD-data. Med knappen Vänd vektor kan du ändra anloppsriktningen.

Om du gör fler musklickningar innan du klickar på knappen Skapa skrivs den tidigare informationen över med nya data.


Använda tråddata med CMM-enheten för en ytpunkt

Alternativet Sök nom. ska vara PÅ för den här mätmetoden. Mer information om Sök nom. finns i Listan Läge.

Så här skapar du en ytpunkt med hjälp av CAD-tråddata:

  • Den första mätpunkten som tas anger det nominella XYZ-värdet. Dessutom visas IJK-vektorn. Det här värdet anger den motsatta riktningen i jämförelse med CMM-anloppsvektorn (och pekar alltså bort från ytan). Du kan välja att använda dessa data eller ta ytterligare mätpunkter när du får meddelanden som uppmanar dig att göra detta. Om du tar en andra mätpunkt uppdateras mätpunktsläget och anloppsvektorn med den senaste mätpunkten.

  • Den tredje mätpunkten på ytan ändrar det visade nominella XYZ-värdet till läget för den aktuella mätpunkten. Ett plan skapas utifrån de tre mätpunkterna för att hitta IJK-anloppsvektorn.

  • Eventuella ytterligare mätpunkter som tas innebär att läget för mätpunkten uppdateras med den mest aktuella informationen. Anloppsvektorn uppdateras också så att den blir ett medeltal av alla tidigare mätpunkter (exklusive den senaste mätpunkten) för ytpunkten.

Du kan välja att använda de data som visas när som helst efter att du tagit den första, andra eller tredje mätpunkten. Även om du inte väljer att använda den tredje mätpunkten återställs systemet internt så att nästa mätpunkt (den fjärde) blir den första mätpunkten i serien.


Använda tråddata på skärmen för en ytpunkt

Så här använder du CAD-tråddata för att skapa en ytpunkt:

  1. Markera två kanter (trådar) på den yta där målpunkten ska finnas genom att klicka på trådarna med vänster musknapp. (Trådarna ska finnas på samma yta.) De valda trådarna markeras i PC-DMIS.

  2. Kontrollera att rätt trådar har valts. Ett meddelande visas.

  3. Markera målpunkten på ytan som har skapats. Denna markering projiceras i det plan som utgörs av de två trådarnas vektorer och höjden för den första tråden.


Utan att använda CAD-data för en ytpunkt

Så här skapar du en ytpunkt utan att använda CAD-data:

  • Den första mätpunkten som tas anger det nominella XYZ-värdet. Dessutom visas IJK-vektorn. Det här värdet anger den motsatta riktningen i jämförelse med CMM-anloppsvektorn (och pekar alltså bort från ytan). Du kan välja att använda dessa data eller ta ytterligare mätpunkter när du får meddelanden som uppmanar dig att göra detta.

  • Om du tar en andra mätpunkt uppdateras mätpunktsläget och anloppsvektorn med den senaste mätpunkten.

  • Den tredje mätpunkten på ytan ändrar det visade nominella XYZ-värdet till läget för den aktuella mätpunkten. Ett plan skapas utifrån de tre mätpunkterna för att hitta IJK-anloppsvektorn.

  • Eventuella ytterligare mätpunkter som tas innebär att läget för mätpunkten uppdateras med den mest aktuella informationen. Anloppsvektorn uppdateras också så att den blir ett medeltal av alla tidigare mätpunkter (exklusive den senaste mätpunkten) för ytpunkten.


Skapa ett autoelement av typen Rätvinkligt spår

Dialogrutan Rätvinkligt spår

Med autoalternativet Rätvinkligt spår kan du definiera en mätning av ett rätvinkligt spår. Den här mätningstypen är användbar om du inte vill mäta en serie linjer och konstruera skärningspunkter och medelpunkter utifrån dem. För att mäta rätvinkliga spår krävs fem mätpunkter (eller sex om du markerar kryssrutan Breddmätn.).

Rätvinkligt spår som mäts med fem mätpunkter

Rätvinkligt spår som mäts med sex mätpunkter

Du använder alternativet Rätvinkligt spår genom att öppna autoelementrutan Rätvinkligt spår (Infoga | Element | Autoelement | Rätvinkl. spår). Visa menykarta

Mer:

Fältdefinitioner för rätvinkliga spår

Mäta ett rätvinkligt spår


Fältdefinitioner för rätvinkliga spår

Det här är ett exempel på en kommandorad i Redigeringsfönstret för ett rätvinkligt spår:
F_ID=AUTO/RÄTVINKL. SPÅR, VISA_ALLA_PARAMETRAR = J/N, VISA_MÄTPKT = NEJ
TEOR / TX,TY,TZ,TI,TJ,TK,TDIAM,TLÄNGD, THÖJD, TVNKI,TVNKJ,TVNKK
MÄTT / X,Y,Z,I,J,K,DIAM,LÄNGD,HÖJD,VNKI,VNKJ,VNKK
MÅL/ målX,målY,målZ,målI,målJ,målK, målVNKI,målVNKJ,målVNKK
TEOR_TJOCKLEK = n, ALT1, ALT2
AUTORÖRELSE = J/N, AVSTÅND = n, RMÄT = inget, LÄS POS = J/N, SÖK HÅL = J/N, MÄTOM = J/N
INITIAL = n, PERM = n, DISTANS = n, DJUP = n
BREDD MINMAX = NORM, RADIE = n

VISA_MÄTPKT = Med det här växlingsbara JA-/NEJ-fältet kan du ange om mätpunkterna som använts för att skapa det rätvinkliga spåret ska visas i Redigeringsfönstret.

Om mätpunktsdata hämtas från DMIS, eller om du manuellt ändrar minst ett av värdena X, Y, Z, I, J och K för mätpunkten, genereras inte mätpunkterna på nytt utifrån det teoretiska elementet när detaljprogrammet körs. I stället används angivna mätpunktsdata i PC-DMIS för alla mätningar. Om du ändrar någon av följande elementparametrar ignoreras dock de mätpunktsdata som du angav, och mätpunkterna genereras om utifrån den ändrade parametern. Parametrarna är: "ANTPKTR", "VINKELVEKTOR", "DIAMETER ", "LÄNGD", "BREDD", "HÖJD", "INUT", "STARTVINKEL", "SLUTVINKEL", "STIGNING", "VINKEL", "BREDD MINMAX", "STORDIAMETER", "LILLDIAMETER" och "ANTRADER".

VISA_ALLA_PARAMETRAR = Med det här JA-/NEJ-fältet kan du ange om fälten TEOR_TJOCKLEK, REKT/POL, IN/UT, AUTORÖRELSE, AVSTÅND, RMÄT, LÄS POS, SÖK HÅL, MÄTOM, INITIAL, PERM, DISTANS, DJUP, BREDD MINMAX och RADIE ska visas i Redigeringsfönstret.

TEOR_TJOCKLEK = Det här redigerbara värdet motsvarar den angivna tjockleken för detaljen. Positiva och negativa värden kan användas.

ALT1 = Det här är ett växlingsfält. X,Y,Z,I,J,K visas i REKT-koordinater (rektangulära) eller POL-koordinater (polära).

ALT2 = Det här fältet växlar mellan IN och UT. Vilken typ av spår som mäts avgörs i PC-DMIS utifrån läget för mätspetsen när mätpunkten tas.

ALT3 = Det här fältet växlar mellan NORM och TAPP. Här anges vilken typ av spår som mäts i PC-DMIS.

TEOR/ = Det här värdet motsvarar den teoretiska mätpunkten.

MÄTT/ = Det här värdet motsvarar den uppmätta mätpunkten.

MÅL = Med de här värdena styr du mätningsläget och vektorriktningen för körning, samtidigt som du kan använda ett helt annat TEO-värde.

AUTORÖRELSE = Det här är ett växlingsfält. JA innebär att alternativet är PÅ.

AVSTÅND = Det här värdet är det avstånd som mätspetsen förflyttas med alternativet AUTORÖRELSE.

RMÄT = Det här värdet är den relativa positionen och riktningen mellan ett eller flera angivna element och autoelementet.

LÄS POS = Det här är ett växlingsfält. JA innebär att alternativet är PÅ.

SÖK HÅL = Det här alternativfältet flyttar mätspetsen till läget för en insträcka ovanför den teoretiska mitten av elementet. Därefter förs den vinkelrätt mot elementets ytvektor och söker efter hålet i mäthastighet. Sökningen fortsätter tills ytan påträffas (vilket innebär att hålet inte finns) eller tills söksträckan uppnås (vilket innebär att hålet finns).

MÄTOM = Det här växlingsbara JA-/NEJ-fältet mäter automatiskt om elementet en andra gång när elementet har mätts. Mätvärdena från den första mätningen används som mållägen för den andra mätningen.

INITIAL/PERM = De här värdena kan redigeras. Giltiga värden är noll, ett och tre.

DISTANS/DJUP = De här värdena är redigerbara avstånd.

BREDD MINMAX = Det här fältet växlar mellan MAXMIN och NORM. Detta anger hur spåret ska mätas.

Allmän information om mätning av alla typer av autoelement finns i Gemensamma alternativ i dialogrutan Autoelement.

Mer:

Utökade fältdefinitioner för rätvinkliga spår


Utökade fältdefinitioner för rätvinkliga spår

Så här ser kommandoraden för det här elementet med utökade alternativ ut i Redigeringsfönstret:
F_ID=AUTO/RÄTVINKL. SPÅR, VISA_ALLA_PARAMETRAR = J/N, VISA_MÄTPKT = NEJ
TEOR/ TX,TY,TZ,TI,TJ,TK,TDIAM,TLÄNGD, THÖJD,x
MÄTT/ X,Y,Z,I,J,DIAM,LÄNGD,HÖJD,x
MÅL/målX,målY,målZ,målI,målJ,målK,x
TEOR_TJOCKLEK = n, ALT1, ALT2,ALT3
AUTORÖRELSE = J/N, AVSTÅND = n, RMÄT = inget
LÄS POS = J/N, SÖK HÅL= J/N, MÄTOM = J/N
INITIAL = n, PERM = n, DISTANS = n, DJUP = n
BREDD MINMAX = NORM, RADIE = n
STANS = I,J,K, PIN = I,J,K

Obs! TEOR/ motsvarar det teoretiska mätpunktsläget. MÄTT/ motsvarar det faktiska mätta mätpunktsläget.

STANS = I det här fältet anges riktningen för stansningen genom tunnplåten. Värdet kan redigeras.

PIN = I det här fältet anges riktningen för punkten genom hålet som skapas vid stansningen.

Standardfältdefinitionerna för rektanglar beskrivs i Fältdefinitioner för rätvinkliga spår.


Mäta ett rätvinkligt spår

I PC-DMIS finns flera metoder för att mäta rätvinkliga spår med alternativet för tunnplåt. Information om metoderna finns i följande stycken:

  • Använda angivna data för ett rätvinkligt spår

  • Använda ytdata med CMM-enheten för ett rätvinkligt spår

  • Använda ytdata på skärmen för ett rätvinkligt spår

  • Använda tråddata med CMM-enheten för ett rätvinkligt spår

  • Använda tråddata på skärmen för ett rätvinkligt spår

  • Utan att använda CAD-data för ett rätvinkligt spår

Obs! Det går inte att använda musen i Grafikfönstret om CAD-data inte är tillgängliga.


Använda angivna data för ett rätvinkligt spår

Med den här metoden kan du skriva in önskade XYZ- och IJK-värden för det rätvinkliga spåret. Mer information om nominella värden finns i Listan Läge.


Använda ytdata med CMM-enheten för ett rätvinkligt spår

Alternativet Sök nom. ska vara PÅ för den här mätmetoden. Mer information om Sök nom. finns i Listan Läge.

Så här skapar du en mätning av ett rätvinkligt spår med hjälp av ytdata med CMM-enheten:

  1. Rör två gånger vid spårets långsida med mätspetsen.

  2. Rör vid detaljen på spårets kortsida.

  3. Fortsätt runt spåret och rör vid nästa långsida.

  4. Rör sedan vid den sista kortsidan.

Obs! Beröringarna ska ske i ett cirkelmönster (medurs eller moturs).


Använda ytdata på skärmen för ett rätvinkligt spår

Så här skapar du ett rätvinkligt spår med hjälp av ytdata:

  1. Klicka på ikonen Yta [image] .

  2. Använd den animerade mätspetsen och ta två mätpunkter på spårets långsida. Den valda linjen markeras i PC-DMIS.

  3. Kontrollera att rätt sida har markerats.

  4. Rör vid bilden på en av spårets kortsidor.

  5. Fortsätt runt spåret och rör vid nästa långsida.

  6. Rör sedan vid den sista kortsidan.

Obs! Beröringarna ska ske i ett cirkelmönster (medurs eller moturs).


Använda tråddata med CMM-enheten för ett rätvinkligt spår

Alternativet Sök nom. ska vara PÅ för den här mätmetoden. Mer information om Sök nom. finns i Listan Läge.

Så här skapar du en mätning av ett rätvinkligt spår med hjälp av tråddata med CMM-enheten:

  1. Rör två gånger vid spårets långsida med mätspetsen.

  2. Rör vid detaljen på spårets kortsida.

  3. Fortsätt runt spåret och rör vid nästa långsida.

  4. Rör sedan vid den sista kortsidan.

Obs! Beröringarna ska ske i ett cirkelmönster (medurs eller moturs).


Använda tråddata på skärmen för ett rätvinkligt spår

Så här skapar du ett rätvinkligt spår med hjälp av CAD-tråddata:

  1. Klicka två gånger bredvid den önskade tråden på långsidan för spåret. Den valda tråden markeras i PC-DMIS.

  2. Kontrollera att rätt element har markerats.

  3. Rör vid bilden på spårets kortsida.

  4. Fortsätt runt spåret och rör vid nästa långsida.

  5. Rör sedan vid den sista kortsidan.

Obs! Beröringarna ska ske i ett cirkelmönster (medurs eller moturs).


Utan att använda CAD-data för ett rätvinkligt spår

Så här skapar du ett rätvinkligt spår utan att använda CAD-data:

  1. Hitta den översta ytan med hjälp av tre mätpunkter.

  2. Ta två mätpunkter på en av spårets långsidor.

  3. Ta en mätpunkt på var och en av de tre återstående sidorna i spåret. Ta punkterna medurs. (Totalt ska det alltså finnas åtta mätpunkter.)

Obs! Mätpunkterna ska tas i ett cirkelmönster (medurs eller moturs).


Skapa en autocylinder

Dialogrutan Cylinder

Med mätalternativet Cylinder kan du definiera en cylindermätning. Den här mätningstypen är användbar om mätpunkter med jämna avstånd krävs för ofullständiga cylindrar. För att mäta en autocylinder krävs minst sex mätpunkter.

Du använder alternativet Cylinder genom att öppna autoelementrutan Cylinder (Infoga | Element | Autoelement | Cylinder). Visa menykarta

Mer:

Fältdefinitioner för cylindrar

Mäta en cylinder


Fältdefinitioner för cylindrar

Så här ser kommandoraden för en exempelcylinder ut i Redigeringsfönstret:
F_ID=AUTO/CYLINDER, VISA_ALLA_PARAMETRAR = J/N, VISA_MÄTPKT = NEJ
TEOR/ TX,TY,TZ,TI,TJ,TK, TDIAM, TLÄNGD
MÄTT/ X,Y,Z,I,J,K, DIAM, LÄNGD
MÅL/ målX,målY,målZ,målI,målJ,målK
TEOR_TJOCKLEK = n, ALT1, ALT2,ALT3, ALT4
AUTORÖRELSE = J/N, AVSTÅND = n, RMÄT = inget
LÄS POS = J/N, SÖK HÅL = J/N, MÄTOM = J/N, ANTPKTR =n, ANTRADER =n, INITIAL =n, PERM =n, DISTANS =n, STIGNING =n
STARTVINKEL = n, SLUTVINKEL = n, DJUP = n
VINKELVEK = I,J,K

Obs! TEOR/ motsvarar det teoretiska mätpunktsläget. MÄTT/ motsvarar det faktiska mätta mätpunktsläget.

VISA_MÄTPKT = Med det här växlingsbara JA-/NEJ-fältet kan du ange om mätpunkterna som använts för att skapa cylindern ska visas i Redigeringsfönstret.

VISA_ALLA_PARAMETRAR = Med det här JA-/NEJ-fältet kan du ange om fälten TEOR_TJOCKLEK, REKT/POL, IN/UT, RAK, GAUSS, AUTORÖRELSE, AVSTÅND, RMÄT, LÄS POS, SÖK HÅL, MÄTOM, ANV NOM, ANTPKTR, ANTRADER, INITIAL, PERM, DISTANS, STIGNING, STARTVINKEL, SLUTVINKEL, DJUP och VINKELVEK ska visas i Redigeringsfönstret.

Om mätpunktsdata hämtas från DMIS, eller om du manuellt ändrar minst ett av värdena X, Y, Z, I, J och K för mätpunkten, genereras inte mätpunkterna på nytt utifrån det teoretiska elementet när detaljprogrammet körs. I stället används angivna mätpunktsdata i PC-DMIS för alla mätningar. Om du ändrar någon av följande elementparametrar ignoreras dock de mätpunktsdata som du angav, och mätpunkterna genereras om utifrån den ändrade parametern. Parametrarna är: "ANTPKTR", "VINKELVEKTOR", "DIAMETER ", "LÄNGD", "BREDD", "HÖJD", "INUT", "STARTVINKEL", "SLUTVINKEL", "STIGNING", "VINKEL", "BREDD MINMAX", "STORDIAMETER", "LILLDIAMETER" och "ANTRADER".

TEOR_TJOCKLEK = Det här värdet motsvarar den angivna tjockleken för detaljen. Positiva och negativa värden kan användas.

ALT1 = Det här är ett växlingsfält. X,Y,Z,I,J,K visas i REKT-koordinater (rektangulära) eller POL-koordinater (polära).

ALT2 = Det här fältet växlar mellan IN och UT. Vilken typ av cylinder som mäts avgörs i PC-DMIS utifrån läget för mätspetsen när mätpunkten tas. (Inuti en cylinder = IN, utanför en tapp = UT.)

ALT3 = Det här fältet växlar mellan CIRKULÄR och RAK.

ALT4 = Det här fältet växlar mellan GAUSS, MAX_INSKR, MIN_OMSKR, TJEBYCHEV och FAST_RAD.

TEOR/ = Det här värdet motsvarar den teoretiska mätpunkten. TDIAM är det normala värdet för diametern. TLÄNGD är den nominella längden för cylindern.

MÄTT/ = Det här värdet motsvarar de uppmätta mätpunkterna. DIAM är det mätta värdet för diametern. LÄNGD är den mätta längden för cylindern.

MÅL = Med de här värdena styr du mätningsläget och vektorriktningen för körning, samtidigt som du kan använda ett helt annat TEO-värde.

AUTORÖRELSE = Det här är ett växlingsfält. JA innebär att alternativet är PÅ.

AVSTÅND = Det här värdet är det avstånd som mätspetsen förflyttas med alternativet AUTORÖRELSE.

RMÄT = Det här värdet är den relativa positionen och riktningen mellan ett eller flera angivna element och autoelementet.

LÄS POS = Det här är ett växlingsfält. JA innebär att alternativet är PÅ.

SÖK HÅL = Det här alternativfältet flyttar mätspetsen till läget för en insträcka ovanför den teoretiska mitten av elementet. Därefter förs den vinkelrätt mot elementets ytvektor och söker efter hålet i mäthastighet. Sökningen fortsätter tills ytan påträffas (vilket innebär att hålet inte finns) eller tills söksträckan uppnås (vilket innebär att hålet finns).

MÄTOM = Det här växlingsbara JA-/NEJ-fältet mäter automatiskt om elementet en andra gång när elementet har mätts. Mätvärdena från den första mätningen används som mållägen för den andra mätningen.

ANTPKTR = Det här redigerbara värdet måste vara ett heltal som är större än fem.

ANTRADER = Det här redigerbara värdet ska vara ett heltal som är större än ett.

INITIAL/PERM = De här värdena är redigerbara fält.

DISTANS/DJUP = De här värdena är redigerbara avstånd.

STIGNING = Det här värdet ger bättre exakthet för gängade hål och tappar.

STARTVINKEL/SLUTVINKEL = De här värdena motsvarar den del av bågen som ska mätas.

VINKELVEK = I det här fältet anges nollpositionen kring den normala vektorn. Värdet kan redigeras.

Allmän information om mätning av alla typer av autoelement finns i Gemensamma alternativ i dialogrutan Autoelement.


Mäta en cylinder

I PC-DMIS finns flera metoder för att mäta cylindrar. Information om metoderna finns i följande stycken:

  • Använda angivna data för en cylinder

  • Använda ytdata med CMM-enheten för en cylinder

  • Använda ytdata på skärmen för en cylinder

  • Använda tråddata på skärmen för en cylinder

  • Utan att använda CAD-data för en cylinder

För alla metoder är det viktigt att rätt elementtyp (HÅL eller TAPP) anges. Se Alternativen Inv. och Utv. Kontrollera att du har valt rätt alternativ.

Obs! Vissa punktmönster (t.ex. två rader med tre punkter med jämna avstånd, eller två rader med fyra punkter med jämna avstånd) kan innebära att det finns flera sätt att mäta en perfekt cylinder, och algoritmen Bästanpassn. i PC-DMIS kan innebära att cylindern mäts med en oväntad lösning. De bästa resultaten uppnås om du mäter cylindrar med ett unikt punktmönster.

Obs! Det går inte att använda musen i Grafikfönstret om CAD-data inte är tillgängliga.

Mer:

Kommentarer om att ställa in cylinderparametrar korrekt


Använda angivna data för en cylinder

Med den här metoden kan du skriva in önskade XYZ- och IJK-värden för cylindern. Mer information om nominella värden finns i Listan Läge.


Använda ytdata med CMM-enheten för en cylinder

Alternativet Sök nom. ska vara PÅ för den här mätmetoden. Mer information om Sök nom. finns i Listan Läge.

Så här skapar du en cylinder med hjälp av ytdata med CMM-enheten:

  1. Ta tre mätpunkter i hålet eller på tappen.

  2. Flytta mätspetsen till ett annat djup.

  3. Ta tre ytterligare mätpunkter. CAD-ytan genomborras så nära mätspetsens kontaktplats som möjligt.

De XYZ-värden som visas motsvarar den närmaste CAD-cylindern och inte de faktiska mätpunkterna. IJK-värdena motsvarar ytnormalvektorn. Om ingen CAD-cylinder hittas visas den närmaste punkten och du uppmanas att ta ytterligare mätpunkter.


Använda ytdata på skärmen för en cylinder

Så här skapar du en cylinder med hjälp av ytdata:

  1. Klicka på ikonen Yta [image] .

  2. Placera markören utanför eller inuti den önskade cylindern.

  3. Klicka på tre platser kring cylindern. Den valda cylindern markeras i PC-DMIS. Mittpunkten och diametern från CAD-data för den markerade cylindern i tunnplåt visas i dialogrutan när den sjätte punkten har valts.

  4. Ange längden för cylindern genom att skriva ett värde i rutan Höjd.

  5. Klicka på Skapa.


Använda tråddata på skärmen för en cylinder

Du kan också använda CAD-tråddata för att skapa en cylinder.

Så här skapar du en cylinder med hjälp av tråddata:

  1. Klicka i närheten av den önskade tråden på cylindern. Den valda tråden markeras i PC-DMIS.

  2. Kontrollera att rätt element har markerats.

Mätspetsens anloppsriktning är alltid vinkelrät mot elementet och mot centrumlinjens vektor för den aktuella mätspetsen. Värdet för den markerade cylinderns centrumpunkt och diameter visas i dialogrutan när du har markerat tråden.

Obs! Om det underliggande CAD-elementet inte är en cylinder, cirkel eller båge kan det behövas fler klickningar för att identifiera elementet. Om fel element markeras kan du försöka med att klicka på minst två ytterligare platser på cylindern.


Utan att använda CAD-data för en cylinder

Så här skapar du en cylinder utan att använda CAD-data:

  1. Ta tre mätpunkter på ytan för att hitta planet som cylindern finns i.

  2. Ta tre mätpunkter i hålet (eller på tappen).

  3. Ta ytterligare tre mätpunkter i ett annat lager.

Tunnplåtscylindern beräknas med hjälp av samtliga sex mätpunkter. Ibland kan det vara bra att ta en mätpunkt mellan de två lagren om det är svårt att identifiera elementtypen. Data från alla mätta mätpunkter används tills du klickar på knappen Skapa. De XYZ-värden som visas är den beräknade mittpunkten för cylindern (eller tappen).


Kommentarer om att ställa in cylinderparametrar korrekt

Se till att parametrarna för autocylinder ställs in korrekt när du mäter en tapp. Om du inte gör det kan mätspetsen föras in i detaljen eller utanför den. När du mäter en tapp eller en pinne förutsätts att tappen går uppåt från det första planet, så att positiva värden för Djup och Höjd motsvarar "uppåt" från det första planet som du mäter.

Mäta tappar med tappens överkant som första yta – I det här exemplet antar vi att du har tagit tre mätpunkter högst upp på tappen för att mäta det första planet.

I det här fallet måste du ange ett negativt värde för Djup för cylindern så att mätspetsen flyttas nedåt längs tappen, och den första raden med fyra mätpunkter tas på själva tappen. Om du anger ett positivt värde för Djup görs ett försök att hitta tappen ovanför det första planet. Mätspetsen flyttas då till det tomma utrymmet ovanför tappen. Om du i det här exemplet anger djupet –1,41 tas de första fyra mätpunkterna för cylindern –1,41 mm nedanför det första planet.

Dessutom måste du ange korrekt värde för Höjd för tappen. Höjden är det avstånd från det första planet där den andra raden med fyra mätpunkter tas. Eftersom du använde tappens överkant som det första planet måste värdet för Höjd vara negativt. Om du vill att den andra raden med mätpunkter ska tas 1 mm nedanför det första planet anger du värdet –1.

Tänk också på vilket värde du anger för Avstånd. Om du tar tre mätpunkter högst upp på tappen som första plan, och därefter tar tre punkter runt tappen, måste du ange ett negativt värde för Distans eftersom planet som du mätte faktiskt är "inuti" tappen på dess översta yta. I det här fallet innebär avståndsvärdet –0,1 att den första mätpunkten ska tas 0,1 mm innanför tappens gränser på det första planet (högst upp på tappen).

Mäta tappar med bordets yta som första yta – I det här exemplet antar vi att du har tagit tre mätpunkter på bordets ovansida i maskinen för att mäta det första planet.

Eftersom det förutsätts att tappen går uppåt från det första planet ska värdena för Djup, Höjd och Avstånd vara positiva i det här fallet. Om du anger 0,25 mm för Djup tas den första raden med fyra mätpunkter 0,25 mm ovanför det första planet. Om du anger 1,25 mm för Höjd tas den andra raden med fyra mätpunkter 1,25 mm ovanför det första planet.

Mäta hål – När du mäter innercylindrar (eller hål) förutsätts att hålen finns inuti den första ytan. Detta innebär att positiva värden för Djup eller Höjd gör att hålet går in i detaljen, nedanför den första ytan.


Skapa en autokon

Dialogrutan Kon

Med mätalternativet Kon kan du definiera en konmätning. Den här mätningstypen är användbar om mätpunkter med jämna avstånd krävs för ofullständiga koner. För att mäta en autokon krävs minst sex mätpunkter.

Du använder alternativet Kon genom att öppna autoelementrutan Kon (Infoga | Element | Autoelement | Kon). Visa menykarta

Mer:

Fältdefinitioner för koner

Mäta en kon


Fältdefinitioner för koner

Så här ser kommandoraden för en exempelkon ut i Redigeringsfönstret:
F_ID=AUTO/KON, VISA_ALLA_PARAMETRAR = J/N, VISA_MÄTPKT = NEJ
TEOR/ TX,TY,TZ,TI,TJ,TK, TDIAM, TVINKEL, THÖJD
MÄTT/ X,Y,Z,I,J,K, DIAM, VINKEL, HÖJD
MÅL/ målX,målY,målZ,målI,målJ,målK
TEOR_TJOCKLEK = n, ALT1, ALT2,ALT3, ALT4, ALT5
VID_FEL = J/N
AUTORÖRELSE = J/N, AVSTÅND = n, RMÄT = J/N, LÄS POS = J/N
ANTPKTR = n, ANTRADER =n, INITIAL =n, PERM =n, DISTANS =n
STARTVINKEL = n, SLUTVINKEL = n, DJUP = n
VINKELVEK = I,J,K

Obs! TEOR/ motsvarar det teoretiska mätpunktsläget. MÄTT/ motsvarar det faktiska mätta mätpunktsläget.

VISA_MÄTPKT = Med det här växlingsbara JA-/NEJ-fältet kan du ange om mätpunkterna som använts för att skapa konen ska visas i Redigeringsfönstret.

Om mätpunktsdata hämtas från DMIS, eller om du manuellt ändrar minst ett av värdena X, Y, Z, I, J och K för mätpunkten, genereras inte mätpunkterna på nytt utifrån det teoretiska elementet när detaljprogrammet körs. I stället används angivna mätpunktsdata i PC-DMIS för alla mätningar. Om du ändrar någon av följande elementparametrar ignoreras dock de mätpunktsdata som du angav, och mätpunkterna genereras om utifrån den ändrade parametern. Parametrarna är: "ANTPKTR", "VINKELVEKTOR", "DIAMETER ", "LÄNGD", "BREDD", "HÖJD", "INUT", "STARTVINKEL", "SLUTVINKEL", "STIGNING", "VINKEL", "BREDD MINMAX", "STORDIAMETER", "LILLDIAMETER" och "ANTRADER".

VISA_ALLA_PARAMETRAR = Med det här JA-/NEJ-fältet kan du ange om fälten TEOR_TJOCKLEK, REKT/POL, IN/UT, RAK, GAUSS, AUTORÖRELSE, AVSTÅND, RMÄT, LÄS POS, SÖK HÅL, MÄTOM, ANV NOM, ANTPKTR, ANTRADER, INITIAL, PERM, DISTANS, STIGNING, STARTVINKEL, SLUTVINKEL, DJUP och VINKELVEK ska visas i Redigeringsfönstret.

VINKEL = Det här värdet anger vinkeln för konen.

THÖJD = Det här värdet anger den nominella (teoretiska) höjden för konen.

HÖJD = Det här värdet anger den mätta höjden för konen.

TEOR_TJOCKLEK = Det här värdet motsvarar den angivna tjockleken för detaljen. Positiva och negativa värden kan användas.

ALT1 = Det här är ett växlingsfält. X,Y,Z,I,J,K visas i REKT-koordinater (rektangulära) eller POL-koordinater (polära).

ALT2 = Det här fältet växlar mellan IN och UT. Vilken typ av kon som mäts avgörs i PC-DMIS utifrån läget för mätspetsen när mätpunkten tas. (Inuti en kon = IN, utanför en tapp = UT.)

ALT3 = Det här fältet växlar mellan CIRKULÄR och RAK.

ALT4 = Värdet för det här fältet är antingen JA eller NEJ för alternativet VID_FEL. Mer information finns i Vid fel.

TEOR/ = Det här värdet motsvarar den teoretiska mätpunkten. TDIAM är det normala värdet för diametern.

MÄTT/ = Det här värdet motsvarar de uppmätta mätpunkterna. DIAM är det mätta värdet för diametern.

MÅL = Med de här värdena styr du mätningsläget och vektorriktningen för körning, samtidigt som du kan använda ett helt annat TEO-värde.

AUTORÖRELSE = Det här är ett växlingsfält. JA innebär att alternativet är PÅ.

AVSTÅND = Det här värdet är det avstånd som mätspetsen förflyttas med alternativet AUTORÖRELSE.

RMÄT = Det här värdet är den relativa positionen och riktningen mellan ett eller flera angivna element och autoelementet.

LÄS POS = Det här är ett växlingsfält. JA innebär att alternativet är PÅ.

ANTPKTR = Det här redigerbara värdet måste vara ett heltal som är större än fem.

ANTRADER = Det här redigerbara värdet ska vara ett heltal som är större än ett.

INITIAL/PERM = De här värdena är redigerbara fält.

DISTANS/DJUP = De här värdena är redigerbara avstånd.

STARTVINKEL/SLUTVINKEL = De här värdena motsvarar den del av bågen som ska mätas.

VINKELVEK = I det här fältet anges nollpositionen kring den normala vektorn. Värdet kan redigeras.

Allmän information om mätning av alla typer av autoelement finns i Gemensamma alternativ i dialogrutan Autoelement.


Mäta en kon

I PC-DMIS finns flera metoder för att mäta koner. Information om metoderna finns i följande stycken:

  • Använda angivna data för en kon

  • Använda ytdata med CMM-enheten för en kon

  • Använda ytdata på skärmen för en kon

  • Använda tråddata på skärmen för en kon

  • Utan att använda CAD-data för en kon

För alla metoder är det viktigt att rätt elementtyp (HÅL eller TAPP) anges. Se Alternativen Inv. och Utv. Kontrollera att du har valt rätt alternativ.

Obs! Det går inte att använda musen i Grafikfönstret om CAD-data inte är tillgängliga.


Använda angivna data för en kon

Med den här metoden kan du skriva in önskade XYZ- och IJK-värden för konen. Mer information om nominella värden finns i Listan Läge.


Använda ytdata med CMM-enheten för en kon

Alternativet Sök nom. ska vara PÅ för den här mätmetoden. Mer information om Sök nom. finns i Listan Läge.

Så här skapar du en kon med hjälp av ytdata med CMM-enheten:

  1. Ta tre mätpunkter i hålet eller på tappen.

  2. Flytta mätspetsen till ett annat djup.

  3. Ta tre ytterligare mätpunkter. CAD-ytan genomborras så nära mätspetsens kontaktplats som möjligt.

De XYZ-värden som visas motsvarar den närmaste CAD-konen och inte de faktiska mätpunkterna. IJK-värdena motsvarar ytnormalvektorn. Om ingen CAD-kon hittas visas den närmaste punkten och du uppmanas att ta ytterligare mätpunkter.


Använda ytdata på skärmen för en kon

Så här skapar du en kon med hjälp av ytdata:

  1. Klicka på ikonen Yta [image] .

  2. Placera markören utanför eller inuti den önskade konen.

  3. Klicka på tre platser kring konens huvudkant. Den valda konen markeras i PC-DMIS.

  4. Klicka på ytan nära den motsatta kanten på konen för att skapa ytterligare tre mätpunkter.

Minst sex klickningar behövs för att nödvändiga XYZ- och IJK-data ska kunna beräknas. Mittpunkten, vinkeln och diametern från CAD-data för den markerade konen i tunnplåt visas i dialogrutan när den sjätte punkten har valts.

Om du gör fler än sex musklickningar innan du klickar på knappen Skapa beräknas ett medeltal av alla mätpunkterna.


Använda tråddata på skärmen för en kon

Du kan också använda CAD-tråddata för att skapa en kon.

Så här skapar du en kon med hjälp av tråddata:

  1. Klicka i närheten av den önskade tråden på konen. Den valda tråden markeras i PC-DMIS. På så sätt hämtas värden för konens mittpunkt, ytvektor och diameter.

  2. Klicka på en annan tråd som motsvarar den andra änden av konen för att beräkna vinkeln.

Mätspetsens anloppsriktning är alltid vinkelrät mot elementet och mot centrumlinjens vektor för den aktuella mätspetsen. Värdet för den markerade konens centrumpunkt och diameter visas i dialogrutan när du har markerat tråden.

Obs! Om det underliggande CAD-elementet inte är en kon, en cirkel eller en båge kan det behövas fler klickningar för att identifiera elementet. Om fel element markeras kan du försöka med att klicka på minst två ytterligare platser på konen.


Utan att använda CAD-data för en kon

Så här skapar du en kon utan att använda CAD-data:

  1. Ta tre mätpunkter på ytan för att hitta planet som konen finns i.

  2. Ta tre mätpunkter i hålet (eller på tappen) i samma lager.

  3. Ta minst en mätpunkt i ett lägre eller högre lager än de första tre mätpunkterna (ta upp till tre mätpunkter för att få en mer noggrann definition av konen).


Skapa en autosfär

Dialogrutan Sfär

Med tunnplåtfunktionen Sfär kan du definiera en sfärmätning. Elementtypen är särskilt användbar om sfären finns i ett plan som inte är parallellt med något av arbetsplanen. För att mäta en autosfär krävs minst fyra mätpunkter.

Du använder alternativet Sfär genom att öppna autoelementrutan Sfär (Infoga | Element | Autoelement | Sfär). Visa menykarta

Mer:

Fältdefinitioner för sfärer

Mäta en sfär


Fältdefinitioner för sfärer

Det här är ett exempel på en kommandorad i Redigeringsfönstret för en sfär:
F_ID=AUTO/SFÄR, VISA_ALLA_PARAMETRAR = J/N,
VISA_MÄTPKTR = NEJ
TEOR/ TX,TY,TZ,TI,TJ,TK TDIAM
MÄTT/ X,Y,Z,I,J,K, DIAM
MÅL/ målX,målY,målZ,målI,målJ,målK
TJOCKLEK = n, ALT1, ALT2
AUTORÖRELSE = J/N, AVSTÅND = n
ANTPKTR =n, ANTRADER =n, INITIAL =n, PERM =n, DISTANS =n
STARTVINKEL1 = n, SLUTVINKEL1 = n
STARTVINKEL2 = n, SLUTVINKEL2 = n
VINKELVEK = I,J,K

VISA_MÄTPKT = Med det här växlingsbara JA-/NEJ-fältet kan du ange om mätpunkterna som använts för att skapa sfären ska visas i Redigeringsfönstret.

Om mätpunktsdata hämtas från DMIS, eller om du manuellt ändrar minst ett av värdena X, Y, Z, I, J och K för mätpunkten, genereras inte mätpunkterna på nytt utifrån det teoretiska elementet när detaljprogrammet körs. I stället används angivna mätpunktsdata i PC-DMIS för alla mätningar. Om du ändrar någon av följande elementparametrar ignoreras dock de mätpunktsdata som du angav, och mätpunkterna genereras om utifrån den ändrade parametern. Parametrarna är: "ANTPKTR", "VINKELVEKTOR", "DIAMETER ", "LÄNGD", "BREDD", "HÖJD", "INUT", "STARTVINKEL", "SLUTVINKEL", "STIGNING", "VINKEL", "BREDD MINMAX", "STORDIAMETER", "LILLDIAMETER" och "ANTRADER".

VISA_ALLA_PARAMETRAR = Med det här JA-/NEJ-fältet kan du ange om fälten TEOR_TJOCKLEK, REKT/POL, AUTORÖRELSE, AVSTÅND, ANTPKTR, ANTRADER, INITIAL, PERM, DISTANS, STARTVINKEL1, STARTVINKEL2, SLUTVINKEL1, SLUTVINKEL2 och VINKELVEK ska visas i Redigeringsfönstret.

TJOCKLEK = Det här värdet motsvarar den angivna tjockleken för detaljen. Positiva och negativa värden kan användas.

ALT1 = Det här är ett växlingsfält. X,Y,Z,I,J,K visas i REKT-koordinater (rektangulära) eller POL-koordinater (polära).

ALT2 = Det här fältet växlar mellan IN och UT. Vilken typ av sfär som mäts avgörs i PC-DMIS utifrån läget för mätspetsen när mätpunkten tas.

TEOR/ = Det här värdet motsvarar den teoretiska mätpunkten. TDIAM är det normala värdet för diametern.

MÄTT/ = Det här värdet motsvarar den uppmätta mätpunkten. DIAM är det mätta värdet för diametern.

MÅL = Med de här värdena styr du mätningsläget och vektorriktningen för körning, samtidigt som du kan använda ett helt annat TEO-värde.

AUTORÖRELSE = Det här är ett växlingsfält. JA innebär att alternativet är PÅ.

AVSTÅND = Det här värdet är det avstånd som mätspetsen förflyttas med alternativet AUTORÖRELSE.

ANTPKTR = Det här redigerbara värdet måste vara ett heltal som är större än tre.

ANTRADER = Det här redigerbara värdet ska vara ett heltal som är större än ett.

INITIAL/PERM = De här värdena är redigerbara fält.

DISTANS = Det här redigerbara värdet är ett avstånd.

START-/SLUTVINKEL1 = De här redigerbara värdena utgör start- och slutvinklarna för sfären.

START-/SLUTVINKEL2 = De här redigerbara värdena motsvarar den del av bågen som ska mätas.

VINKELVEK = I det här fältet anges nollpositionen kring normalvektorn. Värdet kan redigeras.

Allmän information om mätning av alla typer av autoelement finns i Gemensamma alternativ i dialogrutan Autoelement.


Mäta en sfär

I PC-DMIS finns flera metoder för att mäta en sfär med alternativet för tunnplåt. Information om metoderna finns i följande stycken:

  • Använda angivna data för en sfär

  • Använda ytdata med CMM-enheten för en sfär

  • Använda ytdata på skärmen för en sfär

  • Använda tråddata på skärmen för en sfär

Obs! Det går inte att använda musen i Grafikfönstret om CAD-data inte är tillgängliga.


Använda angivna data för en sfär

Med den här metoden kan du skriva in önskade XYZ- och IJK-värden för sfären. Mer information om nominella värden finns i Listan Läge.


Använda ytdata med CMM-enheten för en sfär

Alternativet Sök nom. ska vara PÅ för den här mätmetoden. Mer information om Sök nom. finns i Listan Läge.

För att skapa en sfär med hjälp av ytdata med CMM-enheten rör du vid sfären på fyra platser med mätspetsen.

Om du gör fler musklickningar innan du klickar på knappen Skapa hittas den bästa sfären i närheten av mätpunkterna.


Använda ytdata på skärmen för en sfär

Så här skapar du en sfär med hjälp av ytdata:

  1. Klicka på ikonen Yta [image] .

  2. Placera markören på platsen för den önskade sfären i Grafikfönstret.

  3. Klicka med vänster musknapp.

  4. Ta minst två ytterligare mätpunkter på sfären.

Värdet för den markerade sfären och vektorn visas i dialogrutan när du har valt punkterna.


Använda tråddata på skärmen för en sfär

Så här skapar du en sfär med hjälp av CAD-tråddata:

  1. Klicka på den sfär som ska mätas. Den valda sfären markeras om den är tillgänglig. (Om ett annat element markeras kan du försöka med att ta ytterligare två mätpunkter.)

  2. Kontrollera att rätt element har markerats.

Värdet för den valda CNC-sfären och vektorn visas i dialogrutan när du har valt sfären.


Skapa en autopolygon

Dialogrutan Polygon

I dialogrutan Polygon kan du definiera och infoga ett polygonautoelement i detaljprogrammet. En polygon är ett element som består av minst tre lika långa sidor. Hexagoner och oxagoner är exempel på polygonelement. Det här autoelementet används främst för att mäta muttrar och bultar.

För att definiera och infoga en polygon öppnar du autoelementrutan Polygon (Infoga | Element | Autoelement | Polygon). Visa menykarta

Mer:

Fältdefinitioner för polygoner

Mäta en polygon


Fältdefinitioner för polygoner

Det här är ett exempel på en kommandorad i Redigeringsfönstret för en polygon:

POL1 =AUTO/POLYGON,VISA_ALLA_PARAMETRAR = J/N,VISA_MÄTPKT = J/N

TEOR/TX,TY,TZ,TI,TJ,TK,TDIAM,THÖJD,TVINKELI,TVINKELJ,TVINKELK

MÄTT/X,Y,Z,I,J,K,DIAM,HÖJD,VINKELI,VINKELJ,VINKELK

MÅL/målX,målY,målZ,målI,målJ,målK,målVinkelI,målVinkelJ,målVinkelK

TEOR_TJOCKLEK = n,ALT1,ALT2,ALT3,VID_FEL=J/N,$

AUTORÖRELSE = J/N,AVSTÅND = n, ,RMÄT = Inget,Inget,Inget,$

LÄS POS = J/N,SÖK HÅL = J/N,MÄTOM = J/N,$

ANTPKTR = n,ANTSIDOR = n,RADIE = n,INITIAL = n,PERM = n,DISTANS = n,$

MÄTT/POLYGON

SLUTMÄT/

VISA_ALLA_PARAMETRAR = Med det här JA-/NEJ-fältet kan du ange om fälten TEOR_TJOCKLEK, REKT/POL, GAUSS, AUTORÖRELSE, AVSTÅND, RMÄT, LÄS POS, SÖK HÅL, MÄTOM, ANTPKTR, INITIAL, PERM, DISTANS, STIGNING, STARTVINKEL, SLUTVINKEL, DJUP och VINKELVEK ska visas i Redigeringsfönstret.

VISA_MÄTPKT = Med det här växlingsbara JA-/NEJ-fältet kan du ange om mätpunkterna som använts för att skapa cirkeln ska visas i Redigeringsfönstret.

Om mätpunktsdata hämtas från DMIS, eller om du manuellt ändrar minst ett av värdena X, Y, Z, I, J och K för mätpunkten, genereras inte mätpunkterna på nytt utifrån det teoretiska elementet när detaljprogrammet körs. I stället används angivna mätpunktsdata i PC-DMIS för alla mätningar. Om du ändrar någon av följande elementparametrar ignoreras dock de mätpunktsdata som du angav, och mätpunkterna genereras om utifrån den ändrade parametern. Parametrarna är: "ANTPKTR", "VINKELVEKTOR", "DIAMETER ", "LÄNGD", "BREDD", "HÖJD", "INUT", "STARTVINKEL", "SLUTVINKEL", "STIGNING", "VINKEL", "BREDD MINMAX", "STORDIAMETER", "LILLDIAMETER" och "ANTRADER".

TEOR/ = Det här värdet motsvarar teoretiska data för mittpunkten och vektorn för elementet. TDIAM är det normala värdet för diametern. För vanliga, liksidiga polygoner är diametern lika med avståndet mellan två motstående sidor. För andra polygoner, till exempel liksidiga trianglar, är diametern lika med två gånger radien för den största cirkel som kan inskrivas i polygonen.

MÄTT/ = Det här värdet motsvarar mätta data för mittpunkten och vektorn för elementet. DIAM är det mätta värdet för diametern.

MÅL = Med de här värdena styr du mätningsläget och vektorriktningen för körning, samtidigt som du kan använda ett helt annat TEO-värde.

TJOCKLEK = Det här redigerbara värdet motsvarar den angivna tjockleken för detaljen. Positiva och negativa värden kan användas.

ALT1 = Det här är ett växlingsfält. X,Y,Z,I,J,K visas i REKT-koordinater (rektangulära) eller POL-koordinater (polära).

ALT2 = Det här växlingsfältet växlar mellan IN och UT. Vilken typ av cirkel som mäts avgörs i PC-DMIS utifrån läget för mätspetsen när mätpunkten tas. (Inuti en cirkel = IN, utanför en tapp = UT.)

ALT3 = Det här växlingsfältet växlar mellan CIRKULÄR och RAK. Värdet anger vilken typ av rörelse som används när elementet körs i PC-DMIS.

VID_FEL = Det här JA-/NEJ-fältet gör det lättare att kontrollera felet när en oväntad eller missad mätpunkt identifieras.

AUTORÖRELSE = Det här är ett växlingsfält. JA innebär att alternativet är PÅ.

AVSTÅND = Det här värdet är det avstånd som mätspetsen förflyttas med alternativet AUTORÖRELSE.

RMÄT = Det här värdet är den relativa positionen och riktningen mellan ett eller flera angivna element och autoelementet.

LÄS POS = Det här är ett växlingsfält. JA innebär att alternativet är PÅ.

SÖK HÅL = Det här alternativfältet flyttar mätspetsen till läget för en insträcka ovanför den teoretiska mitten av elementet. Därefter förs den vinkelrätt mot elementets ytvektor och söker efter hålet i mäthastighet. Sökningen fortsätter tills ytan påträffas (vilket innebär att hålet inte finns) eller tills söksträckan uppnås (vilket innebär att hålet finns).

MÄTOM = Det här växlingsbara JA-/NEJ-fältet mäter automatiskt om elementet en andra gång när elementet har mätts. Mätvärdena från den första mätningen används som mållägen för den andra mätningen.

ANTPKTR = Det här redigerbara värdet måste vara ett heltal som är större än eller lika med 1, och anger hur många mätpunkter som ska tas per sida. Observera dock att minst två mätpunkter alltid tas på den första sidan för att avgöra vinkelvektorn för elementet.

ANTSIDOR = Det här redigerbara värdet måste vara ett heltal som är lika med eller större än tre. Det motsvarar hur många sidor polygonen har.

RADIE = Med det här redigerbara värdet anger du radien för varje hörn i polygonen. När en mätpunkt tas i ett hörn flyttas mätspetsen in längs sidan med det här avståndet innan punkten tas. På så sätt tas inga mätpunkter i själva hörnen.

INITIAL/PERM = I de här redigerbara fälten anges alla eventuella inledande och permanenta stödpunkter.

DISTANS/DJUP = De här värdena är redigerbara avstånd.

Allmän information om mätning av alla typer av autoelement finns i Gemensamma alternativ i dialogrutan Autoelement.


Mäta en polygon

Så här skapar du en autopolygon med hjälp av CAD-modellen

  1. Öppna dialogrutan för autoelementet Polygon (Infoga | Element | Autoelement | Polygon). Visa menykarta

  2. I rutan Sidor anger du antalet sidor för polygonelementet.

  3. Klicka en gång på det önskade polygonelementet i Grafikfönstret. Mittpunktsinformationen för polygonen fylls i och preliminära körvägar ritas.. När du gör ändringar i dialogrutan sker dynamiska uppdateringar för att återspegla ändringarna.

  4. I rutan Mätpunkter anger du hur många mätpunkter som ska tas för mätningen av varje sida. Minst två mätpunkter tas alltid på den första sidan av elementet för att avgöra vinkelvektorn för elementet.

  5. I området Riktning anger du om det är en inre eller yttre polygon genom att välja Inv. eller Utv..

  6. I rutan Hörnradie definierar du en hörnradie. Hörnradien avgör hur långt från hörnen som mätpunkterna på polygonens sidor ska tas. På så sätt tas inga mätpunkter i själva hörnen.

  7. I rutan Diameter kontrollerar du att diametervärdet för polygonen är korrekt. För vanliga polygoner med ett jämnt antal sidor är diametern lika med avståndet mellan två motstående sidor. För andra polygoner, till exempel liksidiga trianglar, är diametern lika med två gånger radien för den största cirkel som kan inskrivas i polygonen. Det här värdet fylls i automatiskt när du klickar på polygonen.

  8. Gör andra ändringar om det behövs.

  9. Klicka på Skapa. Ett autoelement av typen Polygon infogas i detaljprogrammet.

Så här skapar du en autopolygon genom att skriva in data:

Om du känner till teoretiska data för polygonen kan du också skapa en autopolygon genom att skriva in dessa data i rätt fält. I dialogrutan för autoelementet Polygon anger du information för XYZ-mittpunkt och IJK-vektor. Ange antalet sidor, antalet mätpunkter per sida, diameter och hörnradie. Klicka på Skapa när du är klar.

Så här skapar du en autopolygon med hjälp av CMM-enheten:

Du kan "lära in" läget för en autopolygon utan att använda CAD-data genom att ta mätpunkter på detaljen med mätspetsen på maskinen. Fyll i nödvändig information i dialogrutan Polygon och låt den vara öppen medan du tar en mätpunkt på en av polygonens sidor. Efter den första mätpunkten visas ytterligare instruktioner på statusraden längst ned på skärmen. Följ instruktionerna på statusraden för att slutföra processen för att skapa polygonen. Klicka på Skapa när du är klar.


Ställa in relativ mätning

Med menyalternativet Infoga | Parameterändring | Autom. relativ mätning anger du läget för relativ mätning för autoelement. När du väljer det här menyalternativet infogas ett RMÄT-kommando i Redigeringsfönstret och ett av följande lägen används:

  • Läget Normal (RMÄT-elementets vektor används)

  • Läget Absolut (RMÄT-elementets vektor används inte)

Du bör infoga RMÄT-kommandot i detaljprogrammet innan du använder området Relativ mätning i dialogrutan Autoelement. Mer information finns i Området Relativ mätning.

Mer:

Läget Absolut

Läget Normal


Läget Absolut

Om ett autoelement har ett kopplat relativmätningselement (se Området Relativ mätning) mäts autoelementet i ett läge som justeras för att finnas på planet för RMÄT-elementet.

Exempel: Du har mätt ett plan (PLN), och en autocirkel (CIR1) innehåller en referens till planet som cirkelns RMÄT-element. När du mäter cirkeln CIR1 mäts den i det refererade planet (PLN). Se Den matematiska processen i läget ABSOLUT:.

Så här ser kommandot för det här elementet ut i Redigeringsfönstret:

RMÄT/ABSOLUT

Mer:

Den matematiska processen i läget ABSOLUT:


Den matematiska processen i läget ABSOLUT:

Använd de numeriska värdena från exempelelementen i tabellen nedan och följ de här stegen om du vill veta mer om hur RMÄT/ABSOLUT fungerar.

  1. Skapa ett koordinatsystem (förflyttningsmatris) med XYZ och IJK för det faktiska RMÄT-elementet.

  2. Flytta in XYZ för det nominella autoelementet i RMÄT-koordinatsystemet.

  3. Nollställ Z-värdet och flytta tillbaka XYZ till DETALJ-koordinatsystemet.

  4. Kopiera IJK-värdena för RMÄT-elementet till autoelementet om RMÄT-elementet kan reduceras till ett plan.

Exempelelement | XYZ | IJK
Faktiskt RMÄT-element (plan): | 2,2,1 | 0,0,1
Nominellt autoelement (cirkel): | 0,0,0 | 0,.7071,.7071
Nytt nominellt autoelement: | 0,0,1 | 0,0,1


Läget Normal

I läget Normal tas hänsyn till referenselementets riktning. Du bör använda den här metoden 99 % av tiden.

För att förstå hur detta fungerar kan du titta på en autocirkel med tre stödpunkter. Först tas tre mätpunkter på ytan runt cirkeln, och därefter mäts cirkeln utifrån planets läge och riktningen för ytnormalvektorn. Detta innebär att om planet är vinklat 45 grader mäts även cirkeln med denna vinkel.

På samma sätt gäller att om relativmätningselementet roteras från den ursprungliga riktningen, så mäts också det associerade elementet med samma rotationsförskjutning.

Läget Normal fungerar också lite bättre än läget Absolut på så sätt att huvudelementet bara förskjuts längs giltiga axlar för den typ av referenselement som används. För ett plan är det till exempel inte särskilt meningsfullt att förskjutningen sker i andra riktningar än längs planets normalvektor.

Så här ser kommandoraden för det här alternativet ut i Redigeringsfönstret:

RMÄT/NORMAL

Mer:

Den matematiska processen i läget NORMAL


Den matematiska processen i läget NORMAL

Använd de numeriska värdena från exempelelementen i tabellen nedan och följ de här stegen om du vill veta mer om hur RMÄT/NORMAL fungerar.

  1. Skapa ett koordinatsystem (förflyttningsmatris) med XYZIJK för det nominella RMÄT-elementet.

  2. Flytta in XYZ och IJK för det nominella autoelementet i RMÄT-koordinatsystemet.

  3. Skapa ett nytt koordinatsystem med XYZIJK för det faktiska RMÄT-elementet.

  4. Flytta nu de flyttade XYZ och IJK för autoelementet tillbaka till DETALJ-koordinatsystemet med hjälp av det nya RMÄT-koordinatsystemet.

  5. Använd de nya nominella XYZ och IJK för att mäta autoelementet.

Exempelelement | XYZ | IJK
Nominellt RMÄT-element (cirkel): | 0,0,2 | 0,0,1
Nominellt autoelement (cirkel): | 2,1,0 | .7071,0,.7071
Faktiskt RMÄT-element: | -1,0,1 | -.7071,0,.7071
Nytt nominellt autoelement: | 1.8284,1,-1 | 0,0,1


Skapa mätta element

Skapa mätta element: Inledning

Om kommandoformatet

Grundläggande mätformat för en cirkel

Grundläggande mätformat för en kon

Grundläggande mätformat för en cylinder

Grundläggande mätformat för en linje

Grundläggande mätformat för ett plan

Grundläggande mätformat för en punkt

Grundläggande mätformat för en sfär

Infoga ett mätt element

Igenkänning av typen för ett mätt element

Påtvingad infogning av en särskild typ av mätt element

Redigera ett mätt element

Beskrivning av dialogrutan Mätt element

Elementnamn

Antal mätpunkter

Referenstyp

Typ av bästanpassning

Räkna om mätområden

Kopiera till mätt

Koordinatsystem

Format för vinkeldefinition

Typ av cirkulärt element

Definition av linjen

Teoretiska värden

Mätområden

Beskrivning av dialogrutan Mätpunkter

Redigera grundläggande mätpunkter genom mätning:

Ändra ett igenkänt mätt element

Skapa mätta elementgrupper


Skapa mätta element: Inledning

När du tar mätpunkter på en detalj tolkas punkterna som olika element beroende på antalet mätpunkter, deras vektorer o.s.v. Mätta element skapas sedan i PC-DMIS utifrån dessa mätpunkter. Följande mätta element stöds i PC-DMIS:

  • Mät punkt

  • Mät linje

  • Mät plan

  • Mätt sfär

  • Mät cylinder

  • Mätt kon

  • Mätt cirkel

De här elementen beskrivs detaljerat under Om kommandoformatet.

Det här är huvuddelarna av det här avsnittet:

  • Om kommandoformatet

  • Infoga ett mätt element

  • Redigera ett mätt element

  • Ändra ett igenkänt mätt element

  • Skapa mätta elementgrupper

Obs! Du kan också infoga mätta element i detaljprogram med hjälp av verktygsfältet Snabbstart. Mer information finns under Snabbstart: Verktygsfältet Mät i avsnittet Använda verktygsfält.


Om kommandoformatet

Alla mätta element visas med följande format i kommandoläget i Redigeringsfönstret. En del variationer förekommer, och dessa beskrivs mer detaljerat i följande avsnitt. Den faktiska rapporten visas med bara VERSALER.

Exempel:

elementnamn=ELEMENT/ELEMENTTYP,ALT1,ALT4
TEOR/TX,TY,TZ,TI,TJ,TK,TD,TL
MÄTT/X,Y,Z,I,J,K,D,L
MÄT/ALT2,ALT3,
MÄTPKT/ALT5,TX,TY,YZ,TI,TJ,TK,X,Y,Z,ANV NOM=ALT6
SLUTMÄT/

elementnamn: Här visas namnet på elementet. Värdet i fältet kan redigeras.

ELEMENTTYP: Här anges elementtypen. Värdet är detsamma som för ALT2, men det kan inte redigeras eller växlas.

......: Detta innebär att det som följer är unikt för varje element.

ALT1: Värdet i det här fältet (som visas för alla element) kan vara REKT eller POL. Om värdet är REKT. visas alla punkter i ett kartesiskt (rektangulärt) system (x, y, z). Om värdet är POL. visas alla punkter i ett polärt system (x_radie, y_vinkel, z_höjd). Vektorerna påverkas inte.

ALT2: Det här fältet visas för alla mätta element och värdet kan vara något av följande:
CIRKEL/KON/KURVA/CYLINDER/LINJE/PLAN/PUNKT/GRUPP/SPÅR/SFÄR

PUNKT är standardelementtypen när mätkommandoraden öppnas för första gången i ett detaljprogram. Därefter används den senaste mätta elementtypen som standardelementtyp.

ALT3: I det här fältet visas det antal mätpunkter som ska tas enligt den elementtyp som visas i ALT2. Raden MÄTPKT varierar beroende på vilket antal mätpunkter som användaren har angett. Om användaren har angett 1 mätpunkt => 1 MÄTPKT/GRUNDLÄGGANDE-rad, 3 mätpunkter => 3 MÄTPKT/GRUNDLÄGGANDE-rader. Det minsta tillåtna antalet visas som standard.

ALT4: I det här fältet visas också unika värden beroende på vilken elementtyp som visas i ALT2. För linjära element kan du växla mellan BEGRÄNSAD/OBEGRÄNSAD. För cirkulära element kan du växla mellan IN/UT. För vinkelelement kan du växla mellan LÄNGD/VINKEL.

ALT5: I det här fältet visas vilken typ av mätpunkt som ska tas:
GRUNDLÄGGANDE.

ALT6: I det här fältet kan du ange om den teoretiska vektorn ska användas som anloppsvektor för mätpunkten. Standardvärdet är JA. Om du anger NEJ beräknas anloppsvektorn genom att den teoretiska mätpunkten (XYZ) dras från det aktuella läget för mätpunkten.

TX,TY,TZ,TI,TJ,TK: De här siffrorna motsvarar den teoretiska målvektorn (TX,TY,TZ) och den teoretiska anloppsvektorn(TI,TJ,TK). Värdena kan redigeras.

TD: För cirkulära element är det här talet den teoretiska diametern.

X,Y,Z,I,J,K: De här siffrorna kan inte redigeras och motsvarar den mätta punkten och den mätta anloppsvektorn.

D: För cirkulära element är det här talet den mätta diametern.

TL: Det här är den teoretiska längden för element som har en längd.

L: Det här är den mätta längden för element som har en längd.

Mer:

Grundläggande mätformat för en cirkel

Grundläggande mätformat för en kon

Grundläggande mätformat för en cylinder

Grundläggande mätformat för en linje

Grundläggande mätformat för ett plan

Grundläggande mätformat för en punkt

Grundläggande mätformat för en sfär


Grundläggande mätformat för en cirkel

Det minsta tillåtna antalet mätpunkter för en cirkel är tre.

Elementnamn=ELEMENT/CIRKEL,ALT1,ALT4,ALT6
TEOR/TX,TY,TZ,TI,TJ,TK,TD
MÄTT/X,Y,Z,I,J,K,D
MÄT/CIRKEL,ALT3,ALT7
...
SLUTMÄT/

ALT1= Värdet i det här fältet kan vara REKT eller POL.

ALT3= Det här värdet kan redigeras och är beroende av vilken typ av element som mäts. Raden MÄTPKT varierar beroende på vilket antal mätpunkter som användaren har angett. Om användaren har angett 3 mätpunkter => 3 MÄTPKT/GRUNDLÄGGANDE-rader, 5 mätpunkter => 5 MÄTPKT/GRUNDLÄGGANDE-rader.

ALT4= Värdet i det här fältet kan vara IN eller UT.

ALT6= Värdet i det här fältet kan vara någon av de tillgängliga bästanpassningstyperna. Alternativen är bland annat: GAUSS, TJEBYCHEV, MAX_INSKR, MIN_OMSKR och FAST_RAD.

ALT7= Värdet i det här fältet är någon av de olika referenstyperna. Det kan t.ex. vara något av följande: ELEMENT, 3D, ARBETSPLAN, XPLUS, YPLUS, ZPLUS, XMINUS, YMINUS eller ZMINUS.

...= Det antal mätpunkter som behövs anges vid de tre punkterna.


Grundläggande mätformat för en kon

Det minsta tillåtna antalet mätpunkter för en kon är sex.

Elementnamn=ELEMENT/KON,ALT1,ALT4,ALT5
TEOR/TX,TY,TZ,TI,TJ,TK,TL,TD1,TD2
MÄTT/X,Y,Z,I,J,K,L,D1,D2
MÄT/KON,ALT3
...
SLUTMÄT/

ALT1= Värdet i det här fältet kan vara REKT eller POL.

ALT3 = Det här värdet kan redigeras och är beroende av vilken typ av element som mäts. Raden MÄTPKT varierar beroende på vilket antal mätpunkter som användaren har angett. Om användaren har angett 6 mätpunkter => 6 MÄTPKT/GRUNDLÄGGANDE-rader, 11 mätpunkter => 11 MÄTPKT/GRUNDLÄGGANDE-rader.

ALT4 = Värdet i det här fältet kan vara IN eller UT.

ALT5 = Värdet i det här fältet kan vara LÄNGD eller VINKEL.

... = Det antal mätpunkter som behövs anges vid de tre punkterna.

TD1,TD2= De här två värdena är konens två teoretiska diametrar.

D1,D2= De här två värdena är de två faktiska uppmätta diametrarna för konen.


Grundläggande mätformat för en cylinder

Det minsta tillåtna antalet mätpunkter för en cylinder är sex.

Elementnamn=ELEMENT/CYLINDER,ALT1,ALT4,ALT6
TEOR/TX,TY,TZ,TI,TJ,TK,TD,TL
MÄTT/X,Y,Z,I,J,K,D,L
MÄT/CYLINDER,ALT3
...
SLUTMÄT/

ALT1 = Värdet i det här fältet kan vara REKT eller POL.

ALT3 = Det här värdet kan redigeras och är beroende av vilken typ av element som mäts. Raden MÄTPKT varierar beroende på vilket antal mätpunkter som användaren har angett. Om användaren har angett 6 mätpunkter => 6 MÄTPKT/GRUNDLÄGGANDE-rader, 11 mätpunkter => 11 MÄTPKT/GRUNDLÄGGANDE-rader.

ALT4 = Värdet i det här fältet kan vara IN eller UT.

ALT6 = Värdet i det här fältet kan vara någon av de tillgängliga bästanpassningstyperna. Alternativen är bland annat: GAUSS, TJEBYCHEV, MAX_INSKR, MIN_OMSKR och FAST_RAD.

...= Det antal mätpunkter som behövs anges vid de tre punkterna.

Obs! Om du skapar en mätt cylinder med mer än två rader och senare ändrar värdet för Antal mätpunkter i dialogrutan Mätt cylinder ändras inte antalet rader i PC-DMIS.


Grundläggande mätformat för en linje

Det minsta tillåtna antalet mätpunkter för en linje är två.

Elementnamn=ELEMENT/LINJE,ALT1,ALT4
TEOR/TX,TY,TZ,TI,TJ,TK
MÄTT/X,Y,Z,I,J,K
MÄT/LINJE,ALT3,ALT7
...
SLUTMÄT/

ALT1 = Värdet i det här fältet kan vara REKT eller POL.

ALT3 = Det här värdet kan redigeras och är beroende av vilken typ av element som mäts. Raden MÄTPKT varierar beroende på vilket antal mätpunkter som användaren har angett. Om användaren har angett 2 mätpunkter => 2 MÄTPKT/GRUNDLÄGGANDE-rader, 3 mätpunkter => 3 MÄTPKT/GRUNDLÄGGANDE-rader.

ALT4 = Värdet i det här fältet kan vara BEGR eller OBEGR. Om värdet är BEGR visas inte vektorinformation i fälten TEOR och MÄTT. I stället visas XYZ-värdena för både den andra och den första punkten. Se Definition av linjen .

ALT7= Värdet i det här fältet är någon av de olika referenstyperna. Det kan t.ex. vara något av följande: ELEMENT, 3D, ARBETSPLAN, XPLUS, YPLUS, ZPLUS, XMINUS, YMINUS eller ZMINUS.

...= Det antal mätpunkter som behövs anges vid de tre punkterna.

Mätta linjer och arbetsplan

När du skapar en mätt linje förväntas det att mätpunkterna för linjen tas på en vektor som är vinkelrät mot det aktuella arbetsplanet.

Om det aktuella arbetsplanet är ZPLUS (med vektorn 0,0,1) och du har en detalj som ser ut som ett block, måste mätpunkterna för den mätta linjen ligga på en lodrät vägg i detaljen, till exempel på framsidan eller sidan.

Om du därefter vill mäta ett linjeelement på detaljens toppyta måste du byta arbetsplan till XPLUS, XMINUS, YPLUS eller YMINUS beroende på planets riktning.

Information om hur du byter arbetsplan finns i Arbetsplanlista.


Grundläggande mätformat för ett plan

Det minsta tillåtna antalet mätpunkter för ett plan är tre.

Elementnamn=ELEMENT/PLAN,ALT1
TEOR/TX,TY,TZ,TI,TJ,TK
MÄTT/X,Y,Z,I,J,K
MÄT/PLAN,ALT3
...
SLUTMÄT/

ALT1 = Värdet i det här fältet kan vara REKT eller POL.

ALT3 = Det här värdet kan redigeras och är beroende av vilken typ av element som mäts. Raden MÄTPKT varierar beroende på vilket antal mätpunkter som användaren har angett. Om användaren har angett 3 mätpunkter => 3 MÄTPKT/GRUNDLÄGGANDE-rader, 8 mätpunkter => 8 MÄTPKT/GRUNDLÄGGANDE-rader.

... = Det antal mätpunkter som behövs anges vid de tre punkterna.


Grundläggande mätformat för en punkt

Det minsta tillåtna antalet mätpunkter för en punkt är en.

Elementnamn=ELEMENT/PUNKT,ALT1
TEOR/TX,TY,TZ,TI,TJ,TK
MÄTT/X,Y,Z,I,J,K
MÄT/PUNKT,ALT3
MÄTPKT/…
SLUTMÄT/

ALT1 = Värdet i det här fältet kan vara REKT eller POL.

ALT3 = Här visas det antal mätpunkter som ska tas i PC-DMIS för att mäta det här elementet. Eftersom det bara kan finnas en mätpunkt för en punkt går det inte att redigera värdet för det här elementet.

... = En mätpunkt anges vid de tre punkterna.


Grundläggande mätformat för en sfär

Det minsta tillåtna antalet mätpunkter för en sfär är fyra.

Elementnamn=ELEMENT/SFÄR,ALT1,ALT4
TEOR/TX,TY,TZ,TI,TJ,TK,TD
MÄTT/X,Y,Z,I,J,K,D
MÄT/SFÄR,ALT3
...
SLUTMÄT/

ALT1 = Värdet i det här fältet kan vara REKT eller POL.

ALT3 = Det här värdet kan redigeras och är beroende av vilken typ av element som mäts. Raden MÄTPKT varierar beroende på vilket antal mätpunkter som användaren har angett. Om användaren har angett 4 mätpunkter => 4 MÄTPKT/GRUNDLÄGGANDE-rader, 7 mätpunkter => 7 MÄTPKT/GRUNDLÄGGANDE-rader.

ALT4 = Värdet i det här fältet kan vara IN eller UT.

... = Det antal mätpunkter som behövs anges vid de tre punkterna.


Infoga ett mätt element

I PC-DMIS kan du infoga mätta element i ett detaljprogram genom att tolka mätspetsträffar och identifiera rätt elementtyp. Om identifieringen misslyckas (fel elementtyp känns igen) kan du korrigera så att rätt elementtyp används, förutsatt att du har tagit minst det antal mätpunkter som krävs för elementtypen.

Följande procedurer beskrivs enligt hur de utförs i offlineläge.

Procedurerna under nästa rubrik beskrivs enligt hur de utförs i offlineläge.

Mer:

Igenkänning av typen för ett mätt element

Påtvingad infogning av en särskild typ av mätt element


Igenkänning av typen för ett mätt element

  1. Öppna Redigeringsfönstret och aktivera kommandoläget eller översiktsläget.

  2. Aktivera programmeringsläget i PC-DMIS och ange ett lämpligt mätdjup.

  3. Gå till verktygsfältet Mätta element och klicka på ikonen Elementigenkänning.

  4. Klicka på modellen för detaljen på den plats där du vill infoga elementet.

  • Om du använder en importerad CAD-trådmodell används automatiskt den närmaste tråden som bas för elementet.

  • Om du använder en importerad CAD-ytmodell räknas varje musklickning som en enskild mätpunkt.

  5. Tryck på tangenten END. Mätpunkterna tolkas och det igenkända elementet visas i Redigeringsfönstret.

Mer information om ikonen Elementigenkänning och verktygsfältet Mätta element finns i Verktygsfältet Mätta element i avsnittet Använda verktygsfält.


Påtvingad infogning av en särskild typ av mätt element

Om fel mätt elementtyp känns igen kan du infoga rätt elementtyp genom att välja det rätta mätta elementet i verktygsfältet Mätta element (eller på undermenyn med samma namn) innan du trycker på tangenten END. När du trycker på END infogas den markerade elementtypen i Redigeringsfönstret.


Redigera ett mätt element

I PC-DMIS kan du markera ett mätt element i Redigeringsfönstret och göra korrigeringar direkt i fönstret. Dialogrutan Mätt element är ett mer användarvänligt alternativ till redigering direkt i Redigeringsfönstret.

Så här öppnar du dialogrutan Mätt element:

  1. Placera insättningspunkten på någon av de första fyra raderna för det mätta elementet.

  2. Tryck på tangenten F9.

Ett exempel på dialogrutan Mätt cirkel

Obs! Vanligtvis öppnas dialogrutan Mätt element med olika utseende beroende på elementtypen. Om insättningspunkten placeras på en mätpunkt i en lista (t.ex. MÄTPKT/GRUNDLÄGGANDE) i det mätta elementet och du trycker på F9 visas i stället dialogrutan Mätpunkter för den markerade mätpunkten.

Mer:

Beskrivning av dialogrutan Mätt element

Beskrivning av dialogrutan Mätpunkter


Beskrivning av dialogrutan Mätt element

Med dialogrutan Mätt element kan du redigera ett valt mätt element. Dialogrutan Mätt element beskrivs under rubrikerna nedan.

Mer:

Elementnamn

Antal mätpunkter

Referenstyp

Typ av bästanpassning

Räkna om mätområden

Kopiera till mätt

Koordinatsystem

Format för vinkeldefinition

Typ av cirkulärt element

Definition av linjen

Teoretiska värden

Mätområden


Elementnamn

I rutan Elementnamn kan du ändra namnet för elementet som visas. Markera elementets ID i Redigeringsfönstret, skriv ett nytt ID och tryck på RETUR. I PC-DMIS går det att använda ID:n flera gånger. Du bör alltså vara försiktig när du ändrar elementnamn om du inte vill skapa dubbletter.


Antal mätpunkter

Med rutan Antal mätpunkter kan du ändra antalet mätpunkter för ett angivet element.

Exempel: Just nu finns fyra mätpunkter i redigeringsrutan. Om du tar bort en mätpunkt försvinner den sista mätpunkten (nr 4) i listan. Om du tar bort två mätpunkter försvinner de två sista mätpunkterna (nr 4 och nr 3). De återstående mätpunkterna numreras om utifrån den aktuella numreringstilldelningen.

Om du lägger till en mätpunkt läggs en ny mätpunkt till i slutet av listan Mätområde. Inga XYZIJK-värden visas för denna mätpunkt förrän programmet körs. Vid körningen uppmanas operatören att ta ytterligare en mätpunkt. Dessutom visas en fråga om huruvida det ska vara jämna avstånd mellan mätpunkterna.

  • Om du klickar på Ja tas mätpunkterna med jämna avstånd. För element av typen Kon, Sfär eller Cylinder visas dialogrutan Nivåer. I den här dialogrutan anger du antalet nivåer som ska användas för att sprida mätpunkterna jämnt. Standardvärdet är två.

  • Om du klickar på Nej visas mätpunktsvärdena som 0, 0, 0, 0, 0, 1, och därefter måste du ange mätpunktsvärdena manuellt.


Referenstyp

Med listan Referenstyp anger du om det mätta elementet är ett 3D-element, om det projiceras i det aktuella arbetsplanet, i ett angivet plan eller relativt mot ett annat element. Detta påverkar matematiskt hur de slutgiltiga egenskaperna för elementet härleds.


Typ av bästanpassning

I listan Typ av bästanpassning visas vilken typ av matematisk algoritm som ska användas för att mäta elementet. Standardmetoden för bästanpassning är GAUSS. Mer information om de här typerna finns under Listan Beräkning i avsnittet Skapa autoelement.


Räkna om mätområden

Med kryssrutan Räkna om mätområden räknas MÄTPKT/GRUNDLÄGGANDE-kommandona om så att de uppdateras med den ändrade informationen från området Teoretiska värden.


Kopiera till mätt

Med kryssrutan Kopiera till mätt kopieras alla ändringar som har gjorts i området Teoretiska värden i dialogrutan, och ändringarna används på faktiska mätta data.


Koordinatsystem

I området Koordinatsystem kan du välja mellan rektangulära och polära koordinater. Om du väljer alternativet Rekt. visas alla punkter i ett kartesiskt (rektangulärt) system (x, y, z). Om du väljer Polär visas alla punkter i ett polärt system (x_radie, y_vinkel, z_höjd). Vektorerna påverkas inte.


Definition av vinkeln

Om ett vinkelelement visas kan du välja mellan alternativen LÄNGD och VINKEL.

· Med alternativet LÄNGD visas diametrarna för två cirklar. Dessutom visas längden mellan de två cirklarna.

· Med alternativet VINKEL visas de nominella värdena (xyz) och vektorn (ijk) för punkten. Dessutom visas vinkelvärdet.


Typ av cirkulärt element

Om ett cirkelelement visas kan du välja mellan alternativen IN och UT.


Definition av linjen

Om ett linjärt element visas kan du välja mellan alternativen Begränsad och Obegränsad i området Definition av linjen.

Om du väljer Begränsad visas de två ändpunkterna som utgör linjen i området Teoretiska värden, så här:

X, Y, Z

och

X2-NOM, Y2-NOM och Z2

För begränsade linjer är värdet Längd inaktiverat och kan alltså inte ändras.

Om du väljer Obegränsad visas de nominella värdena för linjen i området Teoretiska värden, så här:

X, Y, Z och längd

och

NOM-I, NOM-J och K


Teoretiska värden

I det här området visas de teoretiska värdena för elementet. Du kan uppdatera värdena genom att göra ändringar och klicka på OK. Observera att detta bara innebär att teoretiska data uppdateras. Om du vill ändra mätpunkter och faktiska mätta data markerar du kryssrutorna Uppdatera mätpunkter och Kopiera till mätt.


Mätområden

Element som stöds:
Mätt cirkel
Mätt cylinder
Mätt punkt
Mätt plan
Mätt sfär
Mätt linje
Mätt kon

Med knappen Mätområden kan du visa eller ändra mätpunktsdata för de typer av mätta element som stöds.

Om du klickar på knappen Mätområden öppnas dialogrutan Mätområden för elementet.

Dialogrutan Mätområden för elementet

I dialogrutan visas mätpunktsdata i rader. Siffrorna till vänster om raderna anger mätpunkternas ordning. Du kan ändra mätpunktsdata genom att dubbelklicka på en rad och redigera värdena i dialogrutan Mätpunkter som visas.

I dialogrutan Mätområden för elementet kan du också visa och redigera mätpunktsdata med hjälp av Grafikfönstret. Om dialogrutan Mätområden för elementet är öppen kan du göra följande:

· Visa enskilda mätpunkter med röda pilar. Klicka på en av raderna med mätpunktsdata i dialogrutan Mätområden för elementet. Den motsvarande pilen i Grafikfönstret blir röd.

· Klicka och dra mätpunkter till nya lägen. Du kan flytta en mätpunkt genom att klicka på den röda pilen i Grafikfönstret och dra den till en ny plats. När du släpper musen placeras mätpunkten på den nya platsen och data beräknas så att värdena i dialogrutan Mätområden för elementet uppdateras.

· Infoga nya mätpunkter. Du kan också infoga nya mätpunkter för ett befintligt element. Markera ett läge i mätpunktslistan och ta de mätpunkter du vill använda. När du trycker på tangenten END får du en fråga om du vill infoga mätpunkten/-punkterna i det aktuella läget. Om du klickar på Ja infogas punkten/punkterna i det aktuella läget för elementet. Om du klickar på Nej flyttas insättningspunkten till nästa giltiga läge i detaljprogrammet (vanligtvis direkt nedanför det aktuella elementet i Redigeringsfönstret), där ett nytt element skapas.

Obs! Värdena i dialogrutan Mätområden för elementet och i Redigeringsfönstret uppdateras inte dynamiskt när du gör ändringar med någon av dessa metoder. Du måste stänga dialogrutan och öppna den igen för att visa de ändrade mätpunktsdata.

Knappen Ta bort

Knappen Ta bort i dialogrutan Mätområden för elementet är bara aktiv när du redigerar mätpunkter för de autoelementtyper som stöds. För att ta bort en befintlig mätpunkt markerar du punkten och klickar på Ta bort. Mätpunkten tas bort från dialogrutan och detaljprogrammet. Läs mer i Knappen Visa punkter i avsnittet Skapa autoelement.


Beskrivning av dialogrutan Mätpunkter

Exempel på dialogrutan Mätpunkter

Med dialogrutan Mätpunkter kan du redigera enskilda mätpunkter för ett mätt element. Du kan redigera följande objekt:

  • Mätpunktstyp

  • X-, Y- och Z-läge.

  • Olika vektorer

  • Distans

  • Indrag

  • Djup

  • Mätpunkter per yta

En del objekt är bara tillgängliga om du väljer en specifik mätpunktstyp. För att uppdatera mätpunktsdata för det valda mätta elementet redigerar du värdena i dialogrutan och klickar på OK.

Mer:

Redigera grundläggande mätpunkter genom mätning:


Redigera grundläggande mätpunkter genom mätning:

Du kan också uppdatera grundläggande mätpunkter genom att mäta detaljen i onlineläget eller klicka på CAD-modellen i offlineläget när dialogrutan Mätpunkter är öppen. Dialogrutan uppdateras automatiskt med det nya resultatet.

För grundläggande mätpunkter visas följande kryssrutor:

Använd teoretisk vektor som anloppsvektor | Med den här kryssrutan kan du ange om den teoretiska vektorn ska användas som anloppsvektor. Om du avmarkerar kryssrutan beräknas anloppsvektorn genom att den teoretiska mätpunkten (XYZ) dras från det aktuella läget för mätpunkten.
Inlärning under körning | Med den här kryssrutan kan du ange om den grundläggande mätpunkten ska läras in på nytt under körningen av detaljprogrammet.


Ändra ett igenkänt mätt element

Med undermenyn Ändra elementtyp kan du ändra den igenkända elementtypen. Om du till exempel har försökt mäta en cirkel och programmet felaktigt förutsatte att elementet var ett plan, kan du använda det här alternativet för att omvandla elementet till rätt typ. Om du vill ändra en igenkänd elementtyp måste du göra det innan du skapar andra element.

Så här använder du alternativet Ändra elementtyp:

  1. Öppna Redigeringsfönstret.

  2. Placera insättningspunkten på den felaktiga elementtypen i Redigeringsfönstret.

  3. Öppna undermenyn Redigera | Ändra elementtyp. Visa menykarta

  4. Välj rätt elementtyp.

Elementet ändras i Redigeringsfönstret.


Skapa mätta elementgrupper

Med menyalternativet Infoga | Element | Mätt | Elementgrupp infogar du ett kommando av typen Mätt elementgrupp (kallas också Punktgrupp) i Redigeringsfönstret. Det här kommandot skapar en scanåtgärd för en enskild punkt så att samma punkt mäts ett definierat antal gånger. Detta ger ett genomsnittligt (och förhoppningsvis mer korrekt) resultat av punktmätningen.

Punktgrupper används ofta som inmatningar när Leapfrog-uppriktningsåtgärder utförs med en manuell maskin. Mer information finns i Utföra en Leapfrog-åtgärd i avsnittet Skapa och använda uppriktningar.

I kommandoläget ser den mätta elementgruppen ut så här:

SCN1 =ELEMENT/GRUPP,REKT

TEOR/0,0,0,0,0,1

MÄTT/0,0,0,0,0,1

MÄT/GRUPP,0

SLUTMÄT/

Om du trycker på F9 när insättningspunkten finns i det här kommandot visas dialogrutan Mätt grupp:

Dialogrutan Mätt grupp

Dialogrutan Mätt grupp

Mer information om den här dialogrutan finns i Redigera ett mätt element (dialogrutan innehåller många av de objekt som beskrivs där).

Så här skapar du en mätt elementgrupp (punktgrupp):

  1. Tryck på F9 med insättningspunkten placerad i det infogade Mätt elementgrupp-kommandot.

  2. I dialogrutan skriver du det teoretiska XYZ-läget och IJK-vektorn för punkten.

  3. I rutan Antal mätpunkter skriver du antalet mätpunkter som ska tas på punkten. Ju större tal du anger här, desto mer exakt blir resultatet.

  4. Välj eventuella andra alternativ i dialogrutan som du vill använda.

  5. Klicka på OK. Kommandot uppdateras i Redigeringsfönstret.

Exempel: En slutförd scanåtgärd för en punktgrupp med fem mätningar kan se ut så här:

SCN1 =ELEMENT/GRUPP,REKT

TEOR/107,11,21,0,0,1

MÄTT/0,0,0,0,0,1

MÄT/GRUPP,5

MÄTPKT/GRUNDLÄGGANDE,NORMAL,107,11,21,0,0,1,0,0,0,ANV NOM = JA

MÄTPKT/GRUNDLÄGGANDE,NORMAL,107,11,21,0,0,1,0,0,0,ANV NOM = JA

MÄTPKT/GRUNDLÄGGANDE,NORMAL,107,11,21,0,0,1,0,0,0,ANV NOM = JA

MÄTPKT/GRUNDLÄGGANDE,NORMAL,107,11,21,0,0,1,0,0,0,ANV NOM = JA

MÄTPKT/GRUNDLÄGGANDE,NORMAL,107,11,21,0,0,1,0,0,0,ANV NOM = JA

SLUTMÄT/


Konstruera nya element från befintliga element

Konstruera nya element från befintliga element: Inledning

Konstruera ett element från Redigeringsfönstret

Konstruera ett element med hjälp av dialogrutorna för konstruktion:

Om det allmänna kommandoformatet

Öppna dialogrutan

Konventioner för decimaler

Konstruera ett punktelement

Konstruera en punkt (vid elementpunkt)

Konstruera en hörnpunkt

Konstruera en linproj-punkt

Konstruera en skärningspunkt

Konstruera en medelpunkt

Konstruera en offsetpunkt

Offset XYZ

Konstruera en punkt i nollpunkten

Konstruera en genomborrningspunkt

Konstruera en projicerad punkt

Automatisk konstruktion av punkt

Konstruera ett cirkelelement

Cirkel In/Ut

Automatisk konstruktion av cirkel

Konstruera en bästanpassad cirkel (BA) eller bästanpassad cirkel med omkompensering (BAOMK)

Bästanpassningstyp

Ta bort extremvärden / sigmafaktor

Använda ett Gaussfilter / filterfrekvens

Konstruera en skärningscirkel

Konstruera en cirkel (vid elementpunkt)

Konstruera en projicerad cirkel

Ändra riktning på en cirkel

Konstruera en båge från en del av en scanåtgärd

Fastställa vilka data som ska användas för att konstruera bågen

Konstruera en cirkel från en kon

Konstruera ett ellipselement

Ellips In/Ut

Konstruera en bästanpassad ellips (BA) eller bästanpassad ellips med omkompensering (BAOMK)

Konstruera en ellips (vid elementpunkt)

Konstruera en projicerad ellips

Ändra riktning på en ellips

Automatisk konstruktion av ellips

Konstruera ett sfärelement

Sfär In/Ut

Konstruera en bästanpassad sfär (BA) eller bästanpassad sfär med omkompensering (BAOMK)

Konstruera en sfär (vid elementpunkt)

Konstruera en projicerad sfär

Ändra riktning på en sfär

Automatisk konstruktion av sfär

Konstruera ett linjeelement

Varianter

Automatisk konstruktion av linje

Konstruera en uppriktningslinje

Konstruera en bästanpassad linje (BA) eller bästanpassad linje med omkompensering (BAOMK)

Ta bort extremvärden / sigmafaktor

Använda ett Gaussfilter / filtervåglängd

Konstruera en linje (vid elementpunkt)

Konstruera en skärningslinje

Konstruera en medellinje

Konstruera en parallellinje

Konstruera en vinkelrät linje

Konstruera en projicerad linje

Ändra riktning på en linje

Konstruera en linje från en del av en scanåtgärd

Fastställa vilka data som ska användas för att konstruera linjen

Konstruera en offsetlinje

Ändra offsetvärden direkt för att beräkna nominella värden

Exempel på beräkning av nominella värden

Ändra nominella värden direkt för att beräkna offsetvärden

Exempel på beräkning av offsetvärden

Konstruera ett konelement

Kon In/Ut

Varianter

Konstruera en bästanpassad kon (BA) eller bästanpassad kon med omkompensering (BAOMK)

Konstruera en kon (vid elementpunkt)

Konstruera en projicerad kon

Ändra riktning på en kon

Automatisk konstruktion av kon

Konstruera ett cylinderelement

Cylinder In/Ut

Konstruera en bästanpassad cylinder (BA) eller bästanpassad cylinder med omkompensering (BAOMK)

Bästanpassningstyp

Konstruera en cylinder (vid elementpunkt)

Konstruera en projicerad cylinder

Ändra riktning på en cylinder

Automatisk konstruktion av cylinder

Konstruera ett planelement

Konstruera ett plan från en uppriktning

Konstruera ett bästanpassat plan (BA) eller bästanpassat plan med omkompensering (BAOMK)

Ta bort extremvärden / sigmafaktor

Använda ett Gaussfilter / filtervåglängd

Konstruera ett plan (vid elementpunkt)

Konstruera ett högsta punktplan

Konstruera ett medelplan

Konstruera ett offsetplan

Ändra offsetvärden direkt för att beräkna nominella värden

Exempel på beräkning av nominella värden

Ändra nominella värden direkt för att beräkna offsetvärden

Exempel på beräkning av offsetvärden

Konstruera ett parallellt plan

Konstruera ett vinkelrätt plan

Ändra riktning på ett plan

Automatisk konstruktion av plan

Konstruera ett spårelement

Spår In/Ut

Konstruera en kurva

Konstruera en beroende/oberoende kurva

Noggrannhetstolerans

Kontrollpunkt

Lista över kontrollpunkter

Konstruera en yta

Konstruera en beroende/oberoende yta

Noggrannhetstolerans U

Noggrannhetstolerans V

Täthet, rutmönster

Optimera yta

Använd spänningsfaktor

Skapa hörn

Utjämna extremvärden

Konstruera en elementgrupp

Profilfel från en grupp

Genomsnittsvärden från en grupp

Använda ett mätpunktsintervall från en scanåtgärd som indata

Konstruera en filtergrupp

Alternativet Linjär

Alternativet Polär

Listan Filtertyp

Gaussfilter

Spline

Enhetlig

Triangel

Cylindrisk

Rutan Filterbredd

Rutan Filtervåglängd

Rutan Filterfrekvens

Rutan Utjämningsfaktor

Kryssrutan Ta bort extremvärden

Rutan Sigmafaktor

Konstruera ett justerat filter


Konstruera nya element från befintliga element: Inledning

Du kan använda undermenyn Infoga | Element | Konstruera när det inte är möjligt att mäta ett obligatoriskt element (t.ex. skärningspunkten för två kanter). Visa menykarta

Med alternativen på den här menyn kan du skapa element (punkter, linjer, cirklar o.s.v.) från befintliga element (sådana som redan mätts eller konstruerats). I avsnittet Navigera i användargränssnittet beskrivs de olika sätt på vilka du kan ange indataelement. En beskrivning av de olika sätt på vilka du kan ange indataelement finns i Välja element med hjälp av Grafikfönstret i avsnittet Redigera CAD-visningen.

Du kan konstruera element genom att markera element i dialogrutorna eller i Redigeringsfönstret (se Konstruera ett element från Redigeringsfönstret och Konstruera ett element med hjälp av dialogrutorna för konstruktion:). De specifika reglerna som gäller när man vill konstruera ett element från andra element finns i respektive avsnitt och gäller för båda konstruktionsmetoderna. Standardmetoden för att konstruera element är Auto. I det här fallet fastställs den bästa konstruktionstypen automatiskt utifrån indataelementet(-en). Markeringsordningen (såvida inget annat anges) spelar normalt sett ingen roll. Du behöver endast markera de korrekta elementtyperna. Om du t.ex. vill konstruera en skärningspunkt mellan en linje och ett spår, markerar du den aktuella linjen och det aktuella spåret. Punkten skapas där punkten skär spåret.

Observera dock att de dokumenterade konventionerna endast är ett verktyg som hjälper dig att lära känna de regler som gäller för Redigeringsfönstret. Rapporten över mätta värden visas med endast VERSALER.

Följande är ett exempel på kommandoraden för en konstruerad punkt i Redigeringsfönstret:

KONSTR/PUNKT, SKÄRN_AV, linje-ID, spår-ID
eller KONSTR/PUNKT, SKÄRN_AV, spår-ID, linje-ID.

Huvudämnena i detta avsnitt är:

  • Om det allmänna kommandoformatet

  • Konstruera ett punktelement

  • Konstruera ett cirkelelement

  • Konstruera ett ellipselement

  • Konstruera ett sfärelement

  • Konstruera ett linjeelement

  • Konstruera ett konelement

  • Konstruera ett cylinderelement

  • Konstruera ett planelement

  • Konstruera ett spårelement

  • Konstruera en kurva

  • Konstruera en yta

  • Konstruera en elementgrupp

  • Konstruera en filtergrupp

  • Konstruera ett justerat filter


Konstruera ett element från Redigeringsfönstret

  1. Öppna Redigeringsfönstret (Visa | Redigeringsfönster). Visa menykarta

  2. Flytta insättningspunkten till den plats i Redigeringsfönstret där du vill konstruera elementet.

  3. Skriv kommandot KONSTR/... följt av lämplig text. (Se ovanstående kommandoradsexempel för en konstruerad punkt.)


Konstruera ett element med hjälp av dialogrutorna för konstruktion:

  1. Välj menyalternativet Infoga | Element | Konstruerat. Visa menykarta

  2. Välj vilken typ av element du vill konstruera. De tillgängliga alternativen är:

  • Punkt

  • Cirkel

  • Ellips

  • Sfär

  • Linje

  • Kon

  • Cylinder

  • Plan

  • Spår

  • Kurva

  • Yta

  • Elementgrupp

  • Filtergrupp

Obs! När du har valt indataelement i den här dialogrutan klickar du på Skapa. Elementet skapas och visas på skärmen. Elementets centrumpunkt visas också i Redigeringsfönstret. Det önskade elementet konstrueras utan att stänga dialogrutan. Elementet läggs då till i dialogrutan. På så vis kan du konstruera flera element baserat på nyligen konstruerade element.


Om det allmänna kommandoformatet

I Redigeringsfönstret visas alla konstruerade element i följande format. Det finns mindre varianter som förklaras mer ingående i efterföljande avsnitt.

Rapporten över mätta värden visas i VERSALER.

Exempel:

Elementnamn=ELEMENT/ELEMENTTYP,ALT1,.....
TEOR /x-koord,y-koord,z-koord,i-vektor,j-vektor,k-vektor,......
MÄTT /x-koord,y-koord,z-koord,i-vektor,j-vektor,k-vektor,......
KONSTR/ALT2,ALT3,......

elementnamn: namnet på elementet. Det här fältet är redigerbart.

ELEMENTTYP: Det här fältet visar vilken typ av element det rör sig om. Den här elementtypen är samma som ALT2, men kan inte redigeras och fältet är inte växlingsbart.

...... : Visar att det som följer är unikt för varje element. Detta förklaras mer ingående i respektive område i den manuella hjälpfilen.

ALT1: Det här fältet finns för alla element och kan växlas mellan REKT och POL. Om elementet har värdet REKT representeras alla punkterna i ett kartesiskt system (x, y, z). Om fältet har värdet POL visas alla punkterna i ett polärt system (x-radie, y-vinkel, z-höjd). Vektorerna ändras inte.

ALT2: Det här fältet finns för alla element och kan växlas mellan de olika elementtyperna som kan använda följande värden:

CIRKEL / KON / CYLINDER / LINJE / PLAN / PUNKT / SFÄR / KURVA / YTA / GRUPP /

PUNKT är standardelementtypen när du öppnar kommandoraden för konstruktion för första gången i ett detaljprogram. Efter det är standardelementtypen den elementtyp som du senast konstruerade.

ALT3: Det här fältet finns också i alla element men har unika värden i enlighet med vilken typ av element det rör sig om. (Mer information finns under respektive elementtyp.)

Mer:

Öppna dialogrutan

Konventioner för decimaler


Öppna dialogrutan

Så här öppnar du den konstruktionsdialogruta där ett element i Redigeringsfönstret skapades:

  1. Se till att Redigeringsfönstret är öppet.

  2. Klicka på elementnamnet i Redigeringsfönstret.

  3. Tryck på F9. En konstruktionsdialogruta öppnas.

I den här dialogrutan kan du göra dina önskade ändringar och när du klickar på Skapa visas dina uppdateringsändringar i Redigeringsfönstret.


Konventioner för decimaler

Observera följande information om konventioner för decimaler för konstruerade element:

  • Alla vektorer (i-vektor, j-vektor, k-vektor) visas med högst fem siffror till höger om decimaltecknet.

  • Alla längder och avstånd (x-koord, y-koord, z-koord, diam, höjd, längd, o.s.v.) visas med högst högst fem siffror till höger om decimaltecknet.

  • Alla vinklar visas med högst fem siffror till höger om decimaltecknet.

  • Om antalet decimaler anges som noll, visas numret som ett heltal.

Obs! Du kan ändra antalet decimaler på fliken Utvärdering (F5) i dialogrutan Inställningar. När du anger ett högsta antal decimaler infogas ett VISNINGSNOGGRANNHET-kommando i Redigeringsfönstret. Samtliga element efter det här kommandot kommer att ha det antal decimaler som anges här.


 Konstruera en punkt (vid elementpunkt) Knappen Stäng Knappen Skapa Knappen Radera Konstruera en offsetpunkt Automatisk konstruktion av punkt Rutan Elementlista Välj sista Sök-ID ID Konstruera en projicerad punkt Konstruera en skärningspunkt Konstruera en punkt i nollpunkten Konstruera en linproj-punkt Konstruera en medelpunkt Konstruera en hörnpunkt Konstruera en genomborrningspunkt

Konstruera ett punktelement

Dialogrutan Konstruera punkt

I PC-DMIS kan du konstruera en punkt på många olika sätt. I följande tabell visas en lista över olika typer av konstruerade punkter, tillsammans med deras nödvändiga indata. Vissa element kanske inte kräver några indata, medan andra kan kräva tre eller fler indataposter. Begreppet Valfritt i följande tabell betyder att konstruktion kan använda valfri typ av element som konstruktionsindata. Du kan välja elementen i valfri ordning.

TYP AV KONSTRUKTIONSELEMENT | SYMBOL I REDIGERINGSFÖNSTRET | ANTAL INDATAELEMENT | ELEM. 1: | ELEM. 2: | ELEM. 3: | KOMMENTAR
Punkt (vid elementpunkt) | TYNGDPKT | 1 | Valfritt | - | - | Konstruerar en punkt vid indataelementets centroid
Hörnpunkt | HÖRN | 3 | Plan | Plan | Plan | Konstruerar en punkt vid tre plans skärningspunkt
Linproj-punkt | LODPKT | 2 | Valfritt | Kon, cylinder, linje, spår | - | Det första elementet projiceras på den andra radens element.
Skärningspunkt | SKÄRN_AV | 2 | Cirkel, Kon, cylinder, linje, spår | Cirkel, Kon, cylinder, linje, spår | - | Konstruerar en punkt vid skärningspunkten för två elements linjära attribut.
Medelpunkt | SYMMETRIPKT | 2 | Valfritt | Valfritt | - | Konstruerar ett medelplan mellan indataposternas centroider.
Offsetpunkt | OFFSET | 1 | Valfritt | - | - | Kräver 3 offsetvärden som motsvarar X, Y och Z.
Punkt i nollpunkten | NOLLPUNKT | 0 | - | - | - | Konstruerar punkten vid uppriktningens nollpunkt
Genomborrningspunkt | GENOMBORRA | 2 | Kon, cylinder, linje, spår, cirkel, ellips | Kon, cylinder, plan, sfär, cirkel, ellips | - | Konstruerar punkten där elem_1 genomborrar ytan på elem_2. Den ordning i vilka du väljer indataelement är viktig. Om det första elementet är en linje är riktningen viktig.
Projicerad punkt | PROJ | 1 eller 2 | Valfritt | Plan | - | 1 indataelement projicerar punkten till arbetsplanet

Obs! Om du markerar olämpliga elementtyper visas meddelandet "Kan inte konstruera [element]. Kombination av inmatade element stöds inte." i statusfältet.

Så här konstruerar du en punkt:

  1. Öppna dialogrutan Konstruera punkt (Infoga | Element | Konstruera | Punkt). Visa menykarta

  2. Ange de önskade elementen.

  3. Välj konstruktionsmetod. De tillgängliga alternativen är:

  • Punkt (vid elementpunkt)

  • Hörnpunkt

  • Linproj-punkt

  • Skärningspunkt

  • Medelpunkt

  • Offsetpunkt

  • Punkt i nollpunkten

  • Genomborrningspunkt

  • Projicerad punkt

  4. Klicka på Skapa.

Det här är ett exempel på en kommandorad i Redigeringsfönstret för en punkt:
elementnamn=ELEMENT/PUNKT,ALT1
TEOR/x-koord,y-koord,z-koord,i-vektor,j-vektor,k-vektor
MÄTT/x-koord,y-koord,z-koord,i-vektor,j-vektor,k-vektor
KONSTR/ALT2,ALT3,......\

Obs! Rapporten över mätta värden visas i VERSALER.

ALT1 = POL eller REKT

ALT2 = PUNKT

ALT3 = TYNGDPKT / HÖRN / LODPKT / SKÄRN_AV / MEDEL / OFFSET / NOLLPUNKT / GENOMBORRA / PROJ

De första tre raderna som visas i Redigeringsfönstret är desamma för alla konstruerade punkter. Den fjärde raden kan vara något annorlunda, beroende på vilken typ av element som konstrueras. Du kan växla mellan de olika punkttyperna genom att placera markören på ALT3 och trycka på F7 eller F8. (Se Tangentbordsfunktioner i kommandoläge i avsnittet Använda Redigeringsfönstret.)

När det finns två eller fler element fastställs den nödvändiga ordningen på indataelementen automatiskt. Detta förbättrar noggrannheten i mätprocessen.

Standardkonstruktionsmetoden är Auto. Med det här alternativet kan du automatiskt fastställa bästa sättet att konstruera en punkt med indataelementet(-en). Se Automatisk konstruktion av punkt.

Följande stycken beskriver de tillgängliga alternativen när du vill konstruera en punkt:

Mer:

Konstruera en punkt (vid elementpunkt)

Konstruera en hörnpunkt

Konstruera en linproj-punkt

Konstruera en skärningspunkt

Konstruera en medelpunkt

Konstruera en offsetpunkt

Konstruera en punkt i nollpunkten

Konstruera en genomborrningspunkt

Konstruera en projicerad punkt

Automatisk konstruktion av punkt


Konstruera en punkt (vid elementpunkt)

Du kan konstruera en punkt genom att ändra ett valfritt element till en punkt. Punkten konstrueras vid indataelementets centroid.

Så här konstruerar du en punkt (vid elementpunkt):

  1. Öppna dialogrutan Konstruera punkt (Infoga | Element | Konstruera | Punkt). Visa menykarta

  2. Välj alternativet Elementpkt i listan över alternativ.

  3. Markera ett element.

  4. Klicka på Skapa.

Så här ser kommandoraden för det här alternativet ut i Redigeringsfönstret:
KONSTR/PUNKT,TYNGDPKT,elem_1

Konstruera en punkt (vid elementpunkt) från en cirkel


Konstruera en hörnpunkt

Du kan konstruera en punkt från tre plan. Punkten skapas vid deras skärningspunkt. Den konstruerade hörnpunktens vektor är kryssprodukten av den andra indatavektorn i den tredje indatavektorn.

Så här konstruerar du en hörnpunkt:

  1. Öppna dialogrutan Konstruera punkt (Infoga | Element | Konstruera | Punkt). Visa menykarta

  2. Välj alternativet Hörnpunkt i listan över alternativ.

  3. Markera tre olika plan.

  4. Klicka på Skapa.

Så här ser kommandoraden för det här alternativet ut i Redigeringsfönstret: KONSTR/PUNKT,HÖRN,elem_1,elem_2,elem_3

Konstruera en hörnpunkt från tre plan


Konstruera en linproj-punkt

Du kan konstruera en punkt från valfritt element och en linje (kon, cylinder eller spår). Det första elementets centroid projiceras på det andra elementet. Den "projicerade" punkten projiceras på en linje som ligger rätvinkligt med linjen, centrumlinjen eller planet. Om du har markerat två linjeelement projiceras det första linjeelementets centroid på det andra linjeelementet.

Obs! När du använder den här konstruktionsmetoden måste du markera elementtyperna i rätt ordning.

Så här konstruerar du en linproj-punkt:

  1. Öppna dialogrutan Konstruera punkt (Infoga | Element | Konstruera | Punkt). Visa menykarta

  2. Välj alternativet Linproj-punkt i listan över alternativ.

  3. Markera det första elementet. Det kan vara av valfri typ.

  4. Markera det andra elementet. Det måste vara en kon, en cylinder, en linje eller ett spår.

  5. Klicka på Skapa.

Så här ser kommandoraden för det här alternativet ut i Redigeringsfönstret:
KONSTR/PUNKT,LODPKT,elem_1,elem_2

Konstruera en linproj-punkt från en cirkel och en linje

Obs! Om du markerar ett spår som ett av dina indataelement används vektorn för spårets centrumlinje när den här punkten konstrueras, i stället för spårets normalvektor (till och med version 3.2 användes spårets normalvektor). Om du vill använda den äldre spårnormalvektorn måste du ändra värdet för inställningen UseLegacySlotVector i PC-DMIS Inställningar. Mer information om hur du gör detta finns i avsnittet Ändra registerposter.


Konstruera en skärningspunkt

Du kan konstruera en punkt mellan en linje (cirkel, kon, cylinder eller spår) och en linje (cirkel, kon, cylinder eller spår). Punkten skapas där de två elementens linjer (centrumlinjer) skär varandra.

Konstruera en skärningspunkt från två linjer

Information om hur du skär eller genomborrar en cirkel med en linje finns i Konstruera en genomborrningspunkt.

Så här konstruerar du en skärningspunkt:

  1. Öppna dialogrutan Konstruera punkt (Infoga | Element | Konstruera | Punkt). Visa menykarta

  2. Välj alternativet Skärning i listan över alternativ.

  3. Markera två element av den här typen (cirkel, kon, cylinder, linje, spår).

  4. Klicka på Skapa.

Så här ser kommandoraden för det här alternativet ut i Redigeringsfönstret:
KONSTR/PUNLT,SKÄRN_AV,elem_1,elem_2

Om de två elementen inte skär varandra konstrueras punkten halvvägs mellan det två elementen vid den synbara skärningen. Med andra ord är skärningspunkten mittpunkten på den kortaste linjen som förbinder de två indataelementen.

Konstruera en skärningspunkt från två linjer som inte skär varandra

Du kan skära två cirkelelement och så länge de har samma (eller mycket snarlika) vektorer, genereras ett konstruerat punktelement vid något av skärningspunkterna. Om du ändrar ordningen på de valda indataelementen i dialogrutan Konstruera punkt konstrueras en punkt vid den andra skärningspunkten.

Obs! Om du markerar ett spår som ett av dina indataelement används vektorn för spårets centrumlinje när den här punkten konstrueras, i stället för spårets normalvektor (till och med version 3.2 användes spårets normalvektor). Om du vill använda den äldre spårnormalvektorn måste du ändra värdet för inställningen UseLegacySlotVector i PC-DMIS Inställningar. Mer information om hur du gör detta finns i avsnittet Ändra registerposter.


Konstruera en medelpunkt

Du kan konstruera en punkt från två valfria element utan riktning. I PC-DMIS skapas en medelpunkt mellan de två indataelementens centroider.

Så här konstruerar du en medelpunkt:

  1. Öppna dialogrutan Konstruera punkt (Infoga | Element | Konstruera | Punkt). Visa menykarta

  2. Välj alternativet Medelpunkt i listan över alternativ.

  3. Markera två valfria element.

  4. Klicka på Skapa.

Så här ser kommandoraden för det här alternativet ut i Redigeringsfönstret:
KONSTR/PUNKT,MEDEL,elem_1,elem_2

Konstruera en medelpunkt från två cirklar


Konstruera en offsetpunkt

Du kan konstruera en punkt på ett angivet avstånd från valfritt indataelement.

Så här konstruerar du en offsetpunkt:

  1. Öppna dialogrutan Konstruera punkt (Infoga | Element | Konstruera | Punkt). Visa menykarta

  2. Välj alternativet Offsetpunkt i listan över alternativ.

  3. Välj det element från vilket du vill skapa offsetpunkten.

  4. Klicka på Skapa.

För att skapa en offsetpunkt från nollpunkten väljer du alternativet I nollpunkten. För att skapa en offsetpunkt i relation till ett visst element markerar du det önskade elementet och anger offsetvärden för X, Y och Z.


Offset XYZ

I de här fälten kan du ange offsetavstånd för X-, Y- och Z-axlarna. De här alternativen är endast tillgängliga om du först har valt alternativet Offset.

Så här ser kommandoraden för det här alternativet ut i Redigeringsfönstret:
KONSTR/PUNKT,OFFSET,elem_1,dx,dy,dz


Konstruera en punkt i nollpunkten

Du kan konstruera en punkt i den aktuella uppriktningens nollpunkt.

Så här konstruerar du en punkt i nollpunkten:

  1. Öppna dialogrutan Konstruera punkt (Infoga | Element | Konstruera | Punkt). Visa menykarta

  2. Markera alternativet I nollpunkten.

  3. Markera inte några indataelement.

  4. Klicka på Skapa.

Så här ser kommandoraden för det här alternativet ut i Redigeringsfönstret:
KONSTR/PUNKT,NOLLPUNKT

Konstruera en punkt i nollpunkten


Konstruera en genomborrningspunkt

Du kan konstruera en punkt genom att använda en linje (cirkel, kon, ellips, spår eller cylinder) och en cirkel, ellips eller ett plan (kon, cylinder eller sfär). I PC-DMIS skapas en punkt där elem_1 genomborrar ytan på elem_2.

Obs! När du använder den här konstruktionsmetoden måste du markera elementtyperna i rätt ordning.

  • Om det genomborrade elementet är en cirkel eller en ellips, skapas en cylindrisk omkrets runt centrumlinjen och genomborrningspunkten konstrueras. Om du anger två snarlika element (t.ex. två cylindrar) kommer det första elementet att genomborra det andra elementet.

  • Om det genomborrade elementet är en sfär, cirkel, kon eller cylinder, konstrueras genomborrningspunkten på den första platsen som det genomborrande indataelementet skär genom det genomborrade elementet. Punkten för den första genomskärningen bestäms av linjens riktning. Det är viktigt att veta i vilken riktning linjen har definierats. Om fel punkt konstrueras kan du skapa en ny, omvänd linje (se Ändra riktning på en linje) och använda den för att konstruera punkten.

Så här konstruerar du en genomborrningspunkt:

  1. Öppna dialogrutan Konstruera punkt (Infoga | Element | Konstruera | Punkt). Visa menykarta

  2. Välj alternativet Genomborrn.pkt. i listan över alternativ.

  3. Markera det första elementet. Det måste vara antingen en kon, en cylinder, en linje ett spår, en cirkel, eller en ellips.

  4. Markera det andra elementet. Det måste vara antingen en ellips, en cirkel, en kon, en cylinder, en plan eller en sfär.

  5. Klicka på Skapa.

Så här ser kommandoraden för det här alternativet ut i Redigeringsfönstret:

KONSTR/PUNKT,GENOMBORRA,elem_1,elem_2

Konstruera en genomborrningspunkt från en linje och en sfär


Konstruera en projicerad punkt

Du kan konstruera en punkt från valfritt element och ett plan. Punkten projiceras där planet genomskär punkten. Om du endast har ett indataelement sker projiceringen på arbetsplanet.

Så här konstruerar du en projicerad punkt:

  1. Öppna dialogrutan Konstruera punkt (Infoga | Element | Konstruera | Punkt). Visa menykarta

  2. Välj alternativet Projektion i listan över alternativ.

  3. Välj det element från vilket du vill skapa den projicerade punkten.

  4. Klicka på Skapa.

Så här ser kommandoraden för det här alternativet ut i Redigeringsfönstret:
KONSTR/PUNKT,PROJ,elem_1,(elem_2)

Konstruera en projicerad punkt från en punkt och ett plan


Automatisk konstruktion av punkt

I följande tabell visas vilken typ av punkt som konstrueras när angivna indata väljs och du har valt alternativet AUTO. Ordningen på de valda elementen spelar inte någon roll. Om ett felaktigt indataelement väljs visas ett felmeddelande och den indikerade elementtypen konstrueras inte automatiskt.

Så här kan du automatiskt fastställa bästa konstruktionsmetod:

  1. Öppna dialogrutan Konstruera punkt.

  2. Välj alternativet Auto i listan över alternativ.

  3. Markera önskat (önskade) element med utgångspunkt från nedanstående tabell:

  4. Klicka på Skapa.

Indataelement | Konstruerar
Valfritt element = | Punkt (vid elementpunkt)
Cirkel + cirkel = | Medelpunkt
Cirkel + kon = | Linproj-punkt
Cirkel + cylinder = | Linproj-punkt
Cirkel + ellips | Medelpunkt
Cirkel + linje = | Genomborrningspunkt
Cirkel + plan = | Projicerad punkt
Cirkel + grupp = | Medelpunkt
Cirkel + spår = | Medelpunkt
Cirkel + sfär = | Medelpunkt
Kon + kon = | Skärningspunkt
Kon + cylinder = | Skärningspunkt
Kon + ellips | Linproj-punkt
Kon + plan = | Genomborrningspunkt
Kon + grupp = | Linproj-punkt
Kon + spår = | Skärningspunkt
Cylinder + ellips | Linproj-punkt
Cylinder + plan = | Genomborrningspunkt
Cylinder + grupp = | Linproj-punkt
Cylinder + spår = | Skärningspunkt
Ellips + ellips | Medelpunkt
Linje + kon = | Skärningspunkt
Linje + cylinder = | Skärningspunkt
Linje + ellips | Linproj-punkt
Linje + linje = | Skärningspunkt
Linje + plan = | Genomborrningspunkt
Linje + grupp = | Linproj-punkt
Linje + spår = | Skärningspunkt
Linje + sfär = | Linproj-punkt
Plan + ellips | Projicerad punkt
Plan + plan = | Projicerad punkt
Plan + grupp = | Projicerad punkt
3 punkter = | Hörnpunkt
Punkt + cirkel = | Medelpunkt
Punkt + kon = | Linproj-punkt
Punkt + cylinder = | Linproj-punkt
Punkt + ellips = | Medelpunkt
Punkt + linje = | Linproj-punkt
Punkt + plan = | Projicerad punkt
Punkt + punkt = | Medelpunkt
Punkt + grupp = | Medelpunkt
Punkt + spår = | Medelpunkt
Punkt + sfär = | Medelpunkt
Grupp + ellips | Medelpunkt
Grupp + grupp = | Medelpunkt
Spår + ellips | Medelpunkt
Spår + plan = | Projicerad punkt
Spår + grupp = | Medelpunkt
Spår + spår = | Skärningspunkt
Sfär + kon = | Linproj-punkt
Sfär + cylinder = | Linproj-punkt
Sfär + ellips | Medelpunkt
Sfär + plan = | Projicerad punkt
Sfär + grupp = | Medelpunkt
Sfär + spår = | Medelpunkt
Sfär + sfär = | Medelpunkt


Konstruera ett cirkelelement

Dialogrutan Konstruera cirkel

I PC-DMIS kan du konstruera en cirkel på många olika sätt. I följande tabell visas en lista över olika typer av konstruerade cirklar, tillsammans med deras nödvändiga indata. Vissa element kanske inte kräver några indata, medan andra kan kräva tre eller fler indataposter. Begreppet Valfritt i följande tabell betyder att konstruktion kan använda valfri typ av element som konstruktionsdata. Du kan välja elementen i valfri ordning.

TYP AV KONSTRUKTIONSELEMENT | SYMBOL I REDIGERINGSFÖNSTRET | ANTAL INDATAELEMENT | ELEM. 1: | ELEM. 2: | KOMMENTAR
Bästanpassad cirkel | BA | Minst tre indataposter krävs. | - | - | Konstruerar en bästanpassad cirkel med angivna indata
Bästanpassad cirkel med omkompensering | BAOMK | Minst tre indataposter krävs. (varav 1 måste vara en punkt) | - | - | Konstruerar en bästanpassad cirkel med angivna indata
Cirkel (vid elementpunkt) | TYNGDPKT | 1 | Valfritt | - | Konstruerar en cirkel vid indataelementets centroid
Koncirkel (kallas även Mätdonsdiameter) | KON | 1 | Kon | - | Konstruerar en cirkel vid konens angivna diameter eller höjd
Skärningscirkel | SKÄRN_AV | 2 | Cirkel, sfär, kon eller cylinder | Plan | Konstruerar en cirkel vid ett cirkulärt elements skärningspunkt med ett plan, en kon eller en cylinder
 |  |  | Plan | Cirkel, sfär, kon eller cylinder
 |  |  | Kon | Kon eller cylinder
 |  |  | Cylinder | Kon
Projicerad cirkel | PROJ | 1 eller 2 | Valfritt | Plan | 1 indataelement projicerar cirkeln på arbetsplanet
Omvänd cirkel | OMV | 1 | Cirkel | - | Konstruerar cirkeln med en omvänd vektor
Scansegmentscirkel | SCAN_SEGMENT | 1 | Scanåtgärd | - | Konstruerar en båge av en del av en scanåtgärd med öppen eller stängd linje.

Obs! Om du markerar olämpliga elementtyper visas meddelandet "Kan inte konstruera [element]. Kombination av inmatade element stöds inte." i statusfältet.

Så här konstruerar du en cirkel:

  1. Öppna dialogrutan Konstruera cirkel (Infoga | Element | Konstruera | Cirkel). Visa menykarta

  2. Ange de önskade elementen.

  3. Välj alternativet In eller Ut.

  4. Välj konstruktionsmetod. De tillgängliga alternativen är:

  • Autocirkel

  • Bästanpassad cirkel (BA) eller bästanpassad cirkel med omkompensering (BAOMK)

  • Skärningscirkel

  • Cirkel (vid elementpunkt)

  • Projicerad cirkel

  • Cirkel med omvänd riktning

  • Scansegment

  • Cirkel från en kon

  5. Klicka på Skapa.

Följande är ett exempel på kommandoraden för en cirkelkonstruktion i Redigeringsfönstret:
elementnamn=ELEMENT/CIRKEL,ALT1,ALT4,ALT5
TEOR/x-koord,y-koord,z-koord,i-vektor,j-vektor,k-vektor,diam
MÄTT/x-koord,y-koord,z-koord,i-vektor,j-vektor,k-vektor,diam
KONSTR/ALT2,ALT3

Om ALT2 = CIRKEL och ALT3 = BA eller BAOMK får kommandot följande format:
elementnamn=ELEMENT/CIRKEL,ALT1,ALT4,ALT5
TEOR/x-koord,y-koord,z-koord,i-vektor,j-vektor,k-vektor,diam
MÄTT/x-koord,y-koord,z-koord,i-vektor,j-vektor,k-vektor,diam
KONSTR/CIRKEL,ALT3
TA_BORT_EXTREMVÄRDEN/ALT6, sigmafaktor
FILTER/ALT6, UPR =filterfrekvens

Obs!: Rapporten över mätta värden visas i VERSALER.

Standardkonstruktionsmetoden är Auto. Se Automatisk konstruktion av cirkel.

ALT1= POL eller REKT

ALT2 = CIRKEL

ALT3 = BA / BAOMK / TYNGDPKT / KON / SKÄRN_AV / PROJ / OMV / SCAN_SEGMENT

ALT4 = IN / UT

ALT5 = GAUSS / MAX_INSKR / MIN_OMSKR / TJEBYCHEV / FAST_RAD (endast för mätta cirklar, BA- och BAOMK-cirklar)

ALT6 = PÅ/AV

SigmaFaktor = Den här multiplikatorn styr huruvida en mätt punkt ska räknas som ett extremvärde. Om en cirkelpunkt ligger längre bort än standardavvikelsen multiplicerat med detta tal, räknas den som ett extremvärde och tas bort om du har markerat kryssrutan Ta bort extremvärden.

Filtervåglängd = Det här värdet styr graden av datautjämning. Ju längre våglängd desto mer utjämning.

De första tre raderna som visas i Redigeringsfönstret är desamma för konstruerade cirklar. Den fjärde raden kan vara något annorlunda, beroende på vilken typ av element som konstrueras. Du kan växla mellan de olika cirkeltyperna genom att placera markören på ALT3 och trycka på F7 eller F8. (Se Tangentbordsfunktioner i kommandoläge i avsnittet Använda Redigeringsfönstret.)

När det finns två eller fler element fastställs den nödvändiga ordningen på indataelementen automatiskt. Detta förbättrar noggrannheten i mätprocessen.

Följande stycken beskriver de tillgängliga alternativen när du vill konstruera en cirkel:

Mer:

Cirkel In/Ut

Automatisk konstruktion av cirkel

Konstruera en bästanpassad cirkel (BA) eller bästanpassad cirkel med omkompensering (BAOMK)

Konstruera en skärningscirkel

Konstruera en cirkel (vid elementpunkt)

Konstruera en projicerad cirkel

Ändra riktning på en cirkel

Konstruera en båge från en del av en scanåtgärd

Konstruera en cirkel vid en scanåtgärds minimipunkt

Konstruera en cirkel från en kon


Cirkel In/Ut

Med alternativen In och Ut kan du instruera PC-DMIS att konstruera cirkeln som en intern eller extern cirkel.

  • Om du väljer In konstrueras cirkeln som en intern cirkel.

  • Om du väljer Ut konstrueras cirkeln som en extern cirkel, eller stift.


Automatisk konstruktion av cirkel

I följande tabell visas vilken typ av cirkel som konstrueras när angivna indata väljs och du har valt alternativet AUTO. Ordningen på de valda elementen spelar inte någon roll. Om ett felaktigt indataelement väljs visas ett felmeddelande och den indikerade elementtypen konstrueras inte automatiskt.

Så här kan du automatiskt fastställa bästa konstruktionsmetod:

  1. Öppna dialogrutan Konstruera cirkel (Infoga | Element | Konstruera | Cirkel). Visa menykarta

  2. Välj alternativet Auto i listan över alternativ.

  3. Markera önskat (önskade) element med utgångspunkt från nedanstående tabell:

  4. Klicka på Skapa.

Indataelement | Konstruerar
Valfri grupp = | Cirkel (BA)
Valfri cirkel = | Omvänd cirkel
Valfri kon = (med diameter) | Koncirkel
Valfritt element = (med undantag för cirkel/kon/grupp) | Cirkel (vid elementpunkt)
Kon + kon = | Skärningscirkel
Kon + cylinder = | Skärningscirkel
Kon + plan = | Skärningscirkel
Kon + sfär = | Skärningscirkel
Cylinder + sfär = | Skärningscirkel
Plan + cirkel = | Projicerad cirkel
Plan + ellips = | Projicerad cirkel
Plan + linje = | Projicerad cirkel
Plan + plan = | Projicerad cirkel
Plan + punkt = | Projicerad cirkel
Plan + grupp = | Projicerad cirkel
Plan + spår = | Projicerad cirkel
Plan + sfär = | Skärningscirkel


Konstruera en bästanpassad cirkel (BA) eller bästanpassad cirkel med omkompensering (BAOMK)

Du kan konstruera en "bästanpassad" cirkel från tre eller fler element. Den konstruerade cirkelns vektor ligger i normalriktning mot det aktuella arbetsplanet. Med konstruktionsmetoden bästanpassning används de faktiskt mätta punkterna, i stället för kulans centrum (vilket sker vid bästanpassad med omkompensering).

Så här konstruerar du en bästanpassad cirkel eller en bästanpassad cirkel med omkompensering.

  1. Öppna dialogrutan Konstruera cirkel (Infoga | Element | Konstruera | Cirkel). Visa menykarta

  2. Markera något av alternativen Bästanpassad eller Bästanpassad med omkompensering (visas som Bästanpassn. respektive BA omkompens.).

  3. Välj en typ av konstruktion för bästanpassning i listan Bästanpassningstyp.

  4. Markera minst tre element.

  5. Klicka på Skapa.

Så här ser kommandoraden för det här alternativet ut i Redigeringsfönstret:
KONSTR/CIRKEL, BA, elem_1,elem_2, …
TA_BORT_EXTREMVÄRDEN/ (AV | PÅ), sigmafaktor
FILTER/(AV | PÅ), UPR =filterfrekvens

Borttagning av extremvärden och filtrering beskrivs nedan.

Mer:

Bästanpassningstyp

Ta bort extremvärden / sigmafaktor

Använda ett Gaussfilter / filterfrekvens


Bästanpassningstyp

Den här listan blir tillgänglig om du markerar Bästanpassn. eller BA omkompens. när du konstruerar cirkeln. På så vis kan du ange vilken typ av bästanpassningskonstruktion du vill använda. Du kan välja mellan följande:

  • GAUSS

  • MAX_INSKR

  • MIN_OMSKR

  • TJEBYCHEV

  • FAST_RAD

De här typerna behandlas i nedanstående tabell:

Objekt | Beskrivning
GAUSS | Minsta kvadrater – Den här beräkningstypen ger en anpassningsmetod där avståndet mätt som det genomsnittliga värdet för kvadraten på radierna från datapunkterna till cirkeln minimeras. Kvadratroten av denna mängd är effektivvärdets (RMS) avstånd. Eftersom effektivvärdets avstånd bygger ett genomsnittsvärde, kan vissa punkter ligga längre bort än effektivvärdets avstånd från den beräknade cirkeln.
TJEBYCHEV | Minsta separation – Den här beräkningstypen ger en cirkel som ligger halvvägs mellan två koncentriska cirklar som innehåller datapunkterna, där skillnaden mellan deras radier blir så liten som möjligt. Den Min/Max-beräkning som används vid TJEBYCHEV-beräkning minimerar det maximala felet, eller avvikelsen, mellan indata och cirkeln. Min/Max-felet är hälften av den minsta separationen. Inga indatapunkter (eller indataelement) ligger längre bort än Min/Max-felet från Min/Max-cirkeln. Den här beräkningen bestämmer huruvida alla indata (eller indataelement) ligger inom de givna toleranserna.
MAX_INSKR | Största inskrivna – Den här beräkningstypen ger en tom cirkel med den största möjliga diametern som ryms inom data. Först beräknas en minsta omskriven cirkel med kravet att mitten av den maximala inskrivna cirkeln ska ligga inuti. Det här alternativet kan användas för ett cirkulärt element som kräver en matchande tapp. Om indata t.ex. ska representera ett hål, returnerar den här beräkningen en cirkel med diametern på den största tappen som ryms i hålet.
MIN_OMSKR | Minsta omskriven - Den här beräkningstypen ger en cirkel med den minsta möjliga diameter som innesluter indata (eller indataelement). Du kan använda det här alternativet när du ska mäta en tapp som ska passa in i ett motsvarande cirkulärt element. Det resulterande elementet blir det minsta hålet i vilket tappen skulle passa.
FAST_RAD | Fast radie – Den här beräkningstypen ger en cirkel med en fast diameter som positioneras så att man minimerar det största radieavståndet från datapunkterna till cirkeln. Den här metoden liknar Min/Max-beräkningen som används vid TJEBYCHEV-beräkningen med skillnaden att eftersom diametern är känd i förväg så kan inte radien variera. Det enda som får variera är cirkelns position.


Ta bort extremvärden / sigmafaktor

När du konstruerar en bästanpassad cirkel (BA) eller en bästanpassad cirkel med omkompensering (BAOMK) kan du välja att ta bort extremvärden baserat på avståndet från det bästanpassade elementet. På så vis kan du ta bort eventuella avvikelser som uppstår under mätprocessen.

Först sker en anpassning av en cirkel till data, varefter de punkter som utgör extremvärden fastställs med hjälp av sigmafaktorn. Sedan sker följande:

  • Den bästanpassade cirkeln beräknas på nytt utan de borttagna extremvärdena.

  • Det görs en ny kontroll av extremvärden.

  • Den bästanpassade cirkeln beräknas på nytt.

  • Den här processen upprepas tills det inte finns några fler extremvärden eller tills cirkeln inte går att beräkna (cirkeln kan inte beräknas om det är färre än tre datapunkter).


Använda ett Gaussfilter / filterfrekvens

När du använder Konstruerad cirkel (BA) och Konstruerad cirkel med omkompensering (BAOMK) har du möjlighet att filtrera avvikelserna bland de mätta datapunkterna från den bäst passande cirkeln som beräknas av mätta data. Med kryssrutan Använd Gaussfilter tillämpas ett Gaussfilter med en filterfrekvens som anges som vågor per varv (UPR). Allmänt gäller att en lägre filterfrekvens ger jämnare filtrerade data. Om du har markerat kryssrutan Ta bort extremvärden och filtrerar dina data, tas extremvärdena bort innan filtreringen sker.


Konstruera en skärningscirkel

Du kan konstruera en cirkel mellan en kon (cirkel, cylinder, sfär) och ett plan. Du kan även konstruera den mellan två koncentriska koner eller en kombination av koncentrisk kon/cylinder.

I PC-DMIS skapas en cirkel vid det cirkulära elementets och planets skärningspunkt, eller mellan kombinationer av kon/kon eller kon/cylinder.

  • I fallet med en skärningspunkt mellan ett cirkulärt element och ett plan, skapas alltid en sann cirkel (inte en ellips), även om det cirkulära elementet inte ligger exakt vinkelrätt mot planet. Den nya cirkelns centrumpunkt ligger där det cirkulära elementets centrumlinje genomborrar planet. Cirkelns vektor är det genomborrande cirkulära elementets vektor.

  • I fallet med kombinationer av kon/kon eller kon/cylinder, skapas en sann cirkel även om skärningselementen in formar en sann cirkel.

Så här konstruerar du en skärningscirkel:

  1. Öppna dialogrutan Konstruera cirkel (Infoga | Element | Konstruera | Cirkel). Visa menykarta

  2. Markera alternativet Skärning.

  3. Markera det första elementet. Det måste vara antingen en cirkel, en kon, en cylinder eller en sfär.

  4. Markera det andra elementet. Det måste vara ett plan.

  5. Klicka på Skapa.

Så här ser kommandoraden för det här alternativet ut i Redigeringsfönstret:
KONSTR/CIRKEL,SKÄRN_AV,elem_1, elem_2

Konstruera en cirkel från en kon och ett plan


Konstruera en cirkel (vid elementpunkt)

Du kan konstruera en cirkel genom att ändra ett valfritt element till en cirkel. Cirkeln konstrueras vid indataelementets centroid. Om du använder en tunnplåtspunkt blir diametern lika med mäthuvudets diameter. Vid vissa tunnplåtselement (t.ex. spår och urtag) används bredden som diameter. För element som inte har någon diameter (linjer, punkter o.s.v.) används ett värde som är fyra gånger mäthuvudets diameter.

Du kan ändra cirkelns diameter. Då ändras även cirkeln från BEROENDE till OBEROENDE. Detta betyder att cirkelns diameter, när den utförs, inte ändras med utgångspunkt från indataelementet utan är oberoende av indataelementet, medan positionen och vektorn förblir beroende av indataelementet. På så vis kan du styra diametern i de fall där indataelementet inte har någon egentlig diameter, t.ex. en punkt. Fältet BEROENDE/OBEROENDE är växlingsbart och du kan ändra värdet.

Det här diametervärdet används vid alla beräkningar i stället för standarddiametervärdet, enligt ovanstående beskrivning.

Så här konstruerar du en cirkel (vid elementpunkt):

  1. Öppna dialogrutan Konstruera cirkel (Infoga | Element | Konstruera | Cirkel). Visa menykarta

  2. Välj alternativet Elementpkt.

  3. Markera minst ett element av valfri typ.

  4. Klicka på Skapa.

Så här ser kommandoraden för det här alternativet ut i Redigeringsfönstret:
KONSTR/CIRKEL,TYNGDPKT,elem_1, (BEROENDE | OBEROENDE)


Konstruera en projicerad cirkel

Du kan konstruera en cirkel från valfritt element och ett plan. Det angivna elementets centroid projiceras på planet och en cirkel skapas. Om du endast har ett indataelement sker projiceringen till det aktuella arbetsplanet. Diametern på den projicerade cirkeln blir fyra gånger mäthuvudets diameter.

Så här konstruerar du en projicerad cirkel:

  1. Öppna dialogrutan Konstruera cirkel (Infoga | Element | Konstruera | Cirkel). Visa menykarta

  2. Markera alternativet Projektion.

  3. Välj ett element av valfri typ.

Obs! Du kan även välja ett andra element. Det måste vara ett plan.

  4. Klicka på Skapa.

Så här ser kommandoraden för det här alternativet ut i Redigeringsfönstret:
KONSTR/CIRKEL,PROJ,elem_1,(elem_2)

Konstruera en cirkel från en cirkel och ett plan


Ändra riktning på en cirkel

Du kan konstruera en cirkel med en omvänd vektor.

Så här ändrar du riktning på en cirkel:

  1. Öppna dialogrutan Konstruera cirkel (Infoga | Element | Konstruera | Cirkel). Visa menykarta

  2. Välj alternativet Omvänd.

  3. Markera ett element. Det måste vara en cirkel.

  4. Klicka på Skapa.

Så här ser kommandoraden för det här alternativet ut i Redigeringsfönstret:
KONSTR/CIRKEL,OMV,elem_1


Konstruera en båge från en del av en scanåtgärd

Du kan konstruera en båge från ett segment av en linjär öppen scanåtgärd, en linjär stängd scanåtgärd eller en grundläggande cirkelscanåtgärd. En båge skapas från en del av scanåtgärden. Konstruktionsdetaljerna beskrivs längre ner på den här sidan.

Så här konstruerar du en scansegmentscirkel:

  1. Öppna dialogrutan Konstruera cirkel (Infoga | Element | Konstruera | Cirkel). Visa menykarta

  2. Välj alternativet Scansegment.

  3. Markera en scanåtgärd med öppen eller stängd linje eller en grundläggande cirkelscanåtgärd som redan har skapats.

  4. Klicka på knappen Segmentdata. Dialogrutan Scansegment öppnas.

Dialogrutan Scansegment

  5. Välj något av alternativen Bästanpassn. eller BA omkompens..

  6. I dialogrutan markerar du den del av scanåtgärden som du vill använda i konstruktionen.

  7. Ange det antal punkter som kan komma att ignoreras genom att ange värden i rutorna Förkasta start max. och Förkasta slut max..

  8. Ange ett avstånd från den bästanpassade cirkeln i rutan Förkastningstolerans. Den här toleransen är en formtolerans, med vilken du kan styra vilka slutpunkter som accepteras som en del av bågen. Om avståndet från scanpunkten till den bästanpassade bågen är större än den här toleransen ignoreras slutpunkten.

  9. Ange scanåtgärdens Ungefärlig startpunkt och Ungefärlig slutpunkt genom att markera kryssrutan Välj punkter, klicka i Grafikfönstret och sedan ange värden i fälten X, Y och Z. Du kan klicka var som helst i Grafikfönstret, men insättningspunkten hamnar på den scanåtgärd som ligger närmast där du klickade. Du kan även redigera punkternas värden med tangentbordet.

  10. Klicka på OK för att acceptera värdena och stänga dialogrutan Scansegment.

  11. Klicka på Skapa för att konstruera bågen från scanåtgärden.

Så här ser kommandoraden för det här alternativet ut i Redigeringsfönstret:

KONSTR/CIRKEL,SCAN_SEGMENT,anpassningstyp,elem_1,start-x,start-y,start-z,slut-x,slut-y,slut-z,förkasta_start,förkasta_slut,tolerans

Om du vill få ut mer än en båge eller linje av en viss scanåtgärd måste du lägga till ytterligare ett kommando för en annan del av scanåtgärden.

Mer:

Fastställa vilka data som ska användas för att konstruera bågen


Fastställa vilka data som ska användas för att konstruera bågen

De data som används för att konstruera bågen fastställs på följande sätt:

  • Först bestäms en del av scanåtgärden med hjälp av en startpunkt och en slutpunkt inom scanåtgärden. Start- och slutpunkterna väljs som den punkt i scanåtgärden som ligger närmast [start-x, start-y, start-z] respektive den punkt som ligger närmast [slut-x, slut-y, slut-z].

  • Punkter tas sedan bort från scanåtgärdens början och slut. Det antal punkter som tas bort från början är förkasta_start och från slutet är förkasta_slut. Sedan anpassas en båge in i denna punktgrupp.

  • Slutligen läggs start- och slutpunkterna tillbaka om de ligger inom den definierade toleransen. Bågen anpassas sedan in en gång till mot den nya gruppen punkter.

Värdet på anpassningstyp kan vara BA (Bästanpassning) eller BAOMK (Bästanpassning med omkompensering). Detta bestämmer huruvida en bästanpassning eller en bästanpassning med omkompensering ska göras när bågen beräknas. En beskrivning av bästanpassning och bästanpassning med omkompensering finns i Konstruera en bästanpassad cirkel (BA) eller bästanpassad cirkel med omkompensering (BAOMK).


Konstruera en cirkel vid en scanåtgärds minimipunkt

Med det här elementet kan du konstruera en 2D-cirkel med en viss radie vid en miniminpunkt längs med en linjär scanåtgärd. I PC-DMIS hittas minimipunkten genom att utgå från en startpunkt och en nedtåriktad vektor (visas i Bild 1 nedan).

Scandata projiceras på det aktuella arbetsplanet och cirkeln ligger i ett plan som ligger parallellt med arbetsplanet. Scanåtgärden tolkas som en linje mellan efterföljande punkter (bitvis linjära). Således kommer den cirkel som är placerad vid minimipunkten längs med scanåtgärden inte att "falla" mellan två efterföljande scanpunkter utan begränsas till att tangera en linje som binder de två punkterna.

Giltiga indatatyper

Indata för den här konstruktionen måste vara en scanåtgärd av linjetyp. Detta exkluderar alla scanåtgärder som är avsedda att scanna en yta: område, UV, rutnät, multisektion, manuell laser och cylinder.

Konstruktionsprocedur

Så här startar du konstruktionen:

  1. Öppna dialogrutan Konstruera cirkel (Infoga | Element | Konstruera | Cirkel). Visa menykarta

  2. Välj alternativet Scan min.

  3. Välj en linjär scanåtgärd i elementlistan. Du kan inte använda en ytscanåtgärd.

  4. Klicka på knappen Sökinställningar.

  5. Dialogrutan Konfigurera Sök cirkelminimum öppnas:

  6. Definiera cirkelns startpunkt, dess nedåtriktning och diameter.

  7. Klicka på OK för att konstruera cirkeln. Cirkeln konstrueras och konstruktionskommandot infogas i Redigeringsfönstret.

Mer:

Konstruktionsregler

Inget lokalt minimum

Kommando i Redigeringsfönstret

Ytterligare exempel


Konstruktionsregler

Det finns två regler som måste följas för att en startpunkt och en vektor ska vara giltiga:

För det första bör en cirkel med den angivna diametern och startpunkten inte skära scanåtgärden. I Figur 2 visas en överträdelse av den här regeln.

För det andra måste den cirkel som projiceras från startpunkten längs med vektorn skära scanåtgärden. I Figur 3 visas en överträdelse av den här regeln.


Inget lokalt minimum

Om en scanåtgärd inte har något lokalt minimum, d.v.s. en naturlig plats för cirkeln, kommer cirkeln att följa scanåtgärden till dess lägsta punkt samtidigt som den håller kontakten med scanåtgärden (se figur 4).


Kommando i Redigeringsfönstret

Kommando i Redigeringsfönstret för en konstruerad cirkel vid en scans minimipunkt

CIR1 =ELEMENT/CIRKEL,REKT,UT

TEOR/tx,ty,tz,ti,tj,tk,td

MÄTT/mx,my,mz,mi,mj,mk,md

KONSTR/CIRKEL,SCAN_MINIMMUM,Scan-ID

START/xSP, xSP, xSP

NER/iDV, iDV, iDV

Där:

tx,ty,tz | är cirkelns teoretiska position
ti,tj,tk | är cirkelns teoretiska vektor
td | är cirkelns teoretiska diameter
mx,my,mz | är cirkelns mätta position
mi,mj,mk | är cirkelns mätta vektor
md | är cirkelns mätta diameter
Scan-ID | är ID:t på den scan som ska användas
xSP, xSP, xSP | är startpunkten för sökandet efter minimipunkten
iDV, iDV, iDV | är nedåtriktningens vektor


Ytterligare exempel


Konstruera en cirkel från en kon

Du kan konstruera en cirkel från en kon vid en specifik diameter på konen, eller så kan du konstruera den på en bestämd höjd räknat från det aktuella uppriktningsplanet. Ett koncirkelelement vid en viss diameter kallas även för Mätdonsdiameter.

Om höjdvärdet

Om du konstruerar en cirkel vid en viss höjd beräknas cirkeln på följande sätt: Ett plan skapas från referenspunkten och referensvektorn. Sedan skapas ett offsetplan som ligger parallellt med höjdvärdet med det här planet. Det här parallella planet skär igenom konens axel och den här genomskärningen blir positionen för det resulterande cirkelelementet. Cirkelns diameter blir konens diameter vid genomskärningspunkten.

Tillgängliga alternativ för referenspunkten (REF_PUNKT):

  • KON_TOPP

  • KON_START

  • KON_SLUT

  • NOLLPUNKT

Tillgängliga alternativ för referensvektorn (REF_VEKTOR):

KON_VEKTOR

ARBETSPLAN

ZPLUS

ZMINUS

XPLUS

XMINUS

YPLUS

YMINUS

Om du till exempel använder nollpunkten som referenspunkt och ZPLUS som referensvektor, skapas ett plan från nollpunkten och ZPLUS-vektorn. Sedan skapas ett parallellt plan på det angivna höjdvärdet och cirkelelementet skapas där den genomskär konen. Koden i Redigeringsfönstret kan se ut ungefär så här:

CIR2 =ELEMENT/CIRKEL,REKT,UT

TEOR/-67.295,2.595,-7.152,0.0310723,-0.0214397,-0.9992872,29.411

MÄTT/-67.295,2.595,-7.152,0.0310723,-0.0214397,-0.9992872,29.411

KONSTR/CIRKEL,KON,KON2,HÖJD,5,REF_PUNKT = NOLLPUNKT,REF_VEKTOR = ZPLUS

Så här konstruerar du en koncirkel:

  1. Öppna dialogrutan Konstruera cirkel (Infoga | Element | Konstruera | Cirkel). Visa menykarta

  2. Markera alternativet Kon.

  3. Markera ett element. Typen måste vara en kon.

  4. Välj antingen DIAMETER eller HÖJD i listrutan Typ.

  5. Ange ett värde för diametern eller höjden i rutan Värde.

  6. Om du valde Höjd:

    • Välj en referenspunkt i listan Punkt.

    • Välj en referensvektor i listan Vektor.

  7. Klicka på Skapa.

Så här ser kommandoraden för det här alternativet ut i Redigeringsfönstret:

KONSTR/CIRKEL,KON,DIAMETER,elem_1

Eller

KONSTR/CIRKEL,KON,HÖJD,värde,REF_PUNKT=punkt,REF_VEKTOR=vektor,elem_1


 Konstruera en ellips (vid elementpunkt) Konstruera en projicerad ellips Ändra riktning på en ellips Konstruera en bästanpassad ellips (BA) eller bästanpassad ellips med omkompensering (BAOMK) Knappen Stäng Knappen Skapa Knappen Radera Rutan Elementlista Välj sista Sök-ID ID Ellips In/Ut Automatisk konstruktion av ellips

Konstruera ett ellipselement

Dialogrutan Konstruera ellips

I PC-DMIS kan du konstruera en ellips på många olika sätt. I följande tabell visas en lista över olika typer av konstruerade ellipser, tillsammans med deras nödvändiga indata. Vissa element kanske inte kräver några indata, medan andra kan kräva tre eller fler indataposter. Begreppet Valfritt i följande tabell betyder att konstruktion kan använda valfri typ av element som konstruktionsdata. Du kan välja elementen i valfri ordning.

TYP AV KONSTRUKTIONSELEMENT | SYMBOL I REDIGERINGSFÖNSTRET | ANTAL INDATAELEMENT | ELEM. 1: | ELEM. 2: | KOMMENTAR
Bästanpassad ellips | BA | Minst tre indataposter krävs. | - | - | Konstruerar en bästanpassad ellips med angivna indata
Bästanpassad ellips med omkompensering | BAOMK | Minst tre indataposter krävs. (varav 1 måste vara en punkt) | - | - | Konstruerar en bästanpassad ellips med angivna indata
Ellips (vid elementpunkt) | TYNGDPKT | 1 | Valfritt | - | Konstruerar en ellips vid indataelementets centroid
Projicerad ellips | PROJ | 1 eller 2 | Valfritt | Plan | 1 indataelement projicerar ellipsen till arbetsplanet
Omvänd cirkel | OMV | 1 | Cirkel | - | Konstruerar cirkeln med en omvänd vektor

Obs! Om du markerar olämpliga elementtyper visas meddelandet "Kan inte konstruera [element]. Kombination av inmatade element stöds inte." i statusfältet.

Så här konstruerar du en ellips:

  1. Öppna dialogrutan Konstruera ellips (Infoga | Element | Konstruera | Ellips). Visa menykarta

  2. Ange de önskade elementen.

  3. Välj alternativet In eller Ut.

  4. Välj konstruktionsmetod. De tillgängliga alternativen är:

  • Autocirkel

  • Bästanpassad ellips (BA) eller bästanpassad ellips med omkompensering (BAOMK)

  • Ellips (vid elementpunkt)

  • Projicerad ellips

  • Ellips med omvänd riktning

  5. Klicka på Skapa.

Följande är ett exempel på kommandoraden för en ellipskonstruktion i Redigeringsfönstret:
elementnamn=ELEMENT/Ellips,ALT1,ALT4
TEOR/x-koord,y-koord,z-koord,i-vektor,j-vektor,k-vektor,stordiam,lilldiam,i-vinkelns vektor, j-vinkelns vektor, k-vinkelns vektor
MÄTT/x-koord,y-koord,z-koord,i-vektor,j-vektor,k-vektor,stordiam,lilldiam,i-vinkelns vektor,j-vinkelns vektor,k-vinkelns vektor
KONSTR/ALT2,ALT3

Obs!: Rapporten över mätta värden visas i VERSALER.

Standardkonstruktionsmetoden är Auto. Se Automatisk konstruktion av cirkel

ALT1 = POL eller REKT

ALT2 = ELLIPS

ALT3 = BA / BAOMK / TYNGDPKT / PROJ / OMV

ALT4 = IN / UT

De första tre raderna som visas i Redigeringsfönstret är desamma för konstruerade ellipser. Den fjärde raden kan vara något annorlunda, beroende på vilken typ av element som konstrueras. Du kan växla mellan de olika ellipstyperna genom att placera markören på ALT3 och trycka på F7 eller F8. (Se Tangentbordsfunktioner i kommandoläge i avsnittet Använda Redigeringsfönstret.)

När det finns två eller fler element fastställs den nödvändiga ordningen på indataelementen automatiskt. Detta förbättrar noggrannheten i mätprocessen.

Följande stycken beskriver de tillgängliga alternativen när du vill konstruera en ellips:

Mer:

Ellips In/Ut

Konstruera en ellips (vid elementpunkt)

Konstruera en projicerad ellips

Ändra riktning på en ellips

Automatisk konstruktion av ellips


Ellips In/Ut

Med alternativen In och Ut kan du instruera PC-DMIS att konstruera ellipsen som en intern eller extern ellips.

· Om du väljer In konstrueras ellipsen som en intern ellips.

· Om du väljer Ut konstrueras ellipsen som en extern ellips, eller stift.


Konstruera en bästanpassad ellips (BA) eller bästanpassad ellips med omkompensering (BAOMK)

Du kan konstruera en "bästanpassad" ellips från tre eller fler element. Ellipsen ligger i det aktuella arbetsplanet. Med konstruktionsmetoden bästanpassning används de faktiskt mätta punkterna, i stället för kulans centrum (vilket sker vid bästanpassad med omkompensering). I båda fallen beräknas en ellips med minsta kvadrat-metoden, där genomsnittet av kvadraten på avståndet mellan datapunkterna och ellipsen minimeras.

Så här konstruerar du en bästanpassad ellips eller en bästanpassad ellips med omkompensering.

  1. Öppna dialogrutan Konstruera ellips (Infoga | Element | Konstruera | Ellips). Visa menykarta

  2. Markera något av alternativen Bästanpassad eller Bästanpassad med omkompensering (visas som Bästanpassn. respektive BA omkompens.).

  3. Markera minst tre element.

  4. Klicka på Skapa.

Så här ser kommandoraden för det här alternativet ut i Redigeringsfönstret: KONSTR/ELLIPS,OMV,elem_1,elem_2,elem_3...
(Använder de faktiskt mätta punkterna vid konstruktion.)
eller
KONSTR/ELLIPS,BAOMK,elem_1,elem_2,elem_3...
(Använder mäthuvudets centrum vid mätning.)


Konstruera en ellips (vid elementpunkt)

Du kan konstruera en ellips genom att ändra ett valfritt element till en ellips. Ellipsen konstrueras vid indataelementets centroid. Om du använder en tunnplåtspunkt blir den stora diametern lika med mäthuvudets diameter. Vid vissa tunnplåtselement (t.ex. spår och urtag) används bredden som den stora diametern. För element som inte har någon bredd (linjer, punkter o.s.v.) används ett värde som är fyra gånger mäthuvudets diameter. Den mindre diametern blir längden på indataelementet. För element som inte har någon längd (t.ex. punkter, cirklar m.m.) används standardlängden 1.

Du kan ändra ellipsens stora och lilla diametrar. Då ändras även ellipsen från BEROENDE till OBEROENDE. Detta betyder att ellipsens stora och lilla diameter, när den utförs, inte ändras med utgångspunkt från indataelementet utan är oberoende av indataelementet, medan positionen och vektorn förblir beroende av indataelementet. På så vis kan du styra diametrarna i de fall där indataelementet inte har någon egentlig diameter, t.ex. en punkt. Fältet BEROENDE/OBEROENDE är växlingsbart och du kan ändra värdet.

De här diametervärdena används vid alla beräkningar i stället för standarddiametervärdena, enligt ovanstående beskrivning.

Så här konstruerar du en ellips (vid elementpunkt):

  1. Öppna dialogrutan Konstruera ellips (Infoga | Element | Konstruera | Ellips). Visa menykarta

  2. Välj alternativet Elementpkt.

  3. Markera minst ett element av valfri typ.

  4. Klicka på Skapa.

Så här ser kommandoraden för det här alternativet ut i Redigeringsfönstret:
KONSTR/ELLIPS,TYNGDPKT,elem_1, (BEROENDE | OBEROENDE)


Konstruera en projicerad ellips

Du kan projicera en ellips på ett plan. Det angivna elementets centroid projiceras på planet och en ellips skapas. Om du endast har ett indataelement sker projiceringen till det aktuella arbetsplanet. Den projicerade ellipsens stora diameter blir bredden på det projicerade elementet, eller mäthuvudets diameter (vid element utan en definierad bredd). Den lilla diametern blir längden på indataelementet, eller enheten 1 (vid element utan en definierad längd).

Så här konstruerar du en projicerad ellips:

  1. Öppna dialogrutan Konstruera ellips (Infoga | Element | Konstruera | Ellips). Visa menykarta

  2. Markera alternativet Projektion.

  3. Välj ett element av valfri typ.

Obs! Du kan även välja ett andra element. Det måste vara ett plan.

  4. Klicka på Skapa.

Så här ser kommandoraden för det här alternativet ut i Redigeringsfönstret:
KONSTR/ELLIPS,PROJ,elem_1,(elem_2)


Ändra riktning på en ellips

Du kan konstruera en ellips med en omvänd vektor.

Så här ändrar du riktning på en ellips:

  1. Öppna dialogrutan Konstruera ellips (Infoga | Element | Konstruera | Ellips). Visa menykarta

  2. Välj alternativet Omvänd.

  3. Markera ett element. Det måste vara en ellips.

  4. Klicka på Skapa.

Så här ser kommandoraden för det här alternativet ut i Redigeringsfönstret:
KONSTR/ELLIPS,OMV,elem_1


Automatisk konstruktion av ellips

I följande tabell visas vilken typ av ellips som konstrueras när angivna indata väljs och du har valt alternativet AUTO. Ordningen på de valda elementen spelar inte någon roll. Om ett felaktigt indataelement väljs visas ett felmeddelande och den indikerade elementtypen konstrueras inte automatiskt.

Så här kan du automatiskt fastställa bästa konstruktionsmetod:

  1. Öppna dialogrutan Konstruera ellips (Infoga | Element | Konstruera | Ellips). Visa menykarta

  2. Välj alternativet Auto i listan över alternativ.

  3. Markera önskat (önskade) element med utgångspunkt från nedanstående tabell:

  4. Klicka på Skapa.

Indataelement | Konstruerar
Valfri grupp = | Bästanpassad ellips
Valfri ellips = | Omvänd ellips
Valfritt element = (med undantag för ellips/grupp) | Ellips (vid elementpunkt)
Plan + valfritt element | Projicerad ellips
Grupp + grupp | Bästanpassad ellips
3 eller fler element | Bästanpassad ellips


 Konstruera en omvänd sfär Konstruera en sfär (vid elementpunkt) Knappen Stäng Knappen Skapa Knappen Radera Konstruera en bästanpassad sfär (BA) eller bästanpassad sfär med omkompensering (BAOMK) Automatisk konstruktion av sfär Sfär In/Ut Rutan Elementlista Välj sista Sök-ID ID Konstruera en projicerad sfär

Konstruera ett sfärelement

Dialogrutan Konstruera sfär

I PC-DMIS kan du konstruera en sfär på många olika sätt. I följande tabell visas en lista över olika typer av konstruerade sfärer, tillsammans med deras nödvändiga indata. Vissa element kanske inte kräver några indata, medan andra kan kräva fem eller fler indataposter. Begreppet Valfritt betyder att konstruktion kan använda valfri typ av element som konstruktionsindata. Du kan välja elementen i valfri ordning.

TYP AV KONSTRUKTIONSELEMENT | SYMBOL I REDIGERINGSFÖNSTRET | ANTAL INDATAELEMENT | ELEM. 1: | ELEM. 2: | KOMMENTAR
Bästanpassad sfär | BA | Minst fem indataposter krävs. | - | - | Konstruerar en bästanpassad sfär med angivna indata
Bästanpassad sfär med omkompensering | BAOMK | Minst fem indataposter krävs. (varav 1 måste vara en punkt) | - | - | Konstruerar en bästanpassad sfär med angivna indata
Sfär (vid elementpunkt) | TYNGDPKT | 1 | Valfritt | - | Konstruerar en sfär vid indataelementets centroid
Projicerad sfär | PROJ | 1 eller 2 | Valfritt | Plan | 1 indataelement projicerar sfären till arbetsplanet
Omvänd sfär | OMV | 1 | Sfär | - | Konstruerar sfären med en omvänd vektor

Obs! Om du markerar olämpliga elementtyper visas meddelandet "Kan inte konstruera [element]. Kombination av inmatade element stöds inte." i statusfältet.

Så här konstruerar du en sfär:

  1. Öppna dialogrutan Konstruera sfär (Infoga | Element | Konstruera | Sfär). Visa menykarta

  2. Ange de önskade elementen.

  3. Välj konstruktionsmetod. De tillgängliga alternativen är:

  • Bästanpassad sfär (BA) eller bästanpassad sfär med omkompensering (BAOMK)

  • Sfär (vid elementpunkt)

  • Projicerad sfär

  • Sfär med omvänd riktning

  • Auto sfär

  4. Klicka på Skapa.

Följande är ett exempel på kommandoraden för en sfärkonstruktion i Redigeringsfönstret:
elementnamn=ELEMENT/SFÄR,ALT1,ALT4,
TEOR/x-koord,y-koord,z-koord,i-vektor,j-vektor,k-vektor,diam
MÄTT/x-koord,y-koord,z-koord,i-vektor,j-vektor,k-vektor,diam
KONSTR/ALT2,ALT3

Obs! Rapporten över mätta värden visas i VERSALER.

Standardkonstruktionsmetoden är Auto. Med det här alternativet kan du automatiskt fastställa bästa sättet att konstruera en sfär med indataelementet(-en). Se Automatisk konstruktion av sfär

ALT1 = POL eller REKT

ALT2 = SFÄR

ALT3 = BA / BAOMK / TYNGDPKT / PROJ / OMV

ALT4 = IN / UT

De första tre raderna som visas i Redigeringsfönstret är desamma för konstruerade sfärer. Den fjärde raden kan vara något annorlunda, beroende på vilken typ av element som konstrueras. Du kan växla mellan de olika sfärtyperna genom att placera markören på ALT3 och trycka på F7 eller F8. (Se Tangentbordsfunktioner i kommandoläge i avsnittet Använda Redigeringsfönstret.)

När det finns två eller fler element fastställs den nödvändiga ordningen på indataelementen automatiskt. Detta förbättrar noggrannheten i mätprocessen.

Följande stycken beskriver de tillgängliga alternativen när du vill konstruera en sfär:

Mer:

Sfär In/Ut

Konstruera en sfär (vid elementpunkt)

Konstruera en projicerad sfär

Ändra riktning på en sfär

Automatisk konstruktion av sfär


Sfär In/Ut

Med alternativen In och Ut kan du instruera PC-DMIS att konstruera sfären som en intern eller extern sfär.

  • Om du väljer In konstrueras sfären som en intern sfär.

  • Om du väljer Ut konstrueras sfären som en extern sfär.


Konstruera en bästanpassad sfär (BA) eller bästanpassad sfär med omkompensering (BAOMK)

Du kan konstruera en "bästanpassad" sfär från tre eller fler element. Med konstruktionsmetoden bästanpassning används de faktiskt mätta punkterna, i stället för kulans centrum (vilket sker vid bästanpassad med omkompensering). I båda fallen beräknas en sfär med minsta kvadrat-metoden, där genomsnittet av kvadraten på avståndet mellan datapunkterna och sfären minimeras.

Så här konstruerar du en bästanpassad sfär (BA) eller bästanpassad sfär med omkompensering (BAOMK):

  1. Öppna dialogrutan Konstruera sfär (Infoga | Element | Konstruera | Sfär). Visa menykarta

  2. Markera något av alternativen Bästanpassad eller Bästanpassad med omkompensering (visas som Bästanpassn. respektive BA omkompens.).

  3. Markera fem eller fler element.

Obs! Vid BA med omkompensering måste ett av dessa fem element vara en punkt.

  4. Klicka på Skapa.

Så här ser kommandoraden för det här alternativet ut i Redigeringsfönstret:
KONSTR/SFÄR,BA,elem_1,elem_2,elem_3,elem_4,elem_5...
(Använder de faktiskt mätta punkterna vid konstruktion.)
eller
KONSTR/SFÄR,BAOMK,elem_1,elem_2,elem_3,elem_4,elem_5...
(Använder mäthuvudets centrum vid mätning.)

Konstruera en sfär från 5 eller fler punkter


Konstruera en sfär (vid elementpunkt)

Du kan konstruera en sfär genom att ändra ett valfritt element till en sfär. Sfären konstrueras vid indataelementets centroid. Om du använder en tunnplåtspunkt blir diametern lika med mäthuvudets diameter. Vid vissa tunnplåtselement (t.ex. spår och urtag) används bredden som diameter. För element som inte har någon diameter (linjer, punkter o.s.v.) används ett värde som är fyra gånger mäthuvudets diameter.

Du kan ändra diameter på sfären. Då ändras sfären från BEROENDE till OBEROENDE. Detta betyder att sfärens diameter, när den utförs, inte ändras med utgångspunkt från indataelementet utan är oberoende av indataelementet, medan positionen och vektorn förblir beroende av indataelementet. På så vis kan du styra diametern i de fall där indataelementet inte har någon egentlig diameter, t.ex. en punkt. Fältet BEROENDE/OBEROENDE är växlingsbart och du kan ändra värdet.

Det här diametervärdet används vid alla beräkningar i stället för standarddiametervärdet, enligt ovanstående beskrivning.

Så här konstruerar du en sfär (vid elementpunkt):

  1. Öppna dialogrutan Konstruera sfär (Infoga | Element | Konstruera | Sfär). Visa menykarta

  2. Välj alternativet Elementpkt.

  3. Välj ett element av valfri typ.

  4. Klicka på Skapa.

Så här ser kommandoraden för det här alternativet ut i Redigeringsfönstret:
KONSTR/SFÄR,TYNGDPKT,elem_1,(BEROENDE | OBEROENDE)


Konstruera en projicerad sfär

Du kan konstruera en sfär genom att projicera valfritt element på det aktuell arbetsplanet. Punkten projiceras där planet genomskär punkten. Om du endast har ett indataelement sker projiceringen på arbetsplanet. Du bör ange den önskade diametern när du projicerar ett element på arbetsplanet. Om du inte gör det används mäthuvudets diameter.

Så här konstruerar du en projicerad sfär:

  1. Öppna dialogrutan Konstruera sfär (Infoga | Element | Konstruera | Sfär). Visa menykarta

  2. Markera alternativet Projektion.

  3. Välj antingen ett eller två element. Det första elementet kan vara av valfri typ. Det andra elementet måste vara ett plan.

  4. Klicka på Skapa.

Så här ser kommandoraden för det här alternativet ut i Redigeringsfönstret:
KONSTR/SFÄR,PROJ,elem_1,(elem_2)


Ändra riktning på en sfär

Du kan konstruera en sfär med en omvänd vektor.

Så här konstruerar du en omvänd sfär:

  1. Öppna dialogrutan Konstruera sfär (Infoga | Element | Konstruera | Sfär). Visa menykarta

  2. Välj alternativet Omvänd.

  3. Markera ett element. Det måste vara en sfär.

  4. Klicka på Skapa.

Så här ser kommandoraden för det här alternativet ut i Redigeringsfönstret:
KONSTR/SFÄR,OMV,elem_1


Automatisk konstruktion av sfär

I följande tabell visas vilken typ av sfär som konstrueras när angivna indata väljs och du har valt alternativet AUTO. Ordningen på de valda elementen spelar inte någon roll. Om ett felaktigt indataelement väljs visas ett felmeddelande och den indikerade elementtypen konstrueras inte automatiskt.

Så här kan du automatiskt fastställa bästa konstruktionsmetod:

  1. Öppna dialogrutan Konstruera sfär (Infoga | Element | Konstruera | Sfär). Visa menykarta

  2. Välj alternativet Auto i listan över alternativ.

  3. Markera önskat (önskade) element med utgångspunkt från nedanstående tabell:

  4. Klicka på Skapa.

Indataelement | Konstruerar
4 eller fler element = | Bästanpassad sfär (BA)
Valfritt element = (med undantag för sfär/grupp) | Sfär (vid elementpunkt)
Valfri grupp = | Bästanpassad sfär (BA)
Plan + valfritt element = | Projicerad sfär
Sfär = | Omvänd sfär


Konstruera ett linjeelement

Dialogrutan Konstruera linje

I PC-DMIS kan du konstruera en linje på många olika sätt. I följande tabell visas en lista över olika typer av konstruerade linjer, tillsammans med deras nödvändiga indata. Vissa element kanske inte kräver några indata, medan andra kan kräva tre eller fler indataposter. Begreppet Valfritt i följande tabell betyder att konstruktion kan använda valfri typ av element som konstruktionsindata. Du kan välja elementen i valfri ordning.

TYP AV KONSTRUKTIONSELEMENT | SYMBOL I REDIGERINGSFÖNSTRET | ANTAL INDATAELEMENT | ELEM. 1: | ELEM. 2: | KOMMENTAR
Uppriktningslinje | UPPRIKTA | 0 | - | - | Konstruerar linjen genom uppriktningens nollpunkt
Linje (BA) | BA | Minst två indataposter krävs. | - | - | Använder indata för att konstruera en bästanpassad linje
Bästanpassad linje med omkompensering | BAOMK | Minst två indataposter krävs. (varav 1 måste vara en punkt) | - | - | Använder indata för att konstruera en bästanpassad linje
Linje (vid elementpunkt) | TYNGDPKT | 1 | Valfritt | - | Konstruerar en linje vid indataelementets centroid
Skärningslinje | SKÄRN_AV | 2 | Plan | Plan | Konstruerar en linje vid två plans skärningspunkt
Medellinje | SYMMETRIPKT | 2 | Linje, kon, cylinder, spår, plan | Linje, kon, cylinder, spår, plan | Konstruerar en medellinje mellan indataelementen
Offsetlinje | OFFSET | Minst två indataposter krävs. | Valfritt | Valfritt | Skapar en linje som går genom det första elementet och med den angivna mängdens förskjutning från det andra elementet.
Parallellinje | PLTILL | 2 | Valfritt | Valfritt | Konstruerar en linje som ligger parallellt med det första elementet och som passerar genom det andra elementet.
Vinkelrät linje | PRTILL | 2 | Valfritt | Valfritt | Konstruerar en linje som ligger vinkelrät mot det första elementet och som passerar genom det andra elementet.
Projicerad linje | PROJ | 1 eller 2 | Valfritt | Plan | 1 indataelement som projicerar linjen på arbetsplanet
Omvänd linje | OMV | 1 | Linje | - | Konstruerar en linje som passerar genom indata med en omvänd vektor
Scansegmentslinje | SCAN_SEGMENT | 1 | Scanåtgärd | - | Konstruerar en linje av en del av en scanåtgärd med öppen eller stängd linje.

Obs! Om du markerar olämpliga elementtyper visas meddelandet "Kan inte konstruera [element]. Kombination av inmatade element stöds inte." i statusfältet.

Så här konstruerar du en linje:

  1. Välj menyalternativet Konstruera (Infoga | Element | Konstruera | Linje). Visa menykarta

  2. Öppna dialogrutan Konstruera linje.

  3. Ange de önskade elementen.

  4. Välj konstruktionsmetod. De tillgängliga alternativen är:

  • Auto linje

  • Uppriktningslinje

  • Bästanpassad linje (BA) eller bästanpassad linje med omkompensering (BAOMK)

  • Linje (vid elementpunkt)

  • Skärningslinje

  • Medellinje

  • Offsetlinje

  • Parallellinje

  • Vinkelrät linje

  • Projicerad linje

  • Linje med omvänd riktning

  • Scansegmentslinje

  • Offsetlinje

  5. Klicka på Skapa.

Så här ser kommandoraden för det här alternativet ut i Redigeringsfönstret:
elementnamn=ELEMENT/LINJE,ALT1,ALT4
TEOR/x-koord,y-koord,z-koord,i-vektor,j-vektor,k-vektor,längd
MÄTT/x-koord,y-koord,z-koord,i-vektor,j-vektor,k-vektor,längd
KONSTR/ALT2,ALT3,......

Om ALT2 = LINJE och ALT3 = BA eller BAOMK har kommandot följande format:
elementnamn=ELEMENT/LINJE,ALT1,ALT4
TEOR/x-koord,y-koord,z-koord,i-vektor,j-vektor,k-vektor,längd
MÄTT/x-koord,y-koord,z-koord,i-vektor,j-vektor,k-vektor,längd
KONSTR/LINJE,ALT3
TA_BORT_EXTREMVÄRDEN/ALT5, sigmafaktor
FILTER/ALT5, VÅGLÄNGD=filtervåglängd

Obs! Rapporten över mätta värden visas i VERSALER.

ALT1 = POL eller REKT

ALT2 = LINJE

ALT3 = UPPRIKTA / BA / BAOMK / TYNGDPKT / SKÄRN_AV / MEDEL / OFFSET / PLTILL / PROJ / PRTILL / OMV / SCAN_SEGMENT

TOG4 = BEGR / OBEGR

ALT5 = PÅ / AV

Längd = Det här värdet representerar linjens teoretiska eller faktiska längd.

sigmafaktor = Den här multiplikatorn styr huruvida en mätt punkt ska räknas som ett extremvärde. Om punkten på linjen ligger längre bort än standardavvikelsen multiplicerat med detta tal, räknas den som ett extremvärde och tas bort om du har markerat kryssrutan Ta bort extremvärden.

filtervåglängd = Det här värdet styr graden av datautjämning. Ju längre våglängd desto mer utjämning.

De första tre raderna som visas i Redigeringsfönstret är desamma för konstruerade linjer. Den fjärde raden kan vara något annorlunda, beroende på vilken typ av element som konstrueras. Du kan växla mellan de olika linjetyperna genom att placera markören på ALT3 och trycka på F7 eller F8. (Se Tangentbordsfunktioner i kommandoläge i avsnittet Använda Redigeringsfönstret.)

När det finns två eller fler element fastställs den nödvändiga ordningen på indataelementen automatiskt. Detta förbättrar noggrannheten i mätprocessen.

Standardkonstruktionsmetoden är Auto. Se Automatisk konstruktion av linje

Följande ämnen beskriver de tillgängliga alternativen när du vill konstruera en linje:

Mer:

Varianter

Automatisk konstruktion av linje

Konstruera en uppriktningslinje

Konstruera en bästanpassad linje (BA) eller bästanpassad linje med omkompensering (BAOMK)

Konstruera en linje (vid elementpunkt)

Konstruera en skärningslinje

Konstruera en medellinje

Konstruera en parallellinje

Konstruera en vinkelrät linje

Konstruera en projicerad linje

Ändra riktning på en linje

Konstruera en linje från en del av en scanåtgärd

Konstruera en offsetlinje


Varianter

Det första exemplet nedan visar Redigeringsfönstret när användaren har växlat ALT4 till BEGR. De första x, y och z visar den första punkten på linjen. De andra x, y och z visar den slutpunkten på samma linje. Det sista värdet representerar linjens teoretiska eller faktiska längd.

I det andra exemplet visas det obegränsade linjeformatet.

elementnamn=ELEMENT/LINJE,ALT1,BEGR
TEOR/x-koord,y-koord,z-koord,x-koord,y-koord,z-koord,längd
MÄTT/x-koord,y-koord,z-koord,x-koord,y-koord,z-koord,längd
KONSTR/ALT2,ALT3,...,längd

elementnamn=ELEMENT/LINJE,ALT1,OBEGR
TEOR/x-koord,y-koord,z-koord,i-vektor,j-vektor,k-vektor
MÄTT/x-koord,y-koord,z-koord,i-vektor,j-vektor,k-vektor
KONSTR/ALT2,ALT3,...


Automatisk konstruktion av linje

I följande tabell visas vilken typ av linje som konstrueras när angivna indata väljs och du har valt alternativet AUTO. Ordningen på de valda elementen spelar inte någon roll. Om ett felaktigt indataelement väljs visas ett felmeddelande och den indikerade elementtypen konstrueras inte automatiskt.

Så här kan du automatiskt fastställa bästa konstruktionsmetod:

  1. Öppna dialogrutan Konstruera linje (Infoga | Element | Konstruera | Linje). Visa menykarta

  2. Välj alternativet Auto i listan över alternativ.

  3. Markera önskat (önskade) element med utgångspunkt från nedanstående tabell:

  4. Klicka på Skapa.

Indataelement | Konstruerar
3 eller fler element = | Linje (BA)
Valfritt element (med undantag för linje/grupp) = | Linje (vid elementpunkt)
Valfri grupp = | Linje (BA)
2 valfria element + offsetvärde = | Offsetlinje
Cirkel + cirkel = | Linje (BA)
Cirkel + ellips | Linje (BA)
Cirkel + punkt | Linje (BA)
Cirkel + grupp = | Linje (BA)
Cirkel + spår = | Linje (BA)
Cirkel + sfär = | Linje (BA)
Kon + cirkel = | Parallell med linje
Kon + kon = | Medellinje
Kon + cylinder = | Medellinje
Kon + ellips | Parallell med linje
Kon + punkt = | Parallell med linje
Kon + grupp = | Parallell med linje
Kon + sfär = | Parallell med linje
Cylinder + cirkel = | Parallell med linje
Cylinder + cylinder = | Medellinje
Cylinder + ellips | Parallell med linje
Cylinder + punkt = | Parallell med linje
Cylinder + grupp = | Parallell med linje
Cylinder + sfär = | Parallell med linje
Ellips + ellips |  | Linje (BA)
Ellips + grupp | Linje (BA)
Ellips + sfär | Linje (BA)
Linje = | Omvänd linje
Linje + cirkel = | Parallell med linje
Linje + kon = | Medellinje
Linje + cylinder = | Medellinje
Linje + ellips | Parallell med linje
Linje + linje = | Medellinje
Linje + punkt = | Parallell med linje
Linje + grupp = | Parallell med linje
Linje + spår = | Medellinje
Linje + sfär = | Parallell med linje
Punkt + ellips | Linje (BA)
Punkt + punkt | Linje (BA)
Punkt + sfär | Linje (BA)
Punkt + spår | Linje (BA)
Punkt + grupp | Linje (BA)
Plan + valfritt element (med undantag för plan) = | Projicerad linje
Plan + plan = | Skärningslinje
Spår + kon = | Medellinje
Spår + cylinder = | Medellinje
Spår + ellips | Parallell med linje
Spår + spår = | Linje (BA)


Konstruera en uppriktningslinje

Du kan konstruera en linje genom den aktuella nollpunkten och i det aktuella arbetsplanets normalvektor. (Indataelementen behöver inte anges.)

Så här konstruerar du en uppriktningslinje:

  1. Öppna dialogrutan Konstruera linje (Infoga | Element | Konstruera | Linje). Visa menykarta

  2. Välj alternativet Uppriktning.

  3. Markera inte några element.

  4. Klicka på Skapa.

Så här ser kommandoraden för det här alternativet ut i Redigeringsfönstret:
KONSTR/LINJE,UPPRIKTA,längd

Konstruera en linje som ligger i arbetsplanets normalvektor


Konstruera en bästanpassad linje (BA) eller bästanpassad linje med omkompensering (BAOMK)

Bästanpassad med omkompensering är noggrant endast vid konstruktion av en linje med punkter.

Du kan konstruera en "bästanpassad" 2- eller 3-dimensionell linje från två eller fler element. Med konstruktionsmetoden bästanpassning används de faktiskt mätta punkterna, medan metoden bästanpassning med omkompensering använder kulans mitt. I båda fallen minimeras det genomsnittliga felet i kvadrat med minsta kvadrat-metoden och det maximala felet minimeras med Min/Max-metoden. Du kan också välja om du vill ta bort extremvärden eller använda ett Gaussfilter på den konstruerade linjen.

Så här konstruerar du en bästanpassad linje (BA) eller bästanpassad linje med omkompensering (BAOMK):

  1. Öppna dialogrutan Konstruera linje (Infoga | Element | Konstruera | Linje). Visa menykarta

  2. Välj något av alternativen Bästanpassn. eller BA omkompens..

  3. Ange minst två element.

  4. Välj något av alternativen 2D-linje eller 3D-linje.

Obs! Vid bästanpassning med omkompensering måste ett element vara en punkt.

  5. Vi behov kan du markera kryssrutan Ta bort extremvärden och ange ett värde i rutan Sigmafaktor.

  6. Vid behov kan du markera kryssrutan Använd Gaussfilter och ange ett värde i rutan Filtervåglängd.

  7. Klicka på Skapa.

Så här ser kommandoraden för det här alternativet ut i Redigeringsfönstret:

KONSTR/LINJE,BA,elem_1,elem_2, …
TA_BORT_EXTREMVÄRDEN/(PÅ | AV), sigmafaktor
FILTER/(PÅ | AV),VÅGLÄNGD=filtervåglängd

(Använder de faktiskt mätta punkterna för konstruktionen)
eller

KONSTR/LINJE,BAOMK,elem_1,elem_2, …
TA_BORT_EXTREMVÄRDEN/(PÅ | AV), sigmafaktor
FILTER/(PÅ | AV),VÅGLÄNGD=filtervåglängd

(Använder mäthuvudets centrum vid mätning och tillämpar omkompensering efter att elementen mätts.)

Konstruera en linje av två eller fler element

Mer:

Ta bort extremvärden / sigmafaktor

Använda ett Gaussfilter / filterfrekvens


Ta bort extremvärden / sigmafaktor

När du konstruerar en bästanpassad linje (BA) eller en bästanpassad linje med omkompensering (BAOMK) kan du välja att ta bort extremvärden baserat på avståndet från det bästanpassade elementet. På så vis kan du ta bort eventuella avvikelser som uppstår under mätprocessen.

Först sker en anpassning av en linje till data, varefter de punkter som utgör extremvärden fastställs med hjälp av värdet i rutan Sigmafaktor. Sedan sker följande:

  • Den bästanpassade linjen beräknas på nytt utan de borttagna extremvärdena.

  • Det görs en ny kontroll av extremvärden.

  • Den bästanpassade linjen beräknas på nytt.

  • Den här processen upprepas tills det inte finns några fler extremvärden eller tills linjen inte går att beräkna (linjen kan inte beräknas om det är färre än tre datapunkter).

Vid 2D-linjer beräknas avvikelsen på ett plan som ligger parallellt med arbetsplanet.

Vid 3D-linjer beräknas avvikelsen som avståndet från den mätta punkten till närmaste punkt längs med linjen.


Använda ett Gaussfilter / filtervåglängd

När du använder Konstruerad linje (BA) och Konstruerad linje med omkompensering (BAOMK) har du möjlighet att filtrera avvikelserna bland de mätta datapunkterna från den bäst passande linjen som beräknas av mätta data. Med kryssrutan Använd Gaussfilter tillämpas ett Gaussfilter där utjämningen styrs av filtervåglängden. Allmänt gäller att ju längre filtervåglängden är, desto jämnare blir filtrerade data. Om du har markerat kryssrutan Ta bort extremvärden och filtrerar dina data, tas extremvärdena bort innan filtreringen sker.

Vid 2D-linjer filtreras avvikelserna på ett plan som ligger parallellt med arbetsplanet.

Vid 3D-linjer filtreras avvikelserna i två plan som ligger rätvinkligt mot varandra, där båda plan innehåller linjen. De här avvikelserna filtreras i 3D.


Konstruera en linje (vid elementpunkt)

Du kan konstruera en linje genom att ändra ett valfritt element till en linje. Linjen konstrueras vid indataelementets centroid.

Du kan ändra längden på linjen. Då ändras linjen från BEROENDE till OBEROENDE. Detta betyder att linjen, när den utförs, inte ändrar längd med utgångspunkt från indataelementet utan är oberoende av indataelementet, medan positionen och vektorn förblir beroende av indataelementet. På så vis kan du styra linjelängden i de fall där indataelementet inte har någon egentlig längd, t.ex. en punkt. Fältet BEROENDE/OBEROENDE är växlingsbart och du kan ändra värdet.

Så här ändrar du längden på en linje:

  1. Öppna Redigeringsfönstret.

  2. Klicka på linjeelementet.

  3. Tryck på TABB-tangenten till dess att längdrutan markerats.

  4. Ange en ny längd.

  5. Tryck på TABB-tangenten. Längden uppdateras.

Det här längdvärdet används vid alla beräkningar, i stället för en standardlängd.

Så här konstruerar du en linje (vid elementpunkt):

  1. Öppna dialogrutan Konstruera linje (Infoga | Element | Konstruera | Linje). Visa menykarta

  2. Välj alternativet Elementpkt.

  3. Ange ett element av valfri typ.

  4. Klicka på Skapa.

Så här ser kommandoraden för det här alternativet ut i Redigeringsfönstret:
KONSTR/LINJE,TYNGDPKT,elem_1,längd,(BEROENDE | OBEROENDE)

Konstruera en linje från en cylinder


Konstruera en skärningslinje

Du kan konstruera en linje vid skärningspunkten mellan två plan.

Så här konstruerar du en skärningslinje:

  1. Öppna dialogrutan Konstruera linje (Infoga | Element | Konstruera | Linje). Visa menykarta

  2. Markera alternativet Skärning.

  3. Ange det första elementet. Det måste vara ett plan.

  4. Ange det andra elementet. Det måste vara ett plan.

  5. Klicka på Skapa.

Så här ser kommandoraden för det här alternativet ut i Redigeringsfönstret: KONSTR/LINJE,SKÄRN_AV,elem_1,elem_2,längd

Konstruera en linje från två plan


Konstruera en medellinje

Du kan konstruera en medellinje mellan en linje (kon, spår, cylinder eller plan) och en linje (kon, spår, cylinder eller plan). I PC-DMIS skapas en linje (medellinje) som ligger mittemellan de angivna linjerna. Du kan använda det här alternativet för linjer som ligger parallellt eller linjer som ligger i vinkel mot varandra. Medellinjen konstrueras på ett mellanliggande plan mellan de två indata och genomskär den mindre inkludera vinkeln som ligger mellan de två indata.

Så här konstruerar du en medellinje:

  1. Öppna dialogrutan Konstruera linje (Infoga | Element | Konstruera | Linje). Visa menykarta

  2. Markera alternativet Medel.

  3. Ange det första elementet. Det måste vara en linje, en kon, en cylinder eller ett spår.

  4. Ange det andra elementet. Det måste vara antingen en linje, en kon, en cylinder eller ett spår.

  5. Klicka på Skapa.

Så här ser kommandoraden för det här alternativet ut i Redigeringsfönstret:
KONSTR/LINJE,MEDEL,elem_1,elem_2,längd

Konstruera en medellinje från två linjer


Konstruera en parallellinje

Du kan konstruera en linje som ligger parallellt med två valfria element. I PC-DMIS skapas en linje som ligger parallellt med det första indataelementet och som passerar genom det andra indataelementets centrum.

Så här konstruerar du en parallellinje:

  1. Öppna dialogrutan Konstruera linje (Infoga | Element | Konstruera | Linje). Visa menykarta

  2. Välj alternativet Parallell.

  3. Markera två element av valfri typ.

  4. Klicka på Skapa.

  5. Så här ser kommandoraden för det här alternativet ut i Redigeringsfönstret:
    KONSTR/LINJE,PLTILL,elem_1,elem_2,
    längd

Konstruera en parallellinje


Konstruera en vinkelrät linje

Du kan konstruera en linje som ligger vinkelrät mot det första indataelementet och som passerar genom det andra indataelementets centroid.

Så här konstruerar du en vinkelrät linje:

  1. Öppna dialogrutan Konstruera linje (Infoga | Element | Konstruera | Linje). Visa menykarta

  2. Välj alternativet Vinkelrätt mot.

  3. Markera två element av valfri typ.

  4. Klicka på Skapa.

Så här ser kommandoraden för det här alternativet ut i Redigeringsfönstret:
KONSTR/LINJE,PRTILL,elem_1,elem_2,längd

Konstruera en vinkelrät linje


Konstruera en projicerad linje

Du kan konstruera en linje från valfritt element och ett plan. Linjen projiceras där planet genomskär linjen. Om du endast har ett indataelement sker projiceringen till arbetsplanet.

Så här konstruerar du en projicerad linje:

  1. Öppna dialogrutan Konstruera linje (Infoga | Element | Konstruera | Linje). Visa menykarta

  2. Markera alternativet Projektion.

  3. Välj antingen ett eller två element. Det första elementet kan vara av valfri typ. Om du väljer två element måste det andra elementet vara ett plan.

  4. Klicka på Skapa.

Kommandorad i Redigeringsfönstret:
KONSTR/LINJE,PROJ,elem_1,(elem_2),
längd

Konstruera en linje från en linje och ett plan


Ändra riktning på en linje

Du kan konstruera en linje med en omvänd vektor.

Så här konstruerar du en omvänd linje:

  1. Öppna dialogrutan Konstruera linje (Infoga | Element | Konstruera | Linje). Visa menykarta

  2. Välj alternativet Omvänd.

  3. Markera ett element. Det måste vara en linje.

  4. Klicka på Skapa. Linjens vektor vänds, samtidigt som start- och slutpunkterna byter plats.

Så här ser kommandoraden för det här alternativet ut i Redigeringsfönstret: KONSTR/LINJE,OMV,elem_1,längd


Konstruera en linje från en del av en scanåtgärd

Du kan konstruera en linje från ett segment av en scanåtgärd med öppen eller stängd linje. En linje skapas från en del av scanåtgärden. Konstruktionsdetaljerna beskrivs längre ner på den här sidan.

Så här konstruerar du en scansegmentslinje:

  1. Öppna dialogrutan Konstruera linje (Infoga | Element | Konstruera | Linje). Visa menykarta

  2. Välj alternativet Scansegment.

  3. Markera en scanåtgärd med öppen eller stängd linje som redan har skapats.

  4. Klicka på knappen Segmentdata. Dialogrutan Scansegment öppnas.

  5. Välj något av alternativen Bästanpassn. eller BA omkompens..

  6. I dialogrutan markerar du den del av scanåtgärden som du vill använda i konstruktionen.

  7. Ange det antal punkter som kan komma att ignoreras genom att ange värden i rutorna Förkasta start max. och Förkasta slut max..

  8. Ange ett avstånd från den bästanpassade linjen i rutan Förkastningstolerans. Den här toleransen är en formtolerans, med vilken du kan styra vilka slutpunkter som accepteras som en del av linjen. Om avståndet från scanpunkten till den bästanpassade linjen är större än den här toleransen ignoreras slutpunkten.

  9. Ange scanåtgärdens Ungefärlig startpunkt och Ungefärlig slutpunkt genom att markera kryssrutan Välj punkter, klicka i Grafikfönstret och sedan ange värden i fälten X, Y och Z. Du kan klicka var som helst i Grafikfönstret, men insättningspunkten hamnar på den scanåtgärd som ligger närmast där du klickade. Du kan även redigera punkternas värden med tangentbordet.

  10. Klicka på OK för att acceptera värdena och stänga dialogrutan Scansegment.

  11. Klicka på Skapa för att konstruera linjen från scanåtgärden.

Så här ser kommandoraden för det här alternativet ut i Redigeringsfönstret:

KONSTR/LINJE,SCAN_SEGMENT,anpassningstyp,elem_1,start-x,start-y,start-z,slut-x,slut-y,slut-z,förkasta_start,förkasta_slut,tolerans

Om du vill få ut mer än en båge eller linje av en viss scanåtgärd måste du lägga till ytterligare ett kommando för en annan del av scanåtgärden.

Mer:

Fastställa vilka data som ska användas för att konstruera linjen


Fastställa vilka data som ska användas för att konstruera linjen

De data som används för att konstruera linjen fastställs på följande sätt:

  • Först bestäms en del av scanåtgärden med hjälp av en startpunkt och en slutpunkt inom scanåtgärden. Start- och slutpunkterna väljs som den punkt i scanåtgärden som ligger närmast [start-x, start-y, start-z] respektive den punkt som ligger närmast [slut-x, slut-y, slut-z].

  • Sedan tas punkter bort från scanåtgärdens början och slut. Det antal punkter som tas bort från början och slutet är förkasta_start respektive förkasta_slut. En linje anpassas sedan efter denna punktgrupp.

  • Slutligen läggs start- och slutpunkterna tillbaka om de ligger inom den definierade toleransen. Linjen anpassas sedan in en gång till mot den nya gruppen punkter.

Värdet på anpassningstyp kan vara BA (Bästanpassning) eller BAOMK (Bästanpassning med omkompensering). Detta bestämmer huruvida en bästanpassning eller en bästanpassning med omkompensering ska göras när linjen beräknas. En beskrivning av bästanpassning och bästanpassning med omkompensering finns i Konstruera en bästanpassad linje (BA) eller bästanpassad linje med omkompensering (BAOMK).


Konstruera en offsetlinje

Du kan konstruera en linje på ett angivet avstånd från indataelementen.

Så här konstruerar du en offsetlinje:

  1. Öppna dialogrutan Konstruera linje (Infoga | Element | Konstruera | Linje). Visa menykarta

  2. Välj alternativet Offset.

  3. Välj minst två element från vilka du vill skapa offsetlinjen. Elementen kan vara av valfri typ.

  4. Klicka på Offset. Dialogrutan Linjeoffset öppnas.

Dialogrutan Linjeoffset

  5. Klicka på Beräkna nom och ange offsetvärden för de önskade elementen i offsetfältet eller klicka på Beräkna offset och ändra de nominella värdena (se procedurerna nedan).

  6. Klicka på OK. Dialogrutan Linjeoffset stängs.

  7. Klicka på Skapa.

En linje itereras och skapas där det kortaste avståndet till varje indataelement från linjen är motsvarande offsetvärde. All förskjutningar skapas i en riktning som ligger vinkelrätt mot den angivna ytans normalriktning. Negativa offsetvärden tillämpas i samma allmänna riktning som punkterna mäts i. Positiva offsetvärden tillämpas i motsatt riktning till mätningen. Om det inte finns någon mätriktning (d.v.s. indatapunkterna är konstruerade) används det aktuella arbetsplanet för att fastställa den allmänna riktningen för offsetvärdenas tillämpning. Positiva offsetvärden tillämpas i det aktuella arbetsplanets tredje axels plusriktning. Negativa offsetvärden tillämpas i det aktuella arbetsplanets tredje axels minusriktning.

Obs! Offsetvärdets tecken (positivt eller negativt) styr vilken sida av indataelementen linjen konstrueras. Om du får en linje som är motsatsen till vad du förväntade dig, kan du ta bort den och konstruera om den med omvända tecken för de angivna elementen. Om offsetvärdena t.ex. är 1.0, 2.5 och 3.5 ändrar du dem till -1.0, -2.5 respektive -3.5.

Så här ser kommandoraden för det här alternativet ut i Redigeringsfönstret:
KONSTR/LINJE,OFFSET
YTNORMAL = i-vektor, j-vektor, k-vektor, ALT1
ID = id1, id2, …
OFFSET = värde1, värde2, …

Obs! ALT1 = växlar mellan FLERA_PUNKTER och TVÅ_PUNKTER. Tvåpunktsalgoritmen är endast tillgänglig för detaljer som skapats med PC-DMIS version 2.1 eller tidigare.

Du kan beräkna offsetvärdet på två sätt:

  • Direkt ändra offsetvärdet för det valda indataelementet och sedan klicka på Beräkna för att uppdatera de nominella värdena.

  • Ändra det valda elementets nominella värde och sedan klicka på Beräkna för att uppdatera offsetvärdena.

De här kryssrutorna beskrivs nedan.

Mer:

Ändra offsetvärden direkt för att beräkna nominella värden

Exempel på beräkning av nominella värden

Ändra nominella värden direkt för att beräkna offsetvärden

Exempel på beräkning av offsetvärden


Ändra offsetvärden direkt för att beräkna nominella värden

Så här anger du nya offsetvärden:

  1. Öppna dialogrutan Linjeoffset genom att klicka på knappen Offset i dialogrutan Konstruera linje (Infoga | Element | Konstruera | Linje). Visa menykarta

  2. Markera alternativknappen Beräkna nom. Området med offsetvärden i dialogrutan blir redigerbar.

  3. I kolumnen Offset klickar du på värdet "0.000000" (eller det aktuella värdet) för att markera det.

  4. Klicka en gång till på offsetvärdet.

  5. Skriv in ett nytt värde.

  6. Tryck på RETUR-tangenten.

  7. Klicka på Beräkna för att uppdatera de nominella värdena med utgångspunkt från de offsetvärden du ändrat.

  8. Klicka på OK för att spara.


Exempel på beräkning av nominella värden

Med knappen Beräkna nom kan du beräkna nominella värden för X, Y och Z med utgångspunkt från nya offsetvärden som anges.

Vi antar att du konstruerar en offsetlinje mellan två cirklar (CIR1 och CIR2). Efter att du har markerat elementen och klickat på Offset har du följande nominella värden för X, Y och Z:

X = 4.5040

Y = 3

Z = 0.1582

Om du ändrar offsetvärdena med två för varje cirkel och klickar på Beräkna nom uppdateras värdena för X, Y och Z till:

X = 4.5040

Y = 5

Z = 0.1582

Om du sedan klickar på OK och konstruerar offsetlinjen ser du att den nya konstruerade linjen ligger 2 enheter högre längs med Y-axeln.

Endast Y-axeln får en förskjutning för linjeoffset.


Ändra nominella värden direkt för att beräkna offsetvärden

Så här anger du nya offsetvärden:

1. Öppna dialogrutan Linjeoffset genom att klicka på knappen Offset i dialogrutan Konstruera linje (Infoga | Element | Konstruera | Linje). Visa menykarta

2. Markera alternativknappen Beräkna offset. Området med nominella värden i dialogrutan blir redigerbar.

3. Ändra värdena för XYZ, IJK eller yt-IJK.

4. Klicka på Beräkna för att uppdatera offsetvärdena med utgångspunkt från de nominella värden du ändrat.

5. Klicka på OK för att spara.


Exempel på beräkning av offsetvärden

Med knappen Beräkna offset kan du beräkna de offsetvärden som visas i kolumnen Offset när du ändrar det nominella värdet.

Vi antar att du konstruerar en offsetlinje mellan två cirklar (CIR1 och CIR2). Efter att du har markerat elementen och klickat på Offset har du följande nominella värden för X, Y och Z:

X = 4.5040

Y = 3

Z = 0.1582

Om du ändrar de nominella värdena för X, Y och Z till:

X = 4.5040

Y = 4.5

Z = 0.1582

och klickar på Beräkna offset uppdateras de två cirklarnas offsetvärden till:

1.500000 CIR1

1.500000 CIR2

Om du sedan klickar på OK och konstruerar offsetlinjen ser du att planet konstrueras 1.5 enheter högre längs med Y-axeln.


 Konstruera en omvänd kon Konstruera en kon (vid elementpunkt) Knappen Stäng Knappen Skapa Knappen Radera Konstruera en bästanpassad kon (BA) eller bästanpassad kon med omkompensering (BAOMK) Automatisk konstruktion av cirkel Kon In/Ut Rutan Elementlista Välj sista Sök-ID ID Konstruera en projicerad kon

Detta står för teoretisk. Det är den nominella storleken eller positionsinformation.

Detta står för Mätt, vilket betyder den "mätta" storleken eller positionsinformationen, i motsats till den teoretiska storleken eller positionsinformationen.

Konstruera ett konelement

Dialogrutan Konstruera kon

I PC-DMIS finns flera metoder för att konstruera koner. I följande tabell visas en lista över olika typer av konstruerade koner, tillsammans med deras nödvändiga indata. Vissa element kanske inte kräver några indata, medan andra kan kräva sex eller fler indataposter. Begreppet Valfritt i följande tabell betyder att konstruktion kan använda valfri typ av element som konstruktionsindata. Du kan välja elementen i valfri ordning.

TYP AV KONSTRUKTIONSELEMENT | SYMBOL I REDIGERINGSFÖNSTRET | ANTAL INDATAELEMENT | ELEM. 1: | ELEM. 2: | KOMMENTAR
Bästanpassad kon | BA | Minst sex indataposter krävs. | - | - | Konstruerar en bästanpassad kon med angivna indata
Bästanpassad kon med omkompensering | BAOMK | Minst sex indataposter krävs. (varav 1 måste vara en punkt) | - | - | Konstruerar en bästanpassad kon med angivna indata
Kon (vid elementpunkt) | TYNGDPKT | 1 | Valfritt | - | Konstruerar en kon vid indataelementets centroid
Projicerad kon | PROJ | 1 eller 2 | Valfritt | Plan | 1 indataelement projicerar konen på arbetsplanet
Omvänd kon | OMV | 1 | Kon | - | Konstruerar en kon med en omvänd vektor för axeln.

Obs! Om du markerar olämpliga elementtyper visas meddelandet "Kan inte konstruera [element]. Kombination av inmatade element stöds inte." i statusfältet.

Så här konstruerar du en kon:

  1. Öppna dialogrutan Konstruera kon (Infoga | Element | Konstruera | Kon). Visa menykarta

  2. Ange de önskade elementen.

  3. Välj konstruktionsmetod. De tillgängliga alternativen är:

  • Bästanpassad kon (BA) eller bästanpassad kon med omkompensering (BAOMK)

  • Kon (vid elementpunkt)

  • Projicerad kon

  • Kon i omvänd riktning

  • Auto kon

  4. Klicka på Skapa.

Så här ser kommandoraden för det här alternativet ut i Redigeringsfönstret:

elementnamn=ELEMENT/KON,ALT1,ALT4,VINK
TEOR/x-koord,y-koord,z-koord,i-vektor,j-vektor,k-vektor,vink
MÄTT/x-koord,y-koord,z-koord,i-vektor,j-vektor,k-vektor,vink
KONSTR/ALT2,ALT3,......

elementnamn=ELEMENT/KON,ALT1,ALT4,LÄNGD
TEOR/x-koord,y-koord,z-koord,i-vektor,j-vektor,k-vektor,längd,diam_1,diam_2
MÄTT/x-koord,y-koord,z-koord,i-vektor,j-vektor,k-vektor,längd,diam_1,diam_2
KONSTR/ALT2,ALT3,......

Obs! Rapporten över mätta värden visas i VERSALER.

ALT1= POL eller REKT

ALT2 = KON

ALT3 = BA / BAOMK / TYNGDPKT / PROJ / OMV

ALT4= IN / UT

ALT5 = VINK / LÄNGD

De första tre raderna för konstruerade koner är snarlika i Redigeringsfönstret. De teoretiska och mätta värdena som visas varierar, beroende på om elementet är begränsat eller obegränsat. Den fjärde raden kan vara något annorlunda, beroende på vilken typ av element som konstrueras. Du kan växla mellan de olika kontyperna genom att placera insättningspunkten vid ALT och vänsterklicka. Du kan även använda tangentbordet för att ändra värden i växlingsbara rutor. (Se Tangentbordsfunktioner i kommandoläge i avsnittet Använda Redigeringsfönstret.)

När det finns två eller fler element fastställs den nödvändiga ordningen på indataelementen automatiskt. Detta förbättrar noggrannheten i mätprocessen.

Standardkonstruktionsmetoden är Auto. Med det här alternativet kan du automatiskt fastställa bästa sättet att konstruera en kon med indataelementet(-en). Se Automatisk konstruktion av kon

Följande stycken beskriver de tillgängliga alternativen när du vill konstruera en kon:

Mer:

Kon In/Ut

Varianter

Konstruera en bästanpassad kon (BA) eller bästanpassad kon med omkompensering (BAOMK)

Konstruera en kon (vid elementpunkt)

Konstruera en projicerad kon

Ändra riktning på en kon

Automatisk konstruktion av kon


Kon In/Ut

Med alternativen In och Ut kan du instruera PC-DMIS att konstruera konen som en intern eller extern kon.

  • Om du väljer In konstrueras konen som en intern kon.

  • Om du väljer Ut konstrueras konen som en extern kon.


Varianter

Det första exemplet nedan visar Redigeringsfönstret när användaren har växlat ALT5 till VINK. I det andra exemplet visas det obegränsade konformatet. I det andra exemplet visas hur det ser ut när man ändrar ALT5 till LÄNGD. Diam_1 definieras som diametern vid de tre första mätpunkternas höjd. Diam_2 är diametern vid den punkt som ligger längst bort från den första diametern. Längden är avståndet mellan de två diametrarna.

Det begränsade konformatet visas i det andra exemplet.
elementnamn=ELEMENT/KON,ALT1,ALT4,VINK
TEOR/x-koord,y-koord,z-koord,i-vektor,j-vektor,k-vektor,vink
MÄTT/x-koord,y-koord,z-koord,i-vektor,j-vektor,k-vektor,vink
KONSTR/ALT2,ALT3,......

elementnamn=ELEMENT/KON,ALT1,ALT4,LÄNGD
TEOR/x-koord,y-koord,z-koord,i-vektor,j-vektor,k-vektor,längd,diam_1,diam_2
MÄTT/x-koord,y-koord,z-koord,i-vektor,j-vektor,k-vektor,längd,diam_1,diam_2
KONSTR/ALT2,ALT3,......


Konstruera en bästanpassad kon (BA) eller bästanpassad kon med omkompensering (BAOMK)

Du kan konstruera en "bästanpassad" kon från sex eller fler element. Dina första tre indata måste ligga på ett ungefärligt plantvärsnitt av konen som ligger normalt mot dess centrumlinje. De återstående punkterna bör ligga antingen ovanför eller under det plan som definieras av de första trepunktern, men inte på ömse sidor av planet. Den här mätmetoden ger bäst resultat. Med konstruktionsmetoden bästanpassning används de faktiskt mätta punkterna, i stället för kulans centrum (vilket sker vid bästanpassad med omkompensering). I båda fallen beräknas en kon med minsta kvadrat-metoden, där genomsnittet av kvadraten på avståndet mellan datapunkterna och konen minimeras.

Så här konstruerar du en bästanpassad kon (BA) eller bästanpassad kon med omkompensering (BAOMK):

  1. Öppna dialogrutan Konstruera kon (Infoga | Element | Konstruera | Kon). Visa menykarta

  2. Välj något av alternativen Bästanpassn. eller BA omkompens..

  3. Ange minst sex element.

Obs! Om du väljer BA omkompenserng måste minst ett element vara en punkt.

  4. Klicka på Skapa.

Så här ser kommandoraden för det här alternativet ut i Redigeringsfönstret: KONSTR/KON,BA,elem_1,elem_2,elem_3,elem_4,elem_5,elem_6
(Använder de faktiskt mätta punkterna för konstruktionen.)
eller
KONSTR/KON,BAOMK,elem_1,elem_2,elem_3,elem_4,elem_5,elem_6
(Använder mäthuvudets centrum vid mätningen.)

Konstruera en kon från 6 eller fler punkter


Konstruera en kon (vid elementpunkt)

Du kan konstruera en kon genom att ändra ett valfritt element till en kon. Konen konstrueras vid indataelementets centroid. Om indataelementet inte är en kon används ett standardvärde för den inkluderade vinkeln. Om indataelementet inte är ett linjeelement (linje, cylinder eller spår) används en standardlängd för axellängden.

Du kan ändra storleken på konen. Då ändras konen från BEROENDE till OBEROENDE. Detta betyder att konen, när den utförs, inte ändrar storlek med utgångspunkt från indataelementet utan är oberoende av indataelementet, medan positionen och vektorn förblir beroende av indataelementet. På så vis kan du styra konens storlek i de fall där indataelementet inte har någon egentlig diameter, t.ex. en punkt. Fältet BEROENDE/OBEROENDE är växlingsbart och du kan ändra värdet.

De nya attributen används för alla beräkningar (t.ex. om halvvinkeln ändras) i stället för standardvärdena enligt ovanstående beskrivning.

Så här konstruerar du en kon (vid elementpunkt):

  1. Öppna dialogrutan Konstruera kon (Infoga | Element | Konstruera | Kon). Visa menykarta

  2. Välj alternativet Elementpkt.

  3. Välj ett element av valfri typ.

  4. Klicka på Skapa.

Så här ser kommandoraden för det här alternativet ut i Redigeringsfönstret:
KONSTR/KON,TYNGDPKT,elem_1, (BEROENDE | OBEROENDE)


Konstruera en projicerad kon

Du kan konstruera en kon genom att ändra ett valfritt element till ett plan. Om indataelementet inte är en kon används standardvärden för den inkluderade vinkeln och två axellängder. Den första längden är avståndet mellan toppunkten och den första cirkeln. Den andra längden är avståndet mellan de båda cirklarna. Om du endast har en indatapost sker projiceringen till det aktuella arbetsplanet.

Så här konstruerar du en projicerad kon:

  1. Öppna dialogrutan Konstruera kon (Infoga | Element | Konstruera | Kon). Visa menykarta

  2. Markera alternativet Projektion.

  3. Välj antingen ett eller två element. Om du väljer ett element kan det vara av valfri typ. Om du väljer två element kan det första elementet vara av valfri typ. Det andra elementet måste vara ett plan.

  4. Klicka på Skapa.

Så här ser kommandoraden för det här alternativet ut i Redigeringsfönstret:
KONSTR/KON,PROJ,elem_1,(elem_2)


Ändra riktning på en kon

Du kan konstruera en kon med en omvänd vektor.

Så här konstruerar du en omvänd kon:

  1. Öppna dialogrutan Konstruera kon (Infoga | Element | Konstruera | Kon). Visa menykarta

  2. Välj alternativet Omvänd.

  3. Markera ett element. Det måste vara en kon.

  4. Klicka på Skapa.

Så här ser kommandoraden för det här alternativet ut i Redigeringsfönstret:
KONSTR/KON,OMV,elem_1


Automatisk konstruktion av kon

I följande tabell visas vilken typ av kon som konstrueras när angivna indata väljs och du har valt alternativet AUTO. Ordningen på de valda elementen spelar inte någon roll. Om ett felaktigt indataelement väljs visas ett felmeddelande och den indikerade elementtypen konstrueras inte automatiskt.

Så här kan du automatiskt fastställa bästa konstruktionsmetod:

  1. Öppna dialogrutan Konstruera kon (Infoga | Element | Konstruera | Kon). Visa menykarta

  2. Välj alternativet Auto i listan över alternativ.

  3. Markera önskat (önskade) element med utgångspunkt från nedanstående tabell:

  4. Klicka på Skapa.

Indataelement | Konstruerar
6 eller fler element = | Bästanpassad kon
Plan + valfritt element = | Projicerad kon
Kon = | Omvänd kon
Valfritt element = (med undantag för kon/grupp) | Kon (vid elementpunkt)
Valfri grupp = | Bästanpassad kon


 Konstruera en omvänd cylinder Konstruera en cylinder (vid elementpunkt) Konstruera en projicerad cylinder Konstruera en bästanpassad cylinder (BA) eller bästanpassad cylinder med omkompensering (BAOMK) Knappen Stäng Knappen Skapa Knappen Radera Skapa en autocylinder Cylinder In/Ut Rutan Elementlista Välj sista Sök-ID ID

Konstruera ett cylinderelement

Dialogrutan Konstruera cylinder

I PC-DMIS finns flera metoder för att konstruera en cylinder. I följande tabell visas en lista över olika typer av konstruerade cylindrar, tillsammans med deras nödvändiga indata. Vissa element kanske inte kräver några indata, medan andra kan kräva sex eller fler indataposter. Begreppet Valfritt i följande tabell betyder att konstruktion kan använda valfri typ av element som konstruktionsindata. Du kan välja elementen i valfri ordning.

TYP AV KONSTRUKTIONSELEMENT | SYMBOL I REDIGERINGSFÖNSTRET | ANTAL INDATAELEMENT | ELEM. 1: | ELEM. 2: | KOMMENTAR
Bästanpassad cylinder | BA | Minst sex indataposter krävs. Se Obs! nedan. | - | - | Konstruerar en bästanpassad cylinder med angivna indata
Bästanpassad cylinder med omkompensering | BAOMK | Minst sex indataposter krävs. (varav 1 måste vara en punkt) Se Obs! nedan. | - | - | Konstruerar en bästanpassad cylinder med angivna indata
Cylinder (vid elementpunkt) | TYNGDPKT | 1 | Valfritt | - | Konstruerar en cylinder vid indataelementets centroid
Projicerad cylinder | PROJ | 1 eller 2 | Valfritt | Plan | 1 indataelement projicerar cylindern på arbetsplanet
Omvänd cylinder | OMV | 1 | Cylinder, kon, linje, spår | - | Konstruerar en cylinder med en omvänd vektor

Obs! Nu kan man konstruera bästanpassade cylindrar och Bästanpassade cylindrar med omkompensering utifrån två cirklar. Indatacirklarna måste vara av typen Konstruerad (BA)/Konstruerad med omkompensering (BAOMK) eller Mätta cirklar. Varje cirkel måste ha minst tre mätpunkter.

Obs! Om du markerar olämpliga elementtyper visas meddelandet "Kan inte konstruera [element]. Kombination av inmatade element stöds inte." i statusfältet.

Så här konstruerar du en cylinder:

  1. Öppna dialogrutan Konstruera cylinder (Infoga | Element | Konstruera | Cylinder). Visa menykarta

  2. Ange de önskade elementen.

  3. Välj konstruktionsmetod. De tillgängliga alternativen är:

  • Bästanpassad cylinder (BA) eller bästanpassad cylinder med omkompensering (BAOMK)

  • Cylinder (vid elementpunkt)

  • Projicerad cylinder

  • Cylinder i omvänd riktning

  • Autocylinder

  4. Klicka på Skapa.

Följande är ett exempel på kommandoraden för en cylinderkonstruktion i Redigeringsfönstret:
elementnamn=ELEMENT/CYLINDER,ALT1,ALT4,ALT5
TEOR/x-koord,y-koord,z-koord,i-vektor,j-vektor,k-vektor,diam,längd
MÄTT/x-koord,y-koord,z-koord,i-vektor,j-vektor,k-vektor,diam,längd
KONSTR/ALT2,ALT3,......

Obs! Rapporten över mätta värden visas i VERSALER.

Standardkonstruktionsmetoden är Auto. Med det här alternativet kan du automatiskt fastsälla bästa sättet att konstruera en cylinder med indataelementet(-en). Se Automatisk konstruktion av cylinder

Följande text är det grundläggande formatet för cylindrar.

ALT1 = POL eller REKT

ALT2 = CYLINDER

ALT3 = BA / BAOMK / TYNGDPKT / PROJ / OMV

ALT4 = IN / UT

ALT5 = GAUSS / MAX_INSKR / MIN_OMSKR / TJEBYCHEV / FAST_RAD (endast för mätta cirklar, BA- och BAOMK-cirklar)

längd = mäts mellan den första mätta cirkeln (de första tre mätpunkterna) och den punkt som ligger längst bort från de första tre mätpunkterna.

De första tre raderna som visas i Redigeringsfönstret är desamma för konstruerade cylindrar. Den fjärde raden kan vara något annorlunda, beroende på vilken typ av element som konstrueras. Du kan växla mellan de olika cylindertyperna genom att placera markören på ALT3 och trycka på F7 eller F8. (Se Tangentbordsfunktioner i kommandoläge i avsnittet Använda Redigeringsfönstret.)

När det finns två eller fler element fastställs den nödvändiga ordningen på indataelementen automatiskt. Detta förbättrar noggrannheten i mätprocessen.

Följande stycken beskriver de tillgängliga alternativen när du vill konstruera en cylinder:

Mer:

Cylinder In/Ut

Konstruera en bästanpassad cylinder (BA) eller bästanpassad cylinder med omkompensering (BAOMK)

Konstruera en cylinder (vid elementpunkt)

Konstruera en projicerad cylinder

Ändra riktning på en cylinder

Automatisk konstruktion av cylinder


Cylinder In/Ut

Med alternativen In och Ut kan du instruera PC-DMIS att konstruera cylindern som en intern eller extern cylinder.

  • Om du väljer In konstrueras cylindern som en intern cylinder.

  • Om du väljer Ut konstrueras cylindern som en extern cylinder.


Konstruera en bästanpassad cylinder (BA) eller bästanpassad cylinder med omkompensering (BAOMK)

Du kan konstruera en "bästanpassad" cylinder från sex eller fler punkter. Dina första tre punkter måste ligga på mer eller mindre samma plantvärsnitt av cylindern som ligger i normalriktning mot dess centrumlinje. Med konstruktionsmetoden bästanpassning används de faktiskt mätta punkterna, i stället för kulans centrum (vilket sker vid bästanpassad med omkompensering). I båda fallen beräknas en cylinder med minsta kvadrat-metoden, där genomsnittet av kvadraten på avståndet mellan datapunkterna och cylindern minimeras.

Obs! Vissa punktmönster (t.ex. två rader med tre punkter på jämnt avstånd, eller två rader med fyra punkter på jämnt avstånd) kan innebära att det finns flera sätt att konstruera en perfekt cylinder, och bästanpassningsalgoritmen i PC-DMIS kan innebära att cylindern konstrueras med en oväntad lösning. De bästa resultaten uppnås om du mäter eller konstruerar cylindrar med ett unikt punktmönster.

Så här konstruerar du en bästanpassad cylinder (BA) eller bästanpassad cylinder med omkompensering (BAOMK):

  1. Öppna dialogrutan Konstruera cylinder (Infoga | Element | Konstruera | Cylinder). Visa menykarta

  2. Välj något av alternativen Bästanpassn. eller BA omkompens..

  3. Ange dina indataelement genom att antingen välja två lämpliga cirkelelement eller sex valfria elementtyper.

Om du väljer två cirkelelement måste de vara konstruerade bästanpassade cirklar (BA)/konstruerade bästanpassade cirklar med omkompensering (BAOMK), eller mätta cirklar. Varje cirkel måste ha minst tre mätpunkter.

Om du väljer sex element kan de vara av valfri typ. Om du väljer BA omkompens. måste minst ett element vara en punkt.

4. Klicka på knappen Skapa.

Obs! Den matematiska rutin som används för att hämta punkterna från indataelementen fungerar olika beroende på typen av indataelement. Andra konstruerade element än sådana indatacirklar som beskrivs ovan returnerar en enskild punkt. De konstruerade BA-cirklar, konstruerade BAOMK-cirklar eller mätta cirklar som beskrivs ovan returnerar sina indatapunkter.

Så här ser kommandoraden för det här alternativet ut i Redigeringsfönstret:
KONSTR/CYLINDER,BA,elem_1,elem_2,elem_3,elem_4,elem_5,elem_6
(Använder de faktiskt mätta punkterna vid konstruktion.)
eller
KONSTR/CYLINDER,BAOMK,elem_1,elem_2,elem_3,elem_4,elem_5,...
(Använder mäthuvudets centrum vid mätning.)

Konstruera en cylinder från 6 eller fler punkter

Mer:

Bästanpassningstyp


Bästanpassningstyp

Den här listan blir tillgänglig om du markerar Bästanpassn. eller BA omkompens. när du konstruerar cylindern. På så vis kan du ange vilken typ av bästanpassningskonstruktion du vill använda. Du kan välja mellan följande:

  • GAUSS

  • MAX_INSKR

  • MIN_OMSKR

  • TJEBYCHEV

  • FAST_RAD

De här beräkningstyperna behandlas i Bästanpassningstyp.


Konstruera en cylinder (vid elementpunkt)

Du kan konstruera en cylinder genom att ändra ett valfritt element till en cylinder. Cylindern konstrueras vid indataelementets centroid. Om du använder en tunnplåtspunkt blir diametern lika med mäthuvudets diameter. Vid vissa tunnplåtselement (t.ex. spår och urtag) används bredden som diameter. För element som inte har någon diameter (linjer, punkter o.s.v.) används ett värde som är fyra gånger mäthuvudets diameter.

Du kan ändra storleken på cylindern. Då ändras cylindern från BEROENDE till OBEROENDE. Detta betyder att cylinderns längd och diameter, när den utförs, inte ändras med utgångspunkt från indataelementet utan är oberoende av indataelementet, medan positionen och vektorn förblir beroende av indataelementet. På så vis kan du styra cylinderns storlek i de fall där indataelementet inte har någon egentlig diameter, t.ex. en punkt. Fältet BEROENDE/OBEROENDE är växlingsbart och du kan ändra värdet.

De nya attributen används för alla beräkningar (t.ex. om diametern ändras) i stället för standardvärdena enligt ovanstående beskrivning.

Så här konstruerar du en cylinder (vid elementpunkt):

  1. Öppna dialogrutan Konstruera cylinder (Infoga | Element | Konstruera | Cylinder). Visa menykarta

  2. Välj alternativet Elementpkt.

  3. Markera ett element. Elementet kan vara av valfri typ.

  4. Klicka på Skapa.

Så här ser kommandoraden för det här alternativet ut i Redigeringsfönstret:
KONSTR/CYLINDER,TYNGDPKT,elem_1, (BEROENDE | OBEROENDE)


Konstruera en projicerad cylinder

Du kan konstruera en cylinder från valfritt element och ett plan. Diametern på den projicerade cylindern blir diametern på det första indataelementet (om det är cirkelformat) eller två gånger mäthuvudets diameter om elementet inte är cirkelformat. Du måste ange längden och diametern för att få ett begränsat element. Om du endast har ett indataelement sker projiceringen till arbetsplanet.

Så här konstruerar du en projicerad cylinder:

  1. Öppna dialogrutan Konstruera cylinder (Infoga | Element | Konstruera | Cylinder). Visa menykarta

  2. Markera alternativet Projektion.

  3. Välj antingen ett eller två element. Om du väljer ett element kan det vara av valfri typ. Om du väljer två element kan det första elementet vara av valfri typ. Det andra elementet måste vara ett plan.

  4. Klicka på Skapa.

Så här ser kommandoraden för det här alternativet ut i Redigeringsfönstret:
KONSTR/CYLINDER,PROJ,elem_1,(elem_2)


Ändra riktning på en cylinder

Du kan konstruera en cylinder med en omvänd vektor.

Så här konstruerar du en omvänd cylinder:

  1. Öppna dialogrutan Konstruera cylinder (Infoga | Element | Konstruera | Cylinder). Visa menykarta

  2. Välj alternativet Omvänd.

  3. Markera ett element. Det måste vara en cylinder.

  4. Klicka på Skapa.

Så här ser kommandoraden för det här alternativet ut i Redigeringsfönstret:
KONSTR/CYLINDER,OMV,elem_1


Automatisk konstruktion av cylinder

I följande tabell visas vilken typ av cylinder som konstrueras när angivna indata väljs och du har valt alternativet AUTO. Ordningen på de valda elementen spelar inte någon roll. Om ett felaktigt indataelement väljs visas ett felmeddelande och den indikerade elementtypen konstrueras inte automatiskt.

Indataelement | Konstruerar
5 eller fler element = | Bästanpassad cylinder
Valfritt element = (med undantag för cylinder/grupp) | Cylinder (vid elementpunkt)
Valfri grupp = | Bästanpassad cylinder
Cylinder = | Omvänd cylinder
Plan + valfritt element = | Projicerad cylinder

Obs! Vissa punktmönster (t.ex. två rader med tre punkter på jämnt avstånd, eller två rader med fyra punkter på jämnt avstånd) kan innebära att det finns flera sätt att konstruera en perfekt cylinder, och bästanpassningsalgoritmen i PC-DMIS kan innebära att cylindern konstrueras med en oväntad lösning. De bästa resultaten uppnås om du mäter eller konstruerar cylindrar med ett unikt punktmönster.

Så här kan du automatiskt fastställa bästa konstruktionsmetod:

  1. Öppna dialogrutan Konstruera cylinder (Infoga | Element | Konstruera | Cylinder). Visa menykarta

  2. Välj alternativet Auto i listan över alternativ.

  3. Markera önskat (önskade) element med utgångspunkt från nedanstående tabell:

  4. Klicka på Skapa.


 Knappen Radera Knappen Skapa Knappen Stäng Ändra riktning på ett plan Konstruera ett vinkelrätt plan Konstruera ett plan (vid elementpunkt) Konstruera ett medelplan ID Sök-ID Välj sista Automatisk kontruktion av plan Konstruera ett plan från en uppriktning Rutan Elementlista Konstruera ett högsta punkt-plan Konstruera ett parallellt plan

Konstruera ett planelement

Dialogrutan Konstruera plan

I PC-DMIS kan du konstruera ett plan på många olika sätt. I följande tabell visas en lista över olika typer av konstruerade plan, tillsammans med deras nödvändiga indata. Vissa element kanske inte kräver några indata, medan andra kan kräva tre eller fler indatabitar. Begreppet Valfritt i följande tabell betyder att konstruktion kan använda valfri typ av element som konstruktionsindata. Du kan välja elementen i valfri ordning.

TYP AV KONSTRUKTIONSELEMENT | SYMBOL I REDIGERINGSFÖNSTRET | ANTAL INDATAELEMENT | ELEM. 1: | ELEM. 2: | ELEM. 3: | KOMMENTAR
Uppriktningsplan | UPPRIKTA | 0 | - | - | - | Konstruerar planet vid uppriktningens nollpunkt
Plan (BA) | BA | Minst tre indataposter krävs. | - | - | - | Använder indata för att konstruera ett bästanpassat plan
Bästanpassat plan med omkompensering | BAOMK | Minst tre indataposter krävs. (varav 1 måste vara en punkt) | - | - | - | Använder indata för att konstruera ett bästanpassat plan
Plan (vid elementpunkt) | TYNGDPKT | 1 | Valfritt | - | - | Konstruerar ett plan vid indataelementets centroid
Högsta punktplan | HÖGSTA | Antingen 1 grupp (som innehåller minst 3 element) eller 1 scan. | Om indata består av en grupp kan du välja valfri grupp. Om indata består av en scanåtgärd måste du välja en områdesscanåtgärd. |  |  | Planet konstrueras genom att använda de högsta tillgängliga punkterna.
Medelplan | SYMMETRIPKT | 2 | Valfritt | Valfritt | - | Medelplanet konstrueras mellan indataposternas centroider.
Offsetplan | OFFSET | Minst tre indataposter krävs. | Valfritt | Valfritt | Valfritt | Planet konstrueras med en förskjutning från varje indataelement.
Parallellplan | PLTILL | 2 | Valfritt | Valfritt | - | Konstruerar ett plan som ligger parallellt med det första elementet och som passerar genom det andra elementet.
Vinkelrätt plan | PRTILL | 2 | Valfritt | Valfritt | - | Konstruerar ett plan som ligger vinkelrät mot det första elementet och som passerar genom det andra elementet.
Omvänt plan | OMV | 1 | Plan | - | - | Konstruerar ett plan som passerar genom indata med en omvänd vektor

Så här konstruerar du ett plan:

  1. Välj menyalternativet Konstruera (Infoga | Element | Konstruera | Plan). Visa menykarta

  2. Välj Plan. Dialogrutan Konstruera plan öppnas.

  3. Ange de önskade elementen.

  4. Välj konstruktionsmetod. De tillgängliga alternativen är:

  • Uppriktningsplan

  • Bästanpassat plan (BA) eller bästanpassat plan med omkompensering (BAOMK)

  • Plan (vid elementpunkt)

  • Högsta punktplan

  • Medelplan

  • Offsetplan

  • Parallellplan

  • Vinkelrätt plan

  • Plan med omvänd riktning

  • Auto plan

  5. Klicka på Skapa.

Följande är ett exempel på kommandoraden för en plankonstruktion i Redigeringsfönstret:
elementnamn=ELEMENT/PLAN,ALT1
TEOR/x-koord,y-koord,z-koord,i-vektor,j-vektor,k-vektor
MÄTT/x-koord,y-koord,z-koord,i-vektor,j-vektor,k-vektor
KONSTR/ALT2,ALT3,......

Om ALT2 = PLAN och ALT3 = BA eller BAOMK har kommandot följande format:
elementnamn=ELEMENT/PLAN,ALT1
TEOR/x-koord,y-koord,z-koord,i-vektor,j-vektor,k-vektor
MÄTT/x-koord,y-koord,z-koord,i-vektor,j-vektor,k-vektor
KONSTR/PLAN,ALT3
TA_BORT_EXTREMVÄRDEN/ALT5, sigmafaktor
FILTER/ALT5, VÅGLÄNGD=filtervåglängd

Obs! Rapporten över mätta värden visas i VERSALER.

Standardkonstruktionsmetoden är Auto. Med det här alternativet kan du automatiskt fastställa bästa sättet att konstruera ett plan med indataelementet(-en). Se Automatisk konstruktion av plan

ALT1 = POL eller REKT

ALT2 = PLAN

ALT3 = UPPRIKTA / BA / BAOMK / TYNGDPKT / HÖGSTA / MEDEL / OFFSET / PLTILL / PROJ / PRTILL / OMV

ALT6 = PÅ/AV

sigmafaktor = Den här multiplikatorn styr huruvida en mätt punkt ska räknas som ett extremvärde. Om en planpunkt ligger längre bort än standardavvikelsen multiplicerat med detta tal, räknas den som ett extremvärde och tas bort om du har markerat kryssrutan Ta bort extremvärden.

filtervåglängd = Det här värdet styr graden av datautjämning. Ju längre våglängd desto mer utjämning.

De första tre raderna som visas i Redigeringsfönstret är desamma för konstruerade plan. Den fjärde raden kan vara något annorlunda, beroende på vilken typ av element som konstrueras. Du kan växla mellan de olika plantyperna genom att placera markören på ALT3 och trycka på F7 eller F8. (Se Tangentbordsfunktioner i kommandoläge i avsnittet Använda Redigeringsfönstret.)

När det finns två eller fler element fastställs den nödvändiga ordningen på indataelementen automatiskt. Detta förbättrar noggrannheten i mätprocessen.

Följande stycken beskriver de tillgängliga alternativen när du vill konstruera ett plan:

Mer:

Konstruera ett plan från en uppriktning

Konstruera ett bästanpassat plan (BA) eller bästanpassat plan med omkompensering (BAOMK)

Konstruera ett plan (vid elementpunkt)

Konstruera ett högsta punktplan

Konstruera ett medelplan

Konstruera ett offsetplan

Konstruera ett parallellt plan

Konstruera ett vinkelrätt plan

Ändra riktning på ett plan

Automatisk konstruktion av plan


Konstruera ett plan från en uppriktning

Du kan konstruera ett plan genom den aktuella nollpunkten och parallellt med det aktiva arbetsplanet. (Indataelementen behöver inte anges.)

Så här konstruerar du ett uppriktningsplan:

1. Öppna dialogrutan Konstruera plan (Infoga | Element | Konstruera | Plan). Visa menykarta

2. Välj alternativet Uppriktning.

3. Markera inte några element.

4. Klicka på knappen Skapa.

Så här ser kommandoraden för det här alternativet ut i Redigeringsfönstret: KONSTR/PLAN,UPPRIKTA

Konstruera ett plan från en uppriktning


Konstruera ett bästanpassat plan (BA) eller bästanpassat plan med omkompensering (BAOMK)

Du kan konstruera ett "bästanpassat" plan från tre eller fler element. Med konstruktionsmetoden bästanpassning används de faktiskt mätta punkterna, i stället för kulans centrum (vilket sker vid bästanpassad med omkompensering). I båda fallen beräknas ett plan med minsta kvadrater, där genomsnittet av kvadraten på avståndet mellan datapunkterna och planet minimeras.

Så här konstruerar du ett bästanpassat plan (BA) eller bästanpassat plan med omkompensering (BAOMK):

  1. Öppna dialogrutan Konstruera plan (Infoga | Element | Konstruera | Plan). Visa menykarta

  2. Välj något av alternativen Bästanpassn. eller BA omkompens..

  3. Markera minst tre element.

Obs! Om du väljer BA omkompens. måste minst ett element vara en punkt.

  4. Klicka på Skapa.

Så här ser kommandoraden för det här alternativet ut i Redigeringsfönstret:

KONSTR/PLAN,BA,elem_1,elem_2, …

TA_BORT_EXTREMVÄRDEN/(PÅ | AV),sigmafaktor

FILTER/(PÅ | AV), VÅGLÄNGD=filtervåglängd

(Använder de faktiskt mätta punkterna för konstruktionen.)

eller

KONSTR/PLAN,BAOMK,elem_1,elem_2, …

TA_BORT_EXTREMVÄRDEN/(PÅ | AV),sigmafaktor

FILTER/(PÅ | AV), VÅGLÄNGD=filtervåglängd

(Använder mäthuvudets centrum vid mätning.)

Konstruera ett plan från 3 eller fler punkter

Mer:

Ta bort extremvärden / sigmafaktor

Använda ett Gaussfilter / filtervåglängd


Ta bort extremvärden / sigmafaktor

När du konstruerar ett bästanpassat plan (BA) eller ett bästanpassat plan med omkompensering (BAOMK) kan du välja att ta bort extremvärden baserat på avståndet från det bästanpassade elementet. På så vis kan du ta bort eventuella avvikelser som uppstår under mätprocessen.

Först sker en anpassning av ett plan till data, varefter de punkter som utgör extremvärden fastställs med hjälp av sigmafaktorn. Sedan sker följande:

  1. Det bästanpassade planet beräknas på nytt utan de borttagna extremvärdena.

  2. Det görs en ny kontroll av extremvärden.

  3. Det bästanpassade planet beräknas på nytt.

  4. Den här processen upprepas tills det inte finns några fler extremvärden eller tills planet inte går att beräkna (planet kan inte beräknas om det är färre än tre datapunkter).


Använda ett Gaussfilter / filtervåglängd

När du använder Konstruerat plan (BA) och Konstruerat plan med omkompensering (BAOMK) har du möjlighet att filtrera avvikelserna bland de mätta datapunkterna från det bäst passande planet som beräknas av mätta data. Med kryssrutan Använd Gaussfilter tillämpas ett Gaussfilter med en filtervåglängd. Allmänt gäller att ju längre filtervåglängden är, desto jämnare blir filtrerade data. Om du har markerat kryssrutan Ta bort extremvärden och filtrerar dina data, tas extremvärdena bort innan filtreringen sker. Mer information om Gaussfilter finns i Gauss i Konstruera en filtergrupp.


Konstruera ett plan (vid elementpunkt)

Du kan konstruera ett plan genom att ändra ett valfritt element till ett plan. Planet konstrueras vid indataelementets centroid.

  1. Öppna dialogrutan Konstruera plan (Infoga | Element | Konstruera | Plan). Visa menykarta

  2. Välj alternativet Elementpkt.

  3. Välj ett element av valfri typ.

  4. Klicka på Skapa.

Så här ser kommandoraden för det här alternativet ut i Redigeringsfönstret:
KONSTR/PLAN,TYNGDPKT,elem_1


Konstruera ett högsta punkt-plan

I PC-DMIS kan man endast konstruera ett högsta punkt-plan från en elementgrupp. Gruppen måste innehålla minst tre element.

Du kan konstruera ett högsta punkt-plan genom att använda element som bildar en grupp eller en områdesscanåtgärd.

Så här konstruerar du ett högsta punkt-plan:

  1. Öppna dialogrutan Konstruera plan (Infoga | Element | Konstruera | Plan). Visa menykarta

  2. Välj alternativet Högsta punkt.

  3. Markera tre eller fler element (du kan använda valfri typ av element). Du kan även använda en grupp som innehåller minst tre element eller en områdesscanåtgärd. Mer information finns i Konstruera en elementgrupp eller Utföra en avancerad områdesscanåtgärd i avsnittet Scanna detaljen.

  4. Klicka på Skapa.

  5. Först konstrueras ett bästanpassat plan av indataelementen. Sedan sker en rotering till det bästanpassade planet. Slutligen lokaliseras de tre högst liggande punkterna på det här planet (från de valda elementen), som används för att skapa högsta punkt-planet.

Indataelementens centroid som används för att konstruera högsta punkt-planet definierar tyngdpunkten. I PC-DMIS skapas ett andra plan automatiskt om tyngdpunkten inte ligger på det första högsta punkt-planet.

Så här ser kommandoraden för det här alternativet ut i Redigeringsfönstret:
KONSTR/PLAN, HÖGSTA,elem_1, elem_2, elem_3,. . .

Konstruera ett högsta punkt-plan


Konstruera ett medelplan

Du kan konstruera ett plan från två valfria element. Det resulterande planet (medelplanet) ligger lika långt ifrån två angivna elementens centroider.

Så här konstruerar du ett medelplan:

  1. Öppna dialogrutan Konstruera plan (Infoga | Element | Konstruera | Plan). Visa menykarta

  2. Välj alternativet Medelplan.

  3. Markera två element av valfri typ.

  4. Klicka på Skapa.

Så här ser kommandoraden för det här alternativet ut i Redigeringsfönstret:KONSTR/PLAN,MEDEL,elem_1,elem_2,

Konstruera ett plan från 2 plan

Det konstruerade planet och dess vektor är beroende av vilka indataelement som används:

· Om du väljer plan för båda indataelementen, kommer medelplanet att hamna där det genomskär den mindre inkluderade vinkeln mellan de två indataplanen.

· Om du inte väljer plan för båda indataelementen, kommer det konstruerade medelplanet att passera genom den punkt som ligger halvvägs mellan de två indataelementens centroider. Det konstruerade planets vektor löper från det första indataelementets centroid till det andra indataelementets centroid.


Konstruera ett offsetplan

Du kan konstruera ett plan på ett angivet avstånd från indataelementen.

Så här konstruerar du ett offsetplan:

  1. Öppna dialogrutan Konstruera plan (Infoga | Element | Konstruera | Plan). Visa menykarta

  2. Välj alternativet Offset.

  3. Markera minst tre element av valfri typ.

  4. Klicka på knappen Offset. Dialogrutan Planoffset öppnas.

Dialogrutan Planoffset

  5. Klicka på Beräkna nom och ange offsetvärden för de önskade elementen i offsetfältet, eller klicka på Beräkna offset och ändra de nominella värdena (se procedurerna nedan).

  6. Klicka på Beräkna för att beräkna antingen de nominella värdena eller offsetvärdena.

  7. Klicka på OK. Dialogrutan Planoffset stängs.

  8. Klicka på Skapa.

Ett plan itereras och skapas där det kortaste avståndet till varje indataelement från planet är motsvarande offsetvärde. Negativa offsetvärden tillämpas i samma allmänna riktning som punkterna mäts i. Positiva offsetvärden tillämpas i motsatt riktning till mätningen. Om det inte finns någon mätriktning (d.v.s. indatapunkterna är konstruerade) används det aktuella arbetsplanet för att fastställa den allmänna riktningen för offsetvärdenas tillämpning. Positiva offsetvärden tillämpas i det aktuella arbetsplanets tredje axels plusriktning. Negativa offsetvärden tillämpas i det aktuella arbetsplanets tredje axels minusriktning.

Obs!Offsetvärdets tecken (positivt eller negativt) styr vilken sida av indataelementen planet konstrueras. Om du får ett plan som är motsatsen till vad du förväntade dig, kan du ta bort det och konstruera om det med omvända tecken för de angivna elementen. Om offsetvärdena t.ex. är 1.0, 2.5 och 3.5 ändrar du dem till -1.0, -2.5 respektive -3.5.

Så här ser kommandoraden för det här alternativet ut i Redigeringsfönstret:

KONSTR/PLAN,OFFSET
ID=id1, id2, id3, …
OFFSET=värde1, värde2, värde3, …

Mer:

Ändra offsetvärden direkt för att beräkna nominella värden

Exempel på beräkning av nominella värden

Ändra nominella värden direkt för att beräkna offsetvärden

Exempel på beräkning av offsetvärden


Ändra offsetvärden direkt för att beräkna nominella värden

Så här anger du nya offsetvärden:

  1. Öppna dialogrutan Planoffset genom att klicka på knappen Offset i dialogrutan Konstruera plan (Infoga | Element | Konstruera | Plan). Visa menykarta

  2. I kolumnen Offset klickar du på värdet "0.000000" (eller det aktuella värdet) för att markera det.

  3. Klicka en gång till på offsetvärdet.

  4. Skriv in ett nytt värde.

  5. Tryck på RETUR-tangenten.

  6. Klicka på Beräkna för att uppdatera de nominella värdena med utgångspunkt från de offsetvärden du ändrat.

  7. Klicka på OK för att spara.


Exempel på beräkning av nominella värden

Med knappen Beräkna nom kan du beräkna nominella värden för X, Y och Z med utgångspunkt från nya offsetvärden som anges.

Vi antar att du konstruerar ett offsetplan mellan tre cirklar (CIR1, CIR2 och CIR3). Efter att du har markerat elementen och klickat på Offset har du följande nominella värden för X, Y och Z:

X = 6

Y = 2

Z = 0.95

Om du ändrar offsetvärdena med 3.0 för varje cirkel och klickar på Beräkna nom uppdateras värdena för X, Y och Z till:

X = 6

Y = 2

Z = 3.95

Om du sedan klickar på OK och konstruerar offsetlinjen ser du att den nya konstruerade linjen ligger 3.0 enheter högre längs med Z-axeln.

Planoffset gäller endast förskjutningen längs med Z-axeln.


Ändra nominella värden direkt för att beräkna offsetvärden

Så här anger du nya offsetvärden:

  1. Öppna dialogrutan Planoffset genom att klicka på knappen Offset i dialogrutan Konstruera plan (Infoga | Element | Konstruera | Plan). Visa menykarta

  2. Markera alternativknappen Beräkna offset. Området med nominella värden i dialogrutan blir redigerbar.

  3. Ändra värdena för XYZ eller IJK.

  4. Klicka på Beräkna för att uppdatera offsetvärdena med utgångspunkt från de nominella värden du ändrat.

  5. Klicka på OK för att spara.


Exempel på beräkning av offsetvärden

Med knappen Beräkna offset kan du beräkna de offsetvärden som visas i kolumnen Offset när du ändrar det nominella värdet.

Vi antar att du konstruerar ett offsetplan mellan tre cirklar (CIR1, CIR2, and CIR3). Efter att du har markerat elementen och klickat på Offset har du följande nominella värden för X, Y och Z:

X = 6

Y = 2

Z = 0.95

Om du ändrar de nominella värdena för X, Y och Z till:

X = 6

Y = 2

Z = 3.95

och klickar på Beräkna offset uppdateras de tre cirklarnas offsetvärden till:

3.000000 CIR1

3.000000 CIR2

3.000000 CIR3

Om du sedan klickar på OK och konstruerar offsetlinjen ser du att planet konstrueras 3.0 enheter högre längs med Z-axeln.


Konstruera ett parallellt plan

Du kan konstruera ett plan som ligger parallellt med två valfria element. I PC-DMIS skapas ett plan som ligger parallellt med det första indataelementet och som passerar genom centroiden i det andra indataelementet.

Så här konstruerar du ett parallellt plan:

  1. Öppna dialogrutan Konstruera plan (Infoga | Element | Konstruera | Plan). Visa menykarta

  2. Välj alternativet Parallell.

  3. Markera två element av valfri typ.

  4. Klicka på Skapa.

Så här ser kommandoraden för det här alternativet ut i Redigeringsfönstret:
KONSTR/PLAN,PLTILL,elem_1, elem_2

Konstruera ett parallellt plan genom användning av två plan

Konstruera ett parallellt plan genom användning av två linjer


Konstruera ett vinkelrätt plan

Du kan konstruera ett plan mellan två valfria element. I PC-DMIS skapas ett plan som ligger vinkelrätt mot det första indataelementet och som passerar genom det andra indataelementets centroid.

Så här konstruerar du ett vinkelrätt plan:

  1. Öppna dialogrutan Konstruera plan (Infoga | Element | Konstruera | Plan). Visa menykarta

  2. Välj alternativet Vinkelrätt mot.

  3. Markera två element av valfri typ.

  4. Klicka på Skapa.

Så här ser kommandoraden för det här alternativet ut i Redigeringsfönstret:
KONSTR/PLAN,PRTILL,elem_1, elem_2

Konstruera ett vinkelrätt plan


Ändra riktning på ett plan

Du kan konstruera ett plan med en omvänd vektor.

Så här konstruerar du ett omvänt plan:

  1. Öppna dialogrutan Konstruera plan (Infoga | Element | Konstruera | Plan). Visa menykarta

  2. Välj alternativet Omvänd.

  3. Markera ett element. Det måste vara ett plan.

  4. Klicka på Skapa.

Så här ser kommandoraden för det här alternativet ut i Redigeringsfönstret:
KONSTR/PLAN,OMV,elem_1


Automatisk kontruktion av plan

Så här kan du automatiskt fastställa bästa konstruktionsmetod:

  1. Öppna dialogrutan Konstruera plan (Infoga | Element | Konstruera | Plan). Visa menykarta

  2. Välj alternativet Auto i listan över alternativ.

  3. Markera önskat (önskade) element med utgångspunkt från nedanstående tabell:

  4. Klicka på Skapa.

I följande tabell visas vilken typ av plan som konstrueras när angivna indata väljs och du har valt alternativet AUTO. Ordningen på de valda elementen spelar inte någon roll. Om ett felaktigt indataelement väljs visas ett felmeddelande och den indikerade elementtypen konstrueras inte automatiskt.

Indataelement | Konstruerar
3 eller fler element som inte bara är mätta punkter = | Plan (BA)
1 plan = | Omvänt plan
Valfritt element = (med undantag för plan/grupp) | Plan (vid elementpunkt)
Valfri grupp = | Bästanpassat plan (BA)
Alla är mätta punkter = | Bästanpassat plan med omkompensering (BAOMK)


Konstruera ett spårelement

Dialogrutan Konstruera spår

I PC-DMIS finns bara ett sätt att konstruera ett spår. Ett spår definieras av två cirklar. Nedanstående tabell visar indatavärden för spåret och definitionerna i redigeringsprogrammet.

TYP AV KONSTRUKTIONSELEMENT | SYMBOL I REDIGERINGSFÖNSTRET | ANTAL INDATAELEMENT | ELEM. 1: | ELEM. 2: | KOMMENTAR
Spår | RUNDAT SPÅR | 2 | Cirkel | Cirkel | Konstruerar ett spår på den första cirkelns plan, från centrum till centrum.

Obs! Om du markerar olämpliga elementtyper visas meddelandet "Kan inte konstruera [element]. Kombination av inmatade element stöds inte." i statusfältet.

Det runda spår som konstrueras av två cirklar definieras huvudsakligen av den första cirkeln som du markerar. Spåret konstrueras på samma plan som den första cirkeln. Spårets bredd bestäms också av den första cirkelns diameter. Den andra cirkeln används endast för att bestämma spårets längd. Längden är avståndet från den första cirkelns centrum till den andra cirkelns centrum, plus den första cirkelns diameter.

Om de två indatacirklarna inte ligger på samma plan projiceras den andra cirkeln vinkelrätt på den första cirkelns plan. Avståndet beräknas sedan från den första cirkelns centrum till den projicerade andra cirkelns centrum.

Så här konstruerar du ett spår:

  1. Öppna dialogrutan Konstruera spår (Infoga | Element | Konstruera | Spår). Visa menykarta

  2. Markera de två elementen. De måste vara av elementtypen cirkel.

  3. Klicka på Skapa.

Så här ser kommandoraden för ett rundat spår ut i Redigeringsfönstret:
KONSTR/SPÅR,RUNDATSPÅR,elem_1,elem_2

Obs! Rundat spår är den enda tillgängliga konstruktionsmetoden.

Följande är ett exempel på kommandoraden för en spårkonstruktion i Redigeringsfönstret:
elementnamn=ELEMENT/SPÅR,ALT1,ALT2
TEOR/x-koord,y-koord,z-koord,i-vektor,j-vektor,k-vektor,bredd,längd
MÄTT/x-koord,y-koord,z-koord,i-vektor,j-vektor,k-vektor,bredd,längd
KONSTR/ALT3,RUNDATSPÅR,

Obs! Rapporten över mätta värden visas i VERSALER.

ALT1 = POL eller REKT

ALT2 = IN eller UT

ALT3 = SPÅR

Mer:

Spår In/Ut


Spår In/Ut

Med alternativen In och Ut kan du instruera PC-DMIS att konstruera spåret som ett internt eller externt spår.

· Om du väljer In konstrueras spåret som ett internt spår.

· Om du väljer Ut konstrueras spåret som ett externt spår.


Konstruera en kurva

Dialogrutan Konstruera kurva

Dialogrutan Konstruera kurva

I PC-DMIS finns det två typer av konstruerade kurvor (oberoende kurvor och beroende kurvor). Följande tabell visar de två kurvorna, tillsammans med respektive nödvändiga indata. Samtliga kurvor kräver en grupp som indata. Gruppen kan vara en mätt grupp, en konstruerad grupp eller en scanning. Indatagruppen måste innehålla minst fyra element (eller indatapunkter om det är en scanning).

TYP AV KONSTRUKTIONSELEMENT | SYMBOL I REDIGERINGSFÖNSTRET | ANTAL INDATAGRUPPER | INDATA 1 | KOMMENTAR
Beroende kurva | BEROENDE | 1 | Grupp innehållande minst 4 indata | Kurvan uppdateras med ändringar i indataelement Obs! När du redigerar en kurva ändras en beroende kurva till en oberoende kurva.
Oberoende kurva | OBEROENDE | 1 | Grupp innehållande minst 4 indata | Indataelement används endast till konstruktion. Användaren kan redigera kurvans kontrollpunkter manuellt.

Så här ser kommandoraden för konstruktionen av en exempelkurva med en beroende kurvtyp ut i Redigeringsfönstret:

elementnamn

=ELEMENT/KURVA, BEROENDE, antal_kontrollpunkter, antal_indataelement, noggrannhetsparameter

KONSTR/KURVA,INDATATYP, indata-ID

Så här ser kommandoraden för en oberoende kurvtyp ut i Redigeringsfönstret:

elementnamn

=ELEMENT/KURVA, OBEROENDE, antal_kontrollpunkter, antal_indataelement, noggrannhetsparameter

KONSTR/KURVA,

antal_kontrollpunkter = Det här är antalet kontrollpunkter som definierar kurvan. Med många kontrollpunkter kan du få kurvan att närmare passera genom elementen, men alltför många kan leda till oväntade resultat.

antal_indataelement = Det här är antalet element som kurvan ska försöka passa.

Obs! De här två parametrarna kan inte redigeras i Redigeringsfönstret.

indata-ID = Det här är ID:t på gruppen som innehåller det element som ska passas.

noggrannhetsparameter = Det här beskrivs i ämnet Noggrannhetsparametrar nedan.

Obs! Rapporten över mätta värden visas i VERSALER.

Mer:

Konstruera en boeronde/oberoende kurva

Noggrannhetsparametrar


Konstruera en beroende/oberoende kurva

Obs! Om du markerar olämpliga elementtyper visas meddelandet "Kan inte konstruera [element]. Kombination av inmatade element stöds inte." i statusfältet.

Så här konstruerar du en kurva:

  1. Öppna dialogrutan Konstruera kurva (Infoga | Element | Konstruera | Kurva). Visa menykarta

  2. Ange den önskade gruppen.

  3. Ange värdet i rutan Noggrannhetstolerans.

  4. Redigera kontrollpunkterna vid behov.

  5. Klicka på Skapa.

Alla konstruerade kurvor börjar som BEROENDE kurvor och måste konstrueras utifrån en indatapost, en grupp. Gruppen kan vara en av tre typer:

  • En mätt grupp

  • En konstruerad grupp

  • En scan som innehåller en enda rad punkter. (Se Konstruera en elementgrupp.)

Indatagruppen måste innehålla minst fyra element eller punkter (om det är en scan).

Obs! Den kurva som som blir resultatet är beroende av den ordning i vilken elementen läggs till i gruppen (första till sista).

Du kan även konstruera en kurva genom att helt enkelt markera flera element i listrutan med element i stället för att välja en konstruerad grupp från listan. I så fall blir kommandots fält för INDATATYP tomt när kommandot visas i Redigeringsfönstret.

Följande stycken beskriver de tillgängliga alternativen när du vill konstruera en kurva:

Mer:

Noggrannhetstolerans

Kontrollpunkt

Lista över kontrollpunkter


Noggrannhetsparametrar

Du kan använda en av två typer av noggrannhetsparametrar, antingen Noggrannhetstolerans eller Noggrannhetssproportion. Med kryssrutan Användartoleranser i dialogrutorna Konstruera yta och Konstruera kurva kan du växla mellan antingen tolerans eller proportion:

  • Noggrannhetstolerans styr tätheten (eller exaktheten) på kurvans eller ytans anpassning. Giltiga noggrannhetstoleranser varierar från 0.0 till 5.0, medan standardvärdet är 0.01. Ju mindre noggrannhetstolerans, desto närmare kommer kurvan att passera genom centroiderna på de element som ingår i indatagruppen. Om noggrannhetstoleransen är 0.0 passerar kurvan eller ytan genom alla centroiderna. En större noggrannhetstolerans resulterar i en kurva eller yta med färre fluktuationer (på bekostnad av att inte ligga nära indatagruppens element). Du kan själv se hur detta fungerar genom att konstruera en kurva eller yta, ändra indatatoleransen och sedan granska hur formen ändras.

  • Alternativt kan du använda Noggrannhetssproportion för att styra passningens kvalitet. Giltiga noggrannhetssproportioner varierar mellan 0.0 och 1.0, medan standardvärdet är 0.33. Noggrannhetssproportionen styr hur många frihetsgrader som finns vid anpassning av kurvan eller ytan efter centroiderna. Vid den lägre änden, 0, görs ett försök med algoritmen att anpassa en rak linje eller ett plan till centroiderna. Vid värdet 1 beräknas en anpassning som passerar genom samtliga centroider.

Så här gör du en BEROENDE kurva OBEROENDE (så att den inte längre kopplas till indatauppsättningen):

1. Öppna Redigeringsfönstret

2. Välj det kurvelement som du konstruerat.

3. Navigera till det elementets BEROENDE-fält.

4. Tryck på F7. Kurvan ändras från att vara BEROENDE till att vara OBEROENDE.

Du kan ändra kurvans form genom att redigera dess kontrollpunkter.


Kontrollpunkt

Om du väljer en befintlig kurva visas även en lista över kontrollpunkter i dialogrutans lista över Kontrollpunkter. När du markerar en av kontrollpunkterna visas tillhörande värden i rutorna X, Y och Z så att de kan redigeras.

Så här redigerar du de här kontrollpunkterna:

  1. Kontrollera att ett kurvelement redan finns.

  2. Öppna Redigeringsfönstret.

  3. Markera kurvan i Redigeringsfönstret.

  4. Tryck på F9 för att öppna dialogrutan Kurva.

  5. Markera den kontrollpunkt som du vill ändra i listan Kontrollpunkter.

  6. Redigera punktens enskilda X-, Y- och Z-komponenter.

  7. Klicka på OK.

Kurvan uppdateras med ändringarna.

Obs! Om du redigerar kontrollpunkterna på en beroende kurva blir den en oberoende kurva, eftersom den inte längre baseras på indatauppsättningen.


Lista över kontrollpunkter

Listan över Kontrollpunkter visas endast när en befintlig kurva har kopplats till dialogrutan. Om en kurva finns och du vill ändra den kurvans kontrollpunkter, visas kurvans samtliga kontrollpunkter i listan Kontrollpunkter.


Konstruera en yta

Dialogrutan Konstruera yta

Dialogrutan Konstruera yta

I PC-DMIS finns det två typer av konstruerade ytor (oberoende ytor och beroende ytor). I följande tabell visas de två ytorna, tillsammans med respektive nödvändiga indata. De enda indata som kan användas till ytan är en områdesscanåtgärd. Scanåtgärden måste innehålla minst två rader med fyra punkter per rad.

Obs! I framtida versioner kommer du att kunna använda punktmoln för att konstruera ytor.

TYP AV KONSTRUKTIONSELEMENT | SYMBOL I REDIGERINGSFÖNSTRET | ANTAL INDATAGRUPPER | INDATA 1 | KOMMENTAR
Beroende yta | BEROENDE | 1 | Områdesscanåtgärd som innehåller minst 2 rader med 4 punkter per rad | Ytan uppdateras med ändringar i indataelement
Oberoende yta | OBEROENDE | 1 | Områdesscanåtgärd som innehåller minst 2 rader med 4 punkter per rad. | Indataelement används endast till konstruktion

Obs! Om du markerar olämpliga elementtyper visas meddelandet "Kan inte konstruera [element]. Kombination av inmatade element stöds inte." i statusfältet.

Så här konstruerar du en yta:

  1. Öppna dialogrutan Konstruera yta (Infoga | Element | Konstruera | Yta). Visa menykarta

  2. Ange den önskade områdesscanåtgärden.

  3. Markera de olika konstruktionsalternativen.

  4. Klicka på Skapa.

Följande är ett exempel på kommandoraden för en ytkonstruktion i Redigeringsfönstret:
elementnamn=ELEMENT/YTA,ALT1,KONTROLLPUNKTER U,
KONTROLLPUNKTER V, ANTAL INPASSNINGSPUNKTER,ALT2
NOGGRANNHETSPARAMETER U, NOGGRANNHETSPARAMETER V
KONSTR/YTA, INDATATYP, INDATA_ID

Obs! Rapporten över mätta värden visas i VERSALER.

Standardkonstruktionsmetoden är BEROENDE.

ALT1 = Beroende eller Oberoende.

ALT2 = Tolerans eller Proportion

Följande stycken beskriver de tillgängliga alternativen när du vill konstruera en yta:

Mer:

Konstruera en beroende/oberoende yta

Noggrannhetsparametrar


Konstruera en beroende/oberoende yta

Alla konstruerade ytor börjar som beroende ytor och måste konstrueras utifrån en indatapost, en områdesscanåtgärd. Områdesscanåtgärden måste innehålla minst två rader med fyra punkter per rad. Noggrannhetstoleranser avänds för att styra ytpassningens täthet.

  • Små toleranser: Om du använder små noggrannhetstoleranser görs ett försök med algoritmen att passa ytan genom alla punkterna i scanåtgärden.

  • Stora toleranser: Om du använder stora noggrannhetstoleranser blir ytan mer av en approximation till scanåtgärden. Det bästa sättet att se hur det fungerar i verkligheten är att konstruera en yta och sedan ändra noggrannhetstoleranserna och notera hur ytans form ändras.

Obs! Ju mindre noggrannhetstoleranser, desto längre tid tar det att skapa ytan. Tänk på att det vid små toleranser (.01 - .05) kan ta mycket lång tid (en timme) att skapa ytan om indatascanåtgärden är stor eller inte fungerar helt rätt. Giltiga noggrannhetstoleranserer varierar från 0.01 till 5.0, medan standardvärdet är 0.5.

Du kan styra ytans utseende genom täthetsvärden för ytrutnätet. Ytan visas som ett rutnät med N x M antal linjer. Som standard används ett 5x5 rutnät och det lägsta värdet är ett 2x2-rutnät. Om du vill göra en beroende yta oberoende så att den inte längre kopplas med indatascanåtgärden ändrar du fältet BEROENDE i Redigeringsfönstret.

Obs! Du kan inte ändra ytans form.

Så här konstruerar du en beroende/oberoende yta:

  1. Öppna dialogrutan Konstruera yta (Infoga | Element | Konstruera | Yta). Visa menykarta

  2. Ange värdet i rutan Noggrannhetstolerans U:

  3. Ange värdet i rutan Noggrannhetstolerans V: . Med det här tillämpar du ett toleransvärde på V-axeln.

  4. Ange värden för ytans rutnätstäthet.

  5. Markera kryssrutan för de önskade konstruktionsalternativen. Bland dessa finns:

  • Optimera yta

  • Använd spänningsfaktor

  • Skapa hörn

  • Utjämna extremvärden

  6. Markera en elementgrupp för områdesscanåtgärd som innehåller minst två rader med fyra punkter per rad.

  7. Klicka på Skapa.

Mer:

Noggrannhetstolerans

Noggrannhetstolerans U

Noggrannhetstolerans V

Täthet, rutmönster

Optimera yta

Använd spänningsfaktor

Skapa hörn

Utjämna extremvärden


Noggrannhetsparameter U

I den här rutan kan du ange ett noggrannhetsparametervärde som ska gälla för ytans U-axel.


Noggrannhetsparameter V

I den här rutan kan du ange ett noggrannhetsparametervärde som ska gälla för ytans V-axel.


Täthet, rutmönster

I den här rutan kan du ange tätheten på en ytscanåtgärd. Ju högre värde du anger desto fler splines kommer det att bli.


Optimera yta

Kontrollpunkter är punkter som markerar start- och slutpunkter för splines i ett ytrutnät.

Om du markerar den här kryssrutan görs ett försök att optimera de ursprungliga splines knutar och kontrollpunkter från vilka ytan kommer att konstrueras.

Ytrutnät med kontrollpunkter, knutar och splines.


Använd spänningsfaktor

Ytor som skapas med kryssrutan Anv. spänningsfakt tenderar att vara täta och korta, men kanske inte passar dina data lika noggrannt.


Skapa hörn

Med den här kryssrutan kan du lägga till hörn på ytan vid de platser där abrupta riktningsändringar visas i data.


Utjämna extremvärden

Med den här kryssrutan kan du försöka ta bort extremvärden. Extremdata är sådana data som ändrar riktningen abrupt. Det här alternativet är motsatsen till Skapa hörn.


Konstruera en elementgrupp

Dialogrutan Konstruera elementgrupp

Med menyalternativet Grupp kan du konstruera en elementgrupp. Det gör du genom att markera (eller ange med tangentbordet) alla de element som ska ingå i gruppen. När du klickar på Skapa beräknas medelvärdet av alla indatas centroider och en gruppmarkör visas, tillsammans med gruppens nya ID.

Obs! Om du markerar olämpliga elementtyper visas meddelandet "Kan inte konstruera [element]. Kombination av inmatade element stöds inte." i statusfältet.

Så här konstruerar du en elementgrupp:

  1. Öppna dialogrutan Konstruera elementgrupp (Infoga | Element | Konstruera | Grupp). Visa menykarta

  2. Markera de element som du vill ska ingå i elementgruppen.

  3. Klicka på Skapa. Den nya elementgruppen får ett element-ID och placeras i Grafikfönstret.

Följande är ett exempel på kommandoraden för en ytkonstruktion i Redigeringsfönstret:
elementnamn=ELEMENT/GRUPP,ALT1,
TEOR/x-koord,y-koord,z-koord,i-vektor,j-vektor,k-vektor,
MÄTT/x-koord,y-koord,z-koord,i-vektor,j-vektor,k-vektor,
KONSTR/ALT2,elem_1, elem_2, elem_3...

ALT1 = POL eller REKT

ALT2 = GRUPP

De första tre raderna som visas i Redigeringsfönstret är desamma för konstruerade grupper. Den fjärde raden kan vara något annorlunda, beroende på vilken typ av element som ingår i gruppen.

För närvarande kan grupper användas på två sätt i PC-DMIS:

Mer:

Profilfel från en grupp

Genomsnittsvärden från en grupp

Använda ett mätpunktsintervall från en scanåtgärd som indata


Profilfel från en grupp

Om du använder CAD-data kan du konstruera en grupp från mätta punkter på en yta. När du frågar efter elementgruppens PROFIL, rapportera zonen mellan det minimala normal till ytfelet och det maximala normal till ytfelet. (Mer information finns i Utvärdera yt- eller linjeprofil i avsnittet Utvärdera element.)


Genomsnittsvärden från en grupp

När du skapar en grupp av indataelement, beräknas indataelementens genomsnittsvärden av X-, Y- och Z-värdena. Du kan till exempel använda gruppen för att få fram det genomsnittliga Z-värdet i en serie mätta punkter.


Använda ett mätpunktsintervall från en scanåtgärd som indata

Från och med version 3.6 kan du använda ett mätpunktsintervall från en befintlig scanåtgärd som indata för din elementgrupp, i stället för att behöva välja enskilda element.

Så här gör du:

1. Öppna dialogrutan Konstruera elementgrupp.

2. Välj en scanåtgärd som du vill använda som indata.

3. Klicka på OK. Kommandot visas i Redigeringsfönstret.

4. Sätt Redigeringsfönstret i kommandoläge.

5. Navigera fram till elementgruppskommandot i Redigeringsfönstret.

6. Ange scan-ID:t på kommandoraden KONSTR/GRUPP.

7. Ändra scan-ID:t till att omfatta ett mätpunktsintervall med ett syntax som följande:

<ID>.MÄTPUNKT<STARTMÄTPUNKT>..<SLUTMÄTPUNKT>

<ID> - Anger scanåtgärdens ID.

<STARTMÄTPUNKT> - Siffra som anger den första mätpunkten i mätpunktsintervallet.

<SLUTMÄTPUNKT> - Siffra som anger den sista mätpunkten i mätpunktsintervallet.

Följande exempelkod visar en konstruerad grupp som använder som indataelement mätpunkterna 1 till 10 från en scanåtgärd som heter SCN1.

GRUPP1 =ELEMENT/GRUPP,REKT
TEOR /2.2953,3.7467,0.95,0,0,1
MÄTT /2.2953,3.7467,0.95,0,0,1
KONSTR/GRUPP,BASIC,SCN1.MÄTPKT[1..10],,

Du kan använda ett faktiskt uttryck (liknande indatakoden) för att tilldela X-värden till de första fem elementen i den konstruerade gruppen i en array. Följande kodexempel kan tilldela X-värdena för de första fem mätpunkterna till variabeln V2 och sedan visa värdena i en operatörskommentar.

TILLDELA/V2 = GRUPP1.MÄTPKT[1..5].X
KOMMENTAR/OPER,JA,V2 är:
,V2

Mer information om hur du använder uttryck för att returnera ett mätpunktsintervall som en array finns i Mätpunktsarrayer i avsnittet Använda uttryck och variabler.


 Standard Deviation Multiple box Cutoff Wavelength box Smoothing Parameter box Polar option Cuttoff Frequency box Filter Width box Constructing a BF or BFRE Cylinder Close button Create button Clear button Remove Outliers check box Linear option Feature List box Select Last # Search ID ID

Konstruera en filtergrupp

Dialogrutan Konstruera filterelement

Med det här kommandot kan du konstruera en filtergrupp från en scanåtgärd, vissa konstruerade element eller en annan filtergrupp. Du gör detta genom att markera (eller skriva in) indataelementet, vilken typ av filter du önskar använda samt filtrets parametrar. När du klickar på Skapa tillämpas filtret på dina data i indataelementet och en gruppmarkör visas, tillsammans med gruppens nya ID.

Det här kommandot används normalt för att jämna ut kulcentrumdata från en scanåtgärd. I PC-DMIS används ett Gaussfilter på låg nivå eller något annat lågnivåfilter för att jämna ut data.

Obs! Om du markerar olämpliga elementtyper visas ett felmeddelande om att elementet inte kan konstrueras.

Så här konstruerar du en filtergrupp:

  1. Öppna dialogrutan Konstruera filterelement (Infoga | Element | Konstruera | Filter). Visa menykarta

  2. Markera indata för filtergruppen.

  3. Markera något av alternativen Polär eller Linjär , beroende på om du vill jämna ut cirkel- eller linjedata.

  4. Välj filtertyp i listan Filtertyp.

  5. Ange värden för någon av filterparametrarna.

  6. Om du vill ta bort extremvärden innan du filtrerar markerar du kryssrutorna Ta bort extremvärden och Sigmafaktor.

  7. Klicka på Skapa.

Så här ser kommandoraden för det här alternativet ut i Redigeringsfönstret:
KONSTR/GRUPP/FILTER,ALT1,ALT2,elem_1,
VÄRDE1,VÄRDE2,TA_BORT_EXTREMVÄRDEN/ALT3,VÄRDE3

Exempel:

KONSTR/GRUPP,FILTER,GAUSS,POLÄR,SCN1,
BREDD=3,UPR =50,TA_BORT_EXTREMVÄRDEN/PÅ,3

ALT1 = Gauss / Spline / Enhetlig / Triangel / Cylindrisk

ALT2 = Polär / Linjär

Elem_1 = Det här är filtrets indataelement.

VÄRDE1 = Filterbredd.

VÄRDE2 = Filterfrekvens i vågor per varv (UPR).

ALT3 = Det här värdet kan växlas mellan PÅ och AV. Med det här värdet kan du bestämma huruvida du vill ta bort extremvärden innan du tillämpar filtret.

VÄRDE3 = Sigmafaktor. Om ALT3 har värdet PÅ kommer alla punkter i indata som har mer än det här antalet standardavvikelser från minsta kvadratersättningelementet (t.ex. en cirkel eller linje) att tas bort innan filtret tillämpas.

Alternativen i den här dialogrutan diskuteras nedan.

Mer:

Alternativet Linjär

Alternativet Polär

Listan Filtertyp

Rutan Filterbredd

Rutan Filtervåglängd

Rutan Filterfrekvens

Rutan Utjämningsfaktor

Kryssrutan Ta bort extremvärden

Rutan Sigmafaktor


Alternativet Linjär

Med alternativet Linjär kan du filtrera data i ett element som inte är en cirkulär scanåtgärd. De avvikelser som påverkas i det här fallet ligger vinkelrätt mot arbetsplanet.

Obs! När du använder linjära filter kan antalet punkter i filtergruppen vara mindre än antalet indatapunkter. De punkter i båda ändar (vänster eller höger) för vilka det inte finns tillräckliga data tas bort. Se Rutan Filterbredd för information om hur du beräknar en giltig utdatapunkt.


Alternativet Polär

Med alternativet Polär kan du tillämpa ett filter på data i en cirkulär scanåtgärd. Dessa data antas vara periodiska (d.v.s. de formar en fullständig, sluten cirkel). De avvikelser som påverkas i det här fallet är radiella.


Listan Filtertyp

Med listan Filtertyp kan du välja bland följande filtertyper:

  • GAUSS

  • SPLINE

  • ENHETLIG

  • TRIANGEL

  • CYLINDRISK

Om du väljer GAUSS, ENHETLIG eller TRIANGEL, är arbetsplanet kritiskt. Följande gäller för de här tre filtertyperna:

Om du väljer alternativet Linjär sker filtreringen i arbetsplanets normalriktning (d.v.s. vinkelrätt).

Om du väljer alternativet Polär sker filtreringen i radiell riktning inom arbetsplanet.

Mer:

Gaussfilter

Spline

Enhetlig

Triangel

Cylindrisk


Gaussfilter

Gaussfilteralternativet är det mest använda filteralternativet.

Med filteralternativet Gaussfilter kan du jämna ut data genom att tillämpa ett linjärt eller polärt gaussfilter på låg nivå på dem, i enlighet med ISO-standarden 11562. Mängden utjämning styrs av värdena för Filtervåglängd, Filterfrekvens eller Filterbredd.

Vid ett polärt Gaussfilter bör data komma från en fullständig cirkelscanåtgärd, med radiella avvikelser. En partiell cirkelscanåtgärd kommer inte att fungera korrekt med det här filtret. Det cylindriska filtret är lämpligt vid en partiell cirkelscanåtgärd.

Vid ett linjärt Gaussfilter, bör data ligga nominellt i ett plan och avvikelserna vara vinkelräta mot planet. För det här filtret anges filtervåglängden i längdenheter. Följande stycken beskriver hur ett linjärt Gaussfilter fungerar:

  • Filtret uppskattar punktavståndsdeltat som det genomsnittliga avståndet mellan 3D-punkternas X- och Y-koordinater. Avstånden mellan dessa bör vara jämna och ligga i samma plan. Z-koordinaterna jämnas ut.

  • Om utjämningsfaktorn är
    m = filterbredd     (d.v.s. det jämnaste värdet ligger i mitten av de 2m+1 punkter som används i ett viktat genomsnitt, med början vid punkt m), beräknas filtervåglängdens lambda som:

lambda = m * delta / konst,(där konst är en numerisk konstant.)

  • Om indataparametern är lambda = filtervåglängden, beräknas filterbreddens m som:

m = lambda * konst / delta (eller snarare nästa högre heltalsvärde).

Alltså använder filtervåglängden samma enheter som punktavståndet, medan filterbredden är ett rent tal.


Spline

Med filteralternativet Spline kan du jämna ut data genom att tillämpa en utjämningsspline på dem. Värdet för Utjämningsfaktor styr hur mycket utjämning som sker. Men om du vill använda det "optimala" värdet som beräknas med den generaliserade korsvalideringsteknik (GKV), bör du ange värdet 0 här. Filteralternativet Spline är ett 3D-filtreringsalternativ som påverkar avvikelser i alla riktningar som ligger vinkelrätt mot linjen.

Så här fungerar det: Splinefiltret anpassar en splineapproximering till dina data och gör ett nytt stickprov. På så vis utjämnas data i alla riktningar, inte bara radiellt eller vinkelrätt mot arbetsplanet. Denna anpassade spline är en naturlig utjämningsspline. Den har en parameter som skapar ett mellanting mellan att intepolera data, d.v.s. försöka passera genom varje datapunkt, vilket behåller alla oscillationer, och att approximera data med en successivt jämnare spline, på så vis att oscillationerna dämpas. Utjämningsfaktorns två extremer är en interpolator (med alla de ursprungliga oscillationerna) och en rak linje. Om du ger splinefiltret värdet noll, resulterar de i en spline som (asymptotiskt) minimerar det förväntade minsta kvadratfelet mellan den och den underliggande okända kurvan. Normalt bör du använda värdet noll, eftersom det tar bort bruset men lämnar den underliggande formen tämligen intakt.

Matematisk information: Eftersom intresseområdet för den faktiska (interna) utjämningsfaktorns lambda normalt ger upphov till små värden, accepteras följande i dialogrutan Konstruera filterelement

-log10(lambda).

Med andra ord, i stället för att ange 1-e-6, anger du helt enkelt 6. Du får mer utjämning med mindre värden på utjämningsfaktorn. Till exempel ger splinefiltervärdet 5 ger dig mer utjämning än värdet 6.


Enhetlig

Med filteralternativet Enhetlig kan du filtrera data genom att beräkna ett genomsnitt av alla punkter i ett rörligt fönster. Du kan ange fönstrets bredd med något av värdena Utjämningsfaktor eller Filterbredd.

Om Filterbredd-värdet är m, blir fönstret 2m * delta brett, där delta är avståndet mellan punkter.


Triangel

Med filteralternativet Triangel kan du filtrera data genom att viktat rörligt genomsnitt av alla punkter i ett rörligt fönster. Viktningarna bestäms av en triangelfunktion med höjdpunkten i mitten av fönstret. Du kan ange fönstrets bredd med något av värdena Utjämningsfaktor eller Filterbredd.

Om Filterbredd-värdet är m blir fönstret 2m * delta brett, där delta är avståndet mellan punkter.


Cylindrisk

Med filteralternativet Cylindrisk kan du filtrera data i en spiralscanåtgärd eller en cirkulär scanåtgärd som mer eller mindre täcker en fullständig cirkel. Avvikelserna är i det här fallet radiella. Eftersom data inte anses vara periodiska (d.v.s. de bildar inte en fullständig, sluten cirkel) kommer ett antal punkter som är lika med filterbredden i början och slutet på scanåtgärden att saknas från filtergruppen.


Rutan Filterbredd

Filterbredd-värdet är en valfri utjämningsfaktor för alla filtertyper utom Spline-filtret. Värdet i den här rutan bestämmer antalet datapunkter som används för att filtrera till höger och vänster om varje utjämnad datapunkt. Om Filterbredd-värdet t.ex. är m, blir fönstret 2m * delta brett, där delta är avståndet mellan punkter. Standardvärdet för den här parametern är 3.

Du kan ange noll eller valfritt positivt tal som värde.

  • Om inget värde anges (eller om värdet är noll) kommer värdet för Filterfrekvens eller Filtervåglängd att användas för att ange utjämningen.

  • Om värdet för antingen Filterfrekvens eller Filtervåglängd är ett positivt värde som är större än noll, kommer filterfrekvensens motsvarande filterbredd att visas.

  • Om inget värde har angetts (eller om värdet är noll) i Filterbredd och Filterfrekvens eller Filtervåglängd kommer inte data att filtreras.

Värdet för Filterbredd bestämmer också hur många punkter som kommer att saknas från filtergruppen vid linjär filtrering. De punkter som inte har tillräckliga data till höger eller vänster för att fylla datafönstret tas bort.

Obs! Ett lågnivåfilter, alltså ett filter som filtrerar bort högfrekvent brus men som släpper igenom former och vågor med låga frekvenser, fungerar så att det ersätter värdet vid en datapunkt med ett viktat genomsnitt av värdena hos en sekvens av grannvärden.. Med t.ex. ett Gaussfilter anger Filterbredd hur många punkter till vänster och höger om en punkt som inkluderas i det viktade genomsnittet. Viktningarna (som är positiva och har det sammanlagda värdet 1) är värden för en gaussisk distributionsfunktion (även kallad en normalfördelningskurva). Om Filterbredd är m ligger den utjämnade punkten i mitten av de 2m+1 punkter som används i det viktade genomsnittet. Om data är periodiska kommer punkterna att fortsätta fån början och det kommer alltid att finnas tillräckligt många punkter till vänster och höger om en punkt för att beräkna det här genomsnittet. Detta är fallet för ett polärt filter. Men vid ett linjärt filter har inte de första och sista m punkterna tillräckligt många angränsande punkter för att beräkna det fullständigt viktade genomsnittet, varför de här punkterna utelämnas från den filtrerade datauppsättningen.


Rutan Filtervåglängd

Med värdet i rutan Filtervåglängd kan du ange ett tröskelvärde för våglängdsoscillationerna i data, under vilket oscillationernas amplitud kommer att reduceras när du tillämpar ett linjärt Gaussfilter.


Rutan Filterfrekvens

Med värdet i rutan Filterfrekvens kan du ange ett gränsvärde för "vågor per varv" (eller UPR ) i cirkeldata, ovanför vilket frekvensamplituderna i data kommer att reduceras när du tillämpar ett polärt Gaussfilter eller ett cylindriskt filter.


Rutan Utjämningsfaktor

Med värdet Utjämningsfaktor styr du graden av utjämning som tillämpas på data för splinefilter, enhetliga filter och triangelfilter.

För splinefiltret är det bäst att ange värdet 0 för att indikera att det värde som beräknas via GCV ska användas. Det beräknade värdet ersätter sedan den här nollan i Redigeringsfönstret.

För enhetliga filter och triangelfilter representerar utjämningsfaktor hälften av bredden på det fönster som används i det (viktade) rörliga genomsnittet.


Kryssrutan Ta bort extremvärden

Om du markerar kryssrutan Ta bort extremvärden görs ett försök att ta bort alla punkter som ligger på visst antal standardavvikelsers avstånd från ersättningelementet (normalt en cirkel eller en linje). Du anger antalet standardavvikelser i rutan Sigmafaktor. Se Rutan Sigmafaktor.

Borttagning av extremvärden liknar filtrering:

Om du väljer alternativet Linjär baseras borttagning av extremvärden på 3D-avståndet från den aktuella punkten till linjen (en bästanpassad linje genom data).

Om du väljer alternativet Polär sker borttagning av extremvärden i radiell riktning (parallellt med arbetsplanet).


Rutan Sigmafaktor

Med Sigmafaktor-värdet kan du bestämma hur många standardavvikelser från ersättningselementet (minsta kvadrater) som punkter ska anses utgöra extremvärden. Standardvärdet är 3.


Konstruera ett justerat filter

Med konstruktionstypen Elementanpassat filter kan du justera scandata som samlats in vid scanåtgärder runt följande geometriska element:

  • Sfär

  • Kon

  • Cylinder

Dessa scanåtgärder görs normalt med ett analogt mäthuvud, t.ex. SP600. Om du t.ex. tänker dig en scanåtgärd runt den översta fjärdedelen av en sfär får du i idealfallet punkter som ligger inom ett plan som genomskär sfären på följande sätt:

Men i verkligheten är det omöjligt att få alla punkter att ligga inom samma skärningsplan när mäthuvudet scannar sfären, på grund av CMM-maskinens naturligt flytande upp-och nedrörelser.

Med konstruktionen Elementanpassat filter kan du ta befintliga scannade punkter och kan, med hjälp av elementets kända matematiska egenskaper, bättre kompensera de punkter som samlas in under mätprocessen och justera dem så att de ligger närmare skärningsplanet. Det gör du i dialogrutan Elementanpassat filter. Du öppnar den här dialogrutan genom att välja menyalternativet Infoga | Element | Konstruera | Elementanpassat filter.

Dialogrutan Elementanpassat filter

Dialogrutan Elementanpassat filter

Objekt i dialogrutan | Beskrivning
Elementtyp | Det här definierar det element som scannas. Du kan endast välja Sfär, Kon eller Cylinder.
Filtertyp | Det här definierar den typ av filter som används. Du kan välja Axiell eller Radiell (används för kon- och cylinderelement).
Element | Med det här kan du definiera information om elementet. XYZ – Elementets nominella position. IJK – Elementets normalvektor. Radie/vinkel – Det här anger sfärens eller cylinderns radie, eller konens vinkel.
Skärningsplan | I det här området kan du definiera genomskärningsplanets position och vektor. XYZ – Position på skärningsplanet XYZ – Skärningsplanets vektor

Så här justerar du scandata:

För att scandata ska kunna justeras korrekt måste du ange tillräcklig information för att definiera elementet matematiskt.

  1. Välj ett befintligt scanelement i listan över element. Normalt är det scannade elementet en befintlig scanåtgärd med sluten linje. Scanåtgärden måste vara av en sfär, en kon eller en cylinder.

  2. Markera den elementtyp som du scannat med den valda scanåtgärden i listan Elementtyp.

  3. I listan Filtertyp, markera den korrekta filtertypen för ett kon- eller cylinderelement. Det här filtret anger hur data ska kompenseras.

    • Om du scannar lodrätt mot cylinderns eller konens axel väljer du filtret Radiell. Det definierar cirkeln som kommer att användas för att justera punkterna.

    • Om du scannar parallellt med elementets axel väljer du filtret Axiell. Det definierar en linje som kommer att användas för att justera punkterna.

  4. Definiera elementets nominella XYZ-position genom att ange värdena i rutorna för XYZ.

  5. Definiera elementets normalvektor genom att ange värdena i rutorna för IJK.

  6. Definiera elementets storlek genom att ange ett värde i rutan Radie eller Vinkel.

  7. I området Skärningsplan definierar du scanåtgärdens skärningsplan. När du har angett det scannade elementets nominella information kan du skapa konstruktionen.

  7. Klicka på Skapa. Samtliga punkter projiceras på skärningsplanet längs med elementens teoretiska definition (med hänsyn tagen till den kända geometrin), snarare än en rak projektion längs med elementens normalvektor.


Skapa allmänna element

Skapa allmänna element: Inledning

Allmänna element

Syftet med allmänna element

Kommandoformat för allmänna element

Skapa ett allmänt element

Lägga till ett allmänt element

Dialogrutan Konstruera allmänt element

Elementtyp

Datatyp

Rutorna XYZ

Rutorna IJK

Uppriktningsberoende allmänt element

Uppriktningsoberoende allmänt element

Polär/Rekt.

Elementnamn

Radie / Diameter

Vinkel

Avstånd

Skapa en läspunkt från mäthuvudets läge


Skapa allmänna element: Inledning

Det här avsnittet behandlar hur du kan lägga till allmänna element i ett detaljprogram och hur du kan skapa punktelement vid mäthuvudets aktuella läge.

Det här avsnittet innehåller följande huvudämnen:

  • Kommandoformat för allmänna element

  • Skapa ett allmänt element

  • Skapa en läspunkt från mäthuvudets läge


Allmänna element

Normalt när du mäter element på en detalj sker en gissning av vilken typ av element det rör sig om, beroende på antalet tagna mätpunkter och vilken elementtyp som är tillgänglig i den importerade CAD-modellen.

Allmänna element gissas inte i PC-DMIS, utan de infogas och skapas av användaren.


Syftet med allmänna element

Allmänna element används för att hålla och omvandla värden. Du kan använda de här värdena för att skapa nya konstruerade element eller ändra befintliga element via kommandot BERÄKNING.

Mer information om hur du skapar nya konstruerade element finns i avsnittet Konstruera nya element från befintliga element.


Kommandoformat för allmänna element

Samtliga allmänna element har XYZ- och IJK-värden och kan även ha VINKEL-, DIAMETER/RADIE- eller AVSTÅND-värden, beroende på vilken typ av element det rör sig om.

Med växlingsknappen Nominella/Mätta värden kan du bestämma vilka värden det allmänna elementet ska använda.

Kommandorad i Redigeringsfönstret (exemplet visar en kon):

elementnamn=ALLMÄN/ALT1,ALT2, ALT3,ALT4
NOM/XYZ,x-koord,y-koord,z-koord
MÄTT/XYZ,x-koord,y-koord,z-koord
NOM/IJK,x-koord,y-koord,z-koord
MÄTT/IJK,x-koord,y-koord,z-koord
[RADIE/radie] | [DIAMETER/diameter]
[VINKEL/vinkel]
[AVSTÅND/avstånd]

ALT1 = PUNKT, PLAN, LINJE, CIRKEL, SFÄR, CYLINDER, KON, SPÅR eller INGEN

ALT2 = Visar huruvida det allmänna elementet är uppriktningsberoende eller oberoende.

ALT3 = visar huruvida elementet använder polära eller rektangulära koordinater

ALT4 = visar huruvida elementet är ett INVÄNDIGT (hål) eller UTVÄNDIGT (tapp) element.

[ ] = alternativ som visas inom parentes är valfria och deras tillgänglighet är beroende av elementtypen som tilldelas i ALT1. RADIE och DIAMETER är ömsesidigt uteslutande och representerar det värde som står för radien eller diametern.


Skapa ett allmänt element

Även om det är fullt möjligt att skapa ett allmänt element genom att skriva ordet ALLMÄN och sedan trycka på TABB-tangenten i Redigeringsfönstrets kommandoläge, finns det ett mycket enklare sätt att skapa nya allmänna element. I dialogrutan Konstruera allmänt element (Infoga | Element | Allmänt element) finns ett mycket mer intuitivt sätt att skapa nya allmänna element. Visa menykarta

Mer:

Lägga till ett allmänt element

Dialogrutan Konstruera allmänt element


Lägga till ett allmänt element

Så här lägger du till ett allmänt element:

  1. Placera insättningspunkten på en ny rad i Redigeringsfönstret.

  2. Öppna dialogrutan Konstruera allmänt element på något av följande sätt:

  • Välj menyobjektet Infoga | Element | Allmänt element. Visa menykarta

  • Skriv ALLMÄN på kommandoraden i Redigeringsfönstret.

  • Välj Allmänt element från listan som visas i översiktsläget efter att du har valt Lägg till kommando.

  3. Gör eventuella ändringar.

  4. Klicka på OK för att skapa elementet. Det allmänna elementet sparas och elementets information uppdateras i Redigeringsfönstret och Grafikfönstret.


Dialogrutan Konstruera allmänt element

Dialogrutan Konstruera allmänt element

Använd den här dialogrutan när du vill skapa nya element. Du når den här dialogrutan genom att välja menyalternativet Infoga | Element | Allmänt element. Följande ämnen beskriver de olika alternativen i den här dialogrutan. Visa menykarta

Mer:

Elementtyp

Datatyp

Rutorna XYZ

Rutorna IJK

Uppriktningsberoende allmänt element

Uppriktningsoberoende allmänt element

Polär/Rekt.

Elementnamn

Radie / Diameter

Vinkel

Avstånd


Elementtyp

I det här området kan du skapa följande allmänna elementtyper:

  • Punkt

  • Plan

  • Linje

  • Cirkel

  • Sfär

  • Cylinder

  • Rundat spår

  • Rätvinkligt spår

  • Kon

  • Ingen

Beroende på vilken typ av element du väljer blir andra delar av dialogrutan med valalternativ inaktiverade eller aktiverade.


Datatyp

I området Datatyp kan du fastställa vilka värden hos det allmänna elementet som påverkas av förändringar som du gör i dialogrutan. Du kan välja mellan Mätta värden och Nominella värden.


Rutorna XYZ

I rutorna X, Y och Z kan du bestämma det allmänna elementets X-, Y- och Z-position.


Rutorna IJK

I rutorna I, J och K kan du bestämma det allmänna elementets vektor.


Uppriktningsberoende allmänt element

Uppriktningsberoende allmänna element har värden som är beroende av den uppriktning från vilka de refereras. De ändras så att de alltid är relativa till den aktuella uppriktningen. Deras lägen är konstanta i 3D-rymden.

Exempel i 2D: Anta att maskinens nollpunkt är 0,0. En uppriktning ställs in så att nollpunkten ligger vid 5,5. Nu definieras ett uppriktningsberoende element efter uppriktningen med X-värdet 2 och Y-värdet 2. I relation till uppriktningen är dess värden 2 och 2. I relation till nollpunkten är dess värden 7 och 7. Oavsett vilken uppriktning siffrorna sätts i relation till kommer punktens läge i relation till den sanna nollpunkten alltid att vara 7,7.


Uppriktningsoberoende allmänt element

Oberoende allmänna element har värden som inte förändras efter den uppriktning från vilka de refereras (därför anses de vara "oberoende"). Deras läge i 3D-rymden förändras när uppriktningen förändras.

Exempel i 2D: Vi kan ta samma exempel med värdena 2,2 (som visades i exemplet för uppriktningsberoende element), men den här gången med ett uppriktningsoberoende allmänt element. Om du frågar efter x- och y-värdena i relation till uppriktningen, rapporteras 2,2 för objektet. Om du frågar efter dess värden i relation till nollpunkten, rapporteras fortfarande 2,2 för objektet. Gruppen 2,2 som är relativ till uppriktningen finns på läge 7,7 i relation till den sanna nollpunkten. 2,2-gruppen som är relativ till nollpunkten är precis det: 2,2. På så vis verkar det som om punkten rör i 2D-rymden.

Obs! Det oberoende alternativet lades till så att ett allmänt element, t.ex. med namnet XAXEL, alltid skulle kunna användas som ett indataelement for en konstruktion eller ett uppriktningsdatum och för att det oberoende av den aktuella uppriktningen alltid skulle ha värdena 1,0,0.


Polär/Rekt.

I den här listan kan du välja vilken typ av koordinatsystem det allmänna elementet ska använda. Du kan välja mellan POLÄR och REKT.


Elementnamn

I den här rutan kan du ge ditt element ett namn. Detta är det ID som visar på elementets ID-etikett och i Redigeringsfönstret.


Radie / Diameter

Här kan du definiera antingen en radie eller en diameter för ett cirkulärt element. Välj något av alternativen Radie eller Diameter och ange sedan ett värde i rutan.


Vinkel

I rutan Vinkel kan du definiera vinkeln för en Kon. Den här rutan blir också tillgänglig om du har valt Ingen i området Elementtyp.


Avstånd

I rutan Avstånd kan du definiera höjden eller längden på ett allmänt element som har en höjd eller en längd.


Skapa en läspunkt från mäthuvudets läge

Med menyalternaivet LäsPunkt kan du instruera PC-DMIS att läsa mäthuvudets aktuella läge och att infoga en punkt i Redigeringsfönstret vid läspositionen.

Följande syntax är ett exempel på vad som infogas i Redigeringsfönstret.

E_ID= ELEMENT/ PUNKT, ALT1

TEOR / x, y, z, i, j, k

MÄTT / x, y, z, i, j, k

LÄSPUNKT

E_ID - Detta är elementets ID.

ALT1 - I det här växlingsbara fältet kan du växla mellan koordinatsystemen POL och REKT.

X,Y,Z - Detta är den konstruerade punktens X-, Y- och Z-läge.

I,J,K - Detta är mäthuvudets anloppsvektor i I, J, K.

LÄSPUNKT - Identifierar elementet som en läspunkt som skapats från mäthuvudets position.

Nedan följer ett exempel på ett läspunktselement:

E7         =ELEMENT/PUNKT,REKT
            TEOR/7.4982,2.0111,0.95,0,0,1
            MÄTT/7.4982,2.0111,0.95,0,0,1
            LÄSPUNKT/


Skapa och använda uppriktningar

Skapa och använda uppriktningar: Inledning

Kommandoformat för uppriktningar

Kommandot Kör uppriktning

Kommandot Avsluta uppriktning

Lägga till rader

Ta bort rader

Konventioner

Dialogrutan Uppriktning

Öppna dialogrutan

Uppriktning

Listan Aktiv uppriktning

Listrutor för axlar

Primär

Sekundär

Rotera med ett offsetvärde

Rotera till en linje mellan två cirklar

Ange nollpunktens offsetavstånd

Nollpunkt

Flytta till ett element

Flytta med ett offsetvärde

Hämta standard

Iterativ

Bästanpassning

Autouppriktning

CAD <--> detalj

Skapa en 3-2-1-uppriktning

Steg 1: Mäta element för uppriktning

Steg 2: Primärupprikta, rotera och flytta till elementen

Steg 3: Slutföra en uppriktning

Skapa en uppriktning med bästanpassning

Om uppriktningar med bästanpassning

Kommandoradsformat för bästanpassad 2D

Kommandoradsformat för bästanpassad 3D

2D- eller 3D-uppriktningar med bästanpassning

Tillgängliga bästanpassningstyper

Begränsningar för 3D-uppriktningar med bästanpassning

Elementvikt

Elementgrupper som indata för uppriktning med bästanpassning

Scanåtgärder som indata för uppriktning med bästanpassning

Markerade element i en elementgrupp eller scanåtgärd

Rotationscentrum vid 3D-uppriktning

Punktanpassning

Skapa en uppriktning med bästanpassning

Dialogrutan Uppriktning med bästanpassning

Indatalista

Ändra vikter

Skapa vikter

Rotera omkring

Nytt värde

Mata in

Teoretiska

Mätt

3D

2D

Aktivt plan

Minsta kvadrat-metoden

Vektor

Min/Max

Rotation & förflyttning

Enbart rotation

Enbart förflyttning

Skapa en iterativ uppriktning

Om iterativa uppriktningar

Kommandoformat för iterativa uppriktningar

Regler för iterativa uppriktningar

Skapa en iterativ uppriktning

Dialogrutan Iterativ uppriktning

Primärupprikta

Rotera

Nollpunkt

Välj

Mät allt en gång

Upprepa alltid mätning

Målpunktsradie

Fixturtolerans

Max. iterationer

Startmärke

Felmärke

Spara en uppriktning

Så här sparar du en uppriktning

Ändra kommandot Spara/uppriktning

Dialogrutan Spara uppriktning

Filnamn

Mappar

Filformat

Enheter

Uppriktningsnamn

Enheter

Återkalla en befintlig uppriktning

Så här återkallar du en uppriktning

Kommandoradsformat för återkallande av uppriktning

Använda en uppriktning i slingor

Identifiera en uppriktning

Så här ändrar du en detaljs position och orientering

Så här gör du om du av misstag flyttat en detalj

Dialogrutan Identifiera uppriktning

Identifiera ursprunglig uppriktning

Med uppriktning

Identifiera CAD med mätta detaljdata

Utföra en Leapfrog-åtgärd

Mätalternativ

Antal mätpunkter

Referensprogram

Listorna Tillgängliga och Använda

Mät markerade

Mät alla

Området Resultat

Återställ

OK

Ändra nominella värden för uppriktningar

U tföra en Leapfrog-åtgärd

Mätalternativ

Antal mätpunkter

Referensprogram

Listorna Tillgängliga och Använda

Mät markerade

Mät alla

Området Resultat

Återställ

OK


Skapa och använda uppriktningar: Inledning

När du har aktiverat en mätspets och mätt element kan du skapa ett koordinatsystem (eller en uppriktning). I PC-DMIS finns en mängd olika verktyg för att skapa och hantera koordinatsystem. Du kommer åt de olika verktygen för arbete med uppriktningar genom att välja lämpligt menyalternativ under Infoga | Uppriktning. Visa menykarta

De ämnen som presenteras i det här avsnittet beskriver hur du använder de här verktygen för att effektivt skapa och hantera uppriktningar i ett detaljprogram. Ämnena är bland annat:

  • Kommandoformat för uppriktningar

  • Dialogrutan Uppriktning

  • Skapa en 3-2-1-uppriktning

  • Skapa en uppriktning med bästanpassning

  • Skapa en iterativ uppriktning

  • Spara en uppriktning

  • Återkalla en befintlig uppriktning

  • Använda en uppriktning i slingor

  • Identifiera en uppriktning

  • Identifiera CAD med mätta detaljdata

  • Utföra en Leapfrog-åtgärd

  • Ändra nominella värden för uppriktningar


Kommandoformat för uppriktningar

Alla uppriktningar visas med följande format i kommandoläget i Redigeringsfönstret. En del variationer förekommer och dessa beskrivs mer detaljerat i följande avsnitt.

Exempel:

A1=UPPRIKTNING/START, ÅTERKALLA:,LISTA=JA/NEJ
UPPRIKTNING/PRIMÄRUPPRIKTA,elementnamn
UPPRIKTNING/ROTERA,XPLUS,TILL,elementnamn,OMKRING,ZPLUS
UPPRIKTNING/TRANS,XAXEL,elementnamn
UPPRIKTNING/TRANS,YAXEL,elementnamn
UPPRIKTNING/TRANS,ZAXEL,elementnamn
UPPRIKTNING/SLUT

Se Konventioner för information om regler för fält.

Beskrivningar av uppriktningskommandona finns på följande platser:

  • Information om kommandot Kör finns i Kommandot Kör uppriktning.

  • Information om kommandot Avsluta finns i Kommandot Avsluta uppriktning.

  • Information om kommandot Återkalla finns i Återkalla.

  • Information om kommandot Primärupprikta finns i Primärupprikta.

  • Information om kommandot Rotera finns i Rotera.

  • Information om kommandot Flytta finns i Flytta.

Mer:

Kommandot Kör uppriktning

Kommandot Avsluta uppriktning

Lägga till rader

Ta bort rader

Konventioner


Kommandot Kör uppriktning

Den rad som startar uppriktningen är:

UPPRIKTNINGS-ID=UPPRIKTNING/START,ÅTERKALLA:ID , LISTA=JA/NEJ

Ändringsbara fält:
Uppriktnings-ID
Detta är ID:t som uppriktningen kommer att sparas som. ID:t tilldelas av operatören. Om inget namn anges tilldelas ett standard-ID. Exempel: A1.

"ID"
ID är en tidigare intern uppriktning som kommer att hämtas för att starta en ny uppriktning. Observera att från och med version 3.6 kan du även använda nyckelordet ANVÄND_AKTIV_UPPRIKTNING i det här fältet om du vill använda den aktiva uppriktningen i stället för att hämta en sparad uppriktning. Detta är användbart när du vill använda uppriktningar med slingor och villkorliga förgreningar. Se Använda en uppriktning i slingor.

LISTA
Genom att ge det här fältet värdet JA eller NEJ kan du styra om du vill att uppriktnings-ID:t ska visas i listan Uppriktningar i verktygsfältet Inställningar för att senare kunna infogas i detaljprogrammet. Standardvärdet är JA. Att ge det här fältet värdet NEJ kan vara praktiskt om du har många temporära uppriktningar och du inte vill att alla ska visas i listan Uppriktningar i verktygsfältet Inställningar (se Listan Aktiv uppriktning.


Kommandot Avsluta uppriktning

Så här ser kommandoraden för det här alternativet ut i Redigeringsfönstret:
UPPRIKTNING/SLUT

Det här kommandot innehåller inga ändringsbara fält. Du måste använda det här kommandot varje gång kommandot UPPRIKTNING/START används.


Lägga till rader

För att lägga till en rad placerar du markören på önskad plats och trycker på RETUR. Börja med att skriva ordet UPPRIKTNING. Tryck på TABB-tangenten. Den nya raden läggs till, beroende på var markören befinner sig. Om markören finns mitt i ett kommando skapas en ny rad nedanför den aktuella raden. Om markören finns i början av en kommandorad skapas den nya raden ovanför insättningspunktens aktuella position.

Den första raden som skapas visar alltid det underordnade kommandot: PRIMÄR. Du kan enkelt ändra detta genom att ange ett nytt kommando. Ytterligare rader som skapas efter den första raden kommer att visa det senaste kommandot.


Ta bort rader

För att ta bort en tom rad trycker du på NEDPIL eller RETUR. Du kan även markera raden och trycka på DEL. (Se Tangentbordsfunktioner i kommandoläge i avsnittet Använda Redigeringsfönstret.)


Konventioner

  • Alla textkommandon för uppriktningar är i makroformat med ett start- och ett slutkommando.

  • Kommandot UPPRIKTNING/START är alltid den första raden, medan kommandot UPPRIKTNING/SLUT är den sista raden i uppriktningssatsen.

  • Alla uppriktningsfunktioner måste finnas mellan start- och slutkommandona. Det enda undantaget är kommandot UPPRIKTNING/ÅTERKALLA, där start- och slutkommandona utförs som ett enda kommando.

  • I de här kommandona (utom "Start," "Slut" och "Återkalla") kan du i det andra fältet växla mellan olika val. Alla de andra operatörsberoende fälten ändras sedan för att representera det fält som för tillfället är aktivt.


 SökID Välj sista Rutan Elementlista Knappen Radera Knappen OK Knappen Avbryt ID Knappen Hämta Knappen Ta bort Knappen Iterativ Knappen Bästanpassning Listan Aktiv uppriktning Knappen Primärupprikta Listrutor för axlar Knappen Sekundär Rotera med ett offsetvärde Kryssrutor för nollpunktens offsetavstånd Ange nollpunktens offsetavstånd Knappen Nollpunkt Knappen Autouppriktning Knappen CAD <--> detalj

Dialogrutan Uppriktning

Dialogrutan Uppriktning

När du skapar ett nytt detaljprogram visas kommandot START i dialogrutan första gången dialogrutan Uppriktning öppnas (Infoga | Uppriktning | Ny). Visa menykarta

Om insättningspunkten finns på den sista raden i Redigeringsfönstret kommer ett nytt ID och den aktuella uppriktningen att visas under uppriktnings-ID.

I kommandoläget visar Redigeringsfönstret t.ex.:

Uppriktning=A5
Återkalla uppriktning, ID=A4

Du kan även välja att återkalla eventuellt tillgängliga uppriktningar som finns i listrutan Hämta. Endast uppriktningar som ligger före insättningspunktens aktuella läge kommer att vara tillgängliga.

Så här ser kommandoraden för det här alternativet ut i Redigeringsfönstret:

UPPRIKTNING/START
UPPRIKTNING/BA2D,element-ID
UPPRIKTNING/SLUT

Obs! En uppriktning anses inte vara slutförd förrän du klickar på OK och rutan Listan Aktiv uppriktning har uppdaterats i PC-DMIS.

När uppriktningsproceduren är klar visas uppriktningens rotation i Grafikfönstrets vänstra hörn. När detaljens grafiska bild skaländras för att få plats på skärmen blir uppriktningens offset mer noggrann (när axelreferenserna inte längre finns i fönstrets hörn).

Om några av axlarna inte har begränsats i den skapade uppriktningen får du en varning genom att nollpunktssymbolen för X, Y och Z (en trieder) rör sig oavbrutet mellan dessa axlar i Grafikfönstret. När uppriktningen har begränsats helt visas treedern i en fast position som representerar uppriktningens position:

Uppriktningstreeder

Mer:

Öppna dialogrutan

Uppriktning

Listan Aktiv uppriktning

Listrutor för axlar

Primärupprikta

Rotera

Ange nollpunktens offsetavstånd

Nollpunkt

Hämta standard

Iterativ

Bästanpassning

Autouppriktning

CAD <--> detalj


Öppna dialogrutan

I PC-DMIS kan du öppna dialogrutan Uppriktning inifrån Redigeringsfönstret. Så här gör du:

  1. Öppna Redigeringsfönstret (Visa | Redigeringsfönster). Visa menykarta

  2. I Redigeringsfönstret navigerar du till uppriktningsblocket.

  3. Placera insättningspunkten på den första raden.

  4. Tryck på snabbtangenten F9. Uppriktningsblockets kopplade dialogruta visas.

I dialogrutan visas det aktuella elementets uppriktning och du kan göra ändringar.


Uppriktning

I den här rutan visas den aktuella uppriktningens ID.

Så här ändrar du värdet:

  1. Markera det föregående värdet.

  2. Skriv in ett nytt ID.

  3. Tryck på TABB-tangenten.


Listan Aktiv uppriktning

Den här listrutan innehåller de olika uppriktningar som det aktuella detaljprogrammet genererar. Här visas startuppriktningen och eventuellt andra skapade uppriktningar, inklusive Återkalla uppriktning.

Under uppriktningars skapandeprocesser visar den här rutan dessutom information om de axlar som används för att "Primärupprikta till", "Sekundärupprikta till" och "Ange nollpunkten till".


Listrutor för axlar

Med de här listrutorna kan du välja vilka axlar du vill använda under de olika stegen av att skapa en ny uppriktning. Följade axlar är tillgängliga för varje listruta:

  • XPLUS

  • XMINUS

  • YPLUS

  • YMINUS

  • ZPLUS

  • ZMINUS


Primärupprikta

Med knappen Primär kan du fastställa normalaxelns riktning för det aktuella arbetsplanet.

Så här väljer du ett element att "primärupprikta" till:

  1. Ange vilket element du vill använda i rutan Element.

  2. Klicka på alternativet Primär.

Du kan även ange vilken axel som ska användas för att fastställa orienteringen genom att välja den i listrutan.

Så här ser kommandoraden för det här alternativet ut i Redigeringsfönstret:
UPPRIKTNING/PRIMÄRUPPRIKTA,ZPLUS,element-ID

Ändringsbara fält:
"ZPLUS"
Med det här fältet kan du växla mellan fälten ZPLUS, XPLUS, YPLUS, ZMINUS, XMINUS och YMINUS i Redigeringsfönstret. Det här fältet representerar riktningen på den angivna axeln som elementet primäruppriktas mot.

"element-ID"
Uppriktningen primäruppriktas mot det angivna elementet.
Exempel: PLAN1.


Sekundär

Med knappen Sekundär kan du sekundärupprikta den definierade axeln på arbetsplanet till elementet eller parallellt med elementet. I PC-DMIS roteras den definierade axeln runt den centroid som används som nollpunkt. Du kan definiera vilken axel du vill rotera och vilken axel du vill rotera runt.

Så här väljer du ett element att sekundärupprikta mot:

  1. Markera önskat referenselement i rutan Element.

  2. Klicka på knappen Sekundär.

Så här ser kommandoraden för det här alternativet ut i Redigeringsfönstret:
UPPRIKTNING/SEKUNDÄR,XPLUS,element-ID,omkring,ZPLUS

Ändringsbara fält:
XPLUS,ZPLUS
Detta är ett växlingsbart fält där du kan växla mellan dessa fält i Redigeringsfönstret.

ZPLUS

XPLUS

YPLUS

ZMINUS

XMINUS

YMINUS

I PC-DMIS blir den här axeln parallell med det angivna indataelementet. Maskinen roterar sedan runt den andra axeln.

"element-ID"
Uppriktningen roterar parallellt med det angivna elementet. Exempel: LINJE1.

Mer:

Rotera med ett offsetvärde

Rotera till en linje mellan två cirklar


Rotera med ett offset-värde

För att rotera med ett offset-värde, välj alternativet OFFSET genom att ange den önskade vinkeln i rutan Vinkel. Det nya värdet ersätter det tidigare offset-värdet för rotation.

Så här ser kommandoraden för det här alternativet ut i Redigeringsfönstret:
UPPRIKTNING/VRID_OFFSET,numeriskt_värde

Ändringsbart fält: "numeriskt_värde"
Det värde med vilket uppriktningen kommer att vridas, mätt i vinkelgrader (t.ex. -14.36). Vridningen sker runt axeln, vinkelrätt mot det aktiva arbetsplanet. Rotationen sker medurs om den angivna vinkeln är negativ och moturs om den angivna vinkeln är positiv.


Rotera till en linje mellan två cirklar

För att rotera till en linje mellan två cirklar markerar du två cirklar i rutan Element och klickar sedan på knappen Sekundär. Liksom vid andra typer av rotation, markera du vilken axel som ska vridas, vilken axel som det roteras runt och anger (eventuellt) offsetvärde.

Så här ser kommandoraden för det här alternativet ut i Redigeringsfönstret:
UPPRIKTNING/VRID_CIRKEL,ID , ID

Ändringsbara fält: ID

Detta är ett av de två ID:n som det ska roteras till.


Ange nollpunktens offsetavstånd

I rutan Förflyttning kan du ange nollpunkten med ett specifikt offsetavstånd.

Så här använder du Ange nollpunktens offsetavstånd:

  1. Klicka i rutan Förflyttning.

  2. Ange ett önskat värde för offsetavståndet.

  3. Tryck på TABB-tangenten.

  4. Klicka på Nollpunkt.


Nollpunkt

Med knappen Nollpunkt kan du förflytta detaljens nollpunkt till en viss position eller med ett visst offsetvärde.

Så här förflyttar du en detaljs nollpunkt:

  1. Välj den nollpunkt som du vill förflytta genom att markera lämplig kryssruta (X, Y, Z eller AUTO).

  2. Klicka på Nollpunkt. Om du markerar Auto väljs de axlar som ska förflyttas baserat på elementtypen, detaljens orientering och arbetsplanet.

Mer:

Flytta till ett element

Flytta med ett offsetvärde


Flytta till ett element

Markera ett element för att flytta till det.

Så här ser kommandoraden för det här alternativet ut i Redigeringsfönstret:
UPPRIKTNING/FLYTTA,ZAXEL,element-ID

Ändringsbara fält:
"ZAXEL"
I det här fältet i Redigeringsfönstret kan du växla mellan fälten ZAXEL, XAXEL och YAXEL. Det här fältet representerar den axel som nollpunkten kommer att förflyttas längs med för att matcha indata i element-ID.

"element-ID"
Detta är det element som uppriktningen kommer att ställa in nollpunkten efter, längs den angivna axeln. Exempel: CIRKEL1.


Flytta med ett offsetvärde

För att förflytta med ett offsetvärde kan du markera alternativet OFFSET genom att ange ett nytt offsetvärde.

Så här ser kommandoraden för det här alternativet ut i Redigeringsfönstret:
UPPRIKTNING/FLYTTA_OFFSET,ZAXEL,numeriskt_värde

Ändringsbara fält:
"ZAXEL"
I det här fältet i Redigeringsfönstret kan du växla mellan fälten ZAXEL, XAXEL och YAXEL. De här fälten representerar den axel längs med vilket nollpunkten kommer att förflytta sig med värdet för "numeriskt_värde".

"numeriskt_värde"
Detta är det värde med vilket uppriktningen kommer att förskjutas (t.ex. 5.12). Ett positivt värde ger en förflyttning i den positiva riktningen, medan ett negativt värde ger en förflyttning i den negativa riktningen.


Hämta standard

Med knappen Hämta kan du hämta sparade uppriktningar och använda dem i det aktuella detaljprogrammet. Se Hämta en sparad uppriktning.


Iterativ

Med knappen Iterativ kan du öppna dialogrutan Iterativ uppriktning. Använd den här dialogrutan när du vill skapa iterativa uppriktningar. Se Skapa en iterativ uppriktning.


Bästanpassning

Med knappen Bästanpassn. kan du öppna dialogrutan Bästanpassning. Använd den här dialogrutan när du vill skapa element med bästanpassning. Se Skapa en uppriktning med bästanpassning.


Autouppriktning

Med knappen Autouppr. kan du markera tre element utifrån vilka du i PC-DMIS kan skapa en automatisk uppriktning. Vilken ordning du markera de här tre elementen i är extremt viktig.

  • Det första elementet används för att fastställa normalaxelns orientering i förhållande till det aktuella arbetsplanet.

  • Det aktuella arbetsplanet kommer sedan att sekundäruppriktas mot det andra elementet.

  • Slutligen kommer detaljens nollpunkt att anges enligt den tredje elementtypen.

Om du t.ex. väljer:

Plan, linje och en punkt med ett ZPLUS-arbetsplan:
Planet kommer att bestämma detaljens ZPLUS-orientering. Den mätta linjen blir XPLUS stora axel. Nollpunkten anges så att Z-noll blir lika med det som gäller för planet. Y blir lika med linjens nollvärde och X blir lika med punktens nollvärde.

Plan, linje och en mätt cirkel med ett YMINUS-arbetsplan:
Planet kommer att bestämma detaljens YMINUS-orientering. Den mätta linjen blir ZMINUS stora axel. Nollpunkten anges så att Y-noll blir lika med det som gäller för planet. Nollpunkterna för X och Z blir lika med cirkelns centrum.

Om det i PC-DMIS inte går att att skapa en uppriktning utifrån de tre valda elementen visas ett popup-fönster med ett felmeddelande.

Viktigt! Vid en Autouppriktning baseras uppriktningens nollpunkt på det tredje elementet som används.

¨ Om elementet är en punkt ställs axlarnas nollpunkter in i PC-DMIS. Om det inte är en punkt kontrolleras elementets standardaxlar.

¨ Vid en Autolinje returneras X, Y och Z i PC-DMIS och nollpunkten anges på X, Y och Z.

¨ Vid en mätt linje fastställs vilken axel anloppsvektorn följer närmast, varvid de andra två axlarna nollas bort.

¨ Vid en Autocirkel ställs samtliga tre axlar in i PC-DMIS.

¨ Vid en mätt cirkel bedöms arbetsplanet och endast två axlar ställs in.


CAD <--> detalj

Du kan använda knappen CAD <--> detalj när du använder CAD-data online.

Så här anger du CAD <--> detaljen:

  1. Mät element på detaljen eller fixturen.

  2. Använd uppriktningsalternativen (PRIMÄR, SEKUNDÄR och NOLLPUNKT) för att skapa en uppriktning.

  3. Klicka på knappen CAD <--> detalj.

En brygga mellan CAD-data och uppmätta data skapas. På så vis kan uppmätta data visas ovanpå CAD-data. CAD-data används då även som hjälp för att inspektera detaljen. Det här alternativet är endast tillgängligt efter att en skapad uppriktning har placerat detaljens nollpunkt/orientering på samma plats som CAD:s nollpunkt/orientering.

När du har klickat på knappen CAD <--> detalj för en detalj, blir menyalternativet CAD <--> detalj markerat.


Skapa en 3-2-1-uppriktning

Den information som presenteras här beskriver de steg som du måste följa när du vill skapa en standard-3-2-1-uppriktning.

Tips! Klicka på denna ikon i verktygsfältet Guider [image] om du vill öppna guiden för 3-2-1-uppriktning i PC-DMIS.

Mer:

Steg 1: Mäta element för uppriktning

Steg 2: Primärupprikta, rotera och flytta till elementen

Steg 3: Slutföra en uppriktning


Steg 1: Mäta element för uppriktning

Du måste börja med att mäta de element som används för att skapa 3-2-1-uppriktningen. Du använder tre standardelementtyper för att skapa en 3-2-1-uppriktning. Siffrorna 3, 2 och 1 syftar på det minsta antal mätpunkter som du måste ta för att mäta dessa element.

  • Mäta ett plan. Det första elementet är för primäruppriktning och bör vara ett plan som består av tre mätpunkter. I PC-DMIS primäruppriktas detaljen mot det här elementet. Detta definierar nollpunkten och den första axelns riktning (normalt Z-axeln).

  • Mäta en linje. Det andra elementet är för sekundäruppriktning och bör vara en linje som består av två mätpunkter. I PC-DMIS roteras detaljen till det här elementet och ger den andra axelns orientering. Det här elementets andra mätpunkt bör tas i axelns positiva riktning, i förhållande till den första mätpunkten. Det här elementet definierar den andra axelns riktning (normalt X-axeln) och den tredje axelns nollpunkt (normalt Y-axeln).

  • Mäta en punkt. Det tredje och sista elementet är för nollpunkten och består av en enda mätpunkt. Eftersom nollpunkten för den här axeln skapas med utgångspunkt från de två första elementen, anger denna tredje punkt endast nollpunkten för hela uppriktningen. I PC-DMIS förflyttas detaljen till det här elementet och det blir positionen X=0, Y=0 och Z=0.

När du har mätt de nödvändiga elementen är du klar att skapa din uppriktning.

Gå till nästa steg.


Steg 2: Primärupprikta, rotera och förflytta till elementen

I det här steget används dialogrutan Uppriktning för att primärupprikta, rotera och förflytta detaljen till de element som mättes i föregående steg.

Du kan klicka när som helst för att läsa dokumentation om dialogrutan Uppriktning.

  1. Visa menykarta Öppna dialogrutan Uppriktning (Infoga | Uppriktning | Ny). Observera att i listan Element visas alla de element som kan användas för att primärupprikta, rotera eller förflytta detaljen.

  2. Klicka på det planelement som du skapade i föregående steg i listan Element. När du har valt element väljer du den axel som detaljen ska primäruppriktas mot och klickar sedan på knappen Primärupprikta. I PC-DMIS visas en textrad i dialogrutan Uppriktning med information om det element och den axel som kommer att användas i primäruppriktningen.

  3. Klicka på det linjeelement som du skapade i föregående steg i listan Element. När elementet har valts väljer du den axel som ska rotera samt vilken axel den ska rotera kring och klickar sedan på knappen Rotera. Även här visas information om vilket element och vilken axel som kommer att användas vid rotationen.

  4. Klicka på det punktelement som du skapade i föregående steg i listan Element. När elementet har valts markerar du kryssrutan för den axel (eller de axlar) som du vill förflytta till det här nollpunktselementet och klickar sedan på knappen Nollpunkt.

Obs! Alternativt kan du välja alla tre element i listan Element och klicka på knappen Autouppriktning för att automatiskt primärupprikta mot det första valda elementet, rotera kring det andra valda elementet och sedan förflytta till det tredje valda elementet.

Nu är du redo att slutföra skapandeprocessen för uppriktning.

Gå till nästa steg.


Steg 3: Slutföra en uppriktning

Så här slutför du uppriktningen:

  1. Kontrollera att informationen i dialogrutan är korrekt.

  2. Klicka på OK när du är klar. Dialogrutan stängs, uppriktningens kod infogas i Redigeringsfönstret och CAD-modellens uppriktning visas grafiskt i Grafikfönstret.

  3. Du kan redigera uppriktningens kod när du vill genom att använda de tekniker som beskrivs i avsnittet Använda Redigeringsfönstret.


 Rutan Elementlista Indatalista Ändra vikter Skapa vikter Rotera omkring Rutan Nytt värde Knappen Mata in Teoretiska Mätt Alternativet 3d Alternativet 2D Aktivt plan Alternativet Minsta kvadrater Alternativet Vektor Knappen OK Knappen Avbryt Alternativet Min/Max Rotera och flytta Enbart rotation Enbart förflyttning

Skapa en uppriktning med bästanpassning

Dialogrutan Uppriktning med bästanpassning

När du klickar på knappen Bästanpassn. i dialogrutan Uppriktning, Visa menykarta
öppnas dialogrutan Bästanpassning. I den här dialogrutan kan du "bästanpassa" de uppmätta data till normalpunkterna. Den här tekniken kräver minst tre element som ska mätas.

Mer:

Om uppriktningar med bästanpassning

Skapa en uppriktning med bästanpassning

Dialogrutan Uppriktning med bästanpassning


Om uppriktningar med bästanpassning

Tänk på följande information så att dina uppriktningar med bästanpassning skapas korrekt.

När två elementgrupper jämförs i PC-DMIS mäts skillnaden mellan de faktiska elementpositionerna och deras motsvarande nominella positioner. Vid jämförelse mellan en punktgrupp och det element som den beräknas från mäts skillnaden punkterna och deras respektive ortogonalprojektion på elementet. Vid en bästanpassning görs ett försök att hitta det globala minimum för den metod som används för att fastställa "avståndet" mellan punkterna och elementet.

Följande ämnen hjälper dig att förstå viktiga aspekter av uppriktningar med bästanpassning.

Mer:

Kommandoradsformat för 2D med bästanpassning

Kommandoradsformat för 3D med bästanpassning

2D- eller 3D-uppriktningar med bästanpassning

Tillgängliga bästanpassningstyper

Begränsningar för 3D-uppriktningar med bästanpassning

Elementvikt

Elementgrupper som indata för uppriktning med bästanpassning

Scanåtgärder som indata för uppriktning med bästanpassning

Markerade element i en elementgrupp eller scanåtgärd

Rotationscentrum vid 3D-uppriktning

Punktanpassning


Kommandoradsformat för 2D med bästanpassning

Så här ser kommandoraden för alternativet 2D med bästanpassning ut i Redigeringsfönstret:

UPPRIKTNING/BA2D,ALT1,ALT2,xy-offset,z-rotation
ID=element1,element2,element3...
TOLERANS=x,y,z

Ändringsbara fält:

"ALT1"
I det här fältet kan du växla mellan de olika tillgängliga arbetsplanen. Det aktuella arbetsplanet bör visas.

"ALT2"
I det här fältet kan du växla mellan de olika tillgängliga typerna av bästanpassningar.

"element-ID"
Dessa är de element som kommer att användas för 2D-uppriktningen med bästanpassning. Exempel: GRUPP1.


Kommandoradsformat för 3D med bästanpassning

Så här ser kommandoraden för alternativet Bästanpassad 3D ut i Redigeringsfönstret:

UPPRIKTNING/BA3D,ALT1,ALT2,xyz-offset, xyz-rotation
ID=element1,element2,element3...
TOLERANS=x,y,z
SÖK CAD=J/N

Ändringsbara fält:

"ALT1"
I det här fältet kan du växla mellan de olika tillgängliga typerna av bästanpassningar.

"ALT2"
I det här fältet kan du växla mellan de olika tillgängliga typerna av begränsningar.

"element-ID"
Dessa är de element som kommer att användas för den bästanpassade 3D-uppriktningen. Exempel: GRUPP1.

"xyz-rotation"
xyz-rotationsfältet syftar på den rotationsvinkel med vilken uppriktningen justeras runt den tredje axeln i ett visst arbetsplan. (T.ex. står X-rotationen för rotationen runt X-axeln i YZ-planet.)


2D- eller 3D-uppriktningar med bästanpassning

Uppriktningar med bästanpassning kan vara antingen två- eller tredimensionella. Det finns en mycket betydande skillnad mellan en 2D-bästanpassning och en 3D-bästanpassning.

  • En 2D-uppriktning med bästanpassning kräver en ursprunglig uppriktning. Uppriktningen skapas i det angivna arbetsplanet och baseras på den aktuella uppriktningen.

  • En 3D-uppriktning med bästanpassning använder rådata (maskindata) och korrelerar dessa till de teoretiska värdena. Vid den här uppriktningen används INTE en tidigare uppriktning utan en helt ny uppriktning skapas.


Tillgängliga bästanpassningstyper

Det finns flera möjliga alternativ när du skapar en bästanpassad uppriktning. Det finns tre olika typer av bästanpassningsalternativ.

  1. Minsta kvadratm (standard) – minimerar anpassningens genomsnittliga kvadratfel för alla element som ingår bästanpassningen. Det här är den vanligaste bästanpassningstypen. Felvärdet är summan av avstånden i kvadrat. I den här anpassningen har extremvärden inte lika dålig inverkan och felets inriktning spelar ingen roll.

  2. Vektor (kallas även Projicerade minsta kvadrater) – minimerar också det genomsnittliga kvadratfelet bland de element som ska anpassas; men där man först låser (eller projicerar) punkterna tillbaka mot elementets nominella vektorer. Således kommer alla fel att ligga längs med de nominella vektorerna. Felvärdet är summan av de projicerade avstånden i kvadrat. Den här typen av anpassning används normalt när en punktgrupp anpassas efter kurvor och/eller ytor. Med den här typen av anpassning kan punkter "glida" längs med ytan, men de får inte dras bort från ytan.
    Exempel:     Om den nominella punkten är: 1,1,1 med vektorn: 0,0,1 och de mätta värdena 4,2,0.95 kommer det mätta data att justeras till 1,1,0.95 och låses mot vektorn 0,0,1.

  3. Min/Max – minimerar det maximala felet (det största avståndet) bland de element som anpassas. Dåliga mått kan inverka drastiskt på det här felvärdet. Du kan använda den här typen av uppriktning för att fastställa om det finns en uppriktning där alla de för bästanpassningsuppriktningen inmatade elementen ryms inom de givna toleranserna. Den här typen av anpassning specificeras av Y14.5.

Obs!: Alternativet Min/Max är endast tillgängligt för 2D-uppriktningar med bästanpassning.


Begränsningar för 3D-uppriktningar med bästanpassning

Det finns också begränsningar som kan tillämpas på 3D-uppriktningar med bästanpassning. Begränsningsalternativen är:

  1. Rotera och flytta (standard) – Med det här alternativet får uppriktningen fullständig flexibilitet vid korrelering av maskindata till de teoretiska värdena.

  2. Enbart rotation – Med det här alternativet kan du begränsa uppriktningen till att endast omfatta rotation, utan förflyttningar.

  3. Enbart förflyttning – Med det här alternativet kan du begränsa uppriktningen till att endast omfatta förflyttning, utan rotationer.


Elementvikt

Varje element som används som indata har en kopplad vikt. Standardvärdet är 1. Vikternas värden påverkar den resulterande uppriktningen. Ju högre vikt ett visst element har, desto mer kommer det elementets mätta värde att försöka matchas med dess teoretiska värde i den resulterande uppriktningen. På så vis kan ge elementen i en uppriktning olika prioritetsvärden. Om vikterna för samtliga indataelement är lika kommer elementen att behandlas lika, oavsett viktvärdet.

Du kan tilldela vikter till varje element efter dess kopplade utvärdering. Om ingen kopplad utvärdering finns kommer en standardtolerans att tilldelas. Du kan tilldela vikter genom att klicka på knappen Skapa vikter. Du kan redigera valfri vikt genom att markera elementet i Indatalistan och sedan klicka på knappen Redigera vikter. Den nya vikten tilldelas elementet och används vid beräkningar.


Elementgrupper som indata för uppriktning med bästanpassning

När du använder elementgrupper (konstruerade grupper eller scanåtgärder) som indata för en uppriktning med bästanpassning visas ett plustecken (+) bredvid element-ID:t i rutan Indatalista. När du klickar en gång på plustecknet (+) visas de element som gruppen består av. Till att börja med är varje elements vikt densamma som för dess överordnade element (den ursprungliga gruppen). Du kan ändra vikten för varje underordnat element i gruppen på samma sätt som ovan. Om du vill ändra vikten för samtliga element i gruppen kan du helt enkelt ändra elementgruppens vikt. Den nya vikten överförs då till samtliga underordnade element.


Scanåtgärder som indata för uppriktning med bästanpassning

När du arbetar med en scanåtgärd finns det en extra komponent jämfört med när du arbetar med en elementgrupp. Scanåtgärder består av grundläggande scanåtgärder. Varje grundläggande scanåtgärd består av enskilda punkter. När du klickar på plustecknet (+) bredvid en scanåtgärd visas alla de grundläggande scanåtgärd som är kopplade till den. Ett plustecken (+) visas bredvid varje grundläggande scanåtgärd. När du klickar på plustecknet (+) bredvid varje grundläggande scanåtgärd visas alla de enskilda punkterna som är kopplade till den. Du kan ändra vikten för varje punkt, den grundläggande scanåtgärdens vikt (och alla dess punkter) eller själva scanåtgärdens vikt.


Markerade element i en elementgrupp eller scanåtgärd

Du kan också markera enskilda medlemmar i en elementgrupp så att de inte används. Dubbelklicka på en medlem i rutan Indatalista för att markera att en medlem i en grupp inte ska användas i en uppriktning med bästanpassning. Då ändras värdet "JA" i kolumnen Använd i rutan Indatalista till "NEJ". Om du dubbelklickar på en grundläggande scanåtgärd kommer både den och alla dess kopplade punkter att få värdet "NEJ" och kommer inte att användas i beräkningarna.


Rotationscentrum vid 3D-uppriktning

För vissa bästanpassade uppriktningar kan du ange ett rotationscentrum. Detta kan göras på två sätt:

  1. Markera ett element i rutan Indatalista. Klicka sedan på knappen Sekundär. De teoretiska och mätta värdena fylls i automatiskt i sina tillhörande rutor i området Rotera omkring.

  2. Om du önskar ange en specifik koordinat kan du ange värdet manuellt genom att skriva XYZ-koordinaten i rutorna Teoretiska och Mätt. Du måste ange värdet i kommaavgränsat format för att det ska vara giltigt. Exempel: X-teor, Y-teor, Z-teor.


Punktanpassning

Som standard anpassas punkterna i din uppriktning med bästanpassning efter den ursprungliga nominella punktmängden. Du kan dock i stället välja att anpassa din uppriktning med bästanpassning efter ytor eller kurvor. För att slå på den här funktionaliteten måste du ha åtkomst till PC-DMIS Inställningar och ge registernyckeln IterateAndRePierceCadOnBestFitAlignments värdet SANT. Som standard har den här nyckeln värdet FALSKT.

När du öppnar dina befintliga detaljprogram beräknas de inte om automatiskt. Du måste tvinga omberäkningen genom att ändra typen i området Bästanpassningsmetod från en Vektoranpassning till en Min/Max-anpassning. Du kommer ändå normalt att vilja använda Min/Max för profilberäkningar. Du måste kanske dessutom beräkna om dina utvärderingar. Det gör du genom att ange scanåtgärdens namn på nytt i Redigeringsfönstret. Då bör du få fram ett mycket mindre profilfel.

Ytterligare två relaterade inställningar finns också.

IterateAndRePierceCadOnBestFitAlignmentsToleranceInMM - Med den här anger du toleransen för sök nominella värden som ska användas vid anpassning. Du måste kontrollera att toleransen är större än mäthuvudets radie. För det mesta räcker standardvärdet 20 mm.

IterateAndRePierceCadOnBestFitAlignmentsMaxLoops - Med den här anger du det maximala antalet slingor ifall ingen lösning kan nås i PC-DMIS. Standardvärdet är 100 vilket räcker för det mesta.

Mer information om hur du ändrar registerposter finns i bilageavsnittet Ändra registerposter.


Skapa en uppriktning med bästanpassning

Så här skapar du en uppriktning med bästanpassning:

  1. Öppna dialogrutan Uppriktning (Infoga | Uppriktning | Ny). Visa menykarta

  2. Klicka på knappen Bästanpassn.. Dialogrutan Uppriktning med bästanpassning öppnas. I den här dialogrutan kan du skapa en uppriktning med bästanpassning. Mer information om den här dialogrutan finns i Dialogrutan Uppriktning med bästanpassning.

  3. Ange vilka element du vill använda i rutan Element. Dessa kommer att visas i rutan Indatalista.

  4. Välj uppriktningens orientering genom att välja något av alternativen 2D eller 3D i området Orientering. Vid en 2D-uppriktning ska du även välja rätt aktivt plan i listrutan Aktivt plan.

  5. Välj bästanpassningstyp genom att markera lämpliga alternativ i området Bästanpassningsmetod. Vid en 3D-uppriktning ska du även välja lämplig begränsning i området Bästanpassningsmetod.

  6. Klicka på knappen Skapa vikter för att redigera elementens vikter. Markera de element vars vikt du vill ändra. Klicka på knappen Ändra vikter. Ange den nya vikten i rutan Nytt värde i området Ändra vikt och klicka sedan på knappen Mata in.

  7. För att ange rotationspunkten runt ett visst element väljer du elementet i Indatalista och klickar sedan på knappen Rotera omkring. Alternativt kan du ange ett värde i rutorna Teoretiska och Mätt i området Rotera omkring i dialogrutan.

  8. Klicka på OK.


Dialogrutan Uppriktning med bästanpassning

Följande ämnen beskriver de olika posterna i dialogrutan Uppriktning med bästanpassning.

Mer:

Indatalista

Ändra vikter

Skapa vikter

Rotera omkring

Nytt värde

Mata in

Teoretiska

Mätt

3D

2D

Aktivt plan

Minsta kvadrat-metoden

Vektor

Min/Max

Rotation & förflyttning

Enbart rotation

Enbart förflyttning


Indatalista

Rutan Indatalista innehåller de element som används för att skapa uppriktningen med bästanpassning. Du kan även använda den här rutan för att redigera elementen innan du skapar uppriktningen.


Ändra vikter

Med knappen Ändra vikter kan du kopiera det valda elementets aktuella vikt till rutan Nytt värde i området Ändra vikt, vilket gör att vikten kan ändras.


Skapa vikter

Med knappen Skapa vikter kan du automatiskt skapa vikter för varje element i rutan Indatalista.


Rotera omkring

Med knappen Rotera omkring placeras värdena från det valda elementet i rutan Indatalista i rutorna Teoretiska och Mätta i området Rotera omkring. Det här värdet används som rotationscentrum vid beräkning av en uppriktning med bästanpassning.


Nytt värde

Ange den nya vikten i rutan Nytt värde.


Mata in

När du klickar på knappen Mata in accepteras värdet i rutan Nytt värde och vikten på det valda elementet i rutan Indatalista ändras i enlighet med det nya värdet.


Teoretiska

Den här rutan innehåller det teoretiska rotationscentrumet för 3D-uppriktningar med bästanpassning.


Mätt

Den här rutan innehåller det mätta rotationscentrumet för 3D-uppriktningar med bästanpassning.


3D

Om alternativet 3D har markerats kommer uppriktningen att vara tredimensionell.


2D

Om alternativet 2D har markerats kommer uppriktningen att vara tvådimensionell.


Aktivt plan

I listrutan Aktivt plan kan du ange det plan där en 2D-uppriktning ska beräknas.


Minsta kvadrat-metoden

Om du väljer alternativet Minsta kvadratm minimeras det genomsnittliga felet i kvadrat för uppriktningens indataelement.


Vektor

Om du markerar alternativet Vektor kommer felen i indataelementen att låsas mot de teoretiska vektorerna innan det minsta genomsnittliga felet i kvadrat minimeras.


Min/Max

När du markerar alternativet Min/Max görs ett försök att ändra detaljens orientering så att det maximala felet i samtliga indataelement kan minimeras.

Obs!: Detta gäller endast för 2D med bästanpassning.


Rotation & förflyttning

Alternativet Rotera & förflytta ger dig maximal frihet vid beräkning av en uppriktning, så att den fritt kan roteras och förflyttas.


Enbart rotation

Med alternativet Enbart rotation kan du begränsa uppriktningen till att endast rotera i beräkningen.


Enbart förflyttning

Med alternativet Enbart förflyttning kan du begränsa uppriktningen till att endast förflytta i beräkningen.


 Knappen Välj Nollpunkt Sekundär Sök-ID Välj sista Rutan Elementlista Knappen Radera Knappen OK Knappen Avbryt Primärupprikta Mät allt en gång Upprepa alltid mätning Max. iterationer Startmärke Målpunktsradie Fixturtolerans Felmärke

Skapa en iterativ uppriktning

Dialogrutan Iterativ uppriktning

I biltermer ger en iterativ uppriktning "bilkroppens" koordinater.

När du klickar på knappen Iterativ i dialogrutan Uppriktning (Infoga | Uppriktning | Ny) Visa menykarta
, öppnas dialogrutan Iterativ uppriktning. I den här dialogrutan kan du tredimensionellt "bästanpassa" de uppmätta data till normalpunkterna (eller ytor, om sådana är tillgängliga). Den här tekniken kräver minst tre element som ska mätas. Vissa elementtyper, t.ex. punkter och linjer, har dåliga tredimensionella positioner. Om du väljer någon av dessa elementtyper krävs ytterligare element för att ge noggranna mätta data.

  • Det första elementgruppen fastställer orienteringen på det aktuella arbetsplanets normalaxel genom att anpassa ett plan genom elementcentroiderna. Du måste använda minst tre element i det här avsnittet (PRIMÄR - 3 +).

  • Nästa elementgrupp roterar arbetsplanets definierade axel till elementen, så att en linje anpassas genom elementen. Du måste använda minst två element i det här avsnittet (SEKUNDÄR - 2 +).
    Om du inte har valt några element använder uppriktningen element från avsnittet PRIMÄR. (De två element som används från avsnittet PRIMÄR är det näst sista och det tredje sista.)

  • Den sista elementgruppen flyttar detaljens nollpunkt till en specifik position (NOLLPUNKT - 1 ).
    Om du inte har valt några element använder uppriktningen det sista elementet i avsnittet PRIMÄR.

Mer:

Om iterativa uppriktningar

Skapa en iterativ uppriktning

Dialogrutan Iterativ uppriktning


Om iterativa uppriktningar

För att din iterativa uppriktning ska skapas korrekt bör du ta den information som presenteras här i beaktande. Följande ämnen hjälper dig att förstå viktiga aspekter av iterativa uppriktningar.

Mer:

Kommandoformat för iterativa uppriktningar

Regler för iterativa uppriktningar


Kommandoformat för iterativa uppriktningar

Så här ser kommandoraden för det här alternativet ut i Redigeringsfönstret:
UPPRIKTNING/ITERERA,'element-ID'
, MÅLPKT-RADIE=n, STARTMÄRKE=märke, FIXTURTOLERANS = n, SLUTMÄRKE=märke
MÄT ALLA ELEM.=NEJ/ALLTID/ENGÅNG,
MAX_ANT_ITERATIONER = n
PRIMÄRAXEL=axel, SEKUNDÄRAXEL=axel, NOLLPUNKTSAXEL=axels
PRIMÄR = ID, ID, ID,…
VRID = ID, ID,…
NOLLPUNKT = ID,…

Ändringsbart fält: "element-ID"
Dessa är de element som kommer att användas för den iterativa uppriktningen. För närvarande kräver kalibreringen att minst tre olika element markeras. Du kan ange element som kan fastställa en referensaxel i mer än en riktning (t.ex. en cirkel eller ett spår) i mer än en referensaxel. En cirkel kan t.ex. användas både för att fastställa primäraxeln men även rotationsaxeln. Normalt kan mätta punkter (inklusive vektor- och ytpunkter) endast användas för att fastställa en referensaxel.

MÅLPKT-RADIE = Med det här alternativet kan du ange målradievärdet för de mätta punktelementen som används i uppriktningen. Fullständig information finns i Målpunktsradie.

STARTMÄRKE = PC-DMIS startas vid det märke som anges här när uppriktningselement mäts om. Du måste ge alternativet MÄT ALLA ELEM. värdet ALLTID för att detta ska fungera. Fullständig information finns i Startmärke.

FIXTURTOLERNS = Detta är den anpassningstolerans som i PC-DMIS används för att jämföra mätta uppriktningselement med sina teoretiska värden. Fullständig information finns i Fixturtolerans.

SLUTMÄRKEE = I PC-DMIS sker en förflyttning till det märke som anges här när fixturtoleransnivån överskrids. Om du inte definierar något märke visas ett felmeddelande med felvärdet för varje indataelement. Fullständig information finns i Felmärke.

PRIMÄRAXEL = I PC-DMIS används PRIMÄR-indataelementen för att ange den här angivna axelns orientering och nollpunkt. Fullständig information finns i Primär.

SEKUNDÄRAXEL = I PC-DMIS används SEKUNDÄR-indataelementen för att ange den här angivna axelns rotation runt primäraxeln. Du kan även ange den här angivna axelns nollpunkt I PC-DMIS genom att använda SEKUNDÄR-indataelementen. Fullständig information finns i Sekundär.

NOLLPUNKTSAXEL = I PC-DMIS används NOLLPUNKT-indataelementen för att ange den här angivna axelns nollpunkt. Fullständig information finns i Nollpunkt.

MÄT ALLA ELEMENT = Med det här alternativet kan du bestämma hur fortsättningen i PC-DMIS sker, antingen genom att mäta om indataelementen eller genom att automatiskt köra om en del av detaljprogrammet i CNC-läget. Det här alternativet har tre möjliga inställningar. De är:

· NEJ. Fullständig information finns i Målpunktsradie.

· ENGÅNG. Fullständig information finns i Mät allt en gång.

· ALLTID. Fullständig information finns i Upprepa alltid mätning.

MAX_ANT_ITERATIONER = Med det här alternativet kan du bestämma det maximala antalet iterationer som ska ske i PC-DMIS för den här iterativa uppriktningen.


Regler för iterativa uppriktningar

Det finns vissa regler som måste följas när du kör iterativa uppriktningar:

I PC-DMIS krävs både mätta värden och teoretiska värden för varje element i grupperna. Normalvektorerna för den första elementgruppen måste vara mer eller mindre parallella. Det enda undantaget till den här regeln är om endast tre element används i gruppen.

Om du använder mätta punkter (VEKTOR, KANT eller YTA) krävs alla tre elementgrupperna (tre element för Primär, två element för Sekundär och ett element för Nollpunkt) för att definiera uppriktningen. Du kan använda valfri elementtyp, men tredimensionella element är bättre definierade element och ger därför bättre noggrannhet. Bland de möjliga 3D-elementen finns tunnplåtscirkel, spår, cylinder, sfär eller hörnpunkt.

Obs!: Tunnplåtscirkel, spår och cylinder kräver minst tre stödpunkter.

Svårigheten med att använda mätta punkter är att man inte vet var mätningen ska göras förrän efter uppriktningen. Detta orsakar problem eftersom punkterna måse mätas innan uppriktningen. Tredimensionella element, så som de definieras för den här användningen, är element som kan mätas exakt första gången.

Om du använder mätta punkter (VEKTORER, KANT eller YTA) måste normalvektorerna för elementen i SEKUNDÄRAXEL dessutom vara mer eller mindre vinkelräta mot vektorerna för elementen i gruppen PRIMÄRAXEL. Elementen i gruppen NOLLPUNKT måste ha en normalvektor som är mer eller mindre vinkelrät mot vektorerna för båda grupperna PRIMÄRAXEL och SEKUNDÄRAXEL.

Om du använder mätta punkter (VEKTORER, KANT eller YTA) som en del av gruppen kan du i PC-DMIS få frågan om de ska mätas på nytt om de togs alltför långt bort från den nominella positionen. I PC-DMIS sker först en "bästanpassning" av mätta data mot nominella data. Sedan sker en kontroll för att se hur långt bort varje mätt punkt ligger. Om avståndet är större än det värde som anges i rutan Målpunktsradie får du en fråga om punkten ska mätas om. I praktiken tillämpas en cylindrisk toleranszon runt varje vektors, ytas eller kantpunkts teoretiska position. Radien på den här toleranszonen är den punkttolerans som anges i dialogrutan. I PC-DMIS fortsätter punktelement att mätas om till dess att alla mätta punkter ligger inom "toleransen". Toleranszonen påverkar endast mätta punkter.

Med en särskild funktion i PC-DMIS kan du efter behov låta centrumpunkten i ett spår glida upp eller ner längs med axeln. Av den här anledningen kan inte en iterativ uppriktning konvergera när du använder ett spår som en del av gruppen NOLLPUNKT. Du kan använda ett spår som en del av gruppen NOLLPUNKT genom att först konstruera en punkt av spåret och sedan använda den konstruerade punkten i gruppen NOLLPUNKT.

Vi rekommenderar inte att du använder ett spår som en del av gruppen NOLLPUNKT i en iterativ uppriktning.

Typ av element som används: | Minsta antal element som krävs:
Cirkel | 3 cirklar: | I den här metoden använder uppriktningen 3 CNC-cirklar.
Linje | Vi rekommenderar inte den här elementtypen.
Punkt | 6 punkter: | Punkterna används som en 3-2-1-uppriktning.
Spår | Vi rekommenderar inte att den här elementtypen används som en del av gruppen NOLLPUNKT.
Sfär | 3 sfärer: | I den här metoden använder uppriktningen 3 angivna sfärer.


Skapa en iterativ uppriktning

Tips! Om du klickar på den här ikonen i verktygsfältet Guider öppnas Guide för iterativ uppriktning i PC-DMIS.

Så här skapar du en iterativ uppriktning:

  1. Öppna dialogrutan Uppriktning (Infoga | Uppriktning | Ny). Visa menykarta

  2. Klicka på knappen Iterativ. Dialogrutan Iterativ uppriktning öppnas. I den här dialogrutan kan du skapa en iterativ uppriktning. Mer information om den här dialogrutan finns i Dialogrutan Iterativ uppriktning.

  3. I rutan Element markerar du den första elementgruppen (minst tre element) som du vill använda för att fastställa normalaxelns orientering i det aktuella arbetsplanet.

  4. Kontrollera att du har markerat alternativet Primärupprikta.

  5. Klicka på knappen Välj.

  6. Markera med musen den andra elementgruppen (minst två element) som du vill använda för rotationsprocessen.

  7. Kontrollera att du har markerat alternativet Rotera.

  8. Klicka på knappen Välj.

  9. Markera den sista elementgruppen (minst ett element) som ska indikera den önskade positionen för detaljens nollpunkt. (Du kan använda samma element i fler än en process.)

  10. Kontrollera att du har markerat alternativet Nollpunkt.

  11. Klicka på knappen Välj.

  12. Klicka på OK. Dialogrutan Iterativ uppriktning stängs.

  13. Klicka på OK i dialogrutan Uppriktning för att slutföra uppriktningen.

Obs! Om du markerar alternativen Primärupprikta, Rotation eller Nollpunkt efter att de har tilldelats element, visas respektive alternativs indikerade indataelement.

När processen är klar sker en tredimensionell "bästanpassning" av mätta data och den nya uppriktningen visas i Grafikfönstret och i Redigeringsfönstret. Se Kommandoformat för iterativa uppriktningar.


Dialogrutan Iterativ uppriktning

Följande ämnen beskriver de olika posterna i dialogrutan Iterativ uppriktning.

Mer:

Primärupprikta

Rotera

Nollpunkt

Välj

Mät allt en gång

Upprepa alltid mätning

Målpunktsradie

Fixturtolerans

Max. iterationer

Startmärke

Felmärke


Primärupprikta

Du använder alternativet Nivå - 3 tillsammans med minst tre element som du väljer i rutan Element. Den här elementgruppen fastställer orienteringen på det aktuella arbetsplanets normalaxel genom att anpassa ett plan genom elementcentroiderna.

Du måste använda minst tre element för att primärupprikta.


Sekundär

Du använder alternativet Sekundär - 2 tillsammans med minst två element som du väljer i rutan Element. Den här elementgruppen roterar arbetsplanets definierade axel till elementen så att en linje anpassas genom elementen.

Du måste använda minst två element för att kunna rotera.

Obs! Om du inte har valt några element använder uppriktningen element från avsnittet PRIMÄR. (De två element som används från avsnittet PRIMÄR är det näst sista och det tredje sista.)


Nollpunkt

Du använder alternativet Nollpunkt - 1 tillsammans med ett element som du väljer i rutan Element. Det här elementet översätter (eller förflyttar) detaljens nollpunkt till en specifik position.

Du måste använda ett element för att ange nollpunkten.

Obs! Om du inte har valt några element använder uppriktningen det sista elementet i avsnittet PRIMÄRUPPRIKTA.


Välj

Med knappen Välj kan du använda de element som markerats i rutan Element för att utföra primäruppriktnings-, sekundäruppriktnings- och förflyttningsåtgärder till nollpunkten för en iterativ uppriktning.


Mät allt en gång

När du markerar kryssrutan Mät allt en gång händer följande:

  • Alla indataelement mäts om minst en gång i CNC-läge.

  • De mäts i den ordning som de anges i det iterativa uppriktningskommandot i Redigeringsfönstret.

  • I PC-DMIS visas ett meddelande med information om vilket element som kommer att mätas.

  • Innan du accepterar förflyttningen ska du kontrollera att mäthuvudet kan nå de indikerade elementen utan att kollidera med detaljen.

  • Lagrade förflyttningar som finns före eller efter varje element kommer inte att köras.

  • När samtliga element har mätts minst en gång kommer ommätningen att fortsätta för de mätta punkttypselementen och för de punkter som låg utanför målet för Målpunktsradie (se Målpunktsradie).

Obs! I PC-DMIS mäts inte cirklar mer än en gång i det här läget, eftersom deras position aldrig ändras.


Upprepa alltid mätning

När du markerar kryssrutan Upprepa alltid mätning körs en del av detaljprogrammet på nytt minst en gång i CNC-läge. Vilken del som körs på nytt beror på Startmärket (se Startmärke)

Om du anger ett startmärke

  • kommer PC-DMIS att köra på nytt från det definierade märket till det UPPRIKTNING/START-kommando som innehåller det iterativa uppriktningskommandot som för närvarande körs.

Om du inte anger ett startmärke

  • I PC-DMIS påbörjas denna omkörning från det första elementet som mäts i programmet som det iterativa uppriktningskommandot använder.

  • Om det första elementet har lagrade via-punkter som föregår kommandot kommer även dessa punkter att köras.

  • Omkörningen fortsätter till det sist mätta elementet som det iterativa uppriktningskommandot använt.

  • Om det finns lagrade via-punkter efter det här kommandot kommer de inte att köras.

När omkörningen är klar beräknas uppriktningen om och mätta indatapunkter testas för att kontrollera att de ligger inom den toleransradie som angetts i värdet Målpunktsradie.

  • Om alla ligger inom toerlanserna behöver inte omkörningen fortsätta. Det iterativa uppriktningskommandot anses då vara slutfört.

  • Om några punkter har hamnat utanför målområdet kommer samma del av programmet att köras om enligt ovanstående beskrivning.


Målpunktsradie

I rutan Målpunktsradie kan du ange målradietoleransen för mätta punkter som används som indata i en uppriktning. Följande är mätta indatapunkter:

  • MÄTT/PUNKT

  • AUTO/VEKTOR

  • AUTO/KANT

  • AUTO/YTA

  • AUTO/VINKEL

Även om du enkelt kan se den position som krävs för att kunna mäta en cirkel på en detalj är det inte enkelt att fastställa den exakta positionen för att mäta en punkt på ytan. Utan visuella indikatorer som visar var du ska mäta punkten är det svårt att manuellt mäta punkten på ett exakt ställe. Med Målpunktsradie kan du ange en tänkt toleranszon (eller mål) som sträcker sig en radie runt varje punkt. På så vis räcker det att mätningen görs någonstans inom den indikerade toleransen. Om den mätta punkten inte görs inom den här zonen mäts punkten om i CNC-läge.

I PC-DMIS görs ett försök att mäta om indataelementen med utgångspunkt från vilka kryssrutor som markerats i dialogrutan Iterativ uppriktning (Se Mät allt en gång och Upprepa alltid mätning).

Om du inte markerar kryssrutan Upprepa alltid mätning eller Mät allt en gång (eller om du anger MÄT ALLA ELEM.=NEJ manuellt i Redigeringsfönstret),

  • I PC-DMIS anpassas referenserna och en kontroll görs för eventuella mätta indatapunkter som missat målen. Om så är fallet mäts elementen om i CNC-läge.

  • En dialogruta visas med information om vilket element som ska mätas. På så vis kan du kontrollera att mäthuvudet kan nå det önskade elementet utan att kollidera med detaljen.

  • När alla punktern ligger inom målen anses det iterativa uppriktningskommandot vara slutfört.

  • Om det finns mätta punkter som missat sina mål kommer dessa element att fortsätta att mätas om till dess att de träffat målen.

Obs!: Det är viktigt att det angivna vektorvärdet för Målpunktsradie inte är för litet (t.ex. 50 mikroner). Många CMM-maskiner klarar inte att noggrant positionera mäthuvudet för att röra vid varje mätt punkt på ett minimalt mål. Ett bättre val är då en tolerans på cirka 0.5 millimeter. Om ommätningen fortsätter utan att kunna slutföras bör du öka det här värdet.


Fixturtolerans

I rutan Fixturtolerans kan du ange ett anpassningstoleransvärde mot vilket de element som ingår i den iterativa uppriktningen jämförs med sina teoretiska värden.

Om ett eller flera av indataelementen efter att mätvärdena anpassats till de teoretiska värdena har ett fel längs den tilldelade referensaxeln som överskrider det här toleransvärdet, visas felmärket automatiskt (om det finns något). Se Felmärke.

Om du inte har angett ett felmärke visas ett felmeddelande med felen längs varje referens. Du kan välja att acceptera referensen som den är och fortsätta att köra resten av detaljprogrammet eller avbryta detaljprogrammets körning.

I PC-DMIS kan fixturtoleransvärdet användas endast om du använt mer än minimiantalet punkter som krävs för att skapa elementet. Om du mäter ett plan är t.ex. minimiantalet punkter som krävs för planet normalt tre punkter. Men om du vill använda fixturtoleransvärdet måste du mäta minst fyra punkter. Om du endast använder tre punkter finns endast en lösning och den kan inte justeras eller omitereras.


Max. iterationer

Detta fastställer det maximala antalet upprepningar som utförs i PC-DMIS när du skapar den iterativa uppriktningen.


Startmärke

I rutan Startmärke kan du ange ett märke till vilket PC-DMIS ska gå vid ommätning av element i en iterativ uppriktning, förutsatt att du har markerat kryssrutan Upprepa alltid mätning.

  • Ommätningen görs i CNC-läge, med början vid det angivna märket och den slutar vid kommandot UPPRIKTNING/START (som föregår kommandot UPPRIKTNING/ITERERA). Detta är mer i linje med det sätt som kommandot förväntas fungera i DMIS.

Om du inte anger ett startmärke

  • CNC-mätningen börjar vid det första elementet i den iterativa uppriktningen (i PC-DMIS inkluderas även eventuella förflyttningar precis före det här elementet).

  • Detaljprogramskommandona fortsätter att köras om i den angivna ordningen till dess att det sista elementet i den iterativa uppriktningen nås. Om det finns lagrade förflyttningar efter det här slutelementet kommer de inte att utföras.

Information om hur du skapar en etikett finns i Skapa etiketter i avsnittet Förgrening med hjälp av flödesreglering.


Felmärke

I rutan Felmärke kan du identifiera en etikett som PC-DMIS ska gå till när referensfelet för vart och ett av indataelementen överskrider den fixturtoleransnivå som definierats i rutan Fixturtolerans.

Obs! Om du anger minimiantalet indataposter för varje referensaxel (tre för referensen Primär, två för referensen Sekundär och en för referensen Nollpunkt) kan indataelementens mätvärde anpassas efter de teoretiska värdena utan fel. I det här fallet är fixturtoleransen egentligen inte nödvändig. Om du anger mer än minimiantalet indataposter för någon av de definierade referenserna kan antingen detalj- eller fixturfel göra det omöjligt att anpassa mätvärden till de teoretiska värdena med mindre fel än den angivna fixturtoleransen.

Om du inte definierar ett felmärke visas ett felmeddelande med felvärdet för varje referenselement. I felmeddelandet kan du välja att avbryta eller fortsätta att köra med de befintliga referenserna.

Information om hur du skapar en etikett finns i Skapa etiketter i avsnittet Förgrening med hjälp av flödesreglering.


Spara en uppriktning

Dialogrutan Spara uppriktning

Med menyalternativet Infoga | Uppriktning | Spara kan du spara den aktuella uppriktningen i en extern fil som du sedan kan hämta från ett annat detaljprogram. De ämnen som presenteras här beskriver dialogrutan Spara uppriktning och hur du kan spara en uppriktning så att du kan använda den i andra detaljprogram.

Mer:

Så här sparar du en uppriktning

Dialogrutan Spara uppriktning


Så här sparar du en uppriktning

Observera att du endast behöver spara en uppriktning med följande procedur om du vill hämta uppriktningen till ett annat detaljprogram. Samtliga uppriktningar sparas automatiskt när de används i ett detaljprogram.

Så här sparar du en uppriktning:

  1. Välj menyalternativet Infoga | Uppriktning | Spara. Dialogrutan Spara uppriktning öppnas. Visa menykarta

  2. Ange ett uppriktningsnamn (högst tio tecken) i rutan Filnamn.

  3. Markera något av alternativen Tum eller Millimeter för att spara uppriktningen med mått i antingen tum eller millimeter. Standardmåttenheten för alla uppriktningar är samma måttenhet som används i det detaljprogram för vilket uppriktningen skapades. Om du vill kunna använda en uppriktning i ett annat detaljprogram behöver du inte spara uppriktningen med det nya detaljprogrammets måttenheter. Uppriktningen konvertera automatiskt till samma måttenheter som det nya detaljprogrammet använder (se Återkalla).

  4. Klicka på OK.

Om du inte ger uppriktnings-ID:t ett namn dupliceras filnamnet automatiskt för det externa sparandet. Du kan spara ett uppriktnings-ID i valfri katalog. Om du vill att uppriktningen ska visas på skärmen måste du dock spara den i samma katalog som detaljprogrammet.

Så här ser kommandoraden för det här alternativet ut i Redigeringsfönstret:
SPARA/UPPRIKTNING,uppriktningsnamn,filnamn, ALT1

ALT1
Det här växlingbara fältet växlar mellan BÅDA och MACHINETOPARTS. Välj alternativet BÅDA om du vill spara både maskin till detaljmatrisen och CAD till detaljmatrisen. Välj alternativet MACHINETOPARTS om du endast vill spara maskin till detalj-omvandlingen.


Ändra kommandot Spara/uppriktning

Du kan redigera kommandoraden från en annan Spara uppriktning-dialogruta genom att placera insättningspunkten på kommandot SPARA/UPPRIKTNING och sedan trycka på F9.

Dialogrutan Spara uppriktning

I den här Spara uppriktning-dialogrutan kan du spara den sparade uppriktningen med nya filnamn. Du behöver bara markera uppriktningen i listan, ange ett nytt filnamn i rutan Filnamn och klicka på OK. En ny fil med det filnamn som du angav skapas och ändringen införs också i kommandot SPARA/UPPRIKTNING i Redigeringsfönstret.

Du kan inte redigera kryssrutorna Visa rotmapp och Visa arbetsmapp från den här dialogrutan. De visar bara de inställningar som angetts i dialogrutan Sökväg för inläsning av uppriktningar. Information om hur du kan ändra värdena för dessa kryssrutor finns i Ange externa kataloger att söka i i avsnittet Göra inställningar.

Om kryssrutan Visa arbetsmapp har markerats kommer listan över uppriktningar att visa samtliga .aln-filer i arbetsmappen på följande sätt:

ARBETSMAPP\filnamn1.aln

ARBETSMAPP\filnamn2.aln

ARBETSMAPP\filnamn3.aln

Om kryssrutan Visa rotmapp har markerats bör samtliga .aln-filer i rotmappen visas på följande sätt:

ROTMAPP\filnamn1.aln

ROTMAPP\filnamn2.aln

ROTMAPP\filnamn3.aln


Dialogrutan Spara uppriktning

Följande ämnen beskriver de olika posterna i dialogrutan Spara uppriktning.

Mer:

Filnamn

Mappar

Filformat

Enheter

Uppriktningsnamn

Enheter


Filnamn

I rutan Filnamn kan du ge ett namn på uppriktningsfilen som du vill spara.


Mappar

I mappstrukturen kan du navigera till den mapp där du kommer att spara uppriktningen.


Filformat

I listrutan Filformat visas alla filer med ett visst filformat i den aktuella mappen. Standardfiltypen är *.aln. Detta betyder att endast filer med filtillägget *.aln (uppriktningsfiler) kommer att visas i listan.


Enheter

I listrutan Enheter kan du definiera vilken hårddiskenhet eller diskettenhet som du vill spara uppriktningen på.


Uppriktningsnamn

I rutan Uppriktningsnamn visas uppriktnings-ID på den uppriktning som du vill spara.

Om du inte anger något uppriktnings-ID, kopieras filnamnet automatiskt när filen sparas externt. Du kan spara ett uppriktnings-ID i valfri katalog. Om du vill att uppriktningen ska visas på skärmen måste du dock spara den i samma katalog som detaljprogrammet.

Använd det här alternativet endast om du vill använda uppriktningen i ett annat detaljprogram. Samtliga uppriktningar sparas automatiskt när de används i ett detaljprogram.


Enheter

Med alternativen Tum och Millimeter i området Enheter kan du bestämma vilken måttenhet du vill använda i uppriktningen som du sparar: tum eller millimeter.


Hämta en befintlig uppriktning

Uppriktningsblocket är det textblock i Redigeringsfönstret som definierar uppriktningen. Det börjar med kommandot UPPRIKTNING/START och slutar med kommandot UPPRIKTNING/SLUT.

Med menyalternativet Infoga | Uppriktning | Hämta kan du hämta en uppriktning som tidigare skapats i det aktuella programmet (en intern uppriktning) eller som sparats från ett annat program (en extern uppriktning).

Det här kommandot kan endast infogas utanför ett uppriktningsblock.

Obs! Med knappen Hämta standard i dialogrutan Uppriktning kan du även hämta en befintlig uppriktning, men du kan endast hämta uppriktningar som tidigare skapats i samma detaljprogram (interna uppriktningar).

Innan du kan hämta en uppriktning till ett annat detaljprogram måste du spara den med hjälp av menyalternativet Infoga | Uppriktning | Spara. Se Spara en uppriktning Visa menykarta

Om den uppriktning som hämtas sparades med andra måttenheter än de som används i det aktuella detaljprogrammet kommer uppriktningens enheter att konverteras automatiskt till de som används i det aktuella detaljprogrammet.

Mer:

Så här hämtar du en uppriktning


Så här hämtar du en uppriktning

Så här hämtar du en uppriktning:

  1. Välj menyalternativet Infoga | Uppriktning | Hämta (eller öppna dialogrutan Uppriktning och klicka på knappen Återkalla). Urvalsrutan Välj uppriktning öppnas. Visa menykarta

  2. Skriv det högst 15 tecken långa uppriktnings-ID:t eller välj den önskade uppriktningen i listrutan.

  3. Klicka på OK. Kommandot ÅTERKALLA/UPPRIKTNING infogas i Redigeringsfönstret.

Mer:

Kommandoradsformat för återkallande av uppriktning


Kommandoradsformat för hämtning av uppriktning

Så här ser kommandoraden för det här alternativet ut i Redigeringsfönstret:

ÅTERKALLA/UPPRIKTNING, INTERN, uppriktnings-ID

ÅTERKALLA/UPPRIKTNING, EXTERN, uppriktnings-ID

FILNAMN:uppriktnings-ID

Så här ser koden som du återkallar en intern uppriktning med ut:

ÅTERKALLA/UPPRIKTNING, INTERN, uppriktnings-ID

uppriktnings-ID
Detta är den interna uppriktningen som återkallas inifrån det aktuella detaljprogrammet. I PC-DMIS måste det angivna uppriktnings-ID:t ÅTERKALLAS innan övriga uppriktningskommandon kan utföras. Det här kommandot behöver inte kommandona UPPRIKTNING/START eller UPPRIKTNING/SLUT i Redigeringsfönstret.

Så här ser koden som du återkallar en extern uppriktning med ut:

ÅTERKALLA/UPPRIKTNING, EXTERN, uppriktnings-ID, FILNAMN:uppriktnings-ID

uppriktnings-ID
Detta är den externa uppriktningen som återkallas från ett annat detaljprogram än det aktuella detaljprogrammet. I PC-DMIS måste det angivna uppriktnings-ID:t ÅTERKALLAS innan övriga uppriktningskommandon kan utföras. Det här kommandot behöver inte kommandona UPPRIKTNING/START eller UPPRIKTNING/SLUT i Redigeringsfönstret.

FILNAMN:
Detta är .aln-filnamnet som den externa uppriktningen sparades med.


Använda en uppriktning i slingor

Från och med PC-DMIS 3.6 är det enklare att ändra uppriktningar i ett detaljprogram som använder slingor eller villkorlig förgrening genom att använda nyckelordet ANVÄND_AKTIV_UPPRIKTNING.

Om du granskar kommandoraden UPPRIKTNING/START i kommandoläget ser du att det fält som följer direkt efter texten ÅTERKALLA: instruerar programmet att först använda en sparad startuppriktning. I följande exempel börjar uppriktning D_1 med uppriktningen från D_0 och sedan utförs en 45-gradig rotation runt ZPLUS:

D_1 =UPPRIKTNING/START,ÅTERKALLA:D_0, LISTA= JA
UPPRIKTNING/VRID_OFFSET,45.0,OMKRING,ZPLUS
UPPRIKTNING/SLUT

Men om du i stället använder nyckelordet ANVÄND_AKTIV_UPPRIKTNING kan du tvinga PC-DMIS att rotera 45 grader från den aktuella uppriktningen:

D_1 =UPPRIKTNING/START,ÅTERKALLA:ANVÄND_AKTIV_UPPRIKTNING, LISTA= JA
UPPRIKTNING/VRID_OFFSET,45.0,OMKRING,ZPLUS
UPPRIKTNING/SLUT

När du använder det här nyckelordet för en uppriktning i en slinga:

  • Första gången som slingan körs kommer den aktiva uppriktningen att vara den sista uppriktningen som körs innan slingan börjar om.

  • Efterföljande gånger som slingan körs kommer den aktiva uppriktningen att vara sig själv och den kommer att rotera ytterligare 45 grader från föregående slingomgång.

När du använder nyckelordet ANVÄND_AKTIV_UPPRIKTNING bör du i allmänhet avmarkera kryssrutan Återställ globala inställningar vid förgrening och markera kryssrutan Betrakta teoretiska värden som givna i detaljkoordinatsystemet i dialogrutan Inställningsval, på fliken Allmänt. Visa menykarta
Mer information om hur du anger inställningsval finns i avsnittet Göra inställningar.

Mer information om slingor finns i Skapa allmänna slingor i avsnittet Förgrening genom användning av programflödeskommandon.


Identifiera en uppriktning

Dialogrutan Identifiera uppriktning

Med alternativet Infoga | Uppriktning | Identifiera kan du koppla ihop två uppriktningar. Med det här alternativet kan du:

  • Ändra en detaljs position eller orientering samtidigt som du behåller tidigare uppriktningsinformation.

  • Rikta om detaljen och spara tidigare mätta data om detaljen av misstag stöts till eller flyttas under inspektionsprocessen.

Obs! För att funktionen Identifiera uppriktning ska fungera korrekt måste de element som refereras i din nya uppriktning mätas efter att du flyttat detaljen. Dessutom bör du referera alla elementen för din nya uppriktning i ett enda uppriktningsblock.

Mer:

Så här ändrar du en detaljs position och orientering

Dialogrutan Identifiera uppriktning


Så här ändrar du en detaljs position och orientering

Om du t.ex. vill mäta en utvärdering som refererar till element på två sidor av detaljen som inte är tillgängliga från en enskild detaljorientering:

  1. Mät uppriktningselementen på detaljens ena sida.

  2. Skapa den ursprungliga uppriktningen.

  3. Mät alla nödvändiga element som kan nås från detaljens första orientering.

  4. Förflytta detaljen till dess nya position.

  5. Mät de nya uppriktningselementen. Nollpunkten måste vara densamma och axeln måste måste ligga i samma riktning som axeln på den uppriktning som du identifierar med. Det enklaste sättet att förstå detta är om du tänker dig att den ursprungliga nollpunkten och axlarnas pilar varit fastlimmade på detaljen innan den förflyttats. Med den nya uppriktningen placeras nollpunkten och axlarnas pilar i samma position i förhållande till detaljen.

  6. Välj menyalternativet Infoga | Uppriktning | Identifiera. Dialogrutan Identifiera uppriktningar öppnas. Visa menykarta

  7. Välj den ursprungliga uppriktningen i listan Med ursprunglig uppriktning.

  8. Välj den nya uppriktningen i listan Identifiera ny uppriktning.

  9. Klicka på OK. CAD-modellen förflyttas inte i förhållande till uppriktningsaxlarna men de mätta värdena förflyttas när uppriktningsidentiferingen utförs.


Så här gör du om du av misstag flyttat en detalj

Så här gör du om detaljen av misstag har flyttats:

  1. Välj menyaletnativet Infoga | Uppriktning | Identifiera. Visa menykarta

  2. Ange ID på den uppriktning som ska mätas om som första och andra uppriktnings-ID.

  3. Mät uppriktningselementen på nytt. När ommätningen är klar förflyttas all utvärderings- och elementinformation till detaljens nya position. CAD-modellen förflyttas inte i förhållande till uppriktningsaxlarna men de mätta värdena förflyttas när uppriktningsidentiferingen utförs.

Om du använder det här kommandot för att identifiera samma uppriktning i ett detaljprogram kommer inte kommandoraden i Redigeringsönstret att visas.

En kommandorad kommer att visas i Redigeringsfönstret endast om du väljer två olika uppriktningar. Du kan använda en extern uppriktning om den skiljer sig från den identifierade uppriktningen. Den externa uppriktningen måste hämtas med hjälp av kommandot ÅTERKALLA/UPPRIKTNING, EXTERN innan den kan visas.

Så här ser kommandoraden för det här alternativet ut i Redigeringsfönstret:
IDENTIFIERA/"namn"MED UPPRIKTNING,"uppriktningsnamn"


Dialogrutan Identifiera uppriktning

Följande ämnen beskriver de olika posterna i dialogrutan Identifiera uppriktning.

Mer:

Identifiera ursprunglig uppriktning

Med uppriktning


Identifiera ursprunglig uppriktning

I listrutan Identifiera uppriktning kan du välja vilken ursprunglig uppriktning du vill identifiera. Denna är en tidigare skapad uppriktning som du vill identifiera med en ny befintlig uppriktning.


Med uppriktning

I listrutan Identifiera ny uppriktning kan du välja vilken ny uppriktning du vill identifiera med. Detta är en ny uppriktning med vilken du vill identifiera din ursprungligen skapad uppriktning.


Identifiera CAD med mätta detaljdata

Med menyalternativet Åtgärd | Grafikfönster | CAD <--> detalj (eller knappen CAD <--> detalj i dialogrutan Uppriktning) kan du länka CAD-data till mätta data. Det här alternativet är endast tillgängligt efter att en skapad uppriktning har placerat detaljens nollpunkt/orientering på samma plats som CAD:s nollpunkt/orientering. I PC-DMIS finns alternativet CAD <-> DETALJ på två ställen (se även CAD <--> detalj under alternativet Uppriktning). När du markerar det här alternativet visas mätta data ovanpå CAD-data. CAD-data används som hjälp för att inspektera detaljen.

När du har använt alternativet CAD <--> detalj på en detalj kommer menyalternativet CAD <--> detalj att vara markerat.


Utföra en Leapfrog-åtgärd

Dialogrutan Leapfrog / förflyttning

Dialogrutan Leapfrog / förflyttning

Leapfrog är tillgängligt för vissa portabla maskiner. Bland dessa finns för närvarande FARO, ROMER, Garda och GOM. Din hårdvarunyckel (portlås) måste också programmeras för att stödja din portabla maskin.

När du väljer menyvägen Infoga | Uppriktning | Leapfrog visas dialogrutan Leapfrog / förflyttning.

Med den här dialogrutan kan du förflytta din portabla CMM-maskin för att mäta detaljer som är för stora för din CMM-maskin. Du bör vara medveten om begränsningarna i maskinens noggrannhet innan du använder den här metoden.

Leapfrog bygger på att mäta en serie element och sedan, efter att maskinen förflyttats, mäta om samma element i samma ordning. Då skapas en omvandling som gör att maskinen fungerar som om det använda samma koordinatsystem som innan förflyttningen.

Omvandlingen är oberoende av alla detaljprogram och påverkar kommunikationssättet mellan CMM-maskinen och PC-DMIS. För att ta bort en tidigare använd Leapfrog-omvandling måste du återställa Leapfrog genom att klicka på knappen Återställ i dialogrutan.

När du klickar på Acceptera infogas ett Leapfrog-kommando i Redigeringsfönstret.

Så här ser kommandoraden för det här alternativet ut i Redigeringsfönstret:
LEAPFROG/ALT1, NUM, ALT2

ALT1: Den första parametern i Leapfrog-kommandot är ett växlingsbart fält som rör de tre tillgängliga typerna i området Mät 3 i dialogrutan. Typerna är:

  1. SFÄR

  2. Punktgrupper (visas som PKTGRUPPER i kommandot)

  3. PUNKTER

  4. REFERENSER

Parametern har även ett värde som stänger AV den, vilket i så fall gör att de andra två parametrarna inte visas. Värdet AV stänger av Leapfrog-omvandlingen.

NUM: Den andra parametern i Leapfrog-kommandot är antalet mätpunkter som du vill ta. Detta motsvarar rutan Mätpunkter i dialogrutan Leapfrog.

ALT2: Den sista parametern i Leapfrog-kommandot är ett växlingsbart fält där du kan växla mellan antingen FULLSTÄNDIG och PARTIELL leapfrog. Den här parametern motsvarar alternativen Fullständig och Partiell i dialogrutan. När det här kommandot körs blir du uppmanad att ta mätpunkterna. När du har tagit mätpunkterna börjar Leapfrog-omvandlingen att gälla.

Mer:

Mätalternativ

Antal mätpunkter

Referensprogram

Listorna Tillgängliga och Använda

Mät markerade

Mät alla

Området Resultat

Återställ

OK


Mätalternativ

Med knapparna för tillgängliga mätalternativ kan du välja vilken metod som ska användas i PC-DMIS för att utföra översättningsjämförelsen.

  • Med alternativet Mät 3 sfärer använder du sfärer som elementen för översättningsjämförelse. Den här metoden använder centrumet i varje mätt sfär.

  • Med alternativet Mät 3 punktgrupper använder du centroiden i en punktgrupp. Vi rekommenderar att du använder basen på en inverterad kon med ett hårt mäthuvud. Den här metoden är något mer noggrann än sfärmetoden och är mycket snabbare för operatören.

  • Med alternativet Mät 3 punkter använder du endast tre punkter. Denna metod är den minst noggranna av de tre.

  • Med alternativet Mät referenser använder du befintliga referenselement från valfritt detaljprogram.


Antal mätpunkter

I rutan Antal mätpunkter kan du ange hur många mätpunkter du vill använda för varje element. Självklart används inte det här vid punktmetoden.


Referensprogram

I det här området kan du ange vilken programfil du vill använda som referensprogram. Den här rutan aktiveras när du markerar alternativknappen Mät referenselement. Du kan ange den fullständiga sökvägen till detaljprogramfilen (.PRG) eller klicka på Bläddra för att navigera i mappstrukturen och på det sättet välja en fil.

När du har valt filen visas de element som är tillgängliga för användning i Leapfrog-åtgärden i listan Tillgängliga.


Listorna Tillgängliga och Använda

Listorna Tillgängliga och Använda

Listorna Tillgängliga och Använda

Listorna Tillgängliga och Använda visar vilka referenselement som är tillgängliga för användning respektive vilka referenselement som du har valt för användning i Leapfrog-åtgärden.

Listan Tillgängliga

När du väljer en programfil för användning i området Referensprogram visas programfilens tillgängliga element i listan Tillgängliga. Du kan tilldela element till den aktuella Leapfrog-åtgärden genom att markera dem och sedan klicka på knappen >>>.

Listan Använda

De tilldelade element som visas i listan Använda kommer att mätas i den ordning som de visas i listan Använda när du klickar på knappen Mät markerade eller Mät alla. Du kan ta bort element från listan Använda genom att klicka på knappen <<<. Du kan ändra ordningen enligt vilken elementen utförs genom att markera ett element och sedan klicka på upp- eller nedpilarna.


Mät markerade

Knappen Mät markerade fungerar endast när du använder referenselement. Med den kan du mäta valfritt markerat element i listan Använda. De här elementen används i Leapfrog-åtgärden. När du klickar på knappen visas dialogrutan Inställningar, körning och du blir uppmanad att mäta de valda elementen först efter att du har flyttat CMM-maskinen, inte innan.

I resultatrutan visas de 3D-avstånd mellan elementen som togs innan och efter att CMM-maskinen flyttades. Om du inte är nöjd med resultaten kan du mäta om den sista elementgruppen på nytt, då knappen visar: Ommätning.

Obs! Om du inte blir nöjd med ommätningen heller måste du återställa leapfrog-systemet och börja om från början. Detta är ett problem hos alla leapfrog-system som du bör hålla i minnet.


Mät alla

Med knappen Mät alla kan du öppna dialogrutan Inställningar, körning.

  • Om du använder Mät 3 sfärer, Mät 3 punktgrupper eller Mät 3 punkter blir du i den här dialogrutan först uppmanad att mäta de tre elementen innan du blir uppmanad att flytta CMM-maskinen. När du har flyttat maskinen blir du uppmanad att mäta om samma element i samma ordning.

  • Om du använder Mät referenser blir du i den här dialogrutan först uppmanad att mäta alla referenselement i listan Använda innan du blir uppmanad att flytta CMM-maskinen. När du har flyttat maskinen blir du uppmanad att mäta om samma element i samma ordning.

I resultatrutan visas de 3D-avstånd mellan elementen som togs innan och efter att CMM-maskinen flyttades. Om du inte är nöjd med resultaten kan du mäta om den sista elementgruppen på nytt, då knappen visar: Ommätning.

Obs! Om du inte blir nöjd med ommätningen heller måste du återställa leapfrog-systemet och börja om från början. Detta är ett problem hos alla leapfrog-system som du bör hålla i minnet.


Området Resultat

Området Resultat

I området Resultat visas avvikelserna mellan maskinens första position och efterföljande position(er) genom att 3D-avståndet mellan de element som togs innan och efter att CMM-maskinen förflyttades visas.


Återställ

Med knappen Återställ kan du ta bort en översättning genom att lägga till kommandot LEAPFROG/AV i Redigeringsfönstret.


OK

När du har fyllt i alla uppgifter i dialogrutan LeapFrog / Förflyttning måste du klicka på OK innan leapfrog-omvandlingen används. När du klickar på OK läggs LEAPFROG-kommandot till i detaljprogrammet. Om du inte klickar på OK utan i stället klickar på X i övre högra hörnet för att stänga dialogrutan, kommer den konstruerade leapfrog-omvandlingen inte att sparas.


Ändra nominella värden för uppriktningar

Om du ändrar ett uppriktningselements teoretiska värden i körläget, ändras uppriktningen CAD <--> detalj. Detta innebär att de element i detaljprogrammet som kommer efter uppriktningen, och som mäts i relation till uppriktningselementen, förändras med lika mycket som de teoretiska värdena förändras.

Om du markerar kryssrutan Ignorera CAD <--> detalj i dialogrutan Inställningsval förändras inte uppriktningen CAD <--> detalj när uppriktningselementets teoretiska värden förändras. De element som följer efter uppriktningen mäts sedan i samma position. Se Ignorera CAD <--> detalj i avsnittet Göra inställningar.

Obs! Du kan inte använda funktionen Ignorera CAD <--> detalj om du använder Lägeriktighet i detaljprogrammet.

Du kan även styra hur dina elements nominella värden ska hanteras när du uppdatera en uppriktnings teoretiska värden genom att använda posten UpdateBelowChangedAlignmentDuringExecution i PC-DMIS Inställningar. Mer information finns i avsnittet Ändra registerposter.


Utvärdera element

Utvärdera element: Inledning

Kommandoformat för utvärderingar

Lägga till rader

Ta bort rader

Redigera rader

Konventioner

Öppna dialogrutan

Skriva ut utvärderingar till rapporten

Så här skapar du utvärderingar automatiskt i Redigeringsfönstret

Så här ändrar du utvärderingen före utskrift

Visa utvärderingar i RTF- och PDF-filer

Gemensamma alternativ i dialogrutorna för utvärderingar

Måttjämkning

Knappen Återkalla

Utvärderingsinfo.

Ändra standardutvärderingar

Knappen Återställ

Enheter

Analysinställningar

Text

Växla mellan polära och kartesiska (rektangulära) koordinater för textanalys

Grafik

Multiplikator

Alternativet Båda (för Lägeriktighet och Läge)

Alternativet Form (för Lägeriktighet och Läge)

Skriv i

Utvärdera läge

Så här utvärderar du ett element med alternativet LÄGE:

Standardaxlar för lägesutvärderingar

Axlar, tunnplåt

Alternativ

Enbart "retrolinear" för lägesutvärderingar

Enbart spel för lägesutvärderingar

Toleransvärden för lägesutvärderingar

Den nedrullningsbara listan Axlar

Övre toleranser

Undre toleranser

ISO

Nominell storlek

Toleransklass

Toleransgrad

Utvärdera lägeriktighet

Så här utvärderar du ett element med alternativet LÄGERIKTIGHET:

Så här använder du lägeriktighet för en grupp cirklar eller cylindrar

Använda referenser

Använda samma referenser för upprepade utvärderingar

Standardaxlar för lägeriktighetsutvärderingar

Avvikelse

Passa referenser

Avvikelse vinkelrät mot centrumlinje

Visa som radie

Axiella element

Toleransvärden för lägeriktighetsutvärderingar

Axlar

Plus

Minus

Utvärdera avstånd

Så här utvärderar du avstånd med alternativet AVSTÅND:

Toleransvärden för avståndsutvärderingar

Övre tolerans

Undre tolerans

Nominellt värde för Avstånd

Allmänna regler för 2D- och 3D-avståndsutvärderingar

2D-avstånd

3D-avstånd

Relation för avståndsutvärderingar

Kryssrutan Med element

Kryssrutan Med X-axeln

Kryssrutan Med Y-axeln

Kryssrutan Med Z-axeln

Riktning för avståndsutvärderingar

Vinkelrät mot

Parallell med

Cirkelval

Utvärdera vinkel

Så här utvärderar du vinkeln mellan två element:

Toleransvärden för vinkelutvärderingar

Övre tolerans

Undre tolerans

Nominellt värde för Vinkel mellan

Vinkeltyp

Vinkeltypen 2-dimensionellt

Vinkeltypen 3-dimensionellt

Relation för Vinkel mellan-utvärderingar

Med element

Med X-axeln

Med Y-axeln

Med Z-axeln

Utvärdera koncentricitet

Så här utvärderar du ett element med alternativet KONCENTRICITET:

Toleransvärden för koncentricitetsutvärderingar

Utvärdera koaxialitet

Så här utvärderar du ett element med alternativet KOAXIALITET:

Övre tolerans för koaxialitetsutvärderingar

Projicerat avstånd för koaxialitet

Utvärdera RUNDHET

Så här utvärderar du ett element med alternativet RUNDHET:

Övre tolerans för rundhetsutvärderingar

U tvärdera cylindricitet

U tvärdera ett element med alternativet CYLINDRICITET

Övre tolerans för cylindricitetsutvärderingar

Utvärdera rakhet

Så här utvärderar du ett element med alternativet RAKHET:

Övre tolerans för rakhetsutvärderingar

Utvärdera planhet

Så här utvärderar du ett element med alternativet PLANHET:

Övre tolerans för planhet

Utvärdera vinkelräthet

Så här utvärderar du ett element med alternativet VINKELRÄTHET:

Övre tolerans för vinkelräthetsutvärderingar

Projicerat avstånd för vinkelräthetsutvärderingar

Utvärdera parallellitet

Så här utför du en utvärdering med PARALLELLITET:

Övre tolerans för parallellitetsutvärderingar

Projicerat avstånd för parallellitetsutvärderingar

Utvärdera totalt eller cirkulärt kast

Om kast

Hur kast mäts

Två typer av kast: Cirkulärt och Totalt

Använda kast för att kontrollera en cylinderände

Så här utvärderar du ett element med alternativet KAST:

Övre tolerans för kastutvärderingar

Utvärdera ytprofiler

Så här utvärderar du ett element med alternativet Ytprofil:

Visa profilkonturplotter

S å här utvärderar du ett 2D-element med alternativet Linjeprofil:

Visa profilkonturplotter

Toleransvärden för ytprofilutvärderingar

Övre tolerans

Undre tolerans

T oleransvärden för linjeprofilutvärderingar

Övre tolerans

Undre tolerans

Kontrollval för ytprofilutvärderingar

Enbart form

Form och Läge

K ontrollval för linjeprofilutvärderingar

Enbart form

Form och Läge

Bästanpassning för ytprofilutvärderingar

B ästanpassning för linjeprofilutvärderingar

Utvärdera vinkelriktighet

Så här beräknar du vinkelriktighetsfel med hjälp av alternativet VINKELRIKTIGHET:

Referensvinkel

Övre tolerans för vinkelriktighetsutvärderingar

Projicerat avstånd för vinkelriktighetsutvärderingar

Utvärdera symmetri

Så här utvärderar du ett element med alternativet SYMMETRI:

Övre tolerans för symmetri

Utvärdera med tangentinmatning

Så här lägger du till utvärderingar med alternativet INMATNING:

Nominell

Mätt

Toleransvärden för tangentinmatade utvärderingar

Övre tolerans

Undre tolerans

Utvärdera variabler

Exempel på variabelutvärdering


Utvärdera element: Inledning

När ett eller flera element har mätts eller konstruerats kan en rapport skapas. Det första steget när en rapport skapas är att utvärderingar beräknas utifrån specifika krav. Utvärderingar kan beräknas omedelbart efter att en mätning har utförts eller senare i programmet. I PC-DMIS visas resultatet av varje utvärderingsåtgärd i Redigeringsfönstret.

I avsnittet Redigera ett detaljprogram finns allmän information om hur du ändrar rapporten i Redigeringsfönstret.

Dessutom kan du ange nominella värden, ändra utskriftsformatet och/eller skriva ut resultatet av beräkningarna.

  • För att ändra de nominella värden eller toleransvärden som visas i Redigeringsfönstret klickar du på värdet som ska ändras och skriver in ett nytt värde.

  • För att visa eller dölja fält för nominella värden eller toleransvärden i Redigeringsfönstret markerar eller avmarkerar du kryssrutorna i området Inkludera på fliken Utvärdering i dialogrutan Parametrar (Redigera | Alternativ | Parametrar). Visa menykarta Läs mer under Parameterinställningar: fliken Utvärdering i avsnittet Göra inställningar.

  • Mer information om att ändra de mätta värdena för ett element (till exempel för att hämta radien för en cirkel som ska skrivas ut) finns under Ändra rapport- och rörelseparametrar i avsnittet Göra inställningar.

För att utvärdera ett element väljer du undermenyn Infoga | Utvärderingar i menyfältet eller väljer önskad utvärdering i verktygsfältet Utvärdering. I det här avsnittet beskrivs de utvärderingar som finns på undermenyn Utvärderingar.

Nedan följer några av huvuddelarna i det här avsnittet:

  • Kommandoformat för utvärderingar

  • Skriva ut utvärderingar till rapporten

  • Gemensamma alternativ i dialogrutorna för utvärderingar

  • Utvärdera läge

  • Utvärdera lägeriktighet

  • Utvärdera avstånd

  • Utvärdera vinkel

  • Utvärdera koncentricitet

  • Utvärdera koaxialitet

  • Utvärdera rundhet

  • Utvärdera rakhet

  • Utvärdera planhet

  • Utvärdera vinkelräthet

  • Utvärdera parallellitet

  • Utvärdera totalt eller cirkulärt kast

  • Utvärdera yt- eller linjeprofil

  • Utvärdera vinkelriktighet

  • Utvärdera symmetri

  • Utvärdera med tangentinmatning

  • Utvärdera variabler


Kommandoformat för utvärderingar

Alla utvärderade element visas i nedanstående format. En del variationer förekommer och dessa förklaras närmare i följande avsnitt.

I PC-DMIS visas utvärderingar som inte är kopplade till några element med den färg du har definierat för utomtoleranstext.

Här är ett exempel på hur utvärderingar visas i Redigeringsfönstret:
utvärderingens_namn = TYP AV UTVÄRDERING,elem_1 ENHETER=MM ,$
GRAFIK=AV  TEXT=AV  MULT=1.00  UTSKRIFT=BÅDA

AX

NOM

+TOL

-TOL

MÄTT

MAX

MIN

AVV

UTOMTOL

x.

8.0000

0.1000

0.1000

8.0000

8.5000

7.5000

0.0000

0.0000

y

3.0000

0.1000

0.1000

3.0000

3.5000

2.5000

0.0000

0.0000

z

0.4947

0.1000

0.1000

0.4947

0.1428

0.8466

0.0000

0.0000

d

1.0000

0.1000

0.1000

1.0000

1.0000

1.0000

0.0000

0.0000

v

0.0000

0.5938

0.8046

SLUT PÅ UTVÄRDERING utvärderingens_namn (endast för LÄGE)

Fältregler finns i Konventioner.

TYP AV UTVÄRDERING: Här visas utvärderingstypen. Det enda som kan ändras i det här fältet är namnet på elementet.

elem_1: Namnet på det element som ska utvärderas. Värdet i fältet kan redigeras.

Alla nominella värden och toleransvärden för en utvärdering kan redigeras. Så här redigerar du nominella värden och toleransvärden:

  1. Flytta till den önskade cellen genom att trycka på TABB-tangenten eller genom att dubbelklicka på fältet med vänster musknapp.

  2. Skriv in det värde du vill använda.

  3. Tryck på TABB igen eller klicka utanför utvärderingen.

Om du trycker på RETUR läggs en rad till. (Se Utvärdera läge)

Mer:

Lägga till rader

Ta bort rader

Redigera rader

Konventioner

Öppna dialogrutan


Lägga till rader

Så här skapar du en ny rad i en lägesutvärdering:

  1. Placera insättningspunkten på den plats du vill använda.

  2. Tryck på RETUR.

  3. Skriv in den axel du vill använda (X, Y, Z, D, R, A, V, T, L, S, H, M, PR , PA , PD).

  4. Tryck på TABB eller RETUR.

Värdena för den nya axeln visas. Var den nya raden läggs till beror på var insättningspunkten finns. Om insättningspunkten finns mitt i ett kommando skapas en ny rad nedanför den aktuella raden. Om insättningspunkten står i början av en kommandorad skapas den nya raden ovanför insättningspunkten.


Ta bort rader

För att ta bort en enskild axel inom en lägesutvärdering markerar du axeln och trycker på BACKSTEG eller DELETE. (Se Tangentbordsfunktioner i kommandoläget i avsnittet Använda Redigeringsfönstret.)


Redigera rader

När toleranserna för en utvärdering redigeras i Redigeringsfönstret visas en dialogruta med en fråga om du vill överföra de ändrade toleranserna till någon av utvärderingarna av samma typ. Om du svarar Ja görs en sökning från den aktuella punkten framåt i detaljprogrammet för att kopiera toleranserna till alla utvärderingar som är av samma typ och vars ursprungliga toleranser är samma som för den aktuella utvärderingen.

När de nominella värdena för en utvärdering redigeras i Redigeringsfönstret visas en dialogruta med en fråga om du vill överföra de ändrade nominella värdena till elementet för utvärderingen. Om du svarar Ja används de nya nominella värdena för elementet.


Konventioner

På fliken Utvärdering i dialogrutan Inställningsval (Redigera | Alternativ | Inställningar) kan du definiera parametrar för de utvärderingar som visas.

  • Alla vinklar kan ha upp till 5 decimaler. Vilket faktiskt värde som visas beror på parametrarna som har angetts på fliken Utvärdering.

  • Alla längd- och avståndsvärden samt vektorvärden för utvärderingarna visas med upp till 5 decimaler. Vilket faktiskt nominellt värde som visas beror på parametrarna som har angetts på fliken Utvärdering.

Mer information om fliken Utvärdering finns under Inställningsval: fliken Utvärdering i avsnittet Göra inställningar.


Öppna dialogrutan

Så här öppnar du den utvärderingsdialogruta som en utvärdering i Redigeringsfönstret skapades från:

  1. Kontrollera att Redigeringsfönstret är öppet (Visa | Redigeringsfönster). Visa menykarta

  2. I Redigeringsfönstret klickar du på utvärderingen med musen.

  3. Tryck på F9. En utvärderingsdialogruta öppnas.

I den här dialogrutan kan du göra ändringar för den befintliga utvärderingen. När du klickar på knappen Skapa används ändringarna också för utvärderingstexten i Redigeringsfönstret.


Skriva ut utvärderingar till rapporten

Det är enkelt att skapa utvärderingar i Redigeringsfönstret. Utvärderingarna visas då också i rapporten.

Mer:

Så här skapar du utvärderingar automatiskt i Redigeringsfönstret

Så här ändrar du utvärderingen före utskrift

Visa utvärderingar i RTF- och PDF-filer


Så här skapar du utvärderingar automatiskt i Redigeringsfönstret

Så här skapar du utvärderingar automatiskt i Redigeringsfönstret:

  1. Öppna Redigeringsfönstret (Visa | Redigeringsfönster). Visa menykarta

  2. Placera insättningspunkten på den plats där du vill att utvärderingsinformationen ska visas.

  3. Skriv in lämpligt nyckelord.

ELLER

  1. Öppna Inställningsval genom att välja menyalternativet Redigera | Alternativ | Inställningar. Visa menykarta

  2. Klicka på fliken Utvärdering i dialogrutan.

  3. Välj alternativet Skapa utvärderingar.

  4. Välj eventuellt andra alternativ.

  5. Klicka på OK.

Nästa gång du mäter ett element skapas en utvärdering automatiskt i Redigeringsfönstret.


Så här ändrar du utvärderingen före utskrift

I många fall måste nominella värden, toleranser och/eller utskriftsformat ändras innan resultaten skrivs ut.

Så här ändrar du nominella värden eller toleranser i Redigeringsfönstret:

  1. Öppna Redigeringsfönstret och övergå till kommandoläge (Visa | Redigeringsfönster). Visa menykarta

  2. Klicka på utvärderingen i Redigeringsfönstret.

  3. Tryck på TABB för att flytta till det värde du vill ändra.

  4. Skriv in ett nytt värde.

Så här ändrar du nominella värden eller toleranser i dialogrutan för utvärderingen:

  1. Klicka på utvärderingen i Redigeringsfönstret.

  2. Tryck på F9 för att visa dialogrutan för utvärderingen.

  3. Ändra de värden du vill ändra.

  4. Klicka på Skapa.

För att ändra innehållet i utvärderingsrapporten klickar du på fliken Utvärdering i dialogrutan Parameterinställning (se Parameterinställningar: fliken Utvärdering i avsnittet Göra inställningar) och anger vilken utvärderingsinformation som ska visas i PC-DMIS.

Obs! Med inställningarna i området Analysinställningar i dialogrutan för varje utvärdering kan du ange att utvärderingsutskriften ska visas i ett format som passar för noggrann undersökning.


Visa utvärderingar i RTF- och PDF-filer

Du kan skicka rapporten med utvärderingar till en extern RTF-fil (Rich Text Format) eller PDF-fil (Portable Document Format) genom att välja utskriftsalternativ i dialogrutan Utskriftsalternativ för Redigeringsfönstret. Se Skriva ut från rapporten i avsnittet Använda grundläggande filalternativ.

På grund av olika formatbegränsningar i RTF- och PDF-formaten kan utvärderingarna visas olika i de två olika filtyperna.

  • I RTF-filer har utvärderingar en tunn kantlinje kring sidhuvudet, blå bakgrund och en utvärderingssymbol.

  • I PDF-filer har utvärderingarna ingen kantlinje, bakgrundsfärg eller symbol. Utvärderingarna är vänsterställda.


Gemensamma alternativ i dialogrutorna för utvärderingar

Det finns flera alternativ som är tillgängliga i de flesta utvärderingsdialogrutor.

Mer:

Måttjämkning

Utvärderingsinfo.

Ändra standardutvärderingar

Enheter

Analysinställningar

Skriv i


Måttjämkning

I området Måttjämkning finns följande toleransmetoder:

Alternativknapp | Står för | Beskrivning
M | MMC | Maximalt materialtillstånd, antingen för elementet eller referensobjektet.
R | RFS | Utan hänsyn till elementets dimension, antingen för elementet eller referensobjektet.
L | LMC | Minimalt materialtillstånd, antingen för elementet eller referensobjektet.

I nuläget kan du välja måttjämkningsmodifierare för utvärderingar av typen Lägeriktighet, Parallellitet och Vinkelräthet.

Om du markerar kryssrutan Använd ref. för lägeriktighetsutvärderingar används uppriktningen för referensobjekten vid utskrift av XYZ-värden.

Mer:

Knappen Återkalla


Knappen Återkalla

Med knappen Återkalla i området Måttjämkning kan du enkelt markera de referenser som användes i en tidigare, liknande utvärdering. Knappen blir tillgänglig när du har valt ett element som ska utvärderas i listan Element.

Exempel: Anta att du har använt fyra cirklar som referenselement i en tidigare lägeriktighetsutvärdering. Du kan nu enkelt använda samma cirklar som referenselement genom att välja det element som ska utvärderas i listan Element och sedan klicka på knappen Återkalla. Referenselementen markeras i listan Element.


Utvärderingsinfo.

Om du markerar kryssrutan Visa skapas ett UTVINFO-kommando efter utvärderingen i Redigeringsfönstret. Detta kommando innebär att all utvärderingsinformation visas i Grafikfönstret bredvid det element som har valts i rutan Element. Kommandot UTVINFO innebär också att de utvärderingsaxlar som är tillgängliga för utvärderingen i Redigeringsfönstret visas i Grafikfönstret.

Så här använder du alternativet:

  1. Markera kryssrutan Visa.

  2. Markera det element som ska utvärderas.

  3. Klicka på Skapa.

Utvärderingsinformationen visas i Grafikfönstret.

Utvärderingsinformation i Grafikfönstret.

Mer detaljerad information om UTVINFO-rutor och om regler som styr hur du skapar rutorna finns i Infoga rutor för utvärderingsinformation i avsnittet Infoga rapportkommandon.


Ändra standardutvärderingar

Med knappen Redigera öppnar du dialogrutan Ändra standardutvärderingar.

Dialogrutan Ändra standardutvärderingar

Med kryssrutorna i den här rutan kan du välja vilken typ av information som ska visas i Grafikfönstret för varje utvärdering. Följande kryssrutor är tillgängliga:

Auto | Om du markerar kryssrutan Auto visas följande information automatiskt: Mätt, Nominell, Toleranser, Avvikelse, Min/Max, Utom tol.
Mätt | Om du markerar den här kryssrutan visas de faktiska mätta utvärderingarna.
Nominell | Om du markerar den här kryssrutan visas de teoretiska värdena för utvärderingen.
Toleranser | Om du markerar den här kryssrutan visas de acceptabla toleransnivåer som är antingen högre eller lägre än de nominella värdena.
Avvikelse | Om du markerar den här kryssrutan visas de mätta värdenas avvikelse från de nominella värdena.
Min/max | Om du markerar den här kryssrutan visas de högsta och lägsta värdena för utvärderingen.
Utom tol. | Om du markerar den här kryssrutan visas ett värde för hur långt utanför toleransen det mätta värdet är i jämförelse med de nominella värdena och toleransvärdena.
Medelvärde | Om du markerar den här kryssrutan visas medeltalet för samtliga avvikelser för utvärderingen.
Std.avv. | Om du markerar den här kryssrutan visas standardavvikelsen för samtliga avvikelser för utvärderingen.
Antal punkter | Om du markerar den här kryssrutan visas det antal punkter som används för att mäta elementet för utvärderingen.

Mer detaljerad information om att redigera utvärderingar och regler om hur du skapar utvärderingar finns i Infoga rutor med utvärderingsinformation i avsnittet Infoga rapportkommandon. Dessutom finns följande knappar i dialogrutan: OK, Avbryt, Standard, Återkalla och Återställ (dessa knappar rör dialogrutan Ändra standardutvärderingar).

Mer:

Knappen Återställ


Knappen Återställ

Med knappen Återställ avmarkerar du alla markerade kryssrutor i dialogrutan Ändra standardutvärderingar och markerar kryssrutan Auto.


Enheter

I området Enheter kan du välja mellan följande två alternativ:

  • Tum = Tum

  • mm = Millimeter

Den måttenhet du väljer används för utvärderingar så länge den aktuella dialogrutan är öppen. Standardvärdet är den aktuella måttenheten för det aktuella detaljprogrammet.


Analysinställningar

Området Analys för läges- och lägeriktighetsutvärderingar

Området Analys för alla andra utvärderingar

I området Analys anger du analysformatet för utvärderingsutskriften. Du kan välja att visa text, grafik eller båda när avvikelserna för en utvärdering visas.

I området Analys för läges- och lägeriktighetsutvärderingar kan du inte bara utvärdera elementets läge utan också dess form.

Obs! Var försiktig när du tolkar grafiska data för en läges- eller lägeriktighetsutvärdering tillsammans med den integrerade formutvärderingen. Analystoleranslinjerna kommer förmodligen att överlappa varandra och det kan vara svårt att skilja ut dem.

Mer:

Text

Växla mellan polära och kartesiska (rektangulära) koordinater för textanalys

Grafik

Multiplikator

Alternativet Båda (för Lägeriktighet och Läge)

Alternativet Form (för Lägeriktighet och Läge)


Text

När du markerar kryssrutan Text (eller alternativet På för läges- och lägeriktighetsutvärderingar) skrivs följande information till rapporten för varje enskild mätpunkt som används i utvärderingen:

  • Mätta X-, Y- och Z-värden

  • Mätta I-, J- och K-värden

  • Avvikelsen för varje enskild mätpunkt

  • En markör för MAX eller MIN i slutet av raden om mätpunkten ger en största eller minsta avvikelse

Exempel på en textanalysrapport

Du kan ange om kartesiska eller polära koordinater ska användas för textanalysvisningen. Mer information om detta finns under Växla mellan polära och kartesiska (rektangulära) koordinater för textanalys.


Växla mellan polära och kartesiska (rektangulära) koordinater för textanalys

Med menyalternativet Växla polära/rekt. koord. i textrapport kan du växla utseendet för textanalysen för en utvärdering så att positionen för en eller flera mätpunkter i textanalysen visas med kartesiska eller polära koordinater. Bokstaven P visas bredvid de numeriska data för att ange att punkterna visas polärt.

  • Om insättningspunkten är placerad över en utvärdering i kommandoläget växlas hela textanalysen för utvärderingen.

  • Om insättningspunkten är placerad över en specifik rad i textanalysen för en utvärdering när menyalternativet väljs växlas bara den enskilda raden. Om en enskild mätpunkt visas med polära koordinater i textanalysen visas värdena för radie, vinkel och z i kolumnerna x, y och z.

Så här ändrar du koordinatsystem för visningen av textanalysen:

  1. I rapportläget placerar du insättningspunkten på utvärderingshuvudet eller på en enskild mätpunkt.

  2. Välj menyalternativet Växla polära/rekt. koord. i textrapport. Bokstaven P visas vid raderna i textanalysen för att ange vilka mätpunkter som visas med polära koordinater.


Grafik

Genom att markera kryssrutan Grafik (eller välja alternativet På för läges- och lägeriktighetsutvärderingar) kan du skapa utvärderingsutskriften i ett format som lämpar sig för noggrann undersökning.

När du markerar kryssrutan visas avvikelsen för varje enskild mätpunkt för de utvärderingar som används för detaljen grafiskt i Grafikfönstret. Felet visas i programmet i form av enskilda pilar för varje mätpunkt. Pilarnas färg och riktning anger den relativa storleken på felet samt dess riktning.

Kommandorad i Redigeringsfönstret:
...GRAF=PÅ TEXT=AV MULT=1.00

I följande exempel används den utvärderingsinformation som visas i textanalysexemplet i Text:

Exempel på en rundhetsutvärdering med grafisk analys med multiplikatorn tio (till vänster) respektive ett (till höger)

Rundhetsexemplet ovan innehåller olika färgade linjer, pilar och cirklar. I följande tabell visas de färgade objekten i exemplet samt information om vad de betyder:

Färgat objekt | Beskrivning
Svart cirkel | Den nominella cirkeln.
Röd cirkel | Den mätta cirkeln (utanför toleransgränserna).
Blå cirklar | Toleransbanden.
Färgade linjer | Linjerna mellan mätpunkterna.
Färgade pilar | Pekar på själva mätpunkterna (vid toppen av varje pil) och den relativa avvikelsestorleken för varje mätpunkt (bredvid pilen) och anger i vilken riktning avvikelsen går (pilens riktning).

De färger som används i exemplet är standardfärgerna för utvärderingar. Det är enkelt att ändra färgerna om du vill göra det. De färger som används motsvarar de färger som används i stapeldiagrammet i Utvinfo- och Punktinfo-rutor. Se Redigera utvärderingsfärger i avsnittet Redigera CAD-visningen.


Multiplikator

I rutan Multiplikator anges en skalfaktor som förstorar avvikelsepilarna och toleransområdet för det grafiska analysläget. Om du anger värdet 2.0 ökar pilarnas skala till två gånger den beräknade avvikelsen för varje elementmätpunkt.

Rutan Multiplikator används endast i visningssyfte och påverkar inte den utskrivna texten.


Alternativet Båda (för Lägeriktighet och Läge)

  • Text: Om du väljer Båda visas avvikelserna för både lägesaxeln och formaxeln i rapporten.

  • Grafik: Om du väljer Båda visas toleranslinjer för både lägesutvärderingen och den integrerade formutvärderingen för elementet. Dessa kan överlappa varandra.


Alternativet Form (för Lägeriktighet och Läge)

Med alternativet Form kan du analysera utvärderingsinformation för ett elements läge och dess form samtidigt (i tidigare versioner än 3.25 krävdes en separat utvärdering för att få fram formen för ett element).

Viktigt! Du måste markera kryssrutan Form i området Axlar i dialogrutan för att kunna använda området Analys för att skapa en rapport om ett elements form. Mer information finns i Standardaxlar.

Om du markerar Form fungerar programmet som om alternativet Båda också har markerats eftersom både en grafisk analys och en textanalys skapas.


Skriv i

Du kan välja att skriva utvärderingsutdata till rapporten och/eller till statistikfiler som används i statistikprogram. Du kan också välja att inte skriva utdata till något av dessa format. Du anger vad du vill göra i området Skriv i i dialogrutan. Där finns följande alternativ:

  • Statistik – utdata skickas till statistikfiler

  • Rapport – utdata skickas till rapporten

  • Båda – utdata skickas både till rapporten och till statistikfiler

  • Ingen – utdata skickas inte någonstans

När en utvärdering körs i PC-DMIS skickas en utskrift till rapporten, till statistikfilen, till båda destinationerna eller inte till någon av dem beroende på vad du har valt.

Om du har markerat något av alternativen Statistik och Båda måste det finnas ett föregående STAT/PÅ-kommando i Redigeringsfönstret för att utvärderingen ska skickas till statistikfilen.


 Området Enheter Området Analys Knappen Redigera Knappen Töm Toleranser för lägesutvärderingar Knappen Stäng Knappen Skapa Kryssrutan Visa Rutan Elementlista ID= [Element] Sök-ID Området Skriv i Området Axlar Området ISO Välj sista Området Axlar, tunnplåt Området Alternativ

Utvärdera läge

Dialogrutan Läge

Med menyalternativet Infoga | Utvärdering | Läge beräknar du avståndet från elementet till XYZ-nollpunkten parallellt med respektive axel. Diametern, vinkeln och vektorn för elementet används också i beräkningen. I det här avsnittet beskrivs bara processen för läges- och koordinatutvärdering. Processen för positionsutvärderingar beskrivs under Utvärdera lägeriktighet.

Läget kan beräknas med hjälp av kartesiska (rektangulära) eller polära koordinater, lägeriktighet eller koordinattoleranser.

  • Du växlar mellan kartesiska och polära koordinater genom att välja PVnk eller PRad i dialogrutan Läge.

  • Information om hur du växlar mellan toleransmetoderna LÄGERIKTIGHET och REKT finns under Utvärdera lägeriktighet.

Mer:

Så här utvärderar du ett element med alternativet LÄGE:

Standardaxlar för lägesutvärderingar

Axlar, tunnplåt

Alternativ

Toleransvärden för lägesutvärderingar

ISO


Så här utvärderar du ett element med alternativet LÄGE:

  1. Välj Infoga | Utvärderingar | Läge på undermenyn. Dialogrutan Läge öppnas. Visa menykarta

  2. Markera det/de element som ska utvärderas i rutan Element.

  3. Välj de axlar du vill använda. Kryssrutan Auto är markerad som standard.

Om kryssrutan Auto är markerad avgörs det automatiskt vilka standardaxlar som ska visas i utvärderingen. Standardaxlarna beror på elementtypen. Se beskrivningen i tabellen nedan.

Så här ser standardutskriftsformatet för respektive element ut:

CIRKEL | X, Y, D (utifrån arbetsplanet).
KON | X, Y, Z, A
CYLINDER | X, Y, Z, D, L (utifrån arbetsplanet).
LINJE | Utgår ifrån den axel som är vinkelrät mot den axel som är närmast (och den axel som är relaterad till) det arbetsplan som linjen mäts i.
PLAN | Utgår ifrån den axel som är närmast relaterad till planet.
PUNKT | X, Y, Z, T
SPÅR | X, Y, D, R, L (utifrån arbetsplanet).
SFÄR | X, Y, Z, D

  4. I listan Axlar väljer du de axlar som du vill använda övre och undre toleranser för.

  5. Skriv ett övre toleransvärde i rutan Plus.

  6. Skriv ett undre toleransvärde i rutan Minus.

  7. Skriv ett värde i rutan Nominell storlek.

  8. Välj en toleransklass i listan Toleransklass.

  9. Välj en toleransgrad i listan Toleransgrad.

  10. Markera eventuellt kryssrutan Visa om du vill visa utvärderingsinformationen i Grafikfönstret.

  11. Välj alternativet Tum eller mm i området Enheter i dialogrutan.

  12. Ange vart utvärderingsinformationen ska skrivas. Välj något av alternativen Statistik, Rapport, Båda och Ingen.

  13. Välj de analysalternativ du vill använda genom att markera kryssrutan Text eller textrutan Grafik. Om du markerar Grafik skriver du ett värde i rutan Multiplikator.

  14. Om du vill kan du markera kryssrutan Visa i området Utvärderingsinformation och klicka på Redigera för att välja det format du vill använda för visningen av utvärderingsinformation i Grafikfönstret.

  15. Klicka på Skapa.

Utvärderingen visas i Redigeringsfönstret med följande information:

utvärderingens_namn = TYP AV UTVÄRDERING,elem_1 ENHETER=mm ,$
GRAFIK=AV TEXT=AV MULT=1.00 UTSKRIFT=BÅDA

 | NOM | +TOL | -TOL | MÄTT | MAX | MIN | AVV | UTOMTOL
x. | 8.0000 | 0.1000 | 0.1000 | 8.0000 | 8.5000 | 7.5000 | 0.0000 | 0.0000
y | 3.0000 | 0.1000 | 0.1000 | 3.0000 | 3.5000 | 2.5000 | 0.0000 | 0.0000
z | 0.4947 | 0.1000 | 0.1000 | 0.4947 | 0.1428 | 0.8466 | 0.0000 | 0.0000
d | 1.0000 | 0.1000 | 0.1000 | 1.0000 | 1.0000 | 1.0000 | 0.0000 | 0.0000
v | 0.0000 | 0.5938 | 0.8046 |  |  |  |  |

SLUT PÅ UTVÄRDERING utvärderingens_namn (endast för LÄGE)


Standardaxlar för lägesutvärderingar

Med kryssrutan Standard kan du ändra standardutskriftsformatet. När kryssrutan Auto är markerad väljs axlarna som visas i utvärderingen utifrån standardaxlarna för elementtypen. Under vissa omständigheter kan du dock behöva åsidosätta standardinställningen. Så här ändrar du standardutskriftsformatet:

  1. Välj de alternativ du vill använda.

X = skriver ut värdet för X-axeln.
Y = skriver ut värdet för Y-axeln.
Z = skriver ut värdet för Z-axeln.
PRad = skriver ut värdet för den polära radien.
PVnk = skriver ut värdet för den polära vinkeln.
D = skriver ut diametervärdet.
R = skriver ut radievärdet (hälften av diametern).
A = skriver ut vinkelvärdet (för koner).
L = skriver ut längdvärdet (används för cylindrar och spår).
H = skriver ut höjden (detta är vanligtvis höjden för spår, men även längden för koner, cylindrar och ellipser).
V = skriver ut vektorläget.
Form = skriver ut den integrerade formutvärderingen för elementet med lägesutvärderingen

  • För en cirkel eller en cylinder är det här utvärderingen Rundhet (RN).

  • För ett plan är det här utvärderingen Planhet (FL).

  • För en linje är det här utvärderingen Rakhet (ST).

  2. Markera kryssrutan Standard.

När utskriftsvärdena har ändrats till något annat än standardvärdena används de nya inställningarna för alla efterföljande utvärderingar. Om du vill använda de ursprungliga standardaxlarna igen måste du återställa standardinställningarna för formatet.

Så här återställer du standardinställningarna för formatet:

  1. Markera kryssrutan Auto.

  2. Markera kryssrutan Standard.

  3. Klicka på Skapa.

Inställningarna för utvärderingen återställs automatiskt så att standardaxlarna för den aktuella elementtypen skrivs ut.


Axlar, tunnplåt

I området Axlar, tunnplåt finns kryssrutor som bara är tillgängliga när tunnplåtselement utvärderas.

T = skriver ut fel längs anloppsvektorn (för punkter på krökta ytor).
S = skriver ut avvikelsen längs ytvektorn.
RT = skriver ut avvikelsen längs rapportvektorn.
RS = skriver ut avvikelsen längs ytrapportvektorn.
PD = skriver ut diametern för en cirkel (vinkelrät mot pinnvektorn).

Om en T-, RT-, S- eller RS-axel används används inga andra lägesutvärderingar för analysen (vare sig grafiska eller textanalytiska).

Så här ser standardutskriftsformatet för tunnplåtselement ut:

VEKTORPUNKT: RT
YTA: RT
KANT: X,Y,Z och T
CIRKEL: PD


Alternativ

I PC-DMIS kan du också skriva ut två specialaxlar:

  • Enbart "retrolinear"

  • Enbart spel

Du kan välja något av alternativen i området Alternativ i dialogrutan Läge. Alla framtida lägen för vektor, yta och kantpunkter i detaljprogrammet skrivs ut med lämpliga specialaxlar tills du inaktiverar alternativet.

Mer:

Enbart "retrolinear" för lägesutvärderingar

Enbart spel för lägesutvärderingar


Enbart "retrolinear" för lägesutvärderingar

Den här kryssrutan är tillgänglig när du utvärderar vektor- och ytpunkter. Om alternativet har markerats för giltiga punkter beräknas lägesaxlarna på följande sätt:

· Den största komponenten för den teoretiska ytnormalvektorn hittas (störst i någon av riktningarna x, y och z).

· Den mätta punkten projiceras till vektorn för denna största komponent så att projiceringen görs vinkelrätt mot den ursprungliga teoretiska ytnormalvektorn.

Lägesaxlarna beräknas sedan utifrån den här nya projicerade punkten.


Enbart spel för lägesutvärderingar

Kryssrutan Enbart spel är tillgänglig när du utvärderar kantpunkter. När du markerar kryssrutan Enbart spel och en kantpunkt mäts beräknas lägesaxlarna på följande sätt:

  • Den mätta punkten (1) projiceras till den teoretiska ytan.

  • Den nya punkten projiceras på den teoretiska anloppsvektorn.

Eventuella lägesaxlar beräknas sedan utifrån den här nya punkten.


Toleransvärden för lägesutvärderingar

I området Toleranser kan du ange övre och undre toleranser för var och en av följande axlar som finns i listan Axlar.

Så här anger du övre och undre toleranser:

  1. Markera den axel som du vill ange toleranser för i listan Axlar.

  2. I rutan Plus skriver du det övre toleransvärdet för axeln.

  3. I rutan Minus skriver du det undre toleransvärdet för axeln.

I PC-DMIS tillåts positiva undre toleranser. Du anger ett sådant värde genom att skriva ett minustecken före värdet i rutan Minus.

I PC-DMIS tillåts negativa övre toleranser. Du anger ett sådant värde genom att skriva ett minustecken före värdet i rutan Plus.

Exempel: Om du anger 1.000 som nominellt värde, .003 som övre tolerans och .001 som undre tolerans tolkas detta som 1.000 + .003 / –.001. För att den undre toleransen ska bli +.001 (teckenbyte) skriver du 1.000 (nominellt värde), .003 (övre tol.) och –.001 (undre tol.). På så sätt blir toleransintervallet 1.000 + .003 / + .001.

Obs! Negativa undre toleranser kan visas med ett minustecken om du har valt alternativet Undre tol. visas negativt. Se Undre tol. visas negativt i avsnittet Göra inställningar.

Mer:

Den nedrullningsbara listan Axlar

Övre toleranser

Undre toleranser


Den nedrullningsbara listan Axlar

Den nedrullningsbara listan Axlar innehåller alla tillgängliga axlar som du kan använda övre och/eller undre toleranser för. Listan innehåller följande objekt:

ALLA | Alla axlar och alternativ som visas i listan
X | Värdet för X-axeln
Y | Värdet för Y-axeln.
Z | Värdet för Z-axeln.
D | Diameter
R | Radien (hälften av diametern)
A | Vinkeln (för koner)
L | Längden (används för cylindrar, spår, koner och ellipser)
H | Höjd
PR | Polär radie
PA | Polär vinkel
T | Fel längs anloppsvektorn (för punkter på krökta ytor)
RT | Avvikelse längs rapportvektorn
S | Avvikelse längs ytvektorn
RS | Avvikelse längs ytrapportvektorn
PD | Diametern för en cirkel (vinkelrät mot pinnvektorn)
FORM | Den integrerade formutvärderingen för elementet. § För en cirkel eller en cylinder är det här utvärderingen Rundhet (RN). § För ett plan är det här utvärderingen Planhet (FL). § För en linje är det här utvärderingen Rakhet (ST).


Övre toleranser

I rutan Plus kan du ange de övre toleransvärdena för den axel eller de axlar som har valts i listan Axlar.


Undre toleranser

I rutan Minus kan du ange de undre toleransvärdena för den axel eller de axlar som har valts i listan Axlar.


ISO

I området ISO i dialogrutan kan du använda ISO-standardiserade toleranser för diametern för cirkulära element. När du har valt toleransklass och toleransgrad görs en sökning efter lämpliga toleranser för diametern för en cylinder eller en cirkel från International Organization for Standardizations tabeller med begränsningar och anpassningar. I det här tabellerna definieras toleranserna för olika designklasser och grader för diametrar. Även om ISO-beräkningar kan utföras i både engelska och metriska enheter (tum respektive mm) i PC-DMIS definieras de bara för användning med metriska enheter av ISO. Eftersom olika klasser och grader för diametrar används i tabellerna går det bara att använda det här alternativet för cylindrar och cirklar. Om ingen nominell diameter anges används elementets nominella diameter för toleransberäkningarna.

Mer:

Nominell storlek

Toleransklass

Toleransgrad


Nominell storlek

I rutan Nominell storlek kan du ange den nominella diametern för det markerade elementet.


Toleransklass

I den nedrullningsbara listan Toleransklass kan du välja mellan följande ISO-toleransklasser:

A

B

C

CD

D

E

EF

F

FG

G

H

J

JS

K

M

N

P

R

S

T

U

V

X

Y

Z

ZA

ZB

ZC


Toleransgrad

I den nedrullningsbara listan Toleransgrad kan du välja mellan följande ISO-toleransgrader:

IT1 | IT7 | IT13
IT2 | IT8 | IT14
IT3 | IT9 | IT15
IT4 | IT10 | IT16
IT5 | IT11 | IT17
IT6 | IT12 | IT18


 ID= [Element] Sök-ID ¨Rutan Elementlista Knappen Töm Kryssrutan Visa Knappen Skapa Knappen Stäng Toleransvärden för lägeriktighetsutvärderingar Knappen Redigera Området Skriv i Området Analys Området Enheter Området Axlar Området Måttjämkning Området Avvikelse Området Axiella element

Utvärdera lägeriktighet

Dialogrutan Lägeriktighet

Med menyalternativet Infoga | Utvärdering | Lägeriktighet beräknar du lägeriktigheten från elementet till XYZ-nollpunkten parallellt med respektive axel. Diametern, vinkeln och vektorn för elementet används också i beräkningen.

I det här avsnittet beskrivs processen för lägeriktighetsutvärderingar. Information om processen vid läges- eller koordinatutvärderingar finns i avsnittet Utvärdera läge.

Viktigt! Om du använder referenser beräknas de mätta XYZ-värdena och -avvikelsevärdena med hänsyn till referensernas uppriktning men de visas i den aktuella uppriktningen så att värdena kan tolkas. Detta innebär att ett element som rapporteras med en lägeriktighetsutvärdering kan ha annorlunda mätta värden och avvikelsevärden än en annan lägeriktighetsutvärdering om olika referenser har definierats för utvärderingarna (eller om en av dem saknar referens), även om de har samma nominella värden.

Mer:

Så här utvärderar du ett element med alternativet LÄGERIKTIGHET:

Så här använder du lägeriktighet för en grupp cirklar eller cylindrar

Använda referenser

Standardaxlar för lägeriktighetsutvärderingar

Avvikelse

Axiella element

Toleransvärden för lägeriktighetsutvärderingar


Så här utvärderar du ett element med alternativet LÄGERIKTIGHET:

  1. Välj Infoga | Utvärderingar | Lägeriktighet på undermenyn. Dialogrutan Lägeriktighet visas. Visa menykarta

  2. Markera det/de element som ska utvärderas i rutan Element.

  3. Om du vill använda ett referenselement markerar du kryssrutan Använd ref. Om du markerar det här alternativet beräknas utvärderingen med hänsyn till referenselementen. XYZ-utdatavärdena visas dock med hänsyn till den aktuella uppriktningen i detaljprogrammet.

  4. Välj de eventuella referenselement som du vill använda i rutan Element.

  5. Ange måttjämkningsalternativ för elementet/elementen och referenselementet/-elementen genom att välja alternativ i området Måttjämkning.

  6. Markera de kryssrutor som du vill använda i området Avvikelse.

  7. Om du utvärderar ett axiellt element (t.ex. en cylinder) skriver du ett värde i rutan Referenslängd och väljer lämpligt alternativ i området För axiella element.

  8. Välj de axlar du vill använda. Kryssrutan Auto är markerad som standard.

  9. Välj de axlar som du vill använda övre och undre toleranser för.

  10. Skriv ett övre toleransvärde i rutan Plus.

  11. Skriv ett undre toleransvärde i rutan Minus.

  12. Välj Tum eller mm i området Enheter.

  13. Ange vart utvärderingsinformationen ska skrivas. Välj något av alternativen Statistik, Rapport, Båda och Ingen.

  14. Välj de analysalternativ du vill använda genom att markera kryssrutan Text eller textrutan Grafik. Om du markerar Grafik skriver du ett värde i rutan Multiplikator.

  15. Om du vill kan du markera kryssrutan Visa i området Utvärderingsinformation och klicka på Redigera för att välja det format du vill använda för visningen av utvärderingsinformation i Grafikfönstret.

  16. Klicka på Skapa.

Utvärderingen visas i Redigeringsfönstret med följande information:

utvärderingens_namn = LÄGERIKTIGHET FÖR ELEM_ID, ENHETER = TUM/MM,
GRAF=PÅ/AV, TEXT=PÅ/AV, MULT=n, UTSKRIFT=RAPPORT/STAT/BÅDA/INGEN, AVV VINKELRÄT MOT CENTRUMLINJE=PÅ/AV, VISA=DIAMETER/RADIE

AX | NOM | MÄTT | +TOL | -TOL | BON | AVV | AVVVNK | UTOM_TOL
X | 0.7500 | .07500 | 0.0000 |  |  | 0.0000 |  |
Y | 3.0000 | 3.0000 | 0.0000 |  |  | 0.0000 |  |
DF | 1.0000 | 1.0000 | 0.0000 | 0.0000 | 0.0000 | 0.0000 |  | 0.0000
D1 D2 D3 TP | 1.0000 1.0000 MMC | 1.0000 1.0000 1.0000 | 0.0000 0.0000 0.0000 | 0.0000 0.0000 | 0.0000 0.0000 0.0000 | PLAN CIRKEL CIRKEL 0.0000 | P1 VID RFS C1 VID MMC C2 VID MMC 0.000 | 0.0000

SLUT PÅ UTVÄRDERING utvärderingens_namn


Så här använder du lägeriktighet för en grupp cirklar eller cylindrar

  1. Skapa en elementuppsättning med hål med hjälp av menyalternativet Infoga | Element | Konstruera | Grupp (information om hur du skapar elementgrupper finns i Konstruera elementgrupper i avsnittet Konstruera nya element från befintliga element). Visa menykarta

  2. Välj menyalternativet Lägeriktighet. Dialogrutan Lägeriktighet visas.

  3. I dialogrutan Lägeriktighet väljer du den skapade elementgruppen som inmatat element och väljer eventuellt andra alternativ som ska användas för utvärderingen.

  4. Markera kryssrutan Text i området Analys.

  5. Gå till verktygsfältet Redigeringsfönster och klicka på ikonen Aktivera rapportfönstret. Nu kan du se avvikelsen för varje element och hur elementen behöver flyttas och roteras för att hamna inom toleransen. Resultaten visas alltid med RFS (utan hänsyn till elementets dimension) för referenselementet för att den maximala avvikelsen ska visas.


Använda referenser

Det finns många olika kombinationer av element som kan användas som referenselement för lägeriktighetsutvärderingar. Det finns dock några allmänna principer som du bör följa när du väljer referenselement.

För utformningar där lägeriktighetsutvärderingar används är det vanligt att använda en cirkel eller en cylinder som ensamt referenselement.

En annan vanlig metod är att välja en uppsättning referenselement som följer 3-2-1-uppriktningsprinciper. (Minimidefinitionen för ett referenselement är 3 referenspunkter som beskriver det första referenselementet, 2 referenspunkter som beskriver det andra referenselementet och 1 referenspunkt som beskriver det tredje referenselementet.) Detta innebär att de valda elementen blir ett plan, en linje och en enskild punkt.

3-2-1-uppriktningsprinciperna kan dock också användas för kombinationen plan/linje/linje, plan/linje/cirkel, plan/cylinder/cylinder och många andra kombinationer.

När flera cirkulära element har använts med MMC (max. materialtillstånd) eller LMC (min. materialtillstånd) gäller följande:

  • Bonustoleransen från TP-axeln är förmodligen inte en enkel addition av andra bonustoleranser eftersom en bästanpassningsberäkning sker för att avgöra korrekt bonustolerans.

  • Alla cirkulära element eller spårelement kan mätas med hjälp av MMC eller LMC.

  • Alla icke-cirkulära element mäts utan hänsyn till elementets dimension (RFS).

Obs! När referenselement har valts beräknas lägeriktighetsaxlarna X,Y,Z, PA och PR med hänsyn till referensobjektens uppriktning. De visas dock i den aktuella uppriktningen så att värdena kan tolkas. Dessutom måste referenselementen väljas med hjälp av den allmänna metod som beskrivs i det här ämnet, annars kan resultatet av utvärderingen bli felaktigt.

Mer:

Använda samma referenser för upprepade utvärderingar


Använda samma referenser för upprepade utvärderingar

För att använda referenselementen från en tidigare lägeriktighetsutvärdering för den aktuella lägeriktighetsutvärderingen markerar du elementet som ska utvärderas och klickar på Återkalla i området Måttjämkning. Se Knappen Återkalla.


Standardaxlar för lägeriktighetsutvärderingar

Med kryssrutan Standard kan du ändra standardutskriftsformatet. När kryssrutan Auto är markerad väljs axlarna som visas i utvärderingen utifrån standardaxlarna för elementtypen. Under vissa omständigheter kan du dock behöva åsidosätta standardinställningen. För att ändra standardutskriften markerar du de kryssrutor du vill använda:

X = skriver ut värdet för X-axeln.
Y = skriver ut värdet för Y-axeln.
Z = skriver ut värdet för Z-axeln.
PA = skriver ut värdet för den polära vinkeln.
PR = skriver ut värdet för den polära radien.
D1 = skriver ut värdet för diameter/bredd för det första referenselementet.
D2 = skriver ut värdet för diameter/bredd för det andra referenselementet.
D3 = skriver ut värdet för diameter/bredd för det tredje referenselementet.
DF = skriver ut elementets diameter.
LF = skriver ut elementets längd om elementet är ett spår.
WF = skriver ut elementets bredd om elementet är ett spår.
LD = skriver ut referenselementets längd om det är ett spår.
WD = skriver ut referenselementets bredd om det är ett spår.
TP = skriver ut toleransvärdet för lägeriktighet och den associerade avvikelsen.
Form = skriver ut den integrerade formutvärderingen för elementet.
§ För en cirkel eller en cylinder är det här utvärderingen Rundhet (RN).
§ För ett plan är det här utvärderingen Planhet (FL).
§ För en linje är det här utvärderingen Rakhet (ST).

När utskriftsvärdena har ändrats till något annat än standardvärdena används de nya inställningarna för alla efterföljande utvärderingar. Om du vill använda de ursprungliga standardaxlarna igen måste du återställa standardinställningarna för formatet.

Så här återställer du standardinställningarna för formatet:

  1. Markera kryssrutan Auto.

  2. Markera kryssrutan Standard.

  3. Klicka på Skapa.

Inställningarna för utvärderingen återställs automatiskt så att standardaxlarna för den aktuella elementtypen skrivs ut.

Obs! Om du markerar kryssrutan Auto avgörs det automatiskt vilka standardaxlar som ska skrivas ut. Standardutskriftsformatet utgår ifrån elementtypen. Lägeriktigheten för det markerade elementet avgörs automatiskt med hjälp av det dokumenterade axelformatet (se rutan ovan).


Avvikelse

I området Avvikelse kan du välja alternativ som anger hur du vill att avvikelser ska utföras och hur de ska visas i Redigeringsfönstret.

Mer:

Passa referenser

Avvikelse vinkelrät mot centrumaxel

Visa som radie


Passa referenser

Med kryssrutan Passa referenser anger du om anpassningsalgoritmen ska anropas när referenser används.

  • Om du markerar alternativet anropas anpassningsalgoritmen när referenser har angetts. Det aktuella elementet rapporteras i den anpassade positionen och den totala bonusen är den återstående tillgängliga bonusen efter anpassningen.

  • Om alternativet är avmarkerat analyseras lägeriktighetsutvärderingen med elementet i sin mätta position utan att anpassning används. Den rapporterade totala bonusen är den totala tillgängliga bonusen från det aktuella elementet och referensen i enlighet med referensbegränsningarna.


Avvikelse vinkelrät mot centrumaxel

Med kryssrutan Avv. vinkelrät mot centrumaxel anger du om avvikelsen ska beräknas vinkelrätt mot den teoretiska centrumlinjen för elementet eller vinkelrätt mot de direkta X-, Y- och Z-värdena.

  • Om du markerar kryssrutan beräknas avvikelsen vinkelrätt mot den teoretiska centrumlinjen för elementet. Eventuell avvikelse i centrumlinjens riktning ignoreras.

  • Om du avmarkerar kryssrutan beräknas avvikelsen mot X-, Y- och Z-värdena.

Det här alternativet är användbart för tunnplåtspunkter som kan ka anloppsvektorer som inte är riktade längs vare sig X-, Y- eller Z-axeln. Med den här kryssrutan anger du att avvikelsen kan hittas vinkelrätt mot anloppsvektorn.


Visa som radie

Med kryssrutan Visa som radie anger du om radievärdena för elementen och referenserna ska visas i stället för diametervärdena.

  • Om du markerar kryssrutan visas radievärdena i raderna DF, D1, D2, D3 och TP och i utvärderingsfältet i Redigeringsfönstret visas text som anger om det är elementets radie eller diameter som visas.

  • Om du avmarkerar rutan visas diametervärdena som vanligt.

Viktigt! Att använda den här kryssrutan följer inte ISO-standard.


Axiella element

För axiella element, till exempel cylindrar, kan du ange var längs axeln som lägeriktighetsutvärderingen ska skapas. Du kan ange att utvärderingen ska skapas vid axelns tyngdpunkt (eller centroid), vid axelns startpunkt, vid axelns slutpunkt, vid axelns sämsta ände (änden med den största avvikelsen) eller i båda ändar av axeln. Du kan också ange att utvärderingen ska skapas på en angiven referenslängd från en vald punkt på axeln.

Så här använder du referenslängd för en lägeriktighetsutvärdering:

  1. Skriv in det värde du vill använda i rutan Referenslängd.

  2. Välj en av alternativknapparna (Från tyngdpunkten, Från startpunkten, Från slutpunkten, Från sämsta änden och Från båda ändar).

  3. Klicka på Skapa. Den valda punkten (eller punkterna, om du har valt Från båda ändar) hittas och därefter skapas utvärderingen/utvärderingarna på det angivna referensavståndet längs axeln.

Alternativ | Beskrivning
Referenslängd | Med det här värdet anger du hur långt från den valda punkten eller axeländen som lägeriktighetsutvärderingen ska skapas.
Från tyngdpunkten | Med det här alternativet anger du att det axiella elementet ska utvärderas från axelns centroid (tyngdpunkt).
Från startpunkten | Med det här alternativet anger du att det axiella elementet ska utvärderas från axelns startpunkt.
Från slutpunkten | Med det här alternativet anger du att det axiella elementet ska utvärderas från axelns slutpunkt.
Från sämsta änden | Med det här alternativet anger du att det axiella elementet ska utvärderas från den start- eller slutpunkt som ger det sämsta tänkbara resultatet för utvärderingen. Utvärderingen skapas vid den axelände som avviker mest från det nominella värdet. Om detaljen till exempel innehåller en skev cylinder utgörs den sämsta änden av den start- eller slutpunkt längs cylinderns axel som avviker mest från det nominella värdet.
Från båda ändar | Med det här alternativet anger du att det axiella elementet ska utvärderas både från den markerade axelns startpunkt och dess slutpunkt. En utvärdering skapas vid båda ändarna av axeln.


Toleransvärden för lägeriktighetsutvärderingar

I området Toleranser kan du ange övre och undre toleranser för var och en av axlarna i listan Axlar samt definiera vissa måttjämkningsmodifierare.

Så här anger du toleranser för axlar:

  1. Markera den axel som du vill ange toleranser för.

  2. I rutan Plus skriver du det övre toleransvärdet för axeln.

  3. I rutan Minus skriver du det undre toleransvärdet för axeln.

  4. Välj måttjämkningsmodifierare i listan Materialtillstånd.

Du kan ange toleranser för flera axlar i listan. De definierade toleranserna lagras i PC-DMIS tillsammans med det markerade listobjektet. Även om du väljer ett annat objekt i listan Axlar och anger andra toleranser för det objektet kan du växla mellan de tillgängliga axlarna för att visa eller ändra lagrade toleranser för dem.

Mer:

Axlar

Plus

Minus


Axlar

Den nedrullningsbara listan Axlar innehåller alla tillgängliga axlar som du kan använda övre och/eller undre toleranser för. Listan innehåller följande objekt:

ALLA | Alla axlar och alternativ som visas i listan
D1 | Diametern/bredden för det första referenselementet
D2 | Diametern/bredden för det andra referenselementet
D3 | Diametern/bredden för det tredje referenselementet
DF | Diametern/bredden för elementet
LF | Längden för elementet, om elementet är ett spår
WF | Bredden för elementet, om elementet är ett spår
LD | Längden för referenselementet, om det är ett spår
WD | Bredden för referenselementet, om det är ett spår
TP | Toleransvärdet för lägeriktighet och den associerade avvikelsen
FORM | Den integrerade formutvärderingen för elementet. § För en cirkel eller en cylinder är det här utvärderingen Rundhet (RN). § För ett plan är det här utvärderingen Planhet (FL). § För en linje är det här utvärderingen Rakhet (ST).


Plus

I rutan Plus kan du ange de övre toleransvärdena för den axel eller de axlar som har valts i listan Axlar.


Minus

I rutan Minus kan du ange de undre toleransvärdena för den axel eller de axlar som har valts i listan Axlar.


 Enheter Området Analys Knappen Redigera Knappen Töm Toleranser för koncentricitetsutvärderingar Knappen Stäng Knappen Skapa Kryssrutan Visa Knappen 2 senaste Rutan Elementlista ID= [Element] Sök-ID Området Skriv i Enheter Området Analys Knappen Redigera Knappen Töm Toleranser för avståndsutvärderingar Knappen Stäng Knappen Skapa Kryssrutan Visa Knappen 2 senaste Rutan Elementlista ID= [Element] Sök-ID Området Skriv i Området Avståndstyp Området Riktning Området Relation Området Cirkelval

Utvärdera avstånd

Dialogrutan Avstånd

Med menyalternativet Infoga | Utvärdering | Avstånd beräknar du avståndet mellan två element. Du kan markera ett tredje element eller en axel för att ange den riktning som ska användas i beräkningen.

Det är svårare att föreställa sig avståndsberäkningar än de flesta andra utvärderingsberäkningar. När du beräknar avstånd mellan två element används antingen standardmetoden eller metoden Rak linje. Om du använder en rak linje för ett tvådimensionellt avstånd blir avståndet parallellt med arbetsplanet. Om du använder en rak linje för ett tredimensionellt avstånd går avståndet från tyngdpunkt till tyngdpunkt (kallas också centroider).

Mer:

Så här utvärderar du avstånd med alternativet AVSTÅND:

Toleransvärden för avståndsutvärderingar

Allmänna regler för 2D- och 3D-avståndsutvärderingar

Relation för avståndsutvärderingar

Riktning för avståndsutvärderingar

Cirkelval


Så här utvärderar du avstånd med alternativet AVSTÅND:

  1. Välj Infoga | Utvärderingar | Avstånd på undermenyn. Dialogrutan Avstånd öppnas. Visa menykarta

  2. Markera det/de element som ska utvärderas i rutan Element.

  3. Skriv ett övre toleransvärde i rutan Plus.

  4. Skriv ett undre toleransvärde i rutan Minus.

  5. Välj alternativet 2-dimensionellt eller 3-dimensionellt för att ange avståndstyp.

  6. Välj Tum eller mm i området Enheter.

  7. Ange vart utvärderingsinformationen ska skrivas. Välj något av alternativen Statistik, Rapport, Båda och Ingen.

  8. Välj något av alternativen Med element, Med X-axeln, Med Y-axeln eller Med Z-axeln för att ange vilken relation som ska definiera avståndet.

  9. Välj alternativknappen Vinkelrät mot eller Parallell med.

  10. Markera eventuellt kryssrutan Visa om du vill visa utvärderingsinformationen i Grafikfönstret.

  11. Välj de analysalternativ du vill använda genom att markera kryssrutan Text eller textrutan Grafik. Om du markerar Grafik skriver du ett värde i rutan Multiplikator.

  12. Om du vill kan du markera kryssrutan Visa i området Utvärderingsinformation och klicka på Redigera för att välja det format du vill använda för visningen av utvärderingsinformation i Grafikfönstret.

  13. Klicka på Skapa.

Utvärderingen visas i Redigeringsfönstret med följande information:

utvärderingens_namn = 2D-AVSTÅND,FRÅN elem_1,TILL elem_2,ALT1,arbetsplan,ALT2
eller
 utvärderingens_namn = 3D-AVSTÅND,FRÅN elem_1,TILL elem_2,ALT1,arbetsplan,ALT2

AX | NOM | +TOL | -TOL | MÄTT | MAX | MIN | AVV | UTOMTOL
M | 5.0000 | 0.0100 | 0.0100 | 5.0000 | 0.0000 | 0.0000 | 0.0000 | 0.0000

ALT1= PARALLELL MED/VINKELRÄT MOT

arbetsplan = värdet i det här fältet kan ändras till valfritt element. Standardvärdet är det aktuella arbetsplanet.

ALT2= INGEN_RADIE / ADD_RADIE / SUB_RADIE


Toleransvärden för avståndsutvärderingar

I området Toleranser kan du ange övre och undre toleranser för avstånd längs plus- och minusriktningarna.

Mer:

Övre tolerans

Undre tolerans

Nominellt värde för Avstånd


Övre tolerans

I rutan Plus kan du ange ett toleransvärde längs plusriktningen. Detta innebär att en vinkel som mäts och befinns vara större än den nominella (teoretiska) vinkel ändå kan vara giltig, om den ligger inom det angivna toleransintervallet.


Undre tolerans

I rutan Minus kan du ange ett toleransvärde längs minusriktningen. Detta innebär att en vinkel som mäts och befinns vara mindre än den nominella (teoretiska) vinkeln ändå kan vara giltig, om den ligger inom det angivna toleransintervallet.


Nominellt värde för Avstånd

Nominella värden för avståndet mellan element bygger inte alltid på CAD-data eller mätta data. Ofta hämtas de från en utskrift på papper. I så fall kan du ange det nominella avståndsvärdet från utskriften i rutan Nominell.


Allmänna regler för 2D- och 3D-avståndsutvärderingar

För 2D- och 3D-avståndsutvärderingar används följande regler för respektive elementtyp:

Behandling av element

  • Sfärer, punkter och uppsättningar behandlas som punkter.

  • Spår, cylindrar, koner, linjer och cirklar behandlas som linjer.

  • Plan behandlas som plan.

Andra regler

  • Om båda elementen är punkter (enligt definitionen ovan) anges det kortaste avståndet från punkt till punkt.

  • Om ett av elementen är en linje (enligt definitionen ovan) och det andra är en punkt anges det kortaste avståndet mellan linjen (eller centrumlinjen) och punkten.

  • Om båda elementen är linjer anges det kortaste avståndet från tyngdpunkten (centroiden) för den andra linjen till den första linjen.

  • Om ett av elementen är ett plan och det andra är en linje anges det kortaste avståndet från linjens tyngdpunkt (centroid) till planet.

  • Om ett av elementen är ett plan och det andra är en punkt anges det kortaste avståndet mellan punkten och planet.

  • Om båda elementen är plan anges det kortaste avståndet från tyngdpunkten (centroiden) för det andra planet till det första planet.

Mer:

2D-avstånd

3D-avstånd


2D-avstånd

Det största och minsta avståndet är det uppmätta avståndet mellan två linjer över linjernas längd.

Om du väljer alternativet 2-dimensionellt beräknas det tvådimensionella avståndet mellan elementen. Alla element som används för att beräkna 2D-avståndet projiceras först i det aktuella arbetsplanet innan avståndet beräknas. I PC-DMIS beräknas sedan det största och det minsta avståndet samt medelavståndet mellan de två elementen. Om avståndet är mellan två linjer eller plan beräknas dessa värden med hjälp av mätpunktsdata. (Kontrollera att avståndstypen 2-dimensionellt används.)

2D-avstånd som beräknas med tre element blir antingen parallella med eller vinkelräta mot ett referenselement. Referenselementet kan vara vilket som helst av de element som mätts eller konstruerats tidigare.

Så här beräknar du avståndet med tre element:

  1. Markera de två element som ska användas för att beräkna avståndet.

  2. Markera det tredje elementet (referenselementet). (Du får bäst resultat om du använder en linje som tredje element.)

  3. Kontrollera att du har valt rätt riktning.

  4. Markera kryssrutan Med element.

  5. Klicka på knappen Skapa.

Avståndet mellan de två första elementen beräknas parallellt med eller vinkelrätt mot det tredje elementet (referenselementet) eller axeln.

Obs! När du klickar på Stäng stängs dialogrutan Avstånd utan att någon utvärdering skapas.


3D-avstånd

Om du väljer alternativet 3-dimensionellt beräknas det tredimensionella avståndet mellan två element.

  • Om ett av de inmatade elementen är en linje, en centrumlinje eller ett plan beräknas 3D-avståndet vinkelrätt mot det elementet.

  • Om båda elementen är linjer, centrumlinjer eller plan används det andra elementet som referens.

  • Om inget av elementen är en linje, en centrumlinje eller ett plan beräknas det kortaste avståndet mellan de två elementen. (Kontrollera att läget 3-dimensionellt används.)


Relation för avståndsutvärderingar

Med kryssrutorna i området Relation i dialogrutan kan du ange om avståndet som mäts mellan två element ska vara vinkelrätt mot eller parallellt med en angiven axel eller vinkelrätt mot eller parallellt med ett markerat element:

Mer:

Med element

Med X-axeln

Med Y-axeln

Med Z-axeln


Kryssrutan Med element

När du markerar kryssrutan Med element blir alternativen Vinkelrät mot och Parallell med i området Riktning tillgängliga. Med de här alternativen anger du att avståndet mellan det första och det andra markerade elementet ska beräknas vinkelrätt mot eller parallellt med ett angivet element.

Om bara två element väljs i listan beräknas avståndet mellan det första och andra elementet parallellt med eller vinkelrätt mot det andra elementet.

Om tre element väljs i listan beräknas avståndet mellan det första och andra elementet parallellt med eller vinkelrätt mot det tredje elementet.

Elementet som används för att upprätta relationen ska vara ett linjärt element.


Kryssrutan Med X-axeln

Markera kryssrutan Med X-axeln om du mäter avståndet från det första markerade elementet till det andra markerade elementet, vinkelrätt mot eller parallellt med X-axeln.


Kryssrutan Med Y-axeln

Markera kryssrutan Med Y-axeln om du mäter avståndet från det första markerade elementet till det andra markerade elementet, vinkelrätt mot eller parallellt med Y-axeln.


Kryssrutan Med Z-axeln

Markera kryssrutan Med Z-axeln om du mäter avståndet från det första markerade elementet till det andra markerade elementet, vinkelrätt mot eller parallellt med Z-axeln.


Riktning för avståndsutvärderingar

När du mäter avståndet mellan två element kan du ange hur det ska mätas genom att ange riktningsalternativ.

  • Mät avståndet mellan det första elementet parallellt med eller vinkelrätt mot antingen det andra elementet eller ett annat markerat element.

  • Mät avståndet mellan det första markerade elementet och det andra markerade elementet parallellt med eller vinkelrätt mot en angiven axel.

Använd alternativen Vinkelrät mot och Parallell med för att ange elementens riktning.

Mer:

Vinkelrät mot

Parallell med


Vinkelrät mot

Välj alternativet Vinkelrät mot om avståndet mellan de två elementen är vinkelrätt mot det andra elementet eller mot en angiven axel.


Parallell med

Välj alternativet Parallell med om avståndet mellan de två elementen är parallellt med det andra elementet eller med en angiven axel.


Cirkelval

I området Cirkelval kan du använda alternativen Addera radie och Subtrah. radie för att ange om radien för det mätta elementet ska adderas till eller subtraheras från det totala avståndet som mäts. Värdet adderas eller subtraheras alltid längs den vektor som används för avståndsberäkningen. Det går bara att välja ett av alternativen.

Om du väljer Ingen radie används inte elementets radie för det mätta avståndet.


 ID= [Element] Sök-ID Rutan Elementlista Knappen 2 senaste Knappen Töm Kryssrutan Visa Knappen Skapa Knappen Stäng Toleransvärden för vinkelutvärderingar Knappen Redigera Området Skriv i Området Analys Området Relation Området Vinkeltyp

Utvärdera vinkel

Dialogrutan Vinkel

Med menyalternativet Infoga | Utvärdering | Vinkel beräknar du vinkeln mellan två markerade element. (Kontrollera att alternativet Med element har valts.) Om du bara anger ett element beräknas vinkeln mellan storaxeln för det aktuella arbetsplanet (standardaxeln är X) och det markerade elementet. Om vinkeln som rapporteras i PC-DMIS inte finns i rätt kvadrant (t.ex. 0.0, inte 180.0) skriver du rätt nominell vinkel i Redigeringsfönstret. Kvadranten omvandlas automatiskt för att matcha den nominella vinkeln.

Riktningen för linjerna avgör vilken vinkel som mäts.

Vid en vinkelutvärdering beräknas vinkeln mellan de angivna elementen och en kontroll utförs för att säkerställa att vinkeln ligger inom toleransgränserna. Toleransbandet för vinkelutvärderingen anges i radianer eller grader och utgör en vinkel.

Det mätta värdet är en vinkel (blå). Vinkeltoleransbandet är en annan vinkel (svart).

Mer:

Så här utvärderar du vinkeln mellan två element:

Toleransvärden för vinkelutvärderingar

Vinkeltyp

Relation för Vinkel mellan-utvärderingar


Så här utvärderar du vinkeln mellan två element:

  1. Välj Infoga | Utvärderingar | Vinkel på undermenyn. Dialogrutan Vinkel öppnas. Visa menykarta

  2. Markera det/de element som ska utvärderas i rutan Element.

  3. Skriv ett övre toleransvärde i rutan Plus.

  4. Skriv ett undre toleransvärde i rutan Minus.

  5. Välj alternativet 2-dimensionellt eller 3-dimensionellt för att ange vinkeltyp.

  6. Ange vart utvärderingsinformationen ska skrivas. Välj något av alternativen Statistik, Rapport, Båda och Ingen.

  7. Markera eventuellt kryssrutan Visa om du vill visa utvärderingsinformationen i Grafikfönstret.

  8. Välj något av alternativen Med element, Med X-axeln, Med Y-axeln eller Med Z-axeln för att ange vilken relation som ska definiera vinkeln.

  9. Välj de analysalternativ du vill använda genom att markera kryssrutan Text eller textrutan Grafik. Om du markerar Grafik skriver du ett värde i rutan Multiplikator.

  10. Om du vill kan du markera kryssrutan Visa i området Utvärderingsinformation och klicka på Redigera för att välja det format du vill använda för visningen av utvärderingsinformation i Grafikfönstret.

  11. Klicka på Skapa.

Utvärderingen visas i Redigeringsfönstret med följande information:

utvärderingens_namn = 2D-VINKELALT1,FRÅN elem_1,TILL elem_2,ALT2,arbetsplan
eller
 utvärderingens_namn = 3D-VINKELALT1,FRÅN elem_1,TILL elem_2,ALT2,arbetsplan

AX | NOM | +TOL | -TOL | MÄTT | MAX | MIN | AVV | UTOMTOL
A | 5.0000 | 0.0100 | 0.0100 | 5.0000 | 0.0000 | 0.0000 | 0.0000 | 0.0000

ALT1= SANN/KOMPLEMENT. Det här fältet kan användas för att kontrollera om vinkelutvärderingen används för att beräkna den sanna vinkeln eller komplementet för den sanna vinkeln mellan två element.

ALT2= PARALLELL MED/VINKELRÄT MOT

arbetsplan = värdet i det här fältet kan ändras till valfritt element. Standardvärdet är det aktuella arbetsplanet.


Toleransvärden för vinkelutvärderingar

I området Toleranser kan du ange övre och undre toleranser längs plus- och minusriktningarna.

Mer:

Övre tolerans

Undre tolerans

Nominellt värde för Vinkel mellan


Övre tolerans

I rutan Plus kan du ange ett toleransvärde längs plusriktningen. Detta innebär att en profil som befinns vara större än den nominella (teoretiska) profilen ändå kan vara giltig, om den ligger inom det angivna toleransintervallet.

I PC-DMIS tillåts negativa övre toleranser. Du anger ett sådant värde genom att skriva ett minustecken före värdet i rutan Plus.


Undre tolerans

I rutan Minus kan du ange ett toleransvärde längs minusriktningen. Detta innebär att en profil som befinns vara mindre än den nominella (teoretiska) profilen ändå kan vara giltig, om den ligger inom det angivna toleransintervallet.

I PC-DMIS tillåts positiva undre toleranser. Du anger ett sådant värde genom att skriva ett minustecken före värdet i rutan Minus


Nominellt värde för Vinkel mellan

Nominella värden för vinkelutvärderingar bygger inte alltid på CAD-data eller mätta data. Ofta hämtas de från en utskrift på papper. I så fall kan du ange det nominella vinkelvärdet från utskriften i rutan Nominell.


Vinkeltyp

I området Vinkeltyp anger du om vinkeln är två- eller tredimensionell.

Mer:

Vinkeltypen 2-dimensionellt

Vinkeltypen 3-dimensionellt


Vinkeltypen 2-dimensionellt

Om du väljer alternativet 2-dimensionellt beräknas den tvådimensionella vinkeln mellan elementen.


Vinkeltypen 3-dimensionellt

Om du väljer alternativet 3-dimensionellt beräknas den tredimensionella vinkeln mellan elementen. Om bara ett element har markerats beräknas vinkeln mellan det aktuella arbetsplanet och det markerade elementet. Information om hur du ändrar kvadranten för den rapporterade vinkeln finns i Utvärdera vinkel.


Relation för Vinkel mellan-utvärderingar

Med kryssrutorna i området Relation i dialogrutan kan du ange om du vid en vinkelutvärdering ska beräkna vinkeln mellan två element eller vinkeln mellan ett element och någon av axlarna X, Y eller Z.

Mer:

Med element

Med X-axeln

Med Y-axeln

Med Z-axeln


Med element

Markera kryssrutan Med element om du mäter vinkeln mellan två element.

Det andra elementet används som referenselement.


Med X-axeln

Markera kryssrutan Med X-axeln om du mäter vinkeln mellan ett element och X-axeln..


Med Y-axeln

Markera kryssrutan Med Y-axeln om du mäter vinkeln mellan ett element och Y-axeln..


Med Z-axeln

Markera kryssrutan Med Z-axeln om du mäter vinkeln mellan ett element och Z-axeln.


 Enheter Området Analys Knappen Redigera Knappen Töm Toleranser för koncentricitetsutvärderingar Knappen Stäng Knappen Skapa Kryssrutan Visa Knappen 2 senaste Rutan Elementlista ID= [Element] Sök-ID Området Skriv i

Utvärdera koncentricitet

Dialogrutan Koncentricitet

Om en sfär markeras som det första elementet måste det andra elementet också vara en sfär. Därefter beräknas koncentriciteten mellan de två elementen tredimensionellt.

Med menyalternativet Infoga | Utvärdering | Koncentricitet beräknas koncentriciteten för två cirklar eller cylindrar, koner eller sfärer. Det andra elementet som anges är alltid referenselementet. Detta kan vara ett linjeelement som motsvarar en axel. Om bara ett element markeras används det aktuella arbetsplanet som referenselement. Den här utvärderingstypen anses vara ensidig vilket innebär att ett enda positivt toleransvärde används.

Mer:

Så här utvärderar du ett element med alternativet KONCENTRICITET:

Toleransvärden för koncentricitetsutvärderingar


Så här utvärderar du ett element med alternativet KONCENTRICITET:

  1. Välj Infoga | Utvärderingar | Koncentricitet på undermenyn. Dialogrutan Koncentricitet öppnas. Visa menykarta

  2. Markera det/de element som ska utvärderas i rutan Element.

  3. Skriv ett övre toleransvärde i rutan Plus.

  4. Välj Tum eller mm i området Enheter.

  5. Ange vart utvärderingsinformationen ska skrivas. Välj något av alternativen Statistik, Rapport, Båda och Ingen.

  6. Markera eventuellt kryssrutan Visa om du vill visa utvärderingsinformationen i Grafikfönstret.

  7. Välj de analysalternativ du vill använda genom att markera kryssrutan Text eller textrutan Grafik. Om du markerar Grafik skriver du ett värde i rutan Multiplikator.

  8. Om du vill kan du markera kryssrutan Visa i området Utvärderingsinformation och klicka på Redigera för att välja det format du vill använda för visningen av utvärderingsinformation i Grafikfönstret.

  9. Klicka på Skapa.

Utvärderingen visas i Redigeringsfönstret med följande information:

utvärderingens_namn = KONCENTRICITET,FRÅN elem_1,TILL elem_2

eller

utvärderingens_namn = KONCENTRICITET,FRÅN elem_1,TILL NOLLPUNKTEN

AX | NOM | +TOL | -TOL | MÄTT | MAX | MIN | AVV | UTOMTOL
M | 0.0000 | 0.0100 | 0.0100 | 2.0000 | 0.0000 | 0.0000 | 0.0000 | 0.0000


Toleransvärden för koncentricitetsutvärderingar

I rutan Plus kan du ange ett toleransvärde längs plusriktningen. Detta innebär att en koncentricitet som skiljer sig från den nominella (teoretiska) koncentriciteten ändå kan vara giltig, om den ligger inom det angivna toleransintervallet.


 Området Projektion Området Enheter Området Analys Knappen Redigera Knappen Töm Övre tolerans för koaxialitet Knappen Stäng Knappen Skapa Kryssrutan Visa Knappen 2 senaste Rutan Elementlista ID= [Element] Sök-ID Området Skriv i

Utvärdera koaxialitet

Dialogrutan Koaxialitet

Med menyalternativet Infoga | Utvärdering | Koaxialitet beräknas koaxialiteten för en cylinder, en kon eller en linje med ett referenselement. Det andra elementet som anges är alltid referenselementet. Detta kan vara en cylinder, en kon, en linje eller en cirkel. Om du bara markerar ett element och klickar på Skapa töms listrutan och ett meddelande visas om att du måste markera ytterligare ett element.

Den här utvärderingstypen anses vara ensidig vilket innebär att ett enda positivt toleransvärde används.

Mer:

Så här utvärderar du ett element med alternativet KOAXIALITET:

Övre tolerans för koaxialitetsutvärderingar

Projicerat avstånd för koaxialitet


Så här utvärderar du ett element med alternativet KOAXIALITET:

  1. Välj Infoga | Utvärderingar | Koaxialitet på undermenyn. Dialogrutan Koaxialitet öppnas. Visa menykarta

  2. Markera det/de element som ska utvärderas i rutan Element.

  3. Skriv ett övre toleransvärde i rutan Plus.

  4. Välj Tum eller mm i området Enheter.

  5. Ange vart utvärderingsinformationen ska skrivas. Välj något av alternativen Statistik, Rapport, Båda och Ingen.

  6. Markera eventuellt kryssrutan Visa om du vill visa utvärderingsinformationen i Grafikfönstret.

  7. Välj de analysalternativ du vill använda genom att markera en av kryssrutorna eller båda. Om du markerar kryssrutan Grafik anger du ett värde i rutan Multiplikator.

  8. Om du vill kan du markera kryssrutan Visa i området Utvärderingsinformation och klicka på Redigera för att välja det format du vill använda för visningen av utvärderingsinformation i Grafikfönstret.

  9. Klicka på Skapa.

Utvärderingen visas i Redigeringsfönstret med följande information:

utvärderingens_namn = KOAXIALITET,FRÅN elem_1,TILL elem_2
eller
utvärderingens_namn = KOAXIALITET,FRÅN elem_1,TILL NOLLPUNKTEN

AX | NOM | +TOL | -TOL | MÄTT | MAX | MIN | AVV | UTOMTOL
M | 0.0000 | 0.0100 | 0.0100 | 2.0000 | 0.0000 | 0.0000 | 0.0000 | 0.0000

Obs! Dialogrutan stängs inte när utvärderingen har skapats. Om du vill kan du använda knappen Redigera för att ändra utvärderingsinformationen. Se Ändra standardutvärderingar.


Övre tolerans för koaxialitetsutvärderingar

I rutan Plus kan du ange ett toleransvärde längs plusriktningen. Detta innebär att en koaxialitet som skiljer sig från den nominella (teoretiska) koaxialiteten ändå kan vara giltig, om den ligger inom det angivna toleransintervallet.


Projicerat avstånd för koaxialitet

I PC-DMIS kan du skriva in ett referensavstånd. Det här är användbart om du vill ange de punkter längs elementaxeln som ska användas för koaxialitetsberäkningen. Om avståndet är noll används de två slutpunkterna för elementaxeln. Om avståndet inte är noll används startpunkten för axeln och en punkt på det angivna avståndet från startpunkten längs axelvektorn.

Om du utökar det projicerade avståndet blir felet större. Om du minskar avståndet blir felet mindre. Exempel: Anta att två tandpetare ligger på ett bord. De delar samma linje och vidrör varandra i ena änden. I den andra änden av tandpetarna (som ligger 50 mm från varandra) kan felet mellan tandpetarnas centrumlinjer vara 1.3 mm. Tänk dig nu att tandpetarna är 500 mm långa och fortfarande vidrör varandra i ena änden. 50 mm från änden är felet fortfarande 1.3 mm, men 500 mm därifrån kan felet vara 13 mm.

Värdet som du skriver i rutan Avstånd motsvarar elementets totala längd.


 ID= [Element] Sök-ID Rutan Elementlista Knappen Sista Knappen Töm Kryssrutan Visa Knappen Skapa Knappen Stäng Toleransvärden för rundhetsutvärderingar Knappen Redigera Området Skriv i Området Analys Området Enheter

Utvärdera rundhet

Dialogrutan Rundhet

För att avgöra rundheten för ett element krävs åtminstone en mätpunkt mer än det lägsta tillåtna antalet mätpunkter för elementet. Om du använder fler mätpunkter får du en bättre bild av rundheten för hela elementet.

Med menyalternativet Infoga | Utvärdering | Rundhet anger du rundheten för en cirkel, sfäriskheten för en sfär eller koniciteten för en kon. Den här utvärderingstypen anses vara ensidig vilket innebär att ett enda positivt toleransvärde används.

Mer:

Så här utvärderar du ett element med alternativet RUNDHET:

Övre tolerans för rundhetsutvärderingar


Så här utvärderar du ett element med alternativet RUNDHET:

  1. Välj Infoga | Utvärderingar | Rundhet på undermenyn. Dialogrutan Rundhet öppnas. Visa menykarta

  2. Markera det/de element som ska utvärderas i rutan Element.

  3. Skriv ett övre toleransvärde i rutan Plus.

  4. Välj Tum eller mm i området Enheter.

  5. Ange vart utvärderingsinformationen ska skrivas. Välj något av alternativen Statistik, Rapport, Båda och Ingen.

  6. Markera eventuellt kryssrutan Visa om du vill visa utvärderingsinformationen i Grafikfönstret.

  7. Välj de analysalternativ du vill använda genom att markera kryssrutan Text eller kryssrutan Grafik. Om du markerar kryssrutan Grafik anger du ett värde i rutan Multiplikator.

  8. Om du vill kan du markera kryssrutan Visa i området Utvärderingsinformation och klicka på Redigera för att välja det format du vill använda för visningen av utvärderingsinformation i Grafikfönstret.

  9. Klicka på Skapa.

Utvärderingen visas i Redigeringsfönstret med följande information:

utvärderingens_namn = RUNDHET,FRÅN elem_1

AX | NOM | +TOL | -TOL | MÄTT | MAX | MIN | AVV | UTOMTOL
M | 0.0000 | 0.0100 | 0.0100 | 5.0000 | 0.0000 | 0.0000 | 0.0000 | 0.0000


Övre tolerans för rundhetsutvärderingar

I rutan Plus kan du ange ett toleransvärde längs plusriktningen. Detta innebär att en rundhet som skiljer sig från den nominella (teoretiska) rundheten ändå kan vara giltig, om den ligger inom det angivna toleransintervallet.


 ID= [Element] Sök-ID Rutan Elementlista Knappen Sista Knappen Töm Kryssrutan Visa Knappen Skapa Knappen Stäng Toleranser för rundhetsutvärderingar Knappen Redigera Området Skriv i Området Analys Området Enheter

Utvärdera cylindricitet

Dialogrutan Cylindricitet

Med menyalternativet Infoga | Utvärdering | Cylindricitet anges cylindriciteten för en cylinder. Den här utvärderingstypen anses vara ensidig vilket innebär att ett enda positivt toleransvärde används.

Mer:

Så här utvärderar du ett element med alternativet CYLINDRICITET:

Övre tolerans för cylindricitetsutvärderingar


Så här utvärderar du ett element med alternativet CYLINDRICITET:

  1. Välj Infoga | Utvärderingar | Cylindricitet på undermenyn. Dialogrutan Cylindricitet öppnas. Visa menykarta

  2. Markera det/de element som ska utvärderas i rutan Element. Du kan bara markera cylinderelement.

  3. Skriv ett övre toleransvärde i rutan Plus.

  4. Välj Tum eller mm i området Enheter.

  5. Ange vart utvärderingsinformationen ska skrivas. Välj något av alternativen Statistik, Rapport, Båda och Ingen.

  6. Markera eventuellt kryssrutan Visa om du vill visa utvärderingsinformationen i Grafikfönstret.

  7. Välj de analysalternativ du vill använda genom att markera kryssrutan Text eller kryssrutan Grafik. Om du markerar kryssrutan Grafik anger du ett värde i rutan Multiplikator.

  8. Om du vill kan du markera kryssrutan Visa i området Utvärderingsinformation och klicka på Redigera för att välja det format du vill använda för visningen av utvärderingsinformation i Grafikfönstret.

  9. Klicka på Skapa.

Utvärderingen visas i Redigeringsfönstret med följande information:

utvärderingens_namn = CYLINDRICITET,FRÅN elem_1

AX | NOM | +TOL | -TOL | MÄTT | MAX | MIN | AVV | UTOMTOL
M | 0.0000 | 0.0100 | 0.0100 | 5.0000 | 0.0000 | 0.0000 | 0.0000 | 0.0000


Övre tolerans för cylindricitetsutvärderingar

I rutan Plus kan du ange ett toleransvärde längs plusriktningen. Detta innebär att en cylindricitet som skiljer sig från den nominella (teoretiska) cylindriciteten ändå kan vara giltig, om den ligger inom det angivna toleransintervallet.


 ID= [Element] Sök-ID Rutan Elementlista Knappen Sista Knappen Töm Kryssrutan Visa Knappen Skapa Knappen Stäng Toleranser för rakhetsutvärderingar Knappen Redigera Området Skriv i Området Analys Området Enheter

Utvärdera rakhet

Dialogrutan Rakhet

För att avgöra rakheten för en linje krävs minst tre mätpunkter.

Med alternativet Infoga | Utvärdering | Rakhet beräknar du rakheten för en linje. Den här utvärderingstypen anses vara ensidig vilket innebär att ett enda positivt toleransvärde används.

Mer:

Så här utvärderar du ett element med alternativet RAKHET:

Övre tolerans för rakhetsutvärderingar


Så här utvärderar du ett element med alternativet RAKHET:

  1. Välj Infoga | Utvärderingar | Rakhet på undermenyn. Dialogrutan Rakhet öppnas. Visa menykarta

  2. Markera det/de element som ska utvärderas i rutan Element.

  3. Skriv ett övre toleransvärde i rutan Plus.

  4. Välj Tum eller mm i området Enheter.

  5. Ange vart utvärderingsinformationen ska skrivas. Välj något av alternativen Statistik, Rapport, Båda och Ingen.

  6. Markera eventuellt kryssrutan Visa om du vill visa utvärderingsinformationen i Grafikfönstret.

  7. Välj de analysalternativ du vill använda genom att markera kryssrutan Text eller textrutan Grafik. Om du markerar Grafik skriver du ett värde i rutan Multiplikator.

  8. Om du vill kan du markera kryssrutan Visa i området Utvärderingsinformation och klicka på Redigera för att välja det format du vill använda för visningen av utvärderingsinformation i Grafikfönstret.

  9. Klicka på Skapa.

Utvärderingen visas i Redigeringsfönstret med följande information:

utvärderingens_namn = RAKHET,FRÅN elem_1

AX | NOM | +TOL | -TOL | MÄTT | MAX | MIN | AVV | UTOMTOL
M | 0.0000 | 0.0100 | 0.0100 | 5.0000 | 0.0000 | 0.0000 | 0.0000 | 0.0000


Övre tolerans för rakhetsutvärderingar

I rutan Plus kan du ange ett toleransvärde längs plusriktningen. Detta innebär att en rakhet som skiljer sig från den nominella (teoretiska) rakheten ändå kan vara giltig, om den ligger inom det angivna toleransintervallet.


Utvärdera planhet

Dialogrutan Planhet

För att avgöra planheten för ett plan krävs minst fyra mätpunkter.

Med menyalternativet Infoga | Utvärdering | Planhet anges planheten för ett plan. Den här utvärderingstypen anses vara ensidig vilket innebär att ett enda positivt toleransvärde används.

Mer:

Så här utvärderar du ett element med alternativet PLANHET:

Övre tolerans för planhet


Så här utvärderar du ett element med alternativet PLANHET:

  1. Välj Infoga | Utvärderingar | Planhet på undermenyn. Dialogrutan Planhet öppnas. Visa menykarta

  2. Markera det/de element som ska utvärderas i rutan Element.

  3. Skriv ett övre toleransvärde i rutan Plus.

  4. Välj Tum eller mm i området Enheter.

  5. Ange vart utvärderingsinformationen ska skrivas. Välj något av alternativen Statistik, Rapport, Båda och Ingen.

  6. Markera eventuellt kryssrutan Visa om du vill visa utvärderingsinformationen i Grafikfönstret.

  7. Välj de analysalternativ du vill använda genom att markera kryssrutan Text eller kryssrutan Grafik. Om du markerar kryssrutan Grafik anger du ett värde i rutan Multiplikator.

  8. Om du vill kan du markera kryssrutan Visa i området Utvärderingsinformation och klicka på Redigera för att välja det format du vill använda för visningen av utvärderingsinformation i Grafikfönstret.

  9. Klicka på Skapa.

Utvärderingen visas i Redigeringsfönstret med följande information:

utvärderingens_namn = PLANHET,FRÅN elem_1

AX | NOM | +TOL | -TOL | MÄTT | MAX | MIN | AVV | UTOMTOL
M | 0.0000 | 0.0100 | 0.0100 | 5.0000 | 0.0000 | 0.0000 | 0.0000 | 0.0000


Övre tolerans för planhet

I rutan Plus kan du ange ett toleransvärde längs plusriktningen. Detta innebär att en planhet som skiljer sig från den nominella (teoretiska) planheten ändå kan vara giltig, om den ligger inom det angivna toleransintervallet.


 Området Enheter Området Analys Knappen Redigera Knappen Töm Övre tolerans för vinkelräthet Knappen Stäng Knappen Skapa Kryssrutan Visa Knappen Sista Rutan Elementlista ID= [Element] Sök-ID Området Skriv i Projicerat avstånd Området Måttjämkning

Utvärdera vinkelräthet

Dialogrutan Vinkelräthet

Med menyalternativet Infoga | Utvärdering | Vinkelräthet beräknar du vinkelrätheten mellan två element. Det andra elementet är alltid referenselementet. Om bara ett element markeras används det aktuella arbetsplanet som referenselement. Den här utvärderingstypen anses vara ensidig vilket innebär att ett enda positivt toleransvärde används.

Mer:

Så här utvärderar du ett element med alternativet VINKELRÄTHET:

Övre tolerans för vinkelräthetsutvärderingar

Projicerat avstånd för vinkelräthetsutvärderingar


Så här utvärderar du ett element med alternativet VINKELRÄTHET:

  1. Välj Infoga | Utvärderingar | Vinkelräthet på undermenyn. Dialogrutan Vinkelräthet öppnas. Visa menykarta

  2. Markera det/de element som ska utvärderas i rutan Element.

  3. Välj lämpliga alternativ i området Måttjämkning för elementet/elementen och referenselementet.

  4. Om du vill använda ett referenselement markerar du kryssrutan Använd ref. och väljer ett nytt element i rutan Element.

  5. Välj lämpliga alternativ i området Måttjämkning för elementet/elementen och referenselementet.

  6. Skriv ett övre toleransvärde i rutan Plus.

  7. Skriv det projicerade avståndet i rutan Avstånd.

  8. Välj Tum eller mm i området Enheter.

  9. Ange vart utvärderingsinformationen ska skrivas. Välj något av alternativen Statistik, Rapport, Båda och Ingen.

  10. Markera eventuellt kryssrutan Visa om du vill visa utvärderingsinformationen i Grafikfönstret.

  11. Välj de analysalternativ du vill använda genom att markera kryssrutan Text eller textrutan Grafik. Om du markerar Grafik skriver du ett värde i rutan Multiplikator.

  12. Om du vill kan du markera kryssrutan Visa i området Utvärderingsinformation och klicka på Redigera för att välja det format du vill använda för visningen av utvärderingsinformation i Grafikfönstret.

  13. Klicka på Skapa.

Utvärderingen visas i Redigeringsfönstret med följande information:

utvärderingens_namn = VINKELRÄTHET,FRÅN elem_1,TILL elem_2

eller

utvärderingens_namn = VINKELRÄTHET,FRÅN elem_1,TILL arbetsplan

AX | NOM | +TOL | -TOL | MÄTT | MAX | MIN | AVV | UTOMTOL
M | 0.0000 | 0.0100 | 0.0100 | 5.0000 | 0.0000 | 0.0000 | 0.0000 | 0.0000


Övre tolerans för vinkelräthetsutvärderingar

I rutan Plus kan du ange ett toleransvärde längs plusriktningen. Detta innebär att en vinkelräthet som skiljer sig från den nominella (teoretiska) vinkelrätheten ändå kan vara giltig, om den ligger inom det angivna toleransintervallet.


Projicerat avstånd för vinkelräthetsutvärderingar

I PC-DMIS kan du skriva ett referensavstånd i rutan Avstånd. Det här är användbart om elementet måste vara vinkelrätt mot referenselementet och dessutom måste beräknas på ett visst avstånd ifrån referenselementet.


 Området Enheter Området Analys Knappen Redigera Knappen Töm Övre tolerans för parallellitet Knappen Stäng Knappen Skapa Kryssrutan Visa Knappen Sista Rutan Elementlista ID= [Element] Sök-ID Området Skriv i Projicerat avstånd Området Måttjämkning

Utvärdera parallellitet

Dialogrutan Parallellitet

Med menyalternativet Infoga | Utvärdering | Parallellitet beräknar du parallelliteten mellan två element. Det andra elementet är alltid referenselementet. Om bara ett element markeras används det aktuella arbetsplanet som referenselement. Den här utvärderingstypen anses vara ensidig vilket innebär att ett enda positivt toleransvärde används.

Mer:

Så här utför du en utvärdering med PARALLELLITET:

Övre tolerans för parallellitetsutvärderingar

Projicerat avstånd för parallellitetsutvärderingar


Så här utför du en utvärdering med PARALLELLITET:

  1. Välj Infoga | Utvärderingar | Parallellitet på undermenyn. Dialogrutan Parallellitet öppnas. Visa menykarta

  2. Markera det/de element som ska utvärderas i rutan Element.

  3. Om du vill använda ett referenselement markerar du kryssrutan Använd ref.

  4. Välj sedan ett referenselement i rutan Element.

  5. Välj lämpliga alternativ i området Måttjämkning för elementet/elementen och referenselementet.

  6. Skriv ett övre toleransvärde i rutan Plus.

  7. Skriv det projicerade avståndet i rutan Avstånd.

  8. Välj Tum eller mm i området Enheter.

  9. Ange vart utvärderingsinformationen ska skrivas. Välj något av alternativen Statistik, Rapport, Båda och Ingen.

  10. Markera eventuellt kryssrutan Visa om du vill visa utvärderingsinformationen i Grafikfönstret.

  11. Välj de analysalternativ du vill använda genom att markera kryssrutan Text eller textrutan Grafik. Om du markerar Grafik skriver du ett värde i rutan Multiplikator.

  12. Om du vill kan du markera kryssrutan Visa i området Utvärderingsinformation och klicka på Redigera för att välja det format du vill använda för visningen av utvärderingsinformation i Grafikfönstret.

  13. Klicka på Skapa.

Utvärderingen visas i Redigeringsfönstret med följande information:

utvärderingens_namn = PARALLELLITET,FRÅN elem_1,ALT1,TILL elem_2,ALT1

eller

utvärderingens_namn = PARALLELLITET,FRÅN elem_1,ALT1,TILLarbetsplan

AX | NOM | +TOL | -TOL | BON | MÄTT | MAX | AVV | UTOMTOL
DF D1 M | 1.0000 0.0000 0.0000 | 0.0100 0.0100 0.0100 | 0.0100 0.0100 0.0100 | 0.0000 0.0000 0.0000 | 1.0000 0.0000 0.0000 | 0.0000 | 0.0000 0.0000 0.0000 | 0.0000 0.0000 0.0000

ALT1= MMC/RFS/LMC


Övre tolerans för parallellitetsutvärderingar

I rutan Plus kan du ange ett toleransvärde längs plusriktningen. Detta innebär att en parallellitet som skiljer sig från den nominella (teoretiska) parallelliteten ändå kan vara giltig, om den ligger inom det angivna toleransintervallet.


Projicerat avstånd för parallellitetsutvärderingar

I PC-DMIS kan du skriva ett referensavstånd i rutan Avstånd. Det här värdet används för att beräkna parallellitetsutvärderingen för element av typen cylinder, kon och linje.

För de här elementtyperna används axelns slutpunkt och en punkt som projiceras från denna slutpunkt längs elementaxeln för parallellitetsberäkningen.

Avståndet mellan de här två punkterna är referensavståndet. För andra typer av element påverkas inte utvärderingen av det här avståndet. Det här alternativet är användbart när utvärderingen måste beräknas på ett visst avstånd längs elementet.

Om avståndsprojicering för parallellitet

För en parallellitetsutvärdering används vanligtvis referenslinjens vektor för en kontroll av slutpunkterna för det utvärderade elementet som görs för att fastställa om de ligger inom toleransen, vilket visas här:

Ibland går det dock inte att mäta ända ut till kanten av linjen vilket innebär att du måste utöka linjen med ett angivet avstånd.

Eftersom de extrema avvikelserna vanligtvis uppstår i linjens ändar blir avvikelserna vanligtvis större om du utökar linjen så att den blir längre än sin faktiska längd. Du kan också utöka den motsatta riktningen för linjen genom att använda en negativ referenslängd.

En utökad linje kan se ut så här:

Du kan också använda rutan Avstånd för att ange ett referensavstånd för att kontrollera axeln för en cylinder.


Utvärdera kast

 Området Enheter Området Analys Knappen Redigera Knappen Töm Övre tolerans för parallellitet Knappen Stäng Knappen Skapa Kryssrutan Visa Knappen Sista Rutan Elementlista ID= [Element] Sök-ID Området Skriv i Området Enheter Området Analys Knappen Redigera Knappen Töm Övre tolerans för parallellitet Knappen Stäng Knappen Skapa Kryssrutan Visa Knappen Sista Rutan Elementlista ID= [Element] Sök-ID Området Skriv i

Utvärdera totalt eller cirkulärt kast

Dialogrutan Totalkast eller Cirkulärt kast

Med menyalternativen Infoga | Utvärdering | Kast och Totalkast avgör du kastet för det första elementet med avseende på det andra elementet (som alltså används som referenselement). Om bara ett element markeras används nollpunkten och arbetsplanet som referenselement. I det här fallet används positionen från nollpunkten och riktningen från arbetsplanet som referens. Texten i Redigeringsfönstret för referenselementet är "NOLLPUNKTEN".

  • Cirkulära kast fungerar för cirklar, koner, cylindrar och sfärer.

  • Totalkast fungerar för cylindrar, koner och plan.

Den här utvärderingstypen anses vara ensidig vilket innebär att ett enda positivt toleransvärde används.

Mer:

Om kast

Så här utvärderar du ett element med alternativet KAST:

Övre tolerans för kastutvärderingar


Om kast

Kastutvärderingar används vanligtvis för kamaxelåtgärder. En kamaxel är utformad för att rotera kring en centrumlinje. Eftersom de enskilda cylindrarna som utgör kamaxeln ligger kring samma centrumlinje måste du se till att centrumlinjen är parallell och att cylindrarna är koaxiella (koncentriska).

Exempel på kamaxel

Dessutom måste du se till att cylindrarnas ytor är runda och raka (raka i jämförelse med en separat referensaxel, inte bara den egna axeln).

Den huvudsakliga skillnaden mellan kast och parallellitet är att vid kast kontrolleras punkterna på en cylinders yta och inte bara dess axel. Kast skiljer sig också från rakhet genom att cylinderns yta jämförs med en referensaxel och inte bara med sig själv. Vid en kastutvärdering kontrolleras dessa villkor.

Mer:

Hur kast mäts

Två typer av kast: Cirkulärt och Totalt

Använda kast för att kontrollera en cylinderände


Hur kast mäts

Det vanliga sättet att mäta kast utan en CMM-enhet är att placera en liten mätklocka på cylinderns yta, nollställa den och sedan rotera cylindern. Den här klockan mäter eventuella skillnader längs cirkeln när cylindern roteras.

Ett kast med en mätklocka

Med en CMM-enhet sker ungefär samma sak, men i stället för att cylindern roteras är det CMM-enhetens mäthuvud som går runt cylindern och tar ett begränsat antal mätpunkter.

Toleransbandet för kastet ser ut ungefär så här:

Exempel på toleransband för kast (prickade linjer)

Toleransbandet har följande egenskaper:

  • Bredden är lika stor som den övre toleransen.

  • Bandet är parallellt med referensvektorn (axeln för en annan linje eller cylinder).

  • Bandet är fixerat vid en viss radie från cylinderns axel.


Två typer av kast: Cirkulärt och Totalt

Det finns två typer av kast:

  • Med cirkulära kast mäts bara en cirkel – en rad med mätpunkter – kring cylindern.

  • Med totalkast mäts flera cirklar uppåt och nedåt längs hela cylinderns yta med flera rader med mätpunkter.

Det kan alltså vara svårt att använda en CMM-enhet för totalkast eftersom det inte är rimligt att ta 100 rader med mätpunkter kring cylindern, och så lite som tre rader med mätpunkter är inte tillräckligt för att avgöra ett totalkast.

I PC-DMIS kan du dock ändå utvärdera både cirkulära kast och totalkast och du kan avgöra när du har mätt tillräckligt många rader på cylindern.


Använda kast för att kontrollera en cylinderände

I PC-DMIS kan du också testa en annan typ av kast som har definierats i standarden: för att kontrollera planet för en av cylindrarnas ändar. Toleransen för den här typen av kast ligger i en fast riktning vinkelrätt mot referenselementets axel.

Samma kast för en cylinderände


Så här utvärderar du ett element med alternativet KAST:

  1. Välj Infoga | Utvärdering | Totalkast eller Cirkulärt kast på undermenyn. Dialogrutan Total kast eller Cirkulärt kast visas. Visa menykarta

  2. Markera det/de element som ska utvärderas i rutan Element.

  3. Skriv ett övre toleransvärde i rutan Plus.

  4. Välj Tum eller mm i området Enheter.

  5. Ange vart utvärderingsinformationen ska skrivas. Välj något av alternativen Statistik, Rapport, Båda och Ingen.

  6. Markera eventuellt kryssrutan Visa om du vill visa utvärderingsinformationen i Grafikfönstret.

  7. Välj de analysalternativ du vill använda genom att markera kryssrutan Text eller kryssrutan Grafik. Om du markerar kryssrutan Grafik anger du ett värde i rutan Multiplikator.

  8. Om du vill kan du markera kryssrutan Visa i området Utvärderingsinformation och klicka på Redigera för att välja det format du vill använda för visningen av utvärderingsinformation i Grafikfönstret.

  9. Klicka på Skapa.

Utvärderingen visas i Redigeringsfönstret med följande information:

utvärderingens_namn = KAST,FRÅN elem_1,TILL elem_2

AX | NOM | +TOL | -TOL | MÄTT | MAX | MIN | AVV | UTOMTOL
M | 0.0000 | 0.0100 | 0.0100 | 5.0000 | 0.0000 | 0.0000 | 0.0000 | 0.0000


Övre tolerans för kastutvärderingar

I rutan Plus kan du ange ett toleransvärde längs plusriktningen. Detta innebär att ett kast som skiljer sig från det nominella (teoretiska) kastet ändå kan vara giltigt, om det ligger inom det angivna toleransintervallet.


 ID= [Element] Sök-ID Rutan Elementlista Knappen Sista Knappen Töm Kryssrutan Visa Knappen Skapa Knappen Stäng Toleranser för rakhetsutvärderingar Knappen Redigera Området Skriv i Området Analys Området Enheter Området Kontrollval Området Bästanpassning Området Enheter Området Analys Knappen Redigera Knappen Töm Toleranser för linjeprofilutvärderingar Knappen Stäng Knappen Skapa Kryssrutan Visa Knappen 2 senaste Rutan Elementlista ID= [Element] Sök-ID Området Skriv i Området Kontrollval Området Bästanpassning

Utvärdera yt- eller linjeprofil

Dialogrutan Ytprofil

Dialogrutan Linjeprofil

Med alternativet Yta under Profil beräknar du det tredimensionella profilfelet för ett yt- eller kurvelement (Infoga | Utvärdering | Profil | Yta). Visa menykarta

Med menyalternativet Linje beräknas det tvådimensionella profilfelet för en kurva (Infoga | Utvärdering | Profil | Linje) . Visa menykarta

Obs! Profilutvärderingen har förändrats jämfört med PC-DMIS 3.0 och tidigare versioner. Nu kan du använda vilken elementtyp som helst för en profilscan.

Mer:

Så här utvärderar du ett element med alternativet Ytprofil:

Så här utvärderar du ett 2D-element med alternativet Linjeprofil:

Toleransvärden för ytprofilutvärderingar

Toleransvärden för linjeprofilutvärderingar

Kontrollval för ytprofilutvärderingar

Kontrollval för linjeprofilutvärderingar

Bästanpassning för ytprofilutvärderingar

Bästanpassning för linjeprofilutvärderingar


Så här utvärderar du ett element med alternativet Ytprofil:

  1. Välj Infoga | Utvärderingar | Profil | Yta på undermenyn. Dialogrutan Ytprofil öppnas. Visa menykarta

  2. Markera det/de element som ska utvärderas i rutan Element. Om du väljer ett referenselement måste det vara ett plan.

  3. Skriv ett övre toleransvärde i rutan Plus.

  4. Skriv ett undre toleransvärde i rutan Minus.

  5. Välj Tum eller mm i området Enheter.

  6. Ange vart utvärderingsinformationen ska skrivas. Välj något av alternativen Statistik, Rapport, Båda och Ingen.

  7. Markera eventuellt kryssrutan Visa om du vill visa utvärderingsinformationen i Grafikfönstret.

  8. Välj Enbart form eller Form och Läge i området Kontrollval i dialogrutan.

  9. Om du väljer alternativet Enbart form markerar du kryssrutan Använd bästanpassning. Detta innebär att den interna uppriktningen med bästanpassning används för utvärderingen för att formen ska kunna roteras eller flyttas tills bästanpassningen för elementet hittas.

  10. Välj de analysalternativ du vill använda genom att markera kryssrutan Text eller textrutan Grafik. Om du markerar Grafik skriver du ett värde i rutan Multiplikator.

  11. Om du vill kan du markera kryssrutan Visa i området Utvärderingsinformation och klicka på Redigera för att välja det format du vill använda för visningen av utvärderingsinformation i Grafikfönstret.

  • Om du tidigare valde alternativet Form och Läge måste du markera kryssrutan Min/Max i området Utvärderingsformat i dialogrutan Ändra standardutvärderingar.

  • Om du tidigare valde alternativet Enbart form måste du markera kryssrutan Mätt i området Utvärderingsformat i dialogrutan Ändra standardutvärderingar.

  12. Klicka på Skapa.

Utvärderingen visas i Redigeringsfönstret med följande information:

utvärderingens_namn = PROFIL,FRÅN elem_1

AX | NOM | +TOL | -TOL | MÄTT | MAX | MIN | AVV | UTOMTOL
M | 5.0000 | 0.0100 | 0.0100 | 5.0000 | 0.0000 | 0.0000 | 0.0000 | 0.0000

Mer:

Visa profilkonturplotter


Visa profilkonturplotter

I PC-DMIS kan du visa en färgad ytkonturplott som vilar på ytan i CAD-modellen i Grafikfönstret när du använder scanåtgärder av typen Område eller UV och skapa en profilutvärdering utifrån dem.

Gör så här:

  1. Importera en CAD-ytmodell.

  2. Öppna dialogrutan Konfigurera vyer. Visa menykarta

  3. Markera kryssrutan Ytor för en av vyerna och stäng sedan dialogrutan.

  4. Aktivera ytläget i PC-DMIS.

  5. Skapa en områdes- eller UV-scan (läs mer under Utföra en avancerad områdesscan eller Utföra en avancerad UV-scan i avsnittet Scanna en detalj).

  6. Välj menyalternativet Infoga | Rapportkommando | Analys. Dialogrutan Analys öppnas. Visa menykarta

  7. Klicka på Visa fönster och välj Alternativ | Utvärderingsalternativ. Dialogrutan Alternativ för utvärderingsanalys öppnas.

  8. Välj alternativet Visa konturplott och klicka på OK tills huvudskärmen i PC-DMIS visas igen.

  9. Öppna dialogrutan Ytprofil. Visa menykarta

  10. Välj områdes- eller UV-scanåtgärden i rutan Element.

  11. Markera kryssrutan Grafik i området Analys.

  12. Gör eventuella andra ändringar i dialogrutan Ytprofil.

  13. Klicka på Skapa för att skapa utvärderingen.

Nu visas en färgad konturplott direkt på modellytan där scanåtgärden var.


Så här utvärderar du ett linjärt element med alternativet Linjeprofil:

Så här utvärderar du ett 2D-element med alternativet Linjeprofil:

  1. Välj Infoga | Utvärderingar | Profil | Linje på undermenyn. Dialogrutan Linjeprofil öppnas. Visa menykarta

  2. Markera det/de element som ska utvärderas i rutan Element. Du kan markera valfritt tvådimensionellt element. Om du väljer ett referenselement måste det vara ett plan.

  3. Skriv ett övre toleransvärde i rutan Plus.

  4. Skriv ett undre toleransvärde i rutan Minus.

  5. Välj Tum eller mm i området Enheter.

  6. Ange vart utvärderingsinformationen ska skrivas. Välj något av alternativen Statistik, Rapport, Båda och Ingen.

  7. Markera eventuellt kryssrutan Visa om du vill visa utvärderingsinformationen i Grafikfönstret.

  8. Välj Enbart form eller Form och Läge i området Kontrollval i dialogrutan.

  9. Om du väljer alternativet Enbart form markerar du kryssrutan Använd bästanpassning. Detta innebär att den interna uppriktningen med bästanpassning används för utvärderingen för att formen ska kunna roteras eller flyttas tills bästanpassningen för elementet hittas.

  10. Om du har markerat kryssrutan Använd bästanpassning väljer du det arbetsplan där du vill att rotation och flyttning ska ske. Om du använder ett arbetsplan begränsas uppriktningen så att den bara blir tvådimensionell.

  11. Välj de analysalternativ du vill använda genom att markera kryssrutan Text eller textrutan Grafik. Om du markerar Grafik skriver du ett värde i rutan Multiplikator.

  12. Om du vill kan du markera kryssrutan Visa i området Utvärderingsinformation och klicka på Redigera för att välja det format du vill använda för visningen av utvärderingsinformation i Grafikfönstret.

  • Om du tidigare valde alternativet Form och Läge måste du markera kryssrutan Min/Max i området Utvärderingsformat i dialogrutan Ändra utvärderingsinformation.

  • Om du tidigare valde alternativet Enbart form måste du markera kryssrutan Mätt i området Utvärderingsformat i dialogrutan Ändra utvärderingsinformation.

  13. Klicka på Skapa.

Utvärderingen visas i Redigeringsfönstret med följande information:

utvärderingens_namn = PROFIL,FRÅN elem_1

AX | NOM | +TOL | -TOL | MÄTT | MAX | MIN | AVV | UTOMTOL
M | 5.0000 | 0.0100 | 0.0100 | 5.0000 | 0.0000 | 0.0000 | 0.0000 | 0.0000

Mer:

Visa profilkonturplotter


Visa profilkonturplotter

I PC-DMIS kan du visa en färgad konturplott som vilar på ytan i CAD-modellen i Grafikfönstret för linjära element eller kurvelement.

Följ instruktionerna i Visa profilkonturplotter för en ytprofil och ersätt det inmatade elementet med tillämpligt linje- eller kurvelement (eller scanåtgärd).


Toleransvärden för ytprofilutvärderingar

Den här utvärderingstypen anses antingen vara ensidig, vilket innebär att ett enda positivt toleransvärde används, eller tvåsidig, vilket innebär att övre och undre toleransvärden används.

  • Om du har valt alternativet Enbart form kan bara en övre tolerans användas.

  • Om du har valt alternativet Form och Läge kan profilutvärderingen vara ensidig eller tvåsidig.

Mer:

Övre tolerans

Undre tolerans


Toleransvärden för linjeprofilutvärderingar

Den här utvärderingstypen anses antingen vara ensidig, vilket innebär att ett enda positivt toleransvärde används, eller tvåsidig, vilket innebär att övre och undre toleransvärden används.

  • Om du har valt alternativet Enbart form kan bara en övre tolerans användas.

  • Om du har valt alternativet Form och Läge kan profilutvärderingen vara ensidig eller tvåsidig.

Mer:

Övre tolerans

Undre tolerans


Övre tolerans

I rutan + tol. kan du ange ett toleransvärde längs plusriktningen. Detta innebär att ett mått som befinns vara större än det nominella (teoretiska) måttet ändå kan vara giltigt, om det ligger inom det angivna toleransintervallet.


Undre tolerans

I rutan - tol. kan du ange ett toleransvärde längs minusriktningen. Detta innebär att ett mått som befinns vara mindre än det nominella (teoretiska) måttet ändå kan vara giltigt, om det ligger inom det angivna toleransintervallet.


Kontrollval för ytprofilutvärderingar

Med alternativen i det här området anger du om en profil matchar samma form eller samma form och läge som dess nominella värden.

Mer:

Enbart form

Form och Läge


Enbart form

När du utvärderar en profil kan du välja alternativet Enbart form om du bara vill avgöra om en viss profil matchar samma form som dess nominella värden. Med det här alternativet görs ingen kontroll om huruvida profilens läge ligger utanför de acceptabla toleransgränserna.

För en utvärdering där alternativet Enbart form är markerat bör du notera de mätta värdena i den skapade utvärderingen.


Form och Läge

När du utvärderar en profil kan du välja alternativet Form och Läge om du vill avgöra om en viss profil matchar samma form och läge som för dess nominella värden. Detta skiljer sig från alternativet Enbart form genom att även profilens läge måste ligga inom acceptabla toleransgränser.

För en utvärdering där alternativet Form och Läge är markerat bör du notera max-/minimivärdena i den skapade utvärderingen.


Kontrollval för linjeprofilutvärderingar

Med alternativen i det här området anger du om en profil matchar samma form eller samma form och läge som dess nominella värden.

Mer:

Enbart form

Form och Läge


Bästanpassning för ytprofilutvärderingar

Obs! Det här området visas bara i dialogrutan om du väljer alternativet Enbart form i området Kontrollval.

I området Bästanpassning kan du skapa en intern uppriktning med bästanpassning för det utvärderade elementet med någon av följande tillgängliga metoder:

  • Ingen anp. – Ingen uppriktning skapas.

  • Minsta kvadratm. – Med den här anpassningen hittas en position där avvikelserna minimeras. På så sätt kan elementets läge ignoreras när alternativet Enbart form har valts, samtidigt som en kontroll utförs för att säkerställa att kurvan ligger nära den nominella formen.

  • Vektor – Bästinpassningen görs endast med hänsyn till avvikelsen i normalriktningen för varje enskild punkt.

  • Min/Max – Med den här anpassningen minimeras den maximala mängden fel i alla inmatade element.

Se Skapa en uppriktning med bästanpassning i avsnittet Skapa och använda uppriktningar.


Bästanpassning för linjeprofilutvärderingar

Obs! Det här området visas bara i dialogrutan om du väljer alternativet Enbart form i området Kontrollval.

I området Bästanpassning kan du skapa en intern uppriktning med bästanpassning för det utvärderade elementet med någon av följande tillgängliga metoder:

  • Ingen anp. – Ingen uppriktning skapas.

  • Minsta kvadratm. – Med den här anpassningen hittas en position där avvikelserna minimeras. På så sätt kan elementets läge ignoreras när alternativet Enbart form har valts, samtidigt som en kontroll utförs för att säkerställa att kurvan ligger nära den nominella formen.

  • Vektor – Bästanpassningen görs endast med hänsyn till avvikelsen i normalriktningen för varje enskild punkt.

  • Min/Max – Med den här anpassningen minimeras den maximala mängden fel i alla inmatade element.

Arbetsplan

När du använder en linjeprofilutvärdering skapas en intern tvådimensionell uppriktning som roteras och flyttas i alla riktningar inom det markerade arbetsplanet för att minimera avvikelserna för de enskilda mätpunkterna. Om du markerar ett arbetsplan som skiljer sig från den tvådimensionella projiceringen av kurvan blir beräkningen felaktig.

Se Skapa en uppriktning med bästanpassning i avsnittet Skapa och använda uppriktningar.


 ID= [Element] Sök-ID Rutan Elementlista Knappen 2 senaste Knappen Töm Kryssrutan Visa Knappen Skapa Knappen Stäng Toleransvärden för vinkelutvärderingar Knappen Redigera Området Skriv i Området Analys Enheter Projicerat avstånd Referensvinkel ID= [Element] Sök-ID Rutan Elementlista Knappen 2 senaste Knappen Töm Kryssrutan Visa Knappen Skapa Knappen Stäng Toleransvärden för vinkelutvärderingar Knappen Redigera Området Skriv i Området Analys Enheter Projicerat avstånd Referensvinkel

Utvärdera vinkelriktighet

Dialogrutan Vinkelriktighet

Med menyalternativet Infoga | Utvärdering | Vinkelriktighet beräknar du vinkelriktighetsfelet för ett plan eller en linje mot ett referensplan eller en referenslinje. (Om du bara markerar eller matar in ett element används det aktuella arbetsplanet som referens.)

Vinkelriktighetsutvärderingar skiljer sig från utvärderingar av vinkelräthet och parallellitet genom att du kan ange en vinkel som inte är 90 grader (vinkelräthet) eller 0 grader (parallellitet). Om du till exempel anger vinkeln 45 grader skapas ett toleransband vid 45 grader och en kontroll utförs för att säkerställa att mätpunkterna ligger inom toleransbandet.

Det mätta värdet är en vinkel (blå). Toleransbandet för vinkelriktigheten är två parallella linjer eller plan (svarta) som aldrig skär varandra.

Mer:

Så här beräknar du vinkelriktighetsfel med hjälp av alternativet VINKELRIKTIGHET:

Referensvinkel

Övre tolerans för vinkelriktighetsutvärderingar

Projicerat avstånd för vinkelriktighetsutvärderingar


Så här beräknar du vinkelriktighetsfel med hjälp av alternativet VINKELRIKTIGHET:

  1. Välj Infoga | Utvärderingar | Vinkelriktighet på undermenyn. Dialogrutan Vinkelriktighet öppnas. Visa menykarta

  2. Ange den nominella vinkeln från referenselementet i rutan Vinkel.

  3. Markera eller skriv in planet/linjen, elementet och referenselementet.

  4. Skriv ett övre toleransvärde i rutan Plus.

  5. Skriv det projicerade avståndet i rutan Avstånd.

  6. Välj Tum eller mm i området Enheter.

  7. Ange vart utvärderingsinformationen ska skrivas. Välj något av alternativen Statistik, Rapport, Båda och Ingen.

  8. Markera eventuellt kryssrutan Visa om du vill visa utvärderingsinformationen i Grafikfönstret.

  9. Välj Enbart form eller Form och Läge i området Kontrollval i dialogrutan.

  10. Välj de analysalternativ du vill använda genom att markera kryssrutan Text eller textrutan Grafik. Om du markerar Grafik skriver du ett värde i rutan Multiplikator.

  11. Om du vill kan du markera kryssrutan Visa i området Utvärderingsinformation och klicka på Redigera för att välja det format du vill använda för visningen av utvärderingsinformation i Grafikfönstret.

  12. Klicka på Skapa.

Utvärderingen visas i Redigeringsfönstret med följande information:

utvärderingens_namn = VINKELRIKTIGHET,FRÅN elem_1,TILL elem_2,avstånd

AX | NOM | +TOL | -TOL | MÄTT | MAX | MIN | AVV | UTOMTOL
M | 0.0000 | 0.0100 | 0.0100 | 5.0000 | 0.0000 | 0.0000 | 0.0000 | 0.0000

elem_2: LINJE eller PLAN.

Därefter beräknas vinkelriktighetsfelet och resultatet visas i det aktuella utvärderingsfönstret.


Referensvinkel

I rutan Vinkel kan du skriva in den nominella vinkeln från referenselementet. Det här är vinkeln mellan de två elementen. Därefter beräknas avvikelsen för ett element från vinkeln.

Om du klickar på knappen Sök teoretisk vinkel beräknas den nominella referensvinkel som du ska använda utifrån de teoretiska värdena för de markerade elementen. På så sätt behöver du inte leta efter vinkeln i Redigeringsfönstret.


Övre tolerans för vinkelriktighetsutvärderingar

I rutan Plus kan du ange ett toleransvärde längs plusriktningen. Detta innebär att ett vinkelriktighetsfel som skiljer sig från det nominella (teoretiska) vinkelriktighetsfelet ändå kan vara giltigt, om det ligger inom det angivna toleransintervallet.


Projicerat avstånd för vinkelriktighetsutvärderingar

I PC-DMIS kan du projicera ett referensavstånd. Det här alternativet används för att beräkna vinkelriktighetsutvärderingar för linjeelement.

För element av typen Linje används axelns slutpunkt och en punkt som projiceras från denna slutpunkt längs elementaxeln för vinkelriktighetsberäkningen.

Avståndet mellan de här två punkterna är referensavståndet. För andra typer av element påverkas inte utvärderingen av det här avståndet. Det här alternativet är användbart när utvärderingen måste beräknas på ett visst avstånd längs elementet.


 ID= [Element] Sök-ID Rutan Elementlista Knappen 2 senaste Knappen Töm Kryssrutan Visa Knappen Skapa Knappen Stäng Tolerans för symmetriutvärderingar Knappen Redigera Området Skriv i Området Analys Området Enheter

Utvärdera symmetri

Dialogrutan Symmetri

Med menyalternativet Infoga | Utvärdering | Symmetri kan du beräkna symmetrin för en uppsättning punkter med ett referenselement eller för två motstående linjer med ett referenselement.

  • Om det första elementet är en uppsättning används det andra elementet som referenselement. Detta måste vara ett plan eller en linje.

  • Om det första elementet är en linje måste det andra elementet också vara en linje. Det tredje elementet är referenselementet. I det här fallet måste det tredje elementet vara ett plan eller en linje. Den här utvärderingstypen anses vara ensidig vilket innebär att ett enda positivt toleransvärde används.

  • Om det tredje elementet är ett plan görs ett försök i symmetrialgoritmen att hitta en linje i planet som motsvarar referensen. För att hitta rätt linje korsas det valda planet med arbetsplanet. Därför bör du se till att du använder rätt arbetsplan.

Här visas hur en symmetriutvärdering tolkas och visas, i enlighet med geometristandarden för utvärdering och toleranser.

Bild av hur symmetriutvärderingar tolkas

På grund av hur symmetri definieras är det bara vissa element som kan användas för symmetriutvärderingar. Eftersom punkterna måste vara jämnt ordnade kring referensen för att medelpunkter ska hittas bland dem måste du antingen välja en elementuppsättning med alternerande punkter eller två motstående linjer med samma antal punkter.

Mer:

Så här utvärderar du ett element med alternativet SYMMETRI:

Övre tolerans för symmetri


Så här utvärderar du ett element med alternativet SYMMETRI:

  1. Välj Infoga | Utvärderingar | Symmetri på undermenyn. Dialogrutan Symmetri öppnas. Visa menykarta

  2. Markera det/de element som ska utvärderas i rutan Element.

  3. Skriv ett övre toleransvärde i rutan Plus.

  4. Välj Tum eller mm i området Enheter.

  5. Ange vart utvärderingsinformationen ska skrivas. Välj något av alternativen Statistik, Rapport, Båda och Ingen.

  6. Markera eventuellt kryssrutan Visa om du vill visa utvärderingsinformationen i Grafikfönstret.

  7. Välj de analysalternativ du vill använda genom att markera en av kryssrutorna eller båda. Om du markerar kryssrutan Grafik anger du ett värde i rutan Multiplikator.

  8. Om du vill kan du markera kryssrutan Visa i området Utvärderingsinformation och klicka på Redigera för att välja det format du vill använda för visningen av utvärderingsinformation i Grafikfönstret.

  9. Klicka på Skapa.

Utvärderingen visas i Redigeringsfönstret med följande information:

utvärderingens_namn = SYMMETRI,FRÅN elem_1 TILL elem_2

eller

utvärderingens_namn = SYMMETRI,FRÅN elem_1 OCH elem 2 TILL elem 3

AX | NOM | +TOL | -TOL | MÄTT | MAX | MIN | AVV | UTOMTOL
M | 0.0000 | 0.0100 | 0.0100 | 2.0000 | 0.0000 | 0.0000 | 0.0000 | 0.0000

Obs! Dialogrutan stängs inte när utvärderingen har skapats. Om du vill kan du använda knappen Redigera för att ändra utvärderingsinformationen. Se Ändra standardutvärderingar.

Mer:

Visa profilkonturplotter


Övre tolerans för symmetri

I rutan Plus kan du ange ett toleransvärde längs plusriktningen. Detta innebär att en symmetri som skiljer sig från den nominella (teoretiska) symmetrin ändå kan vara giltig, om den ligger inom det angivna toleransintervallet.


Utvärdera med tangentinmatning

Dialogrutan Inmatad utvärdering

Med menyalternativet Infoga | Utvärdering | Inmatning kan du med hjälp av tangentbordet mata in data som inte har mätts med CMM-enheten (du kan till exempel lägga till en utvärdering som har mätts med skjutmått). Med det här alternativet kan du skriva ut alla inspektionsresultat i rapporten (inte bara de element som har mätts med CMM-enheten). Det är också användbart när du samlar in data för statistiska analyser.

Mer:

Så här lägger du till utvärderingar med alternativet INMATNING:

Nominell

Mätt

Toleransvärden för tangentinmatade utvärderingar


Så här lägger du till utvärderingar med alternativet INMATNING:

  1. Välj Infoga | Utvärderingar | Inmatning på undermenyn. Dialogrutan Inmatad utvärdering öppnas. Visa menykarta

  2. Skriv ID-numret för utvärderingen i rutan ID =.

  3. Skriv det nominella värdet i rutan Nominell.

  4. Skriv det mätta värdet i rutan Mätt.

  5. Ange vart utvärderingsinformationen ska skrivas. Välj något av alternativen Statistik, Rapport, Båda och Ingen.

  6. Klicka på Skapa.

Utvärderingen visas i Redigeringsfönstret med följande information:

utvärderingens_namn = INMATNING,elem_1

AX | NOM | +TOL | -TOL | MÄTT | MAX | MIN | AVV | UTOMTOL
M | 5.0000 | 0.0100 | 0.0100 | 5.0000 | 0.0000 | 0.0000 | 0.0000 | 0.0000


Nominell

I rutan Nominell kan du ange det nominella (eller det teoretiskt perfekta) mätresultatet för ett element.


Mätt

I rutan Mätt kan du ange det faktiska mätresultatet för ett element.


Toleransvärden för tangentinmatade utvärderingar

Du kan skriva in toleransvärden längs plus- och minusriktningarna för den nyss skapade utvärderingen.

Mer:

Övre tolerans

Undre tolerans


Utvärdera variabler

När du arbetar med uttryck och variabler kan du ibland behöva skapa utvärderingar utifrån variabler som innehåller lagrade värden. Ett vanligt sätt att göra detta är att först skapa ett allmänt element, fylla i fälten för elementet med de variabeluttryck du vill använda och därefter skapa en utvärdering för det allmänna elementet.

Mer information om allmänna element finns i avsnittet Skapa allmänna element. Mer information om variabler finns i avsnittet Använda uttryck och variabler.

Mer:

Exempel på variabelutvärdering


Exempel på variabelutvärdering

Anta att du har följande variabler och att du vill skapa en lägesutvärdering med hjälp av dem:

TILLDELA/V_NOMX = 10

TILLDELA/V_NOMY = 5

TILLDELA/V_NOMZ = 1

TILLDELA/V_MÄTX = 10.008

TILLDELA/V_MÄTY = 5.035

TILLDELA/V_MÄTZ = 0.997

Obs! För enkelhetens skull används konstantvärden för variablerna i det här exemplet. När du arbetar med detta har dina variabler förmodligen dynamiska värden som ändras beroende på indata från användare eller andra externa källor.

Så här utvärderar du variablerna:

  1. Skapa ett allmänt element genom att välja menyalternativet Infoga | Element | Allmänt element. Dialogrutan Konstruera allmänt element visas.

  2. Markera alternativet Punkt.

  3. Markera alternativet Mätta värden och skriv nollvärden i XYZ-rutorna. Markera sedan Nominella och gör samma sak.

  4. Klicka på OK. Ett tomt allmänt element (som vanligtvis kallas för F1 om det är det första allmänna elementet du skapar) infogas i Redigeringsfönstret.

  5. Aktivera kommandoläget i Redigeringsfönstret. Följande visas:

F1 =ALLMÄN/PUNKT,BEROENDE,REKT ,$

NOM/XYZ,0,0,0,$

MÄT/XYZ,0,0,0,$

NOM/IJK,0,0,1,$

MÄT/IJK,0,0,1

  6. Gå till raden NOM/XYZ och skriv V_NOMX, V_NOMY och V_NOMZ i vart och ett av de första tre fälten (med nollor). Detta är de nominella variablerna.

  7. Gör samma sak på raden MÄT/XYZ, men skriv V_MÄTX, V_MÄTY och V_MÄTZ i stället. Kommandot ska nu se ut så här:

F1 =ALLMÄN/PUNKT,BEROENDE,REKT ,$

NOM/XYZ,V_NOMX,V_NOMY,V_NOMZ,$

MÄT/XYZ,V_MÄTX,V_MÄTY,V_MÄTZ,$

NOM/IJK,0,0,1,$

MÄT/IJK,0,0,1

  8. Tryck på F3 för att markera det allmänna elementet.

  9. Skapa en lägesutvärdering med det här elementet. Ange .02 som övre och undre tolerans.

  10. Kör detaljprogrammet.

Nu ska en utvärdering som ser ut ungefär så här visas i rapporten:


Använda toleransrektanglar

Använda toleransrektanglar: Inledning

Vad är en toleransrektangel?

Skapa en utvärdering av en toleransrektangel

Definiera referenser

Dialogrutan GD&T

Fliken Toleransrektangel

Fliken Avancerat

Kommandoblock för toleransrektangel

Trieder för toleransrektangel

Sammansatt utvärdering av toleransrektanglar

Rapportera toleransrektanglar med lägeriktighet


Använda toleransrektanglar: Inledning

I PC-DMIS kan du infoga viktig utvärderingsinformation i detaljprogram i form av toleransrektanglar (TLR). Toleransrektanglar är rutor som innehåller vanliga GD&T-symboler och -information. När du infogar en toleransrektangel i Redigeringsfönstret ritas rutan i Grafikfönstret.

Exempel på toleransrektangel med vinkelräthet mellan LINJE1 och LINJE3

Exempel på toleransrektangel (se TLR1)

Om du vill infoga ett TLR-kommando går du till undermenyn Infoga | Utvärderingar, kontrollerar att objektet Använd äldre utvärderingsmetoder inte är markerat och väljer lämplig utvärdering. Dialogrutan GD&T för den aktuella utvärderingen öppnas. När du har skapat toleransrektangeln infogas den samt utvärderingsinformationen i detaljprogrammet.

Obs! Toleransrektanglar är ett nytt sätt att utvärdera detaljer. Alla alternativ från den äldre utvärderingsfunktionen finns kvar när du använder toleransrektanglar (se fliken Avancerat i dialogrutan GD&T). Om du däremot föredrar det äldre sättet att göra utvärderingar markerar du menyobjektet Använd äldre utvärderingsmetoder så infogas det äldre sättet att göra utvärderingar. Mer information om äldre utvärderingsmetoder finns i avsnittet Utvärdera element.

På grund av att utvärderingarna av Läge , Avstånd , Vinkel och Inmatning inte ingår i ASME- och ISO-standardena skapas de alltid med hjälp av äldre utvärderingsmetoder även om du inte har markerat menyobjektet Använd äldre utvärderingsmetoder.

Huvuddelarna i detta avsnitt är:

  • Vad är en toleransrektangel?

  • Skapa en utvärdering av en toleransrektangel

  • Definiera referenser

  • Dialogrutan GD&T

  • Kommandoblock för toleransrektangel

  • Trieder för toleransrektangel

  • Sammansatt utvärdering av toleransrektanglar


Vad är en toleransrektangel?

Exempel på en toleransrektangel

En toleransrektangel (TLR) är en grafisk ruta som visar angiven utvärderingsinformation för ett eller flera element. Den visas vanligtvis i en ritning eller CAD-fil för att definiera toleransspecifikationer för vissa utvärderingstyper. Den korrekta användningen av toleransrektanglar beskrivs i ASME Y14.5 – 1994 Geometric Dimensioning and Tolerancing.

Om du markerar flera element för toleransrektangeln skapas en konstruerad grupp för toleransrektangeln. I gruppen används inmatade element för att skapa ett gruppelement där den primära utvärderingsraden tillämpas på gruppelementet och den sekundära utvärderingsraden tillämpas på de individuella elementen. I toleransrektangeln i exemplet ovan får gruppen 0.01 som tolerans för positionen och de individuella elementen får en tolerans på 0.005 för positionen. Mer information om hur toleranserna tillämpas finns i ASME Y14.5 – 1994 Geometric Dimensioning and Tolerancing.

Elementen för en toleransrektangel i PC-DMIS

En toleransrektangel i PC-DMIS består av fyra rader i enlighet med GD&T-standard:

Element för en toleransrektangel

  1. Dimensionstoleranser – Den översta raden innehåller antalet element, X, diametersymbolen, den nominella storleken, den övre och undre toleransen.

  2. Primära utvärderingar – Den andra raden (den första raden i det rektangulära rutnätet) måste alltid finnas även om du inte använder samtliga fält. På raden visas symbolen för den primära utvärderingen, diametersymbolen, huvudtoleransen, elementets materialtillstånd, den utflyttade toleranszonen, materialtillståndet för den utflyttade toleranszonen, den primära referensen, materialtillståndet för den primära referensen, den sekundära referensen, materialtillståndet för den sekundära referensen, den tertiära referensen och materialtillståndet för den tertiära referensen. Referenser, materialtillstånd och utflyttade toleranszoner är i många fall inte obligatoriska eller tillgängliga.

  3. Sekundära utvärderingar – Den tredje raden (den andra raden i det rektangulära rutnätet) förekommer endast för lägeriktighet och profiltyper och alla fält är inte nödvändiga. På raden visas symbolen för den sekundära utvärderingen, diametersymbolen, huvudtoleransen, elementets materialtillstånd, den utflyttade toleranszonen, materialtillståndet för den utflyttade toleranszonen, den primära referensen, materialtillståndet för den primära referensen, den sekundära referensen, materialtillståndet för den sekundära referensen, den tertiära referensen och materialtillståndet för den tertiära referensen.

  4. Anmärkningar – Den fjärde raden innehåller ett textfält där du kan ange ytterligare beskrivningar eller instruktioner för toleransrektangeln. Som standard anges toleransrektangelns ID i detta fält så att du kan du identifiera toleransrektangeln i Grafikfönstret. Du kan ändra texten.


Skapa en utvärdering av en toleransrektangel

Så här skapar du en utvärdering av en toleransrektangel:

  1. Skapa de element som ska vara referenser. De kan vara mätta element, autoelement eller konstruerade element.

  2. Gå till menyalternativet Infoga | Utvärderingar | Referensdefinition. Dialogrutan Referensdefinition öppnas.

  3. I dialogrutan markerar du referenselement och kopplar dem till referensbokstäver. Mer information om hur du gör finns i Definiera referenser.

  4. Stäng dialogrutan när du har definierat referenserna.

  5. Kontrollera att menyalternativet Infoga | Utvärderingar | Använd äldre utvärderingsmetoder inte är markerat med en bock. Om det finns en bock väljer du menyposten så försvinner bocken.

  6. Välj en lämplig utvärdering på undermenyn Infoga | Utvärderingar. Dialogrutan GD&T för den aktuella utvärderingen öppnas.

  7. Klicka på fliken Toleransrektangel i dialogrutan.

  8. På fliken markerar du de element som ska utvärderas och användas vid konstruktionen av toleransrektangeln. Mer information om alternativen på fliken Toleransrektangel finns i Fliken Toleransrektangel.

  9. Klicka på fliken Avancerat.

  10. På fliken markerar du lämpliga alternativ för att definiera hur utvärderingsinformationen ska visas. Mer information om alternativen på fliken Avancerat finns i Fliken Avancerat.

  11. Klicka på Skapa. Det infogas ett toleransrektangelkommando i detaljprogrammet och en bild av en toleransrektangel visas i Grafikfönstret.


Definiera referenser

En referens är ett teoretiskt perfekt referenselement i form av ett plan, en punkt eller en axel. Ett utvärdering görs i förhållande till en referens. Referenser används i toleransrektanglar för att visa GD&T-information. För att definiera de referenser som används i toleransrektanglar bör du först skapa de element som ska bli referenser. De kan vara autoelement, mätta element eller konstruerade element. När du har skapat elementen definierar du dem som referenser genom kommandon för referensdefinition (REFDEF). Varje REFDEF-kommando kopplar en referensbokstav (till exempel referens A) till ett element i programmet.

Skapa en referensdefinition

Välj Infoga | Utvärderingar | Referensdefinition eller klicka på knappen Referenser i dialogrutan GD&T om du vill definiera en referens. Dialogrutan Referensdefinition öppnas.

Dialogrutan Referensdefinition

Referensbokstaven (A i exemplet ovan) standardinställs till närmast tillgängliga referensbokstav. I PC-DMIS används bokstäverna A till Z och därefter AA till ZZ. Markera ett element som ska kopplas till referensbokstaven i listan Elementlista och klicka på Skapa. Knappen Skapa aktiveras när du markerar ett element i listan. När du skapar en definition infogas ett REFDEF-kommando i Redigeringsfönstret. Om du till exempel markerar PLN1 och kopplar det till bokstaven A visas följande i Redigeringsfönstret:

REFDEF/ELEMENT=PLN1,REFERENS=A

I dialogrutan Referensdefinition uppdateras rutan Referens automatiskt med nästa tillgängliga referensbokstav och det markerade elementet visas i Elementlista med den kopplade referensbokstaven inom parenteser. I exemplet med PLN1 ovan skulle referensen visas som PLN1(A) i listan.

Du kan skapa fler REFDEF-kommandon genom att markera fler element och klicka på Skapa. Om du inte vill att referenserna ska skapas i den standardinställda bokstavsordningen ändrar du bokstaven i rutan Referens innan du klickar på Skapa.

När du har skapat referenserna i dialogrutan Referensdefinition kan du skapa utvärderingar av toleransrektanglar i dialogrutan GD&T och tilldela de definierade referenserna till utvärderingarna.


Dialogrutan GD&T

Dialogrutan GD&T

I dialogrutan GD&T kan du skapa utvärderingar av toleransrektanglar. Dialogrutan öppnas när du väljer en av utvärderingarna av toleransrektangel på undermenyn Infoga | Utvärderingar om menyobjektet Använd äldre utvärderingsmetoder inte är markerat.

Dialogrutan har två flikar: Toleransrektangel och Avancerat. På flikarna finns det flera kontroller som hjälper dig att skapa toleransrektangeln och den kopplande utvärderingsinformationen.

Mer:

Fliken Toleransrektangel

Fliken Avancerat


Fliken Toleransrektangel

Dialogrutan GD&T – fliken Toleransrektangel

Dialogrutan GD&T – fliken Toleransrektangel

På fliken Toleransrektangel kan du skapa en toleransrektangel. På fliken finns verktyg för att definiera referenselement, markera de element som används vid utvärderingen av toleransrektangeln och en redigerare för att definiera de specifika symboler, toleranser och referenser som används i toleransrektangeln, samt ett förhandsgranskningsområde så att du kan se statusen för en toleransrektangel medan du skapar den. Mer information om objekten på fliken finns i kontrollistan nedan:

ID – I den här rutan visas namnet på toleransrektangeln. Du kan ändra det om du vill använda ett annat namn.

Element – I den här listan visas tillgängliga element för den angivna typen av toleransrektangel. Vissa element kan förekomma i detaljprogrammet utan att vara tillgängliga för toleransrektangeln. Ett planelement är till exempel inte tillgängligt för rundhet. Listan uppdateras när du har markerat det första elementet. Det innebär att när du skapar en elementgrupp för toleransrektangeln är elementen kompatibla.

Referenser – I referenslistan visas samtliga referenser som har definierats med REFDEF-kommandon. Endast referenselement som finns ovanför markörens position i Redigeringsfönstret visas.

Hänvisningslinjer – I den här listan visas de element som markerades i listan Element. Bredvid varje element finns en kryssruta. När du markerar en kryssruta dras en hänvisningslinje mellan toleransrektangeln och elementet i Grafikfönstret. Standardinställningen är att alla möjliga hänvisningslinjer visas, men du kan avmarkera rutorna så att visningen stängs av.

Redigera toleransrektangel – I det här området kan du tillämpa ändringarna på toleransrektangeln. Du markerar fält med musen eller genom att trycka på TABB-tangenten och på RETUR för att ställa om fältet till redigeringsläge. Om fältet kan redigeras visas en lista över tillgängliga alternativ eller en ruta där du kan skriva in text. När du har redigerat ett fält avslutar du redigeringsläget genom att trycka på RETUR och TABB eller genom att klicka på ett annat fält. Om du trycker på SKIFT + TABB går du tillbaka till föregående fält.

Om ett fält är tomt visas en kort beskrivning inom vinkelparenteser för att det ska gå att identifiera fältet. Beskrivningarna motsvarar följande fält:

<MC> – Materialtillstånd

<D> – Diameter

<Utv> – Utvärdering eller typ av toleransrektangel

<PZ> – Utflyttad toleranszon

<num> – Antal element

<nom> – Nominell storlek eller elementets storlek

<+tol> – Övre tolerans

<+tol> – Undre tolerans

<tol> – Tolerans

<dat> – Referens

<sym> – Utvärderingssymbol

<skriv anmärkningar här> – Fält för kommentarer på den första raden

<skriv designanmärkningar här> – Designkommentarer på den sista raden

Referenser – Om du klickar på den här knappen öppnas dialogrutan Referensdefinition där du kan definiera referenser för den aktuella toleransrektangeln.

Inställningar – I det här området finns kryssrutan Sammansatt. Om du markerar kryssrutan anger du att de första och andra utvärderingsraderna ska använda samma symbol i en enda sammanslagen cell som sträcker sig över båda raderna. Symbolen ser ut så här:

Om du avmarkerar kryssrutan visas raderna med separata symboler även om symbolen står för samma sak.

Skillnaderna mellan dessa båda situationer beskrivs i ASME Y14.5 – 1994 Geometric Dimensioning and Tolerancing.

Funktioner och procedurer – I det här området visas tips och instruktioner för hur du skapar giltiga toleransrektanglar.

Exempel – I det här området visas en förhandsgranskning av toleransrektangeln med de aktuella inställningarna. I förhandsvisningen visas inga av de tomma fält eller tomma beskrivningar som visas i avsnittet Redigera toleransrektangel, till exempel fält med vinkelparenteser som <dat>.

Kommentarer till Redigera toleransrektangel

Observera att en del ikonfält i området Redigera toleransrektangel inte visas för vissa utvärderingar om de inte stöds. För till exempel en rundhetsutvärdering visas toleransfältet men inte några referens- eller modifierarfält.

Formatutvärderingar (Rundhet, Cylindricitet, Planhet) – Dessa utvärderingar stöder inte referenser eller modifierare så de fälten visas inte. Profil kan tillhöra den här kategorin om du kontrollerar Enbart form. Om du däremot använder Form och Läge för profilutvärderingar visas modifierare.

Riktningsutvärderingar (Parallellitet, Vinkelräthet, Vinkelriktighet, Kast, Koncentricitet, Koaxialitet) – För dessa utvärderingar visas referenser och modifierare.

Positionsutvärderingar (Lägeriktighet, Profil med Form och Läge) – För dessa utvärderingar visas referenser och modifierare.

Övriga utvärderingar (Avstånd och Vinkel mellan) – För dessa utvärderingar visas inte referenser. Symmetri påminner om formatutvärderingar och för symmetri visas inte referenser.

Dessutom får endast följande utvärderingar ha flera rader i redigeraren:

  • Lägeriktighet

  • Parallellitet

  • Vinkelräthet


Fliken Avancerat

Dialogrutan GD&T – fliken Avancerat

Dialogrutan GD&T – fliken Avancerat

Dialogrutan GD&T – fliken Avancerat

På fliken Avancerat kan du ställa in alternativ för utskrift och analys för utvärderingar av toleransrektangeln. Dokumentation om fliken finns i listan över dialogruteobjekt nedan. Många av funktionerna finns redan i äldre utvärderingar och diskuteras ingående i avsnittet Utvärdera element.

Området Utskrift – Från listan Rapporter och statistik kan utdata för toleransrektangeln skrivas ut till antingen rapporten eller till statistikfiler som används i statistikprogram (till exempel DataPage), till båda alternativen eller till inget av dem.

· Statistik – utskriften skickats till statistikfilerna

· Rapport – utskriften skickats till rapporten

· Båda – utskriften skickats både till rapporten och till statistikfilerna

· Ingen – utskriften skickas inte

När ett toleransrektangelkommando körs i PC-DMIS skickas en utskrift till rapporten, till statistikfilen, till båda destinationerna eller inte till någon av dem beroende på vad du har valt.

Obs! Om du har markerat något av alternativen Statistik eller Båda måste det finnas ett föregående STAT/PÅ-kommando i Redigeringsfönstret för att toleransrektangeln ska skickas till statistikfilen.

I listan Enheter anger du vilka enheter som ska användas i toleransrektangeln. Du kan välja mellan följande alternativ:

· Tum = Tum

· MM = Millimeter

Den valda enheten används vid utvärderingen så länge dialogrutan är öppen. Standardinställningen är att använda samma enhet som i det aktuella detaljprogrammet.

Området Analys – I det här området ställer du in analysformatet för utvärderingsutskriften för toleransrektangeln.

Textresultat, rapport – Om du väljer På (eller Båda för toleransrektanglar med lägeriktighet) skrivs följande ut i den standardinställda rapporten och i Rapportfönstret för varje enskild mätpunkt i toleransrektangeln:

  • Mätta X-, Y- och Z-värden

  • Mätta I-, J- och K-värden

  • Avvikelsen för varje enskild mätpunkt

  • En markör för MAX eller MIN i slutet av raden om mätpunkten ger en största eller minsta avvikelse

Grafiskt resultat, rapport – I den här listan visas utskriften för toleransrektangeln i rapporten. Formatet lämpar sig för noggrann undersökning. Om du väljer På (eller Båda) visas avvikelsen för varje enskild mätpunkt för den toleransrektangel som används för detaljen i rapporten. Den visas grafiskt med färgade pilar. Pilarnas färg och riktning anger den relativa storleken på felet samt dess riktning.

Grafiskt resultat, skärm – Den här listan fungerar på samma sätt som listan Grafiskt resultat, rapport förutom att den visar det grafiska resultatet i Grafikfönstret.

Pilfaktor – I rutan Multiplikator kan du ange en skalfaktor som förstorar avvikelsepilarna och toleranszonen för läget Grafiskt resultat, skärm. Om du anger värdet 2.0 ökar pilarnas skala till två gånger den beräknade avvikelsen för varje elementmätpunkt. Rutan Multiplikator används endast i visningssyfte och påverkar inte den utskrivna texten.

Området Utvärderingsinfo – I det här området kan du skapa en textruta för utvärderingsinformation för toleransrektangeln. Om du markerar kryssrutan Skapa utvärderingsinformation när dialogen stängs aktiveras knappen Redigera. Klicka på knappen Redigera om du vill öppna en dialogruta där du kan se standardalternativ för utvärderingsinformationskommandot (UTVINFO). Mer information finns i Ändra standardutvärderingar.

När du har skapat en toleransrektangel stängs dialogrutan och det skapas ett UTVINFO-kommando efter toleransrektangeln i Redigeringsfönstret. Med UTVINFO-kommandot visas all utvärderingsinformation i Grafikfönstret bredvid det element som markerades i listan Element på fliken Toleransrektangel. Där visas samma tillgängliga utvärderingsaxlar som används för den aktuella toleransrektangeln i Redigeringsfönstret.

Mer information om rutor med utvärderingsinformation och om regler som styr hur du skapar rutorna finns i Infoga rutor för utvärderingsinformation i avsnittet Infoga rapportkommandon.

Området Lägeriktighet – Det här området blir tillgängligt först när du skapar en toleransrektangel med lägeriktighet. För övriga typer av toleransrektanglar är det gråtonat. I området finns följande objekt:

Uppriktning – När utvärderingsinformation granskas i relation till den aktuella uppriktningen kan det ibland vara svårt att dechiffrera referensberäkningarna. I den här listan kan du ange hur informationen ska visas: I relation till en viss uppriktning eller till referenssystemet.

Passa referenser – Genom att markera den här kryssrutan anger du om det används en bästanpassningsberäkning för att hitta den bästa positionen för det referenssystem som minskar felet för toleransrektangeln.

Nominella värden och Axlar – Här kan du anpassa utskriften genom att styra vilka axlar som ska visas i rapporten och genom att manuellt ange de nominella värdena.

Element – I listan till vänster om kolumnerna för nominella värden och axlar visas samtliga element som används i toleransrektangeln med lägeriktighet. Välj en elementgrupp eller ett element i listan. De möjliga axlarna för elementet visas.

Rapporteringsaxel – Den här kolumnen innehåller kryssrutor för axlarna. Om du markerar en kryssruta skickas motsvarande axel till rapporten.

Axel – Den här kolumnen innehåller tillgängliga axlar för det markerade elementet.

Nominellt – Den här kolumnen innehåller nominella värden. Du kan ersätta värdena genom att klicka på dem och ange andra värden.

+Tol / -Tol – Kolumnerna för övre och undre tolerans innehåller fält där du kan ange toleransvärden för de axlar som används i toleransrektangeln. Toleransvärdena tillämpas endast på axlar som är relaterade till storleken på grund av att axlarna som styr positioner använder huvudtoleransen i toleransrektangeln.

Uppdatera nominellt – I den här kolumnen kan du ange om eventuella ändringar endast ska tillämpas på toleransrektangeln eller även på elementet.


Kommandoblock för toleransrektangel

Nedan visas syntaxen i ett enkelt kommandoblock för en toleransrektangel i Redigeringsfönstrets kommandoläge:

TLR6 = POSITION FÖR CIR1,CIR2,CIR3,...

TOLERANSREKTANGEL/VISANOM=JA,VISA_PARAMETRAR=JA,VISA_EXPANDERAT=JA

CADGRAFIK=BÅDA RAPPORTGRAFIK=AV TEXT=BÅDA MULT=10.00 UTSKRIFT=BÅDA ENHETER=TUM

SAMMANSATT=NEJ,PASSA REFERENSER=JA,SKRIV UT UPPRIKTNING=Referenssystem

DIMENSIONSTOLERANSER/4,DIAMETER,0.375,0.01,0.01

PRIMÄR UTVÄRDERING/LÄGERIKTIGHET,DIAMETER,0.01,MMC,A,<MC>,B,MMC,C,<MC>

SEKUNDÄR UTVÄRDERING/LÄGERIKTIGHET,DIAMETER,0.005,MMC,<PZ>,<lgd>,A,<MC>,B,MMC,<dat>,<MC>

OBS/TLR6

ELEMENT/CIR1,CIR2,CIR3,CIR4,,

ELEMENTGRUPP

X:NOM=-1

Y:NOM=6.0235

Z:NOM=0

<NYTT>

CIR1

X:NOM=-1

Y:NOM=5.07

Z:NOM=0

<NYTT>

CIR2

X:NOM=-2

Y:NOM=6.008

Z:NOM=0

<NYTT>

CIR3

X:NOM=-1

Y:NOM=7.008

Z:NOM=0

<NYTT>

CIR4

X:NOM=0

Y:NOM=6.008

Z:NOM=0

<NYTT>

REFERENSER

D2:NOM=1,+TOL=0.01,-TOL=0.01

Namn på toleransrektangel = Typ av toleransrektangel (typ av utvärdering) ELLER elementlista.

Element = Elementlista. Om det finns mer än tre element skrivs det ut punkter så att raden blir tillräckligt lång. Till exempel ELEM1, ELEM2, ELEM3 och så vidare. Om det finns mer än ett element behandlas elementen som en grupp och måste vara av samma typ.

VISANOM = JA/NEJ. Om kommandot ställs in till JA visas de nominella värdena för de toleransrektangeltyper som har nominella värden. Dessa värden är till exempel lägeriktighet, avstånd, vinkel mellan och vinkelriktighet.

VISA_PARAMETRAR = JA/NEJ. Om kommandot ställs in till JA visas följande parametrar i texten: CADGRAFIK, RAPPORTGRAFIK, TEXT, MULT, UTSKRIFT, ENHETER, SAMMANSATT, PASSA REFERENSER, SKRIV UT UPPRIKTNING. Om kommandot ställs in till NEJ visas alternativen inte.

VISA_EXPANDERAT = JA/NEJ. Om kommandot ställs in till JA visas tomma fält i toleransrektangeln med en beskrivning inom vinkelparenteser. Om kommandot ställs in till NEJ visas de tomma fälten som tomrum.

<MC> – Materialtillstånd

<D> – Diameter

<Utv> – Utvärdering eller typ av toleransrektangel

<PZ> – Utflyttad toleranszon

<num> – Antal element

<nom> – Nominell storlek eller elementets storlek

<+tol> – Övre tolerans

<+tol> – Undre tolerans

<tol> – Tolerans

<dat> – Referens

<sym> – Utvärderingssymbol

<skriv anmärkningar här> – Fält för kommentarer på den första raden

<skriv designanmärkningar här> – Designkommentarer på den sista raden

CADGRAFIK = AV/PÅ/BÅDA/FORM – En grafisk analys av modellen visas i Grafikfönstret. Utvärderingar av lägeriktighet innehåller BÅDE/FORM beroende på om de använder alternativet för integrerad form men övriga utvärderingar visar endast AV/PÅ.

RAPPORTGRAFIK = AV/PÅ/BÅDA/FORM – En grafisk analys av rapporten visas. Utvärderingar av lägeriktighet innehåller BÅDE/FORM beroende på om de använder alternativet för integrerad form men övriga utvärderingar visar endast AV/PÅ.

TEXT = AV/PÅ/BÅDA/FORM – En textanalys av rapporten visas. Utvärderingar av lägeriktighet innehåller BÅDE/FORM beroende på om de använder alternativet för integrerad form men övriga utvärderingar visar endast AV/PÅ.

MULT = Ett positivt tal som skaländrar den grafiska analysen i CAD-grafiken.

UTSKRIFT = STATISTIK/RAPPORT/BÅDA/INGEN – Inkluderar beräkningarna för toleransrektangeln från filen xstats11.tmp, från utskriftsrapporten, från både filen och rapporten eller inte från någon av dem.

SAMMANSATT = JA/NEJ. Om kommandot ställs in till JA visas den primära och sekundära utvärderingsraden som en sammansatt utvärdering i toleransrektangeln. Kommandot är tillgängligt för utvärderingar av lägeriktighet och profil.

PASSA REFERENSER = JA/NEJ. Detta kommando är endast tillgängligt för toleransrektanglar med lägeriktighet. Om kommandot ställs in till JA görs en bästanpassningsberäkning av referenserna för att hitta det alternativ som minimerar referensskiftet.

SKRIV UT UPPRIKTNING = Referenssystem/Aktuell uppriktning. Detta kommando är endast tillgängligt för toleransrektanglar med lägeriktighet. Om du väljer Referenssystem visas X-, Y- och Z-positionerna i relation till referenssystemet. Om du väljer Aktuell uppriktning visas X-, Y- och Z-positionerna i relation till den aktuella uppriktningen.

ENHETER = TUM/MM. De enheter som används vid visningen av information om toleransrektangeln.

DIMENSIONSTOLERANSER = Anger den översta raden i toleransrektangeln. För vissa typer av toleransrektanglar visas inte den här raden. På raden visas antalet markerade element, huruvida diametersymbolen används, den nominella storleken på elementen och de utvärderingstoleranser som tillämpas på det nominella värdet.

PRIMÄR UTVÄRDERING eller UTVÄRDERING = Representerar den andra möjliga raden för toleransrektangeln som innehåller den primära typen av toleransrektangel. Observera att vissa fält endast är giltiga för vissa typer av toleransrektanglar. På den här raden visas typen av toleransrektangel, huruvida diametersymbolen används, värdet för huvudtoleransen, det materialtillstånd som tillämpas på huvudtoleransen, symbolen för den utflyttade toleranszonen, värdet för den utflyttade toleranszonen, den primära referensen, materialtillståndet för den primära referensen, den sekundära referensen, materialtillståndet för den sekundära referensen, den tertiära referensen och materialtillståndet för den tertiära referensen. Om det inte kan finnas någon sekundär utvärdering för den aktuella toleransrektangeltypen används titeln UTVÄRDERING för den här raden.

SEKUNDÄR UTVÄRDERING eller UTVÄRDERING = Representerar den tredje möjliga raden för toleransrektangeln som innehåller den primära typen av toleransrektangel. För många typer av toleransrektanglar visas ingenting för den sekundära utvärderingen. Dessutom är vissa fält endast giltiga för vissa typer av toleransrektanglar. På den här raden visas elementtypen, huruvida diametersymbolen används, värdet för huvudtoleransen, det materialtillstånd som tillämpas på huvudtoleransen, symbolen för den utflyttade toleranszonen, värdet för den utflyttade toleranszonen, den primära referensen, materialtillståndet för den primära referensen, den sekundära referensen, materialtillståndet för den sekundära referensen, den tertiära referensen och materialtillståndet för den tertiära referensen. Om en andra utvärdering är giltig måste den följa användningsreglerna enligt standarden ASME Y14.5 1994 Dimensioning and Tolerancing.

OBS = Representerar den sista raden för toleransrektangeln. På raden visas textkommentarer. Fältets standardinställning är att visa toleransrektangelns ID för att förenkla identifieringen av toleransrektangeln i huvudgrafiken.

NOMINELLA RADER = I dessa fält visas de nominella värdena för interna utvärderingar i toleransrektangeln. Först visas den nominella positionen för den skapade elementgruppen om det har markerats mer än ett element. Därefter visas de nominella positionerna för de enskilda elementen. Sist visas den nominella storleken och de nominella toleranserna för de referenser som har en storlek. I var och en av grupperna listas de nominella värden som har markerats för visning på fliken Avancerat i dialogrutan GD&T för toleransrektangeln så varje axel som ska visas kan växlas mellan av och på. Om du vill aktivera visningen av de övriga nominella värdena i Redigeringsfönstret växlar du raden <NYTT> för att se axlar som är tillgängliga men som inte visas.

ELEMENTGRUPP

X:NOM=-1

Y:NOM=6.0235

Z:NOM=0

<NYTT>

CIR1

X:NOM=-1

Y:NOM=5.07

Z:NOM=0

<NYTT>

CIR2

X:NOM=-2

Y:NOM=6.008

Z:NOM=0

<NYTT>

CIR3

X:NOM=-1

Y:NOM=7.008

Z:NOM=0

<NYTT>

CIR4

X:NOM=0

Y:NOM=6.008

Z:NOM=0

<NYTT>

REFERENSER

D2:NOM=1,+TOL=0.01,-TOL=0.01


Trieder för toleransrektangel

Om du markerar ett toleransrektangelkommando i Redigeringsfönstret och kommandot använder ett referenssystem visas en blågul trieder som representerar referenssystemet för toleransrektangeln. Detta är inte detsamma som den rödgröna trieder som representerar den aktuella uppriktningen för detaljen.

På skärmbilden nedan visas triedern för uppriktningen i rött och grönt och triedern för toleransrektangeln i blått och gult.

Skärmbild av trieder för toleransrektangel (ovan) och trieder för uppriktning (nedan)


Sammansatt utvärdering av toleransrektanglar

Via menyobjektet Infoga | Utvärderingar | Sammansatt utvärdering kan du skapa ett kommando för sammansatt utvärdering i detaljprogrammet. Med kommandot utvärderas två eller flera toleransrektanglar med lägeriktighet eller två eller flera toleransrektanglar för profil samtidigt.

Exempel: Anta att det finns två grupper med hål på en detalj och hålen i de båda grupperna har olika storlek men att du vill utvärdera lägeriktigheten för samtliga hål som om de tillhörde en enda grupp. Då kan du använda kommandot Sammansatt utvärdering. Först skapar du två toleransrektanglar med lägeriktighet, en för vardera grupp av hål. Därefter skapar du ett kommando för Sammansatt utvärdering för att utvärdera toleransrektanglarna tillsammans.

Via menyobjektet Sammansatt utvärdering öppnas dialogrutan Sammansatt utvärdering.

Dialogrutan Sammansatt utvärdering

Dialogrutan Sammansatt utvärdering

I listan till höger visas alla toleransrektangelkommandon som är tillgängliga för kommandot för sammansatt utvärdering. Endast toleransrektanglar för utvärdering av lägeriktighet eller profil visas. Markera de objekt som du vill inkludera i kommandot för sammansatt utvärdering. När du markerar objekt aktiveras knappen Lägg till. Du kan markera flera objekt genom att hålla tangenten CTRL nedtryckt medan du markerar objekten. Du avmarkerar objekt genom att klicka på knappen Rensa.

Klicka på knappen Lägg till om du vill lägga till de markerade objekten i listan till vänster i området Toleransrektanglar. I den andra listan definieras de toleransrektanglar som utvärderas genom kommandot för sammansatt utvärdering.

Du kan ta bort objekt som har lagts till i listan till vänster genom att markera dem i den vänstra listan och klicka på Ta bort. Då tas objekten bort ur den vänstra listan och visas åter i den högra listan. När du har lagt till minst två toleransrektanglar i den vänstra listan aktiveras knappen Skapa. Klicka på Skapa om du vill skapa kommandot för sammansatt utvärdering och infoga det i Redigeringsfönstret. I kommandoläget ser det ut ungefär så här:

SIMUL1 =SAMMANSATT/TLR2,TLR3,TLR4,,

Regler för sammansatt utvärdering:

  • De utvärderade toleransrektanglarna måste tillhöra samma utvärderingstyp. Antingen måste samtliga toleransrektanglar vara utvärderingar av lägeriktighet eller så måste samtliga toleransrektanglar vara utvärderingar av linjeprofil. Sammansatt utvärdering fungerar inte med riktningsutvärderingar. Om du lägger till toleransrektanglar för olika utvärderingstyper i listan till vänster och därefter klickar på Skapa visas ett felmeddelande och information om att samtliga toleransrektanglar måste vara av samma typ.

  • De utvärderade toleransrektanglarna måste ha utvärderingar som hänvisar till samma referenser i samma prioritetsordning. Om du lägger till två toleransrektanglar med lägeriktighet som använder olika referenser i listan till vänster och därefter klickar på Skapa visas ett felmeddelande och information om att samtliga toleransrektanglar måste hänvisa till samma referenser och använda samma prioritetsordning.

  • De använda referenserna måste ha samma materialtillstånd. Om referenserna är desamma men har olika materialtillstånd visas det när du klickar på Skapa ett felmeddelande och information om att du måste använda samma materialtillstånd.


Rapportera toleransrektanglar med lägeriktighet

De största förändringarna i rapporteringsformatet för lägeriktighet är att i version 4.0 och senare versioner av PC-DMIS visas följande i Rapportfönstret:

  • Avvikelsen för varje element i en grupp och inte endast avvikelsen för hela gruppen. Det gör det lättare att avgöra vilket element i en elementgrupp som ligger utanför toleransen.

  • Den förändrade positionen för referensen som ett resultat av referensinmätningen (med referenser för storlek).

  • Det totala referensskiftet för X, Y och Z samt rotationen av U, V och W som utförts genom inmätningsalgoritmen.

Det finns mycket information vid rapportering av en toleransrektangel med lägeriktighet. För att undvika oklarheter och för att se hur beräkningarna påverkas av toleransrektangeln delas informationen in i fyra avsnitt.

  1. Storleksinformation. Informationen beräknas separat från elementets position.

  2. Information om bonustolerans för huvudelementet eller huvudgruppen.

  3. Referensinformation inklusive referensskift och referensrotation.

  4. Information om elementets eller gruppens position.

Den extra informationen är mer användbar än i versioner före 4.0. Tidigare skrevs till exempel inte information om referensskift ut men den kan ha stor betydelse för en utvärdering av lägeriktighet som ligger utanför toleransen. Nu kan du se om elementet eller referensen finns på fel plats.


Scanna en detalj

Scanna en detalj: Inledning

Utföra avancerade scanåtgärder

Gemensamma funktioner i dialogrutan Scan

Utföra en avancerad scanåtgärd av typen Linjär, öppen

Utföra en avancerad scanåtgärd av typen Linjär sluten

Utföra en avancerad områdesscan

Utföra en avancerad omkretsscan

Utföra en avancerad sektionsscan

Utföra en avancerad cirkulär scan

Utföra en avancerad friformsscan

Utföra en avancerad UV-scan

Utföra en avancerad rutnätsscan

Utföra grundläggande scanåtgärder

Gemensamma funktioner i dialogrutan Grundläggande scan (GRUNDSCAN)

Utföra en grundläggande cirkulär scan

Utföra en grundläggande cylinderscan

Utföra en grundläggande axelscan

Utföra en grundläggande centrerande scan

Utföra en grundläggande linjescan

Utföra scanåtgärder manuellt

Ytterligare alternativ för manuell scan

Regler för manuella scanåtgärder

Utföra manuella scanåtgärder med ett brytande mäthuvud (TTP)

Utföra manuella scanåtgärder med ett fast mäthuvud


Scanna en detalj: Inledning

I PC-DMIS kan du definiera en punktmätning genom att scanna ytan på en detalj med angivna mellanrum. Den här funktionen är användbar när noggrant styrda CMM-mätpunkter krävs. I nuläget stöds CNC-scanåtgärder med brytande (TTP) och analoga mäthuvuden och manuella scanåtgärder med brytande eller fasta mäthuvuden. För manuella scanåtgärder och CNC-scanåtgärder finns olika scanmetoder som beskrivs i det här avsnittet.

För CNC-scanåtgärden av symaskinstyp används ett brytande mäthuvud (TTP-mäthuvud). Åtgärden styrs av PC-DMIS och CMM-styrenheten (Coordinate Measuring Machine). För CNC-scanåtgärden används en självanpassande algoritm som kan beräkna ytnormalvektorer för korrekt mätspetskompensering. I PC-DMIS används ett brytande mäthuvud (kallas även TTP, Touch Trigger probe) som kan användas för automatisk punkt-till-punkt-digitalisering av profiler på ytor. Du anger nödvändiga parametrar för CNC-scanåtgärden och klickar på Mät. Därefter styrs mätprocessen av scanningsalgoritmen i PC-DMIS.

Scanåtgärder i PC-DMIS kan också användas med ett analogt mäthuvud för kontinuerliga kontaktscanåtgärder. Först skickas scanparametrarna från PC-DMIS till styrenheten. Därefter scannas detaljen från styrenheten och information om scanpunkterna skickas till PC-DMIS.

De avancerade scanåtgärderna i PC-DMIS består av grundläggande scanåtgärder. En områdesscan (se Utföra en avancerad områdesscan) består till exempel av datarader där varje rad är en grundläggande scanåtgärd. De grundläggande scanåtgärderna fungerar som byggstenar för scanåtgärder på högre nivåer, t.ex. områdesscanåtgärder.

Huvuddelarna av det här avsnittet handlar om alternativen på undermenyn Infoga | Scan:

  • Utföra avancerade scanåtgärder

  • Utföra grundläggande scanåtgärder

  • Utföra scanåtgärder manuellt


Exempel: Symaskinsscanning

Exempel: Symaskinsscanning (med brytande mäthuvud (TTP))

klicka här för att spela upp 20_scan_files/example_stitch_scan.avi


Exempel: kontinuerlig kontaktscan

Exempel: kontinuerlig kontaktscan (med analogt mäthuvud)

klicka här för att spela upp 20_scan_files/example_analog_scan.avi


Inledning: Utföra avancerade scanåtgärder

Avancerade scanåtgärder är CNC-scanåtgärder av symaskinstyp som utförs med ett brytande mäthuvud (TTP) och i vissa fall med ett analogt mäthuvud. De här scanåtgärderna styrs av PC-DMIS och CMM-styrenheten. Under CNC-scanningproceduren används en intuitiv självanpassande algoritm som kan beräkna ytnormalvektorer för korrekt mätspetskompensering.

För de här avancerade åtgärderna används ett TTP-mäthuvud som tillåter automatisk punkt-till-punkt-digitalisering av profiler på ytor. Du anger nödvändiga parametrar för CNC-scanåtgärden och klickar på Mät. Därefter styrs mätprocessen av scanningsalgoritmen i PC-DMIS.

I PC-DMIS stöds bland annat följande typer av avancerade scanåtgärder:

  • Linjär, öppen

  • Linjär, sluten

  • Område

  • Sektion

  • Omkrets

  • Cirkulär

  • Friform

  • UV

  • Rutnät

I det här ämnet beskrivs först de gemensamma funktionerna i dialogrutan Scan som används för att utföra scanåtgärderna. Därefter beskrivs hur du utför de tillgängliga avancerade scanåtgärderna.

Mer:

Gemensamma funktioner i dialogrutan Scan


Gemensamma funktioner i dialogrutan Scan

Många av funktionerna nedan är gemensamma för många dialogrutor som används för såväl CNC-scanåtgärder som manuella scanåtgärder. Det finns också ett antal alternativ som bara gäller ett specifikt scanläge.

Mer:

Typ av scan

Knapparna Mer och Mindre

ID

Mät

Området Begränsningspunkter

Områden för riktningsteknik

Området Scankonstruktion (för en omkretsscan)

Området Snittposition (för en sektionsscan)

Området Utgångsvektorer

Välj centrum (för en cirkulär scan)

Mittpunkt och radie (för en cirkulär scan)

IJK (för en cirkulär scan)

Området Inställningar, UV-scan

Området Inställningar, rutnätsscan

Fliken Körning

Fliken Grafik

Fliken Kontrollpunkter

Fliken Vägdefinition

Fliken Inställningar


Typ av scan

Med listan Typ av scan är det enkelt att växla mellan tillgängliga scanåtgärder. När du väljer en ny scanåtgärd visas dialogrutan för den valda scantypen.


Knapparna Mer och Mindre

Med knapparna <<Mindre och Mer>> kan du växla mellan att visa grundläggande alternativ och mer avancerade alternativ för scanning i dialogrutan Scan. Om du klickar på Mer>> expanderas dialogrutan så att flikarna Körning, Grafik och Vägdefinition visas i den nedre delen av rutan. På de här flikarna finns ytterligare alternativ som du kan använda för att definiera en scan. Om du klickar på <<Mindre döljs de mer avancerade alternativen och endast de grundläggande alternativen visas.

Grundläggande alternativ visas

Avancerade alternativ visas


ID

I rutan ID visas ID:t för den scanåtgärd som ska skapas.


Mät

Om kryssrutan Mät är markerad och du klickar på Skapa påbörjas mätningen av scanningen omedelbart. Om kryssrutan Mät inte är markerad när du klickar på Skapa infogas ett scanobjekt i Redigeringsfönstret i PC-DMIS så att det kan mätas senare. Detta innebär att du kan skapa en serie scanåtgärder som kan infogas i Redigeringsfönstret och mätas senare.

Obs! Den här kryssrutan är bara tillgänglig i onlineläget i PC-DMIS.


Begränsningspunkter

 Använda knappen Begränsning Lägga till och ta bort begränsningspunkter

Området Begränsningspunkter

För att definiera begränsningar för scanåtgärder kan du skriva in eller mäta punkter eller använda CAD-data.

Exempel på området Begränsningspunkter

Den här funktionen är bara tillgänglig för CNC-scanåtgärder.

LINJÄR_ÖPPEN – Scanåtgärder av den här typen kan mätas utan en slutpunkt. Om du tar bort slutpunkten fortsätter mätningen i PC-DMIS tills du stoppar scanåtgärden manuellt. Startpunkten och riktningspunkten kan inte tas bort.

LINJÄR_SLUTEN – Scanåtgärder av den här typen måste innehålla start- och riktningspunkter. Begränsningspunkter kan inte tas bort eller läggas till.

OMRÅDE – Scanåtgärder av den här typen måste innehålla minst tre begränsningspunkter för att skapa ett triangelformat område. Du kan lägga till eller ta bort ytterligare punkter med knapparna Lägg till och Ta bort i området Begränsningspunkter. Kryssrutan Scanna slutet område läggs till i området.

Använd kryssrutan Scanna slutet område för att ange att du vill scanna ett slutet element, t.ex. en cylinder, en kon eller ett spår. När du markerar kryssrutan minskas antalet begränsningspunkter som krävs för att definiera scanbegränsningen. Du behöver bara ange en startpunkt, en riktningspunkt och en slutpunkt. Slutpunkten används för att ange hur långt nedåt/uppåt längs elementet som scanåtgärden ska köras. Startpunkten, riktningspunkten och utgångsvektorn definierar snittplanvektorn. Snittplanvektorn är vanligtvis parallell med axeln för elementet som mäts.

Obs! Du rekommenderas att använda begränsningsvillkoret Plan med värdet 2 för Antal korsningar för områdesscanåtgärder.

SEKTION – För sektionsscanåtgärder används det här området för att ange begränsningspunkter, men också för att söka efter hål som definierats i CAD-data och för att växla mellan att visa data för hål respektive begränsningspunkter. För sektionsscanåtgärder läggs knapparna Snitta CAD och Visa snitt till i området:

När du har definierat en begränsning och klickar på knappen Snitta CAD görs en automatisk sökning i CAD-data efter eventuella hålelement längs scanvägen. Alla hålkanter längs vägen visas med ett heltal för punkten samt ett “H” (2H, 3H o.s.v.). Hålkantpunkterna anges med standardavståndet 0,1999 cm från den teoretiska hålkanten.

Du kan snitta CAD-data med utvalda, användardefinierade ytor. För att göra detta väljer du begränsningspunkterna, markerar kryssrutan Välj, markerar de önskade ytorna och klickar på knappen Snitta CAD. Detta innebär att bara de markerade ytorna snittas för att hitta hålet/hålen.

Du behöver inte klicka på knappen Snitta CAD om CAD-data inte innehåller hålelement. Om du inte använder knappen scannas detaljen med de angivna start- och slutpunkterna.

När du snittar ytor används bara de ytor som visas i den första vyn (den blå vyn). Se Konfigurera skärmvisningen i avsnittet Redigera CAD-visningen. Om du har en komplex CAD-ritning med flera ytor kan du ordna grupper med ytor i olika CAD-lager. (Se Visa, skapa och ändra lager i avsnittet Redigera CAD-visningen). På så sätt kan du begränsa CAD-snittåtgärder till angivna delar av CAD-modellen.

Med knappen Visa snitt kan du växla mellan att visa begränsnings- och håldata. När en begränsning har definierats och du har klickat på Snitta CAD klickar du på knappen Visa snitt för att växla till rätt visning.

OMKRETS – Scanåtgärder av den här typen fungerar på samma sätt som LINJÄR_ÖPPEN-åtgärder.

CIRKULÄR – För scanåtgärder av den här typen krävs att du minst har en startpunkt och en riktningspunkt (visas som 1 respektive D i listan Begränsningspunkter och i CAD-visningen).

  • Om du inte anger en slutpunkt (visas som 2) fortsätter mätningen i den angivna riktningen tills scanåtgärden åter når startpunkten.

  • Om du har angett en startpunkt och en slutpunkt fortsätter mätningen i den angivna riktningen tills slutpunkten nås.

I PC-DMIS anges standardvärden för startpunkt, riktningspunkt och slutpunkt i området Begränsningspunkter. Det är enkelt att ta bort slutpunkten men det går inte att ta bort startpunkten eller riktningspunkten.

När du definierar begränsningspunkterna (genom att klicka på CAD-modellen eller skriva in värden) fästs varje punkt automatiskt vid radieavståndet från mittpunkten om du inte har definierat en radie. I så fall definieras radien i och med den första begränsningspunkten du definierar.

Obs! Knappen Begränsning som visas i den här delen av dialogrutan är bara tillgänglig i CNC-läget för scanåtgärder av typen Linjär öppen, Linjär sluten, Område, Sektion och Cirkulär. Knappen är inte tillgänglig för scanåtgärder av typen Omkrets.

Mer:

Ange begränsningspunkter med inmatningsmetoden

Ange begränsningspunkter med mätpunktsmetoden

Ange begränsningspunkter med CAD-datametoden

Använda knappen Begränsning

Lägga till och ta bort begränsningspunkter


Ange begränsningspunkter med inmatningsmetoden

Så här anger du begränsningen för en scanåtgärd med inmatningsmetoden:

  1. Dubbelklicka på den önskade begränsningspunkten i kolumnen #. Dialogrutan Redigera scanelement visas.

Dialogrutan Redigera scanelement

  2. Redigera värdet för X, Y och/eller Z manuellt.

  3. Klicka på OK för att använda ändringarna.

Om du klickar på Avbryt stängs dialogrutan utan att några ändringar sparas.

Om du klickar på Nästa sparas ändringarna och nästa begränsningspunkt visas så att du kan redigera den.


Ange begränsningspunkter med mätpunktsmetoden

För att ange begränsningen för en scanåtgärd med mätpunktsmetoden rör du vid detaljen med mäthuvudet. Nu uppdateras värdet för den begränsningspunkt som är markerad i begränsningslistan automatiskt. Fokus flyttas sedan till nästa begränsningspunkt (om det finns någon i listan). Om du arbetar med en områdesscan läggs en extra begränsningspunkt till automatiskt om den aktuella punkten är den sista punkten i listan. För en områdesscan visas den sista punkten (detta är samma som den föregående punkten). Denna sista punkt tas bort när du klickar på OK i dialogrutan.


Ange begränsningspunkter med CAD-datametoden

I PC-DMIS kan du välja begränsningspunkter med hjälp av både tråd- och ytdata.

Om du använder CAD-ytdata:

  1. Kontrollera att du har importerat CAD-ytdata.

  2. Kontrollera att ikonen Visa ytor [image] har valts.

  3. Välj en begränsningspunkt genom att klicka på önskad plats i Grafikfönstret.

Den valda ytan markeras. Därefter uppdateras värdet för den begränsningspunkt som är markerad i begränsningslistan automatiskt. Fokus flyttas sedan till nästa begränsningspunkt (om det finns någon). Om du arbetar med en områdesscan läggs en extra begränsningspunkt till automatiskt om den aktuella punkten är den sista punkten i listan.

Om du använder CAD-tråddata finns det två sätt att välja kurvelement:

Tråddatametod 1
Djupkurva

En djupkurva används vid Sök nom-åtgärder för att skapa ett plan med två kurvor. Helst ska djupkurvan vara vinkelrät mot de andra valda kurvorna så att de två vektorerna (vektorn för djupkurvan och vektorn för en annan vald kurva) kan korsas för att skapa ett plan som kan användas för att söka efter nominella värden.

För att indikera en djupkurva markerar du kryssrutan Djup och väljer en kurva. Du kan bara välja en djupkurva och detta måste ske efter att alla andra kurvor har valts.

1. Kontrollera att ikonen Kurva [image] har valts.

2. Markera kryssrutan Välj.

3. Markera kryssrutan Djup.

4. Välj en kurva.

5. Ange de två CAD-kanter som är vinkelräta mot varandra.

6. Avmarkera kryssrutan.

7. Klicka på detaljen.

Om du anger en djupkurva skapas ett plan genom att vektorn för varje kant korsas med vektorn för djupkurvan. Därefter genomborras det planet för att skapa en punkt.

Tråddatametod 2
Ingen djupkurva

1. Markera kryssrutan Välj.

2. Ange de två CAD-kanter som är vinkelräta mot varandra.

3. Avmarkera kryssrutan.

4. Klicka på detaljen.

Om du inte anger en djupkurva släpps den valda punkten helt enkelt på kurvan.

Obs! Du kan bara använda tråddata för scanåtgärder av typen LINJÄR_ÖPPEN, LINJÄR_SLUTEN och OMRÅDE.


Använda knappen Begränsning

Knappen Begränsning är bara tillgänglig i CNC-läget för scanåtgärder av typen Linjär öppen, Linjär sluten, Område och Sektion. Knappen är inte tillgänglig för scanåtgärder av typen Omkrets.

Med knappen Begränsning öppnar du dialogrutan Begränsningsvillkor. Begränsningsvillkor används för att stoppa scanåtgärden vid slutpunkten. I dialogrutan Begränsningsvillkor kan du välja följande begränsningstyper i den nedrullningsbara listan Begränsningstyp:

  • Plan

  • Sfär

  • Cylinder

  • Kon

  • ÄLDRETYP

Villkoret ÄLDRETYP används för bakåtkompatibilitet med tidigare versioner av PC-DMIS.

För vart och ett av ovanstående begränsningsvillkor (förutom ÄLDRETYP) kan du använda rutan Antal gränskorsningar för att stoppa scanåtgärden. Om du till exempel anger värdet två stoppas scanåtgärden när mittpunkten för mäthuvudets kula har korsat ytan för det angivna villkoret (i form av ett plan, en sfär, en cylinder, en kon o.s.v.) två gånger. Skriv in det antal gränskorsningar du vill använda.

Begränsningsvillkoret används vid slutpunkten och har ett associerat läge samt ett värde för Antal gränskorsningar. Alla gränskorsningar beräknas när mittpunkten för mäthuvudets kula korsar ytan.

Plan

  • Antal gränskorsningar: Scanåtgärden stoppas när mäthuvudet har korsat planet det angivna antalet gånger.

  • Planvektor: Den här vektorn definierar normalvektorn för planet vid slutpunkten.

  • Slutvektor: Anloppsvektorn vid slutpunkten

Så här ser kommandoraden i Redigeringsfönstret ut för begränsningstypen Plan:
BEGRÄNSNING/PLAN, x,y,z,Planvektor=i,j,k,Slutvektor=i,j,k,Korsningar

Sfär

  • Antal gränskorsningar: Scanåtgärden stoppas när mäthuvudet har korsat sfären det angivna antalet gånger.

  • Radie: Radien för sfären.

  • Slutvektor: Anloppsvektorn vid slutpunkten

Sfären finns vid slutpunkten men förskjuts från ytan av en mäthuvudsradie längs anloppsvektorn så att mittpunkten för mäthuvudets kula passerar genom sfären.

Så här ser kommandoraden för begränsningstypen Sfär ut i Redigeringsfönstret:
BEGRÄNSNING/SFÄR, x,y,z,Slutvektor=i,j,k,Radie,Korsningar

Cylinder

  • Antal gränskorsningar: Scanåtgärden stoppas när mäthuvudet har korsat cylindern det angivna antalet gånger. Cylindern är obegränsad (dess längd anses vara oändlig).

  • Radie: Radien för cylindern.

  • Axelvektor: Den här vektorn definierar axeln för cylindern vid slutpunkten.

  • Slutvektor: Anloppsvektorn vid slutpunkten

Cylindern finns vid slutpunkten men förskjuts från ytan av en mäthuvudsradie längs anloppsvektorn så att mittpunkten för mäthuvudets kula passerar genom cylindern.

Så här ser kommandoraden i Redigeringsfönstret ut för begränsningstypen Cylinder:
BEGRÄNSNING/CYLINDER, x,y,z, Axel=i,j,k, Slutvektor=i,j,k,Radie,Korsningar

Kon

  • Antal gränskorsningar: Scanåtgärden stoppas när mäthuvudet har korsat konen det angivna antalet gånger. Konen är obegränsad (dess längd anses vara oändlig).

  • Halva toppvinkeln: Halva konvinkeln.

  • Axelvektor: Den här vektorn definierar axeln för konen vid toppunkten.

  • Slutvektor: Anloppsvektorn vid slutpunkten

Konens toppunkt finns vid slutpunkten för scanåtgärden.

Så här ser kommandoraden i Redigeringsfönstret ut för begränsningstypen Kon:
BEGRÄNSNING/KON, x,y,z, Axel=i,j,k, Slutvektor=i,j,k,Halva toppvinkeln,Korsningar

ÄLDRETYP

Det här begränsningsvillkoret används för bakåtkompatibilitet. I tidigare versioner av PC-DMIS användes en kombination av Antal gränskorsningar och scanstegvärden för att stoppa en scan. ÄLDRETYP är inte ett alternativ som kan väljas. Det är en intern inställning för scanåtgärder som har skapats i tidigare versioner av PC-DMIS.

Om du läser in scanåtgärder från PC-DMIS 2.3 i version 3.0 eller senare versioner sker en konvertering och begränsningsvillkoren märks som ÄLDRETYP.

  • Planvektor: Den här vektorn definierar normalvektorn för planet vid slutpunkten.

  • Slutvektor: Anloppsvektorn vid slutpunkten

Så här ser kommandoraden i Redigeringsfönstret ut för begränsningstypen ÄLDRETYP:
BEGRÄNSNING/ÄLDRETYP, x,y,z,Planvektor=i,j,k,Slutvektor=i,j,k

Obs! Du kan när som helst ändra begränsningsvillkoret för en scanåtgärd. Om du väljer ett nytt villkor för en CNC-scan används villkoret för alla grundläggande scanåtgärder som utgör CNC-scanåtgärden. Om du bara ändrar ett specifikt värde i ett begränsningsvillkor, t.ex. radien för ett begränsningsvillkor av typen Sfär, används dock inte ändringen i alla grundläggande scanåtgärder. Om du vill att värdet ska användas i alla grundläggande scanåtgärder måste du ändra värdet manuellt i var och en av dem.


Lägga till och ta bort begränsningspunkter

Med knapparna Lägg till och Ta bort kan du lägga till eller ta bort begränsningspunkter i listan. Det finns olika begränsningar för varje typ av scanåtgärd. Exempel: För en scanåtgärd av typen LINJÄR_SLUTEN anges bara en startpunkt och en riktningspunkt. Det går inte att lägga till fler punkter eller att ta bort någon av dessa punkter. Läs mer om begränsningar i avsnitten för varje typ av scanåtgärd.


Redigera begränsningspunkter

Du kan redigera en begränsningspunkt genom att dubbelklicka på numret för punkten i kolumnen #.

Dialogrutan Redigera scanelement visas så att du kan ändra X-, Y- och Z-värdena.

Exempel på dialogrutan Redigera scanelement med knappen Vänd och kryssrutan Punkt vid hål

Du kan ändra kolumnbredderna i listan Begränsningspunkter genom att ändra bredden för respektive kolumnrubrik. Vänsterklicka på höger eller vänster kant av en kolumnrubrik och dra kanten till den storlek du vill använda. Bredden för varje lista kan ändras av användaren. Informationen sparas i INI-filen och används varje gång fälten ändras.

Vänd:

Knappen Vänd är bara tillgänglig när du redigerar en vektor. Om du klickar på knappen vänds den valda vektorn.

Punkt vid hål:

Kryssrutan Punkt vid hål blir tillgänglig när du arbetar med sektionsscanåtgärder. Med hjälp av kryssrutan kan du definiera om en icke-hålpunkt till en hålpunkt.

En hålpunkt definierar var en linjär sektionsscan ska hoppa över ett hål som finns på scanvägen. När du klickar på knappen Snitta CAD placeras hålpunkter på vardera sidan om eventuella hål som avbryter sektionsscanåtgärden.

Hålpunkter definieras med bokstaven H efter punktens nummer (1H, 2H, 3H o.s.v.). De här punkterna läggs till i listan Begränsningspunkter och i detaljmodellen i Grafikfönstret, precis som andra begränsningspunkter.

Obs! Kryssrutan Punkt vid hål är bara tillgänglig för icke-hålpunkter som du vill göra om till hålpunkter. Om du vill göra om en hålpunkt till en icke-hålpunkt måste du ta bort hålpunkten och skapa en ny icke-hålpunkt.


Tömma begränsningspunkter

Du kan enkelt tömma listan Begränsningspunkter för någon av scantyperna genom att högerklicka när markören är placerad i listan Begränsningspunkter. Knappen Återställ begränsningspunkter visas. Om du klickar på knappen återställs alla begränsningspunkter till noll och antalet begränsningspunkter blir det minsta tillåtna för varje scantyp.

Obs! Det går inte att tömma begränsningspunkter när du använder knappen Snitta CAD för sektionsscanåtgärder. I så fall måste du klicka på knappen Visa gränser för att visa begränsningspunkterna igen innan du kan tömma dem.


Områden för riktningsteknik

I områdena Riktning 1 och Riktning 2 kan du välja riktningsteknikerna för hur mätpunkterna för scanåtgärden ska tas. De flesta scanåtgärder utförs bara över en rad eller en linje, vilket innebär att det bara finns en uppsättning riktningstekniker i listan Riktning 1.

Områdesscanåtgärder är unika eftersom de görs för hela områden och har flera rader med punkter. Därför finns det en andra uppsättning riktningstekniker i listan Riktning 2. I listan Riktning 2 avgör den valda tekniken vilken stegvärdesteknik som ska användas mellan olika rader.

När du väljer den teknik du vill använda visas rutorna Max/Min eller Steg automatiskt.

Mer:

Tekniken Linje

Tekniken Koordinataxel

Tekniken Variabel

Tekniken Nollfilter

Rutorna Max/Min

Rutan Stegvärde


Tekniken Linje

För scanåtgärder av typen Linjär öppen, Sektion och Område – Varje mätpunkt avgörs utifrån det angivna stegvärdet och de två senaste mätta punkterna. Anloppsvektorn för mätspetsen är vinkelrät mot linjen mellan de två senaste mätta punkterna. Mätspetsen stannar i snittplanet. Processen påbörjas vid den första begränsningspunkten och punkter tas med det mellanrum som har angetts med stegvärdet. Processen avslutas vid slutbegränsningspunkten.

För scanåtgärder av typen Linjär sluten – Varje mätpunkt avgörs utifrån de två senaste mätta punkterna. Anloppsvektorn för mätspetsen är vinkelrät mot linjen mellan de två senaste mätta punkterna. Mätspetsen stannar i snittplanet. Du uppmanas inte att ange en slutpunkt när du använder den här scantekniken. Scanningsprocessen avslutas när mätspetsen kommer tillbaka till startpunkten.

För scanåtgärder av typen Cirkulär – Varje mätpunkt avgörs utifrån det angivna stegvärdet och de två senaste mätta punkterna. Anloppsvektorn för mätspetsen är vinkelrät mot linjen mellan de två senaste mätta punkterna. Mätspetsen befinner sig alltid på det definierade radieavståndet från mittpunkten, vinkelrätt mot mittpunktsvektorn. Processen påbörjas vid den första begränsningspunkten och punkter tas med det mellanrum som har angetts med stegvärdet. Processen avslutas vid slutbegränsningspunkten.


Tekniken Koordinataxel

Tekniken är tillgänglig för scanåtgärder av typen Linjär öppen, Område och Cirkulär

Mätpunkter tas med det angivna stegavståndsvärdet längs koordinatsystemet för den aktuella detaljen. Anloppsriktningen för [image] mätspetsen är vinkelrät mot den angivna axeln. Mätspetsen stannar i snittplanet. Anloppsvektorn blir vinkelrät mot den valda axeln och i snittplanet. Med tekniken KOORDINATAXEL används samma anlopp för varje mätpunkt som tas (till skillnad från tekniken LINJE, då anloppet justeras så att det blir vinkelrätt mot linjen mellan de två föregående mätpunkterna).


Tekniken Variabel

Tillgänglig för scanåtgärder av typen Linjär öppen, Linjär sluten, Område, Sektion och Cirkulär

Med tekniken VARIABEL kan du ange särskilda övre och nedre gränser för vinkel- och stegvärden som används för att avgöra var en mätpunkt ska tas. Anloppsvektorn för mäthuvudet är vinkelrät mot linjen mellan de två senaste mätta punkterna.

Ange de högsta och lägsta värden som ska användas för att avgöra stegvärdena mellan mätpunkterna. Du måste också ange de max- och minimivärden du vill använda för vinklar. Tre mätpunkter tas med minimistegvärdet. Därefter mäts vinkeln mellan mätpunkterna 1-2 respektive 2-3.

  • Om den uppmätta vinkeln ligger mellan de angivna max- och minimivärdena tas ytterligare mätpunkter med det aktuella stegvärdet.

  • Om vinkeln är större än maxvärdet tas den senaste mätpunkten bort och mäts igen med en fjärdedel av det aktuella stegvärdet.

  • Om vinkeln är mindre än minimistegvärdet tas mätpunkten vid minimistegvärdet.

Sedan mäts vinkeln återigen mellan den senaste mätpunkten och de två tidigare punkterna. Därefter fortsätter processen med att den senaste mätpunkten tas bort och stegvärdet krymps till en fjärdedel tills den uppmätta vinkeln ligger inom det angivna intervallet eller tills minimistegvärdet nås.

  • Om den uppmätta vinkeln är mindre än minimivärdet dubblas stegvärdet för nästa mätpunkt.

  • Om det dubbla stegvärdet blir större än maxstegvärdet tas mätpunkten vid maxstegvärdet.

Sedan mäts vinkeln återigen mellan den senaste mätpunkten och de två tidigare punkterna. Därefter fortsätter processen med att stegvärdet dubbleras till den uppmätta vinkeln ligger inom det angivna intervallet eller tills maxstegvärdet nås.

Om VINKEL > MAXVINK. så är STEG = STEG/4 tills MINSTEG nås
Om VINKEL < MINVINK. så är STEG = STEG × 2 tills MAXSTEG nås

Obs! Som standard inleds varje ny scanrad för en områdesscan med minimistegvärdet. Om du vill att varje ny rad ska inledas med stegvärdet från den föregående scannade linjen kan du markera kryssrutan Områdesscan bibehåller senaste steg på fliken Allmänt i dialogrutan Inställningsval (se Områdesscan bibehåller senaste steg i avsnittet Göra inställningar).


Tekniken Nollfilter

Tillgängliga för scanåtgärder av typen Linjär öppen, Linjär sluten, Område, Sektion och Cirkulär

När du använder tekniken NOLLFILTER filtreras data inte alls. De data som skickas till PC-DMIS från maskinens styrenhet visas också för dig. Även om mätspetskompensering och Sök nom. används sker ingen datareducering. Med den här tekniken kan du styra stegvärdet för mätpunkterna med hjälp av kommandot MÄTHUVUDSALTERNATIV som anger punktstegvärdet under en scanåtgärd. Se Parameterinställningar: Fliken Inställningar, analogt mäthuvud i avsnittet Göra inställningar.

Processen påbörjas vid den första begränsningspunkten och punkter tas med det mellanrum som har angetts med stegvärdet. Processen avslutas vid slutbegränsningspunkten.

OBS! Tekniken NOLLFILTER visas bara i listan Riktning 1 om du använder ett analogt mäthuvud, t.ex. SP600.

För cirkulära scanåtgärder befinner sig mätspetsen alltid på det definierade radieavståndet från mittpunkten, vinkelrätt mot mittpunktsvektorn.


Rutorna Max/Min

Tillgängliga för scanåtgärder av typen Linjär öppen, Linjär sluten, Område och Sektion

Rutorna Max/Min för stegvärden och vinklar som beskrivs nedan är tillgängliga när du använder scantekniken VARIABEL som beskrivs i Riktning 1 (metoden Variabel). Det är bara rutan Maxsteg som är tillgänglig för alla scantekniker.

Maxsteg

I rutan Maxsteg kan du ange det maximala stegavståndet. Även om stegavstånden kan öka när du använder alternativet Variabel blir de aldrig längre än det värde du anger här.

Minsteg

I rutan Minsteg kan du ange det minsta tillåtna stegavståndet. Även om stegavstånden kan minska när du använder alternativet Variabel blir de aldrig kortare än det värde du anger här.

Maxvink.

I rutan Maxvink. kan du ange den maximala vinkeln. Även om de mätta vinklarna kan öka när du använder alternativet Variabel blir de aldrig större än det värde du anger här.

Minvink.

I rutan Minvink. kan du ange den minsta tillåtna vinkeln. Även om de mätta vinklarna kan minska när du använder alternativet Variabel blir de aldrig mindre än det värde du anger här.


Rutan Stegvärde

Tillgänglig för områdesscanåtgärder

För scanåtgärder av typen Område använder du rutan Stegvärde för att ange stegavståndet mellan raderna i scanåtgärden. Om du till exempel anger .5 skapas raderna i scanåtgärden med avståndet .5.


Scankonstruktion

 Rutan Stegvärde Rutan CAD-tol Rutan Offset Rutan Offset-tol Knappen Beräkna gränser Knappen Ta bort

Området Scankonstruktion (för en omkretsscan)

Används med scanåtgärder av typen Omkrets

I området Scankonstruktion i dialogrutan finns olika alternativ för att konstruera en omkretsscanåtgärd. Alternativen är bland annat:

  • Stegvärde

  • CAD-tol

  • Offset

  • Offset-tol (+/-)

  • Beräkna gränser

  • Ta bort

Mer:

Stegvärde

CAD-tol

Offset

Offset + /

Beräkna gränser

Ta bort


Stegvärde för en omkretsscan

Rutan Stegvärde för en omkretsscan

I rutan Stegvärde visas avståndet mellan varje mätpunkt i scanåtgärden.


CAD-tol

Rutan CAD-tol är användbar för att identifiera angränsande ytor. Ju större toleransvärdet är, desto längre kan avståndet vara mellan CAD-ytor som ändå räknas som angränsande.


Offset

I rutan Offset anges på vilket avstånd inåt från omkretsen som scanåtgärden ska skapas och köras.


Offset + / -

I rutan Offset-tol (+/-)anges hur stora avvikelser från offset-värdet som får förekomma. Användaren anger det här värdet.


Beräkna gränser

Med knappen Beräkna gränser anges den sammansatta begränsningen för de inmatade ytorna. Den beräknade begränsningen visas som röda prickar i Grafikfönstret.


Ta bort

Med knappen Ta bort tar du bort den skapade begränsningen.


Snittposition

Området Snittposition (för en sektionsscan)

I rutan i området Snittposition anges den inledande sektion där du vill att scanåtgärden ska påbörjas. Exempel: Om du vill ha flera sektioner vid X = 5, X=5.5, X = 6 o.s.v. måste du först ange 5.0 som inledande sektion. Efter varje scanåtgärd flyttas mäthuvudet automatiskt till nästa sektion vid 5.5 och så vidare. Det här värdet kan redigeras direkt eller anges med hjälp av den första begränsningspunkten. Koordinatvärdet för den första begränsningspunkten som motsvarar snittaxeln är snittpositionen. När den första begränsningspunkten definieras genom att en mätpunkt tas, ett val görs i CAD-data eller ett värde skrivs in används koordinatvärdet för snittaxeln.

Exempel: Om den första begränsningspunkten anges till 45, 37, 100 och snittaxeln är Y ligger snittpositionen vid 37. Om snittaxeln är X är snittpositionen 45.

Mer:

Axel

Stegvärde


Axel

Listan Axel

Med listan Axel kan du ange den axel (X, Y eller Z) där du vill använda flera sektioner. Du kan också välja alternativet Ingen. Om du gör det kan du välja en sektionslinje på skärmen. När du utför en scan kan du vanligtvis inte arbeta med kurvdata. Om du väljer Ingen kan du dock använda en sektionsscanåtgärd för att välja en grafisk sektionslinje som sedan används för att definiera snittplanet och scanvägen.


Stegvärde för en sektionsscan

Stegvärde

I rutan Stegvärde anges hoppavståndet längs sektionsaxeln efter att varje scanåtgärd har utförts.


Utgångsvektorer

Området Utgångsvektorer

I området Utgångsvektorer visas en lista med vektorer som ska användas för att starta och stoppa en scanåtgärd. För vissa typer av scanåtgärder används inga utgångsvektorer. Dessa typer av scanåtgärder är UV, Rutnät, Omkrets och Friform. I tabellen nedan visas de tillgängliga utgångsvektorerna, när de används och beskrivningar av var och en.

Typ av vektor

Används för scanåtgärder av typen

Beskrivning

1:a punktvektor

Linjär öppen, Linjär sluten, Sektion, Område och Cirkulär

Startvektor. De värden som visas i raden Startvektor anger den vektor som ska användas för att göra den första beröringen i scanningsprocessen.

Snittplanvektor

Linjär öppen, Linjär sluten, Område och Sektion

Snittplanvektor. Ett snittplan används internt för CNC-scanningsberäkningar. Det här snittplanet härleds på olika sätt för varje scantyp.

Linjär öppen: Snittplanvektorn är kryssprodukten av startvektorn (1:a punktvektor) och linjen mellan start- och slutpunkten. Om det inte finns någon slutpunkt används linjen mellan startpunkten och riktningspunkten.

Linjär sluten: Snittplanvektorn är kryssprodukten av startvektorn (1:a punktvektor) och linjen mellan start- och slutpunkten.

Områdesscan: Snittplanvektorn härleds genom att startvektorn (1:a punktvektor) korsas med linjen mellan den första och den andra punkten. Korrekt riktning för snittplanvektorn anges sedan med hjälp av linjen mellan den andra och den tredje punkten. Slutvektorn är den vektor som används för att ta de andra begränsningspunkterna och den används för att hoppa till den andra raden när den första raden har slutförts.

Sektionsscan: Snittplanvektorn och startvektorn används för att mäta scanåtgärden. Snittplanvektorn är kryssprodukten av startvektorn och linjen mellan start- och slutpunkten. Om det inte finns någon slutpunkt används linjen mellan startpunkten och riktningspunkten.

Slutvektor

Linjär öppen, Område, Sektion, Cirkulär

Slutvektor. Slutvektorn är anloppsvektorn för scanåtgärden i slutet av raden. Vektorn används bara för att stoppa scanåtgärden eller för att flytta till nästa rad (för en områdesscan).

Planvektor

Linjär öppen, Linjär sluten, Område, Sektion och Cirkulär

Begränsningsplanvektor. Begränsningsplanvektorn och slutvektorn används med det angivna begränsningsvillkoret för att stoppa scanåtgärden. Begränsningsplanvektorn används på olika sätt med olika begränsningsvillkor:

Plan

När vektorn används med ett planbegränsningsvillkor motsvarar den normalvektorn för planet.

Sfär

Vektorn används inte med sfärbegränsningsvillkor.

Cylinder

När vektorn används med ett cylinderbegränsningsvillkor motsvarar den cylinderns axel.

Kon

När vektorn används med ett konbegränsningsvillkor motsvarar den konens axel.

Riktningsvektor

Cirkulär och Manuell

Inledande riktningsvektor. Den här vektorn motsvarar den riktning som scanåtgärden påbörjas i. Den används tillsammans med startvektorn för att härleda snittplanvektorn.

Ytvektor

Linjär öppen och Linjär sluten

Toppytvektorn. Den här vektorn visas när du använder mätpunktstypen Kant. Det är vektorn för den första översta ytan på kanten och används för att starta scanåtgärden.

vektor1

Linjär öppen och Linjär sluten

Den här raden är ytnormalvektorn för den första ytan som markerades för vinkelmätpunkter. Den visas när du använder mätpunktstypen Vinkel. Detta motsvarar värdena för Yta 1 på fliken Vinkelpunkter när du skapar autoelement. Se Skapa en autovinkelpunkt i avsnittet Skapa autoelement.

vektor2

Linjär öppen och Linjär sluten

Den här raden är ytnormalvektorn för den andra ytan som markerades för vinkelmätpunkter. Den visas när du använder mätpunktstypen Vinkel. Detta motsvarar värdena för Yta 2 på fliken Vinkelpunkter när du skapar autoelement. Se Skapa en autovinkelpunkt i avsnittet Skapa autoelement.

Mer:

Grafisk bild av vektorer

Redigera vektorer


Grafisk bild av vektorer

När du anger start-, riktnings- och slutpunkterna för en scanåtgärd kan du se en grafisk bild av startvektorn, riktningsvektorn och vektorn som är vinkelrät mot det begränsningsplan där scanåtgärden stoppas.

Vektorerna visas som blå, gröna och orange pilar i Grafikfönstret med detaljen.

Vektorerna visas som färgade pilar

Vektor | Grafisk återgivning
Utgångsvektor | Blå pil
Riktningsvektor | Grön pil
Begränsningsplan | Orange pil


Redigera vektorer

Du kan redigera de här vektorerna genom att dubbelklicka på den vektor du vill redigera i kolumnen Vektor.

Dialogrutan Redigera scanelement visas.

Dialogrutan Redigera scanelement

Använd de olika fälten för att redigera I-, J- och K-värdena.

  1. Om du klickar på OK i dialogrutan Redigera scanelement används alla ändringar som har gjorts.

  2. Om du klickar på Avbryt stängs dialogrutan Redigera scanelement utan att ändringarna används.

  3. Om du klickar på Nästa går du vidare bland de tillgängliga vektorerna i listan Utgångsvektorer. En del av utgångsvektorerna kan vändas. Om en vektor kan vändas blir knappen Vänd tillgänglig i dialogrutan Redigera scanelement.

  4. Med knappen Vänd kan du vända riktningen för den valda vektorn åt rakt motsatt håll.


Välj centrum

Välj centrum (för en cirkulär scan)

När du markerar kryssrutan Välj centrum kan du klicka i CAD-modellen för att ange mittpunkten. Du kan välja en ytpunkt eller en trådpunkt. Rutorna Mittpunkt fylls i med XYZ-informationen för den valda punkten.

När du markerar den här kryssrutan bör du vara medveten om att begränsningspunkterna för scanåtgärden inte uppdateras. Begränsningspunkterna uppdateras först när du avmarkerar den här kryssrutan.


Mittpunkt och radie

Mittpunkt och radie (för en cirkulär scan)

Värdena X, Y och Z för Centrum definierar mittpunkten för en cirkulär scan.

Du kan skriva in värdena X, Y och Z för mittpunkten direkt eller markera kryssrutan Välj centrum och klicka på CAD-ritningen för att hämta mittpunkten direkt från CAD-modellen.

R definierar radien. När scanåtgärden körs roteras mätpunkten kring mittpunkten med det här avståndet, från startpunkten till slutpunkten.


IJK (för en cirkulär scan)

I-, J- och K-värdena utgör en vektor som är vinkelrät mot planet där radien löper från mittpunkten. Den här vektorn följs när scanåtgärden utförs.


Inställningar, UV-scan

Området Inställningar, UV-scan

Området Inställningar, UV-scan

I området Inställningar, UV-scan kan du definiera en UV-scanåtgärd. I området finns raderna U och V och du kan definiera följande kontroller.

  • Med värdet för Mätpktr anger du hur många mätpunkter som ska tas på ytan i riktningen U eller V under scanåtgärden.

  • Med värdena Start och Slut kan du placera mätpunktsmatrisen på ytan som scannas. De här värdena kan anges för både rad U och rad V och används för scanåtgärden längs U- och V-axlarna. I UV-utrymmet används tal mellan 0.0 och 1.0 för att representera hela ytan. Punkten 0.0, 0.0 finns alltså i det motsatta diagonala hörnet från 1.0, 1.0.

  • I fälten Position som inte kan redigeras anges det aktuella läget för mäthuvudet längs U- och V-axlarna.


Området Inställningar, rutnätsscan

I området Inställningar, rutnätsscan kan du definiera antalet mätpunkter som ska spridas med jämna avstånd i riktningarna A och B för en rutnätsscan. Riktning A är horisontell och riktning B är vertikal. Exempel: Om du skriver 20 i riktning A och 20 i riktning B görs ett försök att sprida 20 rader och 20 kolumner med punkter på de kombinerade valda ytorna i det rektangulära området.

I skärmbilden nedan är bara den översta ytan på Hexagon-blocket vald. Detta innebär att punkter bara placeras på den valda ytan, inte på de andra.

Exempel på rutnätsscan med riktningarna A och B med 20 punkter i båda riktningarna

Exempel på rutnätsscan med riktningarna A och B med 20 punkter i båda riktningarna


Fliken Körning

Fliken Körning i dialogrutan Scan

Med alternativen på fliken Körning kan du ange vad som ska hända när du kör scanåtgärden som du skapar. Följande områden finns på fliken:

  • Området Alternativ

  • Området Metod för nom.

  • Området Mätpunkter

  • Området Visning

  • Området Begränsningstyp


Området Alternativ

Det här området innehåller följande alternativ:

Alternativ

Beskrivning

Listan Utför

Med den här listan anger du hur en scanåtgärd ska köras efter att den har lärts in.

Normal – Scanåtgärden körs "normalt", d.v.s. genom att en mätpunkt tas när mätspetsen rör vid detaljen.

Exempel: Om du kör en CNC-scan tas mätpunkter vid vart och ett av de inlärda lägena i symaskinscanningsläget och nya mätta data lagras. De nominella värden som visas är samma värden som när scanåtgärden lärdes in. Värdena kan inte beräknas om med ett annat nominellt läge.

Ominlärd – Scanåtgärden körs som om den lärs in. Alla inlärda mätta data ersättar nya mätta data. De nominella värdena beräknas om beroende på vilket nominellt läge som används (se "Sök nominellt").

Exempel: Om ominlärning av en CNC-scanåtgärd utförs lärs åtgärden om igen från början, i stället för att mätpunkter tas vid de inlärda lägena (vilket skulle ske om läget var NORMAL).

Definierad – En scanåtgärd "definieras" av styrenheten. Alla mätpunktslägen samlas in från redigeraren och skickas till styrenheten för scanning. Därefter justeras vägen i styrenheten så att mätspetsen kan passera samtliga punkter. Alla data reduceras sedan i enlighet med det angivna stegvärdet, och nya data ersätter alla gamla mätta data.

Om du använder det här alternativet efter att ha skapat scanåtgärden offline används de nominella lägena från CAD-data varje gång för att driva CMM-enheten.

Det här läget är bara tillgängligt när du använder analoga mäthuvuden som kan användas för kontinuerlig kontaktscanning.

Kryssrutan Säkerhetsplan

Med kryssrutan Säkerhetsplan infogar du ett SÄKPLAN VIA-kommando på ett fördefinierat avstånd relativt mot det aktuella koordinatsystemet och detaljens nollpunkt innan den första mätpunkten tas.

Efter att den sista mätpunkten i scanåtgärden har mätts stannar mätspetsen kvar på mätdjupet tills den behövs för nästa element. Om du använder säkerhetsplan behöver du inte lägga så mycket tid på programmering och definiering av mellanliggande rörelser. (Se Parameterinställningar: fliken Säkerhetsplan i avsnittet Göra inställningar om du vill ha mer information om säkerhetsplan.) Det här alternativet är bara tillgängligt för CNC-scanåtgärder.

Kryssrutan Ensam punkt

Kryssrutan Ensam punkt innebär att varje mätpunkt anses vara en ensam mätt punkt.

Om du markerar kryssrutan blir varje mätpunkt en mätt punkt som infogas i detaljprogrammet. Detta sker efter att den manuella scanåtgärden har reducerats. Om scanåtgärden utförs i CNC-läget sker detta efter att åtgärden har lärts in.

Kryssrutan Autorörelse

Med kryssrutan Autorörelse kan du aktivera autorörelser för varje scanåtgärd. När du har markerat den här kryssrutan kan du skriva in avståndet för rörelsen i rutan Autorörelse.

LINJÄR_ÖPPEN, LINJÄR_SLUTEN, OMRÅDE, SEKTION, OMKRETS och GRUNDLÄGGANDE AXELSCAN

För de här scantyperna sker följande i PC-DMIS:

  • En automatisk rörelse skapas på det angivna avståndet ovanför startpunkten för scanåtgärden.

  • Scanåtgärden körs.

  • Ännu en automatisk rörelse skapas på det angivna avståndet ovanför den sista punkten för scanåtgärden.

GRUNDLÄGGANDE SCAN: CIRKEL, CYLINDER och CENTRERANDE

För de här scantyperna sker följande i PC-DMIS:

  • Innan scanåtgärden påbörjas skapas en automatisk rörelse ovanför centroiden för elementet på det angivna avståndet.

  • Scanåtgärden utförs.

  • När scanåtgärden har slutförts skapas ännu en automatisk rörelse ovanför centroiden för elementet på det angivna avståndet.

Kryssrutan Mätsp.komp.

Med kryssrutan Mätsp.komp. kan du ange om mätspetskompensering ska aktiveras för den aktuella scanåtgärden.

Oftast behöver ingen kompensering utföras eftersom den sker automatiskt under SÖKNOM-åtgärden för scanåtgärden. Om du inte har CAD-data och vill utföra reverse engineering för en detalj bör du dock markera den här kryssrutan.

Kryssrutan Cad-komp

Med den här kryssrutan anger du om varje punkt ska kompenseras med hjälp av 3D-ytvektorn från CAD-filen. Om du inte markerar kryssrutan används ett tvådimensionellt snittplan som vanligt.

Kryssrutan blir tillgänglig om du väljer SÖKNOM i listan i området Metod för nom. eller om du klickar på CAD-modellen i Grafikfönstret.

Kryssrutan Begr. inåt

Med den här kryssrutan kan du ange om en inre eller yttre omkretsscan ska utföras.

  • Om du markerar kryssrutan utförs en inre omkretsscan.

  • Om du inte markerar kryssrutan utförs en yttre omkretsscan.

Mer information om inre och yttre scanåtgärder finns i Utföra en avancerad omkretsscan.

Kryssrutan Anv. pktmgd

Med den här kryssrutan anger du om de scannade punkterna också ska läggas till i ett befintligt punktmängdskommando (PKTMGD). Om du markerar kryssrutan kan du skriva in ID:t för PKTMGD-kommandot som du vill lägga till de scannade punkterna i. Om PKTMGD-kommandot inte finns får du en fråga om du vill att kommandot ska skapas.

Mer information om PKTMGD-kommandon finns i dokumentationen för PC-DMIS Laser.


Området Metod för nom.

I området finns följande objekt:

Alternativ

Beskrivning

Listan
Nominella värden

Med listan Nominella värden kan du ange hur nominella värden ska samlas in för mätta data.

Master-scan

När MASTER väljs i listan Nominella värden används de mätta data som inhämtats under den första inlärningen av scanåtgärden som nominella data. När scanåtgärden körs fler gånger jämförs resultaten med dessa mätta data. Om MASTER används för en CNC-scan och läget Normal har valts i listan Utför körs en symaskinsscanåtgärd med mätta data.

Sök nom

När alternativet SÖK NOM väljs genomborras CAD-modellen för att hitta det läge på en CAD-yta som är närmast den mätta punkten. Därefter anges de nominella värdena för läget som hittades på CAD-ytan.

Obs! För grundläggande scanåtgärder av typen Cirkel, Cylinder och Axel behövs inga CAD-data för att hitta de nominella värdena. För att köra den grundläggande scanåtgärden hämtas värdena från de nominella data som du anger. Mer information finns i Fliken Sök nominellt.

Om korrekta nominella värden inte hittas uppmanas du först att ange ett nytt toleransvärde för Sök nom.

Du kan skriva ett nytt värde i rutan Tolerans och använda det för endast den aktuella scanåtgärden eller för hela detaljprogrammet.

    • Om svaret är Ja används det nya toleransvärdet för att hitta nominella värden.

    • Om svaret är Nej sker följande i PC-DMIS:

Om det inte går att hitta korrekta nominella värden för någon mätpunkt efter att ett nytt toleransvärde har angetts får du en fråga om mätpunkterna kan tas bort.

    • Om du svarar Ja tas mätpunkterna bort.

    • Om du svarar Nej tas mätpunkterna inte bort från scanåtgärden.

Nominellt

När NOMINELLT väljs i listan Nominella värden används alla mätta data som nominella data den första gången scanåtgärden utförs. Detta innebär att scanåtgärden kan läras in på nytt utan att de nominella värdena lärs in på nytt. Den viktigaste skillnaden mellan NOMINELLT och MASTER är att alternativet NOMINELLT innebär att en nominell kurva skapas utifrån nominella data. Därefter jämförs efterföljande körningar av scanåtgärden med den nominella kurvan med hjälp av värdet i rutan Tol. för Sök nom.

Sök nominellt kan användas med läget Ominlärd i listan Utför i området Alternativ. Se Området Alternativ.

Obs! Om du växlar till NOMINELLT i Redigeringsfönstret från ett annat läge skapas den nominella kurvan automatiskt utifrån aktuella nominella data. Detta kan ta lite tid beroende på hur mycket data som används. Om du använder NOMINELLT i Redigeringsfönstret och sedan växlar till ett annat läge tas den nominella kurvan bort.

Rutan Tolerans

Med rutan Tolerans kan du ange ett nytt nominellt toleransvärde om korrekta nominella värden inte hittas när du använder alternativet Sök nom. i listan Nominella värden som beskrivs ovan.

Ange ett toleransvärde som åtminstone kompenserar för mäthuvudets radie. Om värdet är för lågt kan ett felmeddelande visas om att det inte går att hitta detaljen vid försök att skapa scanåtgärden.

Kryssrutan Anv. bästanp.

Om du markerar kryssrutan Anv. bästanp. utförs en tillfällig bästanpassningsuppriktning för scanåtgärden för att hitta bättre nominella värden för mätta data. Mer information finns under Sök nom. för listan Nominella värden ovan.

Följande förlopp används när en scanåtgärd körs:

  • En Söknom-åtgärd utförs.

  • En intern uppriktning med bästanpassning skapas utifrån de hittade nominella punkterna och mätta data för scanåtgärden. Om scanåtgärden är av typen Område görs bästanpassningen tredimensionellt.

  • En Söknom-åtgärd utförs.

  • En intern uppriktning med bästanpassning skapas utifrån de hittade nominella punkterna och mätta data för scanåtgärden. Om scanåtgärden är av typen Område görs bästanpassningen tredimensionellt.

  • En Söknom-åtgärd utförs.

  • Den ursprungliga uppriktningen återställs.

För detaljer där det finns stora avvikelser från de nominella värdena kan du använda den här kryssrutan för att hitta mer korrekta nominella data för detaljen.

Mer information om uppriktningar med bästanpassning finns i Skapa en uppriktning med bästanpassning i avsnittet Skapa och använda uppriktningar.

Kryssrutan Bara markerade

När du kör en scanåtgärd i ett detaljprogram och söker efter de nominella värdena för de mätta punkterna i åtgärden kan du använda kryssrutan Bara markerade för att se till att sökningen bara utförs på de ytor som för tillfället är markerade.

Obs! Om någon av de markerade ytorna redan har definierats som en prioritetsyta i dialogrutan Redigera CAD-element upprätthålls denna prioritering framför de andra markerade ytorna (se Ändra CAD i avsnittet Redigera CAD-visningen.


Området Mätpunkter

I området Mätpunkter finns en lista som styr var mätpunkter tas. Andra rutor i det här området kan vara dolda eller visas beroende på vad som väljs i listan över mätpunktstyper. I området finns följande objekt:

Alternativ

Beskrivning

Listan Mätpunktstyp

I listan Mätpunktstyp finns följande mätpunktstyper:

  • VEKTOR - Vektormätpunkter används för scanåtgärden.

  • YTA - Scanåtgärden registreras längs en yta och ytmätpunktsdata används.

  • KANT - Scanåtgärden registreras längs en kant. När mätpunkter av typen Kant används och CAD-data är tillgängliga kan du ange en flush-tjocklek för de nominella värdena. Den här tjockleken används vinkelrätt mot kantanloppsvektorn när de nominella värdena för scanåtgärden ska hittas. (Detta skiljer sig från den vanliga tjockleken som används längs ytnormalen.)

  • VINKEL - För den här scanåtgärden används vinkelmätpunktsdata.

Scanåtgärden är alltid en symaskinsscan oavsett vilket typ av mäthuvud som används.

Rutan Inledn.

Med rutan Inledn. anger du hur många stödpunkter som tas innan varje faktisk punkt mäts. De här stödpunkterna tas bara första gången en scanåtgärd körs.

Rutan Perm.

Med rutan Perm. anger du hur många stödpunkter som tas permanent innan varje faktisk punkt mäts. Dessa stödpunkter tas varje gång scanåtgärden körs.

Rutan Distans

Med rutan Distans kan du ange avståndet mellan stödpunkterna.

Rutan Djup

Med rutan Djup kan du ange på vilket djup från kanten som stödpunkterna ska tas. Det här alternativet blir tillgängligt om du väljer KANT i listan Mätpunktstyp.

Rutan Indrag

Med rutan Indrag kan du ange med vilket indrag från kanten på den översta ytan som stödpunkterna ska tas. Det här alternativet blir tillgängligt om du väljer KANT i listan Mätpunktstyp.

Rutan Indrag 1

Med rutan Indrag 1 kan du ange med vilket indrag från kanten på den översta ytan som stödpunkterna ska tas. Det här alternativet blir tillgängligt om du väljer VINKEL i listan Mätpunktstyp.

Rutan Indrag 2

Med rutan Indrag 2 kan du ange med vilket indrag från kanten på den översta ytan som stödpunkterna ska tas. Det här alternativet blir tillgängligt om du väljer VINKEL i listan Mätpunktstyp.

Rutan Flush

Med rutan Flush kan du ange en flush-tjocklek för de nominella värdena om du använder mätpunktstypen Kant eller Vinkel och CAD-data är tillgängliga. Den här tjockleken används vinkelrätt mot kantanloppsvektorn när de nominella värdena för scanåtgärden ska hittas. (Detta skiljer sig från den vanliga tjockleken som används längs ytnormalen.)


Området Visning

I området Visning kan du ange vilken typ av information som ska visas i Redigeringsfönstret för en scanåtgärd. Följande alternativ finns i området:

Alternativ

Beskrivning

Kryssrutan Visa mätpktr

Om du markerar den här kryssrutan visas varje scanåtgärd i Redigeringsfönstret som en grupp med de mätta punkterna som omges av ett MÄT/SCAN-objekt och ett SLUTMÄT-objekt. Om du markerar det här alternativet visas alla mätpunkter i Redigeringsfönstret. Om du inte markerar alternativet visas inte mätpunkterna.

Kryssrutan Visa allt

Om du markerar den här kryssrutan visas alla scanparametrarna i Redigeringsfönstret – till exempel följande:

  • Snittplan

  • Begränsningspunkter

  • Riktningsvektorer

  • Inledande anloppsvektor

Om du inte markerar kryssrutan visas bara följande datatyper i Redigeringsfönstret:

  • Stegvärden

  • Tekniker

  • Mätpunktstyper


Området Begränsningstyp

Så här ser kommandoraden för begränsningstypen Plan ut i Redigeringsfönstret:

BEGRÄNSNING/PLAN, x,y,z,Planvektor=i,j,k, Slutvektor=i,j,k,Korsningar

  • Planvektor: Den här vektorn definierar normalvektorn för planet vid slutpunkten.

  • Slutvektor: Anloppsvektorn vid slutpunkten

Sfären finns vid slutpunkten men förskjuts från ytan av en mätspetsradie längs anloppsvektorn så att mittpunkten för mätspetsens kula passerar genom sfären.

Så här ser kommandoraden för begränsningstypen Sfär ut i Redigeringsfönstret:

BEGRÄNSNING/SFÄR, x,y,z,Slutvektor=i,j,k,Radie,Korsningar

  • Radie: Radien för sfären.

  • Slutvektor: Anloppsvektorn vid slutpunkten

Cylindern finns vid slutpunkten men förskjuts från ytan av en mätspetsradie längs anloppsvektorn så att mittpunkten för mätspetsens kula passerar genom cylindern.

Så här ser kommandoraden för begränsningstypen Cylinder ut i Redigeringsfönstret:

BEGRÄNSNING/CYLINDER, x,y,z, Axel=i,j,k, Slutvektor=i,j,k,Radie,Korsningar

  • Radie: Radien för cylindern.

  • Axelvektor: Den här vektorn definierar axeln för cylindern vid slutpunkten.

  • Slutvektor: Anloppsvektorn vid slutpunkten

Konens toppunkt finns vid slutpunkten för scanåtgärden.

Så här ser kommandoraden för begränsningstypen Kon ut i Redigeringsfönstret:

BEGRÄNSNING/KON, x,y,z, Axel=i,j,k, Slutvektor=i,j,k,Halva toppvinkeln,Korsningar

  • Halva toppvinkeln: Halva konvinkeln.

  • Axelvektor: Den här vektorn definierar axeln för konen vid toppunkten.

  • Slutvektor: Anloppsvektorn vid slutpunkten

I tidigare versioner av PC-DMIS användes en kombination av begränsningskorsningar och scansteg för att stoppa en scan. ÄLDRETYP är inte ett alternativ som du kan välja utan en intern inställning för scanåtgärder som skapades i tidigare versioner av PC-DMIS.

Om du läser in scanåtgärder från PC-DMIS 2.3 i version 3.0 eller senare versioner sker en konvertering och begränsningsvillkoren märks som ÄLDRETYP.

Så här ser kommandoraden för begränsningstypen ÄLDRETYP ut i Redigeringsfönstret:

BEGRÄNSNING/ÄLDRETYP, x,y,z,Planvektor=i,j,k, Slutvektor=i,j,k

  • Planvektor: Den här vektorn definierar normalvektorn för planet vid slutpunkten.

  • Slutvektor: Anloppsvektorn vid slutpunkten.

Området Begränsningstyp

I området Begränsningstyp skapas ett tänkt element som fungerar som en begränsning kring scanslutpunkten. Som standard är det här elementet ett plan vid slutpunkten. När planet korsats en gång stoppas scanåtgärden. Du kan dock definiera slutbegränsningstypen som en annan typ av element.

Begränsningstyper är bara tillgängliga för scanåtgärder av typen Linjär öppen, Linjär sluten, Område och Sektion i CNC-läget.

I området finns följande objekt:

Objekt

Beskrivning

I listan Begränsningstyp kan du ange hur en scanåtgärd ska avslutas. För varje begränsningstyp används ett värde från rutan Korsningar.

Plan – Scanåtgärden stoppas när mätspetsen har korsat planet vid slutpunkten det angivna antalet gånger.

Sfär – Scanåtgärden stoppas när mätspetsen har korsat sfären vid slutpunkten det angivna antalet gånger.

Cylinder – Scanåtgärden stoppas när mätspetsen har korsat cylindern vid slutpunkten det angivna antalet gånger. Cylindern är obegränsad (dess längd anses vara oändlig).

Kon – Scanåtgärden stoppas när mätspetsen har korsat konen vid slutpunkten det angivna antalet gånger. Konen är obegränsad (dess längd anses vara oändlig).

ÄLDRETYP – (används för kompatibilitet med tidigare versioner)

Rutan
Korsningar

Med rutan Korsningar anger du hur många gånger mätspetsen ska korsa den angivna begränsningstypen innan scanåtgärden stoppas. Om du till exempel anger värdet två stoppas scanåtgärden när mittpunkten för mätspetsens kula har korsat ytan för det angivna villkoret (i form av ett plan, en sfär, en cylinder, en kon o.s.v.) två gånger.

Rutan Radie

Rutan Radie visas när du väljer begränsningstypen Sfär eller Cylinder. Använd rutan för att definiera radien för begränsningselementet.

Rutan Vinkel

Rutan Vinkel visas när du väljer begränsningstypen Kon. Använd rutan för att definiera den halva konvinkeln.

Obs! Du kan när som helst ändra begränsningsvillkoret för en scanåtgärd. Om du väljer ett nytt villkor för en CNC-scan används villkoret för alla grundläggande scanåtgärder som utgör CNC-scanåtgärden. Om du ändrar ett specifikt värde i ett villkor, t.ex. radien för en begränsningssfär, används dock inte ändringen i alla grundläggande scanåtgärder. Om du vill att värdet ska användas i alla grundläggande scanåtgärder måste du ändra värdet manuellt i var och en av dem.


Fliken Grafik

Fliken Grafik i dialogrutan Scan

På fliken Grafik kan du ta hjälp av CAD-modellen på skärmen för att skapa en scanåtgärd. På den här fliken finns området CAD. I det här området kan du ange de CAD-ytelement/-trådelement som ska användas för att hitta de nominella värdena samt detaljens tjocklek.

I vissa fall kan en scanåtgärd påbörjas över en yta och sedan fara över flera andra ytor innan åtgärden är klar. I sådana fall kan det vara svårt att avgöra vilka CAD-element som ska användas för att hitta nominella värden. Därför måste alla ytor i CAD-modellen genomsökas. Om CAD-modellen innehåller många ytor kan det ta lång tid innan åtgärden SÖKNOM kan slutföras.

Alternativ

Beskrivning

Kryssrutan Välj

Genom att markera den här kryssrutan och klicka på ytor kan du ange exakt vilka ytor som ska scannas. Om du anger ytorna som ska scannas manuellt tar SÖKNOM-åtgärden betydligt kortare tid. När du har valt en CAD-yta markeras den i Grafikfönstret. Antalet valda ytor visas i statusraden. Om du inte markerar kryssrutan Välj förutsätts att alla klickningar på ytorna är begränsningspunkter.

Exempel: Två kanter som är vinkelräta mot varandra måste väljas för varje yta som scanningen görs över. Om scanningen görs över tre ytor måste sex kanter (motsvarande de tre ytorna) väljas i rätt ordning. De första två kanterna definierar den första ytan. Den tredje och fjärde kanten definierar yta nummer två, den femte och sjätte kanten utgör den tredje ytan, och så vidare.

Knappen Avmarkera

Om du väljer fel yta klickar du på ytan igen. På så sätt avmarkeras ytan. Om du klickar på knappen Avmarkera avmarkeras en yta i taget från en grupp med markerade ytor varje gång du klickar på knappen, tills alla ytor har avmarkerats. Om du klickar på Avmark. alla avmarkeras alla markerade ytor samtidigt.

Med knappen Avmarkera tar du bort ett markerat CAD-element i taget från en grupp CAD-element som du har markerat med hjälp av kryssrutan Välj.

Knappen Avmark. alla

Med knappen Avmark. alla tar du bort markeringen från alla CAD-element som du har markerat med hjälp av kryssrutan Välj.

Kryssrutan Djup

Den här kryssrutan används bara när du markerar kurvelement. Du kan ange att ett visst CAD-kurvelement ska vara ett djupelement.

Så här använder du kryssrutan Djup:

  1. Markera alla andra CAD-element först.

  2. Markera kryssrutan Djup.

  3. Välj ett CAD-element.

Djupkurvan används under SÖKNOM -åtgärder. Om nominella värden ska hittas med hjälp av kurvelement används vektorn från CAD-djupelementet som korsas med vektorn från de andra markerade CAD-elementen för att få fram ett plan. Därefter genomborras planet för att få fram korrekta nominella värden. Om många CAD-element har markerats används den närmaste genomborrningspunkten som nominell punkt. När CAD-tråddata används görs en sökning efter tråddata i par.

Kryssrutan Vektor1

Kryssrutan Vektor1 visas om du väljer Vinkel i listan Mätpunktstyp och använder ytdata. Med hjälp av den här kryssrutan kan du välja de CAD-ytor som ska användas för att hitta nominella värden. Du kan ange vilken grupp ytor som ska användas för att hitta Yta 1 för vinkelmätpunkten genom att markera den här kryssrutan och välja CAD-ytor i Grafikfönstret.

Kryssrutan Vektor2

Kryssrutan Vektor2 visas om du väljer Vinkel i listan Mätpunktstyp och använder ytdata. Med hjälp av den här kryssrutan kan du välja de CAD-ytor som ska användas för att hitta nominella värden. Du kan ange vilken grupp av ytor som ska användas för att hitta Yta 2 för vinkelmätpunkten genom att markera den här kryssrutan och välja CAD-ytor i Grafikfönstret.

Rutan Tjocklek

I rutan Tjocklek kan du ange ett värde för detaljens tjocklek. Positiva och negativa värden kan användas. Det här värdet används framför allt för tunna detaljer (i plast eller tunnplåt) där CAD-data bara beskriver den ena sidan. För tunna detaljer ritar CAD-teknikern oftast bara den ena sidan av detaljen och anger sedan materialets tjocklek. I PC-DMIS används materialtjockleken automatiskt när CAD-ytdata används.

Tjockleken används för ytnormalvektorn när läget SÖKNOM väljs och CAD-ytorna genomborras för att få fram de nominella värdena, också när du använder kantmätpunkter.


Fliken Kontrollpunkter

Obs! Fliken Kontrollpunkter visas bara om du använder ett analogt mäthuvud som du kan använda för kontinuerlig kontaktscanning.

På fliken Kontrollpunkter kan du lägga till kontrollpunkter för en scan. Kontrollpunkter avbryter de normala scanfunktionerna och gör att du kan definiera specifika platser i scanåtgärden där scanhastigheten, punkttätheten eller båda dessa faktorer ändras. För att en kontinuerlig scan ska fungera optimalt krävs ofta varierande scanhastighet och/eller punkttäthet för olika delar av scanåtgärden.

Du kan lägga till kontrollpunkter för följande scantyper:

  • Linjär, öppen

  • Linjär, sluten

  • Område

  • Sektion

  • Linje (Grundläggande scan)

På fliken Kontrollpunkter finns bland annat området Kontrollpunkter. I det här området kan du definiera varje kontrollpunkt. Följande alternativ finns i området:

Alternativ

Beskrivning

Listan Typ

Här definierar du typen för kontrollpunkten. Du kan välja mellan följande:

  1. Plan
    PLAN, X, Y, Z, I, J, K, Antal korsningar, Scanhastighet, Punkttäthet

  2. Sfär
    SFÄR, X, Y, Z, I, J, K, Antal korsningar, Scanhastighet, Punkttäthet, Diameter

  3. Kon
    KON, X, Y, Z, I, J, K, Antal korsningar, Scanhastighet, Punkttäthet, Vinkel

  4. Cylinder
    CYLINDER, X, Y, Z, I, J, K, Antal korsningar, Scanhastighet, Punkttäthet, Diameter

De här typerna liknar begränsningspunkterna.

Rutan Antal korsningar

I den här rutan anger du antalet gånger som mätspetsen ska korsa avbrottsbegränsningen innan de angivna parametrarna justeras.

Rutan Diameter

I den här rutan definierar du diametern för en kontrollpunkt av typen Cylinder eller Sfär.

Rutan Vinkel

I den här rutan definierar du hälften av vinkeln för en kontrollpunkt av typen Kon.

Rutan Punkttäthet

I den här rutan definierar du tätheten för punkterna som läses in i scandata under en kontinuerlig kontaktscanåtgärd. Värdet visas som antal punkter per millimeter.

Rutan Hastighet

I den här rutan definierar du hastigheten som ska användas när maskinen rör sig över detaljens yta och scannar den.

Rutan Från manuell mätpunkt

Här kan du definiera XYZ- och IJK-läget för kontrollpunkten genom att manuellt ta en mätpunkt med mätspetsen (eller genom att klicka på detaljen om du arbetar i offlineläget).

Rutorna XYZ

Här definierar du XYZ-läget för kontrollpunkten.

Rutorna IJK

Här definierar du IJK-vektorn för kontrollpunkten.

Knappen Lägg till

Lägger till en ny, odefinierad kontrollpunkt.

Knappen Ta bort

Tar bort den aktuella kontrollpunkten.

Knappen Nästa

Visar nästa kontrollpunkt. Värdena i rutorna i området ändras så att de visar informationen för den nya punkten.

Knappen Föreg.

Visar föregående kontrollpunkt. Värdena i rutorna i området ändras så att de visar informationen för den nya punkten.

Knappen Ta bort alla

Tar bort alla kontrollpunkter för scanåtgärden.

Knappen Uppdatera

Uppdaterar alla kontrollpunkter för scanåtgärden med inställningarna för den aktuella kontrollpunkten.

Mer:

Lägga till och använda kontrollpunkter

Scanna efter att kontrollpunkter har lagts till


Lägga till och använda kontrollpunkter

  1. Öppna dialogrutan Scan.

  2. Definiera en scanåtgärd. Det minsta tillåtna antalet begränsningspunkter definieras automatiskt och beror på vilken av följande typer du använder:

    Plan
    Sfär
    Kon
    Cylinder

  3. Klicka på fliken Kontrollpunkter.

  4. Lägg till avbrottspunktlägen på något av följande tre sätt:

  • Metod 1: Skriv in punktlägena. Klicka på knappen Lägg till och skriv de obligatoriska värdena för varje punkt.

  • Metod 2: Markera kryssrutan Från manuell mätpunkt och använd maskinen för att röra vid de platser på detaljen där du vill placera kontrollpunkterna. Informationen läggs till i dialogrutan Kontrollpunkter.

  • Metod 3: I Grafikfönstret vänsterklickar du på CAD-modellen på de platser där du vill placera kontrollpunkterna. Informationen läggs till i dialogrutan Kontrollpunkter.

Om du använder metod 2 eller 3 fästs punkterna automatiskt vid snittplanet för scanåtgärden för samtliga typer, utom om du har valt en områdesscan.

  5. Fortsätt med metoderna i steg 4 för att definiera alla kontrollpunkter.

  6. När du har definierat alla kontrollpunkter klickar du på knappen Skapa. Dialogrutan Scan stängs och scanåtgärden skapas.

  7. Om du vill redigera, ta bort eller lägga till fler kontrollpunkter klickar du på fliken Kontrollpunkter och gör ändringarna där.


Scanna efter att kontrollpunkter har lagts till

När du har definierat alla kontrollpunkter och skapat en scanåtgärd sker följande under körningen i PC-DMIS.

  1. Inledningsvis används de globala värdena för Scanhastighet och Punkttäthet.

  2. Allt eftersom scanåtgärden körs och passerar inom de parametrar som definierats med kontrollpunkterna ändras scanfunktionen i enlighet med kontrollpunkterna.

  3. När scanåtgärden är klar återställs de globala värdena för Scanhastighet och Punkttäthet.


Fliken Vägdefinition

På fliken Vägdefinition finns två områden: Teoretisk väg och Spline-väg. Du kan använda de här områdena för att skapa en teoretisk väg för en scanåtgärd och (där det är tillämpligt) anpassa de teoretiska datapunkterna till en sekundär väg som kallas spline-väg. Detta innebär att antalet teoretiska punkter filtreras.

Så här skapar du en teoretisk väg och anpassar den till en spline-väg:

  1. Välj en scantyp som stöder spline-vägar. Alternativen är bland annat:

  • Linjär, öppen

  • Linjär, sluten

  • Område

  • Sektion

  • Friform

  2. Välj fliken Vägdefinition.

  3. Definiera den teoretiska vägen. I de flesta fall kan du använda knappen Läs fil för att importera en befintlig uppsättning teoretiska datapunkter. Annars klickar du på Skapa. När du klickar på Skapa skapas en uppsättning teoretiska datapunkter mellan start- och slutpunkten utifrån befintliga CAD-data automatiskt.

Obs! Om du arbetar med en friformsscan visas inte knappen Skapa. För att välja de teoretiska punkterna får du i stället klicka med musen på CAD-modellen.

  4. Punkterna visas i en följd i listan med respektive XYZ- och IJK-data. Om det finns mer än fem punkter i området Teoretiska kan du anpassa vägen till en spline-väg med hjälp av knappen Beräkna i området Spline-väg. Du behöver inte anpassa den teoretiska vägen till en spline-väg, men de ursprungliga data i den teoretiska listan innehåller oftast betydligt fler mätpunkter än du behöver.

  5. Definiera en spline-väg som du vill anpassa den teoretiska vägen till. Ange om de teoretiska punkterna ska utgöra en öppen eller sluten väg, om beräkningen för vägen ska vara interpolerad eller approximerad, om punkterna ska ha en vikt samt om avståndet mellan punkterna ska styras av en definierad täthet eller ett givet antal mätpunkter.

  6. När du har fyllt i båda områdena klickar du på Beräkna i området Spline-väg. De teoretiska data ändras för att passa parametrarna som har angetts för spline-vägen. En orange prick visas för varje punkt på detaljen i Grafikfönstret. Om du använder flera punkter kan dessa punkter flyta samman och bilda ett orangefärgat band.

  7. När du är nöjd med punkterna klickar du på Skapa för att skapa scanåtgärden.

Mer:

Området Teoretisk väg

Området Spline-väg


Området Teoretisk väg

I området Teoretisk väg finns följande objekt:

Alternativ

Beskrivning

Listan Teoretisk väg

I den här listan visas den teoretiska väg som scanåtgärden rör sig längs när du kör den. XYZ- och IJK-information visas för varje punkt. Du kan importera punkter från en textfil genom att klicka på knappen Läs fil eller låta punkterna skapas automatiskt genom att klicka på Skapa. Om du skapar en friformsscan kan du skapa punkterna genom att klicka på dem på CAD-modellen.

De teoretiska punkterna kan redigeras. Så här redigerar du värden för en punkt:

  1. Dubbelklicka på punktens nummer i kolumnen #. Dialogrutan Redigera teoretiska värden visas.

  2. Ändra de värden du vill ändra i rutorna X, Y, Z och I, J, K.

  3. Klicka på OK. Ändringarna visas i listan Teoretisk väg.

Om du klickar på Nästa i dialogrutan Redigera teoretiska värden visas nästa punkt i listan Teoretisk väg så att du kan redigera flera punkter.

Knappen Skapa

Om du klickar på den här knappen används information från CAD-modellen för att automatiskt skapa den teoretiska vägen inom scanåtgärdens begränsningar för följande typer av scanåtgärder: Linjär öppen, Linjär sluten, Område och Sektion. Oftast skapas flera punkter.

När du har definierat begränsningen för scanåtgärden och klickar på Skapa döljs dialogrutan så att du kan visa scanåtgärden allt eftersom den skapas på skärmen. När scanåtgärden är klar visas dialogrutan igen. Om du klickar på knappen Skapa i det här läget infogas en scanåtgärd med de nominella mätpunktsvärdena i detaljprogrammet.

När nominella data ska skapas för scanåtgärder och när du söker efter nominella värden för inlärda scanåtgärder används alltid värdet för Tolerans för Sök nom. i dialogrutan Inställningsval på fliken Allmänt.

Knappen Ångra

Med den här knappen tar du bort den senaste åtgärden som utfördes när du importerade, skapade eller ändrade punkter i listan Teoretisk väg.

Knappen Läs fil

Med den här knappen kan du importera punkter från en textfil med filtillägget TXT. Textfilen ska vara kommaseparerad med en punkt på varje rad, enligt följande format:

X,Y,Z,I,J,K:

Kryssrutan Ignor. hål

Med den här kryssrutan anger du om hål och hålliknande element i ytan ska ignoreras för den teoretiska vägen. Om du markerar kryssrutan visas inte punktdata som inte finns i den valda ytan (t.ex. hålelement) i listan Teoretisk väg och de hoppas över när scanåtgärden körs. Om du avmarkerar kryssrutan körs scanåtgärden även i hålliknande element.

Den här kryssrutan visas för alla scanåtgärder utom omkrets- och friformsscan.

Rutan Tol.

I rutan Tol. anger du toleransvärdet. Toleransvärdet används för att ange hålpositionerna så att hål kan identifieras i CAD-data.

  • Om värdet för avståndet mellan två ytbegränsningspunkter är lägre än toleransavståndet anses detta vara en kontinuerlig yta och hålets insida scannas.

  • Om avståndet är större än toleransvärdet förutsätts att det finns ett hål mellan ytorna och hålet hoppas över under inlärningsprocessen.

Den här rutan visas för alla scanåtgärder utom omkrets- och friformsscan.

Knappen Hämta nom.

Med knappen Hämta nom. kan du söka efter nominella data efter att en scanåtgärd har lärts in eller körts. De nominella värdena för scanåtgärden hittas i tillgängliga CAD-data.

Knappen Punkter

Med knappen Punkter kan du omvandla de enskilda punkter som utgör en befintlig scanåtgärd till enstaka punkter efter körningen. Den scannade punktuppsättningen tas då bort.

Exempel:

  1. Placera markören på en scanåtgärd som använder mätpunktsdata i Redigeringsfönstret.

  2. Tryck på F9 för att visa dialogrutan Scan.

  3. Klicka på knappen Punkter.

Alla mätpunktsdata omvandlas till enstaka punkter och scanåtgärden tas bort från Redigeringsfönstret.

Obs! Du kan också göra detta genom att markera kryssrutan Ensam punkt, klicka på OK och köra scanåtgärden från Redigeringsfönstret. Scanåtgärden körs och därefter omvandlas mätpunktsdata till enstaka punkter.

Knapparna Vänd och V. alla

Med knappen Vänd vänder du anloppsvektorerna för den teoretiska scanpunkt som du har valt i listan Teoretisk väg. Du får en fråga om du vill att alla vektorer efter den punkten ska vändas.

  • Om du väljer Ja vänds samtliga vektorer efter och inklusive den valda punkten åt motsatt håll.

  • Om du väljer Nej vänds bara den aktuella vektorn.

Med knappen V. alla vänder du vektorerna för alla punkter i listan.

De här knapparna visas bara för scanåtgärder av typen UV eller Rutnät.

Knappen Ta bort

Med den här knappen tar du bort alla markerade punkter i listan Teoretisk väg. Knappen visas bara för scanåtgärder av typen UV eller Rutnät.

Knappen visas bara för scanåtgärder av typen UV eller Rutnät.

Kryssrutan Markera mätpunkter

Med den här kryssrutan anger du om alla mätpunkter i scanåtgärden ska markeras. Markerade mätpunkter ser ut ungefär så här:

En UV-scan med markerade mätpunkter

Den här kryssrutan visas bara för scanåtgärder av typen UV eller Rutnät.


Området Spline-väg

Området Spline-väg

I området Spline-väg finns flera alternativ som du kan använda för att skapa en spline-väg som den teoretiska vägen för en scanåtgärd kan anpassas till.

Det här området visas inte för scanåtgärder av typen Omkrets, Cirkulär, UV eller Rutnät.

Med hjälp av alternativen i det här området ange om spline-vägen ska utgöra en öppen eller sluten väg, om beräkningen för vägen ska vara interpolerad eller uppskattad, om punkterna ska ha en vikt samt om avståndet mellan punkterna ska styras av en definierad täthet eller ett givet antal mätpunkter.

När du slutligen beräknar spline-vägen ersätts den befintliga listan Teoretisk väg med eventuella filtrerade punkter. De här punkterna utgör grunden för scanåtgärden.

I området finns följande objekt:

Alternativ

Beskrivning

Listan Kurva

Den här listan innehåller två alternativ: Öppen och Stängd. En öppen kurva går genom start-, kontroll- och slutpunkterna och avslutas sedan. En stängd kurva fungerar på ungefär samma sätt men återvänder till startpunkten när slutpunkten nås.

Listan Beräkning

Den här listan innehåller två alternativ: Approximera och Interpolera. Det här värdet anger om spline-vägen går genom punkter i kurvan (interpolering) eller bara går i närheten av punkterna (approximering). Interpolering ger skarpare kurvor och approximering ger jämnare kurvor.

Listan Vikt

Den här listan innehåller två alternativ: Ja och Nej. Vad du väljer avgör om punkterna får en vikt eller inte när spline-vägen konstrueras. Om du väljer Ja får punkterna vikter utifrån hur nära de ligger andra punkter på kurvan. Ju längre en punkt är från de andra punkterna desto större vikt får den i anpassningsprocessen.

Listan Avstånd

Den här listan innehåller två alternativ: Täthet och Mätpktr.

  • Om du väljer Täthet skapas spline-vägpunkterna med mellanrum som anges med stegvärdet i rutan Täthet.

  • Om du väljer Mätpktr skapas spline-vägpunkterna med mellanrum som avgörs utifrån antalet punkter som du anger i rutan Mätpktr.

Rutan Täthet

I den här rutan skriver du stegvärdet som styr tätheten för mätpunkterna. Ju lägre stegvärde desto högre täthet.

Rutan Mätpktr

I den här rutan skriver du antalet mätpunkter som ska spridas längs den teoretiska vägen. Om du till exempel skriver 50 görs ett försök att passa in samtliga 50 punkter längs scanvägen.

Knappen Beräkna

Med den här knappen beräknar du spline-vägen och de teoretiska datapunkterna anpassas till spline-vägen. Vanligtvis innebär detta att många punkter filtreras ut. Den här knappen blir tillgänglig när det finns minst fem mätpunkter i listan Teoretisk väg.


Fliken Inställningar

Obs!Fliken Inställningar visas bara om du använder ett analogt mäthuvud som du kan använda för kontinuerlig kontaktscanning.

På den här fliken finns området Mätparametrar. Med hjälp av alternativen i det här området kan du ändra de vanligaste scanparametrarna utan att behöva flytta fokus från scandialogrutan.

De här alternativen finns också på fliken Rörelse i dialogrutan Parametrar och på fliken Inställningar, analogt mäthuvud. Se Parameterinställningar: fliken Inställningar, analogt mäthuvud och Parameterinställningar: fliken Rörelse i avsnittet Göra inställningar om du vill ha mer information.


Utföra en avancerad scanåtgärd av typen Linjär, öppen

Dialogrutan Scan, linjär öppen

Dialogrutan Scan, linjär öppen

Om du väljer alternativet Infoga | Scan | Linjär öppen görs en scanning över ytan längs en öppen, oavslutad linje. För den här proceduren används start- och slutpunkten för linjen och dessutom en riktningspunkt för beräkning av snittplanet. Mäthuvudet finns alltid kvar inom snittplanet när scanåtgärden utförs. Det finns tre olika typer av LINJÄR_ÖPPEN-riktningstekniker. Dessa beskrivs i avsnittet Området Riktningstekniker.

Exempel på en linjär öppen scanåtgärd

Exempel på en linjär öppen scanåtgärd

Så här skapar du en scanåtgärd av typen Linjär, öppen

  1. Kontrollera att du har aktiverat ett TTP-mäthuvud eller ett analogt mäthuvud.

  2. Aktivera CNC-läget i PC-DMIS.

  3. Välj Infoga | Scan | Linjär öppen på undermenyn. Dialogrutan Scan, linjär öppen visas.

  4. Skriv namnet på scanåtgärden i rutan ID om du inte vill använda standardnamnet.

  5. Välj en lämplig LINJÄR_ÖPPEN-typ i listan Riktning 1.

  6. Beroende på vilken LINJÄR_ÖPPEN-typ du har valt skriver du lämpliga steg- och vinkelvärden i rutorna Maxsteg, Minsteg, Maxvink. och Minvink.

  7. Om scanåtgärden går över flera ytor kan du markera vissa ytor med hjälp av kryssrutan Välj (se Fliken Grafik .

  8. Lägg till 1-punkten (startpunkten), D-punkten (för den riktning som du vill scanna i) samt 2-punkten (slutpunkten) genom att följa tillämpliga instruktioner i Området Begränsningspunkter.

  9. Välj vilken typ av mätpunkter som ska tas i listan Mätpunktstyp i området Mätpunkter.

  10. Gör eventuella ändringar för vektorerna i området Utgångsvektorer. Du gör detta genom att dubbelklicka på vektorn, göra ändringar i dialogrutan Redigera scanelement och klicka på OK för att återgå till dialogrutan Scan, linjär öppen.

  11. Välj ett lämpligt läge för nominella värden i listan Nominella värden i området Metod för nom.

  12. I rutan Tolerans i området Metod för nom. skriver du ett toleransvärde som åtminstone kompenserar för mäthuvudets radie.

  13. Välj ett lämpligt körningsläge i listan Utför i området Alternativ.

  14. Om du använder en detalj i tunnplåt skriver du tjockleken i rutan Tjocklek på fliken Grafik.

  15. Om det behövs markerar du kryssrutor i områdena på fliken Körning.

  16. Om du använder ett analogt mäthuvud kan du behöva använda fliken Kontrollpunkter för att se till att scanåtgärden fungerar optimalt.

  17. Klicka på knappen Skapa i området Teoretisk väg, Vägdefinition för att skapa en förhandsgranskning av scanåtgärden på CAD-modellen i Grafikfönstret. När du skapar scanåtgärden startas den vid startpunkten och den valda riktningen följs tills slutpunkten nås.

  18. Om du vill kan du använda området Spline-väg på samma flik för att anpassa den teoretiska vägen till en spline-väg.

  19. Gör eventuella andra ändringar i scanåtgärden.

  20. Klicka på Skapa. Scanåtgärden infogas i Redigeringsfönstret.

Så här skapar du en scanåtgärd av typen Linjär, öppen i en tredimensionell CAD-trådmodell

För att utföra en scanåtgärd av typen Linjär, öppen på en trådmodell bör du vanligtvis använda en CAD-fil med tredimensionella tråddata. Tredimensionella tråddata behövs för att definiera formen på elementet som du vill scanna liksom dess "djup" (3D-aspekt). Den här typen av scanåtgärd följer samma procedur som ovan.

Så här skapar du en scanåtgärd av typen Linjär, öppen i en tvådimensionell CAD-trådmodell

Om du måste utföra en scanåtgärd av typen Linjär, öppen på en fil med tvådimensionella tråddata krävs lite extra arbete.

  1. Importera filen med tvådimensionella CAD-data. CAD-nollpunkten måste vara någonstans i CAD-data och inte bara i koordinatsystemet (detta gör arbetet lite lättare).

  2. Välj Infoga | Element | Konstruera | Linje. Dialogrutan Konstruera linje öppnas.

  3. Välj Uppriktning. En linje som är vinkelrät mot ytan i de tvådimensionella CAD-data konstrueras vid CAD-nollpunkten.

  4. Gå till Redigeringsfönstret. Om du använder millimeter som måttenhet ändrar du linjens längd från 1 (standardvärdet) till ett högre värde, t.ex. 5 eller 10. Om du använder tum som måttenhet behöver du inte göra något.

  5. Exportera detaljprogrammet (endast elementen) till en IGES- eller DXF-fil och spara den exporterade filen i valfri katalog.

  6. Återgå till detaljprogrammet och ta bort den uppriktningslinje som du skapade.

  7. Importera filen som du just exporterade tillbaka till detaljprogrammet. När du får en fråga klickar du på Slå ihop för att infoga CAD-tråddata i Grafikfönstret. Nu visas en CAD-tråd som är vinkelrät mot de andra CAD-trådarna i CAD-modellen.

  8. Gå till dialogrutan Scan, linjär öppen.

  9. Klicka på fliken Grafik och markera kryssrutan Välj.

  10. Klicka på varje tråd som definierar det element som ska scannas. Klicka på dem i den ordning de ska scannas och börja med den tråd där scanåtgärden ska starta.

  11. Markera kryssrutan Djup.

  12. Klicka på den importerade tråden som är vinkelrät mot alla andra trådar.

  13. Avmarkera kryssrutan Välj. Nu kan du välja 1-punkt (startpunkt), D-punkt (riktningspunkt) och 2-punkt (slutpunkt) på den teoretiska yta som definieras av trådarna som definierar ytans form och tråden som definierar djupet.

  14. Om onlineläget är aktivt markerar du kryssrutan Mät. Välj Sök nom. i området Metod för nom. Ange ett lämpligt värde i rutan Tolerans.

  15. Klicka på Skapa. Scanåtgärden infogas. Om onlineläget är aktivt påbörjas scanåtgärden för att hitta nominella värden.


Utföra en avancerad scanåtgärd av typen Linjär sluten

Dialogrutan Scan, linjär sluten

Dialogrutan Scan, linjär sluten

Med alternativet Infoga | Scan | Linjär sluten scannas ytan med början vid den angivna startpunkten, och scanåtgärden avslutas vid samma punkt. Den här typen av scanåtgärd kallas sluten eftersom den avslutas vid den ursprungliga startpunkten. Detta är användbart om du scannar cirkulära element eller spår. För att den här proceduren ska kunna utföras måste lägen för startpunkten och en riktningspunkt anges. Användaren anger också stegvärdet för registrering av mätpunkter.

Ytan scannas enligt beskrivningen nedan.

Exempel på en linjär sluten scanåtgärd

Exempel på en linjär sluten scanåtgärd med scanpunkter inuti ett hål

Så här skapar du en linjär sluten scanåtgärd

  1. Kontrollera att du har aktiverat ett TTP-mäthuvud eller ett analogt mäthuvud.

  2. Aktivera CNC-läget i PC-DMIS.

  3. Välj Infoga | Scan | Linjär sluten på undermenyn. Dialogrutan Scan, linjär sluten visas.

  4. Skriv namnet på scanåtgärden i ID-rutan om du vill använda ett anpassat namn.

  5. Välj en lämplig LINJÄR_SLUTEN-typ i listan Riktning 1.

  6. Beroende på vilken LINJÄR_SLUTEN-typ du har valt skriver du lämpliga steg- och vinkelvärden i rutorna Maxsteg, Minsteg, Maxvink. och Minvink.

  7. Om scanåtgärden går över flera ytor kan du markera vissa ytor med hjälp av kryssrutan Välj (se Fliken Grafik).

  8. Lägg till startpunkten och D-punkten (för den riktning som du vill scanna i) genom att följa tillämpliga instruktioner i Området Begränsningspunkter.

  9. Välj vilken typ av mätpunkter som ska tas i listan Mätpunkts typ i området Mätpunkter.

  10. Gör eventuella ändringar för vektorerna i området Utgångsvektorer. Du gör detta genom att dubbelklicka på vektorn, göra ändringar i dialogrutan Redigera scanelement och klicka på OK för att återgå till dialogrutan Scan, linjär sluten.

  11. Välj ett lämpligt läge för nominella värden i listan Nominella värden i området Metod för nom.

  12. I rutan Tolerans i området Metod för nom. skriver du ett toleransvärde som åtminstone kompenserar för mäthuvudets radie.

  13. Välj ett lämpligt körningsläge i listan Utför i området Alternativ.

  14. Om du använder en detalj i tunnplåt skriver du tjockleken i rutan Tjocklek på fliken Grafik.

  15. Om det behövs markerar du kryssrutor i områdena på fliken Körning.

  16. Om du använder ett analogt mäthuvud kan du behöva använda fliken Kontrollpunkter för att se till att scanåtgärden fungerar optimalt.

  17. Klicka på knappen Skapa i området Teoretisk väg, på fliken Vägdefinition för att skapa en förhandsgranskning av scanåtgärden på CAD-modellen i Grafikfönstret. När du skapar scanåtgärden startas den vid startpunkten och den valda riktningen följs runt elementet tills startpunkten nås igen.

  18. Om du vill kan du använda området Spline-väg på samma flik för att anpassa den teoretiska vägen till en spline-väg.

  19. Gör eventuella andra ändringar i scanåtgärden.

  20. Klicka på Skapa. Scanåtgärden infogas i Redigeringsfönstret.

Så här skapar du en scanåtgärd av typen Linjär, sluten i en tredimensionell CAD-trådmodell

För att utföra en scanåtgärd av typen Linjär, sluten på en trådmodell bör du vanligtvis använda en CAD-fil med tredimensionella tråddata. Tredimensionella tråddata behövs för att definiera formen på elementet som du vill scanna liksom dess "djup" (3D-aspekt). Den här typen av scanåtgärd följer samma procedur som ovan.

Så här skapar du en scanåtgärd av typen Linjär, sluten i en tvådimensionell CAD-trådmodell

Om du måste utföra en scanåtgärd av typen Linjär, sluten på en fil med tvådimensionella tråddata krävs lite extra arbete.

  1. Importera filen med tvådimensionella CAD-data. CAD-nollpunkten måste vara någonstans i CAD-data och inte bara i koordinatsystemet (detta gör arbetet lite lättare).

  2. Välj Infoga | Element | Konstruera | Linje. Dialogrutan Konstruera linje öppnas.

  3. Välj Uppriktning. En linje som är vinkelrät mot ytan i de tvådimensionella CAD-data konstrueras vid CAD-nollpunkten.

  4. Gå till Redigeringsfönstret. Om du använder millimeter som måttenhet ändrar du linjens längd från 1 (standardvärdet) till ett högre värde, t.ex. 5 eller 10. Om du använder tum som måttenhet behöver du inte göra något.

  5. Exportera detaljprogrammet (endast elementen) till en IGES- eller DXF-fil och spara den exporterade filen i valfri katalog.

  6. Återgå till detaljprogrammet och ta bort den uppriktningslinje som du skapade.

  7. Importera filen som du just exporterade tillbaka till detaljprogrammet. När du får en fråga klickar du på Slå ihop för att infoga CAD-tråddata i Grafikfönstret. Nu visas en CAD-tråd som är vinkelrät mot de andra CAD-trådarna i CAD-modellen.

  8. Gå till dialogrutan Scan, linjär sluten.

  9. Klicka på fliken Grafik och markera kryssrutan Välj.

  10. Klicka på varje tråd som definierar det element som ska scannas. Klicka på dem i den ordning de ska scannas och börja med den tråd där scanåtgärden ska starta.

  11. Markera kryssrutan Djup.

  12. Klicka på den importerade tråden som är vinkelrät mot alla andra trådar.

  13. Avmarkera kryssrutan Välj. Nu kan du välja startpunkt och D-punkt (riktningspunkt) på den teoretiska yta som definieras av trådarna som definierar ytans form och tråden som definierar djupet.

  14. Om onlineläget är aktivt markerar du kryssrutan Mät. Välj Sök nom. i området Metod för nom. Ange ett lämpligt värde i rutan Tolerans.

  15. Klicka på Skapa. Scanåtgärden infogas. Om onlineläget är aktivt påbörjas scanåtgärden för att hitta nominella värden.


Utföra en avancerad områdesscan

Dialogrutan Områdesscan

En områdesscan kan liknas vid en serie scanåtgärder av typen Linjär, öppen som utförs parallellt med varandra.

Med alternativet Infoga | Scan | Område scannas ytan beroende på vilka tekniker du har valt i områdena Riktning 1 och Riktning 2. Mäthuvudet finns alltid kvar inom snittplanet när scanåtgärden utförs. Riktning 1-tekniken anger riktningen mellan den första och andra begränsningspunkten. Riktning 2-tekniken anger riktningen mellan den andra och tredje begränsningspunkten. Detaljen scannas på den yta som anges i området Riktning 1. När den andra begränsningspunkten påträffas flyttas scanningen automatiskt till nästa rad enligt vad som har angetts i området Riktning 2.

Exempel på en områdesscan

Exempel på en områdesscan

Så här skapar du en områdesscan

  1. Kontrollera att du har aktiverat ett TTP-mäthuvud eller ett analogt mäthuvud.

  2. Aktivera CNC-läget i PC-DMIS.

  3. Välj Infoga | Scan | Område på undermenyn. Dialogrutan Områdes scan visas.

  4. Skriv namnet på scanåtgärden i rutan ID om du inte vill använda standardnamnet.

  5. Välj en lämplig OMRÅDE-typ för den första riktningen i listan Riktning 1och skriv lämpliga steg- och vinkelvärden (beroende på vilken teknik du har valt) i rutorna Maxsteg, Minsteg, Maxvink. och Minvink.

    Obs! Om tekniken KOORDINAT väljs för den första riktningen måste du välja samma teknik för den andra riktningen.

  6. Välj en lämplig OMRÅDE-typ för den andra riktningen i listan Riktning 2och skriv lämpliga steg- och vinkelvärden (beroende på vilken teknik du har valt) i rutorna Maxsteg, Minsteg, Maxvink. och Minvink.

  7. Om scanåtgärden går över flera ytor kan du markera vissa ytor med hjälp av kryssrutan Välj (se Fliken Grafik ).

  8. Lägg till 1-punkten (startpunkten), D-punkten (den riktning som scanåtgärden ska påbörjas i), 2-punkten (slutpunkten för den första raden), 3-punkten (för att skapa ett minimiområde) och, om du vill, en 4-punkt (för att skapa ett rektangulärt område). På så sätt markeras det område som du vill scanna. Du väljer punkterna genom att utföra en av procedurerna i Området Begränsningspunkter.

  9. Gör eventuella ändringar för vektorerna i området Utgångsvektorer. Du gör detta genom att dubbelklicka på vektorn, göra ändringar i dialogrutan Redigera scanelement och klicka på OK för att återgå till dialogrutan Områdesscan.

  10. Välj ett lämpligt läge för nominella värden i listan Nominella värden i området Metod för nom.

  11. I rutan Tolerans i området Metod för nom. skriver du ett toleransvärde som åtminstone kompenserar för mäthuvudets radie.

  12. Välj ett lämpligt körningsläge i listan Utför i området Alternativ.

  13. Om du använder en detalj i tunnplåt skriver du tjockleken i rutan Tjocklek på fliken Grafik.

  14. Om det behövs markerar du kryssrutor i områdena på fliken Körning.

  15. Om du använder ett analogt mäthuvud kan du behöva använda fliken Kontrollpunkter för att se till att scanåtgärden fungerar optimalt.

  16. Klicka på knappen Skapa i området Teoretisk väg på fliken, Vägdefinition för att skapa en förhandsgranskning av scanåtgärden på CAD-modellen i Grafikfönstret. När du skapar scanåtgärden påbörjas den vid startpunkten och utförs i den angivna riktningen tills begränsningspunkten nås. Därefter går scanåtgärden fram och tillbaka i rader längs det valda området och scannar i rader med det angivna stegvärdet tills processen har slutförts.

  17. Gör eventuella andra ändringar i scanåtgärden.

  18. Klicka på Skapa. Scanåtgärden infogas i Redigeringsfönstret.


Utföra en avancerad omkretsscan

Dialogrutan Omkretsscan

Scanåtgärder av typen Infoga | Scan | Omkrets skiljer sig från andra linjära scanåtgärder på så sätt att de skapas helt utifrån CAD-data innan de körs. Den här typen av scanåtgärd är bara tillgänglig när det finns tillgängliga CAD-ytdata. På så sätt är scanåtgärdens väg känd redan innan den påbörjas (med få fel).

Exempel på en omkretsscan

Exempel på en yttre omkretsscan

Två typer av omkretsscanåtgärder

Det finns två olika tillgängliga typer av omkretsscanåtgärder: yttre och inre.

1) En yttre scanåtgärd innebär att utsidan av de valda ytbegränsningarna följs. En yttre scanåtgärd innebär att flera ytbegränsningar kan korsas i en enda scanåtgärd.

2) En inre scanåtgärd innebär att en begränsningskurva följs inom en given yta. Sådana kurvor definierar vanligtvis element som hål, spår eller tappar. Till skillnad från en yttre omkretsscan kan en inre omkretsscan bara köras inom en enda yta.

I figurerna nedan (Scan 1 och Scan 2) visas båda typerna av omkretsscanåtgärder. I figuren Scan 1 har fyra ytor markerats. Alla ytor gränsar till en av de andra ytorna men utsidan av varje yta utgör den sammansatta begränsningen (vilket visas med den heldragna röda yttre linjen). Offset-avståndet anger hur mycket scanåtgärden kommer att förskjutas från den sammansatta begränsningen (visas med den streckade röda linjen). I figuren Scan 2 används begränsningen för ett hål för att skapa vägen för en inre omkretsscan.

Scan 1

Scan 2

Nedan beskrivs hur du skapar en omkretsscan (proceduren är densamma för yttre och inre scanåtgärder):

Så här skapar du en omkretsscan

Så här skapar du en omkretsscan:

  1. Öppna dialogrutan Omkrets scan (Infoga | Scan | Omkrets).

  2. Skriv namnet på scanåtgärden i rutan ID om du inte vill använda standardnamnet.

  3. Om du vill skapa en inre scanåtgärd markerar du kryssrutan Begr. inåt på fliken Körning.

  4. Välj den/de yta/ytor som ska användas för att skapa begränsningen. Om du väljer flera ytor ska du välja dem i den ordning som scanåtgärden ska röra sig över dem. Så här väljer du ytor:

  • Kontrollera att kryssrutan Välj är markerad på fliken Grafik.

  • Klicka på de ytor du vill använda för scanåtgärden i tur och ordning. När du klickar på en yta markeras den.

  • När du har markerat den/de yta/ytor du vill använda avmarkerar du kryssrutan Välj.

  5. Klicka på ytan i närheten av begränsningen där scanåtgärden ska påbörjas. Det här är startpunkten.

  6. Klicka en gång till på samma yta i den riktning som scanåtgärden ska köras. Det här är riktningspunkten.

  7. Om du vill klickar du på en punkt där scanåtgärden ska avslutas. Den här punkten är inte obligatorisk. Om du inte anger en slutpunkt avslutas scanåtgärden vid startpunkten.

Obs! En slutpunkt anges automatiskt i PC-DMIS. Om du inte vill använda slutpunkten tar du bort den genom att markera värdet (standardvärdet är 2) i listan Begränsningspunkter och klicka på knappen Ta bort.

  8. Skriv lämpliga värden i området Scankonstruktion. I området finns bland annat följande rutor:

· Rutan Stegvärde
· Rutan CAD-tol
· Rutan Offset
· Rutan Offset-tol (+/-).

  9. Klicka på knappen Beräkna gränser. Nu beräknas den begränsning som ska användas för att skapa scanåtgärden. De orangefärgade prickarna längs begränsningen visar var mätpunkter tas för omkretsscanåtgärden.

Obs! Begränsningsberäkningen ska normalt gå relativt snabbt.

Om begränsningen ser felaktig ut klickar du på Ta bort. Begränsningen tas bort så att du kan skapa en ny begränsning.

Om begränsningen ser felaktig ut beror detta oftast på att CAD-toleransen behöver ökas.

När du har ändrat CAD-toleransen klickar du på knappen Beräkna gränser för att beräkna begränsningen på nytt.

Kontrollera att begränsningen är korrekt innan du beräknar en omkretsscan eftersom det tar betydligt längre tid att beräkna scanvägen än att beräkna en ny begränsning.

  10. Kontrollera att värdet för Offset är korrekt.

  11. Klicka på knappen Skapa i området Teoretisk väg, på fliken Vägdefinition. Nu beräknas de teoretiska värden som används för att köra scanåtgärden. För att göra detta används en mycket tidskrävande algoritm. Beroende på hur komplexa de valda ytorna är och hur många punkter som beräknas kan det ta en god stund att beräkna scanvägen. (Det är inte ovanligt att det tar upp till fem minuter.) Om scanåtgärden ser felaktig ut klickar du på Ångra för att ta bort den föreslagna scanvägen. Ändra värdet för Offset-tolerans och beräkna scanvägen på nytt.

  12. Klicka på knappen Skapa för att skapa omkretsscanåtgärden och spara den i Redigeringsfönstret. Scanåtgärden körs som en vanlig scanåtgärd.


Utföra en avancerad sektionsscan

Dialogrutan Sektionsscan

Scanåtgärden Infoga | Scan | Sektion är nästan likadan som scanåtgärder av typen Linjär öppen. Ytan scannas längs en linje på en detalj. Den här typen av scanåtgärd är bara tillgänglig när det finns tillgängliga CAD-ytdata. CAD-ytdata används för att ange en startpunkt och en slutpunkt för sektionen. För sektionsscanåtgärder används start- och slutpunkten för linjen samt en riktningspunkt. Mäthuvudet finns alltid kvar inom snittplanet när scanåtgärden utförs. Det finns tre typer av riktningstekniker för sektionsscanåtgärder.

Identifiera och hoppa över hål

När du utför en sektionsscan kan du identifiera hål och hoppa över dem när detaljen scannas. Du kan markera sektionslinjer som ritats på skärmen av CAD-teknikern och sedan fortsätta med scanåtgärden.

Flera scanåtgärder längs en fast axel

En fördel med att använda en sektionsscanåtgärd är att du kan utföra flera scanåtgärder längs en fast axel. Exempel: Anta att du vill scanna längs en linje längs Y-axeln med ett visst stegvärde längs X-axeln. Du vill scanna den första raden vid X = 5.0. Den andra raden ska scannas vid X = 5.5 och den tredje raden vid X = 6.0. Du kan göra detta med flera scanåtgärder av typen Linjär öppen, men det är enklare att utföra den här typen av scanåtgärder som en sektionsscan.

För att göra detta skapar du sektionsscanåtgärden med X-axeln som sektionsaxel och 0.5 som sektionsstegvärde. Du bör också ange andra parametrar (se Utföra en avancerad scanåtgärd av typen Linjär, öppen. När scanåtgärden har mätts visas dialogrutan Sektions scan igen med samtliga begränsningspunkter flyttade till nästa sektion med det stegvärde du har angett.

Några exempel på sektionsscanåtgärder

Exempel på sektionsscanåtgärder

Så här skapar du en sektionsscan

  1. Kontrollera att du har aktiverat ett TTP-mäthuvud eller ett analogt mäthuvud.

  2. Aktivera CNC-läget i PC-DMIS.

  3. Välj Infoga | Scan | Sektion på undermenyn. Dialogrutan Sektions scan visas.

  4. Skriv namnet på scanåtgärden i rutan ID om du inte vill använda standardnamnet.

  5. Välj en lämplig SEKTION-typ för den första riktningen i listan Riktning 1och skriv in lämpliga steg- och vinkelvärden (beroende på vilken teknik du har valt) i rutorna Maxsteg, Minsteg, Maxvink. och Minvink.

  6. Om scanåtgärden går över flera ytor kan du markera vissa ytor med hjälp av kryssrutan Välj (se Fliken Grafik ).

  7. Lägg till 1-punkten (startpunkten), D-punkten (för den riktning som du vill scanna i) och 2-punkten (slutpunkten) för sektionsscanåtgärden. På så sätt markeras den linje som du vill scanna. Du väljer punkterna genom att utföra en av procedurerna i Området Begränsningspunkter.

  8. Välj alternativet Snitta CAD. Detta innebär att scanåtgärden delas upp i delsektioner och dessutom visas de platser som kommer att hoppas över när åtgärden körs på grund av hinder (t.ex. hål) i ytan. Klicka på knappen Visa gränser för att visa begränsningspunkterna igen.

  9. I området Snittposition gör du följande:

  • I listan Axel väljer du den axel som efterföljande sektionsscanåtgärder ska förflyttas stegvis längs.

  • Skriv in positionsvärdet för axeln som du vill ange för samtliga begränsningspunkter.

  • Skriv stegvärdet i rutan Stegvärde. Med det här värdet anger du hur långt scanåtgärden flyttas efter att du har klickat på Skapa.

  • Skriv ett toleransvärde för hålposition i rutan Tolerans.

  10. Välj vilken typ av mätpunkter som ska tas i listan Mätpunktstyp i området Mätpunkter.

  11. Gör eventuella ändringar för vektorerna i området Utgångsvektorer. Du gör detta genom att dubbelklicka på vektorn, göra ändringar i dialogrutan Redigera scanelement och klicka på OK för att återgå till dialogrutan Sektionsscan.

  12. Välj ett lämpligt läge för nominella värden i listan Nominella värden i området Metod för nom.

  13. I rutan Tolerans i området Metod för nom. skriver du ett toleransvärde som åtminstone kompenserar för mäthuvudets radie.

  14. Välj ett lämpligt körningsläge i listan Utför i området Alternativ.

  15. Om du använder en detalj i tunnplåt skriver du tjockleken i rutan Tjocklek på fliken Grafik.

  16. Om det behövs markerar du kryssrutor i områdena på fliken Körning.

  17. Om du använder ett analogt mäthuvud kan du behöva använda fliken Kontrollpunkter för att se till att scanåtgärden fungerar optimalt.

  18. Klicka på knappen Skapa i området Teoretisk väg på fliken, Vägdefinition för att skapa en förhandsgranskning av scanåtgärden på CAD-modellen i Grafikfönstret. När du skapar scanåtgärden startas den vid startpunkten och den valda riktningen följs (och hål hoppas över) tills begränsningspunkten nås.

  19. Om du vill kan du använda området Spline-väg på samma flik för att anpassa den teoretiska vägen till en spline-väg.

  20. Gör eventuella andra ändringar i scanåtgärden.

  21. Klicka på Skapa. Scanåtgärden infogas i Redigeringsfönstret.

  22. När scanåtgärden har skapats flyttas begränsningspunkterna längs den valda axeln med det angivna stegvärdet. De nya begränsningarna visas i Grafikfönstret och du kan använda dialogrutan Sektionsscan för att skapa en ny sektionsscanåtgärd.


Utföra en avancerad cirkulär scan

Dialogrutan Cirkulär scan

Dialogrutan Cirkulär scan

Med alternativet Infoga | Scan | Cirkulär scannas ytan runt en angiven punkt på en angiven radie från punkten. Radien ändras inte oavsett hur ytan ändras. Under den här proceduren används start- och slutpunkten för mätningens båge och dessutom en riktningspunkt för att ange riktningen från startpunkten till slutpunkten.

Exempel på en cirkulär scan runt en kon

Exempel på en cirkulär scan runt en kon

Så här skapar du en cirkulär scan

  1. Kontrollera att du har aktiverat ett TTP-mäthuvud eller ett analogt mäthuvud.

  2. Aktivera CNC-läget i PC-DMIS.

  3. Välj Infoga | Scan | Cirkulär på undermenyn. Dialogrutan Cirkulär scan visas.

  4. Skriv namnet på scanåtgärden i rutan ID om du inte vill använda standardnamnet.

  5. Ange mittpunkten för den cirkulära scanåtgärden. Detta gör du på något av följande sätt:

  • Markera kryssrutan Välj centrum och klicka på en punkt på detaljen.

  • Skriv in mittpunkten för cirkeln manuellt i rutorna XYZ och IJK.

  6. Skriv en radie för scanåtgärden i rutan R. När du har skrivit en radie ritas scanåtgärden på detaljmodellen i Grafikfönstret.

  7. Kontrollera att XYZ- och IJK-informationen för mittpunkten är korrekt.

  8. Avmarkera kryssrutan Välj centrum.

  9. Välj en lämplig teknik i listan Riktning 1 och (beroende på vilken teknik du har valt) skriv in lämpliga steg- och vinkelvärden i rutorna Maxsteg, Minsteg, Maxvink. och Minvink.

  10. Om scanåtgärden går över flera ytor kan du markera vissa ytor med hjälp av kryssrutan Välj (se Fliken Grafik ).

  11. Lägg till 1-punkten (startpunkten), D-punkten (för den riktning som du vill scanna i) och 2-punkten (slutpunkten) för den cirkulära scanåtgärden. På så sätt markeras en kurva som ska scannas. Om du vill scanna hela omkretsen tar du bort 2-punkten. Du väljer begränsningspunkterna genom att utföra en av procedurerna i Området Begränsningspunkter.

  12. Välj vilken typ av mätpunkter som ska tas i listan Mätpunktstyp i området Mätpunkter.

  13. Gör eventuella ändringar för vektorerna i området Utgångsvektorer. Du gör detta genom att dubbelklicka på vektorn, göra ändringar i dialogrutan Redigera scanelement och klicka på OK för att återgå till dialogrutan Cirkulär scan.

  14. Välj ett lämpligt läge för nominella värden i listan Nominella värden i området Metod för nom.

  15. I rutan Tolerans i området Metod för nom. skriver du ett toleransvärde som åtminstone kompenserar för mäthuvudets radie.

  16. Välj ett lämpligt körningsläge i listan Utför i området Alternativ.

  17. Om du använder en detalj i tunnplåt skriver du tjockleken i rutan Tjocklek på fliken Grafik.

  18. Om det behövs markerar du kryssrutor i områdena på fliken Körning.

  19. Om du använder ett analogt mäthuvud kan du behöva använda fliken Kontrollpunkter för att se till att scanåtgärden fungerar optimalt.

  20. Klicka på knappen Skapa i området Teoretisk väg på fliken, Vägdefinition för att skapa en förhandsgranskning av scanåtgärden på CAD-modellen i Grafikfönstret. När du skapar scanåtgärden startas den vid startpunkten och den valda riktningen följs tills begränsningspunkten nås.

  21. Gör ytterligare ändringar i scanåtgärden om det behövs.

  22. Klicka på Skapa. Scanåtgärden infogas i Redigeringsfönstret.


Utföra en avancerad friformsscan

Dialogrutan Friformsscan

Med dialogrutan Friformsscan kan du enkelt skapa en valfri väg för en scanåtgärd på en yta. Du kan utforma vägen precis hur du vill: den kan vara krokig eller rak och innehålla många eller få mätpunkter. Den här scanåtgärden fungerar bara om hårdvarulåset har programmerats för att fungera med lasermäthuvuden.

Exempel på en friformsscan före spline-vägen | Exempel på en friformsscan efter spline-vägen
Friformsscan – före spline | Friformsscan – efter spline

Så här skapar du en friformsscan:

  1. Klicka på knappen Mer>> för att visa flikarna längst ned i dialogrutan.

  2. På flikarna Körning och Grafik anger du de inställningar du vill använda.

  3. Välj fliken Vägdefinition.

  4. Definiera den teoretiska vägen. Lägg till mätpunkter i rutan Teoretisk väg genom att klicka på ytan på detaljen i Grafikfönstret. För varje gång du klickar visas en ny orange punkt på detaljritningen. När du har skapat minst fem punkter aktiveras knappen Beräkna i området Spline-väg .

  5. Gör inställningar i området Spline-väg om du vill och klicka sedan på Beräkna. Nu skapas en spline-kurva längs de teoretiska punkter som du har definierat. Därefter beräknas punkterna i det teoretiska vägområdet på nytt för att skapa en jämnare väg för mätspetsen.

  6. Klicka på Skapa för att skapa scanåtgärden.


Utföra en avancerad UV-scan

Dialogrutan UV-scan

Med alternativet Infoga | Scan | UV kan du enkelt scanna rader med punkter på vilken yta som helst i en känd CAD-modell (i likhet med en områdesscan). Den här scantypen kräver inte särskilt mycket förarbete eftersom det UV-utrymme som redan är definierat i CAD-modellen används.

Exempel på en UV-scan

Exempel på en UV-scan med varje punkt markerad

Obs! När UV-scanåtgärden skapas med hjälp av den här dialogrutan hämtas samtliga punkter från CAD-modellen och de nominella värdena för varje punkt används. Under körningen är dock alternativet SÖKNOM i listan Nominella värden inte tillgängligt. Det är bara MASTER som är tillgängligt.

Så här skapar du en UV-scan

  1. Aktivera ett TTP-mäthuvud.

  2. Aktivera ytläget för CAD-modellen..

  3. Aktivera CNC-läget i PC-DMIS..

  4. Öppna dialogrutan UV-scan (Infoga | Scan | UV).

  5. Skriv namnet på scanåtgärden i rutan ID om du inte vill använda standardnamnet.

  6. På fliken Grafik markerar du kryssrutan Välj.

  7. Klicka på den yta som du vill scanna. Den valda ytan markeras i PC-DMIS. Ett U och ett V visas i CAD-modellen för att visa riktningen för varje axel.

  8. På fliken Grafik avmarkerar du kryssrutan Välj.

  9. Markera kryssrutan CAD-klick under Start i området Inställningar, UV-scan.

  10. Klicka en gång på den markerade ytan för att ange startpunkten. Den punkt på ytan som du klickar på är den punkt där UV-scanåtgärden påbörjas. Den utgör också det första hörnet i det rektangulära scanområdet.

Obs! Nu kan du scanna flera ytor med en UV-scanåtgärd. För att scanna flera ytor klickar du på de ytor som ska scannas i den ordning du vill scanna dem. I PC-DMIS visas ett nummer för varje yta samt U- och V-riktningspilarna. Under körningen körs UV-scanåtgärden först på den första ytan, därefter på den andra och tredje ytan och så vidare.

  11. Markera kryssrutan CAD-klick under Slut i området Inställningar, UV-scan.

  12. Klicka en gång till på den markerade ytan för att ange slutpunkten. Ett U och ett V visas återigen på CAD-modellen. Det här definierar det andra rektangulära scanområdet.

Obs! Start- och slutpositionerna längs U- och V-axlarna bestäms automatiskt utifrån de punkter som du klickar på. Du kan ändra scanriktningen genom att ändra värdena för Start och Slut i raderna U och V. I UV-utrymmet används tal mellan 0.0 och 1.0 för att representera hela ytan. I de flesta fall finns alltså punkten 0.0, 0.0 i det motsatta diagonala hörnet från 1.0, 1.0. Trimmade ytor kan dock inledas med ett värde som är större än 0.0 och avslutas med ett värde som är lägre än 1.0 i både U- och V-riktningen.

  13. Välj vilken typ av mätpunkter som ska tas i listan Mätpunktstyp i området Mätpunkter. Du kan välja mellan Vektor och Yta.

  14. Gör andra ändringar om det behövs. Du kan bara välja MASTER i listan Nominella värden.

  15. Klicka på knappen Skapa i området Teoretisk väg på fliken , Vägdefinition för att skapa en förhandsgranskning av scanåtgärden på CAD-modellen i Grafikfönstret. I CAD-modellen visas var punkterna ska tas. Alla eventuella hål som utgör hinder längs ytan hoppas automatiskt över.

  16. Gör andra ändringar i scanåtgärden om det behövs.

  17. Klicka på Skapa. Scanåtgärden infogas i Redigeringsfönstret och den väg som mäthuvudet kommer att flyttas längs ritas på ytan i modellen i Grafikfönstret.


Utföra en avancerad rutnätsscan

Dialogrutan Rutnätsscan

Med scanåtgärden Infoga | Scan | Rutnät (som liknar UV-scanåtgärden) kan du enkelt skapa ett rutnät med punkter inom en synlig rektangel och sedan projicera punkterna ovanpå markerade ytor. UV- och rutnätsscanåtgärder liknar varandra på så sätt att punkter konstrueras och sprids inom ett markerat område. Skillnaden består i hur punkterna riktas i relation till CAD-modellens riktning.

Titta på de här två figurerna:

Figur 1 – UV-scan på en 2D-roterad detalj | Figur 2 – Rutnätsscan på en 2D-roterad detalj
UV-scan på en 2D-roterad detalj | Rutnätsscan på en 2D-roterad detalj

I figur 1 visas en UV-scan på den översta ytan i ett 2D-roterat exempelblock. I figur 2 visas samma block med en rutnätsscan. Notera att UV-axlarna i figur 1 är i linje med XY-axlarna för den markerade ytan. Detta är inte fallet när en rutnätsscan används. I stället förblir punkterna uppriktade med rektangelvyn. När du skapar en rutnätsscan skapas punkterna där de hamnar på de markerade ytorna, oavsett detaljens riktning.

Så här skapar du en rutnätsscan

  1. Aktivera ett TTP-mäthuvud.

  2. Aktivera ytläget för CAD-modellen..

  3. Aktivera CNC-läget i PC-DMIS..

  4. Öppna dialogrutan Rutnäts scan (Infoga | Scan | Rutnät).

  5. Skriv namnet på scanåtgärden i rutan ID om du inte vill använda standardnamnet.

  6. Dra en rektangel på skärmen över den yta eller de ytor som du vill använda i scanåtgärden. Rektangeln utgör begränsningen för scanåtgärden.

  7. På fliken Grafik markerar du kryssrutan Välj.

  8. Klicka på den yta eller de ytor som du vill scanna. De valda ytorna markeras när du väljer dem.

  9. Välj vilken typ av mätpunkter som ska tas i listan Mätpunktstyp i området Mätpunkter. Du kan välja mellan Vektor och Yta.

  10. I området Inställningar, rutnätsscan anger du hur många mätpunkter i riktningarna A och B som ska placeras ut och släppas på den/de markerade ytan/ytorna.

  13. Gör andra ändringar om det behövs. Du kan bara välja MASTER i listan Nominella värden.

  14. Klicka på knappen Skapa i området Teoretisk väg på fliken , Vägdefinition för att skapa en förhandsgranskning av scanåtgärden på CAD-modellen i Grafikfönstret. I PC-DMIS ritas nu punkter i CAD-modellen. Inga punkter ritas på de ytor du inte har valt även om det finns andra ytor (som du inte har valt) inom rektangelns begränsning.

  15. Gör andra ändringar i scanåtgärden om det behövs.

  16. Klicka på Skapa. Scanåtgärden infogas i Redigeringsfönstret och den väg som mäthuvudet kommer att flyttas längs ritas på ytan i modellen i Grafikfönstret.


Inledning: Utföra grundläggande scanåtgärder

I PC-DMIS finns det nu stöd för scanåtgärder av en ny typ som kallas Grundläggande scanåtgärder. Detta är elementbaserade scanåtgärder (om du till exempel definierar ett element, som en cirkel eller en cylinder, som ska mätas med lämpliga parametrar så utförs en scanåtgärd med lämplig grundläggande scanfunktion).

Följande grundläggande scanåtgärder är tillgängliga på undermenyn Infoga scan om ett TTP-mäthuvud eller ett analogt mäthuvud används i CNC-läget:

  • Cirkulär scan

  • Cylinderscan

  • Axelscan

  • Centrerande scan

  • Linjescan

Obs! Menyalternativet Centrerande scan blir tillgängligt först när du väljer ett analogt mäthuvud.

De avancerade scanåtgärderna i PC-DMIS består av grundläggande scanåtgärder. Du kan inte välja grundläggande scanåtgärder i en lista och skapa avancerade scanåtgärder utifrån dem men du kan kopiera och klistra in grundläggande scanåtgärder i befintliga avancerade scanåtgärder.

I det här avsnittet beskrivs först de gemensamma funktionerna i dialogrutan Grundläggande scan . Därefter beskrivs hur du utför de tillgängliga grundläggande scanåtgärderna.

Mer:

Gemensamma funktioner i dialogrutan Grundläggande scan (GRUNDSCAN)

Utföra en grundläggande cirkulär scan

Utföra en grundläggande cylinderscan

Utföra en grundläggande axelscan

Utföra en grundläggande centrerande scan

Utföra en grundläggande linjescan


Gemensamma funktioner i dialogrutan Grundläggande scan (GRUNDSCAN)

Exempel på dialogrutan GRUNDSCAN

Många av funktionerna som beskrivs i det här avsnittet är gemensamma för alla grundläggande scanåtgärder. En del av alternativen förekommer också bland de avancerade alternativen och har alltså redan beskrivits. (Mer information finns i Gemensamma funktioner i dialogrutan Scan i det här avsnittet). Det finns också ett antal alternativ som bara gäller ett specifikt scanläge.

Följande alternativ finns på den första fliken för alla grundläggande scanåtgärder.

Yttjocklek: I den här rutan kan du ange tjockleken för detaljen. I PC-DMIS används materialtjockleken automatiskt när CAD-ytdata används. Tjockleken används för ytnormalvektorn när läget SÖKNOM väljs och CAD-ytorna genomborras för att få fram de nominella värdena.

Med hjälp av de andra flikarna i dialogrutan kan du definiera scanåtgärden.

Mer:

Fliken Filter

Fliken Mätpunktstyp

Fliken Begränsning

Fliken Körläge

Fliken Sök nominellt

Fliken Allmänt


Fliken Filter

Dialogrutan Grundläggande scan - fliken Filter

Dialogrutan GRUNDSCAN – fliken Filter

Följande alternativ är tillgängliga på fliken Filter:

  • Avstånd – Se Linjär, öppen i Tekniken Linje .

  • Variabel – Se Linjär, öppen i Tekniken Linje . Den här scanningmetoden är just nu bara tillgänglig för scanåtgärder av typen Linje.

  • Nollfilter – Se Tekniken Nollfilter.


Fliken Mätpunktstyp

Dialogrutan GRUNDSCAN – fliken Mätpunktstyp

Dialogrutan GRUNDSCAN – fliken Mätpunktstyp

Följande alternativ är tillgängliga på fliken Mätpunktstyp:

  • VEKTOR

  • YTA (Endast tillgängligt för linjescanåtgärder)

Värdet för Mätpunktstyp motsvarar mätpunktstypen i scanåtgärder som har definierats tidigare. Se Mätpunktstyp i Området mätpunkter i Gemensamma funktioner i dialogrutan Grundläggande scan.


Fliken Begränsning

Dialogrutan GRUNDSCAN – fliken Begränsning

Dialogrutan GRUNDSCAN – fliken Begränsning

För en del grundläggande scanåtgärder, t.ex. Cirkel, Cylinder, Axel och Centrerande, behövs inga begränsningsvillkor eftersom de körs av styrenheten. Följande alternativ är tillgängliga för begränsningar:

  • Plan

  • Sfär

  • Cylinder

  • Kon

Mer information finns i Använda knappen Begränsning.


Fliken Körläge

Dialogrutan GRUNDSCAN - fliken Körläge

Dialogrutan GRUNDSCAN – fliken Körläge

Följande körlägen är tillgängliga på fliken Körläge:

  • NORMAL

  • OMINLÄRD

  • DEFINIERAD

Mer information om lägena Normal, Ominlärd och Definierad finns i Området Alternativ i avsnittet Fliken Körning.

  • ELEMENT – Det här körningsläget är bara tillgängligt för analoga mäthuvuden. När du väljer det här alternativet används den inbyggda funktionen för höghastighetsscanning i styrenheten för att köra en scanåtgärd.

Exempel: Om du väljer en cirkelscan används motsvarande cirkelscankommando i styrenheten och parametrarna skickas för körning till styrenheten. I det här fallet styrs inte scankörningen automatiskt i PC-DMIS.

Körläget ELEMENT innebär också att du kan använda följande kryssrutor för att anpassa hur grundläggande scanåtgärder utförs i PC-DMIS med det här läget:

Använd HSSDAT – Om du markerar den här kryssrutan skickas en distinkt uppsättning med punkter som definierar elementmätningsvägen till styrenheten. Om du inte markerar kryssrutan skickas de elementspecifika parametrarna till styrenheten.

Använd fördröjn. vid start/slut – Du måste markera kryssrutan Använd HSSDAT för att kunna använda den här funktionen. Om du markerar den här kryssrutan beaktas de punkter som skickats till styrenheten och de punkter som har tagits under acceleration och deceleration för mätspetsen under scanåtgärden ignoreras. Detta gör att scanåtgärden blir mer exakt.

Obs! De här kryssrutorna fungerar bara med styrenheter som använder Leitz-interface.


Fliken Sök nominellt

Dialogrutan GRUNDSCAN – fliken Sök nominellt

Dialogrutan GRUNDSCAN – fliken Sök nominellt

Följande lägen för nominella värden är tillgängliga (se listan Nominella värden under Området Metod för nom.):

  • MASTER – motsvarar läget Master som beskrivs i avsnittet Sök nominellt.

  • SÖKNOM – motsvarar läget Sök nom. som beskrivs i avsnittet Sök nominellt. Du kan ange ett toleransvärde för Sök nom. som används vid sökning efter nominella värden för en grundläggande scanåtgärd.

Anv. bästanp. – Om du markerar den här kryssrutan används bästanpassningsalgoritmer för de data som hittas vid den ursprungliga SÖKNOM-åtgärden och därefter upprepas SÖKNOM-åtgärden. På så sätt hittas mer korrekta nominella data när den faktiska detaljen avviker mycket från CAD-data. Se "Sök nominellt".

Sök nom. bara på valda ytor – Om du markerar den här kryssrutan görs sökningen efter nominella värden för mätpunkterna i en scanåtgärd endast på de markerade ytorna.

Obs! För grundläggande scanåtgärder av typen Cirkel, Cylinder och Axel behövs inga CAD-data för att hitta de nominella värdena. För att köra den grundläggande scanåtgärden hämtas värdena från de nominella data som du anger.

Om du till exempel har skrivit in nominella data, t.ex. mittpunkt och diameter, för att köra cirkeln används dessa data för att hitta nominella värden för cirkelscanåtgärden.


Fliken Allmänt

Dialogrutan GRUNDSCAN – fliken Allmänt

Dialogrutan GRUNDSCAN – fliken Allmänt

Alternativen i den här dialogrutan beskrivs i Gemensamma funktioner i dialogrutan Scan.


Utföra en grundläggande cirkulär scan

Dialogrutan GRUNDSCAN – fliken Cirkel

Dialogrutan GRUNDSCAN – fliken Cirkel

Med menyalternativet Infoga | Scan | Cirkel kan du scanna ett cirkelelement. Vid en sådan scanåtgärd används parametrar som t.ex. cirkelns mittpunkt och diameter. Scanåtgärden körs av CMM-enheten. Vid en cirkulär scanåtgärd kan bara filtret Avstånd användas. Den enda tillåtna mätpunktstypen är Vektor och inga Begränsningsvillkor behövs. Följande parametrar styr körningen av scanåtgärden:

  • Centroid: Den här punkten (finns i den första listan under kolumnen #) är cirkelns mittpunkt. Det här värdet kan skrivas in direkt eller hämtas från maskinen eller från CAD-data.

Så här definierar du en grundläggande cirkelscan:

Du kan definiera en grundläggande cirkelscan genom att göra något av följande:

  • Skriva in värden direkt. Se Grundläggande cirkelscan – inmatningsmetoden.

  • Mäta punkter på cirkeln fysiskt. Se Grundläggande cirkelscan – mätpunktsmetoden.

  • Klicka på cirkeln i CAD-modellen i Grafikfönstret. Se Grundläggande cirkelscan – Ytdatametoden eller Grundläggande cirkelscan – Tråddatametoden.

När du har skapat scanåtgärden infogas den i Redigeringsfönstret. Så här ser kommandoraden för en grundläggande cirkelscan ut i Redigeringsfönstret:

ID=GRUNDSCAN/CIRKEL,VISA_MÄTPKT=JA,VISA_ALLA_PARAMETRAR=JA
      mittx,mitty,mittz,Snittplanvektor=i,j,k,Typ
      1:a punktvektor=i,j,k, diameter,vinkel,djup,tjocklek

Mer:

Grundläggande cirkelscan – inmatningsmetoden

Grundläggande cirkelscan – mätpunktsmetoden

Grundläggande cirkelscan – Ytdatametoden

Grundläggande cirkelscan – Tråddatametoden

Cirkel: CAD-datametoden


Grundläggande cirkelscan – inmatningsmetoden

Med den här metoden kan du skriva in X-, Y- och Z-värdena för cirkelns centroid och vektorer.

  1. Välj den önskade centroidpunkten i listan.

  2. Dubbelklicka på kolumnen Centroid. Dialogrutan Redigera scanelement visas för centroiden. I namnlisten för dialogrutan visas ID:t för den parameter som redigeras.

Dialogruta för redigering

  3. Redigera värdet för X, Y och/eller Z manuellt.

  4. Klicka på OK för att använda ändringarna. Om du klickar på Avbryt stängs dialogrutan utan att några ändringar sparas.

  5. Redigera värdena för Snittplanvektor och 1:a punktvektor för cirkeln på samma sätt.


Grundläggande cirkelscan – mätpunktsmetoden

Så här skapar du en cirkel utan att använda CAD-data:

  1. Ta tre mätpunkter på ytan för att hitta planet som cirkeln finns i.

  2. Ta ytterligare tre mätpunkter i hålet (eller på tappen). Cirkeln beräknas med hjälp av de tre mätpunkterna.

Du kan också ta ytterligare mätpunkter. Data från samtliga mätta mätpunkter används. Den centroid som visas är den beräknade mittpunkten för hålet (eller tappen). Snittplanvektorn är cirkelaxeln och 1:a punktvektorn för cirkeln beräknas utifrån den första av de tre senare mätpunkterna som används för att beräkna cirkeln. Vinkeln beräknas som vinkeln för bågen från den första till den sista mätpunkten.


Grundläggande cirkelscan – Ytdatametoden

Så här skapar du en cirkel med hjälp av ytdata:

  1. Klicka på ikonen Yta.

  2. Placera markören utanför eller inuti den önskade cirkeln.

  3. Klicka en gång på en yta nära cirkeln.

XYZ-mittpunkten, diametern och vektorerna från cirkeln utifrån valda CAD-data visas automatiskt i dialogrutan.

  • Snittplanvektor: Den här vektorn är axeln för cirkeln och utgör också det plan där scanåtgärden utförs.

  • 1:a punktvektor: Den här vektorn beskriver den riktning som används när mätspetsen tar den första mätpunkten för att starta scanåtgärden. Vektorn beräknas utifrån datainmatningsmetoden och är vinkelrät mot snittplanvektorn.


Grundläggande cirkelscan – Tråddatametoden

Du kan också använda CAD-tråddata för att skapa en cirkulär scan.

Så här skapar du cirkeln:

  1. Klicka i närheten av den önskade tråden på cirkeln. Den valda tråden markeras i PC-DMIS.

  2. Kontrollera att rätt element har valts.

Värdet för den valda cirkelns centrumpunkt och diameter visas i dialogrutan när du har markerat tråden.

Obs! Om det underliggande CAD-elementet inte är en cirkel eller båge kan det behövas fler klickningar för att identifiera elementet. Om fel element markeras kan du försöka med att klicka på minst två ytterligare punkter nära cirkeln.

  • Snittplanvektor: Den här vektorn är axeln för cirkeln och utgör också det plan där scanåtgärden utförs.

  • 1:a punktvektor: Den här vektorn beskriver den riktning som används när mätspetsen tar den första mätpunkten för att starta scanåtgärden. Vektorn beräknas utifrån datainmatningsmetoden. Den här vektorn är vinkelrät mot snittplanvektorn.


Cirkel: CAD-datametoden

Värdet för startvektorn för cirkeln beräknas utifrån den första klickning som du gör för att beräkna cirkeln med den här metoden.

Typ:

Följande typer av cirklar tillåts:

1) INRE: Ett hål

2) YTTRE: En tapp

3) PLAN: En plancirkel som körs på det plan där cirkeln ligger.

Vinkel:

Vinkeln (i grader som ska scannas) från startpunkten. Både positiva och negativa vinklar kan användas. Positiva vinklar anses vara moturs och negativa vinklar anses vara medurs. Snittplanvektor anses vara den axel som vinkeln roterar kring.

Diameter:

Det här är cirkelns diameter.

Djup:

Det här är det djup som används mot riktningen Snittplanvektor. Både positiva och negativa värden kan användas.

Exempel: Om cirkelns mittpunkt är 1, 1, 3, Snittplanvektor är 0, 0, 1 och djupet är 0.5 anges cirkelns mittpunkt som 1, 1, 2.5 under körningen. Om djupet –0.5 används för samma cirkel ändras centroiden till 1, 1, 3,5 under körningen.


Utföra en grundläggande cylinderscan

Dialogrutan GRUNDSCAN – fliken Cylinder

Dialogrutan GRUNDSCAN – fliken Cylinder

Med menyalternativet Infoga | Scan | Cylinder kan du scanna ett cylinderelement. De parametrar som används är bland annat cylinderns diameter och stigning och scanåtgärden körs av styrenheten. För en grundläggande cylinderscan kan bara alternativet Avstånd på fliken Filter samt mätpunktstypen Vektor användas och inga Begränsningsvillkor behövs. Följande parametrar styr körningen av scanåtgärden:

Centroid: Körningen av scanåtgärden påbörjas vid den här punkten, som är cylinderns mittpunkt. Det här värdet kan skrivas in direkt eller hämtas från maskinen eller från CAD-data.

Så här definierar du en grundläggande cylinderscan:

Du kan definiera en grundläggande cylinderscan genom att göra något av följande:

  • Skriva in värden direkt. Se Grundläggande cylinderscan – inmatningsmetoden.

  • Mäta punkter på cylindern fysiskt. Se Grundläggande cylinderscan – mätpunktsmetoden.

  • Klicka på cylindern i CAD-modellen i Grafikfönstret. Se Grundläggande cylinderscan – Ytdatametoden eller Grundläggande cylinderscan – Tråddatametoden.

När du har skapat scanåtgärden infogas den i Redigeringsfönstret. Så här ser kommandoraden för en grundläggande cylinderscan ut i Redigeringsfönstret:

ID=GRUNDSCAN/CYLINDER,VISA_MÄTPKT=JA,VISA_ALLA_PARAMETRAR=JA
mittx,mitty,mittz,Snittplanvektor=i,j,k,Typ
1:a punktvektor=i,j,k, diameter,vinkel,stigning,djup ,tjocklek

Mer:

Grundläggande cylinderscan – inmatningsmetoden

Grundläggande cylinderscan – mätpunktsmetoden

Grundläggande cylinderscan – Ytdatametoden

Grundläggande cylinderscan – Tråddatametoden

Cylinder: CAD-datametoden


Grundläggande cylinderscan – inmatningsmetoden

Med den här metoden kan du skriva in X-, Y- och Z-värdena för cylinderns centroid och vektorer.

  1. Dubbelklicka på centroidpunkten i listrutan i kolumnen #. Dialogrutan Redigera scanelement visas. I namnlisten för dialogrutan visas ID:t för den parameter som redigeras.

Dialogrutan Redigera scanelement

  2. Redigera värdet för X, Y och/eller Z manuellt.

  3. Klicka på OK för att använda ändringarna.

Om du klickar på Avbryt stängs dialogrutan utan att några ändringar sparas.

Du kan också skriva in värdena för Snittplanvektor och 1:a punktvektor för cylindern på samma sätt.


Grundläggande cylinderscan – mätpunktsmetoden

Så här skapar du en cylinder utan att använda CAD-data:

  1. Ta tre mätpunkter på ytan för att hitta axelvektorn för cylindern.

  2. Ta ytterligare tre mätpunkter i hålet (eller på tappen). Cylinderns diameter beräknas med hjälp av de tre mätpunkterna.

Du kan också ta ytterligare mätpunkter. Data från samtliga mätta mätpunkter används. Den centroid som visas är den beräknade mittpunkten för hålet (eller tappen). Snittplanvektorn är cylinderaxeln och 1:a punktvektorn för cylindern beräknas utifrån den första av de tre senare mätpunkterna som används för att beräkna cylinderns diameter. Vinkeln beräknas som vinkeln för bågen från den första mätpunkten som används för att beräkna cylinderdiametern till den sista klickningen.


Grundläggande cylinderscan – Ytdatametoden

Så här skapar du en cylinder med hjälp av ytdata:

  1. Klicka på ikonen Yta.

  2. Placera markören utanför eller inuti den önskade cylindern.

  3. Klicka en gång på en yta nära cylindern.

Mittpunkten och diametern från CAD-data för den markerade cylindern i tunnplåt visas i dialogrutan när den tredje punkten har valts.

Om ytterligare musklickningar identifieras hittas den bästa cylindern i närheten av alla mätpunkterna. Snittplanvektorn är cylinderns axel och 1:a punktvektorn för cylindern beräknas utifrån den första klickningen. Vinkeln beräknas som vinkeln för bågen från den första till den sista klickningen.


Grundläggande cylinderscan – Tråddatametoden

Du kan också använda CAD-tråddata för att skapa en cylinderscan.

Så här skapar du cylindern:

  1. Klicka i närheten av den önskade tråden på cylindern. Den valda tråden markeras i PC-DMIS.

  2. Kontrollera att rätt element har valts.

Värdet för den markerade cylinderns centrumpunkt och diameter visas i dialogrutan när du har markerat tråden.

Obs! Om det underliggande CAD-elementet inte är en cylinder eller båge kan det behövas fler klickningar för att identifiera elementet. Om fel element markeras kan du försöka med att klicka på minst två ytterligare platser på cylindern.

  • Snittplanvektor: Den här vektorn är axeln för cylindern och utgör också det plan där scanåtgärden utförs.

  • 1:a punktvektor:Den här vektorn beskriver den riktning som används när mätspetsen tar den första mätpunkten för att starta scanåtgärden. Vektorn beräknas utifrån datainmatningsmetoden och är vinkelrät mot snittplanvektorn.


Cylinder: CAD-datametoden

Värdet för 1:a punktvektor för cylindern beräknas utifrån den första klickning som du gör för att beräkna cylindern med den här metoden.

Typ:

Följande alternativ finns i den nedrullningsbara listan Typ:

1) INRE: Ett hål

2) YTTRE: En tapp

Vinkel:

I rutan Vinkel visas vinkeln (i grader som ska scannas) från startpunkten. Både positiva och negativa vinklar kan användas. Positiva vinklar anses vara moturs och negativa vinklar anses vara medurs. Snittplanvektor anses vara den axel som vinkeln roterar kring. Vinkeln kan vara mer än 360 grader och i så fall fortsätter scanåtgärden mer än ett varv.

Exempel: Om den angivna vinkeln är 720 grader görs scanåtgärden två varv.

Diameter:

I rutan Diameter visas diametern för cylindern.

Djup:

I rutan Djup visas djupvärdet som används i riktningen Snittplanvektor.

Exempel: Om cylinderns mittpunkt är 1,1,3, snittplanvektorn är 0,0,1 och djupet är 0.5 anges cylinderns mittpunkt som 2.5 under körningen.

Stigning:

I rutan Stigning visas avståndet längs snittplanvektorn mellan start- och slutpunkten för scanåtgärden när ett helt varv på 360 grader utförs. Stigningen för cylindern kan vara ett positivt eller negativt värde. Detta värde i kombination med snittplanvektorn och vinkeln styr riktningen för scanåtgärden uppåt/nedåt längs cylinderns axel.

Exempel: Om cylinderns snittplanvektor är 0,0,1, värdet för Stigning är 1.0 och den positiva vinkeln är 720 körs scanåtgärden två varv och förflyttas uppåt längs cylinderns axel två enheter från startpunkten. Om en negativ stigning anges för samma cylinder körs scanåtgärden nedåt två enheter längs cylinderns axel.


Utföra en grundläggande axelscan

Dialogrutan GRUNDSCAN – fliken Axel

Dialogrutan GRUNDSCAN – fliken Axel

Med menyalternativet Infoga | Scan | Axel kan du scanna ett linjeelement. En startpunkt och en slutpunkt ska anges för linjen och sedan kan du köra scanåtgärden.

Axelmetoden:

  • Det är bara alternativet Avstånd på fliken Filter som kan användas.

  • Det är bara alternativet Vektor som kan väljas på fliken Mätpunktstyp.

  • Inga begränsningsvillkor behövs.

Följande två parametrar styr körningen av scanåtgärden:

  • Startpunkt: Körningen av scanåtgärden påbörjas vid den här punkten.

  • Slutpunkt: Körningen av scanåtgärden avslutas vid den här punkten.

Punktvärdena kan skrivas in direkt eller hämtas från maskinen eller från CAD-data.

Så här definierar du en grundläggande axelscan:

Du kan definiera en grundläggande axelscan genom att göra något av följande:

  • Skriva in värden direkt. Se Grundläggande axelscan – inmatningsmetoden.

  • Mäta punkter på detaljen fysiskt. Se Grundläggande axelscan – mätpunktsmetoden.

  • Klicka på punkter för att definiera axeln i CAD-modellen i Grafikfönstret. Se Grundläggande axelscan – Ytdatametoden eller Grundläggande axelscan – Tråddatametoden.

När du har skapat scanåtgärden infogas den i Redigeringsfönstret. Redigeringsfönstret. Så här ser kommandoraden för en grundläggande axelscan ut i Redigeringsfönstret:

ID =GRUNDSCAN/AXEL,VISA_MÄTPKT=JA,VISA_ALLA_PARAMETRAR=JA
startx, starty, startz,slutx,sluty,slutz
Snittplanvektor=i,j,k,tjocklek

Mer:

Grundläggande axelscan – inmatningsmetoden

Grundläggande axelscan – mätpunktsmetoden

Grundläggande axelscan – Ytdatametoden

Grundläggande axelscan – Tråddatametoden


Grundläggande axelscan – inmatningsmetoden

Med den här metoden kan du skriva in X-, Y- och Z-värdena för start- och slutpunkterna för en axelscan.

  1. Klicka på den önskade punkten i listrutan i kolumnen #. Dialogrutan Redigera scanelement visas. I namnlisten för dialogrutan visas ID:t för den parameter som redigeras.

Dialogrutan Redigera scanelement

  2. Redigera värdet för X, Y och/eller Z manuellt.

  3. Klicka på OK för att använda ändringarna.

Om du klickar på Avbryt stängs dialogrutan utan att några ändringar sparas.

Du kan också skriva in värdena för Snittplanvektor och 1:a punktvektor för axeln på samma sätt.


Grundläggande axelscan – mätpunktsmetoden

Så här skapar du en linje utan att använda CAD-data:

  1. Välj den önskade punkten i listan.

  2. Ta en mätpunkt på detaljen. Värdena för punkten fylls i automatiskt.

Snittplanvektor är normalvektorn för det plan där den raka linjen finns.


Grundläggande axelscan – Ytdatametoden

Så här skapar du en linje med hjälp av ytdata:

  1. Klicka på ikonen Yta.

  2. Välj Startpunkt i listan i dialogrutan.

  3. Klicka på detaljen i Grafikfönstret för att definiera startpunkten.

  4. Välj Slutpunkt i listan i dialogrutan.

  5. Klicka på detaljen i Grafikfönstret för att definiera slutpunkten.

Alla nödvändiga värden fylls i automatiskt i listrutan.


Grundläggande axelscan – Tråddatametoden

Du kan också använda CAD-tråddata för att skapa punkter för en linje. Klicka i närheten av den önskade tråden på axeln. Hela den valda tråden markeras i PC-DMIS. Dessutom fylls värden i för alternativen Startpunkt och Slutpunkt för den markerade tråden i dialogrutan.

Snittplanvektor: Det här är normalvektorn för det plan där den raka linjen finns.


Utföra en grundläggande centrerande scan

Dialogrutan GRUNDSCAN – fliken Centrum

Dialogrutan GRUNDSCAN – fliken Centrum

Med menyalternativet Infoga | Scan | Centrerande kan du hitta en lägsta/högsta punkt i ett område. En startpunkt och en slutpunkt anges för scanåtgärden som sedan körs av styrenheten. Utdata från den här scanåtgärden är en enda punkt.

För en centrerande scanåtgärd gäller följande:

  • Det är bara alternativet Avstånd på fliken Filter som kan användas.

  • Det är bara alternativet Vektor på fliken Mätpunktstyp som kan användas.

  • Inga Begränsningsvillkor behövs.

Följande två parametrar styr körningen av scanåtgärden:

  • Startpunkt: Körningen av scanåtgärden påbörjas vid den här punkten.

  • Slutpunkt: Körningen av scanåtgärden avslutas vid den här punkten.

Punktvärdena kan skrivas in direkt eller hämtas från maskinen eller från CAD-data.

Så här definierar du en grundläggande centrerande scan:

Du kan definiera en grundläggande centrerande scan genom att göra något av följande:

  • Skriva in värden direkt. Se Grundläggande centrerande scan – inmatningsmetoden.

  • Mäta punkter på detaljen fysiskt. Se Grundläggande centrerande scan – inmatningsmetoden.

  • Klicka på punkter i CAD-modellen i Grafikfönstret. Se Grundläggande centrerande scan – Använda ytdata på skärmen eller Grundläggande centrerande scan – Tråddatametoden.

Så här ser kommandoraden för en grundläggande centrerande scan ut i Redigeringsfönstret:

ID =GRUNDSCAN/CENTRERA,VISA_MÄTPKT=JA,VISA_ALLA_PARAMETRAR=JA
startx,starty,startz,slutx,sluty,slutz,Snittplanvektor=i,j,k,Typ
1:a punktvektor=i,j,k,riktning,tjocklek

Mer:

Exempel på en centrerande scan

Grundläggande centrerande scan – inmatningsmetoden

Grundläggande centrerande scan – mätpunktsmetoden

Grundläggande centrerande scan – Använda ytdata på skärmen

Grundläggande centrerande scan – Tråddatametoden


Exempel på en centrerande scan

Anta att du har ett V-format block, där V ligger i maskinens Y-axel och apex för detta V ligger i riktningen Y+ för detaljens koordinatsystem (se figuren nedan).

Visning uppifrån (Z+) av ett V-format block med apex i riktningen Y+

För att använda en grundläggande centrerande scan för att hitta apex för V-formen med hjälp av metoden PLAN gör du följande:

  1. Ta en mätpunkt där du vill att scanåtgärden ska starta (på en av sidorna på V-formen). Dialogrutan Scan fylls i automatiskt med X-, Y- och Z-värden för punkten.

  2. Ange samma XYZ-värden för Startpunkt och Slutpunkt.

  3. Se till att värdet för 1:a punktvektor är 0,–1,0.

  4. Se till att värdet för Snittplanvektor är 0,0,1.

  5. Välj PLAN i listan Typ.

  6. Klicka på Skapa. V-formen scannas för att hitta apex genom att en sökning görs efter den lägsta punkten längs 1:a punktvektorn.

För att använda en grundläggande centrerande scan för att hitta apex för V-formen med hjälp av metoden AXEL gör du följande:

  1. Ta en mätpunkt där du vill att scanåtgärden ska starta (på en av sidorna på V-formen). Dialogrutan Scan fylls i automatiskt med X-, Y- och Z-värden för punkten.

  2. Ange samma X- och Z-värden för Startpunkt och Slutpunkt. Förskjut sedan Y-värdet för slutpunkten in i detaljens material.

  3. Se till att värdet för 1:a punktvektor är 0,–1,0.

  4. Se till att värdet för Snittplanvektor är 0,0,1.

  5. Välj AXEL i listan Typ.

  6. Klicka på Skapa. V-formen scannas för att hitta apex genom att en sökning görs efter den lägsta punkten längs 1:a punktvektorn.


Grundläggande centrerande scan – inmatningsmetoden

Med den här metoden kan du skriva in X-, Y- och Z-värdena för start- och slutpunkterna för en centrerande scan.

  1. Dubbelklicka på den önskade punkten i listan i kolumnen #. Dialogrutan Redigera scanelement visas:

Dialogrutan Redigera scanelement

2. Redigera värdet för X, Y och/eller Z manuellt.

3. Klicka på OK för att använda ändringarna.

Om du klickar på Avbryt stängs dialogrutan utan att några ändringar sparas.

Du kan också skriva in värdena för Snittplanvektor och 1:a punktvektor för mittpunkten på samma sätt.


Grundläggande centrerande scan – mätpunktsmetoden

Så här skapar du en centrerande scan utan att använda CAD-data:

  1. Välj den önskade punkten i listan.

  2. Ta en mätpunkt på detaljen. Värdena för punkten fylls i automatiskt.

Snittplanvektor är normalvektorn för det plan där mätspetsen förblir rörlig när centrering utförs av styrenheten. 1:a punktvektor är den inledande anloppsvektorn vid startpunkten.


Grundläggande centrerande scan – Använda ytdata på skärmen

Grundläggande centrerande scan – Ytdatametoden

Så här skapar du en centrerande scan med hjälp av ytdata:

  1. Klicka på ikonen Yta.

  2. Välj den önskade punkten i listan.

  3. Klicka på en plats i Grafikfönstret. Alla nödvändiga värden fylls i automatiskt i listan.


Använda tråddata på skärmen

Grundläggande centrerande scan – Tråddatametoden

Du kan också använda CAD-tråddata för att skapa punkter.

Klicka i närheten av den önskade tråden på mittpunkten. Den valda tråden markeras i PC-DMIS. Den punkt på tråden som är närmast den plats där du klickade hittas och värden läggs till i listan.

  • Snittplanvektor: Den här vektorn är normalvektorn för det plan där mäthuvudet förblir rörligt när centrering utförs.

  • 1:a punktvektor: Den här vektorn är anloppsvektorn för mäthuvudet vid startpunkten.

Typ:

Följande typer av centreringsmetoder tillåts:

  • Axel: Startpunkten (S) projiceras på den definierade axeln (A). Den punkt som skapas är (SP). 1:a punktvektorn projiceras i det plan som definieras av den projicerade punkten (SP) och den axiella riktningen (A). Riktningen (N) som definieras på det här sättet är vertikal mot den axiella riktningen. Därefter (under tiden som centreringen utförs) förblir mittpunkten på mäthuvudet i det plan som definieras av den axiella riktningen och (SP). Centreringen sker med/mot riktningen (N) som indata och mäthuvudet är rörligt i den riktning som definieras av den axiella riktningen (A) som korsar riktningen (N).

    S     = Startpunkt
    A     = Definierad axel/axiell riktning
    SP     = Projicerad startpunkt
    N     = Den riktning som är vertikal mot den axiella riktningen.

  • Plan: Efter mätningen av den punkt som definierades av startpunkten centreras CMM-enheten längs/mot mäthuvudets riktning samtidigt som den förblir rörlig i det plan som definieras av snittplanvektorn.


Utföra en grundläggande linjescan

Dialogrutan GRUNDSCAN – fliken Linje

Dialogrutan GRUNDSCAN – fliken Linje

Om du väljer alternativet Infoga | Scan | Linje görs en scanning över ytan längs en linje. För den här proceduren används start- och slutpunkten för linjen och dessutom en riktningspunkt för beräkning av snittplanet. Mäthuvudet finns alltid kvar inom snittplanet när scanåtgärden utförs.

Tre olika filtertyper (på fliken Filter) är tillåtna. Läs mer om detta i avsnitten nedan.

Mer:

Avstånd

Koordinataxel

Variabel

Maxsteg

Punkter

Vektorer

Mätpunktstyp

Begränsning


Avstånd

Varje mätpunkt avgörs utifrån det angivna stegvärdet och de två senaste mätta punkterna. Anloppsvektorn för mätspetsen är vinkelrät mot linjen mellan de två senaste mätta punkterna. Mätspetsen stannar i snittplanet. Processen påbörjas vid den första begränsningspunkten och punkter tas med det mellanrum som har angetts med stegvärdet. Processen avslutas vid slutbegränsningspunkten.


Koordinataxel

Mätpunkter tas med det angivna stegavståndsvärdet längs koordinatsystemet för den aktuella detaljen. Anloppsriktningen för mätspetsen är vinkelrät mot den angivna axeln. Mätspetsen stannar i snittplanet. Anloppsvektorn blir vinkelrät mot den valda axeln och i snittplanet. Med tekniken KOORDINATAXEL används samma anlopp för varje mätpunkt som tas (till skillnad från tekniken LINJE, då anloppet justeras så att det blir vinkelrätt mot linjen mellan de två föregående mätpunkterna).


Variabel

Med tekniken VARIABEL kan du ange särskilda övre och nedre gränser för vinkel- och stegvärden som används för att avgöra var en mätpunkt ska tas. Anloppsvektorn för mäthuvudet är vinkelrät mot linjen mellan de två senaste mätta punkterna.

Ange de högsta och lägsta värden som ska användas för att avgöra stegvärdena mellan mätpunkterna. Du måste också ange de max- och minimivärden du vill använda för vinklar. Tre mätpunkter tas med minimistegvärdet. Därefter mäts vinkeln mellan mätpunkterna 1-2 respektive 2-3.

  • Om den uppmätta vinkeln ligger mellan de angivna max- och minimivärdena tas ytterligare mätpunkter med det aktuella stegvärdet.

  • Om vinkeln är större än maxvärdet tas den senaste mätpunkten bort och mäts igen med en fjärdedel av det aktuella stegvärdet.

  • Om vinkeln är mindre än minimistegvärdet tas mätpunkten vid minimistegvärdet.

Sedan mäts vinkeln återigen mellan den senaste mätpunkten och de två tidigare punkterna. Därefter fortsätter processen med att den senaste mätpunkten tas bort och stegvärdet krymps till en fjärdedel tills den uppmätta vinkeln ligger inom det angivna intervallet eller tills minimistegvärdet nås.

Om den uppmätta vinkeln är mindre än minimivärdet dubblas stegvärdet för nästa mätpunkt. (Om det dubbla stegvärdet blir större än maxstegvärdet tas mätpunkten vid maxstegvärdet.) Sedan mäts vinkeln återigen mellan den senaste mätpunkten och de två tidigare punkterna. Därefter fortsätter processen med att stegvärdet dubbleras till den uppmätta vinkeln ligger inom det angivna intervallet eller tills maxstegvärdet nås.

Om VINKEL > MAXVINK. så är STEG = STEG/4 tills MINSTEG nås
Om VINKEL < MINVINK. så är STEG = STEG × 2 tills MAXSTEG nås


Maxsteg

I rutan Maxsteg på fliken Filter kan du ange stegavståndet mellan mätpunkter för en scanåtgärd. Om du till exempel anger .5 vidrörs detaljen vid punkter med mellanrummet .5.


Punkter

För en scanåtgärd av typen LINJE krävs en startpunkt, en riktningspunkt och en slutpunkt.

  • Startpunkt: Startpunkten för scanåtgärden.

  • D: Riktningspunkten som används när scanåtgärden påbörjas.

  • Slutpunkt: Slutpunkten där scanåtgärden avslutas.


Vektorer

För scanåtgärder av typen LINJE används följande vektorer vid körning.

  • Snittplanvektor: Snittplanvektorn är kryssprodukten av utgångsvektorn och linjen mellan start- och slutpunkten. Mäthuvudet stannar i det här planet under scanningen.

  • Startvektor: Startvektorn är den inledande vektorn som används när scanåtgärden påbörjas.

  • Slutvektor: Slutvektorn används som anloppsvektor vid slutpunkten för scanåtgärden.

  • Riktningsvektor: Riktningsvektorn används för att påbörja scanåtgärden. Det är vektorn från startpunkten till riktningspunkten.

Snittplanvektorn är kryssprodukten av startvektorn och linjen mellan start- och slutpunkten.


Mätpunktstyp

Linjescanåtgärder kan utföras med vektor- eller ytmätpunkter. Mer information finns under Listan Mätpunktstyp i Området Mätpunkter.


Begränsning

Scanåtgärder av typen LINJE kan köras med något av följande begränsningsvillkor:

  • Plan

  • Sfär

  • Cylinder

  • Kon

  • ÄLDRETYP

Mer information finns i Använda knappen Begränsning.

Så här ser kommandoraden för en grundläggande linjescan ut i Redigeringsfönstret:

ID =GRUNDSCAN/LINJE,VISA_MÄTPKT=JA,VISA_ALLA_PARAMETRAR= JA
startx,starty,startz,slutx,sluty,slutz,Snittplanvektor=i,j,k, Riktningsvektor=i,j,k
1:a punktvektor=i,j,k, Slutvektor=i,j,k, tjocklek


Inledning: Utföra scanåtgärder manuellt

Dialogrutan Manuell TTP-scan

Dialogrutan Manuell scan

När du scannar manuellt kan du definiera en punktmätning genom att manuellt scanna ytan på en detalj. Detta är användbart om du vill använda användarstyrda CMM-mätpunkter.

Det finns två typer av manuella scanåtgärder.

  • Manuella scanåtgärder med ett brytande mäthuvud (TTP)

  • Manuella scanåtgärder med ett fast mäthuvud

För att börja skapa manuella scanåtgärder aktiverar du manuellt läge och väljer en av de tillgängliga manuella scantyperna på undermenyn Scan. Alternativen är bland annat:

  • Manuell TTP (endast tillgängligt om du använder ett TTP-mäthuvud)

  • Fast avstånd

  • Fast tid

  • Fast tid/avstånd

  • Koordinataxel

  • Flersektion

  • Manuell friform

En dialogruta för manuell scan öppnas. Allmän information om alternativen i dialogrutorna för olika typer av manuella scanåtgärder finns i Gemensamma funktioner i dialogrutan Grundläggande scan.

Mer:

Regler för manuella scanåtgärder

Ytterligare alternativ för manuell scan


Ytterligare alternativ för manuell scan

I PC-DMIS finns följande ytterligare alternativ när du utför manuella scanåtgärder.

Mer:

Ny rad

Scan klar

Kryssrutan 3D


Ny rad

Med knappen Ny rad kan du påbörja en ny rad för scanåtgärden. Den här knappen är bara tillgänglig när en manuell scanåtgärd lärs in. Knappen finns i dialogrutan Inställningar, körning.

Så här använder du knappen Ny rad:

  1. Klicka på Stopp för att pausa scanåtgärden.

  2. Klicka på knappen Ny rad. Detta anger att en ny rad ska scannas.

ELLER

  1. Klicka på knappen Ny rad först. Scanåtgärden pausas automatiskt.

  2. Flytta mätspetsen till nästa rad.

  3. Klicka på Fortsätt.

  4. Den nya raden scannas.


Scan klar

Genom att klicka på knappen Scan klar anger du att scanåtgärden är klar. Den här knappen är bara tillgänglig när en manuell scanåtgärd körs (lärs in). Knappen finns i dialogrutan Inställningar, körning. När du kör scanåtgärden samlas data till PC-DMIS från CMM-enheten. Samtidigt sker en filtrering (reducering) av data i PC-DMIS i enlighet med den metod (Fast tid, Fast avstånd, Fast tid/avstånd o.s.v.) du har angett. Data som inte uppfyller villkoren (t.ex. Fast tid- eller Fast avstånd-stegvärden) utesluts och data som uppfyller villkoren behålls.

I en del tidigare versioner fanns knappen Reducera men den har uteslutits i den här versionen. När du klickar på Scan klar avslutas insamlingen av data i PC-DMIS och insamlade data bearbetas för att hitta nominella värden, vektorkompensering o.s.v.


Kryssrutan 3D

Den här kryssrutan är bara tillgänglig om du använder en fast mätspets (t.ex. en Faro-arm). Den är bara tillgänglig på flikarna Fast avstånd, Fast tid/avstånd och Fast tid.

Med kryssrutan 3D kan du ta manuella mätpunkter tredimensionellt, i valfri riktning. Det här alternativet är användbart när du scannar med fritt rörliga manuella CMM-enheter där axlarna inte kan låsas.

När du scannar manuellt krävs det vanligtvis att du först tar de manuella mätpunkterna i riktningen för 1:a punktvektor i området Utgångsvektorer för att mätspetskompenseringen ska bli korrekt. För fritt rörliga manuella CMM-enheter (t.ex. Faro, SMX, GOM o.s.v.) kan det vara svårt att ta mätpunkter i en "rak" linje.

Om du markerar den här kryssrutan kan du flytta mätspetsen i valfri riktning. Varje gång du uppnår stegavståndet mellan föregående punkt och den aktuella punkten tas en mätpunkt.

Begränsningar för mätspetskompensering:

När du har markerat den här kryssrutan och kan röra mätspetsen i valfri riktning går det inte att avgöra exakt rätt mätspetskompensering (eller utgångs- och riktningsvektorerna) utifrån mätta data.

Det finns två lösningar på kompenseringsbegränsningarna:

  • Om det finns CAD-ytor kan du välja SÖKNOM i listan Nominella värden. Ett försök görs då att hitta de nominella värdena för varje mätt punkt i scanresultatet. Om nominella data inte hittas kompenseras punkten längs den hittade vektorn så att mätspetskompenseringen blir korrekt – annars blir punkten kvar vid mittpunkten för mätspetsens kula.

  • Om det inte finns några CAD-ytor sker ingen mätspetskompensering. Alla data blir kvar vid mittpunkten för mätspetsens kula och ingen kompensering sker.


Regler för manuella scanåtgärder

I följande avsnitt beskrivs regler om manuella scanåtgärder i allmänhet, regler för horisontalmaskiner och portalmaskiner samt armmaskiner.

Mer:

Allmänna regler för manuella scanåtgärder

Regler för att använda horisontalmaskiner och portalmaskiner

Regler för att använda armmaskiner (Gage 2000A, Faro, Romer)


Allmänna regler för manuella scanåtgärder

Manuella scanåtgärder ska utföras längs maskinaxeln (X, Y eller Z).

Exempel: Du behöver scanna längs ytan på en sfär på en detalj. Så här gör du:

  1. Lås Y-axeln. Du gör detta genom att använda en omkopplare på CMM-enheten. Du kan flytta omkopplaren till ON eller OFF för att förhindra/tillåta rörelse längs en axel.

  2. Börja scanna i riktningen +X.

  3. Lås upp Y-axeln och flytta till nästa rad längs riktningen +Y eller –Y.

  4. Lås Y-axeln igen.

  5. Scanna tillbaka i motsatt riktning (–X).

När du scannar manuellt längs flera rader rekommenderar vi att du scannar varannan rad i motsatt riktning.

Exempel (vi fortsätter med att scanna sfären enligt beskrivningen ovan):

  1. Börja scanna längs ytan i riktningen +X.

  2. Flytta till nästa rad och scanna längs axeln –X.

  3. Fortsätt växla riktning för scanningen rad för rad. De interna algoritmerna kräver den här typen av regelbundenhet och resultatet kan bli undermåligt om du inte arbetar på det här sättet.

Startvektor

För manuella scanåtgärder krävs en startvektor i maskinkoordinater för interna beräkningar.

Inledande riktningsvektor

För manuella scanåtgärder krävs en inledande riktningsvektor i maskinkoordinater för interna beräkningar.

Exempel: För en scanåtgärd i riktningen +X låser du maskinaxlarna Y och Z och anger värdet 0, 0, 1 för den inledande riktningsvektorn. Om scanåtgärden ska utföras längs axeln –X skriver du 0, 0, -1.


Regler för att använda horisontalmaskiner och portalmaskiner

Nedan beskrivs de regler som du bör följa för att manuella scanåtgärder ska kunna kompenseras korrekt och köras så snabbt som möjligt på horisontalmaskiner och portalmaskiner.

Scanåtgärder med fast avstånd, fast tid respektive fast tid/avstånd

  • Du måste låsa en av CMM-enhetens axlar under scanåtgärden. Scanåtgärden körs i ett plan som är vinkelrätt mot den låsta axeln.

  • För var och en av dessa tre scantyper måste du ange värden för 1:a punktvektor och Riktningsvektor i maskinkoordinatsystemet. Detta krävs eftersom du låser en av maskinaxlarna.

Koordinataxelscan

  • Du bör inte låsa någon axel under scanåtgärden. Scanåtgärden körs genom att mäthuvudet korsar en inmatad koordinataxelposition. Varje gång mäthuvudet korsar det angivna planet görs en avläsning i CMM-enheten som skickas till PC-DMIS.

  • För den här scantypen måste du ange värden för 1:a punktvektor och Riktningsvektor i detaljens koordinatsystem. Detta krävs för att mäthuvudet ska kunna korsa den angivna koordinataxelpositionen.

  • Kontrollera att du anger koordinataxeln i detaljens koordinatsystem.


Regler för att använda armmaskiner (Gage 2000A, Faro, Romer)

Nedan beskrivs de regler som du bör följa för att manuella scanåtgärder ska kunna kompenseras korrekt och köras så snabbt som möjligt på armmaskiner.

Alla typer av manuella scanåtgärder

  • Du bör inte låsa någon axel under scanåtgärden. Scanåtgärden körs genom att mäthuvudet korsar en inmatad koordinataxelposition. Varje gång mäthuvudet korsar det angivna planet görs en avläsning i CMM-enheten som skickas till PC-DMIS.

  • För den här scantypen måste du ange värden för 1:a punktvektor och Riktningsvektor i detaljens koordinatsystem. Detta krävs för att det ska gå att använda koordinataxelpositionen.

  • Kontrollera att du anger koordinataxeln i detaljens koordinatsystem.


Utföra manuella scanåtgärder med ett brytande mäthuvud (TTP)

Dialogrutan Manuell TTP-scan

Dialogrutan Manuell TTP-scan

Du kan utföra manuella scanåtgärder med ett brytande mäthuvud (TTP).

Så här gör du:

  1. Aktivera det manuella läget i PC-DMIS.

  2. Öppna dialogrutan Manuell TTP-scan (Infoga | Scan | Manuell TTP).

  3. Definiera alla nödvändiga parametrar.

  4. Klicka på Skapa. Dialogrutan Inställningar, körning öppnas och du uppmanas att ta en mätpunkt.

    Dialogrutan Inställningar, körning

  5. Ta mätpunkter.

  6. När du är klar klickar du på knappen Scan klar i dialogrutan Inställningar, körning så avslutas scanåtgärden.

Obs! Vissa scanningmetoder är inte tillgängliga när du använder ett brytande mäthuvud.


Utföra manuella scanåtgärder med ett fast mäthuvud

Du måste använda ett fast mäthuvud för att få tillgång till de fyra mätmetoderna.

När du scannar manuellt finns det fyra olika mätmetoder som kan användas med ett fast mäthuvud. De mätta punkterna samlas in så snart de har lästs av styrenheten under scanprocessen. När scanåtgärden har slutförts kan du reducera insamlade data beroende på vilken scanmetod du har valt.

Nedan beskrivs de fyra mätmetoderna som kan användas med ett fast mäthuvud:

Obs! När du använder ett brytande mäthuvud (TTP) krävs enskilda mätpunkter i varje läge. De olika mätmetoderna för scanning med fasta mäthuvuden är inte tillgängliga.

Mer:

Utföra en manuell scan med fast avstånd

Utföra en manuell scan med fast tid/avstånd

Utföra en manuell scan med fast tid

Utföra en manuell koordinataxelscan

Utföra en manuell flersektionsscan


Utföra en manuell scan med fast avstånd

Dialogrutan Fast delta

Dialogrutan Fast delta

Med menyalternativet Infoga | Scan | Fast avstånd kan du reducera mätdata genom att ange ett avståndsvärde i rutan Avst. mellan mätpktr. Scanningen påbörjas vid den första mätpunkten och reduceras sedan genom att mätpunkter som ligger närmare än det angivna avståndet tas bort. Mätpunkterna tas bort allt eftersom data skickas från maskinen. Alla punkter som skiljs åt med minst det angivna avståndet behålls.

Exempel: Om du har angett avståndet 0.5 behålls bara punkter som ligger minst 0.5 måttenheter från varandra. Alla andra mätpunkter från styrenheten ignoreras.

Mer information om de andra alternativen på fliken finns i Gemensamma funktioner i dialogrutan Scan.

Så här skapar du en scanåtgärd med fast avstånd (fast delta)

  1. Öppna dialogrutan Fast delta.

  2. Ange ett eget namn för scanåtgärden i rutan ID om du inte vill använda standardnamnet.

  3. I rutan Avst. mellan mätpktr. anger du hur långt mäthuvudet måste flyttas innan en ny mätpunkt kan tas. Det här är det tredimensionella avståndet mellan punkter. Om du till exempel skriver 5 med måttenheten millimeter måste mäthuvudet ha flyttats minst 5 mm från den senaste mätpunkten för att nästa mätpunkt från styrenheten ska accepteras.

  4. Ange startvektorn (1:a punktvektor). Det här är den vektor som är vinkelrät mot ytan som du ska scanna. Du kan ange vektorn genom att dubbelklicka och skriva ett värde, genom att klicka på ytan i Grafikfönstret eller genom att röra vid en punkt på detaljen med mäthuvudet.

  5. Ange riktningsvektorn (Riktningsvektor). Riktningsvektorn anger startriktningen för scanåtgärden som bör vara parallell med hur scanåtgärden påbörjas. Riktningsvektorn används i kombination med startvektorn för att kompensera scanåtgärden.

  6. Om du använder en CAD-modell skriver du ett toleransvärde för Sök nom. i området Sök nom. Det här värdet motsvarar hur långt mätspetsens centrum får befinna sig ifrån den nominella CAD-punkten.

  7. Ange andra inställningar i dialogrutan om det behövs.

  8. Klicka på Skapa. Den grundläggande scanåtgärden infogas.

  9. Kör detaljprogrammet. När scanåtgärden körs visas dialogrutan Inställningar, körning. Data förväntas skickas från styrenheten till PC-DMIS.

  10. Dra mäthuvudet manuellt över den yta som du vill scanna. Alla mätpunkter från styrenheten som ligger minst så långt ifrån varandra som du har angett i rutan Avst. mellan mätpktr accepteras.

Mer information om de andra alternativen på fliken finns i Gemensamma funktioner i dialogrutan Scan.


Utföra en manuell scan med fast tid/avstånd

Dialogrutan Variabelt delta

Dialogrutan Variabelt delta

Med menyalternativet Infoga | Scan | Fast tid/avstånd kan du minska antalet mätpunkter som tas i en scanåtgärd genom att ange hur långt avstånd som mäthuvudet måste förflyttas samt hur lång tid som måste gå innan en ny mätpunkt från styrenheten accepteras.

Så här skapar du en scanåtgärd med fast tid/avstånd (variabelt delta)

  1. Öppna dialogrutan Variabelt delta.

  2. Ange ett eget namn för scanåtgärden i rutan ID om du inte vill använda standardnamnet.

  3. I rutan Tidsavst. mellan avläsn. skriver du hur många sekunder som ska gå mellan varje registrering av mätpunkter.

  4. I rutan Avst. mellan mätpktr. anger du hur långt mäthuvudet måste flyttas innan en ny mätpunkt kan tas. Det här är det tredimensionella avståndet mellan punkter. Om du till exempel skriver 5 med måttenheten millimeter måste mäthuvudet ha flyttats minst 5 mm från den senaste mätpunkten för att nästa mätpunkt från styrenheten ska accepteras.

  5. Ange startvektorn (1:a punktvektor). Det här är den vektor som är vinkelrät mot ytan som du ska scanna. Du kan ange vektorn genom att dubbelklicka och skriva ett värde, genom att klicka på ytan i Grafikfönstret eller genom att röra vid en punkt på detaljen med mäthuvudet.

  6. Ange riktningsvektorn (Riktningsvektor). Riktningsvektorn anger startriktningen för scanåtgärden som bör vara parallell med hur scanåtgärden påbörjas. Riktningsvektorn används i kombination med startvektorn för att kompensera scanåtgärden.

  7. Om du använder en CAD-modell skriver du ett toleransvärde för Sök nom. i området Sök nom. Det här värdet motsvarar hur långt mätspetsens centrum får befinna sig ifrån den nominella CAD-punkten.

  8. Ange andra inställningar i dialogrutan om det behövs.

  9. Klicka på Skapa. Den grundläggande scanåtgärden infogas.

  10. Kör detaljprogrammet. När scanåtgärden körs visas dialogrutan Inställningar, körning. Data förväntas skickas från styrenheten till PC-DMIS.

  11. Dra mäthuvudet manuellt över den yta som du vill scanna. En kontroll utförs av hur lång tid som förflyter och hur långt mäthuvudet flyttas. Om tiden och avståndet överstiger de angivna värdena accepteras nästa mätpunkt från styrenheten.

Mer information om de andra alternativen på fliken finns i Gemensamma funktioner i dialogrutan Scan.


Utföra en manuell scan med fast tid

Dialogrutan Tidsdelta

Med menyalternativet Infoga | Scan | Fast tid kan du reducera scanningsdata genom att ange ett tidsintervall i rutan Tidsavst. mellan avläsn. Scanningen påbörjas vid den första mätpunkten och reduceras sedan genom att mätpunkter som läses in snabbare än den angivna fördröjningen tas bort.

Exempel: Om du anger tidsintervallet 0.05 sekunder behålls bara de mätpunkter från styrenheten som mäts med minst 0.05 sekunders mellanrum. Alla andra mätpunkter exkluderas från scanåtgärden.

Så här skapar du en scanåtgärd med fast tid (tidsdelta)

  1. Öppna dialogrutan Variabelt delta.

  2. Ange ett eget namn för scanåtgärden i rutan ID om du inte vill använda standardnamnet.

  3. I rutan Tidsavst. mellan avläsn. skriver du hur många sekunder som ska gå mellan varje registrering av mätpunkter.

  4. Ange startvektorn (1:a punktvektor). Det här är den vektor som är vinkelrät mot ytan som du ska scanna. Du kan ange vektorn genom att dubbelklicka och skriva ett värde, genom att klicka på ytan i Grafikfönstret eller genom att röra vid en punkt på detaljen med mäthuvudet.

  5. Ange riktningsvektorn (Riktningsvektor). Riktningsvektorn anger startriktningen för scanåtgärden som bör vara parallell med hur scanåtgärden påbörjas. Riktningsvektorn används i kombination med startvektorn för att kompensera scanåtgärden.

  6. Om du använder en CAD-modell skriver du ett toleransvärde för Sök nom. i området Sök nom. Det här värdet motsvarar hur långt mätspetsens centrum får befinna sig ifrån den nominella CAD-punkten.

  7. Ange andra inställningar i dialogrutan om det behövs.

  8. Klicka på Skapa. Den grundläggande scanåtgärden infogas.

  9. Kör detaljprogrammet. När scanåtgärden körs visas dialogrutan Inställningar, körning. Data förväntas skickas från styrenheten till PC-DMIS.

  10. Dra mäthuvudet manuellt över den yta som du vill scanna. Om den förflutna tidsperioden mellan två mätpunkter från styrenheten är längre än det angivna värdet i rutan Tidsavst. mellan avläsn. accepteras mätpunkterna.

Mer information om de andra alternativen på fliken finns i Gemensamma funktioner i dialogrutan Scan.


Utföra en manuell koordinataxelscan

Dialogrutan Koordinataxel

Med alternativet Infoga | Scan | Huvudaxel kan du scanna en detalj genom att ange ett snittplan på en detaljaxel och dra mäthuvudet över snittplanet. När du scannar detaljen ska du göra det så att mäthuvudet går kors och tvärs över det definierade snittplanet så många gånger som du vill. Därefter sker följande i PC-DMIS:

  1. Data hämtas till PC-DMIS från styrenheten och de två datamätpunkter som är närmast snittplanet på vardera sidan när du går kors och tvärs över planet hittas.

  2. Därefter skapas en linje mellan de två mätpunkterna som genomborrar snittplanet.

  3. Den genomborrade punkten blir en mätpunkt i snittplanet.

Det här sker varje gång du korsar snittplanet och slutresultatet blir att ett stort antal mätpunkter skapas i snittplanet.

Du kan använda den här metoden för att inspektera flera rader med scanåtgärder (områdesscan) genom att ange ett stegvärde för snittplansläget. När den första raden har scannats flyttas snittplanet till nästa läge genom att stegvärdet adderas till det aktuella läget. Därefter kan du fortsätta scanna nästa rad på nästa snittplansläge.

Så här skapar du en koordinataxelscan

  1. Öppna dialogrutan Koordinataxel.

  2. Ange ett eget namn för scanåtgärden i rutan ID om du inte vill använda standardnamnet.

  3. Välj en axel i listan Axel. De tillgängliga axlarna är X, Y och Z. Snittplanet som mäthuvudet ska gå kors och tvärs över blir parallellt med den här axeln.

  4. I rutan Läge anger du på vilket avstånd från den definierade axeln som snittplanet ska placeras.

  5. I rutan Stegvärde anger du avståndet mellan planen, om du ska scanna över flera plan.

  6. Ange startvektorn (1:a punktvektor). Det här är den vektor som är vinkelrät mot ytan som du ska scanna. Du kan ange vektorn genom att dubbelklicka och skriva ett värde, genom att klicka på ytan i Grafikfönstret eller genom att röra vid en punkt på detaljen med mäthuvudet.

  7. Ange riktningsvektorn (Riktningsvektor). Riktningsvektorn anger startriktningen för scanåtgärden som bör vara parallell med hur scanåtgärden påbörjas. Riktningsvektorn används i kombination med startvektorn för att kompensera scanåtgärden.

  8. Om du använder en CAD-modell skriver du ett toleransvärde för Sök nom. i området Sök nom. Det här värdet motsvarar hur långt mätspetsens centrum får befinna sig ifrån den nominella CAD-punkten.

  9. Ange andra inställningar i dialogrutan om det behövs.

  10. Klicka på Skapa. Den grundläggande scanåtgärden infogas.

  11. Kör detaljprogrammet. När scanåtgärden körs visas dialogrutan Inställningar, körning. Data förväntas skickas från styrenheten till PC-DMIS.

  12. Dra mäthuvudet manuellt fram och tillbaka över den yta som du vill scanna. Mätpunkter tas emot från styrenheten varje gång mäthuvudet korsar det definierade planet.

Mer information om de andra alternativen på fliken finns i Gemensamma funktioner i dialogrutan Scan.


Utföra en manuell flersektionsscan

Dialogrutan Flersektion

Menyalternativet Infoga | Scan | Flersektion fungerar ungefär som alternativet Koordinataxel. Skillnaderna är följande:

  • En flersektionsscan kan gå över flera sektioner.

  • Den behöver inte vara parallell med någon av axlarna X, Y och Z.

Så här skapar du en flersektionsscan

  1. Öppna dialogrutan Flersektion.

  2. Ange ett eget namn för scanåtgärden i rutan ID om du inte vill använda standardnamnet.

  3. Välj en axel i listan Axel. Planet som mäthuvudet kommer att gå kors och tvärs över blir parallellt med den här axeln.

  4. I listan Sektionstyp väljer du den typ av sektioner du vill scanna. Du kan välja mellan följande:

    • Parallella plan – Sektionerna är plan som går igenom detaljen. Varje gång mäthuvudet korsar ett plan tas en mätpunkt. Alla plan är relativa mot startpunkten och riktningsvektorn.

    • Radiella plan – Sektionerna är plan som strålar ut från startpunkten. Varje gång mäthuvudet korsar ett plan tas en mätpunkt.

    • Koncentriska cirklar – Sektionerna är koncentriska cirklar med allt större diametrar som centreras kring startpunkten. Varje gång mäthuvudet korsar en cirkel tas en mätpunkt.

  5. I rutan Antal sektioner skriver du hur många sektioner du vill använda för scanåtgärden.

  6. Om du väljer minst två sektioner anger du avståndet mellan sektionerna i rutan Stegvärde. För parallella plan och cirklar är det här värdet ett avstånd och för radiella plan är värdet en vinkel. Sektionerna i detaljen får rätt avstånd automatiskt.

  7. I området Startpunkt skriver du in X-, Y- och Z-värdena för startpunkten för scanåtgärden. Sektionerna beräknas utifrån den här tillfälliga punkten och bygger på det angivna stegvärdet.

  8. I rutan Stegvärde anger du avståndet mellan planen, om du ska scanna över flera plan.

  9. Ange startvektorn (1:a punktvektor). Det här är den vektor som är vinkelrät mot ytan som du ska scanna. Du kan ange vektorn genom att dubbelklicka och skriva ett värde, genom att klicka på ytan i Grafikfönstret eller genom att röra vid en punkt på detaljen med mäthuvudet.

  10. Ange riktningsvektorn (Riktningsvektor). Riktningsvektorn anger startriktningen för scanåtgärden som bör vara parallell med hur scanåtgärden påbörjas. Riktningsvektorn används i kombination med startvektorn för att kompensera scanåtgärden.

  11. Om du använder en CAD-modell skriver du ett toleransvärde för Sök nom. i området Sök nom. Det här värdet motsvarar hur långt mätspetsens centrum får befinna sig ifrån den nominella CAD-punkten.

  12. Ange andra inställningar i dialogrutan om det behövs.

  13. Klicka på Skapa. Den grundläggande scanåtgärden infogas.

  14. Kör detaljprogrammet. När scanåtgärden körs visas dialogrutan Inställningar, körning. Data förväntas skickas från styrenheten till PC-DMIS.

  15. Dra mäthuvudet manuellt över den yta som du vill scanna. Mätpunkter tas emot från styrenheten varje gång mäthuvudet korsar de(t) definierade sektionen/sektionerna.

Mer information om de andra alternativen på fliken finns i Gemensamma funktioner i dialogrutan Scan.


Utföra en manuell friformsscan

Dialogrutan Manuell friform

Dialogrutan Manuell friform

Med menyalternativet Infoga | Scan | Manuell friform kan du skapa en friformsscan med en fast mätspets. För den här scantypen krävs ingen utgångsvektor eller riktningsvektor som för många andra manuella scanåtgärder. Precis som för CNC-motsvarigheten behöver du bara klicka på punkter på den yta du vill scanna för att skapa en friformsscan.

Så här skapar du en manuell friformsscan:

  1. Klicka på knappen Mer>> för att visa flikarna längst ned i dialogrutan.

  2. Klicka på ytan på detaljen i Grafikfönstret för att definiera vägen för scanåtgärden. För varje gång du klickar visas en ny orange punkt på detaljritningen.

  3. När du har skapat de punkter du vill använda för scanåtgärden klickar du på Skapa. Scanåtgärden infogas i Redigeringsfönstret.

Mer information om de andra alternativen på fliken finns i Gemensamma funktioner i dialogrutan Scan.


Infoga rörelsekommandon

Infoga rörelsekommandon: Inledning

Infoga ett kommando för via-punkt

Infoga ett kommando för inkrementell rörelse

XYZ-rörelse

Spara via-punkt

OK att utföra rörelse

Inkrementell rörelse

Inlärning under körning

Läsa position för via-punkt

Infoga ett säkerhetsplan

Infoga ett kommando för rörelse till säkerhetsplan

Infoga ett kommando för cirkulär rörelse

Infoga ett kommando för synkronisering av rörelse

Infoga ett kommando för femaxlig rörelse

Infoga ett kommando för rörelse på alla axlar

Infoga ett kommando för rundbord

Infoga ett kommando för säkerhetszon

Definiera säkerhetszonen

Steg 1: Aktivera säkerhetszonen

Steg 2: Ange hörnpunktsvärden

Steg 3: Klicka på OK


Infoga rörelsekommandon: Inledning

Det här avsnittet innehåller en genomgång av de rörelsekommandon som kan läggas till i ett detaljprogram. Med rörelsekommandon kan du ändra hur mäthuvudet ska flyttas mellan mätpunkter.

De huvudsakliga ämnen som behandlas i det här avsnittet är olika rörelsekommandon som kan infogas via undermenyn Infoga | Rörelse och andra rörelsekommandon. Ämnena är bland annat:

  • Infoga ett kommando för via-punkt

  • Infoga ett kommando för inkrementell rörelse

  • Infoga ett säkerhetsplan

  • Infoga ett kommando för rörelse till säkerhetsplan

  • Infoga ett kommando för cirkulär rörelse

  • Infoga ett kommando för synkronisering av rörelse

  • Infoga ett kommando för femaxlig rörelse

  • Infoga ett kommando för rörelse på alla axlar

  • Infoga ett kommando för rundbord

  • Infoga ett kommando för säkerhetszon

Utförligare genomgångar av dem finns nedan.


Infoga ett kommando för via-punkt

I PC-DMIS får du inte infoga en rörelse mitt i en förflyttning till säkerhetsplanet eller mitt i en rotation av ett PH9-mäthuvud. Om markören finns i ett kommando för körning till säkerhetsplanet eller en PH9-ändring visas meddelandet DET GÅR INTE ATT INFOGA EN RÖRELSE HÄR (på engelska UNABLE TO INSERT A MOVE AT THIS POINT).

Med kommandot Via-punkt infogar du en via-punkt i detaljprogrammet. Visa menykarta

Välj menyalternativet Infoga | Rörelse | Via-punkt om du vill använda det här alternativet. När du har valt menyalternativet infogas en via-punkt vid den aktuella mäthuvudspositionen.

Kommandoraden för en via-punkt bör se ut ungefär så här i Redigeringsfönstret:
VIA/PUNKT,x,y,z

Om du vill ändra de visade värdena i Redigeringsfönstret markerar du det önskade värdet och skriver in ett nytt värde eller öppnar dialogrutan Via-punkt genom att trycka på F9 när du markören är placerad i kommandot.

I version 3.5 och senare versioner markeras ett infogat VIA/PUNKT-kommando automatiskt för körning.

Använda via-punkter vid animering

Om du väljer menyalternativet vid animering av ett mäthuvuds körväg för mätmaskinen får du alltid en fråga om rörelsen ska infogas före eller efter den aktuella positionen. Den aktuella positionen visas i statusfältet.

Infoga via-punkter från statusfältet

Du kan även aktivera möjligheten att infoga en via-punkt när du arbetar i programmeringsläge genom att placera markören över avläsningarna i statusfältet och klicka med vänster musknapp.

Infoga via-punkter från en handterminal

Om du trycker på PRINT på en handterminal (i Sharpe32-system) medan du arbetar i inlärningsläge infogas automatiskt en via-punkt i detaljprogrammet. Registerposten PrintButton måste vara inställd till TRUE för att funktionen ska vara tillgänglig.

Obs! Om du väljer menyalternativet Åtgärder | Flytta till öppnas dialogrutan Via-punkt i stället för att det automatiskt infogas en via-punkt i detaljprogrammet. I rutan kan du ange vilken XYZ-position som mäthuvudet ska flyttas till. Visa menykarta


Infoga ett kommando för inkrementell rörelse

I likhet med kommandot för Via-punkt kan du med menyalternativet Infoga | Rörelse | Inkrementell rörelse infoga ett VIA/STEGVÄRDE-kommando i Redigeringsfönstret. När kommandot för inkrementell rörelse påträffas flyttas mäthuvudet med det angivna stegvärdet för X, Y och Z från den aktuella positionen.

När du väljer menyalternativet Inkrementell rörelse öppnas först dialogrutan Via-punkt. I dialogrutan kan du definiera kommandot för inkrementell rörelse innan du infogar det i detaljprogrammet.mct

Dialogrutan Via-punkt

I dialogrutan kan du ange den nominella positionen för kommandot för via-punkt eller inkrementell rörelse.

Mer:

XYZ-rörelse

Spara via-punkt

OK att utföra rörelse

Inkrementell rörelse

Inlärning under körning

Läsa position för via-punkt


XYZ-rörelse

I rutorna för XYZ-rörelse, X:, Y: och Z:, visas de nominella X-, Y- och Z-värdena för via-punktens position.

Så här ändrar du X- Y- och Z-värdena:

  1. Markera det fält du vill ändra.

  2. Ange ett nytt värde.

När du anger ett nytt värde visas det animerade mäthuvudet på den nya positionen. Det anger positionen för den sparade rörelsen. När du klickar på OK flyttas mätmaskinen till den angivna positionen.


Spara via-punkt

Om du markerar kryssrutan Spara via-punkt infogas en via-punkt för de angivna X-, Y- och Z-rörelserna i programmet.


OK att utföra rörelse

Om kryssrutan OK att utföra rörelse har markerats flyttas mäthuvudet till X-, Y- och Z-positionen. På så sätt kan du ställa in positionen för en mätmaskin utan att spara rörelsen. Om du markerar det här alternativet fylls värdena för X, Y och Z i med värdena för mäthuvudets aktuella position.


Inkrementell rörelse

Om du markerar kryssrutan Inkrementell rörelse infogas en inkrementell rörelse som flyttar mäthuvudet enligt de angivna XYZ-avstånden i stället för till XYZ-positionen (som i en XYZ-rörelse).

Du måste även markera kryssrutan Spara via-punkt.

Kommandoraden för en inkrementell rörelse ser ut så här i Redigeringsfönstret:
VIA/STEGVÄRDE, x, y, z


Inlärning under körning

Om du markerar kryssrutan Inlärning under körning flyttas programmet till och lär om den XYZ-position som visas i dialogrutan när detaljprogrammet körs. Du måste även markera kryssrutan Spara via-punkt för att kommandot ska fungera.

Kommandoraden för en via-punkt som ska läras om vid körning av programmet bör se ut ungefär så här i Redigeringsfönstret:
VIA/PUNKT, OMINLÄRNING


Läsa position för via-punkt

Om du klickar på knappen Läs pos. läses mäthuvudets aktuella position av och värdena för X, Y och Z ställs in i dialogrutan Via-punkt. Du kan därefter överföra värdena till Redigeringsfönstret genom att markera kryssrutan Spara via-punkt och klicka på OK.


Infoga ett säkerhetsplan

Genom att använda kommandot SÄKPLAN (Infoga | Parameterändring | Säkerhetsplan) kan du definiera ett säkerhetsplanvärde för det aktuella arbetsplanet. I korthet skapar säkerhetsplan ett skal kring en detalj som mäthuvudet alltid måste gå tillbaka till vid förflyttning från ett element till nästa.

På fliken Säkerhetsplan i dialogrutan Parametrar (se Parameterinställningar: Fliken Säkerhetsplan i avsnittet Göra inställningar) kan du ställa in säkerhetsplan globalt. Kommandot SÄKPLAN definierar endast säkerhetsplanet för den första mätpunkten på ett element. Om du vill ställa in fler säkerhetsplan för ett element öppnar du en ny rad vid den önskade positionen och skriver in kommandot SÄKPLAN.


Infoga ett kommando för rörelse till säkerhetsplan

Med menyalternativet Infoga | Rörelse | Till säkerhetsplan infogar du ett VIA/SÄKERHETSPLAN-kommando mellan block och i element.

Det här kommandot används tillsammans med kommandot SÄKPLAN/. När kommandot påträffas under körning flyttas mäthuvudet till det säkerhetsplan som definieras med kommandot SÄKPLAN/. Mäthuvudet står kvar på säkerhetsplanet tills det kommer ett kommando som anger att det ska flyttas från säkerhetsplanet, till exempel något av kommandona MÄT, MÄTPKT eller VIA/PUNKT. Om du vill att mäthuvudet ska flyttas till säkerhetsplanet före varje mätpunkt i en mätt cirkel måste du infoga ett VIA/SÄKERHETSPLAN-kommando direkt före varje MÄTPKT/-kommando.

Då görs en sökning efter definitionen av säkerhetsplanet i PC-DMIS. För att kommandot ska fungera måste du ha ställt in parametrarna för säkerhetsplanet.

Så här ställer du in parametrarna för ett SÄKERHETSPLAN-kommando:

  1. Öppna dialogrutan Parameterinställning (Redigera | Alternativ | Parametrar). Visa menykarta

  2. Klicka på fliken Säkerhetsplan.

  3. Ange avståndet i rutan Värde i området Aktivt plan.

  4. Ange avståndet för säkerhetsplanet i rutan Värde i området Genomgångsplan.

  5. Markera kryssrutan Säkerhetsplan aktiva.

  6. Klicka på OK.

Om parametrarna inte har ställts in visas ett felmeddelande.

Kommandoraden för ett kommando för körning till säkerhetsplan bör se ut ungefär så här i Redigeringsfönstret:
VIA/SÄKERHETSPLAN


Infoga ett kommando för cirkulär rörelse

Med menyalternativet Infoga | Rörelse | Cirkulär rörelse infogar du ett VIA/CIRKULÄR-kommando vid markörens position i Redigeringsfönstret.

När kommandot påträffas följer mäthuvudet en cirkulär körväg när nästa mätpunkt ska tas. Det rör sig från en punkt till nästa i en cirkelrörelse som baseras på radien för det element som mäts.

Genom att följa en cirkulär körväg kan du undvika att mäthuvudet kolliderar med element som skulle vara i vägen på en rak körväg. Om du till exempel mäter ett hål som innehåller ett fyrkantigt stift kan stiftet blockera mäthuvudets körväg om du inte använder en cirkulär rörelse.

Det här kommandot har en väldigt specifik användning även om en mätning av ett stift går något snabbare om du använder det, på grund av att mäthuvudet då inte behöver flyttas lika långt från den senaste mätpunkten.


Infoga ett kommando för synkronisering av rörelse

Detaljprogram för flerarmsmaskiner innehåller kommandon för kontroll av flera armar. Kommandona körs separat i maskinerna så att båda armarna rörs samtidigt.

Med menyalternativet Infoga | Rörelse | Synkronisera rörelse infogar du ett VIA/SYNK-kommando i Redigeringsfönstret.

Om du använder detta kommando för maskiner med dubbla armar kan du synkronisera armarnas rörelse. Rörelsen för den arm som först når VIA/SYNK-kommandot under körningen av detaljprogrammet stoppas och nästa arm inväntas innan körningen av resten av detaljprogrammet fortsätter för båda armarna.


Infoga ett kommando för femaxlig rörelse

Med menyalternativet Infoga | Rörelse | Femaxlig rörelse infogar du följande kommandoblock för ett svep i Redigeringsfönstret.

START_SVEP/

SLUT_SVEP/

VIA/SVEP Rörelsekommandon som infogas mellan START_SVEP och SLUT_SVEP innebär att mäthuvudet flyttas längs samtliga fem axlar på en gång (tre av axlarna är X, Y och Z som används vid förflyttning av maskinen; de två övriga axlarna hänvisar till mäthuvudets AB-rörelse) om du använder ett PHS-mäthuvud och en styrenhet av typen Sharpe32Z.

Obs! Kommandot fungerar endast med ett steglöst vridbart mäthuvud (CW43, CW43Light eller PHS) och endast med ett lasermäthuvud av typen Renishaw SP600 eller Wolf & Beck OTM3 (det kan även fungera med mätmaskiner från Perceptron och Metris). Eftersom SP600-mäthuvuden normalt sett inte säljs tillsammans med steglöst vridbara mäthuvuden är den här funktionen begränsad till lasermäthuvudet OTM3.

Rörelsen sker samtidigt på de fem axlarna. Detta är en skillnad mot ett PH9-mäthuvud där maskinen först måste flyttas längs X-, Y- och Z-axlarna. När maskinen sedan stannar sker rörelsen i mäthuvudets riktning (AB-vinklarna).

Exempel: Anta att mätmaskinens position är 10, 10, 10 (på X-, Y- och Z-axlarna) och att mäthuvudets riktning (AB-position) är 0, 0. Om du vill flytta mätmaskinen till 20, 20, 20 och mäthuvudet till 0, 180 skulle ett PHS-mäthuvud som använder kommandon för femaxlig rörelse utföra båda rörelserna samtidigt. Med ett PH9-mäthuvud skulle däremot mätmaskinen flyttas före mäthuvudet.

En jämförelse:

  • Ett PH9-mäthuvud kan röras mellan 0º och 110º på A-axeln och +180º till -180º på B-axeln.

  • Ett PHS-mäthuvud kan röras mellan -180º och +180º på både A- och B-axeln i steg om 0,1 grad.

Fördelarna med kommandon för femaxlig rörelse är bland annat:

  • En jämnare rörelse som gör det enklare att mäta svåråtkomliga element.

  • Du sparar tid genom att inte behöva vänta på att mätmaskinens kolv och arm ska flyttas till X-, Y- och Z-positionerna innan mäthuvudets riktning ändras.

  • Mindre vibrationer ger något bättre noggrannhet.

Obs! Det krävs minst tre VIA/SVEP-kommandon mellan START_SVEP/ och SLUT_SVEP/ i kommandoblocket. Dessa rörelsekommandon är nödvändiga för att skapa en elliptisk körväg.


Infoga ett kommando för rörelse på alla axlar

Med kommandot VIA/ALLA hanteras alla motoriserade mäthuvuden – steglöst vridbara eller
indexerbara – och alla mäthuvudskombinationer.

Med menyalternativet Infoga | Rörelse | Förflyttning i alla axlar infogar du ett VIA/ALLA-kommando i Redigeringsfönstret.

Kommandot VIA/ALLA är detsamma som kommandot VIA/PUNKT i kombination med ett MÄTSPETS/-kommando. Med det här kommandot kan du rotera mäthuvudet tillsammans med maskinens rörelse.

Om du använder en vridbar mätenhet (PHS, CW43L eller CW43) synkroniseras rörelsen så att det vridbara mäthuvudets AB-rörelse börjar och slutar samtidigt som maskinens rörelse längs X-, Y- och Z-axlarna.

Om du använder kommandot med ett indexerbart vridbart mäthuvud, till exempel PH10M, kan du inte synkronisera rörelsen och den utförs vid en ej angiven tidpunkt under maskinens rörelse (beroende på tidsförskjutningen i den elektroniska signalbearbetningen till maskinen). Därför kan det hända att AB-rörelsen för det vridbara mäthuvudet inte har slutförts när maskinen utför X-, Y och Z-rörelsen.

Kommandofönstret ser ut så här med kommandot VIA/ALLA:

VIA/ALLA,X,Y,Z,MÄTSPETS=T1A0B0, SKAFTIJK=0, 0, 1, VINKEL=0

  • Med X,Y,Z anger du de X-, Y- och Z-koordinater som mäthuvudet ska flyttas till.

  • MÄTSPETS=T1A0B0 visar vilken AB-rörelse som ska utföras för det vridbara mäthuvudet.

  • Med SKAFTIJK=IJK anger du skaftets vektor.

  • VINKEL=0 anger den teoretiska vinkeln.

Observera att mäthuvudets vinkel vanligtvis är en fördefinierad MÄTSPETS-position.


Infoga ett kommando för rundbord

Med menyobjektet Infoga | Rörelse | Vrid rundbord kan du infoga ett VIA/RUNDBORD-kommando vid markörens aktuella position. Den fullständiga kommandoraden ser ut så här i Redigeringsfönstret:

Kommandorad i Redigeringsfönstret:
VIA/RUNDBORD,vinkel,RIKTNING

Riktning = anger bordets rotationsriktning. De tillgängliga alternativen är:

Medurs: | Bordet roteras medurs tills det når den vinkel som har angetts i rutan Vinkel.
Moturs: | Bordet roteras moturs tills det når den vinkel som har angetts i rutan Vinkel.
Kortaste: | Bordet roteras den kortaste vägen (med- eller moturs) tills det når den vinkel som har angetts i rutan Vinkel.

När detta kommando påträffas roteras bordet till den position som anges i det aktiva VIA/RUNDBORD-kommandot.

Exempel: Anta att ett detaljprogram innehåller flera olika VIA/RUNDBORD-kommandon. Om du klickar på en viss del av detaljprogrammet och väljer menyalternativet Vrid rundbord roteras bordet till den position som anges i det VIA/RUNDBORD-kommando som är aktivt i den delen av detaljprogrammet.

Menyalternativet är endast tillgängligt om hårdvarulåset har konfigurerats för rundbord.


Infoga ett kommando för säkerhetszon

Men menyalternativet Infoga | Rörelse | Säkerhetszon kan du infoga en säkerhetszon så att armarna i ett system med dubbla armar inte kolliderar.

När du väljer det här alternativet öppnas dialogrutan Säkerhetszon.

Dialogrutan Säkerhetszon

I dialogrutan kan du infoga ett VIA/SÄKERHETSZON-kommando i Redigeringsfönstret.

Kommandot VIA/SÄKERHETSZON tillämpas antingen på Arm1 eller på Arm2.

Innan kommandot körs kontrolleras det att den arm som har tilldelats till kommandot inte redan har en inställd säkerhetszon som överlappar den aktuella säkerhetszonen.

Om det finns en rörelsekonflikt måste kommandot VIA/SÄKERHETSZON:

  • Invänta att den arm som har tilldelats till kommandot släpper kommandovolymen.

  • Fortsätta körningen av de rörelsekommandon som finns nedanför kommandot VIA/SÄKERHETSZON.

Mer:

Definiera säkerhetszonen


Definiera säkerhetszonen

När du definierar en säkerhetszon bör du tänka på följande:

  • Det måste finnas ett VIA/SÄKERHETSZON-kommando före varje avsnitt av rörelsekommandon i ett detaljprogram där någon av armarna styrs in i en region som överlappar den andra armens område. Kommandot VIA/SÄKERHETSZON bör definiera en 3D-ruta runt den rörelse som kommer att utföras i det överlappande området för en mätmaskin med dubbla armar.

  • Det måste finnas ett VIA/SÄKERHETSZON=AV-kommando efter att mäthuvudet har dragits tillbaka från det överlappande området för en mätmaskin med dubbla armar.

Om du till exempel vill att varje arm ska kontrollera en gemensam sfär med automatiska sfärkommandon ska du konfigurera detaljprogrammet så här:

VIA/SÄKERHETSZON=PÅ (för arm 1)
AUTO/SFÄR(för arm 1)
VIA/SÄKERHETSZON=AV (för arm 1)
VIA/SÄKERHETSZON=PÅ (för arm 2)
AUTO/SFÄR (för arm 2)
VIA/SÄKERHETSZON=AV (för arm 2)

Följande steg anger hur du definierar säkerhetszonen.

Mer:

Steg 1: Aktivera säkerhetszonen

Steg 2: Ange hörnpunktsvärden

Steg 3: Klicka på OK


Steg 1: Aktivera säkerhetszonen

Markera kryssrutan Aktivera säkerhetszon. Du kan redigera värdena för X, Y och Z under alternativen Hörnpunkt 1 och Hörnpunkt 2.

Du kan även klicka på ett redan infogat VIA/SÄKERHETSZON-kommando i Redigeringsfönstret och trycka på F9. Då öppnas dialogrutan Säkerhetszon och du kan markera eller avmarkera kryssrutan.

  • Om kryssrutan är markerad när du klickar på OK visas följande kommando i Redigeringsfönstret:
    VIA/SÄKERHETSZON=PÅ, HÖRN1=x,y,z,HÖRN2=x,y,z

  • Om kryssrutan inte är markerad när du klickar på OK visas följande kommando i Redigeringsfönstret:
    VIA/SÄKERHETSZON=AV


Steg 2: Ange hörnpunktsvärden

Skriv in X-, Y- och Z-värden för Hörn 1 och Hörn 2. Du kan läsa in värdena för mäthuvudets aktuella position i den markerade hörnpunkten genom att klicka på knappen Läs position.

Säkerhetszonen skapas genom att du definierar två hörn. Se till att du väljer hörnpunkter som ger en korrekt definition av säkerhetszonen. Punkterna (hörn 1 och hörn 2) står för två hörn som är diagonalt motsatta varandra.

På en 3D-yta kan du skapa en rektangulär zon av två punkter om du använder det aktuella koordinatsystemet för att skapa rektangelns sidor. Genom en kombination av olika delar av de två punkterna kan du skapa de åtta punkter som behövs för att skapa det rektangulära området.

Exempel:

Det första hörnet = X1, Y1, Z1
Det andra hörnet = X2, Y2, Z2
Det tredje hörnet = X1, Y1, Z2
Det fjärde hörnet = X1, Y2, Z1
Det femte hörnet = X1, Y2, Z2
Det sjätte hörnet = X2, Y1, Z1
Det sjunde hörnet = X2, Y1, Z2
Det åttonde hörnet = X2, Y2, Z1


Steg 3: Klicka på OK

Slutför definitionen av säkerhetszonen genom att klicka på OK. Den definierade informationen visas i Redigeringsfönstret och ser ut så här:
VIA/SÄKERHETSZON=ALT1,HÖRN1=X,Y,Z,HÖRN2=X,Y,Z

ALT1 | Detta definierar huruvida säkerhetszonen används. I växlingsfältet växlar du mellan PÅ och AV.
X,Y,Z | Dessa koordinater definierar de hörnpunkter som används för att skapa säkerhetszonen.

Om du klickar på Avbryt stängs dialogrutan utan att det görs några ändringar av detaljprogrammet.


Förgrening genom användning av programflödeskommandon

Förgrening genom användning av programflödeskommandon: Inledning

Använda Block-kommandon

Om / Slut Om

Kodexempel på Om / Slut Om

AnnarsOM / Slut AnnarsOm

Kodexempel på AnnarsOM / Slut AnnarsOM

Annars / Slut Annars

Kodexempel på Annars / Slut Annars

SåLänge / Slut SåLänge

Kodexempel på SåLänge / Slut SåLänge

Upprepa / Tills

Kodexempel på Upprepa / Tills

Välj / Slut Välj

Kodexempel på Välj / Slut Välj

Fall / Slut Fall

StandardFall / Slut StandardFall

Skapa allmänna slingor

Användning av slingor

Så här använder du slingor:

Slutnummer

Startnummer

Hoppa över nummer

Offset, Axlar och Vinkel

Offset och uppriktningar i slingor

Sling-ID:n

Element-ID:n i statistiska databaser

Variabel-ID

Avsluta slinga

Avsluta allmänna slingor

Skapa märken

Gå till ett märke

Gå till märke

Aktuella märken

Gå till ett märke baserat på villkor

Uttryck

Märke

Förgrening vid ett CMM-fel

Feltyp

Av

Gå till märke

Sätt variabel

Stöd i gränssnitt

Förgrening genom användning av underprogram

Skicka numeriska tecken till ett underprogram

Skicka variabler till ett underprogram

Skicka textsträngar till ett underprogram

Skicka elementnamn till ett underprogram

Skapa ett nytt underprogram

Om dialogrutan Skapa underprogram

Underprogramnamn

Listrutan Argument

Lägga till argument

Ta bort ett argument från ett underprogram

Rutan Värden

Ta bort

Redigera ett befintligt underprogram

Om dialogrutan Redigera argument

Argumentnamn

Argumentvärde

Argumentbeskrivning

Avsluta ett underprogram

Anropa ett underprogram

Så här lägger du till ett argument med dialogrutan Anropa underprogram:

Så här redigerar du ett argument med dialogrutan Anropa underprogram:

Så här tar du bort argument från ett ANROPA_UNDERPROGRAM-kommando:

Använda ANROPA_UNDERPROGRAM-kommandon i flerarmsläge

Om dialogrutan Anropa underprogram

Rutan Namn i Anropa underprogram

Rutan Fil i Anropa underprogram

Välj underprogram

Kodexempel på ett underprogram

Avsluta ett detaljprogram


Förgrening genom användning av programflödeskommandon: Inledning

Anta att du har en detalj med många element men du bara vill mäta ett fåtal element om och om igen för att bygga upp omfattande statistiska data över de elementen. Anta att du, beroende på användarens svar, vill gå till ett visst avsnitt i ditt detaljprogram. Du kan utföra dessa och andra liknande åtgärder med hjälp av programflödeskommandon. Genom att ange villkor för vissa kommandon kan du styra flödet i ditt detaljprogram.

I det här avsnittet finns information som hjälper dig att lyckas med sådana uppgifter. Här förklaras syntaxen för villkorsstyrda satser, slingor och underprogram. Här finns också många kodexempel.

Obs! När slingor eller förgreningar förekommer i kodexempel har indrag använts för att framhäva satserna som tillhör ett visst villkor. I den faktiska koden i Redigeringsfönstret sker inga indrag.

Nedan följer några av huvuddelarna i det här avsnittet:

  • Använda Block-kommandon

  • Skapa allmänna slingor

  • Avsluta allmänna slingor

  • Skapa märken

  • Gå till ett märke

  • Gå till ett märke baserat på villkor

  • Förgrening vid ett CMM-fel

  • Förgrening genom användning av underprogram

  • Avsluta ett detaljprogram


Använda Block-kommandon

Under menyalternativet Infoga | Programflödeskommandon | Block-kommandon finns en mängd olika kommandopar med vilka du i Redigeringsfönstret kan bestämma eller "styra" ett detaljprograms flöde. För att infoga ett kommando av blockparstyp i Redigeringsfönstret skriver du kommandot eller väljer ett kommando på den här undermenyn.

Viktigt! När du använder en villkorlig förgreningssats för att kontrollera värdet av en JA/NEJ-kommentar måste du tänka på att kontrollen ska söka efter värden där "JA" och "NEJ" är i versaler. "Ja" eller "Nej" som innehåller gemener fungerar inte. Mer information om kommentarer finns i Infoga programmeringskommentarer i avsnittet Infoga rapportkommandon.

Mer:

Om / Slut Om

Annars Om / Slut Annars Om

Annars / Slut Annars

SåLänge / Slut SåLänge

Upprepa / Tills

Välj / Slut Välj

Fall / Slut Fall

StandardFall / Slut StandardFall


Om / Slut Om

Med menyalternativet Infoga | Programflödeskommandon | Block-kommandon | Om / Slut Om kan du lägga till ett villkorsblock i ett detaljprogram. Objekten mellan kommandona OM och SLUT OM kommer endast att köras om OM-kommandots uttryck är sant (värdet är inte noll). Annars kommer körningen att hoppa till det första kommandot efter SLUT/OM-kommandot.

Så här ser kommandoraden för en OM / SLUT OM-sats ut i Redigeringsfönstret:
OM/uttryck
SLUT_OM/

Så här infogar du Om / Slut Om-kommandon:

  1. Placera insättningspunkten på lämpligt ställe i Redigeringsfönstret.

  2. Välj Om | Slut Om i menyraden. OM/ SLUT OM-satserna visas i Redigeringsfönstret.

Mer:

Kodexempel på Om / Slut Om


Kodexempel på Om / Slut Om

I följande exempel frågas användaren om denne vill mäta ett punktelement.

C1= KOMMENTAR/JANEJ,Vill du mäta punktelementet PKT1?

OM/C1.INMATN=="JA"

PKT1=ELEMENT/PUNKT,REKT

…

…

SLUTMÄT/

SLUT_OM/

Förklaring av exempelkoden

C1=KOMMENTAR/JANEJ
Den här raden hämtar användarens svar JA eller NEJ och sparar det.

OM/C1.INMATN=="JA"
Den här raden är uttrycket. Den kontrollerar om inmatningen för kommentar 1 är JA. Om svaret är JA blir OM-satsens värde SANT och satserna fortsätter att köras efter OM-satsen, i det här fallet mätning av elementet PKT1. Om svaret är NEJ går programmet till satsen SLUT_OM.

SLUT_OM
Den här raden avslutar körningen av kommandon inom OM / SLUT OM-kodblocket. Om användaren klickar på Nej vid kommentaren går PC-DMIS vidare till nästa rad.


Annars Om / Slut Annars Om

Med menyalternativet Infoga | Programflödeskommandon | Block-kommandon | AnnarsOm / Slut AnnarsOm kan du lägga till ett villkorsblock i ett detaljprogram. Objekten mellan kommandona ANNARS OM och SLUT ANNARS OM kommer endast att köras om ANNARS OM-kommandots uttryck är sant (värdet är inte noll). ANNARS OM / SLUT ANNARS OM-blocket måste de placeras direkt efter ett OM / SLUT OM-block eller ett annat ANNARS OM / SLUT ANNARS OM-block. Om alla OM / ANNARS OM-uttryck ovanför det akuella blocket är falska kommer uttrycket att utvärderas. Om ovanstående uttrycket är falskt (returnerar värdet noll) kommer körningen att hoppa till nästa kommando som följer efter kommandot SLUT ANNARS OM. Om något av de om / annars om-uttryck som finns ovanför det aktuella blocket är sant kommer alla efterföljande annars om/ slut annars om-block i den här sekvensen att hoppas över.

Så här ser kommandoraden för en ANNARS OM / SLUT ANNARS OM-sats ut i Redigeringsfönstret:
ANNARS_OM/uttryck
SLUT_ANNARS_OM/

Så här infogar du Annars Om / Slut Annars Om-kommandon:

  1. Placera insättningspunkten på önskad plats i Redigeringsfönstret, efter ett befintligt OM / SLUT OM-eller ANNARS OM / SLUT ANNARS OM-uttryck.

  2. Välj Annars Om | Slut Annars Om i menyraden. ANNARS OM/ SLUT ANNARS OM-satserna visas i Redigeringsfönstret.

Obs! Den här typen av block måste placeras efter ett OM / SLUT OM- eller ett ANNARS OM / SLUT ANNARS OM-block för att vara giltigt. Felaktigt placerade kommandopar visas med rött i Redigeringsfönstret.

Mer:

Kodexempel på AnnarsOM / Slut AnnarsOM


Kodexempel på AnnarsOm / Slut AnnarsOm

I följande exempel visas ett meddelande för användaren om något av de mätta X-, Y- eller Z-värdena överskrider de definierade toleranserna.

PKT2=ELEMENT/PUNKT,REKT

…

…

SLUTMÄT/

OM/PKT2.X<6.9 ELLER PKT2.X>7.1

KOMMENTAR/OPER,"Det mätta X-värdet för PKT2: " + PKT2.X + " ligger utanför toleransen."

SLUT_OM/

ANNARS_OM/PKT2.Y<3.3 ELLER PKT2.Y>3.5

KOMMENTAR/OPER,"Det mätta Y-värdet för PKT2: " + PKT2.Y + " ligger utanför toleransen."

SLUT_ANNARS_OM/

ANNARS_OM/PKT2.Z<.9 ELLER PKT2.Z>1.1

KOMMENTAR/OPER,"Det mätta Z-värdet för PKT2: " + PKT2.Z + " ligger utanför toleransen."

SLUT_ANNARS_OM/

Förklaring av exempelkoden

I koden kontrolleras först punktens X-värde. Om villkoret får värdet falskt kontrolleras sedan Y-värdet. Om villkoret för Y-värdet får värdet falskt kontrolleras Z-värdet.

Om något av dessa villkor får värdet sant visas den kommentar som är kopplad till det och resterande villkorssatser hoppas över.

OM/PKT2.X<6.9 ELLER PKT2.X>7.1
Den här raden innehåller uttrycket. Uttrycket kontrollerar om det mätta X-värdet är mindre än 6.9 eller större än 7.1. Om värdet ligger utanför dessa gränser visas den första kommentaren.

SLUT_OM
Den här raden avslutar körningen av kommandon inom OM / SLUT OM-kodblocket. Om villkoret OM SÅ får värdet falskt går PC-DMIS till det eventuella kommando som följer efter den här raden.

ANNARS_OM/PKT2.Y<3.3 eller PKT 2.Y>3.5
Den här raden innehåller uttrycket för det första ANNARS_OM-kommandot. Den körs endast om OM / SLUT_OM-blocket ovanför den får värdet falskt. Uttrycket kontrollerar om det mätta Y-värdet är mindre än 3.3 eller större än 3.5. Om värdet ligger utanför dessa gränser visas den andra kommentaren.

SLUT_ANNARSOM
Den här raden avslutar körningen av kommandon inom det första ANNARS_OM / SLUT ANNARS_OM-kodblocket.

ANNARS_OM/PKT2.Z<.9 ELLER PKT2.Z>1.1
Den här raden innehåller uttrycket för det andra ANNARS_OM-kommandot. Den körs endast om ANNARS_OM / SLUT_ANNARS_OM-blocket ovanför den får värdet falskt. Uttrycket kontrollerar om det mätta Z-värdet är mindre än .9 eller större än 1.1. Om värdet ligger utanför dessa gränser visas den tredje kommentaren.

SLUT_ANNARSOM
Den här raden avslutar körningen av kommandon inom det andra ANNARS_OM / SLUT ANNARS_OM-kodblocket.


Annars / Slut Annars

Med menyalternativet Infoga | Programflödeskommandon | Block-kommandon | Annars / Slut Annars kan du lägga till ett villkorsblock i ett detaljprogram. Objekten mellan kommandona ANNARS och SLUT ANNARS kommer endast att köras om alla andra Om/Slut Om- och AnnarsOm/Slut AnnarsOm-block ovanför Annars-blocket inte utförts (fått värdet noll). För att ANNARS / SLUT ANNARS-block ska vara giltiga måste de placeras i slutet på en grupp med ANNARS / SLUT ANNARS- eller ANNARSOM / SLUT ANNARSOM-block.

Så här ser kommandoraden för en ANNARS / SLUT ANNARS-sats ut i Redigeringsfönstret:
ANNARS/
SLUT_ANNARS/

Så här infogar du Annars / Slut Annars-kommandon:

  1. Placera insättningspunkten på lämpligt ställe i Redigeringsfönstret. Observera att Annars / Slut Annars-block måste ligga efter eventuella OM / SLUT OM- eller ANNARSOM / SLUT ANNARSOM-block.

  2. Välj Annars | Slut Annars i menyraden. ANNARS/ SLUT ANNARS-satserna visas i Redigeringsfönstret.

Mer:

Kodexempel på Annars / Slut Annars


Kodexempel på Annars / Slut Annars

I följande exempel frågas användaren om denne vill mäta ett punktelement.

C1= KOMMENTAR/JANEJ,Vill du mäta punktelementet PKT1? Om du klickar på Nej mäts nästa element.

OM/C1.INMATN=="JA"

PKT1=ELEMENT/PUNKT,REKT

…

…

SLUTMÄT/

SLUT_OM/

ANNARS

PKT2=ELEMENT/PUNKT,REKT

…

…

SLUTMÄT/

SLUT_ANNARS

Förklaring av exempelkoden

C1=KOMMENTAR/JANEJ
Den här raden hämtar användarens svar JA eller NEJ och sparar det.

OM/C1.INMATN=="JA"
Den här raden är uttrycket. Den kontrollerar om inmatningen för kommentar 1 är JA. Om svaret är JA blir OM-satsen SANT och satserna fortsätter att köras efter OM-satsen, i det här fallet mätning av elementet PKT1. Om svaret är NEJ går programmet till satsen SLUT_OM.

SLUT_OM
Den här raden avslutar körningen av kommandon inom OM / SLUT OM-kodblocket. Om användaren klickar på Nej vid kommentaren går PC-DMIS vidare till nästa rad.

ANNARS
Om ovanstående OM / SLUT OM-block returnerar värdet falskt kommer de kommandorader som ligger efter den här raden och innan SLUT_ANNARS-raden att köras. I det här fallet körs PKT2.

SLUT_ANNARS
Den här raden avslutar körningen av kommandon inom ANNARS / SLUT_ANNARS-kodblocket.


SåLänge / Slut SåLänge

Med menyalternativet Infoga | Programflödeskommandon | Block-kommandon | SåLänge / Slut SåLänge kan du lägga till ett villkorsblock i ett detaljprogram. Objekten mellan kommandona SÅLÄNGE och SLUT SÅLÄNGE kommer att fortsätta köras i en slinga till dess att det villkor (eller uttryck) som håller slingan aktiv inte längre uppfylls, d.v.s. till dess att uttrycket för SåLänge-slingan är FALSKT (värdet är noll). Du kan infoga SÅLÄNGE-kommandona var som helst i ett detaljprogram. Uttrycket kontrolleras vid slutet av varje slinga.

Så här ser kommandoraden för en SÅLÄNGE / SLUT SÅLÄNGE-sats ut i Redigeringsfönstret:
SÅLÄNGE/uttryck
SLUT_SÅLÄNGE/

Så här infogar du alternativet SåLänge / Slut SåLänge:

  1. Placera insättningspunkten på lämpligt ställe i Redigeringsfönstret.

  2. Välj SåLänge | Slut SåLänge i menyraden. SåLänge / Slut SåLänge-satserna visas i Redigeringsfönstret.

Mer:

Kodexempel på SåLänge / Slut SåLänge


Kodexempel på SåLänge / Slut SåLänge

Följande är ett exempel som mäter ett element det antal gånger som detaljprogrammets användare anger.

C1=KOMMENTAR/INMATN,Hur många gånger vill du mäta PKT1? Ange endast ett heltal.

TILLDELA/ANTAL = 0

SÅLÄNGE/ANTAL < C1.INMATN

PKT2=ELEMENT/PUNKT,REKT

…

…

…

SLUTMÄT/

TILLDELA/ANTAL = ANTAL + 1

KOMMENTAR/OPER,"Mätt " + ANTAL + " av " + C1.INMATN + " gånger."

SLUT_SÅLÄNGE/

Förklaring av exempelkoden

C1=KOMMENTAR/INMATN
På den här hämtas det heltal som användaren matar och det sparas in i variabeln C1.INMATN.

TILLDELA/ANTAL = 0
På den här raden initieras ANTAL, en användardefinierad variabel. Variabeln har startvärdet 0. I koden används den här variabeln för att räkna antalet gånger som elementet ska mätas i slingan.

SÅLÄNGE/ANTAL < C1.INMATN
Den här raden innehåller uttrycket. Den kontrollerar om värdet för ANTAL (som från början angavs vara 0) är mindre än det heltal som användaren angett. Om kontrollen får värdet falskt körs satserna som ligger mellan SÅLÄNGE/ och SLUT_SÅLÄNGE/.

TILLDELA/ANTAL = ANTAL + 1
På den här raden ökas variabeln ANTAL med ett så att slingan till slut avslutas när villkorstestet får värdet falskt.

KOMMENTAR/OPER,"Mätt " + ANTAL + " av " + C1.INMATN + " gånger."
Den här raden visar ett meddelande med antalet gånger, av det totala antalet gånger, som slingan körs.

SLUT_SÅLÄNGE
Med den här raden avslutas körningen av kommandona inom SÅLÄNGE / SLUT_SÅLÄNGE-blocket så länge villkoret får värdet falskt. Annars återgår slingan till SÅLÄNGE-satsen när kommandot påträffas.


Upprepa / Tills

Med menyalternativet Infoga | Programflödeskommandon | Block-kommandon | Upprepa / Tills kan du lägga till ett villkorsblock i ett detaljprogram. Objekten mellan kommandona UPPREPA och TILLS kommer att fortsätta köras i en slinga till dess att uttrycket för TILLS-kommandot blir SANT (ej noll). Du kan infoga UPPREPA / TILLS-kommandona var som helst i ett detaljprogram. Uttrycket kontrolleras vid slutet av varje slinga.

Så här ser kommandoraden för en UPPREPA / TILLS-sats ut i Redigeringsfönstret:
UPPREPA/
TILLS/ uttryck

Så här infogar du ett UPPREPA / TILLS-kommando:

  1. Placera insättningspunkten på lämpligt ställe i Redigeringsfönstret.

  2. Välj Upprepa / Tills i menyraden. UPPREPA/ TILLS-satserna visas i Redigeringsfönstret.

Mer:

Kodexempel på Upprepa / Tills


Kodexempel på Upprepa / Tills

Följande är ett exempel som mäter ett element det antal gånger som anges av detaljprogrammets användare. Det här liknar det exempel som finns för SåLänge / Slut SåLänge med skillnaden att villkoret här kontrolleras i slutet av slingan i stället för vid början.

C1= KOMMENTAR/INMATN,Ange hur många gånger elementet PNT1 ska mätas:(ange endast heltal)

TILLDELA/ANTAL = 0

UTFÖR/

PNT1=ELEMENT/PUNKT,REKT

…

…

SLUTMÄT/

TILLDELA/ANTAL = ANTAL + 1

KOMMENTAR/OPER,"Mätt" + ANTAL + " av " + C1.INMATN + " gånger."

TILLS/ANTAL == C1.INMATN

Förklaring av exempelkoden

C1=KOMMENTAR/INMATN
Här hämtas det heltal som användaren matar in och det sparas i variabeln C1.INMATN.

ASSIGN/COUNT = 0
På den här raden initieras ANTAL, en användardefinierad variabel. Variabeln har startvärdet 0. I koden används den här variabeln för att räkna antalet gånger som elementet ska mätas i slingan.

UPPREPA/
Startar slingan UPPREPA / TILLS. Alla satser utförs minst en gång och programflödet avslutar slingan när uttrycket får värdet falskt.

TILLDELA/ANTAL = ANTAL + 1
På den här raden ökas variabeln ANTAL med ett så att slingan till slut avslutas när villkoret inte är sant.

KOMMENTAR/OPER,"Mätt" + ANTAL + " av " + C1.INMATN + " gånger."
Den här raden visar ett meddelande om hur många gånger, av det totala antalet, som slingan körs.

TILLS/ANTAL == C1.INMATN
Den här raden avslutar kommandokörningen i slingan UPPREPA / TILLS om villkoret är falskt. Annars återgår slingan till UPPREPA-satsen när kommandot påträffas.


Välj / Slut Välj

Med menyalternativet Infoga | Programflödeskommandon | Block-kommandon | Välj / Slut Välj kan du lägga till ett villkorsblock som används tillsammans med block-kommandona Fall / Slut Fall och StandardFall / Slut StandardFall. Välj-kommandots uttryck anger vilka data som ska jämföras med uttrycket i Fall-satserna. Om båda uttrycken returnerar samma värde kommer satserna inom Fall / Slut Fall-blocket att köras. Fall / Slut Fall- och StandardFall / Slut StandardFall-blocket ligger inom Välj / Slut Välj-blocket.

Så här ser kommandoraden för en VÄLJ / SLUT VÄLJ-sats ut i Redigeringsfönstret::
VÄLJ/uttryck
SLUT_VÄLJ/

Så här infogar du Välj / SlutVälj-kommandon:

  1. Placera insättningspunkten på lämpligt ställe i Redigeringsfönstret.

  2. Välj Välj | Slut Välj i menyraden. VÄLJ/ SLUT VÄLJ-satserna visas i Redigeringsfönstret.

Mer:

Kodexempel på Välj / Slut Välj


Kodexempel på Välj / Slut Välj

Med kommandoparen ,VÄLJ / SLUT_VÄLJ, FALL / SLUT_FALL, STANDARDFALL / SLUT_STANDARDFALL får du verktyg för att kontrollera flera villkor, vilket ger dig ett brett utbud av alternativ.

Anta att du har fem cirklar, med etiketterna CIR1 till CIR5, och du vill att operatören ska kunna mäta en cirkel bara genom att trycka på en tangent på tangentbordet. Du kan använda kod som ser ut ungefär som följande:

Hela koden

UTFÖR/

C1=KOMMENTAR/INMATN,Ange en siffra för att mäta den cirkeln:

,FÖR CIR1 - Ange 1

,FÖR CIR2 - Ange 2

,FÖR CIR3 - Ange 3

,FÖR CIR4 - Ange 4

,FÖR CIR5 - Ange 5

,Alla andra tecken avslutar slingan

VÄLJ/C1.INMATN

FALL/1

CIR1=ELEMENT/CIRKEL

…

…

SLUTMÄT/

SLUT_FALL

FALL/2

CIR2=ELEMENT/CIRKEL

…

…

SLUTMÄT/

SLUT_FALL

FALL/3

CIR3=ELEMENT/CIRKEL

…

…

SLUTMÄT/

SLUT_FALL

FALL/4

CIR4=ELEMENT/CIRKEL

…

…

SLUTMÄT/

SLUT_FALL

FALL/5

CIR5=ELEMENT/CIRKEL

…

…

SLUTMÄT/

SLUT_FALL

STANDARDFALL

KOMMENTAR/OPER,Slingan avslutas.

SLUT_STANDARDFALL

SLUT_VÄLJ

TILLS C1.INMATN < 1 ELLER C1.INMATN > 5

Förklaring av exempelkoden

VÄLJ/C1.INMATN
Med den här kodraden tas ett siffer- eller strängvärde (i det här fallet en siffra) som användaren matar in för att fastställa vilket FALL/SLUT_FALL-block som ska köras efter inmatningen. Observera att paret VÄLJ / SLUT_VÄLJ omger hela kodlistan. Alla FALL / SLUT_FALL- och STANDARDFALL / SLUT_STANDARDFALL-par måste ligga mellan dessa två rader.

SLUT_VÄLJ
Det här kommandot markerar slutet på den kod som ligger inom paret VÄLJ / SLUT_VÄLJ.

FALL/1 genom FALL/5
Beroende på värdet för C1.INMAT körs något av FALL-kodblocken. Om till exempel C1.INMATN ger värdet 1 köras kodblocket FALL 1, som mäter CIR1. Om användaren matar in värdet 2 körs kodblocket FALL 2, som mäter CIR2 o.s.v.

SLUT_FALL
Den här raden avslutar det specifika fallkodblocket.

STANDARDFALL
Om värdet för C1.INMATN inte matchar någon av de definierade FALL-satserna (d.v.s. om värdet inte är en siffra mellan 1 och 5) körs kodblocket för STANDARDFALL. I det här fallet visas ett meddelande med information om att slingan avslutas.

Observera att slingan UTFÖR / TILLS omger hela kodexemplet. På så vis kan användaren fortsätta att välja på den meny som skapas med raden KOMMENTAR/INMATN till dess att användaren väljer ett tecken som inte känns igen av FALL-satserna.


Fall / Slut Fall

Med menyalternativet Infoga | Programflödeskommandon | Block-kommandon | Fall / Slut Fall kan du lägga till ett villkorligt block i ett detaljprogram. Alla objekt mellan kommandona FALL och SLUT FALL kommer att utföras om uttrycket för fallsatsen beräknas till ett värde som är lika med uttrycket för motsvarande VÄLJ-kommando Annars kommer satsblocket att hoppas över. Satsblocket FALL / SLUT FALL måste finnas direkt efter ett VÄLJ-kommando eller SLUT FALL-kommandot i ett tidigare FALL / SLUT FALL-block. Dessutom går det inte i PC-DMIS att jämföra flera uttryck i en enskild fallsats.

Så här ser kommandoraden för en FALL / SLUT FALL-sats ut i Redigeringsfönstret:
FALL/uttryck
SLUT_FALL/

Så här infogar du alternativet Fall / Slut Fall:

  1. Placera insättningspunkten på lämpligt ställe i Redigeringsfönstret. Tänk på de placeringskrav som redovisades ovan.

  2. Välj Fall | Slut Fall i menyraden. FALL/ SLUT FALL-satserna visas i Redigeringsfönstret.

En kodexempel finns i ämnet Kodeexempel på Välj / Slut Välj


StandardFall / Slut StandardFall

Med menyalternativet Infoga | Programflödeskommandon | Block-kommandon | StandardFall / Slut StandardFall kan du lägga till ett villkorsblock i ett detaljprogram. Objekten mellan kommandona STANDARDFALL och SLUT STANDARDFALL kommer att köras om alla andra uttryck i föregående FALL / SLUT FALL-block i motsvarande VÄLJ / SLUT VÄLJ-block får värdet falskt. Endast ett STANDARDFALL / SLUT STANDARDFALL-block är tillåtet inom ett VÄLJ / SLUT VÄLJ-block. Blocket STANDARDFALL / SLUT STANDARDFALL måste placeras efter alla FALL / SLUT FALL-block inom ett VÄLJ / SLUT VÄLJ-block.

Så här ser kommandoraden för en STANDARDFALL / SLUT STANDARDFALL-sats ut i Redigeringsfönstret:
STANDARDFALL/
SLUT_STANDARDFALL/

Så här infogar du STANDARDFALL / SLUT STANDARDFALL-kommandon:

  1. Placera insättningspunkten på önskad plats i Redigeringsfönstret med hänsyn tagen till ovanstående placeringsbegränsningar.

  2. Välj StandardFall | Slut StandardFall i menyraden. STANDARDFALL/ SLUT STANDARDFALL-satserna visas i Redigeringsfönstret.

En kodexempel finns i ämnet Kodeexempel på Välj / Slut Välj.


Skapa allmänna slingor

Dialogrutan Parametrar för slinga

Med menyalternativet Infoga | Programflödeskommandon | Slingor kan du upprepa ett detaljprogram (eller delar av ett detaljprogram) med eller utan något av offsetvärdena. Du kan lägga till UPPREPA-kommandot var som helst i detaljprogrammet, även om den här funktionen gör störst nytta i början och slutet av programmet.

Mer:

Användning av slingor

Slutnummer

Startnummer

Hoppa över nummer

Offset, Axlar och Vinkel

Sling-ID

Variabel-ID

Avsluta slinga


Användning av slingor

Slingor används huvudsakligen i tre olika fall:

  • Du har en flerdetaljsfixtur med ett detaljrutnät. Fixturen bör använda konsekventa mellanrum mellan raderna. Med offsetvärdena för översättning/rotation kan du indexera från en detalj till nästa i detaljrutnätet.

  • Du har en fixtur med en detalj men vill byta ut den mot en ny detalj inför varje slinga i programmet. Ett KOMMENTAR-kommando kan vara till hjälp att stoppa CMM-maskinen när detaljen ska bytas ut mot en ny. Du kan lägga in kommandot i början eller slutet av slingan.

  • Du vill använda alternativet SLINGA för att rotera detaljprogrammet för att mäta en annan del av samma detalj. Du kan t.ex. skapa ett detaljprogram som mäter ett invecklat hålmönster som återkommer tio gånger på samma detalj. Ditt detaljprogram skulle då bara behöva mäta ett av dessa hålmönster. Med alternativet SLINGA kan du göra förskjutningar i detaljprogrammet för att mäta de övriga 9 förekomsterna av mönstret.

Obs! Om du använder en uppriktning i en slinga kan du från och med PC-DMIS 3.6 använda den aktiva uppriktningen på kommandoraden UPPRIKTNING/START i stället för att alltid behöva återkalla en tidigare sparad uppriktning. Mer information finns i Använda en uppriktning i slingor i avsnittet Skapa och använda uppriktningar.

Mer:

Så här använder du slingor:


Så här använder du slingor:

  1. Välj menyalternativet Infoga | Programflödeskommandon | Slingor. Dialogrutan Parametrar för slinga öppnas. Visa menykarta

  2. Gör eventuella ändringar i rutorna.

  3. Välj parametrar efter behov (d.v.s. antal detaljer, Startnummer, Utelämna nr, offsetvärden för X, Y eller Z samt Vinkel).

  4. Placera insättningspunkten på det ställe i Redigeringsfönstret där du vill att slingan ska börja.

  5. Klicka på OK.

Så här ser kommandoraden för en slinga ut i Redigeringsfönstret:

VAR_NAMN = SLINGA/START, ID = J/N, NUMMER = 0, START = 1, HOPPA_ÖVER = ,
OFFSET: XAXEL = 0, YAXEL = 0, ZAXEL = 0, VINKEL = 0

Obs! För att slutföra slingan måste ett Slut på slinga-kommando finnas i Redigeringsfönstret. I PC-DMIS körs de kommandon som i Redigeringsfönstret ligger mellan kommandona SLINGA/START och SLINGA/SLUT. Mer information finns i Avsluta slinga.


Slutnummer

I rutan Slutnummer kan du instruera PC-DMIS hur många gånger detaljprogrammet ska köras i en slinga. Normalt är det här antalet detsamma som antalet detaljer som fixturen har (eller mönster på detaljen) i x-riktningen (y- eller z-riktningen). Du måste även ange detaljens (mönstrets) startnummer.

Exempel: Du har 10 detaljer i x-riktningen (y- eller z-riktningen) och du vill börja med position nummer 5. Ange 10 (tio) i rutan Slutnummer och 5 (fem) i rutan Startnummer.


Startnummer

I rutan Startnummer anger du numret på startpositionen i en serie detaljer i PC-DMIS.

Exampel: Du har 10 detaljer, men du vill börja med position 5. Du anger då 10 som det totala antalet detaljer och 5 som startpositionen.


Hoppa över nummer

I rutan Hoppa över nummer kan du upprepa ett detaljprogram det angivna antalet gånger, vilket gör att du kan hoppa över ett angivet inkrementvärde.

Exempel: Du kan ange att parametern ska hoppa över vart tredje hopp i slingan. Om det angivna numret är tre kommer det första och andra elementet att mätas och mätningen fortsätter sedan till den fjärde detaljen.


Offset, Axlar och Vinkel

I området Offset finns följande rutor:

Rutorna X-axel, Y-axel och Z-axel. De här rutorna anger X-, Y- och Z-förskjutningen mellan detaljer eller mönster på samma detalj. De här värdena anger detaljens offsetavstånd varje gång slingan körs. Det första offsetavståndet baseras på detaljens nollpunkt.

I rutan Vinkel anges vinkelförskjutningen mellan detaljer eller mönster på samma detalj. Det första offsetavståndet baseras på detaljens nollpunkt. I PC-DMIS förskjuts detaljen med vinkelvärdet varje gång slingan körs.

Mer:

Offset och uppriktningar i slingor


Offset och uppriktningar i slingor

Om du har ett uppriktningskommando i en slinga och slingan använder offsetvärden måste du definiera alla axlar i uppriktningen. Dessutom måste uppriktningen inom slingan använda element som mäts inom slingan.


Sling-ID:n

Om du markerar den här kryssrutan ökas element-ID:na (inom slingan) för att överensstämma med slingans ökning.

Exempel: CIR1 blir CIR1[1] första gången sliingan körs, CIR1[2] andra gången sliingan körs o.s.v.

Mer:

Element-ID:n i statistiska databaser


Element-ID:n i statistiska databaser

Om du markerar kryssrutan Sling-ID och skickar statistiska data till en databas tas dessa sling-ID:n ibland bort från databasen.

Tänk på följande:

Om du har kommandona STAT/PÅ och STAT/UPPDATERA inuti en programslinga visas inte sling-ID:n i databasen.

Om du har kommandot STAT/PÅ utanför en programslinga och kommandot STAT/UPPDATERA inuti en programslinga kommer inte sling-ID:n att visas i databasen.

Om du har kommandot STAT/PÅ utanför en programslinga och kommandot STAT/UPPDATERA utanför en programslinga kommer sling-ID:n att visas i databasen.

Om du har kommandot STAT/PÅ inuti en programslinga och kommandot STAT/UPPDATERA utanför en programslinga kommer sling-ID:n att visas i databasen.


Variabel-ID

I rutan Variabel-ID kan du ange namnet på den variabel som du vill använda för att hålla reda på slingans aktuella iteration (d.v.s. vilken gång av det totala antalet gånger som slingan körs för tillfället). När detaljprogrammet körs kommer den här variabeln att vara lika med numret på den gång som slingan körs.


Avsluta slinga

Med knappen Avsluta slinga kan du slutföra en slingprocess. Kommandot SLINGA/START måste följas av kommandot SLINGA/SLUT i Redigeringsfönstret.

Så här ser kommandoraden för avslutandet av en slinga ut i Redigeringsfönstret:
SLINGA/SLUT


Avsluta allmänna slingor

Men menyalternativet Infoga | Programflödeskommandon | Avsluta slinga kan du utföra samma åtgärd som med knappen Avsluta slinga i dialogrutan Parametrar för slinga. Kommandot SLINGA/SLUT infogas då i Redigeringsfönstret och slutför slingprocessen.


Skapa märken

När du väljer menyalternativet Infoga | Programflödeskommandon | Märke öppnas dialogrutan Redigera märkesnamn där du kan skapa ett nytt namn-ID som du kan använda tillsammans med en GÅTILL- eller OM-sats.

Dialogrutan Redigera märkesnamn

I PC-DMIS får ID:ts namn innehålla högst 15 tecken. ID-namnet visas i enbart versaler.

Så här ser kommandoraden för alternativet Märke ut i Redigeringsfönstret:
ID = MÄRKE/

Så här skapar du ett märke:

  1. Markera positionen i Redigeringsfönstret.

  2. Välj Märke i menyraden.

  3. Ange ett ID för märket i rutan Namn.

  4. Klicka på OK.

  5. Märkets ID visas på nästa möjliga position i Redigeringsfönstret.

Information om hur man hoppar till ett märke finns i Gå till ett märke.


Gå till ett märke

Dialogrutan GåTill

Med menyalternativet Infoga | Programflödeskommandon | GåTill kan du öppna dialogrutan GoTo där du kan skapa GÅTILL-satser i ett detaljprogram. När programmet körs och en GÅTILL-sats påträffas sker ett hopp till märkets identifierade läge.

Så här ser kommandoraden för GÅTILL ut i Redigeringsfönstret:
GÅTILL/märkets_ID

Så här skapar du en GÅTILL-sats i Redigeringsfönstret:

  1. Välj menyalternativet GåTill.

  2. Markera det märke som du vill gå till i rutan Aktuella märken.

  3. Klicka på OK.

I dialogrutan GåTill kan du även skapa nya märken som du sedan kan använda i en GÅTILL-sats. Gör så här:

  1. Välj menyalternativet GåTill.

  2. Skriv namnet på det märke som du vill skapa i rutan GåTill märke. Kommandot GÅTILL/märke infogas i Redigeringsfönstret.

Obs! Om du skapar ett märke i dialogrutan GåTill måste du skapa märkets ID genom att välja menyalternativet Märke innan du kör detaljprogrammet.

Mer:

Gå till märke

Aktuella märken


Gå till märke

I rutan Gå till märke kan du ange ett befintligt märke som detaljprogrammet ska GÅ TILL.


Aktuella märken

I rutan Aktuella märken visas en lista över befintliga märken som du kan välja med musen.


Gå till ett märke baserat på villkor

Dialogrutan Om-uttryck

Med menyalternativet Infoga | Programflödeskommandon | GåTill kan du skapa OM GÅTILL-satser i ett detaljprogram. När detaljprogrammet körs och en OM-sats påträffas hoppar programmet till det märke som anges om det aktuella uttrycket returnerar värdet sant (inte noll). Information om hur du skapar uttryck finns i avsnittet Använda uttryck och variabler.

Så här ser kommandoraden för en OM_GÅTILL-sats ut i Redigeringsfönstret:
OM_GÅTILL/uttryck, GÅTILL=Märke

Mer:

Uttryck

Märke


Uttryck

När du klickar på knappen Uttryck öppnas Uttrycksguiden. Med Uttrycksguiden kan du skapa en mängd olika uttryck som du kan behöva i ett detaljprogram. Information om hur du använder uttryck finns i avsnittet Använda uttryck och variabler.


Märke

I rutan Märke kan du ange det märke som programmet ska gå till vid ett GÅTILL-kommando. När du klickar på knappen Märke öppnas dialogrutan GåTill. I den här dialogrutan kan du välja vilket märke du vill använda. Märket kommer att visas i rutan Märke. Se Gå till ett märke.


Förgrening vid ett CMM-fel

Dialogrutan Vid fel

Med kommandot Infoga | Programflödeskommandon | Vid fel kan du styra vilken åtgärd som kommer att utföas när ett CMM-fel inträffar.

I PC-DMIS finns två typer av feltillstånd: Oväntade träffar och Missade träffar. För vart och ett av dessa feltillstånd finns tre möjliga åtgärder:

  • Gå till märke

  • Sätt variabel

  • Ej aktivt

Alla detaljprogram har från början det tredje alternativet (Ej aktivt) som standardinställning. Du kan ändra åtgärdsläget för varje feltyp i hela programmet.

Exempel: Om ett VID FEL/ Oväntad träff / Gå till märke-kommando påträffas i PC-DMIS under körning kommer eventuella mätpunkter som inträffar senare i programmet att göra så att maskinen förflyttar sig till det angivna märket. Sätt variabel-åtgärden gör att variablen ställs in så fort den angivna feltypen inträffar. Värdet på den här variabeln kan sedan testas med en OM-sats för att tvinga körningen att gå till en ny punkt i detaljprogrammet.

Så här ser kommandoraden för alternativet Vid fel ut i Redigeringsfönstret:
VID_FEL/OVÄNTAD_TRÄFF, läges-ID
eller
VID_FEL/INGEN_MÄTYTA_FUNNEN, läges-ID

Så här använder du kommandot Vid fel:

1. Välj Vid fel. Dialogrutan Vid fel öppnas.

2. Välj antingen Oväntad träff eller Ingen mätyta funnen i listrutan Feltyp.

3. Välj något av följande alternativ för Felläge för att ange vilken åtgärd som ska tas:

Av | Ingenting görs.
Gå till märke | Går till ett definierat märke.
Sätt variabel | Ger en variabel värdet ett.

4. Klicka på OK för att verkställa det valda VID FEL-alternativet. Om du klickar på Avbryt stängs dialogrutan Vid fel utan att ändringarna används.

Mer:

Feltyp

Av

Gå till märke

Sätt variabel

Stöd i gränssnitt


Feltyp

I listrutan Feltyp kan du välja någon av följande feltyper:

  • Oväntad träff

  • Ingen mätyta funnen


Av

Genom att att välja alternativet Av kan du instruera PC-DMIS att inte göra något när ett fel påträffas.


Gå till märke

När ett fel påträffas av CMM-maskinen kan du med alternativet Gå till märke instruera detaljprogrammet att hoppa till ett definierat märke.


Sätt variabel

När ett fel påträffas av CMM-maskinen kan du med alternativet Sätt variabel instruera detaljprogrammet att ange ett som en variabels värde.


Stöd i gränssnitt

Det är inte alla gränssnitt som har stöd för VID FEL-kommandot. Foljande tabell visar vilka gränssnitt som har detta stöd.

  • Om ditt gränssnitt finns i listan indikerar ett X vilken feltyp ditt gränssnitt stöder.

  • Om ditt gränssnitt inte finns med på listan har det inte stöd för VID FEL-kommandon.

Stöd i gränssnitt | Oväntad träff | Ingen mätyta funnen
B&S Standard | X | X
Dea |  | X
Elm | X | X
Federal/Renault | X | X
Johansson | X | X
Leitz | X | X
LK Direct (kallas även LKRS232) | X | X
LK Driver | X | X
Metrolog | X | X
Mitutoyo Bright | X | X
Mitutoyo | X | X
Mora | X | X
Omnitech | X | X
Renishaw | X | X
Sharpe | X | X
Sheffield | X | X
Wenzel | X | X
Zeiss | X | X


Förgrening genom användning av underprogram

Med menyalternativet Infoga | Programflödeskommandon | Underprogram kan du komma åt detaljprogramskommandon från den aktuella filen (eller en extern fil) och använda dessa kommandon upprepade gånger. I PC-DMIS kan du både hämta argument till och skicka argument från underprogrammet. Den enda begränsningen för antalet argument och inbäddade underprogram är mängden ledigt minne. Element, variabler eller uppriktingar i huvuddetaljprogrammet kan inte nås från det externa underprogrammet. Du kan endast skicka nödvändiga data. Men du kan komma åt objekt inom detaljprogrammet från underprogrammet.

Det här är ett exempel på en kommandorad i Redigeringsfönstret för ett underprogram:
UNDERPROGRAM/namn,
S1 = Arg1 : Beskrivning

namn = namnet på underprogrammet.
S1 = det lokala variabelnamnet som används i underprogrammet. Den här variablen kan i allmänhet inte nås utanför underprogrammet.
Arg1 = det första argumentets standardvärde.
Beskrivning = En beskrivning av argumentet i underprogrammet.

SLUT_UNDERPROGRAM/ används för att avsluta underprogrammets definition.

De typer av argument som kan skickas till ett underprogram är numeriska värden, variabler, textsträngar och elementnamn.

Mer:

Skicka numeriska tecken till ett underprogram

Skicka variabler till ett underprogram

Skicka textsträngar till ett underprogram

Skicka elementnamn till ett underprogram

Skapa ett nytt underprogram

Om dialogrutan Skapa underprogram

Redigera ett befintligt underprogram

Om dialogrutan Redigera argument

Avsluta ett underprogram

Anropa ett underprogram

Om dialogrutan Anropa underprogram

Kodexempel på ett underprogram


Skicka numeriska tecken till ett underprogram

För att skicka numeriska tecken skriver du numret i rutan Värde i dialogrutan Redigera argument. Se Skapa ett nytt underprogram.


Skicka variabler till ett underprogram

Argument som kan skicka tillbaka data kallas variabler. Ange variabeln i rutan Värde i dialogrutan Redigera argument. Mer information finns i Skapa ett nytt underprogram.

När du använder en variabel som ett argument till ett underprogram kommer eventuella ändringar som görs i motsvarande variabel i underprogrammet att skickas tillbaka och bli värdet på den variabel som skickas in.

Exempel: Det här exemplet visar hur ett variabelvärde som används som ett argument till ett underprogram skickas tillbaka från ett underprogram: Variabeln V1 tilldelas värdet 6: TILLDELA/V1 = 6. Ett underprogram skickar V1 som sitt första argument. ANROPA/UNDERPROGRAM; MittUnderprogram, V1. Undeprogrammet har följande definition: UNDERPROGRAM/MittUnderprogram,A1 = 0. A1 är namnet på det första argumentet. När anropet görs kommer A1 att få samma värde som V1 hade vid anropstillfället. d.v.s. 6. Underprogrammet innehåller en sats. TILLDELA/A1 = A1 + 1. Detta ökar värdet på A1 till 7. Underprogrammet avslutas med SLUT/UNDERPROGRAM. Körningsflödet återgår till satsen som följer direkt efter det anropande underkommandot. När körningen hoppar tillbaka uppdateras eventuella variabler som använts som argument, i det här fallet V1, till värdet på motsvarande variabler i underprogrammet, i det här fallet A1. Nu har alltså V1 värdet 7. Värdet skickades tillbaka från underprogrammet.


Skicka textsträngar till ett underprogram

För att skicka en textsträng skriver du den alfanumeriska strängen i rutan Värde i dialogrutan Redigera argument. Mer information finns i Skapa ett nytt underprogram. Du måste se till att de alfanumeriska tecknen är omgivna av dubbla citattecken, t.ex. "Skicka den här texten1".


Skicka elementnamn till ett underprogram

Elementnamn skickas inom klammerparenteser, t.ex. {F1}, och placeras i rutan Värde i dialogrutan Redigera argument för att elementet F1 ska anropas till Redigeringsfönstret.

När elementnamnet skickas har underprogrammet dessutom fullständig tillgång till det elementet. I underprogrammet kan valfria teoretiska värden hos elementet ändras. Exempel: Om elementet F1 skickas in kan du ange de teoretiska X-värdena med kommandot TILLDELA/F1.TX = 5 i Redigeringsfönstret.


Skapa ett nytt underprogram

Så här skapar du ett nytt underprogram:

  1. Välj menyalternativet Infoga | Programflödeskommandon | Underprogram. Då öppnas dialogrutan Skapa underprogram. Mer information om den här dialogrutan finns i ämnet Om dialogrutan Skapa underprogram.

Dialogrutan Skapa underprogram

  2. Skriv ett namn på underprogrammet i rutan Namn.

  3. Klicka på knappen Lägg till. Dialogrutan Redigera argument öppnas. Mer information om den här dialogrutan finns i avsnittet Om dialogrutan Redigera underprogram.

Dialogrutan Redigera underprogram

  4. Ange ett namn på argumentet i rutan Namn.

  5. Klicka i rutan Värde.

  6. Ange ett värde för argumentet i rutan Värde.

  7. Klicka i rutan Beskrivning.

  8. Ange en beskrivning av argumentet i rutan Beskrivning. Den här beskrivningen visas bredvid argumentet i Redigeringsfönstret.

Om du klickar på Avbryt ångras eventuella ändringar som du gjort i ett argument och du återgår till dialogrutan Skapa underprogram.

Obs! Du kan även ta bort argument genom att klicka på knappen Ta bort i dialogrutan Skapa underprogram.


Om dialogrutan Skapa underprogram

I följande ämnen beskrivs de olika alternativen i dialogrutan Skapa underprogram.

Dialogrutan Skapa underprogram

Mer:

Underprogramnamn

Listrutan Argument

Lägga till argument

Ta bort ett argument från ett underprogram

Rutan Värden

Ta bort


Underprogramnamn

Ange namnet på det underprogram som du skapar i rutan Namn.


Listrutan Argument

I listan Antal argument visas argumenten för det underprogram som du skapar. Dubbelklicka på ett argument om du vill ändra det. Då öppnas dialogrutan Redigera argument.


Lägga till argument

Med knappen Lägg till kan du lägga till nya argument i ett underprogram. När du klickar på den här knappen öppnas dialogrutan Lägg till argument.


Ta bort ett argument från ett underprogram

Med knappen Ta bort kan du ta bort argument från ett underprogram. Du markerar helt enkelt det aktuella argumentet i listan och klickar sedan på knappen Ta bort.


Rutan Värden

I rutan Värden visas en lista över värdena för varje argument som är kopplat till underprogrammet. Dubbelklicka på ett värde om du vill ändra det. Då öppnas dialogrutan Redigera argument.


Ta bort

Med den här knappen kan du ta bort argument från Värde-rutorna. Du behöver bara markera det visade värdet och klickar sedan på Ta bort. Argumentet som är kopplat till det värdet tas då bort.


Redigera ett befintligt underprogram

Så här redigerar du ett befintligt underprogram:

  1. Placera insättningspunkten i underprogrammet i Redigeringsfönstret.

  2. Tryck på F9. Då öppnas dialogrutan Skapa underprogram. Mer information om den här dialogrutan finns i ämnet Om dialogrutan Skapa underprogram.

  3. Markera det argument som du vill ändra i rutan Antal argument. Då öppnas dialogrutan Redigera argument. Mer information om den här dialogrutan finns i ämnet Om dialogrutan Redigera underprogram.

  4. Gör nödvändiga ändringar i de önskade rutorna.

  5. Klicka på OK för att stänga dialogrutan Redigera argument och spara ändringarna. Sedan kan du välja andra argument att redigera.

När du är klar med ändringarna i underprogrammet klickar du på OK för att spara ändringarna och återgå till huvudfönstret i PC-DMIS.

Om du klickar på Avbryt ångras eventuella ändringar som du gjort i ett argument och du återgår till dialogrutan Skapa underprogram.

Obs! Du kan även ta bort argument genom att klicka på knappen Ta bort i dialogrutan Skapa underprogram.


Om dialogrutan Redigera argument

I följande ämnen beskrivs de olika alternativen i dialogrutan Redigera argument.

Dialogrutan Redigera argument

Mer:

Argumentnamn

Argumentvärde

Argumentbeskrivning


Argumentnamn

I rutan Namn anger du namnet på det argument som du skapar eller ändrar.


Argumentvärde

I rutan Värde anger du argumentets värde. Giltiga värden är:

  • Numerisk

  • Variabel

  • Textsträng


Argumentbeskrivning

I rutan Beskrivning kan du ange en beskrivning av argumentet. Den här beskrivningen visas bredvid argumentet i Redigeringsfönstret.


Avsluta ett underprogram

Med menyalternativet Infoga | Programflödeskommandon | Sluta underprogram kan du avsluta ett underprogram genom kommandot SLUT/UNDERPROGRAM infogas i Redigeringsfönstret.

Så här infogar du kommandot:

  1. Placera insättningspunkten på lämpligt ställe i Redigeringsfönstret.

  2. Välj menyalternativet Sluta underprogram.

Kommandot SLUT/UNDERPROGRAM visas i Redigeringsfönstret.


Anropa ett underprogram

Dialogrutan Anropa underprogram

Med menykommandot Underprogramanrop kan du anropa ett befintligt underprogram från det aktuella detaljprogrammet till en annan plats eller från ett annat detaljprogram till aktuella detaljprogrammet.

Så här anropar du ett underprogram:

  1. Välj menyalternativet Infoga | Programflödeskommandon | Anropa underprogram. Dialogrutan Anropa underprogram öppnas.

  2. Klicka på knappen Välj. Dialogrutan Välj underprogram öppnas.

Dialogrutan Välj underprogram

  3. Markera någon av eller båda kryssrutorna Användarmapp och Aktuell mapp. Om det detaljprogram som underprogrammet finns i ligger i den mapp som definierats för genomsökning efter underprogram ska du markera kryssrutan Användarmapp. Om det finns i den aktuella mappen ska du markera kryssrutan Aktuell mapp. I PC-DMIS visas en lista över alla valbara detaljprogram.

  4. Välj detaljprogrammet som innehåller det underprogram som du vill använda. Alla de underprogram som är kopplade till det valda programmet visas i rutan Namn på underprogram.

  5. Markera det underprogram som du vill anropa.

  6. Klicka på OK. Information om det underprogram som du kommer att anropa visas i dialogrutan Anropa underprogram.

  7. Klicka på OK en gång till. Det anropade underprogrammet visas på den valda platsen i Redigeringsfönstret.

Följande är ett exempel på kommandoraden för ett anropat underprogram i Redigeringsfönstret:

CS2 =ANROPA_UNDERPROGRAM/namn, fil\prog:Arg1,…

CS2 = märket som skapas för kommandot Anropa underprogram.
namn = alternativnamnet på det underprogram som ska anropas.
fil = det detaljprogram som innehåller underprogrammet. (Om det här fältet är tomt kommer underprogrammet att sökas i det anropande detaljprogrammet.)
prog = namnet på det detaljprogram från vilket underprogrammet anropas
Arg1 = det argument som ska skickas till underprogrammet. (Om det här fältet är tomt används standardvärdet.)

Obs! I kommandot ANROPA_UNDERPROGRAM bör du behålla en grupp pekare till alla de objekt som skapades för underprogrammet så att du enkelt kan referera till dem senare med hjälp av underprogrammets ID. Mer information om pekare finns i Pekare i avsnittet Använda uttryck och variabler.

I dialogrutan Anropa underprogram kan du också lägga till, ändra eller ta bort argument i det anropade underprogrammet.

Mer:

Så här lägger du till ett argument i dialogrutan Anropa underprogram:

Så här ändrar du ett argument i dialogrutan Anropa underprogram:

Så här tar du bort argument från ett ANROPA_UNDERPROGRAM-kommando:

Använda ANROPA_UNDERPROGRAM-kommandon i flerarmsläge


Så här lägger du till ett argument i dialogrutan Anropa underprogram:

  1. Klicka på knappen Lägg till. Dialogrutan Redigera argument öppnas.

  2. Klicka i rutan Värde.

  3. Ange ett värde för argumentet i rutan Värde.

  4. Klicka i rutan Beskrivning.

  5. Ange en beskrivning av argumentet i rutan Beskrivning. Den här beskrivningen visas bredvid argumentet i Redigeringsfönstret.


Så här redigerar du ett argument i dialogrutan Anropa underprogram:

  1. Dubbelklicka på värdet för det argument som du vill ändra. En värderuta som visar det anropade underprogrammets standardvärde öppnas.

  2. Skriv in ett nytt värde.

  3. Klicka på OK.

Mer information om hur du ändrar eller skapar nya argument för ett underprogram finns i Skapa ett nytt underprogram och i Redigera ett befintligt underprogram.


Så här tar du bort argument från ett ANROPA_UNDERPROGRAM-kommando:

  1. Placera insättningspunkten i ANROPA_UNDERPROGRAM-kommandot.

  2. Tryck på F9 för att öppna dialogrutan Anropa underprogram.

  3. Välj önskat/önskade underprogram i listan.

  4. Klicka på knappen Ta bort.

  5. Klicka på OK.

Du kan även ta bort ett argument direkt i Redigeringsfönstret. Så här gör du:

  1. Ställ in PC-DMIS i kommandoläge.

  2. Placera insättningspunkten i ANROPA_UNDERPROGRAM-kommandot och tryck på TABB-tangenten till dess att det önskade argumentet har markerats.

  3. Skriv "del". Då tas argumentet bort. Det fungerar inte att trycka på DELETE- eller BACKSTEG-tangenten. Då ändras argumentet till ett tomt argument.


Använda ANROPA_UNDERPROGRAM-kommandon i flerarmsläge

Om du markerar en ANROPA_UNDERPROGRAM-sats som Master kommer alla kommandon i underprogrammet att markeras som Master när underprogrammet anropas.

Om du markerar en ANROPA_UNDERPROGRAM-sats som Slav kommer alla kommandon i underprogrammet att markeras som Slav när underprogrammet anropas.

Om du markerar en ANROPA_UNDERPROGRAM-sats för båda armar kommer underprogrammens markeringar att lämnas så som de ursprungligen definierades.

Om ett underprogram innehåller ett VIA/SYNK-kommando och du markerar ANROPA_UNDERPROGRAM-satsen som Master eller Slav kommer ett felmeddelande med information om att detta är ogiltigt att visas vid körning och underprogrammet kommer inte att anropas.

Mer information om hur du tilldelar kommandon förning med en specifik arm finns i Tilldela ett kommando till en arm i avsnittet Använda flerarmsläge.


Om dialogrutan Anropa underprogram

I följande ämnen beskrivs de olika alternativen i dialogrutan Anropa underprogram.

Mer:

Rutan Namn i Anropa underprogram

Rutan Fil i Anropa underprogram

Välj underprogram


Rutan Namn i Anropa underprogram

I rutan Namn visas namnet på det underprogram som du valde efter att du klickade på knappen Välj.


Rutan Fil i Anropa underprogram

I rutan Fil visas sökvägen till den underprogramsfil som du vill anropa.


Välj underprogram

Med knappen Välj öppnar du dialogrutan Välj underprogram.

Dialogrutan Välj underprogram

I den här dialogrutan kan du anropa tidigare skapade underprogram genom att söka i en användarmapp eller i den aktuella mappen.


Kodexempel på ett underprogram

Med följande kodexempel kan användaren välja att ändra ett elements teoretiska X-, Y- och Z-värden efter att det har mätts. Efterföljande körningar kommer sedan att använda de uppdaterade teoretiska värdena.

PKT1=ELEMENT/PUNKT,REKT

…

…

SLUTMÄT/

C1=KOMMENTAR/JANEJ,Vill du ändra de teoretiska värdena för PKT1?

OM/C1.INMATN=="JA"

CS1=ANROPA_UNDERPROGRAM/ÄNDRA_TEOR,:,

SLUT_OM/

KOMMENTAR/OPER,De teoretiska och mätta XYZ-värdena för PKT1 är:

,"Teor X= " + PKT1.TX

,"Teor Y= " + PKT1.TY

,"Teor Z= " + PKT1.TZ

,- - - - - - - - - - -

,"Mätt X= " + PKT1.X

,"Mätt Y= " + PKT1.Y

,"Mätt Z= " + PKT1.Z

PROGRAM/SLUT

UNDERPROGRAM/ÄNDRA_TEOR,

PUNKT1 = {PKT1} : ,

=

UTVINFO/;UTVID,ELEMID;RUBRIKER,GRAFAXEL ;MÄTT,NOM,TOL,AVV,MAXMIN,UTOMTOL, , ,

C2=KOMMENTAR/INMATN,Ange det nya teoretiska X-värdet för PKT 1.

,"Dess aktuella värde är: " + PKT1.TX

TILLDELA/PKT1.TX=C2.INMATN

C3=KOMMENTAR/INMATN,Ange det nya teoretiska Y-värdet för PKT 1.

,"Dess aktuella värde är: " + PKT1.TY

TILLDELA/PKT1.TY=C3.INMATN

C4=KOMMENTAR/INMATN,Ange det nya teoretiska Z-värdet för PKT 1.

,"Dess aktuella värde är: " + PKT1.TZ

TILLDELA/PKT1.TZ=C4.INMATN

SLUT_UNDERPROGRAM/

Förklaring av exempelkoden

C1=KOMMENTAR/JANEJ
Den här raden hämtar användarens svar JA eller NEJ och sparar det.

OM/C1.INMATN=="JA"
Den här raden är uttrycket. Den kontrollerar om inmatningen för kommentar 1 är JA. Om svaret är JA blir OM-satsen SANT och satserna fortsätter att köras efter OM-satsen, i det här fallet mätning av elementet PKT1. Om svaret är NEJ går programmet till satsen SLUT_OM.

CS1=ANROPA_UNDERPROGRAM/ÄNDRA_TEOR,:,
Den här raden anropar underprogrammet som heter ÄNDRA_TEOR. Detaljprogrammets flöde hoppar nu till raden UNDERPROGRAM/ÄNDRA_TEOR.

UNDERPROGRAM/ÄNDRA_TEOR
Den här raden startar underprogrammet ÄNDRA_TEOR. Programflödet fortsätter med kodkörningen mellan den här raden och raden SLUT_UNDERPROGRAM/.

PUNKT1 = {PKT1} : ,
Det här är det enda argumentet i underprogrammet. Det gör att underprogrammet kan komma åt information från elementet PKT1.

C2=KOMMENTAR/INMATN, C3=KOMMENTAR/INMATN, C4=KOMMENTAR/INMATN
Användaren ger alla de här inmatningskommentarerna nya teoretiska X-, Y- och Z-värden och de sparas i C2.INMATN, C3.INMATN respektive C4.INMATN.

TILLDELA/PKT1.TX = C2.INMATN
Den här raden tar det teoretiska X-värdet från C2.INMATN och tilldelar det till variabeln PKT1.TX. PKT1.TX är en PC-DMIS-variabel som innehåller det teoretiska X-värdet (betecknas med TX) för punkten med ID:t PKT1.

TILLDELA/PKT1.TY = C3.INMATN
Den här raden tar det teoretiska Y-värdet från C3.INMATN och tilldelar det till variabeln PKT1.TY. PKT1.TY är en PC-DMIS-variabel som innehåller det teoretiska Y-värdet (betecknas med TY) för punkten med ID:t PKT1.

TILLDELA/PKT1.TZ = C4.INMATN
Den här raden tar det teoretiska Z-värdet från C4.INMATN och tilldelar det till variabeln PKT1.TZ. PKT1.TZ är en PC-DMIS-variabel som innehåller det teoretiska Z-värdet (betecknas med TZ) för punkten med ID:t PKT1.

SLUT_UNDERPROGRAM/
Den här raden avslutar underprogrammet och programflödet återgår till den rad som ligger direkt efter raden där underpogrammet anropas. I det här fallet satsen SLUT_OM/.

Programflödet fortsätter med nästa operatörskommentar, som visar de teoretiska och mätta X-, Y- och Z-värden, varvid detaljprogrammet avslutas med kommandot PROGRAM/SLUT.


Avsluta ett detaljprogram

Med menyalternativet Infoga | Programflödeskommandon | Programslut kan du infoga kommandot PROGRAM/SLUT i Redigeringsfönstret. När det här kommandot påträffas i PC-DMIS under programkörning avslutas programkörningen omedelbart.

Det här kommandot är praktiskt om du vill avsluta ett detaljprogram tidigare än vanligt, baserat på definierade villkor.


Spåra statistiska data

Spåra statistiska data: Inledning

Använda spårningsfält

Alternativ

Ingen visning

Visa

Värdegräns

Skriva aktuell statistik i en fil

Använda dialogrutan Statistikalternativ

Stat.-alternativ

Statistik Av

Statistik På

Överför

Uppdatera

Databasalternativ

Alternativet DataPage

Mappar för databas(er)

Lägga till en mapp i listan

Ta bort en mapp från listan

Ta bort aktuell statistikfil

Variabelnamn för DataPage

Utföra kontrollberäkningar

Lässpärr

Skrivspärr

Minnessidor

Alternativet DES

Alternativet SPC-databas

Datakälla

Se/ändra databasen

Uppdatera databasen nu


Spåra statistiska data: Inledning

I PC-DMIS kan du spåra och hantera statistiska data för mätta detaljer. Informationen i alla utvärderings- och spårningsfält kan skickas till ett markerat paket med statistikmjukvara genom att du infogar ett STATkommando före utvärderings- eller spårningsfältet.

Nedan följer några av huvuddelarna av det här avsnittet:

  • Använda spårningsfält

  • Skriva aktuell statistik i en fil

  • Använda dialogrutan Statistikalternativ


Använda spårningsfält

Dialogrutan Spårningsfält

Med menyalternativet Infoga | Statistikkommando | Spårningsfält visar du dialogrutan Spårningsfält. I den här dialogrutan kan du skapa spårningsfält i Redigeringsfönstret. Den här informationen används i STAT-databasen (se filen XSTATS11.TMP). Med spårningsfältet i Redigeringsfönstret kan du ändra namnet på och det aktuella värdet för ett spårningsfält.

Så här ändrar du värdena för ett spårningsfält:

  1. Placera markören i den ruta som du vill ändra.

  2. Välj det föregående värdet.

  3. Skriv in ett nytt värde.

Om alternativet Visa har valts visas dialogrutan Spårningsfält varje gång detaljprogrammet körs. Om alternativet Ingen visning har valts visas inte dialogrutan när programmet körs.

Kommandoraden i Redigeringsfönstret för ett spårningsfältalternativ är:
SPÅRNINGSFÄLT/VISNINGSLÄGE ; fältnamn : värde

DISPLAYSTATE = I det här växlingsfältet anges om dialogrutan Spårningsfält visas eller inte när programmet körs. Värdet är antingen VISA eller INGEN VISNING.

fältnamn = Den här strängen motsvarar namnet på spårningsfältet. Maxlängden är 15 tecken.

värde = Här visas det aktuella värdet i spårningsfältet. Maxlängden är 15 tecken.

Viktigt! Kommandot SPÅRNINGSFÄLT måste följa efter kommandot STAT/PÅ.

Mer:

Alternativ


Alternativ

Med alternativen i området Alternativ styr du alternativen för spårningsfältet:

  • Ingen visning

  • Visa

  • Värdegräns


Ingen visning

Om du väljer alternativet Ingen visning visas inte dialogrutan när spårningsfältet körs. Detta innebär att spårningsfält kan styras av variabler utan att användaren måste ange indata.


Visa

Om du väljer alternativet Visa visas dialogrutan när spårningsfältet körs. Detta innebär att användaren måste ange indata i spårningsfältet under körningen.

Obs! Spårningsfält som fylls i med hjälp av Logo.dat skrivs inte ut när de påträffas under körning. Däremot skickas de till statistikfilen.


Värdegräns

I rutan Värdegräns anges det maximala antalet tecken för värdet i spårningsfältet. Om du anger siffran 5 i rutan Värdegräns går det inte att skriva mer än fem tecken i rutan Värde.


Skriva aktuell statistik i en fil

Med menyalternativet Åtgärder | Skriv aktuell statistik i fil kan du skicka data till en databas eller till filen XSTATS11.tmp utan att detaljprogrammet behöver köras.

När du väljer det här alternativet skickas alla utvärderingar och spårningsfält som följt efter kommandot STAT/PÅ omedelbart till den valda databasen. Statistiken skickas bara till en databas om du har registrerat en databas och markerat kommandot STAT/PÅ. Annars skickas statistiska data till filen XSTATS11.tmp.


 Området Stat.-alternativ Listan Mappar för databas(er) Området Databasalternativ Området Namn på Datapage-variabel Rutan Lässpärr Rutan Skrivspärr Rutan Minnessidor Knappen Lägg till mappen i listan Knappen Ta bort aktuell statistikfil Knappen Ta bort mappen från listan Knappen Uppdatera databasen nu Knappen Avbryt

Använda dialogrutan Statistikalternativ

Dialogrutan Statistikalternativ

Med menyalternativet Infoga | Statistikkommando | Statistik kan du hantera statistikinformation som tas emot när en detalj mäts. Du gör detta genom att infoga ett STAT-kommando i ett detaljprogram före alla utvärderings- och spårningsfältkommandon. Informationen kan sedan skickas till ett valt paket med statistikmjukvara.

Mer:

Stat.-alternativ

Databasalternativ

Uppdatera databasen nu


Stat.-alternativ

Området Stat.-alternativ är alltid tillgängligt i dialogrutan Statistikalternativ. I området Stat.-alternativ kan du använda följande kommandon.

  • Inaktivera statistik

  • Aktivera statistik

  • Överför statistik till en annan mapp

  • Uppdatera statistik


Statistik Av

När du väljer alternativet Av stoppas sändningen av statistikinformation från detaljprogrammet. Om du väljer Av kommer kommandona Utvärdering och Spårningsfält inte att resultera i att statistisk information skickas till databasen om du inte väljer alternativet STAT/PÅ.


Statistik På

Om du väljer alternativet På kan statistisk information skickas från detaljprogrammet till databasen. Om du väljer På kan du skicka data till statistikfilen, överföra informationen till en annan mapp eller spara informationen i ett databasprogram.

Alla utvärderingar som följer efter ett STAT/PÅ-kommando, före nästa STAT/AV-kommando, skickas till statistikfilen eller databasen när nästa STAT/ÖVERFÖR- eller STAT/UPPDATERA-kommando eller det sista kommandot i detaljprogrammet körs. Med kommandot STAT/PÅ kan du skicka utdatainformationen till flera databaser, även inom samma detaljprogram.

Efter varje körning av ett detaljprogram som innehåller minst ett STAT/PÅ-kommando får du en fråga om du vill skicka utdatainformationen till någon statistikdatabasmapp. Du kan förbigå den här uppmaningen genom att markera kryssrutan Uppdatera ALLTID databasen på fliken Utvärdering i dialogrutan Inställningsval. Läs mer under Inställningsval: fliken Utvärdering i avsnittet Göra inställningar.

Obs! Om du har valt DataPage i Databasalternativ anropas den körbara filen DPUPDATE.exe automatiskt för att infoga data från filen XSTATS11.tmp i alla markerade DataPage-mappar.

Om du aktiverar statistik (STAT/PÅ) inom en slinga kan utdata till filen XSTATS11.tmp skilja sig något för utvärderings- och element-ID.

Kommandoraden i Redigeringsfönstret för STAT/PÅ lyder:
STAT/PÅ,databasalternativ;
mapp eller DSN,
användar-ID , lässpärr, skrivspärr, minnessidor, användarläge, variabelnamn

databasalternativ = I det här växlingsfältet visas den typ av databas som statistiken skickas till. Värdet i fältet kan vara DATAPAGE, DES eller SPC-DATABAS.

Mapp eller DSN = Om databasalternativet är DATAPAGE eller DES visar den här strängen de databasmappar som statistiken skickas till. Det här måste vara en giltig databasmapp. Om databasalternativet är SPC-DATABAS innehåller den här strängen DSN-namnet för databasen. DSN-namnet kan skapas under ODBC-alternativen på Kontrollpanelen på datorn. DSN-namnet måste länka till en giltig SPC-databas.

användar-ID = En sträng med de nio siffrorna i serienumret på hårdvarulåset. Det här fältet används bara för databasalternativet DataPage.

lässpärr = I det här fältet anges den maximala väntetiden (i sekunder) på databasåtkomst som ska gälla i PC-DMIS vid läsning. Standardvärdet är 10 sekunder. Det här fältet används bara för databasalternativet DataPage.

skrivspärr = I det här fältet anges den maximala väntetiden (i sekunder) på databasåtkomst som ska gälla i PC-DMIS vid skrivning. Standardvärdet är 20 sekunder. Det här fältet används bara för databasalternativet DataPage.

minnessidor = I det här fältet anges antalet 4K-sidor som ska reserveras för databastabeller när en databas öppnas. Det här alternativet påverkar prestanda. Det minsta antalet som kan anges är 4 (det är också standardvärdet). Det här fältet används bara för databasalternativet DataPage.

användarläge = I det här fältet anges inställningen för användarläge. I läget En användare har bara en användare åtkomst till databasen. Värdet 0 (noll) innebär att läget En användare har angetts. Värdet 1 (ett) innebär att läget Flera användare har angetts. Läget En användare innebär bättre prestanda. Det här fältet används bara för databasalternativet DataPage.

variabelnamn = I det här fältet anges inställningen för variabelnamn. Värdet 0 (noll) innebär att utvärderingsnamn visas. Värdet 1 (ett) innebär att element-ID visas. Det här fältet används bara för databasalternativet DataPage.


Överför

Med alternativet Överför kan du överföra statistikinformation från ett detaljprogram till en angiven mapp efter att kommandot STAT/ÖVERFÖR körs.

Obs! Det här alternativet är särskilt användbart med alternativet Auto Update i DataPage.

Så här överför du statistik till en annan mapp:

  1. Klicka på alternativet Överför.

  2. I rutan Överföringsmapp anger du sökvägen till den mapp som du vill överföra statistikfilen till.


Uppdatera

Med alternativet Uppdatera skapar du kommandot STAT/UPPDATERA som innebär att statistikdatabasen uppdateras varje gång kommandot körs. Statistikmjukvaran måste vara installerad och aktiv.

Obs! Med kryssrutan Uppdatera alltid databasen på fliken Utvärdering i dialogrutan Inställningsval kan du åsidosätta meddelandet "Skall databasen uppdateras nu?" som visas i PC-DMIS i slutet av körningen av ett detaljprogram som innehåller kommandot STAT/PÅ. Läs mer under Inställningsval: fliken Utvärdering i avsnittet Göra inställningar.


Databasalternativ

Med databasalternativen kan du ange ett av följande paket med statistikmjukvara för att skicka mätningsinformationen:

  • DataPage

  • DES

  • SPC-databas

Dialogrutan Statistikalternativ ändras när du väljer något av databasalternativen.

Mer:

Alternativet DataPage

Mappar för databas(er)

Lägga till en mapp i listan

Ta bort en mapp från listan

Ta bort aktuell statistikfil

Variabelnamn för DataPage

Utföra kontrollberäkningar

Lässpärr

Skrivspärr

Minnessidor

Alternativet DES

Alternativet SPC-databas

Datakälla

Se/ändra databasen


Alternativet DataPage

När du väljer alternativet DataPage ändras dialogrutan Statistikalternativ och följande läggs till:

  • Listan Mappar för databas(er)

  • Knappen Lägg till mappen i listan

  • Knappen Ta bort mappen från listan

  • Knappen Ta bort aktuell statistikfil

  • Området Namn på DataPage-variabel

  • Området Utför kontrollberäkningar

  • Rutan Lässpärr

· Rutan Skrivspärr

· Rutan Minnessidor

Dialogrutan Statistikalternativ – alternativet DataPage


Mappar för databas(er)

I listan Mappar för databas(er) visas de olika mappar där ett databasprogram kan finnas. Du kan lägga till eller ta bort mappar i listan. Maximalt tio mappar per STAT/PÅ-kommando kan väljas för att statistisk information ska skickas dit.


Lägga till en mapp i listan

Så här lägger du till en ny mapp i listan Mappar för databas(er):

  1. Klicka på knappen Lägg till mappen i listan. En ruta visas där du kan ange sökvägen till mappen.

  2. Skriv in mappsökvägen för databasen.

  3. Klicka på knappen OK. Mappen visas nu i listan.


Ta bort en mapp från listan

Så här tar du bort en databasmapp från listan Mappar för databas(er):

  1. Välj mappen som du vill ta bort från listan Mappar för databas(er).

  2. Klicka på knappen Ta bort mappen från listan. Mappen tas bort från listan.


Ta bort aktuell statistikfil

För att ta bort filen xstats11.tmp klickar du på knappen Ta bort aktuell statistikfil.


Variabelnamn för DataPage

De här alternativen fungerar bara med statistikdatabasprogrammet DataPage.

Använd alternativen i området Namn på DataPage-variabel för att ange om utvärderingsnamnet eller elementnamnet ska användas för att identifiera poster i DataPage. Maxlängden för namnet är 10 tecken.

För att välja utvärderingsnamnet eller elementnamnet väljer du alternativet Använd utvärderingsnamn eller alternativet Använd elementnamn.


Utföra kontrollberäkningar

Med alternativen i området Utför kontrollberäkningar anger du om kontrollberäkningarna som sker inom DataPage ska användas. Om alternativet På väljs utförs beräkningar för att kontrollera om toleransgränserna överskrids. Dessutom skickas ett kommando till statistikuppdateringsprogrammet DataPage (DPUPDATE) om att kontrollberäkningarna ska utföras och att indikatorerna för inom/utom tolerans/kontroll i databasen ska anges. Du kan övervaka databasen med hjälp av övervakningsläget i DataPage genom att aktivera färgerna för detaljer/variabler (röd/gul/grön) utifrån beräkningarna. Mer information finns i hjälpfilen för övervakningsläget i DataPage.

För att aktivera eller inaktivera kontrollberäkningar väljer du På eller Av. Standardvärdet är Av.


Lässpärr

Med rutan Lässpärr kan du ange den maximala väntetiden (i sekunder) för databasåtkomst som ska gälla i PC-DMIS vid läsning. Standardvärdet är 10 sekunder.

Så här ändrar du antalet sekunder för väntetiden:

  1. Välj det aktuella värdet i rutan Lässpärr.

  2. Skriv in ett nytt värde.

  3. Tryck på TABB-tangenten.

  4. Klicka på OK.


Skrivspärr

Med rutan Skrivspärr kan du ange den maximala väntetiden (i sekunder) för databasåtkomst som ska gälla i PC-DMIS vid skrivning. Standardvärdet är 20 sekunder.

Så här ändrar du antalet sekunder för väntetiden:

  1. Välj det aktuella värdet i rutan Skrivspärr.

  2. Skriv in ett nytt värde.

  3. Tryck på TABB-tangenten.

  4. Klicka på OK.


Minnessidor

Med rutan Minnessidor kan du ange antalet 4K-sidor som ska reserveras för databastabeller när en databas öppnas. Det minsta antalet sidor som kan vara öppna är fyra (det är också standardvärdet).

Så här ändrar du antalet minnessidor:

  1. Välj värdet i rutan Minnessidor.

  2. Skriv in ett nytt värde.

  3. Tryck på TABB-tangenten.

  4. Klicka på OK.


Alternativet DES

Alternativet DES fungerar bara med statistikdatabasprogrammet DES. När du väljer DES ändras dialogrutan Statistikalternativ så att den bara innehåller området Stat.-alternativ, området Databasalternativ och kommandoknapparna Uppdatera databasen nu, OK och Avbryt.

Dialogrutan Statistikalternativ – alternativet DES


Alternativet SPC-databas

Alternativet SPC-databas fungerar bara med det egna statistikdatabasprogrammet i PC-DMIS, SPC. När du väljer alternativet SPC-databas ändras dialogrutan Statistikalternativ så att följande visas:

  • Rutan Datakälla

  • Se/ändra databasen

Dialogrutan Statistikalternativ – alternativet SPC-databas


Datakälla

Med hjälp av listan Datakälla kan du välja ett datakällnamn (DSN). Ett DSN skapas först genom att du använder ODBC-alternativen (Open Database Connectivity) på Kontrollpanelen på datorn.

Så här skapar du ett DSN:

  1. Öppna Kontrollpanelen i Windows.

  2. Välj Administrationsverktyg.

  3. Dubbelklicka på ikonen Datakällor (ODBC).

  4. Följ instruktionerna i hjälpfilen för operativsystemet för att skapa ett DSN.

Genom att ODBC används kan data skickas direkt från PC-DMIS till SPC-databasen, och data kan visas inom ett statistikpaket som stöder SPC-databasen.


Se/ändra databasen

Knappen Se/ändra databasen kan bara användas om en giltig datakälla har valts i rutan Datakälla. Om du klickar på den här knappen kan data i SPC-databasen visas och tas bort från dialogrutan SPC-databas:

Dialogrutan SPC-databas

SPC-databasen kan visas i PC-DMIS med hjälp av följande flikar i dialogrutan:

  • Detaljprogram

  • Dimensioner

  • Utvärderingsresultat

  • Spårningar

  • Spårningsvärden

Du kan också visa databaser med hjälp av menyalternativet SPC-databas


Uppdatera databasen nu

Med knappen Uppdatera databasen nu kan du uppdatera databasprogrammet med statistiska data från det aktuella detaljprogrammet.

Så här uppdaterar du databasen nu:

  1. Klicka på knappen Uppdatera databasen nu.

  2. Följ instruktionerna på skärmen.

När ett detaljprogram har körts sparas en del utvärderings- och spårningsfältinformation i en fil med namnet XSTATS11.tmp i den mapp där du har installerat PC-DMIS (vanligtvis C:\PCDMISW). Informationen i den här filen kan sedan överföras till en annan mapp, skrivas ut eller skickas till ett databasprogram.

Obs! Om inget databasprogram är tillgängligt visas ett meddelande i PC-DMIS om att det inte gick att hitta uppdateringsfilen (för programmet DataPage är detta filen DPUPDATE.exe) som behövs för att ladda XSTATS11.tmp till databasen.


Rapportera mätresultat

Rapportera mätresultat: Översikt

Rapportera ändringar

Om Rapportfönstret

Rapportlisten

Ändra innehåll i Rapportfönstret

Använda standardrapporter

Skapa anpassade rapporter

Om rapporter och rapportmallar

Om Redigera rapportmall

Genomgång – Skapa en anpassad rapportmall

Tillämpa eller ta bort en rapportmall

Om etiketter och etikettmallar

Om Redigera etikettmall

Genomgång – Skapa etikettmallar

Använda etiketter i rapporter

O rdna etiketter i Rapportfönstret

Använda kommandot för tabellformat

Om objektegenskaper

Gemensamma egenskaper

Arbeta med användardefinierade egenskaper

Rensa mallrelaterade data

Om händelser och Visual Basic-kod

Om formulär

Om Redigera formulär

Genomgång – Skapa formulär

Använda formulär med rapporter

Om rapportuttryck

Funktioner och operatorer

Använda datatyper för att söka efter ett rapportuttryck

Om Redigera beslutsträd

Definiera en regel

Importera och exportera regler

Använda dialogrutan Tabellformat

Ändra miniatyrbilden för en mall

Arbeta med rutnät

Arbeta med befintliga HyperView-rapporter

Ställa in en standardrapport för ett detaljprogram

Bädda in HyperView-rapporter i ett detaljprogram

Kommandot RAPPORT/FILNAMN

Överföra uttryck från PC-DMIS till egenskaper för HyperView-objekt

Dubbelriktning hos uttryck om uttrycket är ett L-värde


Rapportera mätresultat: Översikt

När du har mätt en detalj behöver du kunna förmedla mätresultaten till andra personer. Som standard skickas mätdata till en standardinställd textrapport som innehåller övergripande data för de element som har mätts i detaljprogrammet. Du kan skriva ut rapporten i en skrivare eller till en fil och granska sparade rapporter genom att välja Visa | Rapport. Se Visa en rapport och Skriva ut rapporten.

För många aktiviteter kan det räcka med den standardinställda rapporten. Version 4.0 och senare versioner av PC-DMIS innehåller dessutom verktyg som du kan använda för att skapa anpassade, interaktiva rapporter. Med dessa verktyg kan du använda mallar för att ange exakt hur rapporten ska se ut och vilken information som ska ingå i den. Du kan även använda mallarna för att få ett enhetligt utseende i flera rapporter.

Det här är huvuddelarna i det här avsnittet:

  • Rapportera ändringar

  • Om Rapportfönstret

  • Använda standardrapporter

  • Skapa anpassade rapporter

  • Arbeta med befintliga HyperView-rapporter


Rapportera ändringar

De stora förändringarna av rapporter i PC-DMIS 4.0 är fullständigt förnyade funktioner för HyperView-rapporter och tillägget av ett omfattande system med mallar. Nedan visas de viktigaste förändringarna av rapporter mellan PC-DMIS 3.7 och PC-DMIS 4.0:

  • Rapporterna är inte längre en del av Redigeringsfönstret. Mätresultaten visas i ett nytt Rapportfönster med egna verktygsfält. Se Om Rapportfönstret.

  • Nu används mallar i rapporterna. Det innebär att du kan lägga till samma data i olika mallar och på så sätt skapa olika rapporter från samma data, eller standardisera rapporter och skapa en enda rapportmall med ett standardutseende för rapporter om olika detaljprogram. Se Om rapporter och rapportmallar.

  • I rapportmallarna används etiketter för att rapportera om specifik utvärderings- eller elementinformation. Du kan skapa anpassade etikettmallar. Se Om etiketter och etikettmallar.

  • Redigeraren för HyperView-rapporter har delats upp i flera olika redigeringsmiljöer för olika delar av rapporteringen:

    1. Redigera rapportmall

    2. Redigera etikettmall

    3. Redigera formulär

  • Den tidigare objektlisten för HyperView-rapporter har delats upp i följande:

    1. Objektlisten för Redigera rapportmall

    2. Objektlisten för Redigera etikettmall

    3. Objektlisten för Redigera formulär

  • De tidigare objekten för elementtext, punktinformation och utvärderingsinformation används inte längre. Nu utförs dessa och andra aktiviteter i etikettmallar.

  • Objektegenskaper kan användardefinieras så att användaren ombes att ange ett värde för en viss egenskap när en rapport körs eller en mall väljs. Se Arbeta med användardefinierade egenskaper.

  • Tidigare HyperView-rapporter fungerar fortfarande och kan köras i detaljprogrammen men du kan inte längre redigera dem i den nya mallrapporteringsmiljön. Om du behöver redigera en HyperView-rapport från en tidigare version måste du använda en tidigare version av PC-DMIS. Se Arbeta med befintliga HyperView-rapporter.


Om Rapportfönstret

Du öppnar Rapportfönstret via menyalternativet Visa | Rapportfönsterfönster. När detaljprogrammet har körts visas mätresultaten i det här fönstret och utskriften konfigureras automatiskt i enlighet med standardrapportmallen. Du kan ställa in vilken rapportmall som helst som standardrapportmall men den ursprungliga inställningen är mallen TEXTONLY.RTP.

Rapportfönstret med en vanlig textbaserad rapport

Rapportfönstret fungerar som alla andra fönster i PC-DMIS och du kan även utföra åtgärder på menyn Fönster i Rapportfönstret. Rapportfönstret innehåller statiskt innehåll som baseras på den valda rapportmallen och det aktuella detaljprogrammet.

Rapportfönstret innehåller även ett verktygsfält, Rapportlisten.

Mer:

Rapportlisten

Ändra innehåll i Rapportfönstret


Rapportlisten

Rapportlisten

Rapportlisten i Rapportfönstret innehåller följande funktioner:

Ikon | Beskrivning
Rita om rapporten | Ritar om rapporten. Om du ändrar den aktuella rapportmallen eller om detaljprogrammet ändras kan du klicka på ikonen för att rapporten ska ritas om och uppdateras med den ändrade mallen eller med nya programdata.
Rapportmallar | Om du klickar på ikonen Rapportmallar öppnas en dialogruta där du kan hantera mallar och välja en mall som ska användas för att skapa rapportutskriften. Se Tillämpa eller ta bort en rapportmall.
Skriv ut rapporten | Skriver ut rapporten på standardskrivaren.
Sätt denna rapport som standard | Ställer in den aktuella mallen som standardmall för det aktuella detaljprogrammet. Den definierade standardrapportmallen kommer därefter att användas varje gång du öppnar detaljprogrammet. Den ursprungliga standardrapporten är TEXTONLY.RTP.
Spara layout | Om du klickar på ikonen Spara layout sparas den aktuella mallen som en layout. Därefter visas en ny ikon för sparad layout i verktygsfältet. Den nya ikonen får samma namn som mallen. När du klickar på den visas rapporten i Rapportfönstret med den sparade mallayouten.
Visa rapport | Om du klickar på ikonen Fullständig rapport skapas rapporten från samtliga kommandon i detaljprogrammet oavsett hur den senaste körningen av programmet såg ut.
Visa rapport för den senaste körningen | Om du klickar på ikonen Rapport, senaste körningen visas endast de objekt som kördes under den senaste körningen av detaljprogrammet. I rapporten visas kommandona i den ordning de kördes. Om vissa kommandon har körts flera gånger på grund av att de ingår i en slinga visas samtliga körningar. Informationen visas endast i rapporten så länge detaljprogrammet är öppet. Om du avslutar detaljprogrammet rensas rapporten.
Sätt rapportförstoring | Du ställer in rapportförstoringen i Rapportfönstret genom att välja ett objekt i den här listan. Förstoringen påverkar inte utskriften av rapporten men det kan ändå vara ett praktiskt alternativ när du förhandsgranskar en rapport eller ska avgöra vilken mall som ska användas.
Ikon för en sparad layout | Dessa ikoner används för sparade rapportlayouter. Klicka på någon av dem för att genast växla rapportlayouten mellan vanligt förekommande mallar. För att ta bort en sparad layout trycker du ned SKIFT-tangenten och använder musen för att dra bort ikonen från verktygsfältet.

Obs! Rapportlisten finns endast i Rapportfönstret. Du kan inte välja den bland verktygsfälten i det vanliga gränssnittet för PC-DMIS.


Ändra innehåll i Rapportfönstret

Redigera textrapporter

Om du högerklickar på en rapporttext visas en knapp med texten Redigera.

Om du klickar på knappen öppnas dialogrutan Rapport. I dialogrutan kan du ange vad som ska visas i Rapportfönstret.

Genom att markera och avmarkera kryssrutorna nedan kan du visa eller dölja olika objekt:

Visa element | Om du markerar det här alternativet visas de element som mäts i detaljprogrammet.
Visa uppriktningar | Om du markerar det här alternativet visas de ändringar av uppriktningarna som uppstår i detaljprogrammet. Alla ändrade uppriktningar från utvärderings- och elementlistorna visas.
Visa kommentarer | Om du markerar det här alternativet visas eventuella kommentarer som har lagts till i detaljprogrammet. (Mer information finns i Infoga programmeringskommentarer i avsnittet Infoga rapportkommandon.)
Visa sidhuvud/sidfot | Om du markerar det här alternativet visas sidhuvudet/sidfoten från filerna LOGO.DAT, HEADER.DAT och ELOGO.DAT. (Information om hur du ändrar dessa filer finns i Ändra sidhuvuden och sidfötter i avsnittet Använda Redigeringsfönstret.)
Visa skärmbilder | Om du markerar det här alternativet visas eventuella bilder som är relaterade till kommandona VISA/METAFIL och ANALYSVY i rapporten.

I området Utvärderingar kan du styra hur utvärderingarna visas i rapporterna. Markera kryssrutan Visa om du vill visa utvärderingar. När rutan har markerats blir ytterligare objekt i området valbara. De är:

Alla

Om du markerar det här alternativet får du samma effekt som om du hade markerat båda alternativen Om utanför tolerans och När avvikelsen är större än.

Om utanför tolerans

Om du markerar det här alternativet visas endast utvärderingar utanför toleransen. (Visa utvärderingar måste vara PÅ.)

Det här alternativet är endast tillgängligt om du markerar Visa och avmarkerar När avvikelsen är större än.

När avvikelsen är större än

Om du markerar det här alternativet visas endast de utvärderingar som procentuellt sett ligger utanför toleranszonen.

Om du markerar Visa och När avvikelsen är större än kan du redigera procentsatserna för toleransen, tillåta en procentsats för enkelsidiga toleranser och en övre och nedre procentsats för dubbelsidiga toleranser.

Toleranszonen kan betraktas som ett intervall mellan 0 och 100 procent (jämför med hur utvärderingsfärger tillämpas på regioner i toleranszonen eller hur färgade stapeldiagram framställs i slutet av utvärderingar). Utvärderingar med en avvikelse som ligger utanför toleranszonen är antingen mindre än noll eller större än hundra procent.

För en enkelsidig utvärdering (till exempel rundhet som endast har en övre tolerans) ligger nollavvikelserna på noll procent och det som är över toleransen är större än hundra procent.

För en dubbelsidig utvärdering (till exempel avstånd som har en övre och nedre tolerans) ligger nollavvikelserna i mitten av intervallet. Om toleranserna är lika stora kommer nollavvikelserna att ligga på 50 %.

Visa och När avvikelsen är större än – exempel med enkelsidig utvärdering

Enkelsidig procentsats:

Nominellt: 0.0000

Mätt: 0.0028

Avvikelse: 0.0028

Övre tol.: 0.0050

Nedre tol.: 0.0000

Eftersom avvikelsen är 56 % av toleransintervallet visas den om den enkelsidiga procentsatsen är mindre än 56 %.

Visa och När avvikelsen är större än – exempel med dubbelsidig övre tolerans

Dubbelsidig övre procentsats:

Nominellt: 3.0000

Mätt: 3.0075

Avvikelse: 0.0075

Övre tol.: 0.0100

Nedre tol.: 0.0100

Procentsatsen beräknas med hävstångsregeln:

(3.0075-2.9900) / (3.0100-2.9900) * 100 = 87.5 %

Utvärderingen kommer att visas i rapporten om den dubbelsidiga övre procentsatsen är större än 87.5 %.

Visa och När avvikelsen är större än – exempel med dubbelsidig nedre tolerans

Dubbelsidig nedre procentsats:

Nominellt: 3.0000

Mätt: 2.9925

Avvikelse: 0.0075

Övre tol.: 0.0100

Nedre tol.: 0.0100

Procentsatsen beräknas med hävstångsregeln:

(2.9925-2.9900) / (3.0100-2.9900) * 100 = 12.5 %

Utvärderingen kommer att visas i rapporten om den dubbelsidiga övre procentsatsen är mindre än 12.5 %.

Utvärderingar som text

Om du markerar den här kryssrutan anger du att PC-DMIS visar utvärderingarna som formaterad text (markerad ruta) eller som en grafiktabell (inte markerad ruta).

Redigera placering av etiketter

Om du dubbelklickar på en etikett kan du plocka upp etiketten och flytta på den. Du drar den till en ny plats i Rapportfönstre och dubbelklickar på den igen för att sätta ned den.

Redigera etikettrapport

Om du högerklickar på en etikett och därefter klickar på Redigera öppnas dialogrutan Etikettegenskaper.

I dialogrutan kan du ändra antalet kolumner och rader eller styra visningen av enskilda kolumner och rader.

Så här ändrar du ordningen – Markera en rad eller kolumn och klicka på upp- eller nedpilen.

Så här visar eller döljer du ett objekt – Avmarkera kryssrutan bredvid objektet om du vill dölja det. Markera kryssrutan om du vill visa det.

När du har gjort de önskade ändringarna av etiketten markerar du en av alternativknapparna längst ned för att tillämpa ändringarna på den aktuella etiketten, på alla liknande etiketter på den aktuella sidan eller på alla liknande etiketter i hela sektionen. Visningen ändras när du klickar på OK.

Redigera CAD-modellrapportering

Om du dubbelklickar på ett CADRapportObjekt blir det aktivt. Det innebär att du vid behov kan rotera eller zooma CAD-modellen. Klicka utanför CADRapportObjekt för att använda den nya riktningen eller zoomnivån. Mer information finns i CADRapportObjekt.


Använda standardrapporter

Den standardinställda rapportmallen, TEXTONLY.RTP, är en enkel mall som hämtar mätdata till ett TextRapportObjekt för att imitera hur textbaserade rapporter såg ut i tidigare versioner av PC-DMIS.

Rapportfönstret med en vanlig textbaserad rapport

Om du inte trivs med den standardinställda rapportmallen levereras även några andra användbara rapportmallar med PC-DMIS.

  • TEXTONLY.RTP: Ett TextRapportObjekt med några standardetiketter.

  • CADONLY.RTP: Ett CADRapportObjekt med några standardetiketter.

  • TEXTANDCAD.RTP: Ett TextRapportObjekt och ett CADRapportObjekt med några standardetiketter.

Dessa mallar är standardinställda i dialogrutan Rapportmallar. Information om hur du använder dialogrutan finns i Tillämpa eller ta bort en rapportmall.

Obs! Om du laddar ett detaljprogram som använder en rapportmall som varken finns i den angivna rapportkatalogen eller installationskatalogen för PC-DMIS skapas en rapportmall i textformat som får filnamnet "default.rtp". Det innebär att du alltid kommer att se en rapport i Rapportfönstret även om du saknar den angivna rapportmallen.


Om anpassade rapporter

Skapa anpassade rapporter

PC-DMIS levereras med ett antal fördefinierade mallar som uppfyller de flesta behov användarna kan ha. Du kan dessutom använda de praktiska mallredigerarna för att skapa mallar för anpassade rapporter och etiketter. Du kan även använda Redigera formulär för att göra interaktiv körning och rapportering mer interaktiv.

I ämnena nedan finns genomgångar av hur du skapar anpassade rapporter med hjälp av formulär och med redigerarna för rapport- och etikettmallar.

Tips! Har du aldrig skapat anpassade rapporter förut? Följ genomgången Skapa en anpassad rapportmall.

Mer:

Om det gemensamma användargränssnittet

Om rapporter och rapportmallar

Om etiketter och etikettmallar

Om formulär

Om objektegenskaper

Om rapportuttryck

Om Redigera beslutsträd

Ändra miniatyrbilden för en mall


Om det gemensamma användargränssnittet

Redigerarna för formulär och mallar har många gemensamma element i användargränssnittet: Menyraden, verktygsfälten, objektlisten och så vidare. Individuella ikoner eller element i menyerna kan variera mellan redigerarna, men utseendet är i huvudsak likadant.

Användargränssnittet diskuteras i ämnena nedan.

Mer:

Menyraden

Teckensnittslisten

Objektlisten

Layoutlisten


Menyrad för Redigera rapportmall, Redigera etikettmall och Redigera formulär

Arkiv | Nytt – Skapar en tom mall eller ett tomt formulär.

Arkiv | Öppna – Öppnar en tidigare sparad rapportmallfil eller ett tidigare sparat formulär.

Arkiv | Stäng – Stänger mallredigeraren eller formuläret.

Arkiv | Spara som – Sparar den aktuella mallen eller det aktuella formuläret under ett nytt filnamn.

Arkiv | Redigera / Arkiv | Kör – Låter dig växla mellan redigerarens båda lägen: Redigeringsläget och körningsläget. I körningsläget kan du "köra" eller testa ett formulär. I redigeringsläget kan du ändra en mall eller ett formulär. (Körningsläget finns endast i Redigera formulär.)

Arkiv | Avsluta – Avslutar PC-DMIS.

Redigera | Layout | Passa objekt, Jämna avstånd, Centrera i vy, Samma storlek – I de här undermenyerna kan du ändra layouten, justera och ändra avståndet mellan objekt i redigeraren. Mer information finns i Layoutlisten.

Redigera | Layout | Egenskaper – Visar egenskapsbilden (rutan Egenskaper) för det markerade objektet. Om det inte finns något markerat objekt visas egenskapsbilden för redigeringsområdet (som kallas för en "sektion" eller "Ram1/Vy1"). Se Egenskaper och Om sektioner.

Redigera | Layout | Kontrollera kortkommandon – Det här menyobjektet garanterar att kortkommandon som använder ALT-tangenten plus en bokstav är unika i ett formulär eller för mallobjekt med textvisning (till exempel knappar).

För att definiera ett kortkommando för ett formulär eller en dialogrutekontroll skriver du ett och-tecken (&) före tecknet. En knapp med textetiketten "&Fortsätt" skulle till exempel se ut som "Fortsätt" i formuläret och kunna öppnas med ALT + F.

Redigera | Layout | Inställningar, rutnät – Öppnar dialogrutan Inställningar, rutnät. I dialogrutan kan du visa eller dölja ett rutnät med punkter i bakgrunden av layouten. Se Arbeta med rutnätet.

Redigera | Layout | Objekt – Öppnar dialogrutan Objektblad (tabuleringsordning). Använd dialogrutan om du vill se eller markera objekt i formuläret för att ställa in tabuleringsordningen för dem. Se Objektblad. (Finns endast i Redigera formulär.)

Redigera | Ordning – I den här undermenyn kan du flytta objekt framför eller bakom andra, överlappande objekt.

Redigera | Ångra – Låter dig ångra den senaste åtgärden i redigeraren.

Redigera | Gör om – Låter dig göra om den senast ångrade åtgärden.

Redigera | Klipp ut – Klipper ut objektet och sparar det så att du kan klistra in det.

Redigera | Kopiera – Kopierar objektet och sparar det så att du kan klistra in det.

Redigera | Ta bort – Tar bort de markerade objekten.

Redigera | Klistra in – Klistrar in det urklippta eller kopierade objektet. Om du väljer det här alternativet från ett kopierat objekt klistras objektet ofta in ovanpå det kopierade objektet, så du måste dra det till ett annat läge för att det inte ska överlappa det objekt som det kopierades från.

Redigera | Klistra in special – Det här menyalternativet skiljer sig från Klistra in på grund av att det tillåter att du behåller en koppling mellan det inklistrade objektet och källan som det kopierades från så att det inklistrade objektet uppdateras om källan ändras. Exempel:

Redigera | Ange tabuleringsordning – Med det här menyobjektet anger du vilka objekt som markeras när användaren trycker på TABB-tangenten för att växla mellan objekt i körningsläget. (Finns endast i Redigera formulär.)

Redigera | Användardefinierade egenskaper – Öppnar dialogrutan Användardefinierade egenskaper där du kan hantera alla användardefinierade egenskaper på en gång. Se Arbeta med användardefinierade egenskaper. (Finns endast i Redigera rapportmall.)

Dialogrutan Objektblad (tabuleringsordning)

Dialogrutan Objektblad (tabuleringsordning)

Anta att du vill placera ett diagramobjekt från Microsoft Excel i en HyperReport och att du vill att diagrammet ska synkroniseras med data från Excel-filen. Gör så här:

1. Kopiera diagramobjektet i Microsoft Excel-filen.

2. Öppna mallen eller formuläret.

3. Gå till Redigera | Klistra in special. Dialogrutan Klistra in special öppnas.

4. Välj alternativet Klistra in länk.

5. Klicka på OK. Diagramobjektet visas i mallen eller formuläret.

Om du därefter ändrar data i diagramobjektet i Excel-filen uppdateras diagramobjektet i rapporten eller formuläret i PC-DMIS.

Visa | Grafikfönster, Redigeringsfönster, Förhandsgranska, Redigera formulär, Markeringsgrupper, Redigera Basic-skript, Rapport, Koordinatvisning, Mäthuvudsverktyg – Visar eller döljer de nämnda fönstren eller redigerarna i PC-DMIS. För det mesta fyller fönstren ingen funktion när du arbetar i en redigerare och därför kan du dölja dem.

Visa | Objektlist – Visar redigerarens objektlist. Se Objektlisten.

Visa | Layoutlist – Visar redigerarens layoutlist. Se Layoutlisten.

Visa | Teckensnittslisten – Visar redigerarens teckensnittslist. Se Teckensnittslisten.

Visa | Linjaler – Visar linjalerna överst och till vänster i redigeraren. Se Linjaler.

Visa | Fästpunkter – Visar fästpunkterna för objekt i redigeraren. Se Fästpunkter.

Visa | Kopplade objekt – Det här alternativet fungerar endast med fästpunkter. På komplicerade sidor med många objekt kan du använda det här menyalternativet för att se en kedja av de objekt som är kopplade till ett markerat objekt med fästpunkter. Med det här menyalternativet kopplas alla objekt som på något sätt hör ihop till det markerade objektet med fästpunkter. (Finns endast i Redigera formulär.)

På den här menyn kan du utföra vanliga ändringar av fönstren i PC-DMIS. Se avsnittet Navigera i och visa flera fönster.

Hjälp | Index – Öppnar hjälpfilen i PC-DMIS.

Hjälp | Att använda hjälp – Visar ett ämne om hur du använder hjälpen.

Hjälp | Om PC-DMIS – Visar dialogrutan Om PC-DMIS som innehåller information om din version av PC-DMIS.

Menyrad för Redigera rapportmall, Redigera etikettmall och Redigera formulär

Arkiv-menyn

Redigera-menyn

Visa-menyn

Fönster-menyn

Hjälp-menyn


Teckensnittslisten

I redigeringsfönstrets teckensnittslist kan du ändra vanliga egenskaper för teckensnitt, färg, bakgrund och linjer för olika objekt.

Objekt i teckensnittslisten | Beskrivning
 | Ändrar objektets teckensnitt om objektet stöder text. Motsvarar inställningen för egenskapen Teckensnitt.
 | Ändrar storleken för objektets teckensnitt om objektet stöder text. Motsvarar inställningen för egenskapen Teckensnitt.
 | Visar objektets text med fet stil. Motsvarar inställningen för egenskapen Teckensnitt.
 | Visar objektets text med kursivering. Motsvarar inställningen för egenskapen Teckensnitt.
 | Justerar texten till vänster sida, mitten eller höger sida av objektet. Motsvarar inställningen för egenskapen Uppriktning.
 | Ställer in objektets bakgrunds- och förgrundsfärger. Förgrundsfärgen gäller för text och kanter. Motsvarar inställningen för egenskaperna BakgrundsFärg och FörgrundsFärg.
 | Ställer in bredden för en kant eller linje. Om du klickar flera gånger på ikonen växlar du mellan flera olika alternativ. Motsvarar inställningen för egenskapen LinjeStil.
 | Ställer in formatet för en linje (gäller inte kanter). Om du klickar flera gånger på ikonen växlar formatet mellan en heldragen linje och olika brutna linjer. Motsvarar inställningen för egenskapen LinjeFormat.
 | Placerar pilspetsar i kanterna av ett linjeobjekt. Om du klickar flera gånger på ikonen flyttas pilspetsen till olika lägen på den ena eller båda kanterna av linjen. Motsvarar inställningen för egenskapen PilHuvud.
 | Ställer in ett bakgrundsmönster i ett objekt som stöder bakgrundsmönster. Om du klickar flera gånger på ikonen växlar du mellan olika bakgrundsmönster. Motsvarar inställningen för egenskapen Mönster.
 | Lägger en skugga under objektet för objekt som stöder skuggor. Om du klickar flera gånger på ikonen växlar du mellan olika skuggformat. Motsvarar inställningen för egenskapen SkuggTyp.


 Bitmap Object Analysis Object Pointer Ojbect OLE Object Label Object GridControlObject Dimension Color Key Object TextReportObject CADReportObject ActiveX Object Graph Object Gauge Object Ellipse Object Arc Object Pointer Object Text Object Line Object Leader Line Object Border Object Bitmap Object Analysis Object Pointer Ojbect OLE Object GridControlObject Dimension Color Key Object TextReportObject ActiveX Object Graph Object Gauge Object Ellipse Object Arc Object Pointer Object Text Object Line Object Leader Line Object Border Object Spinner Object Slider Object Multi Edit Box Object Edit Long Box Object Edit Box Object Edit Double Box Frame Object Ellipse Object Arc Object Gauge Object Pointer Ojbect Bitmap Object ActiveX Object Border Object OLE Object TextVar Object Line Object Leader Line Object Text Object Pointer Object Check Button Object Button Object Graph Object List Box Object Combo Box Object Radio Button Object

Ett textobjekt med visade handtag

Objektlisten

Objektlisten är ett verktygsfält som du använder för att infoga diverse objekt i en mall eller objekt och kontroller i ett formulär. Du kan bland annat infoga text, bilder, multimediainnehåll, dialogrutekontroller och specifika objekt för PC-DMIS för att skapa anpassade etiketter, rapporter och formulär.

Objektlisten visas när du går in i ett redigeringsfönster som Redigera rapportmall, Redigera etikettmall eller Redigera formulär.

Det finns tre objektlister, en för varje redigeringsfönster:

Redigera rapportmall | Redigera etikettmall | Redigera formulär
När du klickar på en ikon för ett objekt i någon av objektlisterna ovan visas information om objektet.

Lägga till objekt i en mall

Så här lägger du till ett objekt i en mall:

  1. Gå till objektlisten i redigeringsfönstret.

  2. Klicka på det objekt som ska infogas i rapporten.

  3. Därefter trycker du ned vänster musknapp och håller den nedtryckt medan du drar den så att det bildas en rektangel i den aktuella sektionen i redigeringsfönstret.

  4. Släpp musknappen.

  5. När objektet skapas är det markerat, vilket visas genom att det omges av gröna rutor som kallas för handtag. Du ser en ruta vid varje hörn av objektet.

Markera och ändra objekt

För att kunna ändra ett objekt måste du markera det. För att markera ett objekt klickar du på det så att de gröna handtagen visas.

Så här drar du ett objekt till ett annat läge – Markera objektet. Tryck ned musknappen över objektet och håll den nedtryckt medan du drar objektet till det nya läget. Släpp musknappen.

Så här ändrar du storleken på ett objekt – Markera objektet, rör musen över något av de gröna handtaget så att det ändras till en storleksändringsmarkör, en dubbelriktad pil. Klicka därefter på handtaget och dra musen till ett nytt läge. Släpp musknappen. Objektet blir större eller mindre.

Så här ändrar du egenskaperna för ett objekt – Markera objektet och högerklicka på det så att dialogrutan Egenskaper öppnas. Välj och ändra egenskaper efter behov.

Så här gör du för att justera, gruppera, lösa upp en grupp eller utföra andra åtgärder – Använd layoutlisten eller någon av undermenyerna Redigera | Layout och Redigera | Ordning.

Koda objekt så att de ändras dynamiskt

Du kan använda Basic-skript för att dynamiskt ändra egenskaper för vissa objekt. Du kan till exempel använda kod för att automatiskt fylla på inritade punkter i ett diagramobjekt eller använda ett stapelvisarobjekt som ett stapeldiagram. Exempel på hur du gör det finns i Exempel på hur du kan använda Basic-skript för att dynamiskt ändra värdet för en stapelvisare.


ActiveX-objekt

Om du klickar på ikonen ActiveX-objekt infogas en ActiveX-kontroll i mallen. När kontrollen har infogats öppnas en dialogruta med namnet Infoga objekt.

Dialogrutan Infoga objekt

I dialogrutan finns en lista över kända kontroller på datorn varifrån du kan välja vilken typ av kontroll som ska infogas. Objekten i listan Objekttyp är unika för varje enskild dator och baseras bland annat på vilka program som finns installerade.

Om du klickar på Avbryt stängs dialogrutan utan att något läggs till.

Mer:

Bearbeta metoder och egenskaper för ett ActiveX-objekt i Basic


Bearbeta metoder och egenskaper för ett ActiveX-objekt i Basic

Om du har lagt till en kontroll, till exempel en kontroll för en ActiveX-kalender som du kallar MSCAL, kan du bearbeta händelser och egenskaper för kontrollen i egenskapsbilden precis som för andra objekt. I det här fallet handlar det om ett ActiveX-objekt och därför blir en ny flik med namnet ActiveX synlig. På fliken finns en lista över variabler och egenskaper samt deras standardvärden för användaren.

Om du vill ange egenskaper för ActiveX-kontrollen för en händelsehanterare i VBS Mini-Editor skriver du in kontrollens namn, i det här fallet MSCAL. (med en punkt efter namnet). Då öppnas ett fönster där du kan bearbeta variablerna och metoderna för kontrollen. Välj X i listan. Det öppnas då ytterligare ett fönster som innehåller en lista över interna redigerbara variabler för ActiveX-kontrollen.


Analysobjekt

Om du klickar på ikonen Analysobjekt infogas ett analysfönster för PC-DMIS i en etikettmall. I Rapportfönstret visas därefter en grafisk analys av utvärderingar som använder en rapportmall där den aktuella etikettmallen används med ett ingående analysobjekt.

Analysobjektet är endast aktivt för utvärderingar av toleransrektangeln.


Bågobjekt

Om du klickar på ikonen Bågobjekt infogas en elliptisk båge i mallen eller i formuläret. En standardbåge saknar fyllningsfärg, har en startvinkel på 0 grader och en slutvinkel på -90 grader.

Förutom möjligheten att ändra objektets storlek, lägga till en fyllningsfärg, lägga till en linjefärg och ändra andra attribut inkluderas även följande redigerbara egenskaper för bågobjekt:

Egenskap | Beskrivning
LinjeStil | Med den här egenskapen anger du kantbredden i antal bildpunkter.
StreckFormat | Med den här egenskapen ändrar du bågens kantformat till Heldragen, Streck, Rund punkt, Streck punkt eller Streck punkt punkt.
Vinkel1 | Med det här värdet ställer du in bågens startvinkel. Standardinställningen är 0 grader.
Vinkel2 | Med det här värdet ställer du in bågens slutvinkel. Standardinställningen är -90 grader.
ÄrSektor | Om den här egenskapen ställs in till NEJ (standardinställningen) ritas en fylld båge utan en sektor, som den här: Om den här egenskapen ställs in till JA ritas en fylld båge med en sektor, som den här:


Kantobjekt

Om du klickar på ikonen Kantobjekt infogas en rektangulär kant i mallen eller i formuläret. Förutom möjligheten att ändra objektets storlek, lägga till en fyllningsfärg, lägga till en linjefärg och ändra andra attribut inkluderas även följande redigerbara egenskaper för kantobjekt:

Egenskap | Beskrivning
LinjeStil | Med den här egenskapen anger du kantbredden i antal bildpunkter.
Mönster | Med den här egenskapen anger du vilken typ av mönster som ska användas för att fylla i figuren. Tillgängliga mönster är: Tvärrand Långrand Diagonalrand Omvänd diagonalrand Rutigt Romber
SkuggTyp | Med den här egenskapen anger du riktningen för figurens 3D-skuggning. De tillgängliga riktningarna är: Upptill/vänster, Nedtill/höger eller Ingen.
MarkeringsFärg | Med den här egenskapen anger du vilken färg som ska användas för egenskapen KantTyp.
KantTyp | Med den här egenskapen anger du formatet för 3D-markeringen av objektets kant. Alternativen är Normal, 3D, Nedsänkt och Upphöjd.


Bitmappobjekt

Om du klickar på ikonen Bitmappobjekt kan du infoga en tidigare skapad bitmappbild i mallen eller i formuläret. När du klickar på ikonen öppnas en dialogruta.

Bilder

  • Om du klickar på knappen OK kan du infoga en bitmappbild från dialogrutan i formuläret eller mallen.

  • Om du klickar på knappen Avbryt stänger du dialogrutan utan att infoga någon bitmappbild.

  • Om du klickar på knappen Kopiera kopierar du en bitmappbild som har laddats till dialogrutan med hjälp av knappen Ladda till Urklipp.

  • Om du klickar på knappen Klistra in klistrar du in en kopierad bitmappbild från Urklipp i dialogrutan. När du har klistrat in en bild kan du markera kryssrutan RLE för att komprimera bilden när den sparas tillsammans med rapporten.

  • Om du klickar på knappen Ladda laddar du en grafisk bild (bitmapp- eller JPEG-fil) i dialogrutan. När du har laddat bilden kan du markera kryssrutan Länka för att länka bilden till en mall eller ett formulär via bildens sökväg. Det innebär att om bilden uppdateras visas den uppdaterade versionen i mallen eller i formuläret.

  • Om du klickar på knappen Rensa rensar du den laddade bitmappbilden ur dialogrutan.

  • I listan Transparent kan du ange en färg i bitmappbilden som ska göras transparent.

Förutom möjligheten att ändra objektets storlek och ändra andra attribut inkluderas även följande redigerbara egenskaper för bitmappobjekt:

Egenskap | Beskrivning
Bitmapp | Det här egenskapen innehåller filnamnet på bitmappbilden.
Layout | Mitten, Vänster eller Höger är bildens justering i rektangeln. Med Drag ut förstoras eller förminskas bilden efter rutans storlek. Med Anpassad anpassas automatiskt rektangelns storlek till bildens storlek.


Knappobjekt

Om du klickar på ikonen Knappobjekt infogas en knappkontroll i ett formulär. Genom att ändra egenskapen KnappTyp kan du bestämma vilken åtgärd som ska utföras när någon klickar på knappen.

Förutom möjligheten att ändra objektets storlek, färger och andra attribut kan du anpassa knappobjekt ytterligare med följande egenskaper:

Egenskap | Beskrivning
Standardvärde | Med den här egenskapen anger du hur knapparna svarar när du trycker på RETUR. JA – Knappen svarar när någon trycker på RETUR även om en annan knapp är markerad. NEJ – Om du trycker på RETUR svarar endast den markerade knappen.
KnappForm | Med den här egenskapen anger du hur knappen ska se ut. Alternativen är: 0 - Normal: Formen ändras till en standardknapp. 1 - Egenskapsflik (Inaktiv): Formen ändras till en omarkerad flik i egenskapsbilden (rutan Egenskaper). 2 - Egenskapsflik (Aktiv): Formen ändras till en markerad flik i egenskapsbilden.
Text | Med den här egenskapen anger du vilken text som visas på knappen.
Bitmapp | Med den här egenskapen lägger du till en valfri bild på knappen. För detta använder du samma dialogruta och egenskaper som beskrivs i Bitmappobjekt.
Layout | Med den här egenskapen anger du hur bilden eller texten placeras på knappen. Värdena är: 0 - Mitten 1 - Vänster 2 - Höger 3 - Överst 4 - Nederst
KnappTyp | Med den här egenskapen anger du vilken åtgärd som vidtas när någon klickar på knappen. 0 - Avbryt: Formuläret stängs utan att något utförs. 1 - HändelseKlick: En åtgärd i C++ eller VBScript utförs. 2 - Gå till: Går till en kopplad MDI-fil (Multi Document Interface). 3 - Hjälp: Anropar funktionen WinHelp() som genom egenskapen HjälpIdentifikation öppnar rätt hjälpämne. 4 - OK: Ändringarna registreras och formuläret stängs. 5 - Verkställ: Ändringarna verkställs och formuläret förblir öppet.
GåTillSökväg | Med den här egenskapen anger du vilken MDI-fil som formuläret kopplas till när någon klickar på knappen. Den här egenskapen används framför allt för att implementera kontroller liknande de i egenskapsbilden.


CADRapportObjekt

Med ett CADRapportObjekt kan du visa en CAD-bild i en färdig rapport. När du först släpper ett CADRapportObjekt i en rapportmall startas automatiskt Guiden Etikettlayout. När du har använt guiden för att göra layouten för de etiketter som ska användas i PC-DMIS ser du en exempelbild av Hexagons testblock samt exempeletiketter. Det som visas ser ut så här:

Ett exempel på ett CADRapportObjekt i en rapportmall:

Kom ihåg att detta endast är ett exempel på det som ska visas i rapporten. I det faktiska rapportfönstret kommer den aktuella CAD-modellen att visas.

Så här fungerar det i Rapportfönstret:

I Rapportfönstret visas CAD-bilden på exakt samma sätt som i Grafikfönstret när körningen av ett program avslutas eller när du ritar om rapporten, bortsett från att du inte kan zooma in bilden.

Även om hela CAD-bilden ofta visas i Rapportfönstret visas endast etiketter och hänvisningslinjer för de element som har angetts i Redigera beslutsträd. Anta att detaljprogrammet innehåller fyra mätta cirklar och två mätta linjer men att CADRapportObjektet i Redigera beslutsträd endast visar etiketter för de mätta cirklarna. I rapporten visas då endast etikettinformation för cirklarna trots att du vid den senaste programkörningen även mätte linjerna.

Om CADRapportObjektet innehåller färre etiketter än det antal element som ska rapporteras, enligt inställningen i Redigera beslutsträd, visas ytterligare förekomster av CAD-bilden samt hänvisningslinjer och etiketter för återstående element i Rapportfönstret. Detta är en bra hjälp om etiketterna innehåller mycket information som kan göra att rapporten ser rörig ut om det finns mer än en eller två etiketter runt en detaljbild.

Rotera och zooma in på CAD-modellen

Du ändrar enkelt CAD-modellens orientering och zoomnivå i Rapportfönstret genom att dubbelklicka på ett objekt för att aktivera det. När objektet har aktiverats kan du rotera CAD-modellen eller zooma in och ut i modellen.

  • För att rotera modellen trycker du ned musens knapphjul och drar musen, eller trycker ned CTRL och högerklickar medan du drar musen.

  • För att zooma in eller ut högerklickar du ovanför eller nedanför en tänkt vågrät linje som går genom mitten av CAD-modellen.

Om du klickar utanför CAD-objektet inaktiveras det och den nya orienteringen och zoomnivån används.

Egenskaper:

Egenskap | Beskrivning
(Inställningar) | Med den här egenskapen öppnar du Guiden Etikettlayout. Där kan du snabbt göra layouten för flera etiketter runt CAD-bilden. Mer information finns i Guiden Etikettlayout.
BeslutsTräd | Öppnar dialogrutan Redigera beslutsträd. I dialogrutan kan du definiera villkor och åtgärder för objektet. Mer information finns i Om Redigera beslutsträd.

Mer:

Guiden Etikettlayout


Guiden Etikettlayout

Exempel på Rektangulärt fördelade

Exempel på Rektangulärt placerade

Exempel på Elliptiskt fördelade

Exempel på Elliptiskt placerade

Guiden Etikettlayout

Guiden Etikettlayout är ett verktyg som du använder för att snabbt placera flera etiketter runt en CAD-bild i rapportmallsredigeraren (Redigera rapportmall). Guiden öppnas automatiskt när du infogar ett CADRapportObjekt. Den öppnas även om du väljer egenskapen (Inställningar) för ett CADRapportObjekt.

Om du gör ändringar i guiden ändras automatiskt utseendet för det aktuella CADRapportObjektet.

Guiden består av två huvuddelar:

  • Området Förhandsgranskning

  • Ett område för inställningar

Området Förhandsgranskning

I området Förhandsgranskning kan du förhandsgranska hur layouten runt CADRapportObjektet kommer att se ut i rapportmallen.

Beroende på hur du vill att etiketterna ska visas kan du rotera dem längs en rektangulär eller elliptisk bana genom att klicka på det vita fyrkantiga handtaget som finns mitt i rektangeln eller ellipsen och dra den till ett annat läge. Om du vill ändra storleken på rotationsbanan klickar du på och drar något av de vita handtagen på figurens ytterkanter.

Om du vill flytta CAD-bilden klickar du på den och drar den till ett annat läge.

Området Inställningar

I den nedrullningsbara listan kan du styra avståndet mellan etiketterna och rotera deras banor i området Förhandsgranskning. Du kan välja mellan följande alternativ:

Rektangulärt fördelade – Med det här alternativet skapas en rektangulär bana som etiketterna roterar kring. Etiketterna placeras jämnt runt rektangeln.

Rektangulärt placerade – Med det här alternativet skapas en rektangulär bana som etiketterna roterar kring. Etiketterna placeras tätt ihop längs rektangelns ena sida.

Elliptiskt fördelade – Med det här alternativet skapas en elliptisk bana som etiketterna roterar kring. Etiketterna placeras jämnt runt ellipsen.

Elliptiskt placerade – Med det här alternativet skapas en elliptisk bana som etiketterna roterar kring. Etiketterna placeras tätt ihop längs ellipsen.

Antal etiketter

Med det här alternativet ändrar du hur många etiketter som ska ingå i rapportmallen.

Storleksalternativ

I det här området kan du växla mellan automatisk och manuell storleksinställning av etikettobjekt. Om du vill att etikettobjekten ska få en viss storlek klickar du på Tillåt storleksändring och skriver in värden i rutorna Bredd och Höjd.

När du ändrar etiketternas storlek påverkas endast utformningen. Etiketternas storlek i Rapportfönstret ändras inte.


KommandoTextObjekt

Ett KommandoTextObjekt fungerar som en modellfil för en enkel textsträng som ger en översikt över ett element eller en utvärdering.

Om du använder en mall som innehåller detta objekt tillsammans med faktiska rapportdata visas en textsträng för ett element som anger elementets textetikett, elementtypen och hur många mätpunkter som används för att mäta elementet. För en utvärdering visas utvärderingens namn och typ samt vilka enheter som används i utvärderingen.

En etikett som endast innehåller ett KommandoTextObjekt med faktiska rapportdata kan se ut ungefär så här i Rapportfönstret:

Exempel på KommandoTextObjekt som visas med faktiska rapportdata

Rapport

för cirkelelement som har skapats från en etikett med ett KommandoTextObjekt

Egenskap

Beskrivning

Färger

Med den här egenskapen ändrar du färgen på den visade texten. Standardinställningen är samma färgschema som används i Redigeringsfönstret när du arbetar i kommandoläget. Om du klickar på egenskapen öppnas därför en meddelanderuta med en fråga om du vill skapa en oberoende färguppsättning. Om du svarar Ja öppnas dialogrutan Redigera fönsterfärger. I dialogrutan kan du definiera ett nytt färgschema för ett markerat KommandoTextObjekt.

Mer information om hur du använder Redigera fönsterfärger finns i Definiera färger i Redigeringsfönstret i Göra inställningar.


Kryssruteobjekt

Om du klickar på ikonen Kryssruteobjekt infogas ett kryssruteobjekt eller en kryssruta i formuläret. Kryssrutor är till skillnad från alternativknappar aldrig ömsesidigt uteslutande. Du kan markera hur många kryssrutor som helst (förutsatt att de är valbara).

Förutom möjligheten att ändra objektets storlek, färger och andra attribut kan du anpassa kryssruteobjekt ytterligare med följande egenskaper:

Egenskap | Beskrivning
EgenRitad | Med den här egenskapen anger du hur kryssrutan ska ritas i formuläret. Om den är inställd till SANT ritas kryssrutan enligt en bitmappbild som anges i egenskaperna Bitmapp och Bitmapp (Av). Om den är inställd till FALSKT ritas kryssrutan normalt.
Bitmapp | Med den här egenskapen anger du en bitmappbild som ska användas om EgenRitad är SANT och kryssrutan är markerad. Den angivna bitmappbilden måste ha samma form som en standardkryssruta.
BitmappFörAV | Med den här egenskapen anger du en bitmappbild som ska användas om EgenRitad är SANT och kryssrutan inte är markerad. Den angivna bitmappbilden måste ha samma form som en standardkryssruta.
TreVärd | Med den här egenskapen kan kryssrutan ha tre statusar i stället för bara SANT (PÅ) och FALSKT (AV): sant, falskt och delvis sant, vilket innebär att du kan ange om en del av ett markerat alternativ är sant.
TextTillVänster | Om den här egenskapen är JA flyttas texten till vänster av kryssrutan: Text här [ ] Om den här egenskapen är NEJ flyttas texten till höger av kryssrutan: [ ] Text här
Text | Den text som anges här visas i kryssrutans kontroll.
HjälpKnapp | Om du ställer in den här egenskapen till JA visas en hjälpknapp med ett frågetecken bredvid kryssrutan. Om du klickar på hjälpknappen i körningsläge startas PC-DMIS onlinehjälp.
VärdeID | Den här egenskapen innehåller variablerna AktSida och AntSidor. Du hämtar och ställer in variablerna med hjälp av den här kontrollen.


ComboBox-objekt

Om du klickar på ikonen ComboBox-objekt infogas en kombinationslista i ett formulär. I listan visas alternativ som kan väljas när du kör listan i körningsläge.

Förutom möjligheten att ändra objektets storlek, färger och andra attribut kan du anpassa det ytterligare med följande egenskaper:

Egenskap

Beskrivning

Accelerator

Med den här egenskapen definierar du vilken bokstav som ska användas tillsammans med ALT-tangenten för att skapa en snabbtangent för kontrollen.

Bokstaven eller symbolen ska vara unik och får inte vara densamma som för andra snabbtangenter (inklusive för snabbtangenterna på menyraden).

AnvändFärger

Med den här egenskapen anger du om kontrollen ska använda de färger som har angetts i egenskaperna BakgrundsFärg och TextFärg.

ListElement

Med den här egenskapen definierar du en lista över element och de värden som elementen är kopplade till (se beskrivningen av dialogrutan Listalternativ i Alternativknappobjekt).

AntVisadeElement

Värdet för den här egenskapen anger hur många listelement som visas när du klickar på listan i körningsläge.

Sortera

Om du ställer in egenskapen till JA sorteras listan i bokstavsordning.

KomboTyp

Med den här egenskapen anger du typ av kombinationslista. Välj Lista eller Dropdown.

HjälpKnapp

Om du ställer in den här egenskapen till JA visas en hjälpknapp med ett frågetecken bredvid kryssrutan.

Om du klickar på hjälpknappen i körningsläge startas PC-DMIS onlinehjälp.

VärdeID

Den här egenskapen innehåller variablerna AktSida och AntSidor. Du hämtar och ställer in variablerna med hjälp av den här kontrollen.


Objektet Färgnyckel för utvärderingar

Klicka på ikonen för objektet Färgnyckel för utvärderingar för att släppa en färgnyckel i mallen. Färgnyckeln anger vilka färger som används för att representera toleranszonerna i utvärderingar för analys- och histogramobjekt. Om du vill ha information om hur toleranszonerna definieras eller ändra färgerna som representerar toleranszonerna går du till Ändra utvärderingsfärger i avsnittet Redigera CAD-visningen.


Objektet RedigeringsRuta

Om du klickar på ikonen för objektet RedigeringsRuta infogas en redigerbar ruta i formuläret. Använd objektet med Visual Basic-skript för att samla in information från dem som kör formuläret.

Förutom möjligheten att ändra objektets storlek, färger och andra attribut kan du anpassa det ytterligare med följande egenskaper:

Egenskap

Beskrivning

Accelerator

Med den här egenskapen definierar du vilken bokstav som ska användas tillsammans med ALT-tangenten för att skapa en snabbtangent för kontrollen.

Bokstaven eller symbolen ska vara unik och får inte vara densamma som för andra snabbtangenter (inklusive för snabbtangenterna på menyraden).

Uppriktning

Med den här egenskapen justerar du texten inom objektet. Tillgängliga justeringar är: Vänster, Centrum och Höger.

Skrivskyddad

Om du ställer in den här egenskapen till JA blir texten skrivskyddad och kan därför inte redigeras när formuläret är i körningsläge.

RitaKant

Om du ställer in den här egenskapen till JA ritas en kant runt kontrollen.

TextTyp

Med den här egenskapen anger du textformatet i rutan. Du kan välja något av följande:

0 – Ingen: Textvisningen ändras inte.

1 – Gemener: Visar texten i rutan som endast gemener.

2 – Versaler: Visar texten i rutan som endast versaler.

3 – Lösenord: Maskerar tecknen i texten med en asterisk.

AnvändFärger

Om du ställer in den här egenskapen till JA visas de färger som har angetts i BakgrundsFärg och TextFärg.

HjälpKnapp

Om du ställer in den här egenskapen till JA visas en hjälpknapp med ett frågetecken bredvid kryssrutan.

Om du klickar på hjälpknappen i körningsläge startas PC-DMIS onlinehjälp.

VärdeID

Den här egenskapen innehåller variablerna AktSida och AntSidor. Du hämtar och ställer in variablerna med hjälp av den här kontrollen.


Objektet RedigeringsRutaDbl

Om du klickar på ikonen för objektet RedigeringsRutaDbl infogas en redigeringsruta som godkänner variabler av typen double i formuläret. Det här objektet har samma egenskaper som objektet RedigeringsRuta (se Objektet RedigeringsRuta) plus egenskaperna MinimumUttr och MaximumUttr:

Egenskap | Beskrivning
MinimumUttr | Minsta uttryck (värdet kan vara en inställd konstant, ett värde som har beräknats i ett enkelt uttryck eller ett värde som returneras från ett VB-skript). -$, $, KONST
MaximumUttr | Största uttryck (värdet kan vara en inställd konstant, ett värde som har beräknats i ett enkelt uttryck eller ett värde som returneras från ett VB-skript). -$, $, KONST


Objektet RedigeringsRutaLng

Om du klickar på ikonen för objektet RedigeringsRutaLng infogas en redigeringsruta som endast godkänner långa numeriska värden i formuläret. Det här objektet har samma egenskaper som objektet RedigeringsRuta (se Objektet RedigeringsRuta) plus egenskaperna MinimumUttr och MaximumUttr:

Egenskap | Beskrivning
MinimumUttr | Minsta uttryck (värdet kan vara en inställd konstant, ett värde som har beräknats i ett enkelt uttryck eller ett värde som returneras från ett VB-skript). -$, $, KONST
MaximumUttr | Största uttryck (värdet kan vara en inställd konstant, ett värde som har beräknats i ett enkelt uttryck eller ett värde som returneras från ett VB-skript). -$, $, KONST


Ellipsobjekt

Om du klickar på ikonen Ellipsobjekt infogas en ellips i formuläret eller i mallen. Standardellipsen är en cirkel med samma avstånd från cirkelns centroid till samtliga punkter runt omkretsen men du kan enkelt sträcka ut cirkeln så att den blir en ellips.

Förutom möjligheten att ändra objektets storlek, lägga till en fyllningsfärg, lägga till en linjefärg och ändra andra attribut inkluderas även följande redigerbara egenskaper för ellipsobjekt:

Egenskap | Beskrivning
Bredd | Med den här egenskapen anger du kantbredden i antal bildpunkter.
StreckFormat | Med den här egenskapen ändrar du linjens utseende till Heldragen, Streck, Rund punkt, Streck punkt eller Streck punkt punkt.
Mönster | Med den här egenskapen anger du vilken typ av mönster som ska användas för att fylla i figuren. Tillgängliga mönster är: Tvärrand Långrand Diagonalrand Omvänd diagonalrand Rutigt Romber


Objektet ElementText

Ett ElementText-objekt används för att släppa texten från en rapport för ett element eller en utvärdering i detaljprogrammet i en HyperView-rapport. Första gången ett ElementText-objekt släpps i rapporten öppnas en dialogruta där användaren kan välja ett element eller en utvärdering som ska kopplas till objektet. Du har endast användning av ElementText-objektet om du vill att texten för ett element eller en utvärdering ska visas på exakt samma sätt i HyperView-rapporten som i rapporten. Om Textanalys har ställts in för en utvärdering i Redigeringsfönstret kan ElementText-objektet visa punktinformation som hör samman med textanalysen. Objektet UtvärderingInfo är ett alternativ för att visa annan textinformation för en viss utvärdering.


Ramobjekt

Om du klickar på ikonen Ramobjekt infogas en ram i formuläret. Objektet används vanligtvis för att särskilja grupper med liknande alternativ när du designar egna dialogrutor i ett formulär.

Förutom möjligheten att ändra objektets storlek, lägga till en fyllningsfärg, lägga till en linjefärg och ändra andra attribut inkluderas även följande redigerbara egenskaper för ramobjekt:

Egenskap | Beskrivning
KantFärg | Med den här egenskapen ställer du in kantlinjens färg.
MarkeringsFärg | Med den här egenskapen ställer du in färgen för egenskapen KantTyp när du använder Upphöjd eller Nedsänkt.
KantTyp | Med den här egenskapen anger du formatet för 3D-markeringen av objektets kant. Alternativen är Normal, 3D, Nedsänkt och Upphöjd.
KantTjocklek | Med den här egenskapen anger du kantbredden i antal bildpunkter.
Text | Texten som skrivs här anger namnet på ramens titel.
Uppriktning | Med den här egenskapen justerar du texten inom objektet. Tillgängliga justeringar är: Vänster, Centrum och Höger.


Stapelvisarobjekt

Om du klickar på ikonen Stapelvisarobjekt infogas en stapelvisare (eller en förloppsindikator) i formuläret eller mallen.

Du kan ändra objektets storlek, färg och andra attribut samt flytta objektets percentilfält genom att använda följande egenskaper tillsammans med Visual Basic-kod:

Egenskap | Beskrivning
VärdeUttr | Värdeuttryck (värdet kan vara en inställd konstant, ett värde som har beräknats i ett enkelt uttryck eller ett värde som returneras från ett VB-skript). -$, $, KONST
MinimumUttr | Minsta uttryck (värdet kan vara en inställd konstant, ett värde som har beräknats i ett enkelt uttryck eller ett värde som returneras från ett VB-skript). -$, $, KONST
MaximumUttr | Största uttryck (värdet kan vara en inställd konstant, ett värde som har beräknats i ett enkelt uttryck eller ett värde som returneras från ett VB-skript). -$, $, KONST

Tips! Om du ändrar riktningen för en stapelvisare ändras även stapelvisarens förlopp till samma riktning.

Mer:

Exempel på hur du kan använda Basic-skript för att dynamiskt ändra värdet för en stapelvisare


Exempel på hur du kan använda Basic-skript för att dynamiskt ändra

Exempel på hur du kan använda Basic-skript för att dynamiskt ändra värdet för en stapelvisare

Du kan använda Basic-kod i VBS Mini-Editor för att vid en viss tidpunkt dynamiskt ändra stapelvisarens värde. Anta att du vill skapa ett formulär som flyttar stapelvisaren från 0 till 100 procent beroende på hur nära den minsta och största toleransen som en cirkels diameter ligger. Det kan du göra med den här processen:

  1. Skapa ett nytt formulär och kontrollera att det är i redigeringsläge. Först skapar du en global variabel med namnet DIAMETER1 som tar värdet för cirkelns diameter.

  2. Högerklicka i rutnätet och kontrollera att Ram1/Vy1 har markerats i objektlistan i egenskapsbilden (rutan Egenskaper).

  3. Klicka på fliken Inställningar i rutan Egenskaper och välj värdet för egenskapen LokalaVariabler. Dialogrutan Lokala variabler öppnas.

  4. Klicka på knappen Lägg till för att lägga till en ny variabel. Välj Double i listan Typ. Skriv DIAMETER1 i rutan Namn. Låt Värde vara 0.

Dialogrutan Lokala variabler med den globala variabeln DIAMETER1

  5. Klicka på OK för att gå tillbaka till Egenskaper. Nu har variabeln DIAMETER1 lagts till i formuläret.

  6. Därefter infogar du ett stapelvisarobjekt i formuläret.

  7. Markera stapelvisarobjektet, placera det där du vill ha det och ändra eventuellt storleken. Det lodräta avståndet är det totala avståndet som percentilfältet kan flyttas.

  8. Dubbelklicka på stapelvisarobjektet för att öppna Egenskaper.

  9. Klicka på fliken PC-DMIS.

  10. Klicka på egenskapen MaximumUttr. VBS Mini-Editor öppnas men flera objekt i redigeraren går inte att välja.

  11. Välj KONST i listan. Med detta värde kan du definiera 100 %-värdet för stapelvisaren.

  12. Ange det största tillåtna värdet för cirkelns diameter. I exemplet mäts en cirkel med en diameter på 1 tum och en tolerans på 0.010. Så det största tillåtna värdet blir 1.010.

  13. Klicka på OK för att gå tillbaka till rutan Egenskaper.

  14. Klicka på egenskapen MinimumUttr. VBS Mini-Editor öppnas igen. Med detta värde kan du definiera 0 %-värdet för stapelvisaren.

  15. Välj KONST i listan.

  16. Ange det minsta tillåtna värdet för cirkelns diameter. Vi mäter samma cirkel med diametern 1 tum och toleransen 0.010 och det minsta tillåtna värdet blir då 0.990.

  17. Klicka på OK för att gå tillbaka till rutan Egenskaper. Nu måste du ange cirkelns diameter som det faktiska värdet för stapelvisaren.

  18. Stapelvisaren är fortfarande markerad i rutan Egenskaper. Klicka på fliken PC-DMIS och markera egenskapen VärdeUttr. VBS Mini-Editor öppnas men flera objekt i redigeraren går inte att välja.

  19. Välj + EQ ($) i listan till vänster.

  20. Välj <DIAMETER1> i listan till höger.

Så här använder du VBS Mini-Editor för att ställa in värdet för stapelvisarobjektet

  21. Klicka på OK för att stänga VBS Mini-Editor.

  22. Stäng rutan Egenskaper och spara formuläret. I exemplet får formuläret namnet gaugetest.form.

  23. Nu skapar du ett vanligt cirkelelement i PC-DMIS.

  24. Markera Redigeringsfönstret och växla det till kommandoläge.

  25. Infoga ett allmänt element genom att skriva ALLMÄN och trycka på TABB-tangenten. Först visas ett allmänt punktelement i Redigeringsfönstret och elementets ID markeras.

  26. Tryck på F9 för att öppna dialogrutan för det allmänna elementet.

  27. Markera Cirkel i området Elementtyp.

  28. Markera Nominella i knappfältet Datatyp.

  29. Ange ett namn på cirkeln i rutan Elementnamn. I exemplet används CIR1 som elementnamn.

  30. Ange värdena för XYZ och IJK för CIR1.

  31. Välj alternativet Diameter och ange det nominella diametervärdet 1 för CIR1.

  32. Ändra andra alternativ om du vill och klicka på OK när du är färdig. Den allmänna cirkeln i Redigeringsfönstret bör nu se ut ungefär så här:

CIR1 =ALLMÄN/CIRKEL,BEROENDE,REKT ,YTTRE,$

           NOM/XYZ,1,1,0.95,$

MÄTT/XYZ,1,1,1,$

NOM/IJK,0,0,1,$

           MÄTT/IJK,0,0,1,$

DIAMETER/1,0

  33. Placera markören framför elementet CIR1 och infoga ett inmatningskommando som tar ett mätt diametervärde (på grund av att exemplet utförs i offlineläge infogas de "mätta" värdena manuellt). Exempel:

C1 =KOMMENTAR/INMATN,Ange den mätta diametern för CIR1:

  34. Gå till kommandoblocket för CIR1, till den sista raden där det står DIAMETER/1,0. Ändra den andra parametern, den mätta diametern 0, till C1.INMATN. Då tilldelas värdet från den inmatade kommentaren till den mätta diametern för CIR1.

DIAMETER/1,C1.INMATN

  35. Placera därefter markören efter elementet CIR1 och bädda in det sparade formuläret genom att gå till menyalternativet Infoga | Rapportkommandon | Formulär.

  36. Gå till kommandot FORMULÄR/FILNAMN, placera markören direkt före likhetstecknet i PARAM/= och skriv DIAMETER1. Placera därefter markören direkt efter likhetstecknet och skriv CIR1.DIAMETER. Koden för det inbäddade formuläret bör nu se ut så här:

CS1 =FORMULÄR/FILNAMN= C:\PCDMIS35\GAUGETEST.FORM, AUTOSKRIV=NEJ

PARAM/DIAMETER1=CIR1.DIAMETER

PARAM/=

           SLUTFORMULÄR/

  37. Markera de tillagda kommandona och kör därefter detaljprogrammet. Diametern för CIR1 överförs till formuläret som en parameter och stapelvisarobjektets percentil ändras dynamiskt beroende på cirkelns mätta diameter.

Om den mätta diametern för CIR1 är 0.9987 får du ett formulär som ser ut ungefär så här:

Exempelformulär där stapelvisarobjektet är dynamiskt kopplat till den mätta diametern för ett element


Diagramobjekt

Om du klickar på ikonen Diagramobjekt infogas ett diagram med dynamiskt uppdaterbara data i formuläret eller mallen. I ett diagramobjekt kan du lagra och visa en array av datapunkter. Du anger datapunkter i diagrammet med X- och Y-värden.

Standarddiagramobjekt

Du kan ändra objektets storlek, färg och andra attribut samt uppdatera data i diagramobjekt dynamiskt genom att använda följande egenskaper tillsammans med Visual Basic-kod:

Egenskap | Beskrivning
DataPunktFärg | Med den här egenskapen ändrar du färgerna för X- och Y-datapunkter och på linjer mellan punkterna.
Bredd | Med den här egenskapen ändrar du diametern (i antal bildpunkter) för datapunkten.
Anslutningspunkter | Om du ställer in den här egenskapen till JA dras linjer mellan datapunkterna i diagrammet så att de binds samman.
Medurs | Om du ställer in den här egenskapen till NEJ vänds Y-axeln så att toppen blir negativ och botten positiv.
XDelning | Med den här egenskapen delar du diagrammets X-axel och lägger till det angivna antalet kolumner.
YDelning | Med den här egenskapen delar du diagrammets Y-axel och lägger till det angivna antalet rader.
Aktiveringspunkt | Om den här egenskapen ställs in till 1 kan du lägga till nya datapunkter i diagrammet. Om egenskapen ställs in till 0 kan du inte lägga till nya datapunkter i diagrammet.
TömAllaPunkter | Om den här egenskapen ställs in till 1 rensas samtliga datapunkter från diagrammet nästa gång formuläret växlas till körningsläge. Om egenskapen ställs in till 0 lämnas datapunkterna kvar i diagrammet.
XPunktUttr | Den här egenskapen är datapunktens X-värde i diagrammet. Använd ett enkelt uttryck eller beräkna värdet i ett VB-skript.
YPunktUttr | Den här egenskapen är datapunktens Y-värde i diagrammet. Använd ett enkelt uttryck eller beräkna värdet i ett VB-skript.
XMinUttr | Den här egenskapen är det minsta uttrycket för X-axeln. Det använda värdet anger X-axelns startvärde. Använd ett enkelt uttryck eller beräkna värdet i ett VB-skript.
YMinUttr | Den här egenskapen är det minsta uttrycket för Y-axeln. Det använda värdet anger Y-axelns startvärde. Använd ett enkelt uttryck eller beräkna värdet i ett VB-skript.
XMaxUttr | Den här egenskapen är det största uttrycket för X-axeln. Det använda värdet anger X-axelns slutvärde. Använd ett enkelt uttryck eller beräkna värdet i ett VB-skript.
YMaxUttr | Den här egenskapen är det största uttrycket för Y-axeln. Det använda värdet anger Y-axelns slutvärde. Använd ett enkelt uttryck eller beräkna värdet i ett VB-skript.

Tips: Du kan skaländra Y-axeln genom att klicka på upp- och nedpilarna [image] vid diagrammets nollpunkt.


Histogramobjekt

Om du klickar på ikonen Histogramobjekt kan du släppa ett histogram för en viss utvärdering i en HyperView-rapport. Första gången ett histogramobjekt släpps i rapporten öppnas en dialogruta där användaren kan välja en utvärdering som ska kopplas till objektet. Histogramobjektet visar antalet avvikelser i de olika toleranszonerna. Om du vill ha information om hur toleranszonerna definieras eller ändra färgerna som representerar toleranszonerna går du till Ändra utvärderingsfärger i avsnittet Redigera CAD-visningen.

Obs! Histogramobjekt är inte tillgängliga för utvärderingar som inte beräknas direkt med de individuella mätpunkterna för element, till exempel utvärderingar av läge, lägeriktighet eller inmatning.


TabellObjekt

Om du klickar på ikonen TabellObjekt infogas ett anpassningsbart rutnät med kolumner och rader i rapporten eller rapportmallen.

Ett infogat TabellObjekt

Ett infogat TabellObjekt

Det här unika objektet är mer än en standardtabell. Du kan nämligen använda rapportuttrycksspråket för att programmera de enskilda cellerna, raderna eller kolumnerna för att hämta och visa specifik rapportinformation från detaljprogrammet.

Precis som med andra objekt kan du enkelt ändra objektets storlek och flytta det till en ny plats. Observera att när du ändrar objektets storlek så anpassas kolumnerna och raderna dynamiskt efter den nya storleken.

Öppna redigeraren för TabellObjekt

När du har infogat ett TabellObjekt markerar du det, dubbelklickar i en cell och högerklickar därefterm så öppnas en dialogruta med flikar. Dialogrutan innehåller alternativ för formatering och redigering så att du kan programmera varje cell efter dina önskemål.

Redigeraren för TabellObjekt – fliken Cell

Fliken Cell i redigeraren för TabellObjekt

Information om hur du använder den här redigeraren finns i följande ämnen:

  • Redigeraren för TabellObjekt – fliken Cell

  • Redigeraren för TabellObjekt – fliken Rad

  • Redigeraren för TabellObjekt – fliken Kolumn

Egenskaper

Egenskap | Beskrivning
AntKolumner | Anger antal kolumner i rutnätet.
AntRader | Anger antal rader i rutnätet.
TabellFormat | Anger namnet på den rutnätslayout som ska användas. Om den här egenskapen matchar namnet på rutnätslayouten i Redigera beslutsträd kan du använda Redigeringsfönsterkommandot TABELL/FORMAT för att direkt styra sortering och visning av rader och kolumner i etikettmallen.

Om du ökar värdet för egenskapen AntRader läggs det till nya rader längst ned i tabellen. Om du minskar värdet tas rader bort nedifrån. På samma sätt lägger du till nya kolumner till höger om de tillgängliga kolumnerna om du ökar värdet för egenskapen AntKolumner. Om du minskar antalet kolumner tas kolumner bort från höger sida i rutnätet.


Redigeraren för TabellObjekt – fliken Cell

Redigeraren för TabellObjekt – fliken Cell

Fliken Cell i redigeraren för TabellObjekt

Celltyp – Innebär att du kan konfigurera vad som infogas i en specifik cell. Alternativen är:

  • Text – Om du väljer det här alternativet kan du ange ren text eller ett uttryckskommando i rutan Uttryck. Det beräknade uttrycket eller texten visas i cellen.

  • Bild – Med det här alternativet infogas en bild i cellen. Du väljer en bild genom att klicka på knappen Välj.

  • ActiveX – Med det här alternativet infogas ett ActiveX-objekt i cellen.

Uttryck – I den här rutan skriver du in ett rapportuttryck som infogas i cellen. Uttrycket beräknas när mallen används för att visa faktiska rapportdata. Om du till exempel vill att ett element-ID ska visas skriver du =ID i rutan. En lista över de uttryck som kan användas finns i Om rapportuttryck.

Höjd och Bredd – I de här rutorna definierar du cellens höjd och bredd i antal bildpunkter. Observera att om du ändrar höjden för en cell ändras samtliga celler på samma rad. Om du ändrar bredden ändras samtliga celler i samma kolumn. Om cellerna har olika höjd och bredd kan du markera celler och jämna ut deras höjd och bredd genom att klicka på knapparna Jämn bredd och Jämn höjd.

Justering – Med dessa knappar kan du justera texten i cellen lodrätt eller vågrätt. Om texten justeras vågrätt kan du sedan justera den till vänster, mitten eller höger sida av cellen. Om texten justeras lodrätt kan du justera den efter den övre kanten, mitten eller den undre kanten av cellen.

Knappar för vågrät justering
 | Vänsterjustera
 | Centrera
 | Högerjustera
Knappar för lodrät justering
 | Överkant
 | Centrera
 | Underkant

Området Linjer – Det här området innehåller en lista för vardera sidan av cellen. Du kan ställa in cellens sidolinjer (plus linjer runt eller inne i flera celler) till en viss linjetyp. Alternativen är: Ingen, Tunn, Tjock, Dubbel eller Streckad.

Teckensnitt – Om du klickar på den här knappen öppnas dialogrutan Teckensnitt där du kan ställa in teckensnitt, storlek, format, effekter och färg för de markerade cellerna.

Färger – I det här området ställer du in färgerna för bakgrunden, texten eller linjerna för markerade celler. När du klickar på någon av knapparna öppnas dialogrutan Färg där du kan välja en standardfärg eller skapa en anpassad färg.

Slå ihop – Om du klickar på den här knappen slås flera celler ihop till en cell.

Slå isär – Om du klickar på den här knappen slås tidigare ihopslagna celler isär till separata celler.


Redigeraren för TabellObjekt – fliken Rad

Redigeraren för TabellObjekt – fliken Cell

Fliken Rad i redigeraren för TabellObjekt

Upprepad grupp – Om du markerar den här kryssrutan aktiveras rutan Upprepa uttryck där det anges att den markerade raden upprepas med data från rapporten tills uttrycket i rutan Upprepa uttryck har slutförts. När du markerar en cell i ett TabellObjekt anges upprepade rader i objektet med orangefärgade streck till vänster och höger om raden.

Upprepa uttryck – I den här rutan står det hur många gånger raden upprepas. Du anger vanligtvis ett uttryck som beräknas till ett räknat antal objekt. Om du till exempel vill hämta antalet axlar i en utvärdering använder du följande uttryck:

=COUNT(AXIS)

Därefter måste du lägga till följande till befintliga uttryck i varje cell på raden:

:N

Då anger du att raden ska upprepas det angivna antalet gånger. Så om rutan Uttryck på fliken Cell använder =AXLAR för att lista axlarna i en utvärdering och du ändrar värdet till =AXLAR:N upprepas raden med axeldata för utvärderingen tills samtliga axlar har rapporterats.

Radetikett – I listan Radetikett definierar du en etikett för raden som används med kommandot för tabellformat. När du öppnar egenskaperna för kommandot för tabellformat ser du de radetiketter som har definierats här. Med kommandot för tabellformat kan du bland annat sortera om raderna i rutnätet.

Låst rad – Om du markerar den här kryssrutan låser du raden så att det inte går att ändra den med kommandot för tabellformat.


Redigeraren för TabellObjekt – fliken Kolumn

Redigeraren för TabellObjekt – fliken Cell

Fliken Kolumn i redigeraren för TabellObjekt

Kolumnetikett – I listan Kolumnetikett definierar du en etikett för kolumnen som används med kommandot för tabellformat. När du öppnar egenskaperna för kommandot för tabellformat ser du de kolumnetiketter som har definierats här. Med kommandot för tabellformat kan du bland annat sortera om kolumnerna i rutnätet.


Etikettobjekt

Om du klickar på ikonen Etikettobjekt infogas ett etikettobjekt i rapportmallen. Klicka på och dra objektet till Redigera rapportmall om du vill lägga till det. När du släpper musknappen ser det infogade etikettobjektet ut ungefär så här:

Exempel på etikettobjekt

Exempel på etikettobjekt

Ett etikettobjekt fungerar som ett TextRapportObjekt eller ett CADRapportObjekt; det innehåller inte några faktiska data och är endast en platshållare för en etikettmall. Etikettmallen styr vilka data som hämtas vid körningen av ett detaljprogram. Etikettobjektet visas inte i rapporten om du inte definierar vad som ska visas i objektet.

Tilldela en etikettmall

För att ett etikettobjekt ska visa något måste du tilldela en etikettmall som det kan använda. Följ den här processen:

  1. Högerklicka på etikettobjektet. Dialogrutan Egenskaper öppnas.

  2. Klicka på Regler i egenskapen BeslutsTräd. Dialogrutan Beslutsträd öppnas.

  3. Dialogrutan Beslutsträd innehåller en expanderbar lista där du väljer du ett objekt som anger när data ska visas på etiketten.

  4. Klicka på Lägg till för att lägga till en regel där det valda objektet används. Dialogrutan Redigera regel öppnas.

  5. Välj alternativet Använd etikettmall till rapporten.

  6. Klicka på knappen Bläddra [image] och välj en etikettmallfil (med filtillägget .lbl).

  7. Klicka på OK för att stänga dialogrutan Redigera regel.

  8. Klicka på OK för att stänga dialogrutan Beslutsträd.

  9. Spara och testa rapportmallen. Den valda etiketten visas när de angivna villkoren uppfylls.

Mer information om hur du skapar regler finns i Om Redigera beslutsträd.


Objektet HänvLinje

Objektet HänvLinje används tillsammans med ett ElementText- eller UtvärderingInfo-objekt samt ett CAD-fönster. Med objektet ritas en hänvisningslinje från ett ElementText- eller UtvärderingInfo-objekt till ett CAD-fönster, där linjen slutar vid det element som är kopplat till ElementText- eller UtvärderingInfo-objektet. När du släpper ett HänvLinje-objekt i en rapport drar du musen från ElementText- eller UtvärderingInfo-objektet till CAD-objektet (eller vice versa). Om du gör det rätt dras det direkt en hänvisningslinje mellan ElementText- eller UtvärderingInfo-objektet och rätt position i CAD-fönstret. Om du inte gör det rätt öppnas en dialogruta där du kan välja vilket ElementText- eller UtvärderingInfo-objekt samt CAD-objekt som ska användas. Om du tar bort ett CAD-, ElementText- eller UtvärderingInfo-objekt som är kopplat till ett HänvLinje-objekt tas även HänvLinje-objektet bort.


Linjeobjekt

Om du klickar på ikonen Linjeobjekt infogas en vanlig linje i ett formulär eller en mall. Därefter kan du högerklicka på den infogade linjen om du vill ändra dess egenskaper.

Gemensamma egenskaper som används för linjeobjekt är:

Egenskap | Beskrivning
LinjeStil | Med den här egenskapen anger du linjebredden i antal bildpunkter.
StreckFormat | Med den här egenskapen ändrar du linjens utseende till Heldragen, Streck, Rund punkt, Streck punkt eller Streck punkt punkt.
Pilhuvud | Med den här egenskapen anger du om linjen ska ha en pil och i vilken riktning som pilen ska peka. Välj något av följande format: ----(ingen) <--- ---> <--->(båda)
PilhuvudStorlek | Med den här egenskapen anger du pilens storlek i antal bildpunkter.


Objektet Listruta

Om du klickar på ikonen för objektet Listruta infogas en öppen lista i formuläret.

Förutom möjligheten att ändra objektets storlek, färger och andra attribut kan du anpassa det ytterligare med följande egenskaper:

Egenskap

Beskrivning

Accelerator

Med den här egenskapen definierar du vilken bokstav som ska användas tillsammans med ALT-tangenten för att skapa en snabbtangent för kontrollen.

Bokstaven eller symbolen ska vara unik och får inte vara densamma som för andra snabbtangenter (inklusive för snabbtangenterna på menyraden).

AnvändFärger

Med den här egenskapen anger du huruvida kontrollen ska använda de färger som har angetts i egenskaperna BakgrundsFärg och TextFärg.

Sortera

Om du ställer in egenskapen till JA sorteras listan i bokstavsordning.

VågrätRullList

Om du väljer Alltid placeras en vågrät rullningslist i listrutan även om texten inte är tillräckligt lång för att läsaren ska behöva rulla.

Om du väljer Ingen tas rullningslisten bort.

LodrätRullList

Om du väljer Alltid placeras en lodrät rullningslist i listrutan även om det inte finns tillräckligt många listobjekt för att läsaren ska behöva rulla.

Om du väljer Ingen tas rullningslisten bort.

AnvändTabstopp

Med den här egenskapen anger du huruvida det ska användas tabbstopp i listan. Om du ställer in egenskapen till JA kan du aktivera listrutan som kontroll genom att trycka på TABB-tangenten i körningsläge.

InmatningTillåten

Med den här egenskapen anger du huruvida tangentbordsinmatningar tillåts i listrutan.

TaBortUrval

Om du ställer in den här egenskapen till JA tas urvalet bort ur listrutan (ListID) när det har registrerats.

ListID

Det här är listans ID. Du ställer in eller hämtar det med kontrollen. ID:t bör ha följande format:

objekt 1\r\nobjekt 2\r\nobjekt 3 och så vidare.

VärdeID

Det här är värdets ID. Du ställer in eller hämtar det med kontrollen.


Objektet FlerRadsText

Om du klickar på ikonen för objektet FlerRadsText infogas en redigeringsruta som stöder mer än en textrad. Objektet har samma egenskaper som objektet RedigeringsRuta (se Objektet RedigeringsRuta) plus följande egenskaper:

Egenskap

Beskrivning

VågrätRullList

Om du väljer Alltid placeras en vågrät rullningslist i kontrollen även om texten inte är tillräckligt lång för att läsaren ska behöva rulla.

Om du väljer Ingen tas rullningslisten bort.

LodrätRullList

Om du väljer Alltid placeras en lodrät rullningslist i kontrollen även om texten inte är tillräckligt lång för att läsaren ska behöva rulla.

Om du väljer Automatisk placeras en lodrät rullningslist i kontrollen endast om texten är längre än rutans höjd.

Om du väljer Ingen tas rullningslisten bort.


OLE-objekt

Om du klickar på ikonen OLE-objekt bäddas ett objekt från ett annat program in i eller kopplas till mallen eller formuläret. Du kan till exempel använda objektet för att infoga en redigerbar fil från Microsoft Excel i en mall eller ett formulär.

När du infogar ett OLE-objekt öppnas en dialogruta med namnet Infoga objekt.

Dialogrutan Infoga objekt

I den här dialogrutan kan du välja typ av OLE-objekt från en lista över tillgängliga objekt på datorn. OLE-objekten i listan är unika för din dator beroende på bland annat vad som finns installerat på den.

Om du klickar på Avbryt stängs dialogrutan utan att det läggs till något i formuläret eller mallen.

Mer:

Bearbeta automatiseringsmetoder och egenskaper för ett OLE-objekt i Basic


Bearbeta automatiseringsmetoder och egenskaper för ett OLE-objekt

Bearbeta automatiseringsmetoder och egenskaper för ett OLE-objekt i Basic

Om du har lagt till en OLE-kontroll, till exempel en bitmappkontroll som fått namnet BITMAPP, kanske du vill bearbeta automatiseringsmetoderna och egenskaperna för objektet i Basic Du kan till exempel vilja lägga till programkod för att ändra den visade bitmappbilden, fylla på data i ett inbäddat Microsoft Excel-kalkylblad eller lägga in text i ett inbäddat Microsoft Word-dokument. Använd följande kod för att bearbeta automatiseringsmetoderna och egenskaperna för OLE-objektet med namnet BITMAPP:

AttachOLE("BITMAPP_X")

Nu kan du använda objektvariabeln BITMAPP_X så här:

BITMAPP_X.{egenskap} = {värde}

eller

BITMAPP_X.{anrop av automatiseringsmetod}.

Obs! Du måste ha tillgång till dokumentationen för det använda OLE-objektet för att veta vilka metoder och egenskaper som är tillgängliga.


Pekarobjekt

Om du klickar på ikonen Pekarobjekt infogas en dynamisk, flyttbar, färgad pekare i formuläret eller mallen. Standardfärgen är gult.

Du kan ändra objektets storlek, färg och andra attribut samt flytta objektet genom att använda följande egenskaper tillsammans med Visual Basic-kod:

Egenskap | Beskrivning
VärdeUttr | Värdeuttryck (värdet kan vara en inställd konstant, ett värde som har beräknats i ett enkelt uttryck eller ett värde som returneras från ett VB-skript). -$, $, KONST
MinimumUttr | Minsta uttryck (värdet kan vara en inställd konstant, ett värde som har beräknats i ett enkelt uttryck eller ett värde som returneras från ett VB-skript). -$, $, KONST
MaximumUttr | Största uttryck (värdet kan vara en inställd konstant, ett värde som har beräknats i ett enkelt uttryck eller ett värde som returneras från ett VB-skript). -$, $, KONST

Tips! Om du ändrar pekarens riktning ändras även pilens rörelse till den angivna riktningen.


Polylinjeobjekt

Om du klickar på ikonen Polylinjeobjekt infogas ett polylinjeobjekt som gör att du kan koppla ihop linjer för att skapa ett område. När du klickar på och skapar den första linjen startas automatiskt en andra linje vid slutet av den första linjen. Polylinjeobjekt har samma egenskaper som ett vanligt linjeobjekt plus följande egenskaper:

Egenskap | Beskrivning
LinjeStil | Med den här egenskapen anger du kantbredden i antal bildpunkter.
Mönster | Med den här egenskapen anger du vilken typ av mönster som ska användas för att fylla i figuren. Tillgängliga mönster är: Tvärrand Långrand Diagonalrand Omvänd diagonalrand Rutigt Romber
SkuggTyp | Med den här egenskapen anger du riktningen för figurens 3D-skuggning. De tillgängliga riktningarna är: Upptill/vänster, Nedtill/höger eller Ingen.


AlternativKnapp-objekt

Om du klickar på ikonen AlternativKnapp-objekt infogas alternativknappar i formuläret. Alternativknappar är ömsesidigt uteslutande så det kan endast finnas en markerad knapp åt gången i rapporten. Du definierar en uppsättning alternativknappar med egenskapen ListElement.

Förutom möjligheten att ändra objektets storlek, färger och andra attribut kan du anpassa det ytterligare med följande egenskaper:

Egenskap | Beskrivning
Bitmapp | Med den här egenskapen kan du ange en bitmappbild som ska användas för en markerad alternativknapp. Den angivna bitmappbilden måste ha samma form som en standardalternativknapp.
BitmappFörAV | Med den här egenskapen kan du ange en bitmappbild som ska användas för en avmarkerad alternativknapp. Den angivna bitmappbilden måste ha samma form som en standardalternativknapp.
TextTillVänster | Om den här egenskapen är JA flyttas texten till vänster på alternativknappen: Text här ( ) Om den här egenskapen är NEJ flyttas texten till höger på alternativknappen: ( ) Text här
ListElement | Med den här egenskapen definierar du en lista med alternativknappar och de värden som har kopplats till dem (se beskrivningen om dialogrutan Listalternativ nedan).
VärdeID | Den här egenskapen innehåller variablerna AktSida och AntSidor. Du hämtar och ställer in variablerna med hjälp av den här kontrollen.

Om du väljer egenskapen ListElement öppnas dialogrutan Listalternativ.

Dialogrutan Listalternativ

I den här dialogrutan kan du lägga till, byta namn på och ta bort alternativknappar samt tilldela numeriska värden till dem. När du lägger till ett nytt alternativ brukar värdet för alternativet automatiskt ställas in så att endast en knapp i taget är markerad. Du kan däremot ändra de numeriska värdena så att du kan markera grupper av alternativ med ett enda musklick när du arbetar i körningsläget.

Anta att det finns fem alternativknappar med namnen Alternativ A till E och att du ändrar deras värden till följande:

Alternativknappar | Värde
Alternativ A | 0
Alternativ B | 0
Alternativ C | 1
Alternativ D | 2
Alternativ E | 2

När du växlar till körningsläge och markerar Alternativ A så markeras både Alternativ A och Alternativ B. Det beror på att du har tilldelat samma värde till dem. På samma sätt markeras både Alternativ D och Alternativ E om du markerar Alternativ E. Alternativ C har däremot ett unikt värde så om du markerar Alternativ C markeras endast den.


Markera objekt

Om du klickar på Markera objekt kan du markera ett redan infogat objekt i en HyperView-rapport. Om du klickar på objektet i rapporten så visas det omgivet av en kant och gröna fyrkanter. Det innebär att du har markerat det. När du har markerat objektet kan du flytta, ändra storleken på eller redigera det.


Reglageobjekt

Om du klickar på ikonen Reglageobjekt infogas ett reglage i en HyperView-rapport. Om rapporten innehåller ett reglage kan användare ställa in ett värde ur ett kontinuerligt intervall med värden.

Förutom möjligheten att ändra objektets storlek och andra attribut kan du anpassa det ytterligare med följande egenskaper:

Egenskap

Beskrivning

Accelerator

Med den här egenskapen definierar du vilken bokstav som ska användas tillsammans med ALT-tangenten för att skapa en snabbtangent för kontrollen.

Bokstaven eller symbolen ska vara unik och får inte vara densamma som för andra snabbtangenter (inklusive för snabbtangenterna på menyraden).

Riktning

Med den här egenskapen ställer du in reglagets riktning.

Om du väljer Vågrät ställs reglaget in så att det rör sig vågrätt, från sida till sida.

Om du väljer Lodrätt ställs reglaget in så att det rör sig lodrätt, uppåt och nedåt.

SkalstreckStil

Med det här alternativet ställer du in hur skalstrecken visas längs reglaget.

0 – Båda: Placerar skalstrecken ovanför och under reglaget (om det är vågrätt) eller till höger och vänster om det (om det är lodrätt).

1 – Upptill/vänster: Placerar skalstrecken ovanför (för ett vågrätt reglage) eller till vänster om reglaget (för ett lodrätt reglage).

2 – Nedtill/höger: Placerar skalstrecken under (för ett vågrätt reglage) eller till höger om reglaget (för ett lodrätt reglage).

AutoSkalstreck

Om du ställer in den här egenskapen till JA visas skalstreck på reglaget. Ett skalstreck är ett kort lodrätt eller vågrätt streck som placeras med jämna mellanrum (som du ställer in med egenskapen SkalstreckFrekvens) längs reglagets sidor.

SkalstreckFrekvens

Värdet för den här egenskapen anger hur tätt skalstrecken visas. Du kan ställa in ett värde mellan 2 och 200 för hur många skalstreck som med jämna mellanrum visas längs reglaget.

HjälpKnapp

Om du ställer in den här egenskapen till JA visas en hjälpknapp med ett frågetecken bredvid kryssrutan.

Om du klickar på hjälpknappen i körningsläge startas PC-DMIS onlinehjälp.

VärdeID

Det här är värdets ID. Du ställer in eller hämtar det med kontrollen.

MinimumUttr

Minsta uttryck (värdet kan vara en inställd konstant, ett värde som har beräknats i ett enkelt uttryck eller ett värde som returneras från ett VB-skript).

-$, $, KONST

MaximumUttr

Största uttryck (värdet kan vara en inställd konstant, ett värde som har beräknats i ett enkelt uttryck eller ett värde som returneras från ett VB-skript).

-$, $, KONST

VisningsID

Med den här egenskapen anger du om VisningsID uppdateras när reglaget justeras.


Rotationsobjekt

Om du klickar på ikonen Rotationsobjekt infogas en rotationskontroll i en HyperView-rapport. Kontrollen kan anges för en redigeringsruta och gör det då möjligt att välja ett numeriskt värde genom att bläddra igenom ett intervall av värden. Värdeintervallet ställs in med egenskaperna MinimumUttr och MaximumUttr.

Förutom möjligheten att ändra objektets storlek lodrätt och ändra andra attribut kan du anpassa det ytterligare med följande egenskaper:

Egenskap

Beskrivning

Accelerator

Med den här egenskapen definierar du vilken bokstav som ska användas tillsammans med ALT-tangenten för att skapa en snabbtangent för kontrollen.

Bokstaven eller symbolen ska vara unik och får inte vara densamma som för andra snabbtangenter (inklusive för snabbtangenterna på menyraden).

Riktning

Med den här egenskapen ställer du in rotationskontrollens riktning.

Om du väljer Lodrätt roteras pilarnas riktning så att de pekar lodrätt.

Om du väljer Vågrätt roteras pilarnas riktning så att de pekar vågrätt.

RadBrytning

Om du ökar eller minskar värdelistan och når det minsta eller största värdet kan du ställa in den här egenskapen till JA så att rapporten radbryts och återgår till början eller slutet av listan.

KopplaRedigeringsruta

Om du ställer in den här egenskapen till JA kopplas rotationskontrollen till den redigeringskontroll som kommer precis före rotationskontrollen i tabuleringsordningen. Du kan granska tabuleringsordningen genom att markera objektet i körningsläge och trycka på SKIFT + RETUR.

DecimalBas

Med den här egenskapen ställer du in talbasen för rotationskontrollen till decimal (välj JA) eller hexadecimal (välj NEJ).

Inkrement

Värdet för den här egenskapen anger hur mycket värdet i rotationskontrollen ökas eller minskas när du klickar på någon av rotationspilarna. Standardinställningen är 1.

VärdeID

Den här egenskapen innehåller variablerna AktSida och AntSidor. Du hämtar och ställer in variablerna med hjälp av den här kontrollen.

MinimumUttr

Minsta uttryck (värdet kan vara en inställd konstant, ett värde som har beräknats i ett enkelt uttryck eller ett värde som returneras från ett VB-skript).

-$, $, KONST

MaximumUttr

Största uttryck (värdet kan vara en inställd konstant, ett värde som har beräknats i ett enkelt uttryck eller ett värde som returneras från ett VB-skript).

-$, $, KONST


TextRapportObjekt

Om du klickar på ikonen TextRapportObjekt kan du infoga en modellfil för textrapportdata i rapportmallen. När du infogar objektet visas först en ruta med data från en exempelrapport som du använder för att utforma rapporten. När mallen tillämpas på en rapport används data från den faktiska rapporten.

TextRapportObjekt med data från en exempelrapport

Ett TextRapportObjekt med data från en exempelrapport

Ett exempelrapportfönster med data från en faktisk rapport

Du ändrar visningen av ett infogat TextRapportObjekt genom att markera objektet, högerklicka på det och redigera dess egenskaper.

Egenskaper som är specifika för det här objektet är bland andra:

Egenskap

Beskrivning

Färger

Med den här egenskapen ändrar du färgen på den visade texten. Standardinställningen är samma färgschema som används i Redigeringsfönstret när du arbetar i kommandoläget. Om du klickar på egenskapen öppnas därför en meddelanderuta med en fråga om du vill skapa en oberoende färguppsättning. Om du svarar Ja öppnas dialogrutan Redigera fönsterfärger. I dialogrutan kan du definiera ett nytt färgschema för ett markerat TextRapportObjekt.

Mer information om hur du använder Redigera fönsterfärger finns i Definiera färger i Redigeringsfönstret i Göra inställningar.

VisaUppriktningar

Visar eller döljer uppriktningar i rapporten.

VisaKommentarer

Visar eller döljer kommentarer i rapporten.

VisaUtvärderingar

Anger vilka utvärderingar som visas i rapporten.

Alla – Alla utvärderingar visas.

Inga – Inga utvärderingar visas.

Utom tolerans – Visar endast utvärderingar som ligger utom toleransen.

Inom gränser – Visar endast utvärderingar som ligger inom toleransen.

VisaElement

Visar eller döljer element i rapporten.

VisaSidhuvudSidfot

Visar eller döljer information i rapportens sidhuvud och sidfot.

VisaRörelser

Visar eller döljer rörelsekommandon i rapporten.

VisaSkärmbilder

Visar eller döljer skärmbilder i rapporten.

BeslutsTräd

Öppnar dialogrutan Redigera beslutsträd för objektet. I dialogrutan kan du skapa regler som anger när och hur uttryck eller etikettmallar ska användas i objektet.

Med etikettmallar och uttryck kan du styra exakt vilka rapportdata som visas i objektet. Se Om Redigera beslutsträd.


Textobjekt

Om du klickar på ikonen Textobjekt kan du infoga textetiketter, beskrivningar och markeringar i en HyperView-rapport. På så sätt kan du lägga in mer information i rapporten. Du ändrar visningen av ett infogat textobjekt genom att markera objektet, högerklicka på det och redigera dess egenskaper.

Gemensamma egenskaper som används för textobjekt är:

Egenskap | Beskrivning
Text | Det här är den text som visas i objektet.
Riktning | Med den här egenskapen roterar du texten vågrätt eller lodrätt. Observera att endast vissa teckensnitt kan visas lodrätt (t.ex. MS SANS SERIF).
Uppriktning | Med den här egenskapen justerar du texten inom objektet. Tillgängliga justeringar är: Vänster, Centrum och Höger.


TextVar-objekt

Om du klickar på ikonen TextVar-objekt infogas dynamisk text som innehåller siffror i en HyperView-rapport. Objektet skiljer sig från objektet text genom att det inte har egenskapen TEXT men däremot följande två egenskaper:

Egenskap | Beskrivning
VärdeUttr | Värdeuttryck (värdet kan vara en inställd konstant, ett värde som har beräknats i ett enkelt uttryck eller ett värde som returneras från ett VB-skript). Värdet formateras och visas vid körningen. -$, $, KONST
Format | Med den här egenskapen anges hur det numeriska värdet formateras enligt standarden för språket C. Du bör däremot endast använda den numeriska delen av värdet. Formatet %5.2lf blir 5.2 och %5d blir 5. Ett undantag till den här regeln är om du använder BOOLESKA variabler då $-strängen omvandlas till NEJ eller JA.

För att använda det här objektet redigerar du egenskapen VärdeUttr så att det visar ett siffervärde för en variabel.


 Edit Icon Property Sheet Icon Object Sheet Icon Toggle Ruler Icon View Snap Points Icon Toggle Ruler Icon Zoom In or Out Icon Group Icon Ungroup Icon Regroup Icon Align Edges Align Center Space Icon Make Same Size icon To Front or Back Icon Undo Icon Redo Icon

Layoutlisten

Layoutlisten innehåller verktyg för att enkelt placera, sortera och visa objekt i rutnätet i redigeringsläget. De enskilda ikonernas funktioner tas upp i ämnena nedan.

Mer:

Redigera

Egenskaper

Objektblad

Rutnät PÅ/AV

Fästpunkter

Linjaler

Zooma in eller ut

Gruppera

Lös upp grupp

Omgruppera

Passa kanter

Passa mittpunkt

Jämna avstånd

Samma storlek

Framför eller bakom

Ångra senaste aktivitet

Gör om den senast ångrade aktiviteten


Redigera

Om du klickar på ikonen Redigera placeras mallen i körningsläge. Redigera rapportmall och Redigera etikettmall är alltid i redigeringsläge. Ikonen fungerar endast när du arbetar med Redigera formulär.


Egenskaper

Om du klickar på ikonen Egenskaper visas egenskaperna för det markerade objektet i dialogrutan Egenskaper. I dialogrutan Egenskaper kan du ändra egenskaperna för ett markerat objekt. Du ändrar enkelt vilket objekt som du tittar på egenskaperna för genom att välja ett annat befintligt objekt i listan högst upp i dialogrutan Egenskaper.

Mer information om tillgängliga egenskaper finns i Om objektegenskaper.


Objektblad

Om du klickar på ikonen Objektblad öppnas dialogrutan Objektblad (tabuleringsordning).

Dialogrutan Objektblad (tabuleringsordning)

Genom att ändra i vilken ordning som objekten visas i den här dialogrutan kan du ställa in tabuleringsordningen för vanliga objekt och kontroller.

När du trycker på TABB-tangenten i körningsläge hoppar programmet till nästa objekt som har definierats i dialogrutan och objektet hamnar därmed i fokus. Endast vissa objekt påverkas av TABB-tangenten. Att trycka på TABB-tangenten fungerar endast för de objekt som har en siffra bredvid sig i dialogrutan Objektblad (tabuleringsordning).


Rutnät PÅ/AV

Genom att klicka på ikonen Rutnät PÅ/AV visar eller döljer du rutnätet. När du arbetar i redigeringsläget kan du använda rutnätet för att noggrant ställa in storleken för objekt eftersom det innehåller punkter var tiondels tum (2.5 mm). Se Arbeta med rutnätet.


Fästpunkter

Om du klickar på ikonen Fästpunkter visas objektens fästpunkter. Du använder fästpunkter för att koppla samman objekt med linjer. Du kan till exempel skapa en linje mellan en textruta med en beskrivning och ett objekt, till exempel en cirkel, genom att koppla samman fästpunkter för textrutan och cirkelobjektet. Därefter anpassas den kopplade linjen, precis som en hänvisningslinje, genom att sträckas ut eller förkortas när du flyttar cirkeln till en annan position.

Så här använder du fästpunkter som i exemplet ovan:

  1. Skapa ett cirkelobjekt.

  2. Skapa ett linjeobjekt.

  3. Arbeta i redigeringsläget. Klicka på ikonen Fästpunkter i layoutlisten. Då ser du att det visas blå punkter vid de objekt i rutnätet som har en yta. De blå punkterna är fästpunkter.

    Exempel på en cirkel med fem fästpunkter

  4. Markera linjen och dra ena änden av den till den önskade fästpunkten i cirkeln. Flytta nu på cirkelobjektet. Linjen är kopplad till en av cirkelns fästpunkter.

  5. Skapa ett textobjekt för en beskrivning av cirkeln och skriv en kort beskrivning.

  6. Markera den andra änden av linjen och dra den till en av textobjektets fästpunkter.

  7. Markera och flytta textobjektet eller cirkelobjektet. Observera att linjeobjektet blir längre eller kortare och flyttas så att det alltid finns en rak linje mellan fästpunkterna för de båda objekten.

För att koppla bort objekt från en fästpunkt drar du bara bort den kopplade änden av objektet från fästpunkten.

Fästpunkter kontra hänvisningslinjer

För det mesta kommer du troligen att använda hänvisningslinjeobjekt i stället för fästpunkter. Hänvisningslinjeobjekt har nästan samma funktioner som fästpunkter men är enklare att använda (se Hänvisningslinjeobjekt). En fördel med fästpunkter gentemot hänvisningslinjeobjekt är att fästpunkter kan stödja mer än en linje mellan objekt och den kopplade linjen ansluts direkt till en fästpunkt. Med fästpunkter kan du till exempel skapa en mer komplex form direkt i redigeringsläget, som här:

Exempel på en cylinder som har skapats med fyra linjer som är kopplade till fästpunkter för de två fyllda cirklarna.

Objekt som stöds

Du kan endast koppla linjer och polylinjer till objekt med fästpunkter. Nedan visas de objekt som har fästpunkter:

  • Text

  • TextVar

  • Kant

  • Ellips

  • Bitmapp

  • Färgnyckel för utvärderingar

  • Histogram

  • Elementtext

  • Utvärderingsinformation

  • Punktinformation

Visa kopplade objekt

På komplicerade sidor med många objekt kan du använda menyalternativet Visa | Körväg för att se en kedja av de objekt som är kopplade till ett markerat objekt. Med det här menyalternativet kopplas alla objekt som på något sätt hör ihop till det markerade objektet med fästpunkter.


Linjaler

Genom att klicka på ikonen Linjaler kan du aktivera och avaktivera linjalerna högst upp och till vänster i rutnätet. Linjalerna visar rutnätets storlek i tum. De visar även markörens position längs rutnätets vågräta axel (linjalen högst upp) och lodräta axel (linjalen till vänster).


Zooma in eller ut

Om du klickar på ikonen Zooma in eller ut kan du zooma in eller ut i en HyperView-rapport och sedan återställa den ursprungliga visningen. När du klickar på den här ikonen aktiveras följande ikoner:

Zooma in – Om du klickar på den här ikonen zoomar du in i rapporten med 100 % per klick. Du kan klicka på ikonen högst fem gånger för att zooma in med 500 %.

Zooma ut – Om du klickar på den här ikonen zoomar du ut i rapporten med 100 % per klick om du tidigare har zoomat in. Om du inte har zoomat in kan du endast klicka en gång och zooma ut med 100 %.

Zooma 1:1 – Om du klickar på den här ikonen återställs rapporten till den ursprungliga zoom-storleken på 1:1.

Oavsett vad du zoomat in på återställs den ursprungliga zoomningen när du aktiverar en kontroll som har ett "aktiverat" eller "avaktiverat" läge (till exempel om du dubbelklickar på ett CADRapportObjekt eller ett TabellObjekt). När du lämnar kontrollen och går tillbaka till redigeringsmiljön återställs zoomningen till vad den var tidigare.


Gruppera

Om du klickar på ikonen Gruppera kan du markera flera objekt och gruppera dem. När objekten har grupperats visas de som ett enda objekt i redigeraren.

För att gruppera flera objekt håller du SKIFT-tangenten nedtryckt och markerar samtliga objekt i gruppen eller rutmarkerar objekten och klickar på ikonen Gruppera.


Lös upp grupp

Om du klickar på ikonen Lös upp grupp återställer du objekt i en grupp till deras tidigare ogrupperade tillstånd. Det gör du genom att markera ett grupperat objekt och klicka på ikonen Lös upp grupp.


Omgruppera

När du klickar på ikonen Omgruppera grupperar du om den senast upplösta gruppen med objekt utan att behöva markera de enskilda objekten på nytt.


Passa kanter

Om du klickar på ikonen Passa kanter aktiveras följande ikoner som du kan använda för att justera en grupp markerade objekt längs deras vänster-, höger-, över- eller underkanter:

Justerar markerade objekt längs vänsterkanten

Justerar markerade objekt längs högerkanten

Justerar markerade objekt längs den övre kanten

Justerar markerade objekt längs den nedre kanten


Passa mittpunkt

Om du klickar på ikonen Passa mittpunkt aktiveras följande ikoner som du kan använda för att justera markerade objekt vågrätt eller lodrätt:

Centrerar markerade objekt längs den vågräta axeln

Centrerar markerade objekt längs den lodräta axeln


Jämna avstånd

Om du klickar på ikonen Jämna avstånd aktiveras följande ikoner som du kan använda för att placera markerade objekt med jämna avstånd vågrätt eller lodrätt:

Placerar markerade objekt med jämna avstånd längs den vågräta axeln

Placerar markerade objekt med jämna avstånd längs den lodräta axeln


Samma storlek

Om du klickar på ikonen Samma storlek aktiveras följande ikoner som du kan använda för att ge de markerade objekten samma bredd eller höjd, eller samma bredd och höjd:

Ger de markerade objekten samma bredd

Ger de markerade objekten samma höjd

Ger de markerade objekten samma bredd och höjd


Framför eller bakom

Om du klickar på ikonen Framför eller bakom aktiveras följande ikoner som du kan använda för att placera ett eller flera markerade objekt framför eller bakom andra objekt. Det är användbart om flera objekt är placerade ovanpå varandra och du vill att vissa objekt ska vara synliga. Ikonerna är bland andra:

Flyttar det markerade objektet (de markerade objekten) framför alla andra objekt så att det (de) visas överst.

Flyttar det markerade objektet (de markerade objekten) bakom alla andra objekt så att det (de) visas underst.


Ångra senaste aktivitet

Om du klickar på ikonen Ångra senaste aktivitet ångrar du den senaste aktiviteten som utfördes i redigeraren.


Arbeta med rutnät

När du arbetar i en redigerare för formulär eller mallar kan du visa eller dölja rutnätet i bakgrunden genom att klicka på ikonen Rutnät PÅ/AV i layoutlisten eller genom att trycka på CTRL + G.

Du kan använda rutnätet som ett verktyg för att få en korrekt placering eller storlek på objekt och för att kontrollera stödlinjerna vid marginalerna i en HyperView-rapport.

Exempel på markeringar och stödlinjer i ett standardrutnät

Gå till Redigera | Layout | Inställningar, rutnät för att öppna dialogrutan Inställningar, rutnät.

Dialogrutan Inställningar, rutnät

I den här dialogrutan kan du anpassa rutnätet. En beskrivning av kontrollerna i dialogrutan finns i tabellen nedan:

Dialogrutekontroll

Beskrivning

Kryssrutan Visa rutnät

Genom att markera eller avmarkera kryssrutan Visa rutnät aktiveras respektive avaktiveras visningen av rutnätet.

Kryssrutan Fäst mot rutnät

Genom att markera eller avmarkera kryssrutan Fäst mot rutnät anger du om kontroller som placeras i rutnätet flyttas till, eller fästs vid, den närmaste rutnätspositionen.

Området Avstånd

I området Avstånd ställer du in avståndet mellan markeringarna i rutnätet. Ju lägre värde du anger, desto närmare varandra placeras markeringarna.

Området Stödlinjer

I området Stödlinjer kan du ange var stödlinjerna för marginalerna överst, nederst, på vänster och på höger sida placeras i HyperView-redigeraren.

Värdet i rutorna anger avståndet till stödlinjen i antal rutnätsmarkeringar. Om du ställer in värdet till noll tas stödlinjen bort.

Du kan inte placera objekt utanför stödlinjerna.


Gör om den senast ångrade aktiviteten

När du klickar på ikonen Gör om den senast ångrade aktiviteten gör du om en aktivitet som du ångrade när du klickade på ikonen Ångra senaste aktivitet.


Om rapporter och rapportmallar

I äldre versioner av PC-DMIS behövde du skapa en ny rapport för varje detaljprogram men det behöver du inte längre göra. Nu använder du rapportmallar. En rapportmall är inte en rapport utan en beskrivning av en rapport. Mallen innehåller en beskrivning av vilka data som ska användas för att skapa rapporten, vart data ska skickas och hur rapporten ska se ut. Du kan använda rapportmallar för mer än ett detaljprogram, vilket innebär att du snabbt och enkelt kan standardisera utseende och stil för flera rapporter.

Du skapar mallar i Redigera rapportmall. Rapportmallar har filtillägget .rtp och skapas i rapportmallredigeraren i PC-DMIS.

Du kan göra rapportmallarna hur enkla eller hur komplicerade du vill. En enkel rapportmall kan innehålla ett enstaka TextRapportObjekt medan en komplex rapportmall kan innehålla flera olika objekt, bitmappbilder, former eller poster som använder rapportuttrycksspråk för att exakt ange vilka rapportdata som ska visas.

Viktigt! Blanda inte ihop rapportmallfilens filtillägg, .rtp, med det äldre filtillägget för HyperView-rapportfiler, .rpt. Det är två helt olika filformat. Du kan inte öppna en HyperView-rapport i Redigera rapportmall. Du kan fortfarande köra inbäddade HyperView-rapporter i PC-DMIS 4.0 och senare versioner men du behöver en version av PC-DMIS som har stöd för rapportfiler (.rpt-filer) för att kunna redigera dem.

Mer:

Om Redigera rapportmall

Genomgång – Skapa en anpassad rapportmall

Tillämpa eller ta bort en rapportmall

Dela rapportmallar


Körningsläge – Det här läget kan du endast använda i Redigera formulär. I körningsläget kan du köra ett formulär och testa hur det kommer att se ut och fungera i en viss körningsmiljö för detaljprogram.

Redigeringsläge – Det här är standardläget för alla rapportredigerare och det enda läget för Redigera rapportmall och Redigera etikettmall.

Du växlar mellan körningsläget och redigeringsläget genom att trycka på CTRL + E.

Om Redigera rapportmall

Öppna Redigera rapportmall genom att gå till Arkiv | Rapporter | Ny | Rapportmall. Du kan även öppna en befintlig rapportmall genom att gå till Arkiv | Rapporter | Redigera | Rapportmall.

Redigera rapportmall öppnas i ett nytt fönster.

Redigera rapportmall

Redigera rapportmall fungerar som en arbetsyta där du kan dra, ändra storleken på och placera olika objekt och ställa in deras egenskaper Du placerar objekten på det vita området som kallas för mallen eller sektionen. Om du har arbetat med HyperView-rapporter i tidigare versioner av PC-DMIS kommer du att känna igen den här redigeraren eftersom den fungerar på ungefär samma sätt och innehåller många av de gamla gränssnittselementen.

I den nya rapportmodellen med mallar kan du inte ställa in Redigera rapportmall eller Redigera etikettmall till körningsläget. De öppnas i redigeringsläget och kan inte ändra läge. Körningsläget fungerar fortfarande med Redigera formulär.

Den här redigeraren innehåller följande element:

  • Menyraden

  • Teckensnittslisten (verktygsfält)

  • Objektlisten (verktygsfält)

  • Layoutlisten (verktygsfält)

  • Om objektegenskaper

  • Sektioner

  • Arbeta med rutnät

De diskuteras ingående i Om gränssnitten för redigering av formulär och mallar.

Mer:

Om sektioner


Om sektioner

Det huvudsakliga redigeringsområdet i en mall består av sektioner. De är rullningsbara områden med flikar i Redigera rapportmall där du kan lägga till objekt i den aktuella rapportmallen. Med sektioner får du bättre kontroll över när objekt visas i rapporten.

I versioner före PC-DMIS 4.0 var det ganska krångligt att skapa och underhålla HyperView-rapporter med flera sidor där vissa objekt endast visades på vissa sidor. Det krävdes komplicerad kodning med en mängd lager för att dölja och visa objekt på olika sidor. I Redigera rapportmall kan du enkelt lägga till fler sektioner i mallen och skapa rapporter med flera sektioner.

Sektioner är däremot inte detsamma som sidor. Objekt som infogas i en sektion visas inte i andra sektioner men kan visas i samma sektion på flera sidor. Med den här metoden blir det mindre komplicerat att skapa statiska rapportelement som sidhuvuden och titlar.

Du kan till exempel lägga till en beskrivning av rapporten och information om författaren i den första sektionen i mallen, ett TextRapportObjekt i den andra sektionen och ett CADRapportObjekt i den tredje sektionen. Beroende på längden på ingående rapportdata kan varje sektion i rapporten därefter ge upphov till flera sidor.

Sektioner används endast i Redigera rapportmall. I versioner före 4.0 kallades redigeringsområdet för HyperView-rapporter för Ram1/Vy1. Namnet används forfarande i Redigera formulär och i Redigera etikettmall där sektioner inte används. I Redigera rapportmall placerar du rapportobjekt i redigerarens sektioner.

Så här lägger du till en ny sektion

  1. Kontrollera att fönstret Redigera rapportmall är maximerat.

  2. Gå längst ned i mallen.

  3. Högerklicka på fliken Sektion1.

  4. Välj Infoga i snabbmenyn. En ny sektion, Sektion2, infogas i mallen. Nu bör mallen ha två sektioner som här:

Så här tar du bort en sektion

  1. Kontrollera att fönstret Redigera rapportmall är maximerat.

  2. Gå längst ned i mallen.

  3. Högerklicka på den sektionsflik som du vill ta bort.

  4. Välj Ta bort i snabbmenyn. Sektionen tas bort.

Så här ändrar du egenskaperna för en sektion

  1. Kontrollera att fönstret Redigera rapportmall är maximerat.

  2. Gå längst ned i mallen.

  3. Högerklicka på sektionen. Dialogrutan Egenskaper öppnas.

  4. Ändra de önskade egenskaperna. Om du vill byta namn på en sektion byter du namn på egenskapen Objektkod för sektionen.


Skapa en anpassad rapportmall

Skapa ett detaljprogram som mäter fyra cirklar

Skapa ett detaljprogram som mäter fyra cirklar, i stil med det här.

Om du klickar på någon av dessa ikoner startas demonstrationsfilmer som visar hur du utför vissa aktiviteter.

  1. Välj Arkiv | Rapporter | Ny | Rapportmall för att öppna Redigera rapportmall. En tom rapportmall öppnas automatiskt.

  2. Dölj verktygsfält som du inte kommer att använda genom att högerklicka på verktygsfältområdet och ta bort verktygsfält.

  3. Dölj fönster i PC-DMIS som du inte använder genom att markera det öppna fönstret på Visa-menyn.

  4. Maximera mallredigeringsfönstret genom att klicka på knappen Maximera i fönstret. Nu bör du se ordet REPORT i bakgrunden och det bör finnas en flik med texten Sektion1 längst ned i mallen. Rapportmallsredigeraren bör se ut så här:

Tips! När du arbetar i mallredigerarna kan det vara bra att gömma en del verktygsfält och fönster i PC-DMIS för att få mer utrymme på skärmen. Om du ofta arbetar med mallar kanske du vill skapa en sparad skärmlayout för mallar. Mer information om layout finns i Verktygsfältet Fönsterlayout i avsnittet Använda verktygsfält.

Steg 1: Redigera rapportmall

  1. Klicka på ett textobjekt i objektlisten.

  2. Infoga objektet i rapporten genom att dra en rektangel till den aktuella sektionen. När du släpper musknappen markeras objektet och visas med små gröna rutor som kallas för handtag.Du ser en ruta vid varje hörn av objektet.

  3. Markera det infogade textobjektet och dra de gröna handtagen så att rutan blir 25 mm hög och 150 mm bred. Du kan använda linjalerna högst upp och till höger i redigeringsfönstret. Om linjalerna inte visas väljer du menyalternativet Visa | Linjaler.

  4. Högerklicka på textobjektet.

  5. Klicka på egenskapen BakgrundsFärg och ändra den till ljusblått (0.255.255).

  6. Klicka på egenskapen FörgrundsFärg och ändra den till mörkblått (0.0.128).

  7. Klicka på egenskapen LinjeStil och ändra värdet till 5.

  8. Klicka på egenskapen Text och ändra den till "En anpassad rapport".

  9. Klicka på egenskapen Teckensnitt. Dialogrutan Teckensnitt öppnas.

  10. Ändra Storlek till 20, Stil till Fet och Teckensnitt till Arial.

  11. Klicka på OK.

Nu har du formaterat textobjektet. Det bör se ut så här:

Se en kort demonstration av hur du infogar och formaterar textobjekt.

Ett textobjekt med visade handtag

Använd verktygsfältet längst ned i det här fönstret för att styra demonstrationen. När du är klar klickar du på den blå ikonen igen för att stänga det här expanderade fönstret.

  1. Markera det textobjekt du skapade i föregående steg.

  2. Högerklicka på objektet. Då öppnas dialogrutan Egenskaper för objektet till höger om redigeringsfönstret. På vänster sida i dialogrutan ser du kryssrutor bredvid de flesta av egenskaperna. Kryssrutorna anger vilka egenskaper som kan definieras av användaren.

  3. Markera kryssrutan till vänster om egenskapen Text. Dialogrutan Användardefinierad egenskap öppnas och du ombes att skriva en uppmaning till användaren om att ange egenskapsvärdet och när uppmaningen ska visas.

  4. I dialogrutan Text skriver du "Ange rapporttiteln nu".

  5. Markera alternativet Fråga när rapporten utförs.

  6. Klicka på OK. Dialogrutan Användardefinierad egenskap stängs.

  7. Markera kryssrutan till vänster om egenskapen BakgrundsFärg. I dialogrutan som öppnas anger du "Välj bakgrundsfärg nu" som ledtext och markerar än en gång alternativet Fråga när rapporten utförs.

  8. Klicka på OK. Dialogrutan Användardefinierad egenskap stängs.

I detta steg valde du två egenskaper och användardefinierade dem. Det innebär att den som kör detaljprogrammet kommer att kunna ställa in egenskaperna.

Se en kort demonstration av hur du användardefinierar egenskaper.

Exempel på rutan Egenskaper för ett textobjekt. Observera de användardefinierade kryssrutorna till vänster.

Exempel på rutan Egenskaper för ett textobjekt. Observera de användardefinierade kryssrutorna till vänster.

Dialogrutan Användardefinierad egenskap

Dialogrutan Användardefinierad egenskap

Använd verktygsfältet längst ned i det här fönstret för att styra demonstrationen. När du är klar klickar du på den blå ikonen igen för att stänga det här expanderade fönstret.

  1. Klicka på ikonen för TextRapportObjekt i objektlisten i redigeringsfönstret. Muspekaren ändras från en pil till ett hårkors.

  2. Lägg till TextRapportObjektet i mallen genom att dra en ruta till den aktuella mallsektionen. Det läggs till en automatisk rapporttext som utfyllnad. När du tillämpar mallen på rapporten används data från rapporten. Utfyllnadstexten visas endast för att du ska se hur designen kommer att se ut. Objektet bör se ut ungefär så här:

  3. Ändra objektets storlek så att det är ungefär lika brett som det textobjekt som du infogade tidigare. Du ändrar objektets storlek genom att klicka på och dra de gröna rutorna runt objektet.

  4. Markera det textobjekt som du infogade tidigare. Tryck ned SKIFT-tangenten och håll den nedtryckt medan du markerar TextRapportObjektet.

  5. När båda objekten är markerade går du till layoutlisten och klickar på ikonerna Samma storlek och Passa mittpunkt för att göra objekten lika breda och centrera dem mellan den vänstra och högra sidan av redigeringsfönstret.

Nu bör mallen innehålla ett TextRapportObjekt i den första sektionen.

Se en kort demonstration av hur du infogar ett TextRapportObjekt och hur du använder vissa objekt i layoutlisten.

TextRapportObjekt med utfyllnadstext

Exempel på ett TextRapportObjekt

Använd verktygsfältet längst ned i det här fönstret för att styra demonstrationen. När du är klar klickar du på den blå ikonen igen för att stänga det här expanderade fönstret.

  1. Kontrollera att fönstret Redigera rapportmall är maximerat.

  2. Gå längst ned i mallen.

  3. Högerklicka på fliken Sektion1.

  4. Välj Infoga i snabbmenyn. En ny sektion, Sektion2, infogas i mallen.

Nu bör mallen ha två sektioner som här:

Se en kort demonstration av hur du skapar nya sektioner.

Exempel på två sektioner

Använd verktygsfältet längst ned i det här fönstret för att styra demonstrationen. När du är klar klickar du på den blå ikonen igen för att stänga det här expanderade fönstret.

  1. Klicka på fliken Sektion2 om du vill göra den till den aktiva sektionen.

  2. Klicka på ikonen CADRapportObjekt i objektlisten i redigeringsfönstret. Muspekaren ändras från en pil till ett hårkors.

  3. Lägg till CADRapportObjektet i mallen genom att dra en ruta till den aktuella mallsektionen. Ändra rutans storlek så att den blir cirka 150 mm bred och 100 mm hög. Du ändrar objektets storlek genom att klicka på och dra de gröna rutorna runt objektet.

  4. När du har ritat rutan öppnas automatiskt Guiden Etikettlayout. I guiden visas en exempeldetalj omgiven av exempeletiketter. Dessa exempelobjekt är en designhjälp medan du arbetar i mallredigeraren. Använd guiden för att snabbt placera etiketter runt en detalj. Mer information finns i Guiden Etikettlayout. När du tillämpar mallen på rapporten används den faktiska CAD-ritningen och etikettinformationen.

  5. Ändra antalet etiketter i rutan Antal etiketter till 4.

  6. Ändra till Elliptiskt placerade.

  7. Klicka på det fyrkantiga vita handtaget mitt på CAD-bilden och dra fyrkanten med- eller motsols för att rotera etiketterna runt den elliptiska banan.

  8. Rotera etiketterna tills alla fyra visas ovanför CAD-bilden och området Förhandsgranskning i Guiden Etikettlayout ser ut så här:

  9. Klicka på OK. Objektet infogas i Sektion2.

Layouten för Sektion2 bör nu innehålla ett CADRapportObjekt som ser ut ungefär så här:

Se en kort demonstration av hur du infogar och använder ett CADRapportObjekt.

Området Förhandsgranskning med fyra etiketter som är elliptiskt placerade ovanför CAD-bilden

Området Förhandsgranskning med fyra etiketter som är elliptiskt placerade ovanför CAD-bilden

Exempel på ett CAD-rapportobjekt med fyra exempeletiketter ovanför en exempeldetalj

Exempel på ett CAD-rapportobjekt med fyra exempeletiketter ovanför en exempeldetalj

Använd verktygsfältet längst ned i det här fönstret för att styra demonstrationen. När du är klar klickar du på den blå ikonen igen för att stänga det här expanderade fönstret.

  1. Klicka på fliken Sektion1 och högerklicka på det TextRapportObjekt som du infogade tidigare.

  2. Ändra följande egenskaper i dialogrutan Egenskaper:
    VisaUppriktningar – AV
    VisaKommentarer – AV
    VisaUtvärderingar – Inga
    VisaElement – PÅ
    VisaSidhuvudSidfot – AV
    VisaRörelser – AV
    VisaSkärmbilder – AV

  3. Klicka på fliken Sektion2.

  4. Högerklicka på det CADRapportObjekt som du infogade i Sektion2. På höger sida av skärmen visas en dockad dialogruta för Egenskaper. Dialogrutan innehåller diverse egenskaper som är specifika för det markerade objektet.

  5. Klicka på Regler i egenskapen BeslutsTräd. Redigera beslutsträd öppnas:

  6. Expandera rubriken Element. En lista med element visas.

  7. Expandera rubriken Cirklar. En lista med olika cirkelelement visas.

  8. Klicka på objektet Mätt cirkel och därefter på knappen Lägg till. Då anger du för PC-DMIS att du lägger till en regel för mallen. Dialogrutan Redigera regel öppnas. I dialogrutan kan du göra inställningar för rapportmallen. I det här fallet anger du att något ska utföras i rapportmallen när det påträffas mätta cirklar i detaljprogrammets rapportdata.

  9. Välj alternativet Använd etikettmall till rapporten. Rutan Etikettnamn öppnas för redigering.

  10. Klicka på knappen … Dialogrutan Öppna öppnas så att du kan välja en viss mallfil.

  11. Gå till installationskatalogen för PC-DMIS och öppna undermappen Reporting. Klicka på etiketten summary.lbl och därefter på Öppna. Namnet på den valda mallen visas i dialogrutan Redigera regel. Mer information och en genomgång av hur du skapar etiketter finns i Om etiketter och etikettmallar.

  12. Klicka på OK för att stänga dialogrutan Redigera regel och tillämpa regeln. Observera att listobjektet Mätt cirkel nu står med fet stil för att ange att det finns en regel för den elementtypen.

  13. Klicka på OK för att stänga dialogrutan Redigera beslutsträd.

Nu har du skapat en regel som anger att etikettmallen summary.lbl ska användas för att visa översiktsinformation om elementtypen mätt cirkel.

Se en kort demonstration av hur du anger vilken information som ska visas i rapportmallen.

Egenskapen BeslutsTräd

Dialogrutan Redigera beslutsträd

Dialogrutan Redigera beslutsträd

Dialogrutan Redigera regel

Dialogrutan Redigera regel

Ett exempel på dialogrutan Öppna med flera tillgängliga etikettmallar

Ett exempel på dialogrutan Öppna med flera tillgängliga etikettmallar

Använd verktygsfältet längst ned i det här fönstret för att styra demonstrationen. När du är klar klickar du på den blå ikonen igen för att stänga det här expanderade fönstret.

  1. Välj Arkiv | Spara i Redigera rapportmall. Spara mallarna som test1.rtp i dialogrutan Spara som.

  2. Välj Arkiv | Stäng för att stänga Redigera rapportmall.

  3. Välj Visa | Rapportfönster. Rapportfönstret öppnas med den standardinställda rapportmallen.

  4. Klicka på ikonen Rapportmallar i Rapportlisten i Rapportfönstret. Dialogrutan Rapportmallar öppnas.

  5. Lägg till rapporten i dialogrutan Rapportmallar genom att klicka på knappen Lägg till.

  6. Bläddra till och välj filen test1.rtp. Klicka på Öppna. En miniatyrbild av rapporten läggs till i dialogrutan Rapportmallar.

  7. Markera miniatyrbilden för mallen och klicka på Öppna rapport. Rapportfönstret öppnas med den nya mallen.

  8. Kör detaljprogrammet. Första gången du kör detaljprogrammet med den här rapportmallen visas dialogrutan Användardefinierade egenskaper där du uppmanas att ge rapporten en ny titel och ställa in en bakgrundsfärg.

  9. Ställ in egenskaperna och klicka på OK. Dialogrutan stängs och detaljprogrammet körs.

  10. När körningen har slutförts visas rapportdata i den nya mallen.

Grattis! Du har slutfört genomgången av hur man skapar en anpassad rapportmall.

Se en kort demonstration av hur du väljer och testar en rapportmall.

Dialogrutan Rapportmallar med Test1.rtp

Dialogrutan Rapportmallar med Test1.rtp

Använd verktygsfältet längst ned i det här fönstret för att styra demonstrationen. När du är klar klickar du på den blå ikonen igen för att stänga det här expanderade fönstret.

Skapa en anpassad rapportmall

Det här är en mycket grundläggande genomgång av hur du skapar en enkel rapportmall med ett fåtal objekt och några etiketter. Den bör ge en viss översikt så att du kan skapa och använda egna anpassade rapportmallar.

Obs! För att du ska få en bra grund att stå på när det gäller användningen av mallredigerarna visar den här genomgången hur du skapar en rapportmall från början. När du själv ska skapa en mall kan det vara enklare att anpassa någon av standardmallarna.

Innan du påbörjar genomgången ska du skapa ett enkelt detaljprogram som kan mäta fyra cirklar på en enkel detalj. I genomgången används Hexagons testblock (Hexblock_Wireframe_Surface.igs).

Klicka på länkarna nedan för att expandera eller komprimera instruktionsstegen. De flesta instruktionsstegen innehåller även en demonstration av steget. Om du vill titta på en demonstration klickar du på någon av de blå ikonerna:

Steg 1: Skapa en tom anpassad rapportmall

Steg 2: Infoga och formatera ett textobjekt för en sektionstitel

Steg 3: Användardefiniera egenskaper

Steg 4: Lägg till ett TextRapportObjekt

Steg 5: Lägg till en ny sektion i mallen

Steg 6: Lägg till ett CADRapportObjekt

Steg 7: Definiera vilken mätinformation som ska visas

Steg 8: Spara och testa mallen


Tillämpa eller ta bort en rapportmall

  1. Du öppnar Rapportfönstret via menyalternativet Visa | Rapportfönster.

  2. Klicka på ikonen Rapportmallar i Rapportlisten Rapportmallar. Dialogrutan Rapportmallar öppnas. I rutan visas tillgängliga rapportmallar som .rtp-filer:

Dialogrutan Rapportmallar

I dialogrutan kan du hantera rapportmallar.

  1. Klicka på knappen Lägg till i dialogrutan Rapportmallar. Dialogrutan Öppna visas.

    Dialogrutan Öppna
    Dialogrutan Öppna

  2. Gå till rapportmallfilen, markera den och klicka på Öppna.

  3. Mallen läggs till och en miniatyrbild av den visas i dialogrutan Rapportmallar.

  4. Dialogrutan kan innehålla ett fåtal eller många mallar. Om du vill ändra storleken på dialogrutan för att bättre kunna se innehållet drar du i rutans kant.

  1. Markera en mall i dialogrutan Rapportmallar.

  2. Klicka på knappen Ta bort (klicka på Ta bort alla om du vill ta bort alla mallar).

  3. Rapportmallen tas bort ur dialogrutan Rapportmallar.

Om du tar bort en rapportmall ur rutan tas den inte bort helt. Den tas endast bort ur dialogrutan. Du kan lägga till mallen senare genom att klicka på knappen Lägg till.

Tillämpa eller ta bort en rapportmall

Om du vill tillämpa en rapportmall på mätresultaten eller ta bort en rapportmall måste du först öppna dialogrutan Rapportmallar:

Så här öppnar du dialogrutan Rapportmallar:

Så här lägger du till en rapportmall:

Så här tar du bort en rapportmall:

Obs! Mallarna som finns listade i dialogrutan Rapportmallar är olika för de olika användarkonton som finns i operativsystemet Windows.


Dela rapportmallar

Du kan enkelt dela en rapportmall med andra användare. När du sparar en rapportmall sparas det automatiskt en kopia av eventuella kopplade etikettmallar i rapportmallen. Det innebär att om du vill dela en rapportmall behöver du inte tänka på att skicka med alla kopplade etikettmallar. När rapportmallen öppnas görs det ändå en sökning efter den faktiska etikettmallfilen i katalogen. Om den faktiska etikettmallfilen påträffas används den. Om den faktiska etikettmallfilen inte påträffas vid sökningen används den kopierade versionen av etikettmallfilen som har sparats tillsammans med rapportmallen.

Rör musen över följande diagram om du vill se ett exempel.


Om etiketter och etikettmallar

Etiketter är ett nytt koncept inom rapportering i PC-DMIS. En etikettmall fungerar i princip som en liten rapportmall som kopplas till ett specifikt kommando (eller kommandon) i rapporten. Det ger dig större frihet med de data som kan inkluderas i rapporten. Du kan till exempel visa etiketter för utvärderingar, för mätta element, för autoelement och så vidare.

Se en exempeletikett:

PC-DMIS levereras med flera standardetiketter som kan kopplas till objekt i rapportmallarna. Men du kan även, precis som med rapportmallar, skapa egna etikettmallar. Etikettmallar kan innehålla samtliga objekt från objektlisten i Redigera etikettmall men innehåller vanligtvis något av objekten TabellObjekt eller Diagram.

Redigera etikettmall används för att skapa etikettmallar.

Mer:

Om Redigera etikettmall

Genomgång – Skapa etikettmallar

Använda etiketter i rapporter

Ordna etiketter i Rapportfönstret

Använda kommandot för tabellformat


Körningsläge – Det här läget kan du endast använda i Redigera formulär. I körningsläget kan du köra ett formulär och testa hur det kommer att se ut och fungera i en viss körningsmiljö för detaljprogram.

Redigeringsläge – Det här är standardläget för alla rapportredigerare och det enda läget för Redigera rapportmall och Redigera etikettmall.

Du växlar mellan körningsläget och redigeringsläget genom att trycka på CTRL + E.

Om Redigera etikettmall

Öppna Redigera etikettmall genom att gå till Arkiv | Rapporter | Ny | Etikettmall. Du kan även öppna en befintlig etikettmall genom att gå till Arkiv | Rapporter | Redigera | Etikettmall.

Redigera etikettmall öppnas i ett nytt fönster.

Redigera etikettmall

Den här redigeraren liknar Redigera rapportmall och Redigera formulär. Med undantag av vissa skillnader i objektlisten är gränssnitten i stort sett likadana för de olika redigerarna. Tekniskt sett kan du lägga till alla objekt från objektlisten i Redigera etikettmall i en etikettmall men du kommer framför allt att arbeta med TabellObjekt. Etikettmallen är den vita rutan som kan ändra storlek högst upp mot bakgrunden med ordet "LABEL".

I den nya rapportmodellen med mallar kan du inte ställa in Redigera rapportmall eller Redigera etikettmall till körningsläget. De öppnas i redigeringsläget och kan inte ändra läge. Körningsläget fungerar fortfarande med Redigera formulär.

Den här redigeraren innehåller följande element:

  • Menyraden

  • Teckensnittslisten (verktygsfält)

  • Objektlisten (verktygsfält)

  • Layoutlisten (verktygsfält)

  • Om objektegenskaper

De diskuteras ingående i Om gränssnitten för redigering av formulär och mallar.


Skapa etikettmallar

  1. Välj Arkiv | Rapporter | Ny | Etikettmall för att öppna Redigera etikettmall. En tom etikettmall öppnas automatiskt.

  2. Dölj verktygsfält som du inte kommer att använda genom att högerklicka på verktygsfältområdet och ta bort verktygsfält.

  3. Dölj fönster i PC-DMIS som du inte använder genom att markera det öppna fönstret på Visa-menyn.

  4. Maximera mallredigeringsfönstret genom att klicka på knappen Maximera i fönstret. Nu bör du se ordet LABEL i bakgrunden.

  5. Ändra storleken på Ram1/Vy1 i redigeringsområdet för etikettmallen så att den blir 100 mm bred och ca 40 mm hög. Det gör du genom att klicka på och dra det nedre högra hörnet av etikettmallen med musen. Använd linjalerna som riktmärken.

Nu har du skapat en tom etikettmall. När du avslutar det här steget bör den se ut ungefär så här:

Tips! När du arbetar i mallredigerarna kan det vara bra att gömma en del verktygsfält och fönster i PC-DMIS för att få mer utrymme på skärmen. Om du ofta arbetar med mallar kanske du vill skapa en sparad skärmlayout för mallar. Mer information om layout finns i Verktygsfältet Fönsterlayout i avsnittet Använda verktygsfält.

Redigera etikettmall

  1. Klicka på ikonen KommandoTextObjekt. Muspekaren ändras till ett hårkors.

  2. Använd pekaren för att dra i rutan så att den blir ungefär 75 mm bred och 125 mm hög. Ett KommandoTextObjekt infogas i etikettmallen. Högerklicka på objektet för att öppna dialogrutan Egenskaper.

  3. Klicka på egenskapen Färger. Om du tillfrågas om du vill definiera en färguppsättning som är oberoende av programmets standardfärger klickar du på Ja.

  4. Redigera fönsterfärger öppnas. I den här redigeraren definierar du färger för Redigeringsfönstret. I detta fall påverkas endast det aktuella KommandoTextObjektet.

  5. Klicka på Redigera under Bakgrundsfärg. Dialogrutan Färg öppnas.

  6. Ange mörkblått som objektets bakgrundsfärg. Det gör du genom att ändra värdena i rutorna Röd, Grön och Blå till 0, 0 och 128. Klicka på OK.

  7. Klicka på Redigera i rutan Omarkerad. Dialogrutan Färg öppnas.

  8. Välj vitt och klicka på OK. Klicka på Nej om du tillfrågas om du vill ändra på underordnade element.

  9. Använd en bitmappbild av en cirkel (eller använd ett ellipsobjekt för att rita en cirkel) och placera cirkeln högst upp på arbetsytan.

Nu har du lagt till ett KommandoTextObjekt och ett statiskt bitmapp- eller ellipsobjekt för en cirkelform i etikettmallen. I slutet av det här steget bör etikettmallen se ut ungefär så här:

Etikettmall med ett KommandoTextObjekt och ett statiskt bitmappobjekt

  1. Klicka på ikonen TabellObjekt. Muspekaren ändras till ett hårkors.

  2. Använd pekaren för att rita en ruta för objektet under det tidigare infogade KommandoTextObjektet så att båda objekten är lika breda.

  3. Ändra höjden så att rutan nästan fyller resten av Ram1/Vy1. När objektet infogas visas flera rader och kolumner i rutnätet.

  4. Öppna objektets egenskaper och ändra egenskaperna Kolumner och Rader till 3.

  5. Välj objektet och markera en cell. För att göra det dubbelklickar du på den första cellen i den översta raden. Den markerade cellen får blå bakgrund.

  6. Markera den översta raden. Eftersom den första cellen redan är markerad trycker du på SKIFT och klickar därefter på den sista cellen på raden för att markera hela raden. Hela raden markeras.

  7. Högerklicka. Det öppnas en dialogruta för objektet. I dialogrutan kan du kontrollera de markerade cellernas format samt infoga text och uttryck.

  8. Klicka på knappen Slå ihop om du vill slå ihop de markerade cellerna.

  9. Ställ in bakgrundsfärgen för den ihopslagna cellen. Klicka på knappen Bakgrundsfärg. En dialogruta för Färg öppnas. Välj mörkblått och klicka på OK.

  10. Ställ in textfärgen för den ihopslagna cellen. Klicka på knappen Textfärg och välj vitt på samma sätt som ovan.

  11. Skapa rubriker. Markera den första cellen i den andra raden och högerklicka för att öppna dialogrutan. Skriv "Mätt X" i rutan Uttryck. Stäng dialogrutan och upprepa processen för den andra cellen där du skriver "Mätt Y". Upprepa processen en gång till för den sista cellen där du skriver "Mätt Z".

  12. Markera den andra raden. Högerklicka och välj ljusgrönt som bakgrundsfärg i dialogrutan.

  13. Klicka på mittenknappen, under Justering och Lodrätt, för att centrera texten lodrätt i cellerna.

  14. Klicka på OK för att stänga dialogrutan och avmarkera därefter objektet.

Nu har du infogat ett TabellObjekt och lärt dig ändra antalet rader och kolumner. Du har även lärt dig hur du lägger till text i en cell och hur du formaterar rutnätet i objektets dialogruta. När du har avslutat det här steget bör etikettmallen se ut ungefär så här:

Etikett med ett infogat och formaterat TabellObjekt

Dialogrutan för TabellObjekt

Dialogrutan för TabellObjekt

  1. Markera den första raden i TabellObjektet.

  2. När du har markerat raden skriver du ="ID" direkt i cellen. Det är ett uttryck som anger att du vill att elementets ID ska visas i cellen.

  3. Markera den första cellen i den tredje raden och skriv "=MEAS_X".

  4. Markera den andra cellen och skriv "=MEAS_Y".

  5. Markera den tredje cellen och skriv "=MEAS_Z". Med dessa uttryck anger du att elementets X-, Y- och Z-värden ska visas. När du avmarkerar objektet visas uttrycksvärdena från den utfyllnadstext som används för objektet. Information om uttryck finns i Om rapportuttryck.

  6. Använd kantobjektet och rita en kant runt etiketten. Du kan behöva ändra etikettens storlek så att den blir ca 110 mm bred och 50 mm hög.

  7. Högerklicka på kanten och ställ in linjetjockleken 2.

  8. Justera innehållets placering så att det finns inom kanterna.

Nu har du lagt till rapportuttryck i etikettmallen och ritat en kant runt den innan du testar mallen. När du avslutar det här steget bör mallen se ut ungefär så här:

Etikett med resultaten av uttrycken

  1. Välj Arkiv | Spara för att spara etikettmallen. Spara mallen som "TestLabel.lbl" i dialogrutan Spara som.

  2. Välj Arkiv | Stäng för att stänga mallredigeraren.

  3. Välj Arkiv | Rapporter | Redigera | Rapportmall och välj därefter mallfilen Test1.rtp som du skapade i den tidigare genomgången.

  4. Markera det TextRapportObjekt som infogades i den första sektionen av rapportmallen och öppna objektets egenskaper.

  5. Använd dialogrutorna Redigera beslutsträd och Redigera regel för att skapa en regel som visar TestLabel.lbl i det aktuella TextRapportObjektet för alla mätta cirklar. Om du inte minns hur du skapar regler följer du processen i ämnet Definiera en regel.

  6. Välj Arkiv | Spara för att spara rapportmallen.

  7. Välj Arkiv | Stäng för att stänga den.

  8. Kör detaljprogrammet och tillämpa mallen.

  9. Välj Visa | Rapportfönster för att visa slutrapporten.

När du har sparat etikettmallen och testar den bör den se ut ungefär så här:

Rapportfönstret med etiketten

Rapportfönstret med den skapade etiketten. Observera X-, Y- och Z-data för de mätta mittpunkterna för cirkelelementen.

Hittills visar etiketten XYZ-värdena för cirklarnas mittpunkter. Anta att du i stället vill ha individuella mätdata. Det åstadkommer du genom att upprepa rader.

  1. Välj Arkiv | Rapporter | Redigera | Etikettmall. Välj TestLabel.lbl i dialogrutan och klicka på Öppna. Redigera etikettmall öppnas med TestLabel.lbl.

  2. Öppna TabellObjektet.

  3. Markera den första cellen på den tredje raden. När du har markerat cellen högerklickar du för att öppna objektets dialogruta.

  4. Klicka på fliken Rad.

  5. Markera kryssrutan Upprepad grupp. Det anger att raden ska kunna upprepas. Dialogrutan Upprepa uttryck öppnas. Observera att vid det här tillfället innehåller raden orangefärgade markörer på vänster och höger sida. Det anger att raden är en upprepad rad.

  6. Skriv "=N_HITS" i rutan Upprepa uttryck. Det anger att det totala antalet mätpunkter för elementet ska hämtas och att raden ska upprepas för alla tillgängliga mätpunkter.

  7. Klicka på fliken Cell. Det bör stå "=MEAS_X" i rutan Uttryck. Lägg till ":N" till uttrycket så att det blir "=MEAS_X:N". Det anger att uttrycket i cellen ska upprepas för alla tillgängliga mätpunkter.

  8. Markera de två övriga cellerna på raden och lägg till koden ":N" i dem också: "=MEAS_Y:N" och "=MEAS_Z:N".

  9. Eftersom etiketter expanderar så att de kan inkludera alla data som överförs till TabellObjektet behöver du inte justera etikettens storlek när raden upprepas.

  10. Klicka på OK för att stänga dialogrutan för TabellObjektet.

  11. Spara etikettmallen och öppna Rapportfönstret. Klicka på ikonen Rita om rapporten i Rapportlisten för att se de senaste ändringarna. Observera att nu visas individuella mätpunkter i stället för mittpunktsdata för cirklarna.

Nu har du lärt dig hur du skapar en grundläggande upprepad rad för att räkna och visa flera data utan att behöva skapa olika rapportmallar med olika radkonfigurationer.

Orangefärgade streck anger att en rad upprepas

En rad med orangefärgade markörer

  1. Öppna etikettmallen TestLabel.lbl och välj det befintliga TabellObjektet.

  2. Markera den första raden. När du har markerat raden högerklickar du för att öppna objektets dialogruta.

  3. Klicka på knappen Slå isär. Cellen som utgör den första raden blir nu tre celler.

  4. Ta bort uttrycket "=ID" i den första cellen. Uttrycket behövs egentligen inte i den slutliga etikettmallen eftersom det visas automatiskt genom KommandoTextObjektet.

  5. Ändra cellens bakgrundsfärg till vit och textfärgen till svart genom att klicka på knapparna Bakgrundsfärg och Textfärg.

  6. Ta bort de interna kolumnlinjerna på den första raden. Det gör du genom att markera den första cellen, öppna dialogrutan och klicka på fliken Cell. Gå till området Linjer och ändra linjevärdet i listan Höger från Tunn till Ingen. Upprepa detta för mittencellen.

  7. Klicka på OK för att stänga dialogrutan för TabellObjektet. Även om det ser ut som om cellerna i etikettmallen är hopslagna så är endast kolumnlinjerna i cellerna dolda.

  8. Markera den vänstra cellen på den första raden och öppna dialogrutan.

  9. Klicka på fliken Kolumn. Skriv "Mätt X" i listrutan Kolumn. Klicka på OK för att stänga dialogrutan för TabellObjektet.

  10. Upprepa detta för cellerna i mitten och till höger där du skriver "Mätt Y" respektive "Mätt Z". Du kommer senare att använda dessa kolumnrubriker för att kontrollera hur och i vilken ordning kolumnerna visas.

  11. Markera det KommandoTextObjekt som du tidigare har lagt till i mallen och dra det så att det ligger ovanför den första raden för TabellObjektet.

  12. Ändra placeringen eller storleken på det tidigare skapade ellips- eller cirkelformade bitmappobjektet så att det är centrerat längs den högra sidan av TabellObjektet.

  13. Markera och dra den översta linjen av kantobjektet så att den befinner sig precis ovanför TabellObjektet.

  14. Rita en ruta runt alla objekt på etiketten för att markera dem. Dra sedan objekten högst upp och så långt till vänster som du kan på etikettens arbetsyta.

  15. Högerklicka för att öppna egenskaperna för TabellObjektet.

  16. Skriv "TestAvTabellformat" i egenskapen Tabellformat och tryck på TABB-tangenten.

  17. Spara och stäng etikettmallen.

I det här steget har du fått en genomgång av hur du slår isär celler, ställer in linjeegenskaper för celler, infogar kolumnrubriker och markerar och flyttar flera objekt. Genom att definiera kolumnrubriker kan du enkelt kontrollera hur och i vilken ordning kolumnerna visas. När du har avslutat det här steget bör etikettmallen se ut ungefär så här:

  1. Öppna rapportmallen Test1.rtp i Redigera rapportmall.

  2. Markera TextRapportObjektet och högerklicka för att öppna dialogrutan Egenskaper.

  3. Klicka på Regler i egenskapen BeslutsTräd för att öppna dialogrutan Redigera beslutsträd.

  4. I Redigera beslutsträd bläddrar du till den regel du skapade tidigare.

  5. Markera regeln och klicka på Redigera. Dialogrutan Redigera regel öppnas.

  6. Klicka på knappen Rutnät. Dialogrutan Tabellformat öppnas.

  7. Skriv "TestAvTabellformat" i rutan Namn på ny tabell och klicka på Lägg till tabell.

  8. Skriv "Mätt X" och klicka på Lägg till kol. under listan Kolumner i redigeringsrutan.

  9. Lägg till kolumner för "Mätt Y" och "Mätt Z" på samma sätt.

  10. Klicka på OK i dialogrutorna tills du kommer tillbaka till Redigera rapportmall.

  11. Välj Arkiv | Spara för att spara rapportmallen.

  12. Välj Arkiv | Stäng för att stänga Redigera rapportmall.

I det här steget har du kopplat kolumnerna för TabellObjektet till tabellen TestAvTabellformat i dialogrutan Tabellformat genom att lägga till kolumner med exakt samma namn och genom att ge tabellen samma namn som du angav för egenskapen Tabellformat. Eftersom du inte har ändrat sorteringen eller visningen bör den nya tabellen i dialogrutan se ut så här:

Dialogrutan Tabellformat med den nya tabellen TESTAVTABELLFORMAT

Dialogrutan Tabellformat med den nya tabellen TestAvTabellformat

  1. Välj Visa | Redigeringsfönster för att visa Redigeringsfönstret om det inte redan visas.

  2. Ställ in Redigeringsfönstret i kommandoläge.

  3. Välj Infoga | Rapportkommandon | Tabellformat. Dialogrutan Tabellformat öppnas.

  4. Välj tabellen TESTAVTABELLFORMAT i listan Tabell-ID. I området Kolumner visas de kolumner som är tillgängliga för det anpassade tabellformatet.

  5. Rensa rutan Mätt Z för att dölja kolumnen i slutrapporten.

  6. Markera Mätt Y och klicka på uppilen bredvid området Kolumner för att sortera om kolumnen Mätt Y så att den visas först i rapporten.

  7. Klicka på OK. Kommandot TABELL/FORMAT infogas i Redigeringsfönstret. Med kommandot kontrollerar du hur och i vilken ordning kolumnerna visas.

  8. Spara och kör detaljprogrammet. När PC-DMIS körs kan du observera att ordningen för värdena Mätt X och Mätt Y har bytt plats och att kolumnen för Z är dold.

I det sista steget har du lärt dig hur du infogar och använder ett TABELL/FORMAT-kommando för att definiera hur och i vilken ordning kolumnerna visas i etikettmallen. Den färdiga rapporten bör se ut ungefär så här:

Slutrapport där endast kolumnerna Mätt Y och X visas

TABELL/FORMAT,TESTAVTABELLFORMAT

KOLUMNVIS/ORDNING,MÄTT Y,MÄTT X, ,

RADVIS/ORDNING

Skapa etikettmallar

Det här är en grundläggande genomgång av hur du skapar en enkel etikettmall med ett fåtal objekt och ett TabellObjekt. Det bör ge en översikt över hur etiketter fungerar så att du kan använda dem för att visa anpassad information i rapporter.

Genomgången bygger på kunskaper från genomgången Skapa en anpassad rapportmall så gör den innan du börjar med den här genomgången.

Steg 1: Skapa en tom etikettmall

Steg 2: Lägg till ett KommandoTextObjekt och statisk information i mallen

Steg 3: Infoga och formatera ett TabellObjekt

Steg 4: Lägg till uttryck i ett TabellObjekt

Steg 5: Spara och testa etikettmallen

Steg 6: Skapa en upprepad rad

Steg 7: Använd fliken Kolumner för att definiera kolumner

Steg 8: Definiera en rutnätstabell

Steg 9: Använd kommandot Tabell/Format för att kontrollera hur och i vilken ordning kolumnerna visas


Använda etiketter i rapporter

För att använda etiketter i rapporter måste du öppna en rapportmall och lägga till minst ett av följande objekt:

  • Etikettobjekt

  • TextRapportObjekt

  • CADRapportObjekt

När du har lagt till ett objekt högerklickar du på det för att öppna dialogrutan Egenskaper. Använd Redigera beslutsträd för att definiera regler som använder en eller flera etikettmallar.

När du tillämpar rapportmallen följer programmet de angivna reglerna och de valda etikettmallarna används.


Ordna etiketter i Rapportfönstret

När programdata tas emot i rapporttabellen måste etiketterna dynamiskt storleksanpassas så att alla data får plats på dem. Etiketterna kanske inte är optimalt placerade i fönstret och kan överlappa andra etiketter efter programkörningen. Du kan därför enkelt ändra var etiketterna placeras genom att dubbelklicka på en etikett i Rapportfönstret. Då plockar du upp etiketten. Därefter kan du flytta den till en ny position och dubbelklicka på den igen för att sätta ned den.


Använda kommandot för tabellformat

Med Redigeringsfönsterkommandot TABELL/FORMAT kan du kontrollera sorteringen och visningen av kolumner och rader i ett TabellObjekt från detaljprogrammet. Det innebär att du inte behöver använda Redigera etikettmall för att skapa olika versioner av samma etikettmall om du bara vill ändra ordning på eller dölja vissa rader och kolumner. I stället infogar du bara kommandot i programmet för att ange hur ett TabellObjekt ska visas i etikettmallen.

Viktigt! För att kommandot ska fungera korrekt måste egenskapen TabellFormat för TabellObjekt vara inställd till exakt samma namn på tabellformatet som det som har definierats med knappen Rutnät i dialogrutan Redigera regel.

Infoga kommandot

Välj Infoga | Rapportkommandon | Tabellformat för att infoga kommandot. Dialogrutan Tabellformat öppnas. I den här dialogrutan kontrollerar du, precis som i dialogrutan som används i Redigera beslutsträd, även hur och i vilken ordning som rader och kolumner visas i etikettmallar med hjälp av ett TabellObjekt. När du har ändrat raderna och kolumnerna klickar du på OK för att infoga kommandot TABELL/FORMAT i Redigeringsfönstret.

Ett infogat TABELL/FORMAT-kommando har företräde framför eventuell annan sortering av rader och kolumner som redan kan ha definierats med knappen Rutnät i dialogrutan Redigera regel.


Om formulär

I Redigera formulär kan du skapa interaktiva formulär och dialogrutor och aktivera dem när ett detaljprogram körs. Vad du kan göra med interaktiva formulär begränsas endast av din fantasi och din förmåga att förstå och programmera Visual Basic. Om du kombinerar formulär med goda kunskaper i Visual Basic och automatisering i PC-DMIS får du ännu bättre prestanda och flexibilitet för dina detaljprogram.

I tidigare versioner av PC-DMIS gick det att skapa interaktiva formulär i redigeraren för HyperView-rapporter. I version 4.0 och senare versioner har interaktiva formulär flyttats ut från HyperView-rapporteringen till en mer allmän användning. Formulär är fortfarande viktiga vid rapportering eftersom du indirekt kan kontrollera vad som kommer med i rapporten genom att använda ett formulär för att kontrollera vad som körs.

Det här avsnittet går inte igenom allt du kan göra med formulär. Det innehåller bara en allmän genomgång av hur du skapar och använder formulär och av hur du, när det gäller rapporter, kan hämta information från användaren och lägga till den i en rapport med standardkommandon för PC-DMIS.

Mer:

Om Redigera formulär

Genomgång – Skapa formulär

Använda formulär i rapporter


Körningsläge – Det här läget kan du endast använda i Redigera formulär. I körningsläget kan du köra ett formulär och testa hur det kommer att se ut och fungera i en viss körningsmiljö för detaljprogram.

Redigeringsläge – Det här är standardläget för alla rapportredigerare och det enda läget för Redigera rapportmall och Redigera etikettmall.

Du växlar mellan körningsläget och redigeringsläget genom att trycka på CTRL + E.

Om Redigera formulär

Öppna Redigera formulär genom att gå till Visa | Redigera formulär. Redigera formulär öppnas i ett nytt fönster.

Redigera formulär

Redigera formulär fungerar som en arbetsyta där du kan dra, ändra storleken på och placera interaktiva formulärobjekt som knappar, listrutor och redigeringsrutor samt ställa in objektens egenskaper. Objekten placeras på ett formulär, ett grått område vars storlek den kan ändra. Om du har arbetat med HyperView-rapporter i tidigare versioner av PC-DMIS kommer du att känna igen den här redigeraren eftersom den fungerar på ungefär samma sätt och innehåller många av de gamla gränssnittselementen.

I den nya rapportmodellen med mallar kan körningsläget endast användas i Redigera formulär. Läget används inte i Redigera rapportmall eller Redigera etikettmall.

Den här redigeraren innehåller följande element:

  • Menyraden

  • Teckensnittslisten (verktygsfält)

  • Objektlisten (verktygsfält)

  • Layoutlisten (verktygsfält)

  • Om objektegenskaper

De diskuteras ingående i Om det gemensamma användargränssnittet.


Skapa formulär

  1. I den här genomgången kommer du att växla mellan Redigera formulär och Redigeringsfönstret så du bör först förbereda Redigeringsfönstret.

      • Högerklicka på Redigeringsfönstret och välj Dockningsvy i snabbmenyn för att ta bort dockningen av fönstret.

      • Klicka på Maximera så att fönstret täcker skärmen.

      • Ställ in Redigeringsfönstret i kommandoläge.

    2. Välj Visa | Redigera formulär på menyraden. Redigera formulär öppnas.

    3. Dölj verktygsfält som du inte kommer att använda genom att högerklicka på verktygsfältområdet och ta bort dem.

    4. Dölj fönster i PC-DMIS som du inte använder genom att markera det öppna fönstret på Visa-menyn. Behåll Redigeringsfönstret öppet.

    5. Maximera mallredigeringsfönstret genom att klicka på knappen Maximera i fönstret. Nu bör du se ordet FORMS i bakgrunden. Redigera formulär bör nu se ut så här:

Tips! När du arbetar i formulärredigeraren kan det vara bra att gömma en del verktygsfält och fönster i PC-DMIS för att få mer utrymme på skärmen. Om du ofta arbetar med den här redigeraren kanske du vill skapa en skärmlayout för mallar som du sedan sparar. Mer information om layout finns i Verktygsfältet Fönsterlayout i avsnittet Använda verktygsfält.

Redigera formulär

  1. Dra den grå bakgrunden för Ram1/Vy1 så att den blir 125 mm bred och 150 mm hög.

  2. Lägg till ett kantobjekt och dra kanten så att den precis passar i formulärområdet. Ställ in egenskaperna för kanten så att Linje får värdet 3 och FörgrundsFärg är mörkblå (0.0.128).

  3. Lägg till ett bitmappobjekt högst upp i formuläret. Dialogrutan Bilder öppnas. Klicka på knappen Ladda för att bläddra till en bitmappfil, till exempel till företagets logotyp. Ändra bildens storlek och position så att den ligger inom de översta 40 mm av formuläret.

  4. Lägg till ett AlternativKnappobjekt under bitmappobjektet. Öppna alternativknappens egenskaper och klicka på värdet ListElement. Dialogrutan Listalternativ öppnas. I dialogrutan kan du skapa en lista med alternativknappar för objektet.

    • Markera det befintliga objektet AlternativKnapp1 i rutan Listalternativ. Ändra namnet i rutan Namn till "CIRKEL 1". Värdet för index bör redan vara 0.

    • Klicka på knappen Lägg till för att lägga till ytterligare tre objekt. Ändra sedan de nya objekten så att de heter "CIRKEL 2", "CIRKEL 3" och "CIRKEL 4". De bör ha indexvärdena 1, 2 och 3. Dialogrutan Listalternativ bör nu se ut så här:

    • Klicka på OK när du är klar.

  5. Byt namn på AlternativKnapp-objektet genom att ändra värdet för (Objektkod) från "AlternativKnapp1" till "Mätval".

  6. Lägg till ett ramobjekt och dra det runt AlternativKnapp-objektet. Ändra egenskapen Text för Ram1 så att den blir "Välj vad som ska mätas".

  7. Lägg till ett RedigeringsRuta-objekt till höger om AlternativKnapp-objektet och byt namn på det från "RedigeringsRuta1" till "Mättext".

  8. Lägg till ett textobjekt (Text1) under AlternativKnapp-objektet och ställ in egenskapen Text till "Välj användare:".

  9. Lägg till ett ComboBox-objekt till höger om textobjektet och byt namn på det från "ComboBox1" till "kboAnvändare". Kontrollen kommer att innehålla en lista med användare.

    • Klicka på värdet ListElement för att lägga till användarlistan. Då kommer du tillbaka till dialogrutan Listalternativ.

    • Ändra det första objektet i listan till "[Välj en användare]" och ge det indexvärdet 0.

    • Fortsätt på samma sätt för att lägga till ytterligare fem eller sex användarnamn i dialogrutan. I den här genomgången används Bob, Allen, Mary, Shelly, Jared och Kurt.

    • Använd uppåt- och nedåtknapparna för att flytta ett objekt i listan. När du är färdig bör dialogrutan se ut så här:

    • Klicka på OK. Nu innehåller ComboBox-objektet listelementen.

  10. Lägg till ett RedigeringsRuta-objekt till höger om ComboBox-objektet och byt namn på det från "RedigeringsRuta2" till "txtAnvändare".

  11. Lägg till ytterligare ett textobjekt (Text2) under objektet som anges med texten "Välj användare" och ställ in egenskapen Text till "Ange en rapportbeskrivning:".

  12. Lägg till ytterligare ett RedigeringsRuta-objekt till höger om textobjektet och byt namn på det från "RedigeringsRuta3" till "txtBeskrivning".

  13. Lägg till ett knappobjekt längst ned i formuläret och byt namn på det från "Knapp1" till "kmdFortsätt". Ändra egenskapen Text till "&Fortsätt". Och-tecknet (&) innebär att det tecken som kommer efter & blir ett kortkommando som används tillsammans med tangenten ALT. Du får alltså samma resultat om du trycker på ALT + F i formuläret när du arbetar i körningsläge som om du klickar på knappen Fortsätt.

  14. Välj Arkiv | Spara för att spara formuläret. Spara formuläret med namnet "TestForm.frm" i valfri mapp.

  15. Tryck på CTRL + E för att testa formuläret i körningsläge. Det har inte kopplats några koder till kontrollerna så det händer inte direkt något om du klickar i formuläret, men det kommer du att lägga till här nedanför. När du är färdig trycker du på CTRL + E igen för att gå tillbaka till redigeringsläget.

I detta steg har du skapat ett basformulär, lagt till några kontroller och tilldelat objekt till listor. Det bör se ut så här:

Formulär med tillagda formulärkontroller

Formulär med tillagda formulärkontroller

Dialogrutan Listalternativ som visar fyra alternativ med fyra indexvärden från 0 till 3.

Dialogrutan Listalternativ som visar en lista över användarnamn för kombinationslistan

Dialogrutan Listalternativ som visar en lista över användarnamn för kombinationslistan

  1. Markera AlternativKnapp-objektet Mätval och öppna dess egenskaper.

  2. Klicka på händelsen HändelseFörändring. VBS Mini-Editor öppnas. I detta kodfönster kan du ange kommandon i Visual Basic-kod som körs när du väljer ett nytt värde i listan med alternativknappar.

  3. Ange följande kod i kodfönstret:

Dim intIndex As Integer

intIndex = Mätval.Index

Select Case intIndex

Case 0

Mättext.Text = "Cirkel 1"

Case 1

Mättext.Text = "Cirkel 2"

Case 2

Mättext.Text = "Cirkel 3"

Case 3

Mättext.Text = "Cirkel 4"

End Select

  4. Klicka på OK. Miniredigeraren stängs.

  5. Välj Arkiv | Spara för att spara formuläret.

  6. Testa rapporten genom att trycka på CTRL + E och växla till körningsläge. Välj ett element som ska mätas.

Koden körs när du väljer ett element som ska mätas. Programmet utgår från vad som har valts i listan med alternativknappar och ställer in egenskapen Text för Mättext till att visa en textsträng med "CIRKEL 1", "CIRKEL 2" och så vidare.

  1. Markera ComboBox-objektet Mätruta och öppna dess egenskaper.

  2. Klicka på händelsen HändelseFörändring. VBS Mini-Editor öppnas.

  3. Ange följande kod i kodfönstret:

txtAnvändare.Text = kboAnvändare.TextValue

  4. Klicka på OK. Miniredigeraren stängs.

  5. Välj Arkiv | Spara för att spara formuläret.

  6. Testa rapporten genom att trycka på CTRL + E och växla till körningsläge. Välj ett element som ska mätas.

Koden körs när du väljer en användare i listan. Programmet utgår från textvärdet för det valda listobjektet och ställer in egenskapen Text för txtAnvändare till att visa en textsträng för den valda användaren.

  1. Markera knappobjektet kmdFortsätt och öppna dess egenskaper.

  2. Klicka på händelsen HändelseKlick. VBS Mini-Editor öppnas.

  3. Ange följande kod i kodfönstret:

If kboAnvändare.Value >0 And Len (txtBeskrivning.Text) > 0 And Len (Mättext.Text ) > 0 Then

TheView.Cancel

Else

MsgBox "Fyll i samtliga uppgifter i formuläret innan du fortsätter."

End If

  4. Klicka på OK. Miniredigeraren stängs.

  5. Välj Arkiv | Spara för att spara formuläret.

  6. Testa rapporten genom att trycka på CTRL + E och växla till körningsläge. Klicka på Fortsätt.

Koden körs när du klickar på knappen Fortsätt. Det görs en kontroll av huruvida hela formuläret har fyllts i och om det stämmer stängs Redigera formulär. Om formuläret inte är korrekt ifyllt visas ett meddelande till användaren om att fylla i de saknade uppgifterna.

  • Med funktionen Len ( ) testas längden (eller antalet tecken) på textsträngen i redigeringsrutorna och på så vis kontrolleras det att det finns något i rutorna.

  • Med kboAnvändare.Value > 0 kontrolleras det att det väljs ett användarnamn i listan.

Nu har du definierat formuläret och behöver kunna överföra data mellan Redigeringsfönstret och formuläret.

  1. Spara formuläret om du inte redan har gjort det.

  2. Gå till menyn Fönster och välj Redigeringsfönster för att flytta fram Redigeringsfönstret.

  3. Kontrollera att det är i kommandoläget.

  4. Definiera variabler som tilldelas för att användas med formuläret genom att skriva in följande kod före de mätta cirkelelementen i Redigeringsfönstret:

TILLDELA/STR_BESKRIVNING = ""

TILLDELA/STR_ANVÄNDARE = ""

TILLDELA/STR_MÅTT = ""

  5. Placera markören direkt efter kommandona och välj Infoga | Rapportkommandon | Formulär. Dialogrutan Infoga formulär öppnas. Bläddra till den mapp där du sparade "TestForm.frm", markera filen och klicka på Öppna.

  6. Kommandoblocket FORMULÄR/FILNAMN infogas i Redigeringsfönstret tillsammans med en sökväg till den valda formulärfilen. När du markerar och kör kommandot körs formuläret. Programmet väntar sedan tills formuläret har stängts innan körningen i Redigeringsfönstret fortsätter. Mer information

  7. Klicka precis till vänster om likhetstecknet i kommandot PARAM/= och skriv "TXTBESKRIVNING.TEXT". Klicka till höger om likhetstecknet och skriv "STR_BESKRIVNING". Tryck på RETUR. Ett annat PARAM/=-kommando visas. Mer information

  8. Fortsätt definiera parametrar på samma sätt för variablerna STR_ANVÄNDARE och STR_MÅTT och koppla dem till respektive Text-egenskaper för objekten txtAnvändare respektive Mättext.

  9. Spara ändringarna i Redigeringsfönstret. När du är färdig bör kommandoblocket FORMULÄR/FILNAMN se ut ungefär så här:

CS7 =FORMULÄR/FILNAMN= D:\PARTPROGRAMS\TESTFORM.FRM

PARAM/TXTBESKRIVNING.TEXT=STR_BESKRIVNING

PARAM/MÄTTEXT.TEXT=STR_MÅTT

PARAM/TXTANVÄNDARE.TEXT=STR_ANVÄNDARE

PARAM/=

SLUTFORMULÄR/

Observera att kommandot innehåller ett PARAM/=-kommando, eller en parameter. Med parametrarna överför du värden mellan variabeln i Redigeringsfönstret och formulärkontrollernas egenskaper.

Kom ihåg att txtBeskrivning är namnet du angav för det RedigeringsRuta-objekt i formuläret som kommer att innehålla en användardefinierad beskrivning av rapporten.

Vid körningen kommer egenskapen Text för txtBeskrivning först att ta samma värde som STR_BESKRIVNING. I det här exemplet skulle den ta en tom sträng. När du stänger formuläret överförs värdet tillbaka till STR_BESKRIVNING.

När du skapade formuläret skapade du en lista med alternativknappar (med AlternativKnapp-objekt) som kontrollerar exakt vad som ska mätas. Nu måste du lägga till villkorskommandon i Redigeringsfönstret så att rätt element mäts i enlighet med det som väljs i formuläret.

  1. Placera markören precis till höger om det första CIR1-elementet i Redigeringsfönstret och tryck på RETUR. Markören bör finnas på en tom rad ovanför elementet CIR1.

  2. Välj Infoga | Programflödeskommandon | Block-kommandon | Om / Slut Om. Villkorskommandot OM / SLUT_OM infogas i Redigeringsfönstret:
    OM/0
    SLUT_OM/

  2. Definiera villkoret. Markera standardvärdet 0 och skriv:
    STR_MÅTT == "CIRKEL 1"

  3. Tryck på RETUR.

  4. Markera elementet CIR1 och välj Redigera | Klipp ut. Välj därefter Redigera | Klistra in och flytta elementet till en tom rad som kommer efter raden OM/STR_MÅTT == "CIRKEL 1" men före raden SLUT_OM/. Det första villkorsblocket bör se ut så här:

OM/STR_MÅTT == "CIRKEL 1"

Här placeras elementet CIR1...

SLUT_OM/

  5. Upprepa stegen ovan för att definiera villkorskommandon för de andra cirkelelementen. När du är färdig bör koden i Redigeringfönstret se ut ungefär så här:

TILLDELA/STR_BESKRIVNING = ""

TILLDELA/STR_ANVÄNDARE = ""

TILLDELA/STR_MÅTT = ""

CS7 =FORMULÄR/FILNAMN= D:\PARTPROGRAMS\TESTFORM.FRM

PARAM/TXTBESKRIVNING.TEXT=STR_BESKRIVNING

PARAM/MÄTTEXT.TEXT=STR_MÅTT

PARAM/TXTANVÄNDARE.TEXT=STR_ANVÄNDARE

PARAM/=

SLUTFORMULÄR/

OM/STR_MÅTT == "CIRKEL 1"

CIR1 =ELEMENT/CIRKEL...

SLUT_OM/

OM/STR_MÅTT == "CIRKEL 2"

CIR2 =ELEMENT/CIRKEL...

SLUT_OM/

OM/STR_MÅTT == "CIRKEL 3"

CIR3 =ELEMENT/CIRKEL...

SLUT_OM/

OM/STR_MÅTT == "CIRKEL 4"

CIR4 =ELEMENT/CIRKEL...

SLUT_OM/

Kom ihåg att efter körningen kommer STR_MÅTT att innehålla värdet för egenskapen Text för objektet Mättext, som enligt koden i det här formuläret kommer att vara antingen:

"CIRKEL 1", "CIRKEL 2", "CIRKEL 3" eller "CIRKEL 4".

På den första raden kontrolleras variabelvärdet för STR_MÅTT och om det matchar strängvärdet för "CIRKEL 1" mäts elementet CIR1. Om värdena inte matchar går körningen vidare till det som kommer efter kommandot SLUT_OM/.

Nu måste du göra några avslutande åtgärder. Först måste du ange att värdena från formuläret ska skickas till slutrapporten i Rapportfönstret. Det gör du med rapportkommentarer. Därefter måste du göra några objekt osynliga i formuläret.

  1. Ange följande kommandon direkt efter kommandot FORMULÄR/FILNAMN i Redigeringsfönstret:

KOMMENTAR/RAPP,"Användare: " + STR_ANVÄNDARE

KOMMENTAR/RAPP,"Rapportbeskrivning:" + STR_BESKRIVNING

KOMMENTAR/RAPP,"Mätrutin: " + STR_MÅTT

  2. Välj Fönster | Formulärredigerare för att gå tillbaka till Redigera formulär.

  3. Högerklicka för att öppna dialogrutan Egenskaper. Välj Mättext i listan. Objektet markeras.

  4. Klicka på Avancerat och ställ in egenskapen Synlig till NEJ.

  5. Välj txtAnvändare i listan. Objektet markeras.

  6. Klicka på Avancerat och ställ in egenskapen Synlig till NEJ. Eftersom användaren inte behöver se dessa värden och den enda anledningen att vi använde dem var att överföra ett värde tillbaka till PC-DMIS kan du ställa in egenskapen till NEJ så att värdena blir osynliga.

  1. Välj Visa | Rapportfönster och använd verktygsfältikonen Rapportmallar för att ställa in att rapporten ska använda den standardinställda rapportmallen, default.rtp.

  2. Gå tillbaka till Redigeringsfönstret. Markera hela Redigeringsfönstret, spara detaljprogrammet och välj därefter Arkiv | Kör för att testa detaljprogrammet.

  3. När körningen kommer till kommandot FORMULÄR/FILNAMN körs formuläret och körningen av detaljprogrammet pausas tills formuläret är ifyllt.

  4. Fyll i formuläret och klicka på Fortsätt. Värdena från formuläret överförs till variablerna i PC-DMIS.

  5. Genom villkorskommandona kontrolleras värdet för variabeln STR_MÅTT och motsvarande cirkelelement mäts.

  6. Rapportkommentarer och mätresultat för det mätta elementet skrivs ut i Rapportfönstret.

Skapa formulär

Det här är en grundläggande genomgång av hur du skapar ett enkelt formulär med några interaktiva dialogrutekontroller där du, när formuläret körs, kan välja ett användarnamn i listan och därefter välja att endast mäta vissa element. Den valda informationen visas i slutrapporten.

Du kan utföra vissa delar av genomgången genom att använda kommandon i Redigeringsfönstret men om du gör genomgången lär du dig mer om vad du kan göra med Redigera formulär, en gnutta fantasi och lite programmeringskunskaper.

I genomgången används filer som du skapade i Skapa en anpassad rapportmall och i Skapa etikettmallar. Om du inte har gått igenom de genomgångarna bör du göra det först.

Steg 1: Förbered arbetsmiljön

Steg 2: Skapa formuläret

Steg 3: Lägg till kod till AlternativKnapp-kontrollen

Steg 4: Lägg till kod till ComboBox-kontrollen

Steg 5: Lägg till kod till knappen Fortsätt

Steg 6: Tilldela variabler som ska innehålla formuläregenskaper i Redigeringsfönstret

Steg 7: Lägg till villkorskod för att styra mätningar i Redigeringsfönstret

Steg 8: Gör slutliga åtgärder

Steg 9: Kör det färdiga programmet


Använda formulär med rapporter

Formulär brukar endast ändra rapporter indirekt. Du kan till exempel ha ett formulär som styr huruvida vissa element körs. I det fallet ändras slutrapporten inte direkt utan indirekt eftersom rapporter ändå alltid visar det som körs.

Du kan däremot använda kommandot FORMULÄR/FILNAMN för att överföra parametrar mellan Redigeringsfönstret och objekt i ett formulär, samt använda kommentarer för att parametrarna ska visas i slutrapporten. Mer information om den här användningen av formulär finns i genomgången Skapa formulär.

När du har överfört värden från ett formulär till Redigeringsfönstret kan du dessutom använda kommandot RAPPORT/FILNAMN för att överföra parametrar från Redigeringsfönstret till en rapportmall på samma sätt som du använder kommandot FORMULÄR/FILNAMN.

Gå till Infoga | Rapportkommandon | HyperView-rapport för att infoga ett RAPPORT/FILNAMN-kommando och tilldela därefter parametervärden för att ändra objektegenskaper i rapportmallen. Information om hur du gör det finns i genomgången Skapa formulär. Använd genomgången, som använder kommandot FORMULÄR/FILNAMN, som en vägledning och välj en rapportmall (med filtillägget .rtp) i stället för en .frm-fil. Se även Bädda in HyperView-rapporter eller -rapportmallar i ett detaljprogram.


Om egenskaper

Om objektegenskaper

Alla objekt som läggs till i en mall eller i ett formulär har en uppsättning kopplade egenskaper (eller attribut) som kontrollerar objektets position, storlek, färger, teckensnitt, text, namn och så vidare. Alla objekt är även kopplade till en uppsättning händelsehanterare som triggas när olika händelser inträffar, till exempel när någon klickar eller dubbelklickar med musen på objektet. Dessa egenskaper och händelsehanterare kan granskas och/eller ändras i dialogrutan Egenskaper som även kallas för en egenskapsbild (eng. property sheet).

Öppna egenskaperna för ett objekt

Öppna dialogrutan Egenskaper genom att markera ett objekt (klicka en gång inom objektets gränser) och därefter högerklicka. Nedan visas ett exempel på en egenskapsbild som visar ett textobjekt med namnet Text1 och dess egenskaper:

Ett exempel på dialogrutan Egenskaper

Granska egenskaper för tillgängliga objekt

Högst upp i dialogrutan Egenskaper finns en nedrullningsbar lista. I listan finns en post för vart och ett av objekten i mallen eller formuläret samt för vissa objekt som alltid finns och som inte kan tas bort, till exempel redigeringsområdet. I redigerarna för rapport- och etikettmallar kallas redigeringsområdet för Sektion. I Redigera formulär kallas det för Ram1/Vy1.

Du kan granska egenskaperna för objekten i formuläret eller mallen genom att markera ett annat objekt i den nedrullningsbara listan. Om du använder en rapportmall med mer än en sektion visas endast objekt i den aktuella sektionen.

Obs! För rapportmallar finns det ytterligare ett objekt, Rapport, som endast kan öppnas från den nedrullningsbara listan. Det innehåller två egenskaper i kategorin Avancerat som gör det möjligt att skapa en egen extern körbar fil (en .exe-fil) för att samla in användardefinierade egenskaper. Dessa egenskaper är Program för mallval och Körningsprogram för detaljprogram. De angivna programmen körs vid mallvalet respektive vid körningen av detaljprogrammet.

Om sortering av egenskaper

Egenskaper för objekt är indelade i tre huvudkategorier: Standard, Avancerat och Händelser. Du kan komprimera eller expandera kategorierna genom att klicka på symbolerna + respektive - till vänster om kategorin.

I allmänhet styr egenskaper i kategorin Standard färg, position och radformat. Egenskaper i kategorin Avancerat styr bland annat om objektet är aktiverat eller synligt. Egenskaper i kategorin Händelser gör att du kan använda programmeringsspråket Basic för att koda specifika instruktioner när vissa angivna händelser inträffar.

Obs! För ActiveX- och OLE-objekt finns det ytterligare en sektion som diskuteras under respektive ämne: ActiveX-objekt och OLE-objekt.

En beskrivning av tillgängliga egenskaper finns i Gemensamma egenskaper eller i den objektspecifika dokumentationen i Objektlisten. Information om händelser finns i Om händelser.

Om namnidentifieraren

När du infogar ett objekt i en mall eller i ett formulär tilldelas automatiskt en namnidentifierare till objektets egenskap Objektkod. Efterföljande objekt av samma typ får samma namn följt av en siffra i stigande nummerordning. Det första textobjektet får till exempel namnet Text1. Följande textobjekt får namnen Text2, Text3 och så vidare. Du kan givetvis ändra detta värde till ett annat namn. Se i så fall till att det är ett unikt namn. Om du ändrar objektets namnidentifierare måste alla Basic-skript som använder objektkoden uppdateras.

Ändra egenskapsvärden

Du ändrar en egenskap genom att markera den, klicka på dess värde och antingen välja ett nytt värde om det finns en lista eller skriva in ett nytt värde om det är ett redigeringsfält.

Uttryck som egenskapsvärden

Vissa egenskapsvärden kan innehålla rapportuttryck i stället en konstant, på samma sätt som en cell i TabellObjekt kan innehålla uttryck. Kom ihåg att skriva ett likhetstecken (=) före uttrycket. Anta att du har ett textobjekt i en etikettmall och vill att det ska visa ID:t för det aktuella elementet i stället för någon annan text. Då skriver du in "=ID" som textegenskapen. Vid körningen hämtas därefter elementets namn och visas i textobjektet.

Mer:

Gemensamma egenskaper

Arbeta med användardefinierade egenskaper

Rensa mallrelaterade data

Om händelser och Visual Basic-kod


Gemensamma egenskaper

Följande är egenskaper från ett exempel på ett textobjekt. De här egenskaperna utgör även grunduppsättningen av egenskaper för många andra objekt. Information om händelseegenskaper finns i Om händelser.

Gemensamma standardegenskaper och avancerade egenskaper

Gemensamma egenskaper

Beskrivning

(Objektkod)

Den här egenskapen är unikt namn som identifierar ett objekt i en mall eller i ett formulär. Använd följande syntax om du vill öppna en egenskap eller metod för ett objekt på Basic-språk: {Objektkod}.{namn på egenskap eller metod}

Uppriktning

Textjustering i rutan för textobjektet.

FästPunkter

Ett fält där du kan skapa, ta bort eller ändra fästpunkter i dialogrutan Ange fästpunkter. Fästpunkter förekommer på objekt av typerna ellips, rektangel, textruta och bitmappbild.

Du kan koppla objekt av typerna Linje eller Polylinje till ett objekts fästpunkter genom att dra linjens spets till den blå fästpunkt som visas.

När objektet har kopplats och du sedan drar det till en ny position förblir den resulterande linjen kopplad till fästpunkten och roteras, förlängs och förkortas i enlighet med förflyttningen. Det här är en praktisk funktion om du behöver skapa ledlinjer som pekar på ett objekt som du ofta kommer att flytta.

För att visa fästpunkter klickar du på ikonen Fästpunkter i verktygsfältet Layout:

BakgrundsFärg

Objektets bakgrundsfärg. Färgen används som fyllning i objektrutan.

KantTyp

Format för kanten runt objektet.

Underkant

Avståndet, i antal bildpunkter, från objektrutans underkant till mallens eller formulärets överkant.

MarkörÖver

Den markör som visas när användaren drar musen över objektet.

Aktivera

Aktivera eller inaktivera objektet. Ett inaktiverat objekt kan fortfarande synas men svarar inte på inmatningar från användaren.

FlexVågrätt
och
FlexLodrätt.

När vyns storlek ändras i körningsläge kan du välja att flytta, expandera eller behålla objektens proportioner. Om du väljer Flytta flyttas objektet åt höger eller nedåt. Om du väljer Expandera förstoras objektet åt höger eller nedåt. Om du väljer Proportionell centreras objektet.

Teckensnitt

Det teckensnitt som används för text i objektet.

FörgrundsFärg

Objektets förgrundsfärg. När det gäller textobjekt anger den här egenskapen textfärgen.

Mönster

Mönster i objektets bakgrundsfyllning.

HjälpIdentifikation

Det ID som anger vilket hjälpämne som anropas. Den här egenskapen används ofta tillsammans med Hjälp-knappen som anropar WinHelp( ).

MarkeringsFärg

(Detta objekt ingår inte i PC-DMIS)

Lager

Med den här egenskapen tilldelas det aktuella objektet till ett valt lager.

Vänster

Avståndet, i antal bildpunkter, från vänster sida av objektrutan till mallens eller formulärets vänstra sida.

Riktning

Textriktningen i objektet. Vågrät text löper från vänster till höger. Uppåt löper nedifrån och upp. Nedåt löper uppifrån och ned.

LinjeStil

Bredd på linjen som objektet ritas med. När det gäller textobjekt berör linjebredden endast kanten runt texten.

Höger

Avståndet, i antal bildpunkter, från höger sida av objektrutan till mallens eller formulärets vänstra sida.

SkuggTyp

Skuggeffekt som används när objektet skapas.

Märke

Platshållare för användardefinierade data.

Text

Text som visas i textobjektet. I det här fältet kan du även skriva ett och-tecken (&) framför ett alfanumeriskt tecken och skapa ett kortkommando (visas som ett understruket tecken). När du samtidigt trycker på det angivna tecknet och tangenten ALT medan du arbetar i körningsläge läggs fokus på kontrollen i fråga. Om du planerar att använda många kortkommandon kan du kontrollera att de är unika genom att gå till menyobjektet Redigera | Layout | Kontrollera kortkommandon i redigeringsläget.

HjälpText

Text som visas när du för musen över objektet i körningsläge.

Överkant

Avståndet, i antal bildpunkter, från objektrutans överkant till mallens eller formulärets överkant.

Synlig

Objektets synlighet. Värdet 1 motsvarar synligt, 0 motsvarar dolt.


Arbeta med användardefinierade egenskaper

Exempel på rutan Egenskaper för ett textobjekt. Observera de användardefinierade kryssrutorna till vänster.

Exempel på rutan Egenskaper för ett textobjekt. Observera de användardefinierade kryssrutorna till vänster.

Dialogrutan Användardefinierad egenskap

Dialogrutan Användardefinierad egenskap

Dialogrutan Användardefinierade egenskaper

Dialogrutan Användardefinierade egenskaper

Dialogrutan Användardefinierade egenskaper

Dialogrutan Användardefinierade egenskaper

Ikonen Ta bort egenskap

Ikonen Ta bort egenskap

Flytta upp egenskap Flytta ned egenskap

Röda upp- och nedpilar

Dialogrutan Användardefinierad egenskap

Dialogrutan Användardefinierad egenskap

Arbeta med användardefinierade egenskaper

Dialogrutan Egenskaper i Redigera rapportmall i version 4.0 av PC-DMIS innehåller en praktisk funktion: Möjligheten att göra egenskaper användardefinierade. Det innebär att programoperatörer kan ändra vissa objektegenskaper när en rapport eller ett detaljprogram körs.

Anta att du vill att rapportens titel ska ändras dynamiskt beroende på vad den aktuella programoperatören vill kalla den. Genom att använda den här funktionen kan du enkelt lägga till den typen av interaktivitet i rapporter.

Så här gör du en egenskap användardefinierad:

  1. Markera ett objekt i någon av redigerarna. I exemplet ovan skulle du välja ett textobjekt.

  2. Högerklicka på objektet. Då öppnas objektets egenskapsbild (Egenskaper) till höger om redigeringsfönstret. På vänster sida av bilden ser du kryssrutor bredvid de flesta av egenskaperna. Kryssrutorna anger vilka egenskaper som kan definieras av användaren.

  3. Markera kryssrutan bredvid den egenskap som ska göras användardefinierad. I exemplet ovan skulle du välja egenskapen Text för ett textobjekt. Dialogrutan Användardefinierad egenskap öppnas och du ombes att skriva en uppmaning till användaren om att ange egenskapsvärdet och när uppmaningen ska visas.

  4. I rutan Text skriver du den uppmaning som användaren kommer att se och väljer någon av alternativknapparna för att ange när uppmaningen ska visas för användaren. Du kan välja att uppmaningen visas när användaren ska välja mall eller när detaljprogrammet körs.

  5. Klicka på OK. Dialogrutan Användardefinierad egenskap stängs.

  6. Spara rapportmallen och gå tillbaka till detaljprogrammet.

  7. För att testa det här går du till Rapportfönstret, klickar på ikonen Rapportmallar och väljer rapportmallen i dialogrutan innan du kör detaljprogrammet.

  8. Någon gång under föregående steg öppnas dialogrutan Användardefinierade egenskaper och du uppmanas att ange egenskapsvärden. När uppmaningen visas beror på vilken alternativknapp du valde i dialogrutan Användardefinierad egenskap.

Så här visar och ändrar du alla användardefinierade egenskaper:

  1. Öppna en rapport- eller etikettmall med användardefinierade egenskaper.

  2. Välj Redigera | Användardefinierade egenskaper. Dialogrutan Användardefinierade egenskaper öppnas. I dialogrutan ser du vilka egenskaper som kommer att visas när du ska välja mall eller när detaljprogrammet körs.

  3. Välj ett objekt i den nedrullningsbara listan Uppmaningsstil för att filtrera vad som visas i dialogrutan. De användardefinierade egenskaperna visas i listrutan nedanför. I listrutan kan du spåra egenskaperna, vilka objekt de tillhör och deras uppmaningar.

    • För att ta bort en egenskap markerar du egenskapen och klickar på det röda krysset. Egenskapen kommer inte längre att vara användardefinierbar utan tar det standardvärde som finns definierat i mallen.

    • Om du vill flytta en egenskap i listan markerar du egenskapen och klickar på de röda upp- eller nedpilarna. Den markerade egenskapen flyttas uppåt eller nedåt i listan.

    • För att ändra uppmaningen eller när den ska visas för en egenskap dubbelklickar du på egenskapen i kolumnen Element. Dialogrutan Användardefinierad egenskap öppnas så att du kan göra ändringen.

Viktigt! Om du valde Visa meddelande när användaren väljer en mall i dialogrutan Användardefinierad egenskap får du bara en uppmaning att ange användardefinierade värden. Därefter kommer det ursprungliga egenskapsvärdet automatiskt att användas i detaljprogrammet tills du tar bort kopplade data för mallen. Se Rensa mallrelaterade data i det här avsnittet.

Om du valde Fråga när rapporten utförs öppnas dialogrutan Användardefinierade egenskaper varje gång detaljprogrammet körs.


Rensa mallrelaterade data

Via menyobjektet Arkiv | Rapporter | Rensa mallrelaterade data tar du bort följande objekt som används tillsammans med den valda rapportmallen i det aktuella detaljprogrammet:

  • Användardefinierade värden för egenskaper. När du rensar dessa värden uppmanas du att ange nya värden för användardefinierade egenskaper i den aktuella mallen.

  • Anpassade tabeller på etiketter.

  • Anpassad placering av etiketter runt CADRapportObjekt.

  • Ändringar av rotation eller zoomfaktor för CADRapportObjekt.

Med menyobjektet Arkiv | Rapporter | Rensa alla mallrelaterade data kan du utföra samma åtgärder som med menyobjektet ovan men de påverkar samtliga rapportmallar i den aktuella rapporten.

Information om användardefinierade egenskaper finns i Arbeta med användardefinierade egenskaper i detta avsnitt.


Om händelser

Om händelser och Visual Basic-kod

I det här avsnittet förutsätts det att du har arbetat en del med programmeringsspråket Visual Basic. Om du behöver lära dig mer om Visual Basic bör du använda en bok eller någon annan extern resurs inom ämnet.

Området Händelser i dialogrutan Egenskaper innehåller en lista över händelsehanterare som stöds i mallen eller i formulärobjektet. En händelsehanterare anropas när den händelse som finns i namnet på funktionen inträffar för det angivna objektet. När funktionen anropas körs en Visual Basic-kod i funktionen.

Tillgängliga händelsehanterare

HändelseKlick

Anropas när man klickar med musen på objektet.

HändelseDblKlick

Anropas när man dubbelklickar med musen på objektet.

HändelseDraSläpp

Anropas när ett annat "dragbart" objekt släpps på objektet.

HändelseDraBörja

Anropas när ett "dragbart" objekt dras till objektet.

HändelseDraÖver

Anropas när ett "dragbart" objekt dras över objektet.

HändelseInitiera

Anropas när det första formuläret går över till körningsläge innan andra rutiner för objektet anropas.

HändelseMusNed

Anropas när man trycker ned en musknapp medan muspekaren befinner sig över objektet. Parametrar som överförs till funktionen anger vilken knapp som trycktes ned, om SKIFT-tangenten trycktes ned samt muspekarens koordinater då knappen trycktes ned.

HändelseMusrörelse

Anropas när musen flyttas över objektet. Parametrar som överförs till funktionen anger vilken knapp som trycktes ned, om SKIFT-tangenten trycktes ned samt muspekarens koordinater då rörelsehändelsen skickades.

HändelseMusUpp

Anropas när man släpper upp musknappen över objektet. Parametrar som överförs till funktionen anger vilken knapp som trycktes ned, om SKIFT-tangenten trycktes ned samt muspekarens koordinater då knappen släpptes upp.

HändelseHämtaData

Detta är troligen den mest använda händelsehanteraren i Redigera formulär. HändelseHämtaData anropas när värdet för Basic-variabler som kan påverka objektet förändras. Genom programkoden kan du även ange att HändelseHämtaData ska anropas för individuella objekt (eller för alla objekt i en rapport) om ett objekt ska uppdatera sig själv. Kort sagt kan man säga att en kod som krävs för att ett objekt ska starta om sig själv beroende på vissa variabler eller på tillståndet för andra objekt bör ingå i HändelseHämtaData.

HändelseAvsluta

Anropas när rapporten stängs eller vid växling mellan körningsläget och redigeringsläget i formulärredigeraren.

Den här funktionen är endast tillgänglig för redigeringsmiljöer för sektioner.

HändelseRapportData

Detta är troligen den mest använda händelsehanteraren i redigeraren för rapport- och etikettmallar. Den anropas när rapportdata läggs till i den aktuella mallen.

Den primära funktionen för HändelseRapportData är att du ska kunna skapa egna ActiveX-kontroller som läggs till på en etikett. Händelsen används till exempel vid kontrollerna för bästanpassning och elementanalys för att skicka data från kommandot till ActiveX-kontrollen. Om du vill se hur detta fungerar öppnar du etiketten med namnet best_fit_analysis.lbl, klickar på ActiveX-kontrollen i etiketten och tittar därefter på Basic-koden i händelsehanteraren. En enda rad överför data från kommandot till kontrollen.

Med de data som överförs till ActiveX-kontrollen kan du sedan använda automatiseringskommandot för att extrahera och ändra data. Mer information om automatisering i PC-DMIS finns i hjälpfilen Pcdbasic.

Viktigt! Den här händelsen anropas en gång för varje kommando när du tillämpar rapportmallen eller under programkörningen.

Lägga till kod till händelsehanterare

Så här lägger du till Basic-kod till händelsehanterare:

  1. Klicka på funktionen i listan över händelsehanterare. Det öppnas ett litet redigeringsfönster för Visual Basic där start- och slutkommandona för underprogrammet redan finns ifyllda.

  2. Skriv in ytterligare Basic-kommandon i redigeringsfönstret.

  3. Klicka på OK.

  4. Testa koden.

    • Om du använder Redigera formulär testar du formuläret genom att trycka på CTRL + E för att växla till körningsläge.

    • Om du använder någon av mallredigerarna testar du koden genom att tillämpa mallen på en rapport och skapa om rapporten genom att klicka på ikonen Rita om rapporten i Rapportlisten.

Obs! Eftersom du inte kommer i kontakt med klickbara knappar, listor, fält eller andra interaktiva element i en rapport är den enda tillgängliga händelsehanteraren HändelseRapportData.

Mer:

Händelseexempel 1: Anropa kod vid händelsen HändelseKlick

Händelseexempel 2: Ändra objektegenskaper vid triggade händelser

Bearbeta objektmetoder


Händelseexempel: Anropa kod vid händelsen HändelseKlick

Exempel på händelser för ett knappobjekt

Exempel på händelser för ett knappobjekt

Händelseexempel 1: Anropa kod vid händelsen HändelseKlick

I det här händelseexemplet används ett knappobjekt. Du testar det i Redigera formulär.

  1. Välj Visa | Redigera formulär för att öppna Redigera formulär.

  2. Först lägger du till en knapp i formuläret genom att klicka på ikonen Knapp i Objektlisten och rita upp en rektangel för knappen i formuläret.

  3. Kontrollera att knappen är markerad (med gröna rutor).

  4. Högerklicka på knappen för att öppna dialogrutan med knappens egenskaper.

  5. Om listan inte är expanderad klickar du på plustecknet (+) bredvid sektionen Händelser för att expandera den. Nu bör du se en lista över tillgängliga händelsehanterare för knappobjektet.

  6. Dubbelklicka på funktionen HändelseKlick i listan. Det öppnas en redigerare för Visual Basic som kallas för en VBS Mini-Editor.

  7. Lägg till följande kod till funktionen HändelseKlick i VBS Mini-Editor:
    MsgBox "Man har klickat på mig."

  8. Klicka på OK högst upp till höger i VBS Mini-Editor. Stäng Egenskaper.

  9. Spara rapporten genom att välja Arkiv | Spara. Nu kan du testa rapporten i körningsläge.

  10. Växla till körningsläge (tryck på CTRL + E).

  11. Klicka på den skapade knappen. Det bör visas en meddelanderuta med texten "Man har klickat på mig."

Detta enkla exempel belyser grunderna för skriptbara formulär och händelsehanterare.


Ändra objektegenskaper vid triggade händelser

Händelseexempel 2: Ändra objektegenskaper vid triggade händelser

Den här övningen bygger på övningen ovan som du bör ha genomfört. I exemplet används även Redigera formulär.

Anta att du vill ändra egenskaperna för ett annat objekt (till exempel texten i ett textobjekt) när du har klickat på knappen.

  1. Välj Visa | Redigera formulär för att öppna Redigera formulär.

  2. Växla tillbaka till redigeringsläget (tryck på CTRL + E).

  3. Skapa det nya textobjektet.

  4. Öppna textobjektets egenskaper (markera objektet och högerklicka).

  5. Kontrollera att egenskapen Objektkod för textobjektet är "Text1". Egenskapen Objektkod är det namn som används för att referera till objektet i Basic-kod.

  6. Om listan inte är expanderad klickar du på plustecknet (+) bredvid sektionen Händelser för att expandera den.

  7. Dubbelklicka på hanterarfunktionen HändelseInitiera. VBS Mini-Editor öppnas.

  8. Lägg till följande kod till funktionen HändelseInitiera:
    Set This = Text1

  9. Tryck på RETUR för att få en ny rad. Skriv in följande kod på den nya raden:
    This.    Text = "Ingen har klickat på knappen än"

  10. Klicka på OK för att stänga redigeraren.

  11. När objektet Text1 har konfigurerats enligt beskrivningen öppnar du egenskapsbilden (rutan Egenskaper) för det knappobjekt som las till i föregående övning.

  12. Klicka på fliken Händelser.

  13. Dubbelklicka på funktionen HändelseKlick.

  14. Ersätt Basic-koden från föregående exempel med följande två rader:
    Rad 1: MsgBox "Någon har klickat på mig och nu ändrar jag texten för Text1"

    Rad 2: Text1.Text = "Någon klickade på knappen!!!"

  15. Klicka på OK för att stänga VBS Mini-Editor.

  16. Stäng Egenskaper.

  17. Växla till körningsläge (tryck på CTRL + E). Med koden som las till i funktionen HändelseInitiera för Text1 ställs Text1 in till att först visa "Ingen har klickat på knappen än".

  18. Klicka nu på knappen. Nu bör du se följande meddelande: "Någon har klickat på mig och nu ändrar jag texten för Text1". När du stänger meddelanderutan ändras texten för Text1 så att den visar "Någon klickade på knappen!!!".

I detta exempel har du sett hur du kan öppna och ändra egenskaperna för ett objekt i ett formulär med Basic-kod via syntaxen Objektkod.egenskaps_namn.


Bearbeta objektmetoder

Många objekt stöder både flera metoder och sina egenskaper. Dessa metoder behandlas i Basic-kod med syntaxen Objektkod.metod_namn. Det innebär att du kan se vilka egenskaper och metoder som finns tillgängliga för ett visst objekt genom att skriva in objektets objektkod följt av en punkt i VBS Mini-Editor. När du skriver in punkten öppnas en miniguide med de tillgängliga metoderna och egenskaperna för objektet.

Om det finns ett textobjekt med namnet Text1 kan du skriva in Text1 följt av en punkt för att det ska öppnas en lista över tillgängliga metoder eller egenskaper för textobjektet.

Variabler som deklareras i en händelsehanterare (med Basic-syntaxen Dim var_name as var_type) förekommer endast under händelsehanteraren. Det uppstår säkert situationer när du skulle vilja deklarera variabler, funktioner eller underprogram som kan hanteras med Basic-kod i en mall eller i ett formulär – variabler med global användning för en viss rapport. De kan deklareras i mall- och formulärredigerarna.

Mer:

Deklarera globala variabler med hjälp av egenskapen LokalaVariabler

Deklarera/definiera variabler, funktioner eller underprogram


Deklarera globala variabler med hjälp av egenskapen LokalaVariabler

Använd egenskapen LokalaVariabler för Ram1/Vy1 eller för Sektionen om du vill definiera globala variabler för någon av standarddatatyperna (string, integer, double o.s.v.) som sedan visas i Basic-guiden.

Så här använder du egenskapen LokalaVariabler:

  1. Öppna Egenskaper för Ram1/Vy1. Det gör du genom att markera och sedan högerklicka på ett objekt. Rutan Egenskaper öppnas.

  2. Klicka på fliken Inställningar.

  3. Gå till egenskapen LokalaVariabler.

Om du dubbelklickar på egenskapen LokalaVariabler öppnas dialogrutan Lokala variabler.

Dialogrutan Lokala variabler

I dialogrutan Lokala variabler kan du lägga till, ta bort och namnge lokala variabler för de grundläggande typerna samt ställa in ursprungsvärden. Dessa variabler är globala för mallen eller formuläret och kan öppnas genom Basic-kod i mallen eller formuläret. De kommer även att visas i området Lokala variabler i Skriptguiden.

Obs! Namnet LokalaVariabler är egentligen felaktigt eftersom de variabler som deklareras i dialogrutan Lokala variabler faktiskt är globala för den mall eller det formulär som de ingår i. Termen anger att de variabler som deklareras här är "lokala" för mallen eller formuläret och inte kan öppnas från andra formulär. De ställs däremot in som globala variabler som är tillgängliga i andra rutiner i den mall eller det formulär där de definieras.


Deklarera/definiera variabler, funktioner eller underprogram

Använd egenskapen LokalaDeklarationer för Ram1/Vy1 som finns på fliken PC-DMIS i rutan Egenskaper för att deklarera och/eller definiera variabler, funktioner eller underprogram som kan öppnas via Basic-kod i rapporten. Gör så här:

1. Öppna egenskapsbilden (rutan Egenskaper) för ett objekt.

2. Välj Ram1/Vy1 i den nedrullningsbara listan.

3. Klicka på fliken PC-DMIS.

4. Dubbelklicka på LokalaDeklarationer i egenskapsbilden. En VBS Mini-Editor öppnas.

I det här fönstret kan du lägga till önskad Basic-kod, inklusive variabeldeklarationer och definitioner av funktioner eller underprogram. De variabler, funktioner och underprogram som deklareras här är globala men visas inte i Skriptguiden.


Om rapportuttryck

Rapportuttryck är speciella kommandon som du lägger till i stödjande objekt i rapport- eller etikettmallar för att hämta specifika data till objekten från PC-DMIS. Anta att du vill lägga till ett element-ID i en etikettmall. Då lägger du till ett objekt som stöder uttryck i rapporten, till exempel TabellObjekt. Därefter skriver du in "=ID" i en uttryckscell i rutnätet.

Du kan lägga till rapportuttryck i fyra områden:

1) Redigera beslutsträd i rutorna Villkorligt uttryck och Textuttryck.

2) I rutnätscellerna i TabellObjekt.

3) I rutan Upprepa uttryck på fliken Rad i TabellObjekt för upprepade uttryck.

4) I värden i egenskapsbilden i redigeringsfält eller rutor som kan innehålla textvärden.

Information om tillgängliga uttryck finns i Funktioner och operatorer och en lista över tillgängliga funktioner, operatorer och datatyper finns i Använda datatyper för att söka efter ett rapportuttryck.

Obs! Det går även att använda många vanliga uttryck i PC-DMIS som rapportuttryck. Detta förklaras i avsnittet Använda uttryck och variabler. Du måste skriva in ett likhetstecken (=) före uttrycket när du skriver in det i cellen.

Mer:

Funktioner och operatorer

Använda datatyper för att söka efter ett rapportuttryck


Funktioner och operatorer

Nedan följer en lista över tillgängliga funktioner och operatorer i rapportuttrycksspråket i PC-DMIS. De fungerar på samma sätt som och är även tillgängliga i uttrycksspråket i PC-DMIS. Objekt som föregås av en asterisk (*) är unika för rapportuttrycksspråket.

Rapportuttrycksspråket stöder inte variabler, strukturer och funktioner på samma sätt som uttrycksspråket. I stället för variabler har det lagts till en ny typ, DATA_TYPE, i språket. Mer information finns i Använda datatyper för att söka efter ett rapportuttryck. En annan ny skillnad i rapportspråket är att det har lagts till ett antal konstanter som beskrivs i Fördefinierade konstanter.

Kom ihåg att ange ett likhetstecken (=) före uttrycket och se till att kommandot som du hämtar data från stöder det använda uttrycket.

Funktion eller operator | Beskrivning
ABS(<uttryck>) | Returnerar absolutbeloppet för det inmatade värdet.
ACOS(<uttryck>) | Returnerar arcuscosinus för det inmatade värdet. Inmatningen och resultatet anges i radianer.
<uttryck1> AND <uttryck2> | Utför en binär AND-operation för två tal. För blandade typer slås strängarna eller talen samman.
ANGLEBETWEEN(<uttryck1>, <uttryck2>) | Returnerar vinkeln mellan de inmatade uttrycken 1 och 2, som ska vara av typen point. Resultatet anges i grader.
ARRAY(<uttryck1>,<uttryck2>, … <uttryckN>) | Skapar en array av de inmatade värdena.
ASIN(<uttryck>) | Returnerar arcussinus för det inmatade värdet. Inmatningen och resultatet anges i radianer.
ATAN(<uttryck>) | Returnerar arcustangens för det inmatade värdet. Inmatningen och resultatet anges i radianer.
CHR(<uttryck>) | Returnerar ASCII-värdet för motsvarande inmatat värde, som ska vara av typen integer.
*COLOR(<uttryck1>, <uttryck2>) | Textvärdet i uttryck 1 ställs in till att använda någon av de 4 färger som har definierats i färgträdet. 1 = Färg för markerad text; 2 = Färg för omarkerad text; 3 = Färg för stegningsläge; 4 = Färg för fel. Se Ändra textfärgen i en sträng.
CONCAT(<uttryck1>, <uttryck2>, … <uttryckN>) | Slår samma alla strängar som anges i uttrycken 1 till och med N till en sträng.
COS(<uttryck>) | Returnerar cosinus för det inmatade värdet. Inmatningen och resultatet anges i radianer.
*COUNT(DATA_TYPE) | Returnerar antalet förekomster av den angivna datatypen i det aktuella kommandot.
CROSS(<uttryck1>, <uttryck2>) | Returnerar kryssprodukten av uttryck 1 och uttryck 2 – båda uttrycken ska vara av typen point.
DATEVALUE() | Samma som i uttrycksspråket i PC-DMIS.
DEG2RAD(<uttryck>) | Omvandlar det inmatade värdet från grader till radianer.
DELTA(<uttryck1>, <uttryck2>, <uttryck3>) | Resultatet är en ny punkt som med utgångspunkt från den punkt som anges i uttryck 1 flyttas längs den vektor som anges i uttryck 2 med det avstånd som anges i uttryck 3.
<uttryck1> / <uttryck2> | Dividerar uttryck 1 med uttryck 2.
DOT(<uttryck1>, <uttryck2>) | Returnerar skalärprodukten av uttryck 1 och uttryck 2. De inmatade värdena ska vara av typen point.
DOUBLE(<uttryck>) | Omvandlar det inmatade värdet från den aktuella typen till typen double. Om det inmatade värdet är en punkt returneras punktens avstånd från nollpunkten.
ELEMENT(<uttryck1>, <uttryck2>, <uttryck3>) | Samma som i uttrycksspråket i PC-DMIS.
<uttryck1> == <uttryck2> | Blir 1 om uttryck 1 är lika med uttryck 2. I annat fall blir det 0.
EQUAL(<uttryck1>, <uttryck2>) | Testar huruvida två arrayer är identiska och returnerar 1 om de är identiska och 0 om de inte är det.
<uttryck1> ^ <uttryck2> | Samma som i uttrycksspråket i PC-DMIS.
EXPON(<uttryck>)
FORMAT(<uttryck1>, <uttryck2>)
<uttryck1> >= <uttryck2>
IF(<uttryck1>, <uttryck2>, <uttryck3>) | Om uttryck 1 blir ett värde som inte är noll returneras värdet för uttryck 2; i annat fall returneras värdet för uttryck 3.
<uttryck1> > <uttryck2> | Samma som i uttrycksspråket i PC-DMIS.
INDEX(<uttryck1>, <uttryck2>)
INTEGER(<uttryck>)
<uttryck1> <= <uttryck2>
LEFT(<uttryck1>, <uttryck2>)
LEN(<uttryck>) | För typen string returneras antalet tecken i strängen. För typen array returneras antalet element i arrayen.
LN(<uttryck>) | Samma som i uttrycksspråket i PC-DMIS.
*LOADSTR(<uttryck>) | Laddar strängen med det numeriska värdet från resursfilerna. Om det är ett negativt numeriskt värde laddas strängen från strängresurserna. Mer information finns i Ladda strängar från PC-DMIS.
LOG(<uttryck>) | Samma som i uttrycksspråket i PC-DMIS.
LOWERCASE(<uttryck>)
<uttryck1> < <uttryck2>
MAX(<uttryck>)
MAXINDEX( <uttryck>)
MAXINDICES( <uttryck>)
MIN(<uttryck>)
MININDEX(<uttryck>)
MININDICES(<uttryck>)
MID(<uttryck1>, <uttryck2>, <uttryck3>)
<uttryck1> - <uttryck2>
<uttryck1> % <uttryck2>
MPOINT(<uttryck1>, <uttryck2>, <uttryck3>)
<uttryck1> * <uttryck2>
<uttryck1> <> <uttryck2>
-<uttryck>
!<uttryck>
<uttryck1> OR <uttryck2>
ORD(<uttryck>)
<uttryck1> + <uttryck2>
RAD2DEG(<uttryck>)
REAL(<uttryck>)
*RGB(<uttryck1>, <uttryck2>, <uttryck3>, <uttryck4>) | Färglägger strängen som anges i uttryck 1 med den färg som anges genom RGB-värdena i uttrycken 2, 3 och 4. Se Ändra textfärgen i en sträng.
RIGHT(<uttryck1>, <uttryck2>) | Samma som i uttrycksspråket i PC-DMIS.
ROUND(<uttryck1>, <uttryck2>)
SIN(<uttryck>) | Samma som i uttrycksspråket i PC-DMIS.
SORTUP(<uttryck>)
SORTDOWN(<uttryck>)
SQRT(<uttryck>)
STR(<uttryck>)
STRING(<uttryck>)
SUM(<uttryck>)
SYSTIME()
SYSTEMDATE(<uttryck>)
SYSTEMTIME(<uttryck>)
TAB(<uttryck>)
*TOGGLESTR(<uttryck1>, <uttryck2>) | Hämtar växlingssträngen från resurserna utifrån värdet för resurs-ID i uttryck 1. Ett negativt tal används i de fall där strängen ska komma från strängresurserna. Värdet för uttryck 2 används för att ange vilken delsträng av växlingssträngen som ska användas. Resultatet är delsträngen.
*TOGGLESTRING(DATA_TYPE) | Om den angivna datatypen för ett visst kommando är av typen toggle string (växlingssträng) returneras den fullständiga växlingssträngen.
*TOGGLEVALUE(DATA_TYPE) | Om den angivna datatypen för ett visst kommando är av typen toggle string (växlingssträng) returneras indexnumret (eller växlingsvärdet) för växlingssträngen.
*TOL(<uttryck1>, <uttryck2>, <uttryck3>, <uttryck4>) | Uttryck 1 är den sträng som färgläggs. Uttryck 2 är den övre toleransen, uttryck 3 är den undre toleransen och uttryck 4 är testvärdet. Om uttryck 4 ligger inom toleransen (det vill säga mellan värdena för uttryck 2 och uttryck 3) används den aktuella färgen för markerad text i färgträdet. I annat fall används färgen för fel (vanligtvis rött) som textfärg.
UNIT(<uttryck>) | Samma som i uttrycksspråket i PC-DMIS.
VECX(<uttryck>)
VECY(<uttryck>)
VECZ(<uttryck>)

() Parenteser används för att gruppera uttryck och ange beräkningsordningen.

Mer:

Ladda strängar från PC-DMIS

Ändra textfärgen i en sträng


Ladda strängar från PC-DMIS

På samma sätt som du ändrar textfärgen för en cell i ämnet Ändra textfärgen i en sträng kan du i rapportuttrycksspråket hämta strängar från det aktuella körningsspråket i PC-DMIS genom att använda följande uttryck:

=LOADSTR(<heltalsuttryck>)

Strängen tar en enda parameter, ett heltal (integer) som motsvarar värdet för en sträng (string) i resource.dll eller strings.dll.

  • Ett positivt tal hämtar en sträng från filen resource.dll.

  • Ett negativt tal hämtar en sträng från filen strings.dll.

Om du anger funktionen i rutan (eller cellen) Uttryck i ett TabellObjekt, klickar på OK och därefter klickar utanför objektet beräknas uttrycket och strängen som har tilldelats till det aktuella heltalsvärdet returneras.

Obs! Den här funktionen är i första hand tillagd för att de etikettmallar som levereras med PC-DMIS ska använda strängdata på ditt språk.


Ändra textfärgen i en sträng

Använda funktionen RGB

I rapportuttrycksspråket kan du använda en RGB-funktion för att definiera ett RGB-färgvärde (Rött Grönt Blått) och tillämpa värdet på en teckensträng i uttryckstexten. Funktionen tar fyra parametrar, en strängparameter följt av kommaseparerade RGB-parametrar, så här:

=RGB(sträng,R,G,B)

Om du anger funktionen i rutan (eller cellen) Uttryck i ett TabellObjekt, klickar på OK och därefter klickar utanför objektet beräknas uttrycket och texten får det angivna färgvärdet.

Rutan Uttryck med ett RGB-uttryck

Om du skriver in följande uttryck i en cell,

=RGB("Blue Text",0,0,255) + RGB(" Black Text",0,0,0) + RGB(" Yellow Text",255,255,0)

ser orden ut så här i mallredigeraren:

Använda färgfunktionen

Färgfunktionen tar två parametrar. Den första, en färgparameter, är ett siffervärde som representerar en av huvudfärgerna i Redigeringsfönstret. Den andra är det strängvärde som färgen tillämpas på.

=COLOR(1, "Min text")

Den första parametern är ett värde från 1 till 4 och överför den färg i Redigeringsfönstret som är kopplat till följande:

Med 1 överförs den markerade färgen

Med 2 överförs den omarkerade färgen

Med 3 överförs färgen för stegningsläget

Med 4 överförs färgen för fel

Färgerna definieras i dialogrutan Redigera fönsterfärger i Redigeringsfönstret. Mer information finns i Definiera färger i Redigeringsfönstret i Göra inställningar.


Använda datatyper för att söka efter ett rapportuttryck

När du använder uttryck är det i allmänhet uttryck som hämtar data från PC-DMIS. Du måste kontrollera att kommandot eller elementet som kopplas till den etikettmall som används för att hämta data innehåller de data som ska visas. Med hjälp av datatyper kan du hitta rätt uttryck.

Anta att du skapar en etikettmall som innehåller ett TabellObjekt och att du i någon av cellerna skriver följande uttryck för att visa mätta X-data för ett element:

=MEAS_X

Om du därefter skapar en rapportmall, lägger till ett TextRapportObjekt och använder Redigera beslutsträd för att koppla etikettmallen till INSTRÄCKA-kommandon visas ingenting i cellen i Rapportfönstret. Varför? För att INSTRÄCKA-kommandot inte innehåller något mätt X-fält. För att få hjälp att använda rätt uttryck kan du visa datatyper för olika fält i Redigeringsfönstrets kommandoläge.

Så här aktiverar och visar du datatyper:

  1. Öppna Redigeringsfönstret.

  2. Ställ in Redigeringsfönstret i kommandoläge.

  3. Högerklicka i Redigeringsfönstret. En snabbmeny öppnas.

  4. Välj Popup-visning | Datatypsinformation.

  5. Om du håller musknappen över ett kommandofält öppnas ett gult popupfönster med fältets datatyp. Den första delen av värdet inom parenteser är datatypen och det finns ett motsvarande uttryck i uttryckslistan.

Se följande exempel:

Ett popupfönster med datatyp

I popupfönstret med datatypen ser du att THEO_X är ett giltigt uttryck för det här kommandot. Om du skriver "=THEO_X" på rätt plats kommer elementets teoretiska X-värde att visas.

Genom att använda datatyper kan du säkerställa att rapport- och etikettmallar använder uttryck som stöds av det aktuella kommandot.

Mer:

Använda ett typindex för att visa specifika data

En lista med tillgängliga datatyper

Fördefinierade konstanter

Definiera en regel


Använda ett typindex för att visa specifika data

Du kan använda typindex för att lägga till specifika data i en rapport. Exempel: Anta att du har ett cylinderelement med åtta mätpunkter. Då kan du använda ett typindex för att hämta det mätta X-värdet för den andra mätpunkten. För att använda ett typindex lägger du till ett kolon och en siffra till uttrycket som anger att du ska hämta den angivna mätpunkten eller den angivna raden med utvärderingsdata.

Visa specifika data med hjälp av typindex

För att visa hur det fungerar så kan vi anta att du skriver

=MEAS_X

Då används inte ett typindex (det skulle standardinställas till 0) och det mätta X-värdet för elementets mittpunkt visas.

Men om du i stället skriver

=MEAS_X:1

visas det mätta X-värdet för den första mätpunkten.

Om du skriver

=MEAS_X:2

hämtas det mätta X-värdet för den andra mätpunkten.

Upprepa rader för att visa alla data

På ett liknande sätt kan du i ett TabellObjekt definiera en rad som en "upprepad rad". När det finns upprepade rader står tecknet N för det aktuella upprepade indexet för den hämtade raden. När du definierar en upprepad rad kan du även definiera ett uttryck för den upprepade raden som när det beräknas anger hur många gånger raden upprepas.

Om du vill visa de mätta X-värdena för samtliga mätpunkter på ett element kan du därför definiera en enda upprepad rad med följande uttryck:

=MEAS_X:N

Därefter ställer du in uttrycket för den upprepade raden till "=N_HITS" för att hämta det totala antalet mätpunkter. Raden upprepas med data för nästföljande mätpunkt tills samtliga mätpunkter visas.


En lista med tillgängliga datatyper

ABOVEBELOW_CONFIG

ALIGN_LIST

ANGLE_COMP_TOGGLE

ANGLE_OFFSET

ANGULARITY_NOM_ANGLE

ANGVEC_I

ANGVEC_J

ANGVEC_K

ARROW_MULTIPLIER

ARTICULATEDARM_TYPE

AUTO_CLEAR_PLANE

AUTO_PH9

AUTO_PRINT

AUTOBEEPING

AUTOFIT_CONSTRAINT

AUTOTOLZONE

AUTOTRIGGERONOFF

AVERAGE_ERROR

AXIS

AXIS_DESCRIPTION

AXIS_MINUS_TOL

AXIS_NOMINAL

AXIS_PLUS_TOL

BF_MATH_TYPE

BOUND_TYPE

BOUNDARY_POINT_X

BOUNDARY_POINT_Y

BOUNDARY_POINT_Z

BSMETHOD_TYPE

BUFFER_SIZE_TYPE

CAD_TOLERANCE

CALC_STYLE_FILE

CALC_STYLE_FILE

CENTER_OF_ROTATION_THEO

CENTER_OF_ROTATION_MEAS

CHART_SUB_TYPE

CIRC_TYPE

CLIP_LEFT_DIST

CLIP_LOW_DIST

CLIP_RIGHT_DIST

CLIP_UP_DIST

COL132_TYPE

COLUMN_HDR

COLUMN_ID

COMMAND_STRING

COMMENT_FIELD

COMMENT_INPUT

COMMENT_TYPE

COMPOSITE

CONE_CONVEX_TYPE

CONE_LENGTH_ANGLE_TYPE

COORD_TYPE

COP_BOOLEANTYPE

COP_COLORMAP

COP_COPLEMENT

COP_FILETYPE

COP_FILTER

COP_IMPORTFILETYPE

COP_SELECTIONTYPE

COP_SIZE

COP_TYPE

CPOINT_DIAM

CPOINT_F_SCANSPEED

CPOINT_I

CPOINT_J

CPOINT_K

CPOINT_SCAN_CROSS_TOTAL

CPOINT_SCAN_DENSITY

CPOINT_TYPE

CPOINT_X

CPOINT_Y

CPOINT_Z

CREATE_WEIGHTS

CURVE_TYPE

DATA_MEM_PAGES

DATA_READ_LOCK

DATA_WRITE_LOCK

DATUM1_MODIFIER

DATUM1_MODIFIER2

DATUM2

DATUM2_MODIFIER

DATUM2_MODIFIER2

DATUM3_MODIFIER

DATUM3_MODIFIER2

DB_SOURCE_TYPE

DELETE_TYPE

DESCRIPTION

DESCRIPTION2

DEST_EXPR

DEV_DIAM

DEV_PERPEN_CENTERLINE

DEV_X

DEV_Y

DEV_Z

DEVIATION_SYMBOLS

DEVPERCENT_NOM

DEVPERCENT2

DIGIT_COUNT

DIM_BONUS

DIM_DEVIATION

DIM_HEADING

DIM_ID

DIM_INFO_LOC

DIM_INFO_ORDER

DIM_INFO_TP_LOC

DIM_LENGTH

DIM_LENGTH2

DIM_MAX

DIM_MEASURED

DIM_MIN

DIM_OUTTOL

DIM_RPT_DATUM

DIM_RPT_DEVPERCENT

DIM_RPT_GRAPHIC

DIM_RPT_ISBILATERAL

DIM_RPT_ISDATUM

DIM_RPT_NUMZONES

DIM_TEXT

DIM_TEXT_OPTIONS

DISPLAY_HITS

DISPLAY_ID

DISPLAY_PROBE_PARAMETERS

DISPLAY_TRACE

DISPLAY_TYPE

DISTANCE

DRF_COLUMN_HDR

DRF_ROTATIONX

DRF_ROTATIONY

DRF_ROTATIONZ

DRF_SEGNAME

DRF_SHIFTY

DRF_SHIFTZ

DRF_TBLHDR

DRG_SHIFTX

DTYPE_LEAPFROGFULLPARTIAL

DTYPE_LEAPFROGNUMHITS

DTYPE_LEAPFROGTYPE

END_ANG

END_NUM

ERROR_LABEL

ERROR_MODE

ERROR_TYPE

EXCLUSION_ZONE

EXECUTE

EXPOSURE

F_AUTOMOVE

F_BOXLENGTH

F_BOXWIDTH

F_CIRCRADIN

F_CIRCRADOUT

F_CORNER_RADIUS

F_DEPTH

F_INCREMENT

F_INDENT

F_LOCATION

F_MAXACCELX

F_MAXACCELY

F_MAXACCELZ

F_MINUS_TOL

F_MOVESPEED

F_OFFSET

F_PITCH

F_PLUS_TOL

F_SCANSPEED

F_SIZE

F_SPACER

F_THICKNESS

F_THICKNESS_EDGE

F_TOLERANCE

F_TOUCHSPEED

FAIL_ON_EXIST

FCF_RPT_LINE1_COLUMN_HDR

FEAT_TYPE

FIELD_WIDTH

FILE_COMMAND_TYPE

FILE_NAME

FILE_POINTER

FILTER_NEIGHBOR_NUM

FILTER_TOGGLE

FILTER_TOL_ABOVE

FILTER_TOL_BELOW

FILTER_TOL_RIGHT

FILTER_TYPE

FILTER_TYPE

FIND_HOLE_PERCENT

FIND_NOM_AXIS_TYPE

FIND_NOMS_TYPE

FINDHOLE_TYPE

FINDNOMS_BESTFIT

FINDNOMS_ONLYSELECTED

FIXTURE_TOL

FIXTURE_TYPE

FLY_MODE_TYPE

FREQUENCY

GAP_ONLY_TYPE

GDT_SYMBOL

GDT_SYMBOL2

GEN_ALIGN_TYPE

GEN_FEAT_TYPE

GRAPH_ANALYSIS

GRAPH_OPTION

HIGH_ACCURACY

HIGH_THRESHOLD

HIT_TYPE

HITINT_TYPE

ID

INDEX_END

INDEX_START

INIT_HITS

INOUT_TYPE

INTERNAL_EXTERNAL

IOCHANNEL_NUMBER

IOCHANNEL_PULSE_DURATION

IOCHANNEL_PULSE_INTERVAL

IOCHANNEL_PULSE_WIDTH

ISLAND_AI

ISLAND_AJ

ISLAND_AK

ISLAND_CLEARANCEDIST

ISLAND_DIAM

ISLAND_I

ISLAND_J

ISLAND_K

ISLAND_LENGTH

ISLAND_TYPE

ISLAND_WIDTH

ISLAND_X

ISLAND_Y

ISLAND_Z

ITEM_USED

ITERATE_COLUMNS

LABEL_ID

LEADER_LINE_ID

LEFTYRIGHTY_CONFIG

LEVEL_REF_ID

LIN_POL_FILT_TYPE

LINE1_DEV

LINE1_DEVPERCENT

LINE1_DEVPERCENT_NOM

LINE1_DEVPERCENT2

LINE1_FEATNAME

LINE1_ISBILATERAL

LINE1_MEAS

LINE1_MINUSTOL

LINE1_NOMINAL

LINE1_NUMZONES

LINE1_PLUSTOL

LINE1_TBLHDR

LINE1_USE2DEVIATIONS

LINE2_AXIS

LINE2_BONUS

LINE2_CALLOUT

LINE2_COLUMN_HDR

LINE2_DATUMSHFT

LINE2_DEV

LINE2_DEVANG

LINE2_DEVPERCENT

LINE2_DEVPERCENT_NOM

LINE2_DEVPERCENT2

LINE2_FEATNAME

LINE2_ISBILATERAL

LINE2_MAX

LINE2_MEAS

LINE2_MIN

LINE2_MINUSTOL

LINE2_NOMINAL

LINE2_NUMZONES

LINE2_PLUSTOL

LINE2_TBLHDR

LINE2_TOL

LINE2_UNUSEDZONE

LINE2_USE2DEVIATIONS

LINE3_BONUS

LINE3_CALLOUT

LINE3_COLUMN_HDR

LINE3_DATUMSHFT

LINE3_DEV

LINE3_DEVANG

LINE3_DEVPERCENT

LINE3_DEVPERCENT_NOM

LINE3_DEVPERCENT2

LINE3_FEATNAME

LINE3_ISBILATERAL

LINE3_NUMZONES

LINE3_TBLHDR

LINE3_TOL

LINE3_UNUSEDZONE

LINE3_USE2DEVIATIONS

LOAD_TYPE

LOW_FORCE

LOW_THRESHOLD

MACHINE_TYPE

FÖRSTORNING

MAN_RETRACT

MANUAL_FINE_PROBING

MANUAL_PREPOSITION

MATERIAL_COEFFICIENT

MAX_ANGLE

MAX_FORCE

MAX_INCREMENT

MEAS_A

MEAS_A2

MEAS_ANGLE

MEAS_AREA

MEAS_DEPTH

MEAS_DIAM

MEAS_EA

MEAS_EH

MEAS_END_ANG

MEAS_ER

MEAS_EX

MEAS_EY

MEAS_EZ

MEAS_FLUSH

MEAS_GAP

MEAS_H

MEAS_H2

MEAS_HEIGHT

MEAS_I

MEAS_J

MEAS_K

MEAS_LENGTH

MEAS_MINOR_AXIS

MEAS_PERIMETER

MEAS_R

MEAS_R2

MEAS_SA

MEAS_SH

MEAS_SLOTVEC_I

MEAS_SLOTVEC_J

MEAS_SLOTVEC_K

MEAS_SR

MEAS_START_ANG

MEAS_SX

MEAS_SY

MEAS_SZ

MEAS_WIDTH

MEAS_X

MEAS_Y

MEAS_Z

MEASURE_ALL_FEATURES

MEASURE_ORDER_TYPE

MEASURED_2D3D_TYPE

MEASVEC_I

MEASVEC_J

MEASVEC_K

METHOD_TYPE

MIDPOINT_X

MIDPOINT_Y

MIDPOINT_Z

MIN_ANGLE

MIN_INCREMENT

MINOR_WORD_TOGGLE

MODE_TYPE

MOVE_TYPE

N_CONTROLPOINTS

N_HITS

N_INIT_HITS_TYPE

N_PERM_HITS_TYPE

N_ROWS

NEW_STATS_DIR

NEW_TIP

NOFLIPFLIP_CONFIG

NOMINAL

NOMINAL_COLOR

NORM_RELEARN

NUM_CONTROL_POINTS

NUM_FIT_POINTS

NUM_ITERATIONS

NUM_RETURN_DATA

OFFSET_LINE_METHOD

OFFSET_TOLERANCE

OLD_TIP

ONOFF_TYPE

OPERTYPE

ORIGIN

ORIGIN_REF_ID

OUTPUT_FEAT_W_DIMENS

OUTPUT_FEATURE_NOMS

OUTPUT_TYPE

OVERLAP

OVERSCAN

OVERWRITE

PART_NAME

PATTERN_TYPE

PERCENTAGE

PERM_HITS

PERP_PARALLEL_TYPE

PINVEC_I

PINVEC_J

PINVEC_K

PIXEL_TOGGLE

POINT_INFO_HEADING

POINTINFO_FILTER_DEVIATION

POINTINFO_FILTER_DEVIATION_NUMBER

POINTINFO_FILTER_INTERVAL

POINTINFO_FILTER_INTERVAL_NUMBER

POINTINFO_FILTER_OUTTOL

POINTINFO_FILTER_WORST

POINTINFO_FILTER_WORST_NUMBER

POLAR_VECTOR_COMPENSATION

POS_REPORT_AXIS_X

POS_REPORT_AXIS_Y

POS_REPORT_AXIS_Z

POSITIONAL_ACCURACY

PRECISION

PRINT_DELETE_RUNS

PRINT_DRAFTMODE

PRINT_TO_FILE

PRINT_TO_PRINTER

PROBE_ACCURACY

PROBE_COMP

PROBING_MODE

PROFILE_FORM_TYPE

PROFILE_TYPE

PROGRAM_GAGE_FEAT_TYPE

PROGRAM_GAGE_TYPE

PUNCHVEC_I

PUNCHVEC_J

PUNCHVEC_K

QUERY_SHOW_GRAPHIC_SETTINGS

RADIUS_TYPE

READ_WRITE

READPOS_TYPE

REF_ID

REF_TEMP

REPIERCE_CAD

REPORT_SURFVEC_I

REPORT_SURFVEC_J

REPORT_SURFVEC_K

REPORTVEC_I

REPORTVEC_J

REPORTVEC_K

RET_ONLY_TYPE

RETURN_SPEED

REVISION_NUMBER

RMEAS_TYPE

RMEASFEATID

RMEASFEATIDX

RMEASFEATIDY

RMEASFEATIDZ

ROTATE_REF_ID

ROTATION_TYPE

RPT_DIMENSION_TABLES

SAVE_ALIGN_CAD_TO_PARTS

SCAN_ACCELERATION

SCAN_AXISVEC_I

SCAN_AXISVEC_J

SCAN_AXISVEC_K

SCAN_BNDRY_TYPE

SCAN_CROSS_TOTAL

SCAN_CUTPLANEVEC_I

SCAN_CUTPLANEVEC_J

SCAN_CUTPLANEVEC_K

SCAN_DENSITY

SCAN_EDGE_THICK

SCAN_ENDVEC_I

SCAN_ENDVEC_J

SCAN_ENDVEC_K

SCAN_INITDIR_I

SCAN_INITDIR_J

SCAN_INITDIR_K

SCAN_INITVEC_I

SCAN_INITVEC_J

SCAN_INITVEC_K

SCAN_OFFSET_FORCE

SCAN_TECHNIQUE

SCAN_TIME_INCR

SCREEN_CAPTURE_AUTO_TYPE

SCREEN_CAPTURE_AUTO_TIME

SCREEN_CAPTURE_TYPE

SEARCHMODE_TYPE

SENSOR_LIST

SERIAL_NUMBER

SHOW_DETAILSNO

SHOW_HEADINGS

SHOW_IDSYES

SHOW_NOMS

SHOW_OPTIONS

SHOW_POINT_INFO

SINGLE_POINT

SKIP_NUM

SLOT_MIN_MAX_TYPE

SLOT_NUMBER

SLOT_TYPE

SLOTVEC_I

SLOTVEC_J

SLOTVEC_K

SNAP_TYPE

SRC_EXPR

STANDARD_DEVIATION

START_ANG

START_LABEL

START_NUM

STAT_CALC_TYPE

STAT_COUNT

STAT_NAME_TYPE

STATS_DB_TYPE

STATS_DIR

STATS_TYPE

SUB_NAME

SUMMARY_AXIS

SUMMARY_COLUMN_HDR

SUMMARY_DEV

SUMMARY_FEAT

SUMMARY_MEAS

SUMMARY_NOMINAL

SUMMARY_TBLHDR

SURFACE

SURFVEC_I

SURFVEC_J

SURFVEC_K

SURFVEC_MEAS_I

SURFVEC_MEAS_J

SURFVEC_MEAS_K

T_VALUE

TARG_A

TARG_EA

TARG_EH

TARG_ER

TARG_EX

TARG_EY

TARG_EZ

TARG_H

TARG_I

TARG_J

TARG_K

TARG_R

TARG_SA

TARG_SH

TARG_SR

TARG_SX

TARG_SY

TARG_SZ

TARG_X

TARG_Y

TARG_Z

TARGE_SURFACE_CROSSHAIR_HEIGHT

TARGET_BLOB_IP_TYPE

TARGET_COLOR

TARGET_DIRECTION

TARGET_EDGE_ANGLE

TARGET_EDGE_DENSITY

TARGET_EDGE_EDGEDETECT

TARGET_EDGE_EDGENUM

TARGET_EDGE_EDGESELECT

TARGET_EDGE_FILTER_AREA_SIZE

TARGET_EDGE_FILTER_CLEAN

TARGET_EDGE_FILTER_CLEAN_STRENGTH

TARGET_EDGE_FILTER_AREA

TARGET_EDGE_GAGE

TARGET_EDGE_GRADIENT

TARGET_EDGE_HEIGHT

TARGET_EDGE_ILLUM

TARGET_EDGE_POLARITY

TARGET_EDGE_SIZE

TARGET_EDGE_STRENGTH

TARGET_EDGE_TOL

TARGET_EDGE_TYPE

TARGET_EDGE_UNDERSCAN

TARGET_EDGE_WIDTH

TARGET_FILTER_OUTLIER

TARGET_FILTER_OUTLIER_PASS_1_DEVIATION

TARGET_FOCUS

TARGET_SURFACE_DURATION

TARGET_SURFACE_HEIGHT

TARGET_SURFACE_HIACC

TARGET_SURFACE_MODE

TARGET_SURFACE_RANGE

TARGET_SURFACE_TYPE

TARGET_TYPE

TARGSLOT_I

TARGSLOT_J

TARGSLOT_K

TEMPP

TEMPX

TEMPY

TEMPZ

TEXT_ANALYSIS

TEXTANAL_LABEL_DEV

TEXTANAL_LABEL_MEAS_X

TEXTANAL_LABEL_MEAS_J

TEXTANAL_LABEL_MEAS_K

TEXTANAL_LABEL_MEAS_I

TEXTANAL_LABEL_MEAS_Y

TEXTANAL_LABEL_MEAS_Z

TEXTANAL_LABEL_MINMAX

THEO_A

THEO_A2

THEO_ANGLE

THEO_AREA

THEO_DEPTH

THEO_DIAM

THEO_EA

THEO_EH

THEO_END_ANG

THEO_ER

THEO_EX

THEO_EY

THEO_EZ

THEO_FLUSH

THEO_GAP

THEO_H

THEO_H2

THEO_HEIGHT

THEO_I

THEO_J

THEO_K

THEO_LENGTH

THEO_MINOR_AXIS

THEO_PERIMETER

THEO_R

THEO_R2

THEO_SA

THEO_SH

THEO_SR

THEO_START_ANG

THEO_SX

THEO_SY

THEO_SZ

THEO_WIDTH

THEO_X

THEO_Y

THEO_Z

THEOBF_TYPE

THICKNESS_TYPE

THICKNESS_TYPE_EDGE

THINNING_TOL

THRESHOLD

TIP_I

TIP_J

TIP_K

TOOL_DIAM

TOOL_X

TOOL_Y

TOOL_Z

TP_MODIFIER

TP_MODIFIER2

TRACE_FILTER_ARG

TRACE_NAME

TRACE_VALUE

TRACE_VALUE_LIMIT

TRANSFER_DIR

TRIGGER_FORCE

TRIGGERPLANE

TRIGGERTOLERANCE

TRIGGERTOLVALUE

TWO_D_THREE_D_TYPE

U_HITS

UNIT_TYPE

UP_FORCE

UPDATEVEC_I

UPDATEVEC_J

UPDATEVEC_K

USE_3DFILTER

USE_AXIS

USE_AXIS2

USE_HSSDAT

USE_STARTENDDELAY

USE_THEO

USEPIN_TYPE

USETWODEVIATIONS

V_HITS

VIDEO_GAIN

VIDEO_LASERLIGHT1

VIDEO_LASERLIGHT2

VIDEO_LEDLIGHT

VIDEO_LSEG

VIDEO_OFFSET

VIDEO_XSEG

VIDEO_YEND

VIDEO_YORIGIN

VIDEO_YSEG

WEIGHT

WORK_PLANE

X_OFFSET

Y_OFFSET

Z_OFFSET


Fördefinierade konstanter

I rapportuttrycksspråket används några fördefinierade konstanter för de typindex som används med datatypen DIMENSION_TABLES.

LINE1_SIZE_TABLE = 1

LINE2_POSITION_TABLE = 2

LINE3_POSITION_TABLE = 3

DATUM_SHIFT_TABLE = 4

SUMMARY_TABLE = 5

LINE2_ORIENTATION_TABLE = 7

LINE3_ORIENTATION_TABLE = 8

LINE2_BASIC_DIMENSION_TABLE = 9

LINE3_BASIC_DIMENSION_TABLE = 10

TRUE_POSITION_TABLE = 11

DIMENSION_TABLE = 12

DIMENSION_WITH_BONUS_TABLE = 13

NEWLINE

NEWLINE används för att lägga till en radbrytning i ett textuttryck:

Följande uttryck

="Det här är rad 1" + " och det här är rad 2"

skulle se ut så här i rapporten:

Det här är rad 1 och det här är rad 2

Följande uttryck

="Det här är rad 1" + NEWLINE + " och det här är rad 2"

skulle se ut så här i rapporten:

Det här är rad 1

och det här är rad 2

N:

När du använder upprepade rader i ett rutnät blir N den aktuella raden bland de upprepade raderna. Konstanten N används när du placerar uttryck som använder en datatyp mer än en gång på en upprepad rad.

Nedan visas ett exempel på ett rutnät för mätpunktsvärden i en tabell. N används i uttrycken för den upprepade raden. När uttrycken för den första förekomsten av den upprepade raden beräknas blir N 1 och X-, Y- och Z-värdena för den första mätpunkten visas. När den andra raden läggs till blir N 2 och X-, Y- och Z-värdena för den andra mätpunkten visas.


Om Redigera beslutsträd

I dialogrutan Redigera beslutsträd kan du definiera regler – eller villkor och reaktioner – som vissa objekt måste följa när rapportinformation visas. Du kanske vill att rapporten endast ska innehålla information om utvärdering av rundhet för cirkelelement trots att detaljprogrammet innehåller flera andra element. Det kan du ange i den här redigeraren. Du kan lägga till ett CADRapportObjekt i rapportmallen och därefter öppna Redigera beslutsträd för objektet. I redigeraren kan du därefter ange en cirkelelementtyp och välja en etikettmall som är programmerad för visning av rundhetsdata.

Objekt som stöds:

Redigera beslutsträd fungerar med följande objekt som endast är tillgängliga i rapportmallsredigeraren:

  • TextRapportObjekt

  • CADRapportObjekt

  • Etikettobjekt

För dessa objekt kan data endast hämtas från ett detaljprogram genom Redigera beslutsträd.

Så här öppnar du Redigera beslutsträd:

  1. Infoga ett objekt som stöds i rapportmallen.

  2. Högerklicka på objektet.

  3. Klicka på egenskapen Redigera beslutsträd. Dialogrutan Redigera beslutsträd öppnas.

Mer:

Definiera en regel

Importera och exportera regler

Använda dialogrutan Tabellformat


Definiera en regel

Dialogrutan Redigera beslutsträd

Dialogrutan Redigera regel

Dialogrutan Redigera regel

Använd verktygsfältet längst ned i det här fönstret för att styra demonstrationen. När du är klar klickar du på den blå ikonen igen för att stänga det här expanderade fönstret.

Definiera en regel i Redigera beslutsträd

Så här definierar du en regel i dialogrutan Redigera beslutsträd:

  1. Välj Arkiv | Rapporter | Ny | Rapportmall för att öppna Redigera rapportmall.

  2. Lägg till ett TextRapportObjekt, ett CADRapportObjekt eller ett etikettobjekt i mallen.

  3. Högerklicka på objektet. Dialogrutan Egenskaper öppnas.

  4. Klicka på egenskapen BeslutsTräd i dialogrutan Egenskaper. Dialogrutan Redigera beslutsträd öppnas. Dialogrutan innehåller en lista över olika objekt som ingår i ett detaljprogram. Många av objekten kan expanderas genom att klicka på plustecknet (+) vid objektet för att se specifika objekt eller kommandon. Vissa objekt förekommer på egen hand och ingår inte i de expanderbara listorna. De är bland annat:

    • Början på första sidan i sektionen – Om du väljer det här objektet kan du välja en etikett eller ett textuttryck som ska visas högst upp på den första sidan i den aktuella sektionen av Rapportfönstret.

    • Slutet på sista sidan i sektionen – Om du väljer det här objektet kan du välja en etikett eller ett textuttryck som ska visas längst ned på den sista sidan i den aktuella sektionen.

    • Filhuvud – Om du väljer det här objektet kan du välja en etikett eller ett textuttryck som ska visas i stället för de vanliga filhuvudena DETALJNAMN, VERSIONSNR, SERIENR och STATISTIK-ANT i rapporten.

  5. Definiera de villkor som ska uppfyllas.

    • Gå till ett objekt som du vill definiera som ett villkor i objektlistan.

    • Markera objektet och klicka på Lägg till. Dialogrutan Redigera regel öppnas.

    • Om du vill definiera ytterligare ett villkor markerar du kryssrutan Använd ytterligare uttryck och skriver in uttrycket för villkoret i rutan Villkorligt uttryck. Om du till exempel skapar en regel för en mätt cirkel kan du testa värdena i datatypfälten för cirklarna för att styra huruvida det visas en etikett för dem. Anta att du endast vill att det ska visas en etikett om den mätta cirkeln har färre än fyra mätpunkter. Då skriver du följande i rutan Villkorligt uttryck:

      N_HITS < 4

      Om uttrycket är SANT används den kopplade etiketten. Observera att du inte behöver ta med hela kommandot för OM-uttrycket. OM-kommandot är underförstått i rutan.

  6. Definiera en etikett eller ett uttryck för villkoret.

    • Se till att dialogrutan Redigera regel är öppen och välj antingen Använd textuttryck i rapporten eller Använd etikettmall till rapporten.

      • Om du väljer att använda ett textuttryck skriver du ett enkelt meddelande eller definierar ett uttryck i rutan Textuttryck. Du kan till exempel ange en statisk text när det har mätts en cirkel, till exempel:

        "Vi har precis mätt en cirkel."

        Du kan även använda uttryck för att inkludera information om cirkeln, till exempel:

        "Vi har precis mätt en cirkel. Den hade "+ N_HITS +" mätpunkter."

      • Om du väljer att använda en etikettmall väljer du en etikettmall. Du kan även klicka på knappen Rutnät för att öppna dialogrutan Tabellformat. I dialogrutan kan du definiera ett rutnätsformat för rapporten. I ett rutnät kan du sortera om eller dölja kolumner och rader utan att behöva skapa en helt ny etikettmall. Om du definierar ett rutnätsformat kan du även använda kommandot TABELL/FORMAT i Redigeringsfönstret för att styra sorteringen av rader och kolumner inom detaljprogrammet. Se Använda dialogrutan Tabellformat.

    • När du har fyllt i dialogrutan Redigera regel klickar du på OK. Listobjektet skrivs med fet stil och regeln för objektet infogas längst ned i dialogrutan Redigera beslutsträd.

  7. Sortera reglerna. Du kan ha så många regler du vill för en angiven kommandotyp. Om det finns mer än en regel utvärderas reglerna i den ordning som de visas. Ändra utvärderingsordningen genom att markera en regel och klicka på Flytta upp eller Flytta ned i dialogrutan Redigera beslutsträd.

  8. Klicka på OK för att spara ändringarna i Redigera beslutsträd.

  9. Testa regeln.

    • Spara rapportmallen.

    • Tillämpa rapportmallen på rapportdata genom att använda Rapportlisten i Rapportfönstret.

    • Kör detaljprogrammet.

Se en kort demonstration av hur du anger vilken information som ska visas i rapportmallen.


Importera och exportera regler

Om du arbetar i en samarbetsinriktad miljö är det möjligt att du vill dela regler från olika rapportmallar med dina kollegor. I dialogrutan Redigera beslutsträd kan du enkelt importera regler genom att klicka på knappen Importera eller dela med dig av dina regler genom att klicka på knappen Exportera.

Alla regelfiler har filtillägget .rul.

Importera en regelfil:

  1. Öppna dialogrutan Redigera beslutsträd.

  2. Klicka på knappen Importera. Dialogrutan Öppna öppnas.

  3. Gå till den katalog där regelfilen (.rul) som ska importeras finns.

  4. Klicka på Öppna. Regelfilen importeras till Redigera beslutsträd.

  5. Klicka på OK för att spara den importerade regeln.

Exportera till en regelfil:

  1. Öppna dialogrutan Redigera beslutsträd.

  2. Klicka på Exportera. Dialogrutan Spara som öppnas.

  3. Gå till den katalog där regelfilen (.rul) ska sparas.

  4. Skriv filens namn i rutan Filnamn.

  5. Klicka på Spara. Alla regler som är kopplade till objektet exporteras. Nu kan någon annan importera och använda de exporterade reglerna.


Använda dialogrutan Tabellformat

I dialogrutan Tabellformat arbetar du med definierade kolumn- och radnamn för ett TabellObjekt och kan kontrollera hur och i vilken ordning kolumner och etiketter visas i ett TabellObjekt i en etikettmall.

Dialogrutan Tabellformat

Dialogrutan innehåller olika tabellformat. Ett tabellformat definierar hur namngivna rader och kolumner visas i slutrapporten. I dialogrutan kan du ändra sorteringen och visningen i de befintliga tabellformaten samt skapa anpassade tabellformat.

När det gäller fördefinierade tabellformat kan du endast ändra hur de visas och ordningen på rader och kolumner. Du kan inte ta bort de fördefinierade tabellformaten och inte heller ändra vilka rader och kolumner de innehåller.

För att använda tabellformat måste du först använda en etikettmall med ett TabellObjekt som innehåller namngivna kolumner och rader.

Objekt i dialogrutan | Beskrivning
Tabell-ID | Listar de tillgängliga tabellformaten.
Namn på ny tabell | Definierar ett nytt tabellformat.
Lägg till tabell | Lägger till det nya tabellformatet. Den här knappen aktiveras först när du anger ett namn i rutan Namn på ny tabell.
Ta bort tabell | Tar bort det markerade anpassade tabellformatet. Den här knappen aktiveras först när du markerar en anpassad tabell i listan Tabell-ID.
Rader | Listar raderna och kolumnerna i tabellformatet. Du kan sortera om dem genom att klicka på upp- och nedpilarna.
Lägg till rad/kol. | Lägger till namnet på en rad eller kolumn i området Rader eller Kolumner. Du kan endast lägga till anpassade tabellformat.
Ta bort rad/kol. | Tar bort en markerad rad eller kolumn från området Rader eller Kolumner. Du kan endast ta bort objekt från anpassade tabellformat.
OK | Använder det markerade tabellformatet för regeln i Redigera beslutsträd eller för kommandot TABELL/FORMAT i Redigeringsfönstret.

Så här anger du ett namn för en kolumn eller rad i ett TabellObjekt:

  1. Markera det aktuella TabellObjektet i Redigera etikettmall.

  2. Dubbelklicka på den första cellen i en kolumn eller på en rad.

  3. Högerklicka för att öppna egenskapsredigeraren.

  4. Klicka på någon av flikarna Cell eller Kolumn.

  5. Ange ett värde i rutan Radetikett eller i rutan Kolumnetikett. Välj ett värde ur listan eller ange ett anpassat värde. Anpassade etiketter visas endast i anpassade tabellformat.

Så här ändrar du ordningen på kolumner eller rader:

  1. Markera ett tabellformat i listan Tabell-ID.

  2. Raderna och kolumnerna för tabellformatet visas.

  3. Markera den rad eller kolumn som du vill flytta i området Rader eller Kolumner och klicka på knapparna med upp- och nedpilarna för att flytta det valda objektet upp eller ned i listan. Objekt högre upp i listan visas före objekt längre ned i listan.

Så här visar/döljer du kolumner eller rader:

  1. Markera ett tabellformat i listan Tabell-ID.

  2. Raderna och kolumnerna för tabellformatet visas.

  3. Gå till området Rader eller Kolumner och avmarkera kryssrutan till vänster om namnet på den rad eller kolumn som du vill dölja på etiketten. Markera kryssrutan för att visa raden eller kolumnen på etiketten.

Så här skapar du ett anpassat tabellformat:

  1. Ange ett namn i rutan Namn på ny tabell.

  2. Klicka på knappen Lägg till. Den anpassade tabellen visas i listan Tabell-ID och finns kvar i listan tills du tar bort den.

  3. Ange ett namn i rutan Lägg till rad eller Lägg till kol. som matchar namnet på en rad- eller kolumnetikett som du har angett för TabellObjektet.

  4. Klicka på Lägg till rad eller Lägg till kol. om du vill lägga till objektet i tabellen.

  5. Lägg till fler rader eller kolumner och ta bort eller ändra ordningen på rader eller kolumner tills tabellformatet innehåller den information du önskar.


Ändra miniatyrbilden för en mall

När du skapar en rapport- eller etikettmall skapas det automatiskt en miniatyrbild för mallen. Bilden återger det som visas på den första sidan eller i den första sektionen i mallen.

Miniatyrbilden visas när du öppnar dialogrutan Öppna (Arkiv | Rapporter | Redigera | Rapportmall eller Etikettmall) för att redigera en mall.

Ett exempel på dialogrutan Öppna med flera miniatyrbilder för rapportmallar

Ett exempel på dialogrutan Öppna med flera miniatyrbilder för rapportmallar

Om du vill använda en anpassad bildfil i stället för den automatiskt skapade bilden för en mall kan du ändra bilden i dialogrutan Öppna.

Så här ändrar du miniatyrbilden för en mall:

  1. Markera mallfilen i dialogrutan Öppna.

  2. Klicka på knappen Byt bild. Dialogrutan Välj bild för mall öppnas.

  3. Markera alternativet Från fil.

  4. Klicka på OK. Det öppnas en annan dialogruta för Öppna där du kan välja en befintlig bildfil.

  5. Gå till den katalog som innehåller den önskade .bmp- eller .jpeg-filen, markera bildfilen och klicka på Öppna. Den valda bilden används nu som miniatyrbild för filen.

Ett exempel där Test1.rtp visas med en bitmappbild

Ett exempel där Test1.rtp visas med en bitmappminiatyrbild


Arbeta med befintliga HyperView-rapporter

I PC-DMIS kan du köra befintliga HyperView-rapporter i detaljprogram. Du kan även välja att köra en standardiserad HyperView-rapport i slutet av varje detaljprogram eller infoga en anpassad HyperView-rapport i huvuddelen av ett detaljprogram.

Dessutom kan HyperView-rapporter samverka med detaljprogram genom att globala variabler och egenskapselement överförs till variabler i PC-DMIS.

Obs! HyperView-rapporter är rapporter som skapades i redigeraren för HyperView-rapporter i versionerna 3.0, 3.2, 3.25, 3.5 och 3.7 av PC-DMIS. Beroende på den nya rapportmodellen med mallar från och med version 4.0 kan du nu endast köra HyperView-rapporter, inte skapa eller redigera dem. För att kunna redigera eller skapa en HyperView-rapport måste du använda en äldre version av PC-DMIS som stöder skapande av HyperView-rapporter.

Mer:

Ställa in en standardrapport för ett detaljprogram

Bädda in HyperView-rapporter i ett detaljprogram


Ställa in en standardrapport för ett detaljprogram

En standardinställd HyperView-rapport för ett detaljprogram är en rapport som automatiskt laddas och skrivs ut när detaljprogrammet har körts. Du kan ställa in att standardrapporten ska laddas och skrivas ut för alla körda detaljprogram. Så här ställer du in standardrapporten: Visa menykarta

  1. Välj menyalternativet Redigera | Alternativ | Ändra fönsterlayout. Dialogrutan Layout för redigeringsfönstret öppnas.

  2. Klicka på fliken HyperReport i dialogrutan Layout för redigeringsfönstret.

Dialogrutan Layout för redigeringsfönstret – fliken HyperReport

Om kryssrutan Autoladda HyperReport är markerad skapas en HyperView-rapport när detaljprogrammet har körts.

Kontrollera att kryssrutan Autoladda HyperReport är markerad, ange en HyperReport-fil som ska laddas eller använd standardrapporten. Du anger en fil genom att skriva filnamnet i redigeringsrutan HyperReport-fil eller genom att klicka på Bläddra och välja en rapportfil i dialogrutan Öppna som öppnas när du klickar på knappen. Markera kryssrutan Använd standardrapport om du vill att standardrapporten ska användas.

Obs! Standardrapporten registreras i PC-DMIS.INI. Från början finns det inte någon standardrapport i filen. För att ställa in en standardrapport kontrollerar du att kryssrutan Använd standardrapport inte är markerad, väljer en HyperReport-fil och markerar därefter kryssrutan Använd standardrapport. Standardrapporten ställs in till den fil som visas i redigeringsrutan HyperReport-fil: och registreras i .INI-filen.


Bädda in HyperView-rapporter eller -rapportmallar i ett detaljprogram

Du kan bädda in en HyperView-rapport eller -rapportmall i ett detaljprogram. När den inbäddade koden körs startas rapporten eller mallen så att du kan skriva ut eller granska den samt överföra värden till och från det inbäddade objektet.

Så här bäddar du in en rapport eller mall:

  1. Kontrollera att Redigeringsfönstret är i kommandoläge.

  2. Välj menyalternativet Infoga | Rapportkommandon | HyperView-rapport. Dialogrutan Infoga rapport öppnas. Visa menykarta

  3. Välj om du vill infoga en rapport (.rpt) eller en rapportmall (.rtp) i listan Filformat.

  4. Markera den rapport eller mall som ska bäddas in i detaljprogrammet.

  5. Klicka på Öppna för att infoga kommandot.

Ett RAPPORT/FILNAMN-kommando infogas vid markörens position i Redigeringsfönstret.

Mer:

Kommandot RAPPORT/FILNAMN

Överföra uttryck från PC-DMIS till egenskaper för HyperView-objekt

Dubbelriktning hos uttryck om uttrycket är ett L-värde


Kommandot RAPPORT/FILNAMN

Du kan identifiera ett rapportkommandoobjekt genom kommandot RAPPORT/FILNAMN i Redigeringsfönstret. Kommandot följs av filnamnet för rapportmallen eller HyperView-rapporten och alternativen AUTOSKRIV och PARAM/.

AUTOSKRIV

Om du ändrar alternativet AUTOSKRIV till SKRIV skrivs HyperView-rapporten eller rapportmallen ut på standardskrivaren efter att den har laddats och körts. Rapporten stängs när utskriften har skickats till skrivaren och körningen av detaljprogrammet fortsätter.

Om du ändrar alternativet AUTOSKRIV till PDF skrivs HyperView-rapporten ut som en PDF-fil.

Om namnet på den skapade PDF-filen

  • Namnet på den skapade PDF-filen kommer att vara detsamma som namnet på HyperView-rapportfilen med ett tillagt sifferindex och ett filtillägg.

  • Den skapade filen kommer även att sparas i samma katalog som rapportfilen.

  • Om det redan finns en fil med samma namn som det skapade filnamnet görs automatiskt ett tillägg till sifferindexet så att namnet blir unikt.

Obs! Om du markerar kryssrutan Infoga HyperReport i dialogrutan Utskriftsalternativ i Redigeringsfönstret ignoreras alternativet AUTOSKRIV. Information om kryssrutan finns i Skriva ut från Redigeringsfönstret i avsnittet Använda grundläggande filalternativ.

PARAM

Med alternativet PARAM/ kan du överföra uttryck från PC-DMIS till variabler och egenskaper i rapportmallen eller HyperView-rapporten. PARAM/-alternativets syntax är:

PARAM/{namn på objekt eller variabel}={uttryck i PC-DMIS}

Exempel: Om det finns en global variabel med namnet "NumBoltHoles" i en rapport överförs följande uttryck till NumBoltHoles genom PARAM/-alternativet:
PARAM/NumBoltHoles=360.0/angle

Om det PC-DMIS-uttryck som överförs till en global HyperView-variabel är ett L-värde kommer ändringar av HyperView-variabeln att ändra variabeln i PC-DMIS-uttrycket.

Exempel: Om du använder följande PARAM/-alternativ ställs NumBoltHoles in till att vara lika med numBolts. Ändringar av HyperView-variabeln NumBoltHoles i HyperView-rapporten återspeglas i PC-DMIS-variabeln numBolts:
PARAM/NumBoltHoles=numBolts

Viktigt! Efter körningen återställs automatiskt de objekt som ändrades genom att parametrar överfördes till en rapportmall eller HyperView-rapport till de värden som de hade före körningen. Det innebär att om du vill behålla resultatet från en parameter som överförts till mallen eller rapporten måste du använda AUTOSKRIV för att skriva ut en kopia innan körningen slutförs.


Överföra uttryck från PC-DMIS till egenskaper för HyperView-objekt

Överföra uttryck frånPC-DMIS till egenskaper för objekt

Uttryck i PC-DMIS kan överföras till egenskaper för objekt med hjälp av kommandot PARAM/ i Redigeringsfönstret. Syntaxen för att överföra ett uttryck till en objektegenskap är:

PARAM/{objektkod}.{namn på egenskap}={uttryck i PC-DMIS}

Exempel: Med följande PARAM/-kommando ändras egenskapen KantTyp för objektet Text1:
PARAM/Text1.KantTyp=1


Dubbelriktning hos uttryck om uttrycket är ett L-värde

Om ett uttryck i PC-DMIS är ett L-värde kommer ändringar av egenskapen element återspeglas i variabeln så att du kan överföra värden till och från PC-DMIS, mallen eller rapporten.

Exempel: Med följande PARAM/-alternativ tilldelas L-värdet minRubrik till ramobjektet Rubrik för ett formulär. Ändringar av Rubrik i formuläret återspeglas i variabeln minRubrik.
PARAM/Ram1.Rubrik=enRubrik


Infoga rapportkommandon

Infoga rapportkommandon: Inledning

Infoga kommandon som är kopplade till Analysfönstret

Analys

Grafik

Text

Multiplikator

Visa alla pilar

Visa fönster

Arkiv-menyn

Visa-menyn

Ändra

Passa fönster

Sekundär

Visa meny

Visa statistik

Visa histogram

Visa max./min. avvikelse

Alternativ-menyn

Spara grafik i rapporten

Skapa kommando för analysvy

Redigera utvärderingsfärger

Alternativ

Storleksalternativ

Infoga rutor för utvärderingsinformation

Regler för skapande av utvärderingsinformation

Visningsalternativ

Diagramval

Ingen

Sämsta axel

Varje axel

Grafikinställningar

Utvärderingsformat

Knappen Återställ

Axlar, läge

Axlar, lägeriktighet

Ta bort info.

Kommandot UTVINFO

Infoga punktinfoetiketter

Inkludera

Auto

Punkt nr

Punkt

Vektor

Avvikelse

Ikon

Visa ID

Typ

Visa rubriker

Grafik

Lodräta linjer

Vågräta linjer

Mätpunkter

Listruta

Området Element

Listruta

Området Utvärderingar

Listruta

Ta bort info.

Kommandot PUNKTINFO

Grafikinställningar

Filter

Filter: Inget

Filter: Mätpkt.intervall

Filter: Sämsta

Filter: Avv. över

Filter: Utom tolerans

Bädda in HyperView-rapporter

Infoga programmeringskommentarer

Operatör

Rapport

Inmatn

Dokument

Ja / Nej

Avläsning

Kommentarstext

Infoga externa objekt

Infoga ett utskriftskommando

Om syntax för kommandot SKRIV/RAPPORT

Redigera kommandot SKRIV/RAPPORT

Infoga ett sidbrytningskommando

Definiera och spara vyer

Återkalla en sparad vy


Infoga rapportkommandon: Inledning

I PC-DMIS kan du i Redigeringsfönstret infoga en mängd olika kommandon som påverkar vilken information som visas i rapporter och hur den visas. Med de här kommandona, som du kan infoga genom att välja menyvägen Infoga | Rapportkommandon, kan en programmerare konfigurera, visa, skriva ut och på andra sätt anpassa Redigeringsfönstrets utseende.

Det här är huvuddelarna av det här avsnittet:

  • Infoga kommandon som är kopplade till Analysfönstret

  • Infoga rutor för utvärderingsinformation

  • Infoga punktinfoetiketter

  • Bädda in HyperView-rapporter

  • Infoga programmeringskommentarer

  • Infoga externa objekt

  • Infoga ett utskriftskommando

  • Infoga ett sidbrytningskommando

  • Definiera och spara vyer

  • Återkalla en sparad vy


Infoga kommandon som är kopplade till Analysfönstret

Dialogrutan Analys

Med menyalternativet Infoga | Rapportkommandon | Analys öppnar du dialogrutan Analys där du kan ange vilket format du vill ha en utvärderingsutskrift i.

När dialogrutan Analys är öppen kan du trycka på CTRL-tangenten och vänsterklicka på ett element i Grafikfönstret. Eventuella utvärderingar som använder det valda elementet visas i rutan Utvärderingar.

Mer:

Analys

Visa alla pilar

Visa fönster

Arkiv-menyn

Visa-menyn

Visa meny

Alternativ-menyn


Analys

I området Analys i den här dialogrutan kan du välja att visa de uppriktningar som markerats i rutan Utvärderingslista med antingen grafisk layout eller textlayout.

Som standard är kryssrutorna i området Analys omarkerade. När du markerar kryssrutan Text eller Grafik och klickar på Verkställ visas de valda utvärderingarna i textform respektive i grafisk form. Inga CAD-data visas.

Det hjälper att aktivera alternativet Grafik eller Text när du upplever problem med en detalj och vill hitta orsaken.

Exempel: Anta att du undersöker ett plans platthet och du finner att den ligger utanför toleransen. Med det grafiska analysalternativet kan du undersöka planet och fastställa om ett specifikt område är dåligt eller om hela ytan är fel.

Så här väljer du analysläget Grafik eller Text inifrån dialogrutan Utvärdering:

  1. Välj Utvärdering i menyraden.

  2. Välj det utvärderingsalternativ som du vill använda på menyn. En dialogruta för utvärderingar öppnas.

  3. Markera någon av kryssrutorna Grafik eller Text.

  4. Avsluta utvärderingsprocessen.

Mer:

Grafik

Text

Multiplikator


Grafik

Om du markerar kryssrutan Grafik lagras utvärderingsinformationen i ett format som kan visas grafiskt.


Text

Om du markerar kryssrutan Text lagras utvärderingsinformationen i ett format som kan visas som text.


Multiplikator

Värdet i rutan Multiplikator är en skalfaktor som förstorar pilen och toleranszonen för det grafiska analysläget. Om du t.ex. anger värdet 2.0 skaländras den grafiska bilden av pilen till två gånger storleken i PC-DMIS.

Det här alternativet används endast för visningsändamål och påverkar inte den utskrivna texten.


Visa alla pilar

När du klickar på knappen Visa alla pilar visas grafiska analyspilar för att peka ut avvikelser. Du kan dölja de här grafiska analyspilarna en och en. Håll ner CTRL + SKIFT-tangenterna och klicka på en pil för att dölja den. När du klickar på knappen Visa alla pilar visas pilarna på nytt. De grafiska analyspilarna visas då på nytt.


Visa fönster

Med knappen Visa fönster kan du visa Analysfönstret. I det här fönstret kan du visa utvärderingarna i den mest fördelaktiga vyn.

Så här använder du Visa fönster på bästa sätt:

  1. Markera den utvärdering som du vill granska i Analysfönstret.

  2. Ange ett värde i rutan Multiplikator (se Multiplikator).

  3. Klicka på knappen Visa fönster. Analysfönstret öppnas.

På Analysfönstrets menyrad kan du ändra bilden, ta en skärmbild av det aktuella grafikfönstret eller redigera de valda utvärderingsfärgerna.

Analysfönster

På Analysfönstrets menyrad finns följande menyer:

  • Arkiv

  • Visa

  • Visa

  • Alternativ

För att fastställa den grafiska analysens första vy i Analysfönstret används antingen scanskärningsvektorn för profilutvärdering av scanåtgärder eller det aktuella arbetsplanet för andra utvärderingar. Du kan ändra den här vyn senare.


Arkiv-menyn

Med Arkiv-menyn i Analysfönstret kan du skriva ut innehållet i det grafiska Analysfönstret på en skrivare.


Visa-menyn

Med Visa-menyn i Analysfönstret kan du tillfälligt ändra grafiken som visas i den valda utvärderingen. Genom att rotera, skaländra eller ändra vyn kan du enkelt komma åt de nödvändiga utvärderingarna.

Obs! Det här alternativet är särskilt användbart när du vill granska profilfelet i en punktgrupp.

Mer:

Ändra

Passa fönster

Rotera


Ändra

Med menyalternativet Vy | Ändra kan du skapa nya vyer från en CAD-fil. Den här funktionen är användbar när du använder en 2D-IGES-fil som innehåller flera vyer av en detalj i ett plan och vyerna måste kopplas till korrekta motsvarande riktningar i Grafikfönstret. Se Konfigurera skärmvisningen i avsnittet Redigera CAD-visningen.


Passa fönster

Med menyalternativet Visa | Passa fönster ritas detaljbilden om så att den passar precis i Grafikfönstret. Den här funktionen är användbar när bilden blir för stor eller för liten.


Rotera

Med menyalternativet Visa | Rotera öppnar du dialogrutan Rotera där du kan rotera detaljbilden tredimensionellt.

Mer information om rotering finns i Rotera ritningen i avsnittet Redigera CAD-visningen.


Visa meny

Dialogrutan Visa alternativ

Med menyvägen Visa | Visa alternativ i Analysfönstret kan du öppna dialogrutan Visa alternativ. I den här dialogrutan kan du välja vad du vill visa i Analysfönstret.

Med menyvägen Visa | Visa utvärderingar i Analysfönstret kan du öppna dialogrutan Redigera utvärderingsinformation. I den här dialogrutan kan du redigera all information om den markerade utvärderingen. Mer information finns i Vanliga alternativ i dialogrutan Utvärdering i avsnittet Utvärdera element och i "Infoga rutor med utvärderingsinformation" i det här avsnittet.

Mer:

Visa statistik

Visa histogram

Visa max./min. avvikelse


Visa statistik

Med kryssrutan Visa statistik i dialogrutan Visa alternativ kan du välja att visa diverse statistik i Analysfönstret. Om du inte markerar kryssrutan Visa statistik kommer inte informationstext för utvärderingar att visas (för någon utvärdering). Om du vill ändra formatet på den statistik som visas i Analysfönstret väljer du menyalternativet Redigera utvärderingsinformation.


Visa histogram

Med kryssrutan Visa histogram i dialogrutan Visa alternativ kan du visa ett histogram över avvikelserna för varje punkt. Du kan flytta histogram till nya lägen i Analysfönstret.

Så här flyttar du till ett nytt läge i Analysfönstret:

  1. Klicka på det aktuella histogrammet.

  2. Dra markören till önskad plats.

  3. Släpp musknappen.


Visa max./min. avvikelse

Med kryssrutan Visa max./min. avvikelse i dialogrutan Visa alternativ kan du visa max- och min-avvikelserna med "*+"- eller "*-"-symboler.


Alternativ-menyn

På Alternativ-menyn i Analysfönstret kan du ta en bild av det aktuella Grafikfönstret för att använda senare. Härifrån kan du också öppna dialogrutan Redigera färg och ändra storlek på Analysfönstret.

Mer:

Spara grafik i rapporten

Skapa kommando för analysvy

Redigera utvärderingsfärger

Alternativ

Storleksalternativ


Spara grafik i rapporten

Bilden finns kvar i Urklipp tills du kopierar en annan skärm eller stänger detaljprogrammet.

När du väljer menyvägen Alternativ | Spara grafik i rapporten i Analysfönstret fångas en bild av det aktiva Grafikfönstret och bilden kopieras till ett VISA/METAFIL-kommando som du sedan kan visa i rapporten.

I PC-DMIS finns inga inbyggda funktioner för att redigera eller formatera skärmbilder. Grafiken visas där insättningspunkten ligger. Det här VISA/METAFIL-kommandot skiljer sig från det VISA/METAFIL-kommando som du genererar från huvudmenyn på så vis att skärmbilden endast tas när kommandot skapas, inte när kommandot körs. (Information om hur du skapar en skärmbild som automatiskt uppdateras vid körning finns i Skapa kommando för analysvy.)


Skapa kommando för analysvy

När du väljer Analysfönstrets menyalternativ Alternativ | Skapa kommando för analysvy visas kommandot ANALYSVY i Redigeringsfönstret. När du markerar och kör det här kommandot visas listan över utvärderingar i ett eget analysfönster, med det antal vyer och roteringar som tidigare valts. En skärmbild av Analysfönstret med utvärderingslistan tas automatiskt. De här skärmbilderna finns sedan tillgängliga för visning i rapporten.

Så här ser kommandoraden för det här alternativet ut i Redigeringsfönstret:
ANALYSVY/U1,U2,U3,,

U1,U2,U3 = lista över de utvärderingar som ska visas.

Det finns ingen gräns på hur många utvärderingsparametrar som kan användas.

Om du skriver ANALYSVY i Redigeringsfönstret skapas även kommandot ANALYSVY. All de utvärderingar som valts för analys blir parametrar för det här kommandot.


Redigera utvärderingsfärger

Med menyalternativet Inställningar | Redigera utvärderingsfärger i Analysfönstret kan du ange färgen för ett angivet toleransområde. När du väljer det här alternativet visas dialogrutan Redigera utvärderingsfärger.

Dialogrutan Redigera utvärderingsfärger

Mer information om hur du använder utvärderingsfärger för en tolerans finns i Redigera utvärderingsfärger i avsnittet Redigera CAD-visningen.


Alternativ

I den här dialogrutan med Alternativ för utvärderingsanalys kan du bestämma vilken information som ska visas i Analysfönstret.

Alternativ för utvärderingsanalys

Så här kommer du åt alternativet

  1. Välj Analys på menyn. Dialogrutan Analys öppnas. Visa menykarta

  2. Välj utvärderingen i listrutan.

  3. Klicka på knappen Visa fönster. Analysfönstret visas.

  4. Välj Inställningar | Utvärderingsalternativ i Analysfönstret. Dialogrutan Alternativ för utvärderingsanalys visas. De flesta alternativen är inte tillgängliga i dialogrutan Analys förrän du har markerat en utvärdering. De relevanta alternativen blir tillgängliga för val.

Följande alternativ är tillgängliga i den här dialogrutan:

Visa pilar

Med kryssrutan Visa pilar kan du slå på eller av avvikelselinjerna.

Visa linjer mellan mätpunkter

Med kryssrutan Visa linjer mellan mätpunkter kan du slå på eller av visningen av linjer mellan mätpunkterna.

Visa linjer mellan nominella punkter

Med kryssrutan Visa linjer mellan nominella punkter kan du slå på eller av visningen av linjer mellan nominella värden.

Visa toleranslinjer

Med kryssrutan Visa toleranslinjer slå på eller av visningen av utvärderingens acceptabla toleranser.

Visa diameter

Med kryssrutan Visa diameter kan du visa diamtrarna på tillgängliga positionsutvärderingar.

Visa bästanp., max. inskriven och min. omskriven diameter

Med den här kryssrutan kan du slå på eller av de olika diametrarna som också kan ritas med utvärderingen Rundhet. De här diametrarna är de som representerar ett runt elements genomsnittliga, största och minsta avvikelse.

Visa konturplott

Alternativet Visa konturplott fungerar endast för områdesscanåtgärder och blir tillgänglig för profilutvärderingar. En konturplott använder punkterna i en områdesscanåtgärd för att skapa ett rutnät, varefter rutnätet färgsätts med de färger som är kopplade till profilavvikelsen från varje mätpunkt.

I PC-DMIS kan du även visa konturplotten på CAD-modellen i själva Grafikfönstret. Se Visa profilkonturplottar i avsnittet Utvärdera element.

Färginterpolering mellan mätpunkter

Med alternativet Färginterpolering mellan mätpunkter kan du lägga färg mellan mätpunkterna. Det här alternativet är tillgängligt för profilutvärderingar.

Visa pilar

Med alternativet Visa pilar kan du slå på eller av pilar på avvikelselinjer. Det här alternativet är tillgängligt för profilutvärderingar.


Storleksalternativ

Dialogrutan Analysformat

I dialogrutan Analysformat kan du styra hur Analysfönstret ska visas. Med de här alternativen kan du även ställa in ANALYSVY-kommandot att fånga en skärmbild i något av dessa valda lägen vid körning. (Se Skapa kommando för analysvy.)

Du kan välja bland följande alternativ:

Stående | Med det här alternativet kan du ändra storlek på Analysfönstret så att det stämmer överens med standardstorleken för stående sidor.
Liggande | Med det här alternativet kan du ändra storlek på Analysfönstret så att det stämmer överens med standardstorleken för liggande sidor.
Passa till sidan | Med den här kryssrutan kan du skaländra fönstret så det passar för en helsidesutskrift.


 Sök-ID Listrutan Utvärdering Knappen Markera allt Knappen Radera Området Visningsalternativ Området Utvärderingsformat Området Diagramval Området Grafikinställningar Området Axlar, lä,ge Området Axlar, lä,geriktighet Knappen Ta bort info Knappen Skapa

Infoga rutor för utvärderingsinformation

Dialogrutan Redigera utvärderingsinformation

Med menyalternativet Infoga | Rapportkommandon | Utvärderingstinfo kan du öppna Redigera utvärderingsinformation. I den här dialogrutan kan du skapa ett UTVINFO-kommando som visar den valda utvärderingsinformationen i Grafikfönstret. Mer information om hur du ändrar ett UTVINFO-kommando i Redigeringsfönstret finns i Kommandot UTVINFO.

Exempel på rutan Utvärderingsinfo

I utvärderingslistan inuti dialogrutan visas en asterisk (*) om utvärderingen redan innehåller en UTVINFO-textruta och tecknet "#" visas om UTVINFO-rutan är dold för visning i Grafikfönstret.

Exempel på en utvärderingslista som visar befintliga och dolda UTVINFO-rutor

Med kryssrutan Auto (under området Utvärderingsformat i den här dialogrutan) kan du automatiskt bestämma lämpligt utskriftsformat för visning av en utvärdering, baserat på vilken typ av utvärdering du valt. Markera de önskade kryssrutorna för Utvärderingsformat om du vill ändra det här alternativet. I PC-DMIS indikeras ordningen på valda utdata genom att en siffra visas till vänster om kryssrutan. På så vis kan du ändra ordningen på formatet för att uppfylla dina behov. Du kan avmarkera en kryssruta genom att klicka på den en andra gång.

Om det här alternativet visas kan du trycka och hålla ner CTRL-tangenten medan du med vänster musknapp klickar på ett element i Grafikfönstret. Eventuella utvärderingar som använder det valda elementet kommer att markeras i rutan Utvärderingar.

I den här dialogrutan Redigera utvärderingsinformation kan du redigera den utvärderingsinformation som visas. Följande ämnen beskriver den här dialogrutans olika kommandon och alternativ.

Mer:

Regler för skapande av utvärderingsinformation

Visningsalternativ

Diagramval

Grafikinställningar

Utvärderingsformat

Axlar, läge

Axlar, lägeriktighet

Ta bort info.

Kommandot UTVINFO


Regler för skapande av utvärderingsinformation

När du skapar rutan UTVINFO i dialogrutan Redigera utvärderingsinformation visas endast de utvärderingar som finns ovanför insättningspunktens aktuella position i rutan Utvärderingar.

När du skapar UTVINFO-rutor i textfältsläge och väljer rutor i Grafikfönstret kommer inte en UTVINFO-ruta att skapas för varje element som du väljer. Sådana rutor skapas endast för de element som finns ovanför insättningspunktens aktuella position.

Om detaljprogrammet innehåller flera vyer visas UTVINFO-rutan endast i den vy som innehåller motsvarande utvärdering och i vyer under denna. Till exempel kan du se till att följande kommandon finns i detaljprogrammet:

VY1

E1 = ELEMENT

VY2

VY3

U1 = UTVÄRDERING

VY4

Du kan endast lägga till en UTVINFO-ruta för elementet E1 om insättningspunkten finns nedanför U1. När UTVINFO-rutan har skapats visas den i VY3 och VY4, men inte i VY1 eller VY2.


Visningsalternativ

För området Visningsalternativ finns olika visningsmöjligheter för varje utvärdering i Grafikfönstret. Följande alternativ finns:

Ikon | Med den här kryssrutan kan du slå på eller av visningen av lämplig utvärderingsikon i rubrikdelen av rutan Utvärderingsinfo.
Utvärderings-ID | Med den här kryssrutan kan du slå på eller av visningen av utvärderingens ID i Grafikfönstret.
Element-ID | Med den här kryssrutan kan du slå på eller av visningen av ID:t för det element som utvärderas.
Visa rubriker | Med den här kryssrutan kan du slå på eller av visningen av kolumnrubriker i rutan Utvärderingsinfo.
Lodräta linjer | Med den här kryssrutan kan du slå på eller av visningen av lodräta linjer mellan kolumner i rutan Utvärderingsinfo.
Vågräta linjer | Med den här kryssrutan kan du slå på eller av visningen av vågräta linjer mellan rader i rutan Utvärderingsinfo.


Diagramval

Med alternativet Diagramval kan du välja att använda en grafisk visning av utvärderingen som procentandelar i rutan Utvärderingsinfo.

Mer:

Ingen

Sämsta axel

Varje axel


Ingen

Markera det här alternativet om du inte vill visa ett diagram i rutan Utvärderingsinfo.


Sämsta axel

Markera det här alternativet om du vill visa ett diagram längst upp i rutan Utvärderingsinfo. Endast den sämsta utvärderingsprocentandelen kommer att användas i diagrammet.


Varje axel

Markera det här alternativet om du vill visa ett diagram med utvärderingsprocent för varje axel i rutan Utvärderingsinfo.

Rutan Utvärderingsinfo


Grafikinställningar

Området Inställningar

I området Inställningar kan du ange bakgrundsfärg och linjefärg för den aktuella Punktinfo-rutan. Du kan också ange om en skugga ska visas kring rutans kant.

För att ändra grafikinställningarna för rutan Punktinfo väljer du ett alternativ i området och klickar på Skapa eller på OK.

Du kan ange standardgrafikinställningar för nya Punktinfo-rutor som du skapar genom att markera önskade alternativ och sedan klicka på knappen Standard i området Inkludera.


Utvärderingsformat

Med kryssrutorna i området Utvärderingsformat kan du välja vilken typ av information som ska visas i Grafikfönstret för varje utvärdering. Om du markerar kryssrutan Visa i dialogrutan för en utvärdering visas informationen i Grafikfönstret.

Utvärderingsdata som visas för elementet CIR1 i Grafikfönstret.

Följa kryssrutor är tillgängliga i området Utvärderingsinfo i dialogrutan:

Auto | När den här kryssrutan är markerad visas följande information: Mätt, Nominell, Toleranser, Avvikelse, MaxMin, UtomTol.
Mätt | När den här kryssrutan är markerad visas de faktiskt mätta utvärderingarna.
Nominell | När den här kryssrutan är markerad visas utvärderingens teoretiska värden.
Toleranser | När den här kryssrutan är markerad visas de acceptabla toleranserna både över och under det nominella värdet.
Avvikelse | När den här kryssrutan är markerad visas det mätta värdets avvikelse från det nominella värdet.
Min/max | När den här kryssrutan är markerad visas utvärderingens största och minsta värden.
Utom tol. | När den här kryssrutan är markerad visas hur långt utanför toleransen det mätta värdet ligger från det nominella värdet och toleransvärdet.
Medelvärde | När den här kryssrutan är markerad visas genomsnittet av utvärderingens alla avvikelser.
Std.avv. | När den här kryssrutan är markerad visas standardavvikelsen för utvärderingens alla avvikelser.
Antal punkter | När den här kryssrutan är markerad visas det antal punkter som används för att mäta utvärderingens element.

Mer:

Knappen Återställ


Knappen Återställ

Med knappen Återställ kan du avmarkera eventuellt markerade kryssrutor i det här området och markera kryssrutan Auto.


Axlar, läge

I den här tabellen finns en beskrivning av tillgängliga Lägesaxlar och deras funktioner som du kan välja bland när du redigerar utvärderingsinformation.

Sämsta | Det här alternativet använder den axel som ger det sämsta tillståndet utanför toleransen. I PC-DMIS sker en genomsökning av tillgängliga axlar och den axel som ger det sämsta scenariot för utvärderingen väljs.
Anv. utv. axlar | Med det här alternativet används helt enkelt de axlar som tidigare definierats i utvärderingens dialogruta.
X | Visar värdet för X-axeln.
Y | Visar värdet för Y-axeln.
Z | Visar värdet för Z-axeln.
PRad | PRad står för Polär radie. Med det här alternativet väljs Polära koordinater.
PVnk | PVnk står för Polär vinkel. Med det här alternativet väljs kartesiska koordinater.
D | Visar diameterns värde.
R | Visar radiens (halva diameterns) värde.
A | Visar vinkelns (för koner) värde.
L | Visar längden (används för cylindrar, spår, koner och ellipser).
H | Visar höjden.
V | Visar vektorns läge.
T | Visar felet längs anloppsvektorn (för punkter på böjda ytor).
RT | Visar avvikelsen längs rapportvektorn.
S | Visar avvikelsen längs ytvektorn.
RS | Visar avvikelsen längs ytrapporten.
PD | Visar diametern för en cirkel (rätvinkligt mot stiftets vektor).
Form | Visar elementets integrerade formutvärdering. Se Standardaxlar för lägesutvärderingar i avsnittet Utvärdera element.


Axlar, lägeriktighet

I den här tabellen finns en beskrivning av tillgängliga axlar för lägeriktighet och deras funktioner som du kan välja bland när du redigerar utvärderingsinformation.

Sämsta | Markera den här kryssrutan om du vill använda den axel som ger det sämsta tillståndet utanför toleransen. I PC-DMIS sker en genomsökning av tillgängliga axlar och den axel som ger det sämsta scenariot för utvärderingen väljs.
Anv. utv. axlar | Markera den här kryssrutan om du helt enkelt vill använda de axlar som tidigare definierats i utvärderingens dialogruta.
X | Markera den här kryssrutan om du vill visa X-axelns värde.
Y | Markera den här kryssrutan om du vill visa Y-axelns värde.
Z | Markera den här kryssrutan om du vill visa Z-axelns värde.
PRad | PRad står för Polär radie. Med det här alternativet väljs Polära koordinater.
PVnk | PVnk står för Polär vinkel. Markera den här kryssrutan om du vill använda kartesiska koordinater.
PA | Markera den här kryssrutan om du vill visa polärvinkelns värde.
PR | Markera den här kryssrutan om du vill visa polärradiens värde.
DF | Markera den här kryssrutan om du vill visa elementets diameter.
TP | Markera den här kryssrutan om du vill visa lägeriktighetstoleransen och avvikelsen från denna.
D1 | Markera den här kryssrutan om du vill visa värdet för den första referensens diameter/bredd.
D2 | Markera den här kryssrutan om du vill visa värdet för den andra referensens diameter/bredd.
D3 | Markera den här kryssrutan om du vill visa värdet för den tredje referensens diameter/bredd.
Form | Markera den här kryssrutan om du vill visa elementets integrerade formutvärdering. Se Standardaxlar för utvärdering av lägeriktighet i avsnittet Utvärdera element.


Ta bort info.

Med knappen Ta bort info. tar du bort alla PUNKTINFO-kommandon i detaljprogrammet.


Kommandot UTVINFO

Du skapar kommandot UTVINFO i dialogrutan Redigera utvärderingsinformation (Infoga | Rapportkommandon | Utvärderingsinfo).

När du infogar ett UTVINFO-kommando i ett detaljprogram visas utvärderingsdata i Grafikfönstret. Du kan ändra ett UTVINFO-kommando i Redigeringsfönstret. Så här ser kommandoraden för ett UTVINFO-kommando ut:

UTVINFO/Utv-ID ;IKON,UtvID,ElemID,VERT,HORIS; RUBRIKER, "DIAGRAMVAL";"INKLUDERA”, ,$
“UTSKRIFT AV AXLAR”

Utv-ID = ID på den utvärdering som du valt att visa.

IKON = En växlingssträng där ingenting visas när den har värdet AV och "IKON" när den har värdet PÅ. När den har värdet PÅ visar UTVINFO utvärderingens eller elementets ID med tillhörande ikon.

UtvID = En växlingssträng där ingenting visas när den har värdet AV och "UtvID" när den har värdet PÅ. När den har värdet PÅ visar UTVINFO utvärderingens ID med utvärderingsinformation.

ElemID = En växlingssträng där ingenting visas när den har värdet AV och "ElemID" när den har värdet PÅ. När den har värdet PÅ visar UTVINFO ID:t för utvärderingens första element med utvärderingsinformation.

VERT = En växlingssträng där ingenting visas när den har värdet AV och "VERT" när den har värdet PÅ. När den har värdet PÅ visas UTVINFO med de lodräta linjerna mellan kolumnerna.

HORIS = En växlingssträng där ingenting visas när den har värdet AV och "HORIS" när den har värdet PÅ. När den har värdet PÅ visas UTVINFO med de vågräta linjerna mellan raderna.

RUBRIKER = En växlingssträng där ingenting visas när den har värdet AV och "RUBRIKER" när den har värdet PÅ. När den har värdet PÅ visas kolumn- och radrubrikerna i rutan Utvärderingsinfo.

DIAGRAMVAL = Med alternativet Diagramval kan du välja att använda en grafisk visning av utvärderingen som procentandelar i rutan Utvärderingsinfo. De värden som du kan växla mellan är Sämsta axel och Varje axel. Om växlingssträngen är tom kommer inget diagram att visas i rutan.

INKLUDERA = Formatet på den utvärderingsinformation som visas kommer att baseras på den valda ordningen. Tillgängliga alternativ för utdata är MÄTT, NOM, TOL, AVV, MAX/MIN, UTOM_TOL, MEDELVÄRDE, STDAVV och ANT_PKTR. Varje alternativ får bara förekomma en gång.

UTSKRIFT AV AXLAR = Formatet på de utvärderingsaxlar som kommer att visas, baserat på den valda ordningen. Vilka axlar som är tillgängliga beror på utvärderingstypen. Alla läges- och lägeriktighetsaxlar ingår. Om ANV_UTV står i den första axelpositionen kommer de axlar som angetts i utvärderingen att visas i UTVINFO. Om SÄMSTA står i någon axelposition visas den axel med det största värdet utom tolerans. Det här är endast tillgängligt för utvärderingar av läge eller lägeriktighet. Varje axel får inte förekomma mer än en gång.


Infoga punktinfoetiketter

Dialogrutan Redigera punktinformation

Med menyalternativet Infoga | Rapportkommandon | Punktinfo kan du öppna Redigera punktinformation. I den här dialogrutan skapar du ett PUNKTINFO-kommando som du kan använda för att visa information om enskilda punkter i Grafikfönstret i rutan Punktinfo. Mer information om hur du ändrar ett PUNKTINFO-kommando i Redigeringsfönstret finns i Kommandot PUNKTINFO.

Så här visar du information om enskilda punkter i Grafikfönstret med dialogrutan Redigera punktinformation:

  1. Öppna dialogrutan Redigera punktinformation genom att välja Punktinfo på huvudmenyn.

  2. Du ser nu att elementen visas i rutan Element och att utvärderingar visas i rutan Utvärderingar.

  3. Markera minst ett element eller en utvärdering. De enskilda punkterna som är kopplade till elementet visas i rutan Mätpunkter.

  4. Markera de punkter i rutan Mätpunkter som du vill visa. Om du markerar mer än en utvärdering eller ett element kommer alla utvärderingens/elementets punkter att visas i punktinformation.

  5. Kontrollera att kryssrutan Visa punktinformation är markerad.

  6. Klicka på knappen Verkställ. Information om markerade mätpunkter visas i rutan Punktinfo i Grafikfönstret.

Rutan Punktinfo som visar den första mätpunkten i ett cirkelelement

I varje Punktinfo-ruta kan mätpunktens nummer, XYZ-positionen, IJK-vektorn och avvikelsen för en viss mätpunkt visas.

Du kan ändra, spara eller flytta format på samma sätt som du anger och flyttar format i rutan Utvärderingsinfo.

Mer:

Inkludera

Mätpunkter

Området Element

Området Utvärderingar

Ta bort info.

Kommandot PUNKTINFO

Grafikinställningar

Filter


Inkludera

I den här delen av dialogrutan kan du bestämma vilken typ av information som ska visas i Grafikfönstrets område bredvid ett element eller en utvärdering. När du markerar eller avmarkerar kryssrutorna i det här området måste du klicka på knappen Skapa (Verkställ när du redigerar) eller på OK för att välja eller ta bort information som ska visas.

Mer:

Punkt nr.

Punkt

Vektor

Avvikelse

Ikon

Visa ID

Typ

Visa rubriker

Grafik

Lodräta linjer

Vågräta linjer


Punkt nr.

Med kryssrutan Punkt nr kan du välja att visa mätpunktssekvensen för en punkt på ett element.

Exempel: Om det normalt krävs fyra mätpunkter för en cirkel och du har valt en av de mätpunkter som används för att mäta cirkeln, kommer, när du markerar den här kryssrutan, en siffra att visas (från ett till fyra) som indikerar vilken mätpunkt det var i sekvensen 1, 2, 3 eller 4..


Punkt

Genom att markera kryssrutan Punkt kan du visa den valda mätpunktens X-, Y- och Z-värden.


Vektor

Markera kryssrutan Vektor om du vill visa den valda mätpunktens IJK-vektor.


Avvikelse

Med kryssrutan Avvikelse kan du styra visningen av en punkts avvikelse från det nominella värdet.

  • För element är punktavvikelsen avståndet mellan de mätta mätpunkterna och de faktiska mätpunkterna.

  • För utvärderingar är punktavvikelsen kopplad till utvärderingstypen och är lika med den avvikelse som visas för enskilda punkter i utvärderingens textanalys.


Ikon

Med kryssrutan Ikon kan du välja att visa ett elements ikon i rubrikdelen av rutan Punktinfo.


Visa ID

Med kryssrutan Visa ID kan du visa ID:t för ett visst element eller en viss utvärdering.


Typ

Med kryssrutan Typ kan du visa vilken typ av element eller utvärdering som visas.


Visa rubriker

Med kryssrutan Visa rubriker kan du välja att visa radrubrikerna i rutan Punktinfo.


Grafik

Med kryssrutan Grafik kan du välja att visa ett diagram över utvärderingens procentandelar i rutan Punktinfo.


Lodräta linjer

Med kryssrutan Lodräta linjer kan du välja att visa eller dölja lodräta linjer i rutan Punktinformation.


Horisontella linjer

Med kryssrutan Horisontella linjer kan du välja att visa eller dölja horisontella linjer i rutan Punktinformation.


Mätpunkter

I det här området i dialogrutan kan du välja att visa enstaka mätpunkter för ett element eller en utvärdering.

Mer:

Listruta


Listruta

I listrutan Mätpunkter visas en lista över all de mätpunkter som är kopplade till ett visst element eller en viss utvärdering. Du behöver bara markera de mätpunkter för vilka du vill visa information.


Området Element

I den här delen av dialogrutan kan du välja ett enskilt element. De mätpunkter som är kopplade till det elementet visas i rutan Mätpunkter.

Mer:

Listruta


Listruta

Rutan Element innehåller en lista över alla element som är kopplade till ett visst detaljprogram. Du behöver bara markera det element för vilket du vill visa information.


Området Utvärderingar

I listan Utvärderingar kan du välja en enskild utvärdering. De mätpunkter som är kopplade till den utvärderingen visas i rutan Mätpunkter.

Mer:

Listruta


Listruta

Rutan Utvärderingar innehåller en lista över alla utvärderingar som är kopplade till ett visst detaljprogram. Du behöver bara markera den utvärdering för vilken du vill visa information.


Ta bort info.

Med knappen Ta bort info. tar du bort alla UTVINFO-kommandon i detaljprogrammet.


Kommandot PUNKTINFO

Du skapar kommandot PUNKTINFO i dialogrutan Redigera punktinformation (Infoga | Rapportkommandon | Redigera punktinformation).

När du infogar ett PUNKTINFO-kommando i ett detaljprogram visas rutan Punktinfo i Grafikfönstret. Du kan ändra ett PUNKTINFO-kommando i Redigeringsfönstret. Så här ser kommandoraden för ett PUNKTINFO-kommando ut:

PUNKTINFO/Utv-ID eller Elem-ID; FILTER FILTERTYP FILTERNUMMER;IKON,ID,TYP,VERT,HORIS; RUBRIKER, GRAF; ”UTSKRIFTSFORMAT” ,$
“PUNKTNUMMER”

Utv-ID eller Elem-ID = ID på den utvärdering eller det element som du vill visa.

FILTERTYP = En växlingssträng som visar något av filteralternativen INGET, INTERVALL, SÄMSTA, AVVIKELSE eller UTOM_TOL.

FILTERNUMMER = Ett nummerfält som är tillgängligt när filteralternativet är INTERVALL, SÄMSTA eller AVVIKELSE.

IKON = En växlingssträng där ingenting visas när den har värdet AV och "IKON" när den har värdet PÅ. När den har värdet PÅ visar PUNKTINFO utvärderingens eller elementets ID med tillhörande ikon.

ID = En växlingssträng där ingenting visas när den har värdet AV och "ID" när den har värdet PÅ. När den har värdet PÅ visar PUNKTINFO utvärderingens eller elementets ID med punktinformation.

TYP = En växlingssträng där ingenting visas när den har värdet AV och "TYP" när den har värdet PÅ. När den har värdet PÅ visar PUNKTINFO utvärderingens eller elementets typ (d.v.s. CIRKEL, PUNKT, RUNDHET, LÄGE) med punktinformationen.

VERT = En växlingssträng där ingenting visas när den har värdet AV och "VERT" när den har värdet PÅ. När den har värdet PÅ visas PUNKTINFO med lodräta linjer mellan kolumnerna.

HORIS = En växlingssträng där ingenting visas när den har värdet AV och "HORIS" när den har värdet PÅ. När den har värdet PÅ visas PUNKTINFO med lodräta linjer mellan raderna.

RUBRIKER = En växlingssträng där ingenting visas när den har värdet AV och "RUBRIKER" när den har värdet PÅ. När den har värdet PÅ visas kolumn- och radrubrikerna i rutan Punktinfo.

GRAF = En växlingssträng där ingenting visas när den har värdet AV och "GRAF" när den har värdet PÅ. När den har värdet PÅ visas utvärderingens procentandelar grafiskt i rutan Punktinfo.

UTSKRIFTSFORMAT = Formatet på den punktinformation som visas kommer att baseras på den valda ordningen. Tillgängliga utskriftsalternativ är MÄTPKT, PKT, V och AVV. Varje alternativ får bara förekomma en gång.

PUNKTNUMMER = Mätpunktnumren är de specifikt numrerade mätpunkterna som just det här PUNKTINFO-kommandot styr. Du kan visa flera mätpunkter med samma PUNKTINFO-kommando. Varje fält bland punktnumren är en växlingssträng. När en mätpunkt är PÅ är strängen i nummerläget dess mätpunktsnummer (1, 2, 3 o.s.v.). När en mätpunkt är AV är växlingssträngen tom.


Grafikinställningar

I området Inställningar kan du ange bakgrundsfärg och linjefärg för den aktuella rutan med utvärderingsinformation i Grafikfönstret. Du kan också ange om en skugga ska visas kring rutans kant i PC-DMIS.

För att ändra grafikinställningarna för rutan Utvärderingsinfo väljer du ett alternativ i området och klickar på Skapa eller på OK.

Du kan även ange standardgrafikinställningar för nya Utvärderingsinfo-rutor som du skapar. Det gör du genom att markera önskade alternativ och sedan klicka på knappen Standard i området Utvärderingsformat.


Filter

Området Filter

I Filter-området kan du ange de filteralternativ du vill använda för visning av information om enskilda punkter.

Mer:

Filter: Inget

Filter: Mätpkt.intervall

Filter: Sämsta

Filter: Avv. över

Filter: Utom tolerans


Filter: Inget

Med alternativet Inget kan du instruera PC-DMIS att inte använda filtrering för kommandot PUNKTINFO. Alla de valda mätpunkterna kommer att visas med kommandot PUNKTINFO.


Filter: Mätpkt.intervall

Med alternativet Mätpkt.intervall kan du genomföra en kontroll av heltalsvärdet i rutan till höger och endast visa det mätpunktsintervall som valts med kommandot PUNKTINFO. Om du t.ex. anger värdet 2, kommer varannan mätpunkt att visas. Om du anger värdet 3, kommer var tredje mätpunkt att visas o.s.v.


Filter: Sämsta

Med alternativet Sämsta kan du genomföra en kontroll av heltalsvärdet i rutan till höger och endast visa mätpunkterna med de sämsta avvikelserna i utvärderingen. Om du t.ex. anger 3 i rutan kommer kommandot PUNKTINFO att endast visa de tre sämsta avvikelserna.


Filter: Avv. över

Med alternativet Avv. över kan du genomföra en kontroll av heltalsvärdet i rutan till höger och endast visa mätpunkterna med avvikelser som är större än det här värdet. Om du t.ex. anger värdet 0.01 i rutan kommer avvikelser på 0.013 och –0.015 att visas, medan avvikelser på 0.003 och –0.005 inte visas.


Filter: Utom tolerans

Med alternativet Utom tolerans kan du välja att visa mätpunkterna med avvikelser som ligger utanför tolerans.

För mätpunkter som är kopplade till element (inte kopplade till utvärderingar) kommer endast mätpunkterna med avvikelser som är större än värdet för Visa avvikelsetolerans på fliken Allmänt i dialogrutan Inställningsval att visas. Se Visa avvikelsetolerans i avsnittet Göra inställningar.


Infoga programmeringskommentarer

Dialogrutan Kommentarer

Med menyalternativet Infoga | Rapportkommandon | Kommentar kan du i Redigeringsfönstret lägga till operatörsanteckningar eller instruktioner som kommer att visas i rutan Kommentarstext när detaljprogrammet körs eller rapporten skrivs ut. Det finns ingen gräns för hur lång kommentaren får vara, men i kommandoläget ryms endast 255 tecken per rad. När texten når höger sida av Redigeringsfönstret rycker du på RETUR. (På så vis kan hela texten visas i Kommentarstext.) Sätt insättningspunkten på den plats där du önskar infoga rutan Kommentarstext och tryck på RETUR för att skapa en ny rad.

För att visa dialogrutan Kommentar väljer du Kommentar på menyn.

Använda variabler i kommentarssträngar

Anta att du vill lägga till eller addera en variabel med en befintlig kommentarssträng. Det finns två sätt att göra det. I det första trycker du på RETUR and anger variabeln på en ny rad, så här:

K1=KOMMENTAR/INMATN,NEJ,'Ange din variabel'

TILLDELA/V1={K1.INMATN}

KOMMENTAR/OPER,NEJ,Din variabel V1 är

,V1

I det andra kan du placera dem på samma rad genom att omge strängen som inte är en variabel med citattecken och använda plusteckenoperatorn för att lägga till variabeln i strängen, så här:

KOMMENTAR/OPER,NEJ,"Din variabel V1 är " + V1

Mer:

Operatör

Rapport

Inmatn

Dokument

Ja / Nej

Avläsning

Kommentarstext


Operatör

Med det här alternativet kan du visa text när ett detaljprogram körs.

Så här använder du alternativet Operatör:

  1. Välj menyalternativet Kommentar. Dialogrutan Kommentar visas. Visa menykarta

  2. Välj alternativet Operatör.

  3. Skriv din text i rutan Kommentarstext.

  4. När du är klar med dina kommentarer klickar du på OK (eller trycker på RETUR-tangenten) för att stänga dialogrutan.

När detaljprogrammet körs visas de aktuella kommentarerna i en meddelanderuta. (Du kan inte redigera det här meddelandet i PC-DMIS.) Klicka på OK för att stänga meddelanderutan.

Kommandoraden i Redigeringsfönstret för det här alternativet ser ut så här:
KOMMENTAR/ALT1,kommentarstext

ALT1 = I det här JA/NEJ-fältet kan du ange om kommentaren ska visas i rapporten.


Rapport

Med det här alternativet kan du skicka text till rapporten.

Så här använder du alternativet Rapport:

  1. Välj menyalternativet Kommentar. Dialogrutan Kommentar visas. Visa menykarta

  2. Välj alternativet Rapport.

  3. Skriv din text i rutan Kommentarstext.

  4. När du är klar med dina kommentarer klickar du på OK (eller trycker på RETUR-tangenten) för att stänga dialogrutan.

När detaljprogrammet körs visas inte de här meddelandena. Kommentarerna kommer dock att infogas i rapporten när den skrivs ut.

Så här ser kommandoraden för det här alternativet ut i Redigeringsfönstret:
KOMMENTAR/RAPP,kommentarstext

Obs! Om du vill lägga till bindestreck (eller andra tecken) under texten i rapporten använder du en andra kommentarsrad för att skapa ytterligare en teckenrad.
Exempel:
KOMMENTAR/RAPP,Kommentar i rapporten
      KOMMENTAR/RAPP,-----------------------------------

Med den här uppsättningen kommandorader skapar du en kommentarsrad i rapporten.


Inmatn

Alternativet Inmatn liknar alternativet Operatör på så vis att du kan visa text medan du kör ett detaljprogram. Förutom att ett meddelande med den tidigare angivna texten visas, visas även en kommentarsruta. På så vis kan du ange numerisk information som kommer att skrivas ut i rapporten.

Det här alternativet är till stor hjälp för användare som vill ange ett detaljnummer eller serienummer medan de kör detaljprogrammet. I meddelanderutan kan du ange det aktuella numret (t.ex. serienumret) och sedan visa det här numret i rapporten.

Så här använder du alternativet Inmatn:

  1. Flytta insättningspunkten till den plats i Redigeringsfönstret där du vill infoga det här alternativet.

  2. Välj menyalternativet Kommentar. Dialogrutan Kommentar visas. Visa menykarta

  3. Välj alternativet Inmatn.

  4. Skriv din text i rutan Kommentarstext.

  5. När du är klar med dina kommentarer klickar du på OK (eller trycker på RETUR-tangenten) för att stänga dialogrutan.

Inmatningen tilldelas också till den variabel som anges till vänster om kommandot. Variabeln tvingas vara av typen sträng. Du kan använda den här variabeln var som helst där ett uttryck är tillåtet.

Så här ser kommandoraden för det här alternativet ut i Redigeringsfönstret:
kommentar-ID = KOMMENTAR/INMATN, ALT1 kommentarstext

ALT1 = I det här JA/NEJ-fältet kan du ange om kommentaren ska visas i rapporten.


Dokument

Med det här alternativet kan du lägga till text i det interna programmet. Det här alternativet används endast för att dokumentera programmerarens anteckningar. Texten skickas inte till rapporten och den visas inte vid körning. Det är helt enkelt ett alternativ för dokumentation i Redigeringsfönstret.

Så här använder du alternativet Dokument:

  1. Flytta insättningspunkten till den plats i Redigeringsfönstret där du vill infoga din text.

  2. Välj menyalternativet Kommentar. Dialogrutan Kommentar visas. Visa menykarta

  3. Välj alternativet Kommentar.

  4. Skriv din text i rutan Kommentarstext.

  5. När du är klar med dina kommentarer klickar du på OK (eller trycker på RETUR-tangenten) för att stänga dialogrutan.

Så här ser kommandoraden för det här alternativet ut i Redigeringsfönstret:

$$ ALT01, Redigera kommentarstexten.

ALT1 = I det här JA/NEJ-fältet kan du ange om kommentaren ska visas i rapporten.

Obs! När du i den aktuella versionen öppnar ett detaljprogram som sparats i en senare version kommer eventuella kommandon som inte stöds av den aktuella versionen att visas som DOK-kommentarer. Se Spara som i avsnittet Använda grundläggande filalternativ.


Ja / Nej

Alternativet Ja / Nej liknar alternativet Operatör på så vis att du kan visa text medan du kör ett detaljprogram. Förutom att ett meddelande med den sedan tidigare angivna texten visas finns knapparna Ja och Nej för användaren att klicka på. Därmed kan du ställa enkla frågor till användaren. Svaren på dessa frågor visas i detaljprogrammet och kan nås via kommentarens ID. Om kommentaren har t.ex. ID:t K1 och användaren svarar Ja kommer uttrycket "K1.INMATN" att ha värdet JA. Om användaren klickar på Nej kommer uttrycket "K1.INMATN" att få värdet NEJ. Det här alternativet är praktiskt för användare som vill använda en förgrening eller en slinga vid svaret Ja eller Nej.

Så här använder du alternativet Ja / Nej:

  1. Placera insättningspunkten där du vill infoga KOMMENTAR/JANEJ-kommandot i Redigeringsfönstret.

  2. Välj menyalternativet Kommentar. Dialogrutan Kommentar visas. Visa menykarta

  3. Markera alternativet Ja / Nej.

  4. Skriv din text i rutan Kommentarstext.

  5. När du är klar med dina kommentarer klickar du på OK (eller trycker på RETUR-tangenten) för att stänga dialogrutan.

Så här ser kommandoraden för det här alternativet ut i Redigeringsfönstret:
 kommentar-ID = KOMMENTAR/JANEJ, ALT1, kommentarstext

ALT1 = I det här JA/NEJ-fältet kan du ange om kommentaren ska visas i rapporten.

Viktigt! När du använder en villkorlig förgreningssats för att kontrollera värdet av en JA/NEJ-kommentar måste du tänka på att kontrollen ska söka efter värden där "JA" eller "NEJ" är i versaler. "Ja" eller "Nej" som innehåller gemener fungerar inte. Mer information om programförgrening finns i avsnittet Förgrening genom användning av programflödeskommandon.


Avläsning

Med alternativet Avläsning kan du visa kommentarstexten längst ner i Koordinatvisningsfönstret. Du måste markera kryssrutan Visa historik i dialogrutan Inställningar, koordinatvisning för att detta ska fungera.

Så här använder du alternativet Ja / Nej:

  1. Placera insättningspunkten där du vill infoga KOMMENTAR/JANEJ-kommandot i Redigeringsfönstret.

  2. Välj menyalternativet Kommentar. Dialogrutan Kommentar visas. Visa menykarta

  3. Markera alternativet Ja / Nej.

  4. Skriv din text i rutan Kommentarstext.

  5. När du är klar med dina kommentarer klickar du på OK (eller trycker på RETUR-tangenten) för att stänga dialogrutan.

Kommandoraden i Redigeringsfönstret för det här alternativet ser ut så här:
KOMMENTAR/AVLÄSNING,ALT1,kommentarstext

ALT1 = I det här JA/NEJ-fältet kan du ange om kommentaren ska visas i rapporten.

Mer information om om hur du ställer in det här alternativet finns i Konfigurera Koordinatvisningsfönstret i avsnittet Göra inställningar.

Mer information om koordinatvisningsfönstret finns i Använda Koordinatvisningsfönstret i avsnittet Använda andra fönster, redigerare och verktyg.


Kommentarstext

Rutan Kommentarstext innehåller den text som du vill visa i samband med de alternativ för Kommentarstyp som visas här:

  • Operatör

  • Rapport

  • Inmatn

  • Dokument

  • Ja / Nej

  • Avläsning


Bädda in HyperView-rapporter

Bädda in HyperView-rapporter eller -rapportmallar

Så här bäddar du in en HyperView-rapport eller -rapportmall i ett detaljprogram:

  1. Välj menyalternativet Infoga | Rapportkommandon | HyperView-rapport. Dialogrutan Infoga rapportmall öppnas. Visa menykarta

  2. I listan Filformat väljer du Rapporter (*.rpt) eller Rapportmallar (*.rtp).

  3. Bläddra fram till den mapp som innehåller filen som du vill bädda in och välj filen.

  4. Klicka på knappen Öppna.

Kommandoblocket RAPPORT/FILNAMN infogas i Redigeringsfönstret vid insättningspunkten.

Mer information finns i Bädda in en HyperView-rapport eller -rapportmall i ett detaljprogram i avsnittet Rapportera mätresultat.


Infoga externa objekt

Välj menyalternativet Infoga | Rapportkommandon | Externa objekt för att lägga till externa objekt i en rapport. Mer information finns i avsnittet Lägga till externa element.


Infoga ett utskriftskommando

I PC-DMIS kan du infoga ett SKRIV/RAPPORT-kommando i Redigeringsfönstret. När du väljer och kör kommandot tvingar du innehållet i Redigeringsfönstret att skickas till den definierade utskriftsdestinationen (en skrivare eller en fil).

Så här infogar du ett SKRIV/RAPPORT-kommando i Redigeringsfönstret:

  1. Öppna Redigeringsfönstret (Visa | Redigeringsfönster). Visa menykarta

  2. Klicka på ikonen kommandoläge i verktygsfältet i Redigeringsfönstret. PC-DMIS övergår till kommandoläge.

  3. Välj menyalternativet Infoga | Rapportkommandon | Utskriftskommando (eller skriv SKRIV på önskad plats och tryck på TABB-tengenten). I PC-DMIS visas SKRIV/RAPPORT-kommandot liksom de olika alternativen som du kan konfigurera. Visa menykarta

Du använder SKRIV/RAPPORT-kommandot för att styra utskriften av rapporter i Redigeringsfönstret inifrån ett detaljprogram. När kommandot nås under programmets körning genereras en rapport som skickas till den angivna utskriftsdestinationen.

Obs! Alla de alternativ som blir tillgängliga via menyalternativet Utskriftsformat, Redigeringsfönster (med undantag för DMIS utskriftsalternativ) är även tillgängliga genom det här kommandot.

Mer information om utskrifter i Redigeringsfönstret finns i Skriva ut från Redigeringsfönstret i avsnittet Använda grundläggande filalternativ.

Mer:

Om syntax för kommandot SKRIV/RAPPORT

Redigera kommandot SKRIV/RAPPORT


Om syntax för kommandot SKRIV/RAPPORT

Det här kommandot använder följande syntax:

SKRIV/RAPPORT,TILL_FIL=PÅ,ALT1,$

TILL_SKRIVARE=AV,UTKAST=AV,$

TIDIGARE_KÖRNINGAR=ALT2

TILL_FIL = Använd det här alternativet för att bestämma om den utskrivna rapporten ska skickas till en fil (PÅ) eller inte (AV).

ALT1 = Det här är ett växlingsfält som styr vilken åtgärd som tas när du skriver till en fil. De tillgängliga alternativen är LÄGG_TILL/ AUTO / SKRIV_ÖVER / FRÅGA. Beroende på vilket alternativ du väljer varierar den information som visas till höger om fältet ALT1.

LÄGG_TILL = Använd det här alternativet för att lägga till rapportinformationen i en fil med ett visst namn. När du väljer alternativet LÄGG_TILL följs det här nyckelordet av ett filnamnsfält, t.ex. LÄGG_TILL=D:\RAPPORTER\FIL001.RTF . Observera att du måste ange den fullständiga sökvägen till filen. Annars tolkas det i PC-DMIS som samma katalog som detaljprogrammet. Om filen inte redan finns kommer den dessutom att skapas när kommandot SKRIV/RAPPORT körs.

AUTO = Använd det här alternativet för att generera rapportens filnamn automatiskt. När du väljer alternativet AUTO följs det här nyckelordet av ett numeriskt fält, t.ex. AUTO=10. Det skapade filnamnet kommer att vara detsamma som namnet på detaljprogrammet med ett tillagt sifferindex och filtillägget .RTF. Den skapade filen kommer även att sparas i samma katalog som detaljprogrammet. Om det redan finns en fil med samma namn som det skapade filnamnet görs det vid användning av alternativet AUTO ett tillägg till indexet så att namnet blir unikt.

SKRIV_ÖVER = Använd det här alternativet för att skriva över rapportinformationen i en fil med ett visst namn. När du väljer alternativet SKRIVA_ÖVER följs det här nyckelordet av ett filnamnsfält, t.ex. SKRIVA_ÖVER=D:\RAPPORTER\FIL001.RTF . Observera att du måste ange den fullständiga sökvägen till filen. Annars tolkas det i PC-DMIS som samma katalog som detaljprogrammet. Om filen inte redan finns kommer den dessutom att skapas när kommandot SKRIV/RAPPORT körs.

FRÅGA Använd det här alternativet om du vill att användaren, via dialogrutan Spara som, ska ange filnamnet där rapportinformationen ska skrivas.

TILL_SKRIVARE = Använd det här alternativet för att bestämma om den utskrivna rapporten ska skickas till en skrivare (PÅ) eller inte (AV).

UTKAST = Använd det här alternativet för att slå PÅ eller AV utkastutskrifter.

TIDIGARE_KÖRNINGAR = Det här alternativet är särskilt användbart när du använder kommandot SKRIV/RAPPORT inifrån en slinga. När du mäter ett element mer än en gång i en enda körning sparas tidigare instanser av det elementets mätta data. För ALT2 väljer du TA_BORT_ELEMENT om du vill ta bort sparade mätta data eller BEHÅLL_ELEMENT om du vill spara dem.


Redigera kommandot SKRIV/RAPPORT

Du kan redigera de här alternativen i dialogrutan Utskriftsalternativ.

  1. Placera insättningspunkten i kommandoraden SKRIV/RAPPORT.

  2. Tryck på F9.

  3. Gör eventuella ändringar.

  4. Klicka på OK.

Du kan se att kommandot uppdateras med ändringarna. Observera att detta är annorlunda än att öppna dialogrutan Utskriftsalternativ direkt från Rapport-menyn i Redigeringsfönstret. När du öppnar den här dialogrutan via Rapport-menyn infogas inte kommandot SKRIV/RAPPORT i Redigeringsfönstret.

Obs! Du kan använda kommandot SKRIV/RAPPORT mer än en gång i ett detaljprogram.

Obs! Kommandot SKRIV/RAPPORT är en unik instans av den information som finns i dialogrutan Utskriftsalternativ. Av den anledningen blir sådana alternativ som du väljer i dialogrutan Utskriftsalternativ utan att använda ett SKRIV/RAPPORT-kommando oberoende av eventuella SKRIV/RAPPORT-kommandon, vilket påverkar utskriften när detaljprogrammet har kört klart.


Infoga ett sidbrytningskommando

I PC-DMIS kan du infoga ett SIDBRYTNING-kommando i Redigeringsfönstret. Du kan mata ut en rapports utskrivna sida från skrivaren genom att markera och köra kommandot SIDBRYTNING. Kommandot SIDBRYTNING har ingen effekt när du skriver till en fil.

Så här infogar du ett SIDBRYTNING-kommando i Redigeringsfönstret:

  1. Öppna Redigeringsfönstret (Visa | Redigeringsfönster). Visa menykarta

  2. Klicka på ikonen Kommandoläge i verktygsfältet i Redigeringsfönstret. PC-DMIS övergår till kommandoläge.

  3. Välj menyalternativet Infoga | Rapportkommandon | Sidbrytning (eller skriv SIDBRYTNING på önskad plats och tryck på TABB-tengenten). SIDBRYTNING-kommandot visas. Visa menykarta


Definiera och spara vyer

Du kan skapa och spara olika Grafikfönstervyer för framtida referens. Med menyalternativet Skapa vyer kan du spara ett obegränsat antal vyer. De kallas Vyer.

Så här sparar du den aktuella vyn:

  1. Välj menyalternativet Infoga | Rapportkommandon | Skapa vyer. Visa menykarta Ett popup-fönster med meddelandet "Ange namn på vyn" visas.

  2. I popup-fönstret anger du det önskade namnet (högst 19 tecken) på vyn.

  3. Klicka på OK eller tryck på RETUR. I PC-DMIS är den aktuella vyn lika med namnet som du valde genom att infoga ett =VY-kommando.

Du kan snabbt återkalla den skapade vyn genom att välja den i listan Vyer i verktygsfältet Inställningar eller genom att använda menyalternativet Hämta vyer.

Obs! Om du bara vill ändra och sedan spara den aktuella vyn utan att skapa en ny vy väljer du i stället menyalternativet Spara vyer.


Återkalla en sparad vy

När du väljer menyalternativet Infoga | Rapportkommandon | Hämta vyer infogas ett ÅTERKALLA/VYER-kommando i Redigeringsfönstret. Om du markerar och kör det här kommandot visas den sparade vyn i Grafikfönstret.


Använda indata/utdata i filer

Använda indata/utdata i filer: Inledning

Om grundläggande koncept för fil-I/O (indata/utdata)

Använda dialogrutan Fil-I/O

Öppna en fil för läsning eller skrivning

Kodexempel för Öppna fil

Stänga en öppen fil efter läsning eller skrivning

Kodexempel för Stäng fil

Läsa ett tecken från en fil

Kodexempel för Läs tecken

Läsa en rad från en fil

Kodexempel för Läs rad

Läsa ett textblock från en fil

Kodexempel för Läs block

Läsa text fram till en avgränsare

Kodexempel för Läs fram till

Skriva ett tecken till en fil

Kodexempel för Skriv tecken

Skriva en rad till en fil

Kodexempel för Skriv rad

Skriva ett textblock till en fil

Kodexempel för Skriv block

Placera en filpekare i början av en fil

Kodexempel för Åter till början

Spara den aktuella positionen för en filpekare

Kodexempel för Spara filposition

Återkalla en sparad position för en filpekare

Kodexempel för Återkalla filposition

Kopiera en fil

Kodexempel för Kopiera fil

Flytta en fil

Kodexempel för Flytta fil

Ta bort en fil

Kodexempel för Ta bort fil

Kontrollera om en fil finns

Kodexempel för Testa om filen finns

Visa en fildialogruta

Kodexempel för fildialogruta

Söka efter slutet på en fil eller slutet på en rad

Kodexempel för EOF och EOL


Använda indata/utdata i filer: Inledning

I det här avsnittet beskrivs hur du skickar indata till och utdata från detaljprogram. Med de tillgängliga menyalternativen kan du öppna filer för läsning eller skrivning. Därefter kan data läsas från eller skrivas till filerna. Med kommandona för fil-I/O ("input/output"="indata/utdata") kan data läsas in från externa filer som ska användas i ett detaljprogram . Dessutom kan du använda kommandona för att skriva mätnings- och utvärderingsinformation tillbaka till filerna och för att utföra andra filåtgärder.

I det här avsnittet finns detaljerad information om de här filåtgärderna med praktiska exempel på varje åtgärd. I exemplen används de objekt som beskrivs i avsnittet Förgrening genom användning av programflödeskommandon och i avsnittet Använda uttryck och variabler.

Obs! När slingor eller förgreningar förekommer i kodexempel har indrag använts för att framhäva satserna som tillhör ett visst villkor. I den faktiska koden i Redigeringsfönstret sker inga indrag.

Huvuddelarna i det här ämnet är:

  • Om grundläggande koncept för fil-I/O (indata/utdata)

  • Använda dialogrutan Fil-I/O

  • Öppna en fil för läsning eller skrivning

  • Stänga en öppen fil efter läsning eller skrivning

  • Läsa ett tecken från en fil

  • Läsa en rad från en fil

  • Läsa ett textblock från en fil

  • Läsa text fram till en avgränsare

  • Skriva ett tecken till en fil

  • Skriva en rad till en fil

  • Skriva ett textblock till en fil

  • Placera en filpekare i början av en fil

  • Spara den aktuella positionen för en filpekare

  • Återkalla en sparad position för en filpekare

  • Kopiera en fil

  • Flytta en fil

  • Ta bort en fil

  • Kontrollera om en fil finns

  • Visa en fildialogruta

  • Söka efter slutet på en fil eller slutet på en rad


Om grundläggande koncept för fil-I/O (indata/utdata)

Kontrollera om en fil finns:
Innan I/O-åtgärder för en fil påbörjas bör du först kontrollera att filen finns. Använd gärna en OM/SÅ-slinga så att användaren kan få ett meddelande om kontrollen misslyckas. För att det ska gå att skriva till en fil måste du först skapa den.

Se Kontrollera om en fil finns.

Öppna och stänga filer:
För åtgärder som handlar om att läsa från eller skriva till en fil måste filen först öppnas för systemprocesserna. Du gör detta genom att tilldela filen en variabel som kallas filpekare. När du öppnar en fil kan du ange om den ska öppnas för läsning, (över-)skrivning eller tillägg. När filen har öppnats kan du läsa från eller skriva till filen. När du är klar med filen ska du stänga filpekaren. Då stängs filen så att den blir tillgänglig för andra systemprocesser. Det går inte att öppna en fil som redan är öppen i en annan process.

Se Öppna en fil för läsning eller skrivning och Stänga en öppen fil efter läsning eller skrivning.

Filpekare och filpositioner:
Filpekare är variabler som pekar på en fil. I filpekaren lagras namnet och platsen för en öppnad fil så att pekaren kan användas för att läsa från eller skriva till filen. När en fil har öppnats och tilldelats en filpekare fungerar pekaren på samma sätt som en markör i ett ordbehandlingsprogram. Pekaren visar var du är i filen när du läser från eller skriver till den.

· Om du lägger till information i en fil ska filpekaren vanligtvis vara placerad i slutet av filen.

· Om du läser en fil eller skriver över information i den ska filpekaren vanligtvis vara placerad i början av filen.

Använda avgränsare för läsning eller skrivning

När du skriver data kan du använda avgränsare för att särskilja olika delar av data. Detta underlättar när data ska läsas in i detaljprogrammet igen. En avgränsare kan vara valfritt tecken eller valfri teckensträng. Anta till exempel att du har en punkt, PKT1, med de mätta XYZ-värdena 2.5,4.3,6.1. Du kan enkelt skriva in dessa värden, avgränsade med kommatecken, i en datafil. Koden för detta ser ut ungefär så här:

FIL/SKRIVRAD,FILPEK,PKT1.X + "," + PKT1.Y + "," + PKT1.Z

När du läser data kan du avgränsa inkommande data med en angiven avgränsare och placera data i olika variabler så att du kan bearbeta dem senare. Anta till exempel att du vill läsa in de XYZ-värden som angavs ovan. Värdena ska vara i en enda textrad: 2.5,4.3,6.1. Du kan avgränsa texten vid kommatecknet och placera värdena i motsvarande variabler med hjälp av en kodrad som ser ut ungefär så här:

V1=FIL/LÄSRAD,FILPEK,{VärdeX}+","+{VärdeY}+","+{VärdeZ}

Därefter kan du använda VärdeX, VärdeY och VärdeZ som normala variabler i detaljprogrammet. VärdeX innehåller värdet 2.5, VärdeY innehåller värdet 4.3 och VärdeZ innehåller värdet 6.1.


Använda dialogrutan Fil-I/O

Alla typer av kommandon för indata/utdata för filer (fil-I/O) infogas i detaljprogrammet genom att du väljer ett menyalternativ för fil-I/O (välj Infoga | Kommando för fil-I/O). När du har infogat ett kommando i Redigeringsfönstret kan du placera insättningspunkten på kommandot och trycka på F9 för att öppna den relaterade Fil-I/O-dialogrutan.

Exempel på dialogrutan Fil-I/O

I den här dialogrutan visas det aktuella kommandot för fil-I/O visuellt så att du kan redigera det. Du kan också redigera ett kommando i Redigeringsfönstret med hjälp av de metoder som beskrivs i avsnittet Använda Redigeringsfönstret.

Den här dialogrutan kan inte användas för att infoga nya kommandon för fil-I/O. Du kan bara infoga kommandon genom att välja respektive menyalternativ eller genom att skriva direkt i Redigeringsfönstret.


Öppna en fil för läsning eller skrivning

Med menyalternativet Infoga | Kommando för fil-I/O | Öppna fil infogar du ett kommando i Redigeringsfönstret som innebär att en fil på hårddisken öppnas när detaljprogrammet körs.

Du kan öppna en fil för att visa information eller för att lägga till och spara information.

Syntaxen för kommandot i Redigeringsfönstret ser ut så här:

<namn på filpekare> = Fil/Öppna,<filnamn>,<öppningsläge>

<namn på filpekare> | Det här är ID:t för den filpekare som ska användas för att nå filen som ska öppnas. ID:t används för att hänvisa till den öppna filen i andra I/O-kommandon för filer.
<filnamn> | Det här är namnet på den fil som ska öppnas.
<öppningsläge> | Här anges i vilket läge filen ska öppnas. Filer kan öppnas i något av följande lägen: Läsa, Skriva eller Lägga till.

Så här öppnar du dialogrutan för det här I/O-kommandot:

  1. Öppna Redigeringsfönstret.

  2. Placera markören på kommandot Öppna fil.

  3. Tryck på F9.

Mer:

Kodexempel för Öppna fil


Kodexempel för Öppna fil

Exempelkoden nedan ska anges i kommandoläget i Redigeringsfönstret och inte i dialogrutan Fil-I/O.

Följande kod innebär att filen TEST.TXT öppnas för läsning, skrivning och tillägg och att filnamnet sparas till filpekaren FILPEK.

FILPEK=FIL/ÖPPNA,C:\PCDMISW\TEST.TXT,LÄSA

FILPEK=FIL/ÖPPNA,C:\PCDMISW\TEST.TXT,SKRIVA

FILPEK=FIL/ÖPPNA,C:\PCDMISW\TEST.TXT,LÄGGA_TILL

Du kan också använda en inmatningskommentar för att ange den fullständiga sökvägen som indata och använda den i ett FIL/ÖPPNA-kommando. Du kan göra samma sak med hjälp av kommandot FIL/DIALOGRUTA. Se följande exempel:

C1=KOMMENTAR/INMATN,Skriv filens fullständiga sökväg och namn.

V1=FIL/DIALOGRUTA, VÄLJ EN FIL SOM SKA ÖPPNAS

FILPEK=FIL/ÖPPNA,C1.INPUT,LÄSA

FILPEK=FIL/ÖPPNA,V1,LÄSA

Se Visa en fildialogruta.


Stänga en öppen fil efter läsning eller skrivning

Med menyalternativet Infoga | Kommando för fil-I/O | Stäng fil infogar du ett kommando i Redigeringsfönstret som innebär att en öppen fil stängs när detaljprogrammet körs. När du stänger en fil frigörs de resurser som används när filen är öppen och alla ändringar som har gjorts i filen sparas på hårddisken.

Syntaxen för kommandot i Redigeringsfönstret ser ut så här:

Fil/Stäng, <namn på filpekare>,<stängningsläge>

<namn på filpekare> | Det här är det ID som används för att identifiera filen och som skapas när filen öppnas.
<stängningsläge> | Det finns två värden för den här parametern: SPARA och TA_BORT. Om du använder SPARA stängs den fil som anges med filpekaren. Om du använder TA_BORT stängs filen och därefter tas den bort.

Så här öppnar du dialogrutan för det här I/O-kommandot:

1. Öppna Redigeringsfönstret.

2. Placera markören på kommandot Stäng fil.

3. Tryck på F9.

Mer:

Kodexempel för Stäng fil


Kodexempel för Stäng fil

Exempelkoden nedan ska anges i kommandoläget i Redigeringsfönstret och inte i dialogrutan Fil-I/O.

Den här koden innebär att filen som har tilldelats filpekaren FILPEK stängs:

FIL/STÄNG,FILPEK,SPARA

I följande kod används parametern TA_BORT vilket innebär att filen som har tilldelats filpekaren FPTR stängs och tas bort:

FIL/STÄNG,FILPEK,TA_BORT


Läsa ett tecken från en fil

Med menyalternativet Infoga | Kommando för fil-I/O | Läskommandon | Läs tecken infogar du ett kommando i Redigeringsfönstret. När kommandot körs läses ett tecken från den fil som du anger i fältet för namn på filpekare (se syntaxen nedan) och tecknet tilldelas den variabel som du har angett i fältet för variabelnamn.

Syntaxen för kommandot i Redigeringsfönstret ser ut så här:

<variabelnamn> = Fil/Läs tecken,<namn på filpekare>

<namn på filpekare> | Det här är det ID som använts för att öppna filen.
<variabelnamn> | Det här är namnet på den variabel där tecknet ska anges.

Så här öppnar du dialogrutan för det här I/O-kommandot:

  1. Öppna Redigeringsfönstret.

  2. Placera markören på kommandot Läs tecken.

  3. Tryck på F9.

Mer:

Kodexempel för Läs tecken


Kodexempel för Läs tecken

Exempelkoden nedan ska anges i kommandoläget i Redigeringsfönstret och inte i dialogrutan Fil-I/O.

I exemplet nedan läses en rad från en datafil in med ett tecken i taget tills ett blankstegstecken påträffas.

V1=FIL/FINNS,test.txt

OM/V1<>0

KOMMENTAR/OPER,Det går att läsa från datafilen. Klicka på OK för att fortsätta.

TILLDELA/V3 = ""

FILPEK=FIL/ÖPPNA,D:\Program\pcdmis35\test.txt,LÄSA

UTFÖR/

V2=FIL/LÄS_TECKEN,FILPEK

TILLDELA/V3 = V3+V2

TILLS/V2 == " "

FIL/STÄNG,FILPEK

KOMMENTAR/OPER,"Det första ordet i en textrad i filen är: " + V3

SLUT_OM/

ANNARS/

KOMMENTAR/OPER,Det gick inte att läsa från datafilen. Programmet avslutas.

GÅTILL/SLUT

SLUT_ANNARS/

SLUT=MÄRKE/

PROGRAM/SLUT

Kodförklaring

V1=FIL/FINNS
I den här raden utförs en kontroll av att den angivna filen finns. Filen måste finnas i samma katalog som PC-DMIS för att kodexemplet ska fungera. Om den inte gör det måste raden som innehåller filnamnet också innehålla den fullständiga sökvägen för filen. Resultatet av filkontrollen lagras i V1. Värdet blir 0 om filen inte finns och ett värde skilt från noll om filen finns.

OM/V1<>0
I den här raden kontrolleras om värdet för V1 blir ett värde som är skilt från noll. Om värdet är skilt från noll visas en kommentar om att läsningsprocessen kan påbörjas. Om värdet är lika med noll avslutas detaljprogrammet.

TILLDELA/V3 = ""
I den här raden skapas en tom rad som tilldelas V3. I koden används den här variabeln för att skapa en sträng utifrån de enskilda inlästa tecknen. Om du inte skapar en tom sträng används standardvärdet 0 för V3.

FILPEK=FIL/ÖPPNA
I den här raden öppnas den angivna filen för läsning och filen tilldelas standardfilpekaren FILPEK.

UTFÖR
I den här raden startas en UPPREPA/TILLS-slinga. Den omsluter FIL/LÄS_TECKEN-koden så att tecknen kontinuerligt läses in ett i taget. Slingan avslutas när ett blankstegstecken läses in.

V2=FIL/LÄS_TECKEN,FILPEK
I den här raden läses ett tecken in från den öppna fil som hör till filpekaren FILPEK. Tecknet sparas i variabeln V2.

TILLDELA/V3 = V3+V2
I den här raden används den tomma variabeln V3 och strängen V3 länkas samman med V2. Därefter tilldelas V3 det nya värdet. För varje gång UTFÖR/TILLS-slingan körs läggs alltså ett nytt tecken till i V3.

TILLS/V2 == " "
Den här raden innebär att UTFÖR/TILLS-slingan avslutas när FIL/LÄS_TECKEN-koden påträffar ett blankstegstecken i den öppna filen.

FIL/STÄNG,FILPEK
Den här raden innebär att den öppna datafilen stängs så att den blir tillgänglig för andra systemprocesser. Körningen av resten av koden slutförs och det första ordet från datafilen visas i en operatörskommentar.


Läsa en rad från en fil

Med menyalternativet Infoga | Kommando för fil-I/O | Läskommandon | Läs rad infogar du ett kommando i Redigeringsfönstret. När kommandot körs läses en rad i den angivna filen. Med det här kommandot anges värdet 1 (sant) eller värdet 0 (falskt) för den variabel vars ID du har angett, för att ange om åtgärden har lyckats eller inte. Det obligatoriska uttrycket i det här kommandot kan användas för att avgränsa radläsningen och för att fylla i värden för variabler och referenser automatiskt utifrån de data som lästs från filen. Informationen läses in från indatafilen fram till nästa returtecken.

Syntaxen för kommandot i Redigeringsfönstret ser ut så här:

<variabelnamn> = Fil/Läsrad,<namn på filpekare>,<uttryck>

<variabelnamn> | Det här är namnet på den variabel där resultatet av kommandot Läsrad anges. Värdet som returneras är antingen "OK" eller "EOF".
<namn på filpekare> | Det här är det filpekarnamn som angavs när filen öppnades.
<uttryck> | Det här är målvariabeln/-variablerna för indata. Indata kan avgränsas med text så att det blir lättare att tolka inkommande datarader. Variabler och elementreferenser måste omges av klammerparenteser.

Så här öppnar du dialogrutan för det här I/O-kommandot:

  1. Öppna Redigeringsfönstret.

  2. Placera markören på kommandot Läs rad.

  3. Tryck på F9.

Mer:

Kodexempel för Läs rad


Kodexempel för Läs rad

Exempelkoden nedan ska anges i kommandoläget i Redigeringsfönstret och inte i dialogrutan Fil-I/O.

I exemplet nedan läses en rad i taget in från en datafil tills kommandot FIL/LÄS_RAD kommer till en tom rad. När detta sker visas resultatet (ett textblock) och detaljprogrammet avslutas.

V1=FIL/FINNS,test.txt

OM/V1<>0

KOMMENTAR/OPER,Det går att läsa från datafilen. Klicka på OK för att fortsätta.

TILLDELA/V3 = ""

FILPEK=FIL/ÖPPNA,D:\Program\pcdmis35\test.txt,LÄSA

UTFÖR/

V2=FIL/LÄSRAD,FILPEK,{RAD}

TILLDELA/V3 = V3 + RAD

KOMMENTAR/OPER,"Det aktuella värdet för variabeln V3 är:

,V3

TILLS/V2 == "EOF"

FIL/STÄNG,FILPEK

KOMMENTAR/OPER,"Textblocket ser ut så här: "

,V3

SLUT_OM/

ANNARS/

KOMMENTAR/OPER,Det gick inte att läsa från datafilen. Programmet avslutas.

GÅTILL/SLUT

SLUT_ANNARS/

SLUT=MÄRKE/

PROGRAM/SLUT

Kodförklaring

Stora delar av den här koden liknar koden som förklaras i Kodexempel för Läs tecken. Här förklaras endast den kod som är unik för det här exemplet.

UTFÖR
I den här raden startas en UPPREPA/TILLS-slinga. Den omsluter FIL/LÄS_RAD-koden så att raderna kontinuerligt läses in en i taget. Slingan avslutas när slutet på filen nås.

V2=FIL/LÄSRAD,FILPEK,{RAD}
Den här raden innebär att all text läses in tills ett returtecken påträffas. Med den här koden sparas dock inte texten i variabeln V2 (vilket sker om koden är FIL/LÄS_TECKEN).

  • För V2 returneras två värden i det här fallet: antingen "OK" eller "EOF". "OK" returneras om det fortfarande finns en rad att läsa från. "EOF" returneras om slutet på filen har nåtts.

  • Koden {RAD} är en användardefinierad variabel där den faktiska texten lagras. Klammerparenteserna innebär att PC-DMIS identifierar texten som en variabel och inte som avgränsande text. Utan klammerparenteserna skulle en sökning göras efter en sträng med tecken i filen med namnet "RAD" och endast texten efter "RAD" och före returtecknet skulle returneras.

TILLDELA/V3 = V3+RAD
I den här raden används den tomma variabeln V3 och strängen V3 länkas samman med RAD. Därefter tilldelas V3 det nya värdet. För varje gång UTFÖR/TILLS-slingan körs läggs en ny rad till i V3.

TILLS/V2 == "EOF"
I den här raden kontrolleras villkoret för UTFÖR/TILLS-slingan. När FIL/LÄSRAD-koden når slutet av filen avslutas slingan. När slingan avslutas i programflödet slutförs körningen av resten av koden och hela kodblocken visas i en operatörskommentar.

Andra exempel:
Kommandoraden:
Resultat = Fil/LäsRad,F1, "Detalj-ID :" + {V1} innebär att all text som visas i den inlästa raden efter texten "Detalj-ID:" tilldelas V1. Raden läses in från filen som öppnades med F1 som filpekarnamn. Resultatet av läsningen (om den har lyckats eller inte) sparas i variabeln Resultat.

Kommandoraderna:
Fil/LäsRad,F1, "Läge:"+{VARX}+ ","+{VARY}+ ","+{VARZ}+ ","+{VARI}+ ","+{VARJ}+ ","+{VARK}
TILLDELA/CIR1.XYZ = MPOINT(VARX, VARY, VARZ)
TILLDELA/CIR1.IJK = MPOINT(VARI, VARJ, VARK)
innebär att kommaavgränsad text efter strängen "Läge:" läses in och att värdena sparas i XYZ- och IJK-värdena för CIR1.

Kommandoraden:
Fil/LäsRad,F1, "Värde # " + slingvar + " : " + {var2} innebär att var2 fylls med texten som visas efter kolonet. Variabeln slingvar i det här exemplet omges inte av klammerparenteser och är därför en del av den avgränsande texten.


Läsa ett textblock från en fil

Med menyalternativet Infoga | Kommando för fil-I/O | Läskommandon | Läs block infogar du ett kommando i Redigeringsfönstret. När kommandot körs läses ett teckenblock från en öppen fil. Hur många tecken som läses anges med storleksparametern.

Syntaxen för kommandot i Redigeringsfönstret ser ut så här:

<variabelnamn>=Fil/Läs_block,<namn på filpekare>,<storlek>

<variabelnamn> | Det här är ID:t för den variabel vars värde anger om åtgärden har lyckats eller inte.
<namn på filpekare> | Det här är det filpekarnamn som angavs när filen öppnades.
<storlek> | Här anges hur många tecken som ska läsas.

Så här öppnar du dialogrutan för det här I/O-kommandot:

1. Öppna Redigeringsfönstret.

2. Placera markören på kommandot Läs block.

3. Tryck på F9.

Mer:

Kodexempel för Läs block


Kodexempel för Läs block

Exempelkoden nedan ska anges i kommandoläget i Redigeringsfönstret och inte i dialogrutan Fil-I/O.

Anta att det finns ett antal externa datafiler som innehåller olika typer av detaljdata. Vad en fil kan användas till beskrivs med de första tecknen i filen. Du kan använda kommandot Fil/Läs_block för att bara läsa de första tecknen i varje fil och därefter avgöra vilka filer som ska läsas in helt. Se följande kodexempel:

C3=KOMMENTAR/INMATN,Skriv namnet på

,den filkod du vill söka efter.

TILLDELA/BLOCKSTORLEK=LEN(C3.INPUT)

TILLDELA/FILKOD = C3.INPUT

UTFÖR/

C1=KOMMENTAR/INMATN,Skriv in den fullständiga sökvägen,

,filnamnet och filtillägget för den

,fil du vill bearbeta.

,Skriv [A] för att avsluta.

OM/C1.INPUT== "A" ELLER C1.INPUT=="a"

KOMMENTAR/OPER,Du har valt att avsluta. Programmet avslutas.

GÅTILL/SLUT

SLUT_OM/

V1=FIL/FINNS,C1.INPUT

OM/V1<>0

KOMMENTAR/OPER,"Datafilen [" + C1.INPUT + "] finns. Klicka på OK för att fortsätta."

FILPEK=FIL/ÖPPNA,C1.INPUT,LÄSA

V2=FIL/LÄS_BLOCK,FILPEK,BLOCKSTORLEK

FIL/STÄNG,FILPEK

OM/V2<>FILKOD

KOMMENTAR/OPER,"Filens kod är [" + V2 + "] och matchar inte"

,"filkoden [" + FILKOD + "]."

SLUT_OM/

TILLS/V2==FILKOD

KOMMENTAR/OPER,"Filen [" + C1.INPUT + "] matchar."

,"Filens kod är [" + V2 + "] vilket matchar"

,"filkoden [" + FILKOD + "]."

KOMMENTAR/OPER,Filen bearbetas därefter i programmet.

SLUT_OM/

ANNARS/

KOMMENTAR/OPER,"Datafilen [" + C1.INPUT + "] finns inte. Försök igen med en befintlig datafil."

GÅTILL/SLUT

SLUT_ANNARS/

SLUT=MÄRKE/

PROGRAM/SLUT

Kodförklaring

En del av den här koden liknar koden som förklaras i Kodexempel för Läs tecken och Kodexempel för Läs rad.

Här förklaras endast den kod som är unik för det här exemplet.

TILLDELA/BLOCKSTORLEK = LEN(C3.INPUT)
I den här raden skapas en användardefinierad variabel med namnet BLOCKSTORLEK som innehåller ett heltal som motsvarar antalet tecken i C3.INPUT. Detta värde anger storleken för det teckenblock som ska läsas in.

TILLDELA/FILKOD = C3.INPUT
I den här raden skapas variabeln FILKOD med värdet C3.INPUT.

C1=KOMMENTAR/INMATN
I den här kommentaren lagras den fullständiga sökväg som användaren har angett i variabeln C1.INPUT.

V1=FIL/FINNS,C1.INPUT
I den här raden utförs en kontroll av att filen som har angetts i C1-kommentaren finns.

UTFÖR/
I den här raden startas en UPPREPA/TILLS-slinga. Den omsluter det kodblock som tillåter användaren att ange filen som läsningen ska göras från. Slingan fortsätter att köras tills texten för variabeln FILKOD matchar texten som läses från filen.

V2=FIL/LÄS_BLOCK,FILPEK,BLOCKSTORLEK
I den här raden läses det antal tecken som har angetts med heltalsvärdet för variabeln BLOCKSTORLEK. Texten lagras sedan i variabeln V2.

OM/V2<>FILKOD
Den här raden startar ett OM/SLUT OM-kodblock som utför en kontroll av om texten i variabeln V2 matchar texten i variabeln FILKOD. Om variabelvärdena matchar fortsätter programmet att köras. Annars visas ett meddelande om att de två koderna inte matchar.

TILLS/V2==FILKOD
I den här raden kontrolleras villkoret för UTFÖR/TILLS-slingan för att se om texten i variabeln V2 matchar texten i variabeln FILKOD. Om uttrycket är falskt körs UTFÖR-slingan igen och användaren kan ange ett annat filnamn. Om uttrycket är sant avslutas slingan och ett meddelande om matchningen visas i programmet. Därefter kan läsningen av varje datarad i den angivna datafilen fortsätta.


Läsa text fram till en avgränsare

Med menyalternativet Infoga | Kommando för fil-I/O | Läskommandon | Läs fram till infogar du ett kommando i Redigeringsfönstret. När kommandot körs läses all text "fram till" en av de angivna avgränsarna i den angivna filen. All text som läses när kommandot körs placeras i den angivna målvariabeln. Läsningen av text avslutas när något av följande påträffas:

  • En definierad avgränsare

  • Ett returtecken

  • Ett radbrytningstecken

Om slutet på filen nås får målvariabeln värdet "EOF" (End of File).

Syntaxen för kommandot i Redigeringsfönstret ser ut så här:

<variabelnamn> = FIL/LÄS_FRAM_TILL,<namn på filpekare>,<avgränsare>

<variabelnamn> | Det här är namnet på målvariabeln.
<namn på filpekare> | Det här är det filpekarnamn som angavs när filen öppnades.
<avgränsare> | I den här strängen anges noll eller flera avgränsartecken.

Så här öppnar du dialogrutan för det här I/O-kommandot:

  1. Välj alternativet Redigeringsfönster för att öppna Redigeringsfönstret.

  2. Placera markören på kommandot FIL/LÄS.

  3. Tryck på F9. Dialogrutan Fil-I/O öppnas.

När dialogrutan öppnas gör du följande:

  1. Skriv namnet på den variabel där den inlästa informationen ska placeras i rutan Variabel-ID.

  2. Skriv namnet på filpekaren i rutan Filpekar-ID.

  3. Skriv in ett avgränsartecken i rutan Text (sätt citattecken kring det tecken du anger).

  4. Klicka på OK.

Mer:

Kodexempel för Läs fram till


Kodexempel för Läs fram till

Exempelkoden nedan ska anges i kommandoläget i Redigeringsfönstret och inte i dialogrutan Fil-I/O.

Exempel: Anta att det finns en textfil med namnet "exempel.txt" i katalogen c:\temp och att den första raden i filen innehåller följande information:

root:x:0:0:root:/root:/bin/bash

Så här använder du kommandot Läs fram till för den här filen:

  1. Infoga ett FIL/ÖPPNA-kommando i Redigeringsfönstret.

  2. Använd namnet på en valfri filpekare för att namnge kommandot. I det här exemplet används filpekarnamnet "exempel".

Filöppningskommandot bör se ut ungefär så här:

EXEMPEL =FIL/ÖPPNA,C:\TEMP\EXEMPEL.TXT,LÄSA

Använd nu Läs fram till-kommandon i PC-DMIS för att definiera några variabler som anropar olika datasegment. I det här exemplet används följande variabler för att söka efter tecknet ":" (utan citattecken) som avgränsartecken.

ANVÄNDARNAMN =FIL/LÄS_FRAM_TILL,EXEMPEL,:

LÖSENORD =FIL/LÄS_FRAM_TILL,EXEMPEL,:

ANVÄNDARE =FIL/LÄS_FRAM_TILL,EXEMPEL,:

När de här raderna körs i PC-DMIS får variablerna alltså följande värden:

användarnamn = root

lösenord = x

användare = 0

För att visa det här på skärmen under körningen kan du använda en operatörskommentar som den som visas här:

KOMMENTAR/OPER,Följande text läses in från exempel.txt

,Användarnamn:

,ANVÄNDARNAMN

,Lösenord:

,LÖSENORD

,Användare:

,ANVÄNDARE


Skriva ett tecken till en fil

Med menyalternativet Infoga | Kommando för fil-I/O | Skrivkommandon | Skriv tecken infogar du ett kommando i Redigeringsfönstret. När kommandot körs skickas ett enda tecken till en fil på hårddisken.

Syntaxen för kommandot i Redigeringsfönstret ser ut så här:

Fil/Skriv_tecken,<namn på filpekare>,<uttryck>

<namn på filpekare> | Det här är det filpekarnamn som angavs när filen öppnades.
<uttryck> | Det här är det tecken som ska skrivas till filen. Om resultatet av uttrycket blir mer än ett tecken används bara det första tecknet.

Så här öppnar du dialogrutan för det här I/O-kommandot:

  1. Öppna Redigeringsfönstret.

  2. Placera markören på kommandot Skriv tecken.

  3. Tryck på F9.

Mer:

Kodexempel för Skriv tecken


Kodexempel för Skriv tecken

Exempelkoden nedan ska anges i kommandoläget i Redigeringsfönstret och inte i dialogrutan Fil-I/O.

Kodexemplet nedan innebär att en användardefinierad sträng skrivs till en datafil, ett tecken i taget.

C1=KOMMENTAR/INMATN,Skriv namnet på den fil du vill skriva

,till (ange den fullständiga sökvägen).

FILPEK=FIL/ÖPPNA,C1.INPUT,SKRIVA

C2=KOMMENTAR/INMATN,Skriv den sträng som ska skickas till filen.

,Detta innebär att ett tecken i taget av

,strängen skickas.

TILLDELA/ANTAL = 0

TILLDELA/LÄNGD = LEN(C2.INPUT)

UTFÖR/

TILLDELA/SKRIV_DETTA = MID(C2.INPUT,ANTAL,1)

FIL/SKRIV_TECKEN,FILPEK,SKRIV_DETTA

TILLDELA/ANTAL = ANTAL + 1

TILLS/ANTAL == LÄNGD

Kodförklaring

En del av den här koden liknar koden som förklaras i Kodexempel för Läs tecken och Kodexempel för Läs rad.

Här förklaras endast den kod som är unik för det här exemplet.

FILPEK=FIL/ÖPPNA,C1.INPUT,SKRIVA
Den här raden innebär att den fil som anges i C1-kommentaren öppnas för skrivning och tilldelas filpekaren FILPEK. Alla data i filen skrivs över om filpekarens inledande position är i början av datafilen.

TILLDELA/ANTAL = 0
Med den här raden anges värdet noll för den användardefinierade variabeln ANTAL. Detta används i slingor för att strängen ska skrivas ut med ett tecken i taget.

TILLDELA/LÄNGD = LEN(C2.INPUT)
I den här raden används funktionen LEN( ) för att returnera längden för en sträng. Den här funktionen innehåller en parameter: strängen. Antalet tecken i strängen räknas (inklusive blankstegstecken) och ett heltalsvärde för antalet tecken returneras. I det här fallet placeras det här värdet i den användardefinierade variabeln LÄNGD.

UTFÖR/
I den här raden startas en UPPREPA/TILLS-slinga. All kod mellan uttrycken UTFÖR och TILLS körs tills slingans villkor blir sant.

TILLDELA/SKRIV_DETTA = MID(C2.INPUT,ANTAL,1)
I den här raden skapas den användardefinierade variabeln SKRIV_DETTA och funktionen MID( ) används för att returnera ett delsträngstecken från strängen C2.INPUT och placera det i SKRIV_DETTA. MID( ) innehåller tre parametrar.

· Parameter 1: strängen där värden hämtas. I det här fallet används C2.INPUT.

· Parameter 2: den position i strängen där tecknet ska hämtas. Det första tecknet i en sträng står i position 0, det andra tecknet står i position 1, det tredje i position 2 och så vidare. I det här fallet används variabeln ANTAL.

· Parameter 3: det antal tecken med början vid den position som anges med parameter 2 som ska hämtas. I det här fallet används värdet 1 (eftersom bara ett tecken i taget skrivs finns det ingen anledning att hämta fler tecken).

FIL/SKRIV_TECKEN,FILPEK,SKRIV_DETTA
Med den här raden skrivs tecknet i variabeln SKRIV_DETTA till den fil som anges med filpekaren FILPEK.

TILLDELA/ANTAL = ANTAL + 1
Med den här raden ökas värdet för ANTAL med 1 och det nya värdet placeras i variabeln ANTAL igen.

TILLS/ANTAL == LÄNGD
I den här raden kontrolleras villkoret för UTFÖR/TILLS-slingan. I det här fallet ökas värdet för variabeln ANTAL tills dess värde är lika med värdet för variabeln LÄNGD. Därefter avslutas slingan och programmet.


Skriva en rad till en fil

Med menyalternativet Infoga | Kommando för fil-I/O | Skrivkommandon | Skriv rad infogar du ett kommando i Redigeringsfönstret. När kommandot körs skickas en textrad till en fil på hårddisken. Du använder en uttryckssyntax för att skicka variablerna och detaljprograminformation till filen. Ett returtecken läggs automatiskt till i texten.

Syntaxen för kommandot i Redigeringsfönstret ser ut så här:

Fil/Skrivrad,<namn på filpekare>,<uttryck>

<namn på filpekare> | Det här är det filreferensnamn som angavs när filen öppnades.
<uttryck> | Det här är den text som ska skrivas till filen. Du kan använda uttryck i det här fältet.

Så här öppnar du dialogrutan för det här I/O-kommandot:

  1. Öppna Redigeringsfönstret.

  2. Placera markören på kommandot Skriv rad.

  3. Tryck på F9.

Mer:

Kodexempel för Skriv rad


Kodexempel för Skriv rad

Exempelkoden nedan ska anges i kommandoläget i Redigeringsfönstret och inte i dialogrutan Fil-I/O.

Anta att du vill exportera några mätta XYZ-värden till en datafil. Med följande kod kan du skriva in en elementetikett och en datafil och skicka XYZ-informationen för elementet till datafilen.

C1=KOMMENTAR/INMATN,Skriv etiketten för det element

,som ska användas.

C2=KOMMENTAR/INMATN,Skriv namnet på den fil du vill skriva

,till (ange den fullständiga sökvägen).

FILPEK=FIL/ÖPPNA,C2.INPUT,LÄGGA_TILL

TILLDELA/ELEMNAMN = C1.INPUT

TILLDELA/ALLA_VÄRDEN = ELEMNAMN.X + "," + ELEMNAMN.Y + "," + ELEMNAMN.Z

KOMMENTAR/OPER,"Den text som ska skrivas är: " + ALLA_VÄRDEN

FIL/SKRIVRAD,FILPEK,ALLA_VÄRDEN

FIL/STÄNG,FILPEK

Kodförklaring

En del av den här koden liknar koden som förklaras i Kodexempel för Läs tecken och Kodexempel för Läs rad.

Här förklaras endast den kod som är unik för det här exemplet.

FILPEK=FIL/ÖPPNA,C2.INPUT,LÄGGA_TILL
Den här raden innebär att den fil som anges i C2-kommentaren öppnas för tillägg och tilldelas filpekaren FILPEK. Om du anger SKRIVA i stället för LÄGGA_TILL skrivs det befintliga innehållet i datafilen över.

TILLDELA/ELEMNAMN = C1.INPUT
Den här raden innebär att strängen med elementetiketten från C1.INPUT tilldelas den användardefinierade variabeln ELEMNAMN.

TILLDELA/ALLA_VÄRDEN=ELEMNAMN.X+","+ELEMNAMN.Y+","+ ELEMNAMN.Z
Den här raden innebär att den användardefinierade variabeln ALLA_VÄRDEN får värdet ELEMNAMN.X,ELEMNAMN.Y,ELEMNAMN.Z. Variabeln innehåller nu alltså XYZ-värdena för det element vars etikett du skrev i kommentaren C1.

FIL/SKRIVRAD,FILPEK,ALLA_VÄRDEN
Den här raden innebär att värdena i ALLA_VÄRDEN skrivs till den fil som har angetts med filpekaren FILPEK.


Skriva ett textblock till en fil

Med menyalternativet Infoga | Kommando för fil-I/O | Skrivkommandon | Skriv block infogar du ett kommando i Redigeringsfönstret. När kommandot körs skickas ett textblock till en fil på hårddisken. Du använder en uttryckssyntax för att skicka variablerna och detaljprograminformation till filen. Till skillnad från kommandot Skriv rad läggs inget returtecken till i slutet av texten.

Syntaxen för kommandot i Redigeringsfönstret ser ut så här:

Fil/Skriv_block,<namn på filpekare>,<uttryck>

<namn på filpekare> | Det här är det filreferensnamn som angavs när filen öppnades.
<uttryck> | Det här är den text som ska skrivas till filen. Du kan använda uttryck i det här fältet.

Så här öppnar du dialogrutan för det här I/O-kommandot:

  1. Öppna Redigeringsfönstret.

  2. Placera markören på kommandot Skriv block.

  3. Tryck på F9.

Mer:

Kodexempel för Skriv block


Kodexempel för Skriv block

Exempelkoden nedan ska anges i kommandoläget i Redigeringsfönstret och inte i dialogrutan Fil-I/O.

Följande kod innebär att det användaren skriver in placeras i en inmatningskommentar och att ett kolon läggs till som avgränsartecken.

C1=KOMMENTAR/INMATN,Skriv valfri sträng. Ett kolon läggs till ,som avgränsartecken och strängen skrivs till den fil som ,du anger

C2=KOMMENTAR/INMATN,Skriv namnet på den fil du vill skriva

,till (ange den fullständiga sökvägen).

FILPEK=FIL/ÖPPNA,C2.INPUT,LÄGGA_TILL

TILLDELA/SKRIV_DETTA = C1.INPUT + ":"

KOMMENTAR/OPER,"Den text som ska skrivas är: " + SKRIV_DETTA

FIL/SKRIVRAD,FILPEK,SKRIV_DETTA

FIL/STÄNG,FILPEK

Kodförklaring

En del av den här koden liknar koden som förklaras i Kodexempel för Läs tecken och Kodexempel för Läs rad.

Här förklaras endast den kod som är unik för det här exemplet.

FILPEK=FIL/ÖPPNA,C2.INPUT,LÄGGA_TILL
Den här raden innebär att den fil som anges i C2-kommentaren öppnas för tillägg och tilldelas filpekaren FILPEK.

TILLDELA/SKRIV_DETTA = C1.INPUT + ":"
Den här raden innebär att ett kolon läggs till texten i C1.INPUT och att den nya strängen tilldelas den användardefinierade variabeln SKRIV_DETTA.

FIL/SKRIVRAD,FILPEK,SKRIV_DETTA
Den här raden innebär att värdena i SKRIV_DETTA skrivs till den fil som har angetts med filpekaren FILPEK. Du kan senare läsa in text från filen genom att använda kolonet som avgränsartecken.


Placera en filpekare i början av en fil

Med menyalternativet Infoga | Kommando för fil-I/O | Positioneringskommandon | Åter till början infogar du ett kommando i Redigeringsfönstret. När kommandot körs placeras filpekaren i början av filströmmen.

Syntaxen för kommandot i Redigeringsfönstret ser ut så här:

Fil/Till_början,<namn på filpekare>

<namn på filpekare>

Det här är namnet på den filpekare som ska placeras i början av filen.

Så här öppnar du dialogrutan för det här I/O-kommandot:

  1. Öppna Redigeringsfönstret.

  2. Placera markören på kommandot Åter till början.

  3. Tryck på F9.

Mer:

Kodexempel för Åter till början


Kodexempel för Åter till början

Exempelkoden nedan ska anges i kommandoläget i Redigeringsfönstret och inte i dialogrutan Fil-I/O.

I nedanstående exempel läses en rad i taget med data in från en extern fil. Efter varje rad kan du välja att börja om och läsa från början av filen igen. Det här är alltså ett exempel på hur du kan använda kommandot FIL/TILL_BÖRJAN.

C1=KOMMENTAR/INMATN,Skriv den fil som data ska läsas från

,(skriv den fullständiga sökvägen)

V1=FIL/FINNS,C1.INPUT

OM/V1<>0

UTFÖR/

FILPEK=FIL/ÖPPNA,C1.INPUT,LÄSA

C2=KOMMENTAR/JANEJ,Vill du läsa från början?

OM/C2.INPUT == "JA"

FIL/TILL_BÖRJAN,FILPEK

SLUT_OM/

V2=FIL/LÄSRAD,FILPEK,{RAD}

KOMMENTAR/OPER,Den aktuella raden är: " + RAD

TILLS/V2=="EOF"

SLUT_OM/

FIL/STÄNG,FILPEK

KOMMENTAR/OPER,Programmet avslutas.

Kodförklaring

En del av den här koden liknar koden som förklaras i Kodexempel för Läs tecken och Kodexempel för Läs rad.

Här förklaras endast den kod som är unik för det här exemplet.

C2=KOMMENTAR/JANEJ
Den här raden innebär att du tillfrågas om du vill börja om och läsa filen från början. Svaret (JA/NEJ) sparas i variabeln C2.INPUT.

OM/C2.INPUT == "JA"
Den här raden inleder ett OM/SLUT_OM-block. Villkoret som testas är om C2.INPUT har värdet JA. Om villkoret är sant körs de rader som följer efter OM-uttrycket. Om villkoret är falskt körs koden som följer efter SLUT_OM-uttrycket.

FIL/TILL_BÖRJAN,FILPEK
Den här raden innebär att filpekaren flyttas tillbaka till början av datafilen.

SLUT_OM/
Den här raden avslutar OM/SLUT_OM-kodblocket.


Spara den aktuella positionen för en filpekare

Med menyalternativet Infoga | Kommando för fil-I/O | Positioneringskommandon | Spara filposition infogar du ett kommando i Redigeringsfönstret som innebär att den aktuella positionen för en filpekare i filströmmen sparas. Du kan sedan återkalla den sparade positionen med hjälp av kommandot Återkalla filposition.

Syntaxen för kommandot i Redigeringsfönstret ser ut så här:

Fil/Spara_position,<namn på filpekare>

<namn på filpekare>

Det här är namnet på den filpekare vars position du sparar.

Så här öppnar du dialogrutan för det här I/O-kommandot:

  1. Öppna Redigeringsfönstret.

  2. Placera markören på kommandot Spara filposition.

  3. Tryck på F9.

Mer:

Kodexempel för Spara filposition


Kodexempel för Spara filposition

Exempelkoden nedan ska anges i kommandoläget i Redigeringsfönstret och inte i dialogrutan Fil-I/O.

I nedanstående exempel läses en rad i taget med data in från en extern fil. Efter varje rad kan du spara filpositionen så att den kan återkallas senare. Det här är alltså ett exempel på hur du kan använda kommandot FIL/SPARA_POSITION.

C1=KOMMENTAR/INMATN,Skriv den fil som data ska läsas från

,(skriv den fullständiga sökvägen)

V1=FIL/FINNS,C1.INPUT

OM/V1<>0

UTFÖR/

FILPEK=FIL/ÖPPNA,C1.INPUT,LÄSA

C2=KOMMENTAR/JANEJ,Vill du spara filpositionen och återkalla den senare? Slingan avslutas.

OM/C2.INPUT == "JA"

FIL/SPARA_POSITION,FILPEK

GÅTILL/AVSLUTA_SLINGA

SLUT_OM/

V2=FIL/LÄSRAD,FILPEK,{RAD}

KOMMENTAR/OPER,Den aktuella raden är: " + RAD

TILLS/V2=="EOF"

SLUT_OM/

FIL/STÄNG,FILPEK

AVSLUTA_SLINGA=MÄRKE/

KOMMENTAR/OPER,Läsningen har stoppats.

PROGRAM/SLUT

Kodförklaring

Stora delar av den här koden liknar koden som förklaras i Kodexempel för Åter till början.

Här förklaras endast den kod som är unik för det här exemplet.

C2=KOMMENTAR/JANEJ
Den här raden innebär att du tillfrågas om du vill spara den aktuella filpositionen och avsluta slingan. Svaret (JA/NEJ) sparas i variabeln C2.INPUT.

FIL/SPARA_POSITION,FILPEK
Med den här raden sparas filpekarens position i filströmmen.

Om du öppnar den här filen med samma filpekarnamn i samma detaljprogram kan du återkalla en sparad filposition och fortsätta läsningen från den plats där du slutade. En fortsättning på det här exemplet finns i Kodexempel för Återkalla filposition.


Återkalla en sparad position för en filpekare

Med menyalternativet Infoga | Kommando för fil-I/O | Positioneringskommandon | Återkalla filposition infogar du ett kommando i Redigeringsfönstret som innebär att en tidigare sparad filposition återkallas. Använd kommandot Spara filposition för att spara en position i en öppen fil.

Syntaxen för kommandot i Redigeringsfönstret ser ut så här:

Fil/Återkalla_position, <namn på filpekare>

<namn på filpekare>

Det här är namnet på den filpekare vars position du återkallar.

Så här öppnar du dialogrutan för det här I/O-kommandot:

  1. Öppna Redigeringsfönstret.

  2. Placera markören på kommandot Återkalla filposition.

  3. Tryck på F9.

Mer:

Kodexempel för Återkalla filposition


Kodexempel för Återkalla filposition

Exempelkoden nedan ska anges i kommandoläget i Redigeringsfönstret och inte i dialogrutan Fil-I/O.

I det här exemplet öppnas en tidigare stängd fil, en tidigare använd filpekare används och den sparade positionen för den lagrade filpekaren återkallas. Därefter läses data in från positionen. Kodexemplet nedan är ett exempel på hur kommandot FIL/ÅTERKALLA_POSITION kan användas. Det är en fortsättning på kodexemplet i Kodexempel för Spara filposition.

KOMMENTAR/OPER,Den sparade filpositionen återkallas.

FILPEK=FIL/ÖPPNA,C1.INPUT,LÄSA

FIL/TILL_BÖRJAN,FILPEK

KOMMENTAR/OPER,Filpositionen är nu i början av filen (som ett test).

,Den första raden läsas för att testa att åtgärden har fungerat.

V3=FIL/LÄSRAD,FILPEK,{RAD}

KOMMENTAR/OPER,Den första raden är:

,RAD

FIL/TILL_BÖRJAN,FILPEK

FIL/ÅTERKALLA_POSITION,FILPEK

KOMMENTAR/OPER,Den sparade filpositionen har återkallats.

,Data på raden vid den sparade positionen skrivs nu ut.

V4=FIL/LÄSRAD,FILPEK,{SPARAD}

KOMMENTAR/OPER,Texten vid den sparade positionen är:

,SPARAD

Kodförklaring

Stora delar av den här koden liknar koden som förklaras i Kodexempel för Åter till början.

Här förklaras endast den kod som är unik för det här exemplet.

FIL/ÅTERKALLA_POSITION,FILPEK
Den här raden innebär att den sparade filpekarpositionen i filströmmen återkallas för filpekaren FILPEK.

V4=FIL/LÄSRAD,FILPEK,{SPARAD}
Den här raden innebär att nästa rad efter den sparade filpekarpositionen läsas in och tilldelas den användardefinierade variabeln SPARAD. Den här variabeln skrivs sedan ut i nästa operatörskommentar.


Kopiera en fil

Med menyalternativet Infoga | Kommando för fil-I/O | Kopiera fil infogar du ett kommando i Redigeringsfönstret. När kommandot körs kopieras en fil.

Syntaxen för kommandot i Redigeringsfönstret ser ut så här:

Fil/Kopiera,<källfilnamn>,<målfilnamn>,<ersättningsläge>

<källfilnamn> | Namnet på källfilen (den fil du kopierar från).
<målfilnamn> | Namnet på målfilen (den fil du kopierar till).
<ersättningsläge> | Här anges vad som ska ske om målfilen redan finns. Det finns två lägen: SKRIV_ÖVER och FEL_OM_MÅL_FINNS.

Så här öppnar du dialogrutan för det här I/O-kommandot:

1. Öppna Redigeringsfönstret.

2. Placera markören på kommandot Kopiera fil.

3. Tryck på F9.

Mer:

Kodexempel för Kopiera fil


Kodexempel för Kopiera fil

Exempelkoden nedan ska anges i kommandoläget i Redigeringsfönstret och inte i dialogrutan Fil-I/O.

Följande kod innebär att en fil som ska kopieras, en målkatalog och en fil att kopiera till efterfrågas.

C1=KOMMENTAR/INMATN,Skriv namnet på en fil du vill kopiera.

,(skriv den fullständiga filsökvägen)

C2=KOMMENTAR/INMATN,Skriv ett målfilnamn.

,(skriv den fullständiga filsökvägen)

V1=FIL/FINNS,C1.INPUT

OM/V1<>0

KOMMENTAR/OPER,Filen kan kopieras. Kopieringen påbörjas.

FIL/KOPIERA,C1.INPUT,C2.INPUT,FEL_OM_MÅL_FINNS

V2=FIL/FINNS,C2.INPUT

OM/V2==0

KOMMENTAR/OPER,Det finns ingen fil på följande plats: " + C2.INPUT

,Kopieringen avslutas.

PROGRAM/SLUT

SLUT_OM/

ANNARS/

KOMMENTAR/OPER,Filen har kopierats.

PROGRAM/SLUT

SLUT_ANNARS/

SLUT_OM/

KOMMENTAR/OPER,Det finns ingen fil att kopiera.

Kodförklaring

Stora delar av den här koden liknar koden som förklaras i Kodexempel för Läs tecken och Kodexempel för Läs rad.

Här förklaras endast den kod som är unik för det här exemplet.

C1=KOMMENTAR/INMATN
Den här raden innebär att den fullständiga sökvägen för filen som ska kopieras placeras i variabeln C1.INPUT.

C2=KOMMENTAR/INMATN
Den här raden innebär att den fullständiga sökvägen för målfilen placeras i variabeln C2.INPUT.

FIL/KOPIERA,C1.INPUT,C2.INPUT,FEL_OM_MÅL_FINNS
Den här raden innebär att ursprungsfilen kopieras till en målfil. Det här kommandot innehåller tre parametrar.

  • Parameter 1 är C1.INPUT. Det här är den fullständiga sökvägen till filen som ska kopieras.

  • Parameter 2 är C2.INPUT: den fullständiga sökvägen till målfilen.

  • Parameter 3 innebär i det här fallet att FIL/KOPIERA-proceduren avbryts om en befintlig fil med samma målfilnamn hittas. Här kan du ange att befintliga filer med samma namn ska skrivas över.


Flytta en fil

Med menyalternativet Infoga | Kommando för fil-I/O | Flytta fil infogar du ett kommando i Redigeringsfönstret. När kommandot körs flyttas en fil.

Syntaxen för kommandot i Redigeringsfönstret ser ut så här:

Fil/Flytta,<ursprungligt filnamn>,<nytt filnamn>

<ursprungligt filnamn> | Det här är filens namn och plats.
<nytt filnamn> | Det här är filens nya namn och plats.

Så här öppnar du dialogrutan för det här I/O-kommandot:

  1. Öppna Redigeringsfönstret.

  2. Placera markören på kommandot Flytta fil.

  3. Tryck på F9.

Mer:

Kodexempel för Flytta fil


Kodexempel för Flytta fil

Exempelkoden nedan ska anges i kommandoläget i Redigeringsfönstret och inte i dialogrutan Fil-I/O.

Följande kod innebär att ett filnamn, en målkatalog och ett målfilnamn att flytta filen till efterfrågas. Därefter flyttas filen.

C1=KOMMENTAR/INMATN,Skriv namnet på en fil du vill flytta.

,(skriv den fullständiga filsökvägen)

C2=KOMMENTAR/INMATN,Skriv ett målfilnamn.

,(skriv den fullständiga filsökvägen)

V1=FIL/FINNS,C1.INPUT

OM/V1<>0

KOMMENTAR/OPER,Filen kan flyttas. Filflyttningen påbörjas.

FIL/FLYTTA,C1.INPUT,C2.INPUT

V2=FIL/FINNS,C2.INPUT

OM/V2==0

KOMMENTAR/OPER,Det finns ingen fil på följande plats: " + C2.INPUT

,Det gick inte att flytta filen.

PROGRAM/SLUT

SLUT_OM/

ANNARS/

KOMMENTAR/OPER,Filen har flyttats.

PROGRAM/SLUT

SLUT_ANNARS/

SLUT_OM/

KOMMENTAR/OPER,Ursprungsfilen finns inte. Försök igen.

Kodförklaring

Stora delar av den här koden liknar koden som förklaras i Kodexempel för Kopiera fil.

Här förklaras endast den kod som är unik för det här exemplet.

FIL/FLYTTA,C1.INPUT,C2.INPUT
Den här raden innebär att ursprungsfilen kopieras till en målfil. Det här kommandot innehåller två parametrar.

· Parameter 1 är C1.INPUT. Det här är den fullständiga sökvägen till filen som ska flyttas.

· Parameter 2 är C2.INPUT: den fullständiga sökvägen till målfilen.


Ta bort en fil

Med menyalternativet Infoga | Kommando för fil-I/O | Ta bort fil infogar du ett kommando i Redigeringsfönstret. När kommandot körs tas en fil bort.

Syntaxen för kommandot i Redigeringsfönstret ser ut så här:

Fil/Ta bort,<filnamn>

<filnamn>

Det här är namnet på den fil som ska tas bort.

Så här öppnar du dialogrutan för det här I/O-kommandot:

  1. Öppna Redigeringsfönstret.

  2. Placera markören på kommandot Ta bort fil.

  3. Tryck på F9.

Mer:

Kodexempel för Ta bort fil


Kodexempel för Ta bort fil

Exempelkoden nedan ska anges i kommandoläget i Redigeringsfönstret och inte i dialogrutan Fil-I/O.

Följande kod innebär att en fil efterfrågas. Därefter tas filen bort.

C1=KOMMENTAR/INMATN,Skriv namnet på en fil du vill ta bort.

,(skriv den fullständiga filsökvägen)

V1=FIL/FINNS,C1.INPUT

OM/V1<>0

KOMMENTAR/OPER,Filen finns. Klar för borttagning.

FIL/TA_BORT,C1.INPUT

V2=FIL/FINNS,

OM/V2==0

KOMMENTAR/OPER,Filen har tagits bort

PROGRAM/SLUT

SLUT_OM/

ANNARS/

KOMMENTAR/OPER,Filen finns fortfarande.

PROGRAM/SLUT

SLUT_ANNARS/

SLUT_OM/

KOMMENTAR/OPER,Det finns ingen fil att ta bort. Välj en befintlig fil.

Kodförklaring

Stora delar av den här koden liknar koden som förklaras i Kodexempel för Flytta fil.

Här förklaras endast den kod som är unik för det här exemplet.

FIL/TA_BORT,C1.INPUT
Den här raden innebär att den angivna filen tas bort. Kommandot innehåller en parameter: namnet på filen som ska tas bort. I det här fallet: C1.INPUT.


Kontrollera om en fil finns

Med menyalternativet Infoga | Kommando för fil-I/O | Testa om filen finns infogar du ett kommando i Redigeringsfönstret. När kommandot körs utförs en kontroll av om den angivna filen finns och resultatet anges som värde för den angivna variabeln.

Syntaxen för kommandot i Redigeringsfönstret ser ut så här:

<variabelnamn> = Fil/Finns,<filnamn>

<filnamn> | När kommandot körs görs en kontroll av om den här filen finns på hårddisken.
<variabelnamn> | Namnet på den variabel där resultatet av kontrollen anges. Variabeln får värdet 1 om filen finns och värdet 0 om filen inte finns.

Så här öppnar du dialogrutan för det här I/O-kommandot:

  1. Öppna Redigeringsfönstret.

  2. Placera markören på kommandot Filen finns.

  3. Tryck på F9.

Mer:

Kodexempel för Testa om filen finns


Kodexempel för kontroll av om en fil finns

Exempelkoden nedan ska anges i kommandoläget i Redigeringsfönstret och inte i dialogrutan Fil-I/O.

Följande kod innebär att ett filnamn efterfrågas. Därefter utförs en kontroll av att filen finns.

C1=KOMMENTAR/INMATN,Skriv namnet på en fil du vill kontrollera.

V1=FIL/FINNS,C1.INPUT

OM/V1<>0

KOMMENTAR/OPER,Filen finns.

SLUT_OM/

ANNARS/

KOMMENTAR/OPER,Filen finns inte

SLUT_ANNARS/

Kodförklaring

Stora delar av den här koden liknar koden som förklaras i Kodexempel för Läs tecken och Kodexempel för Läs rad.

Här förklaras endast den kod som är unik för det här exemplet.

V1=FIL/FINNS,C1.INPUT
I den här raden utförs en kontroll av att den angivna filen finns. Filen måste finnas i samma katalog som PC-DMIS för att kodexemplet ska fungera. Om den inte gör det måste raden som innehåller filnamnet också innehålla den fullständiga sökvägen för filen. Resultatet av filkontrollen lagras i V1. Värdet blir 0 om filen inte finns och ett värde skilt från noll om filen finns.


Visa en fildialogruta

Med menyalternativet Infoga | Kommando för fil-I/O | Fildialogruta infogar du ett kommando i Redigeringsfönstret. När kommandot körs visas en fildialogruta. Med hjälp av den här fildialogrutan kan den som kör detaljprogrammet välja ett filnamn under körningen. Namnet på den fil som väljs sparas i den angivna variabeln.

Syntaxen för kommandot i Redigeringsfönstret ser ut så här:

<variabelnamn> = Fil/Dialog,<uttryck>

<variabelnamn> | Det här är den variabel där namnet på filen som användaren väljer i dialogrutan sparas.
<uttryck> | Det här är texten som visas i fildialogrutans namnlist.

Så här öppnar du dialogrutan för det här I/O-kommandot:

  1. Öppna Redigeringsfönstret.

  2. Placera markören på kommandot Fildialogruta.

  3. Tryck på F9.

Mer:

Kodexempel för fildialogruta


Kodexempel för fildialogruta

Exempelkoden nedan ska anges i kommandoläget i Redigeringsfönstret och inte i dialogrutan Fil-I/O.

Följande kod innebär att en dialogruta visas där du kan välja en fil som ska tas bort.

V1=FIL/DIALOGRUTA,Välj en fil som ska tas bort.

V2=FIL/FINNS,V1

OM/V2<>0

KOMMENTAR/OPER,Filen finns. Klar för borttagning.

FIL/TA_BORT,V1

V3=FIL/FINNS,

OM/V3==0

KOMMENTAR/OPER,Filen har tagits bort

PROGRAM/SLUT

SLUT_OM/

ANNARS/

KOMMENTAR/OPER,Filen finns fortfarande.

PROGRAM/SLUT

SLUT_ANNARS/

SLUT_OM/

KOMMENTAR/OPER,Det finns ingen fil att ta bort. Välj en befintlig fil.

Stora delar av den här koden liknar koden som förklaras i Kodexempel för Läs tecken och Kodexempel för Läs rad.

Här förklaras endast den kod som är unik för det här exemplet.

V1=FIL/Dialogruta,Välj en fil som ska tas bort
Den här raden innebär att en dialogruta med titeln "Välj en fil som ska tas bort" visas. När du bläddrar till en fil och klickar på Öppna anges den fullständiga sökvägen till filen i V1. Resten av programmet innebär att den valda filen tas bort.


Söka efter slutet på en fil eller slutet på en rad

I PC-DMIS kan du söka efter slutet på en fil med hjälp av funktionerna EOF och EOL i ett villkorstest.

EOF står för SLUT PÅ FILEN (END OF FILE). För den här funktionen används en sträng som filpekare. När funktionen placeras korrekt i ett villkorligt uttryck utförs en kontroll för att se om filpekaren har nått slutet av den angivna filen. Om slutet har nåtts returneras värdet Sant för funktionen.

EOL står för SLUT PÅ RADEN (END OF FILE). För den här funktionen används en sträng som filpekare. När funktionen placeras korrekt i ett villkorligt uttryck utförs en kontroll för att se om filpekaren har nått slutet av en rad i den angivna filen. Om slutet har nåtts returneras värdet Sant för funktionen. Funktionen fungerar bäst som en del av en slinga.

Syntaxen för kommandot i Redigeringsfönstret ser ut så här:

EOF(<filpekare>) eller EOL(<filpekare>)

<filpekare>

Det här är namnet på den filpekare som du kontrollerar.

Mer:

Kodexempel för EOF och EOL


Kodexempel för EOF och EOL

Exempelkoden nedan ska anges i kommandoläget i Redigeringsfönstret och inte i dialogrutan Fil-I/O.

Följande kod innebär att filen test.txt öppnas och läses. Så länge filens slut inte nås (detta anges med koden SÅLÄNGE/!EOF) läses filen igenom tecken för tecken och ett tecken tilldelas V1.

Om slutet av en rad nås i filen visas det sista tecknet i raden.

Detta upprepas tills slutet av filen nås. Då visas texten "Slutet på filen har nåtts" i PC-DMIS.

FILPEK=FIL/ÖPPNA,D:\temp\test.txt,LÄSA

SÅLÄNGE/!EOF("FILPEK")

V1=FIL/LÄS_TECKEN,FILPEK

OM/EOL("FILPEK")

KOMMENTAR/OPER,NEJ,"Slutet på raden har nåtts. Det sista tecknet är:"

,V1

SLUT_OM/

SLUT_SÅLÄNGE/

KOMMENTAR/OPER,NEJ,"Slutet på filen har nåtts."


Använda uttryck och variabler

Använda uttryck och variabler: Inledning

Använda uttryck i ett detaljprogram

Visa uttrycksvärden

Så här behåller du endast uttrycksvärden

Använda uttryck vid förgrening

Använda uttryck med filindata/-utdata

Skapa uttryck i Uttrycksguiden

Skapa ett uttryck genom att skriva in det

Skapa ett uttryck i Uttrycksguiden

Kontrollera att uttrycket är korrekt

Uttryckets elementtyp

ID

Tillägg

Ytterligare tillägg

Knappen Lägg till

Redigeringsrutan

Området Beskrivning

Använda variabler med uttryck

Tilldela värden till variabler från dialogrutan Tilldelning

Tilldela till

Tilldela från

Infoga

Om uttryckskomponenter

Operandtyper

Literaler

Referenser

Referenser av typen double (decimaltal)

Referenser av typen point (punkt)

Referenser av typen string (sträng)

Variabler

Strukturer

Regler för strukturer

Strukturer med variabler av typen point (punkt)

Pointers (pekare)

Arrayer

Elementgrupper:

Objektet Array-index:

Mätpunktsarrayer:

Variabelarrayer:

Operatorer för uttryck

Prioritetsordning

Funktioner

Exempel på allmän funktion

Exempel på funktion med flera parametrar

Exempel på funktioner som överförs som variabler

Exempel på rekursivt definierade funktioner

Exempel på funktioner som skapar andra funktioner

Exempel på funktioner som komponenter i en array

String-funktioner

Point-funktioner

Pointer-funktioner

Array-funktioner

Function-funktioner

Diverse funktioner

Funktionen TutorElement

Funktionen QualToolData

Trigonometriska funktioner

Operandomvandling

Omvandling till integer (heltal)

Omvandling till double (decimaltal)

Omvandling till string (sträng)

Omvandling till point (punkt)

Operandomvandling och blandade uttryck

ID-uttryck

Elementgrupps-ID

ID:n med jokertecken

ID:n för funktioner i underprogram, Basic-skript eller externa program

Kombinationer av ID-uttryck


Använda uttryck och variabler: Inledning

Ett uttryck är ett användardefinierat villkor som används tillsammans med programflödeskommandon i PC-DMIS. Med hjälp av programflödeskommandon kan du testa villkoren i detaljprogrammet och avgöra vilken åtgärd som ska utföras om villkoret uppfylls respektive inte uppfylls.

Uttryck är viktiga för att utföra specifika aktiviteter i PC-DMIS. Genom att använda uttryck tillsammans med programflödeskommandon kan du utnyttja fler av funktionerna i PC-DMIS.

I detta avsnitt lär du dig hur du skapar och använder uttryck i Redigeringsfönstret. När du arbetar med uttryck bör du ställa om Redigeringsfönstret till kommandoläge. På så sätt kan du direkt se koden i Redigeringsfönstret.

I det här avsnittet beskrivs följande viktiga ämnen:

  • Använda uttryck i ett detaljprogram

  • Skapa uttryck i Uttrycksguiden

  • Använda variabler med uttryck

  • Om uttryckskomponenter


Använda uttryck i ett detaljprogram

I Redigeringsfönstret kan du använda uttryck i de flesta av de redigerbara fälten. Redigerbara fält är vanligtvis de fält som markeras med gult om du trycker på TABB-tangenten i Redigeringsfönstret när du arbetar i kommandoläge. Uttryck är inte tillåtna i fält som förändrar elementtypen.

Exempel: Uttryck är inte tillåtna i rutan för ett autoelement som anger vilken typ av autoelement det handlar om, till exempel Ytpunkt, Autocirkel och Auto rundat spår.

I underämnena till detta ämne finns fullständiga referenser till tillgängliga uttryck.

Mer:

Visa uttrycksvärden

Så här behåller du endast uttrycksvärden

Använda uttryck vid förgrening

Använda uttryck med filindata/-utdata


Visa uttrycksvärden

För att se värdet för ett uttryck placerar du muspekaren över uttrycket och håller kvar den i minst en sekund. Uttrycket utvärderas och det öppnas ett litet gult popup-fönster nedanför muspekaren där uttrycket och dess aktuella värde visas.


Så här behåller du endast uttrycksvärden

Så här gör du om du direkt vill lösa ett uttryck i Redigeringsfönstret och endast behålla värdet:

  1. Markera uttryckstexten i Redigeringsfönstret.

  2. Skriv ` (grav accent) före uttryckstexten.

Exempel: Anta att du skriver in uttrycket `1/7 i ett numeriskt fält. Uttrycket kommer att lösas direkt och endast värdet (0.143) skrivs in i fältet.


Använda uttryck vid förgrening

Programflödeskommandon är uttryck som avgör programflödet vid körning av ett program. Mer information om när förgrening kan förekomma finns i avsnittet Förgrening genom användning av programflödeskommandon.


Använda uttryck med filindata/-utdata

När du skriver data till eller läser data från en extern datafil används ofta variabler och andra uttryck för att effektivt hantera och spara eller visa data. Mer information finns i avsnittet Använda indata/utdata i filer.


Skapa uttryck i Uttrycksguiden

Dialogrutan Uttrycksguiden

I PC-DMIS kan du skapa uttryck genom att skriva in dem direkt i Redigeringsfönstret eller genom att använda det användarvänligare gränssnittet i dialogrutan Uttrycksguiden. Om du väljer menyalternativet Redigera | Uttryck öppnas dialogrutan Uttrycksguiden.

I dialogrutan kan du skapa ett uttryck och infoga det i ett redigerbart fält. Du kan även öppna dialogrutan Uttrycksguiden genom att trycka på F2 när markören är placerad i ett fält som tillåter uttryck.

I dialogrutan Uttrycksguiden finns en lista över alla typer av tillgängliga operatorer och funktioner för uttryck.

Mer:

Skapa ett uttryck genom att skriva in det

Skapa ett uttryck i Uttrycksguiden

Uttryckets elementtyp

ID

Tillägg

Ytterligare tillägg

Knappen Lägg till

Redigeringsrutan

Området Beskrivning

Kontrollera att uttrycket är korrekt


Skapa ett uttryck genom att skriva in det

Så här skapar du ett uttryck genom att skriva in det direkt i Redigeringsfönstret:

  1. Öppna Redigeringsfönstret.

  2. Ställ in Redigeringsfönstret i kommandoläge.

  3. Tryck på TABB-tangenten för att flytta markören till ett redigerbart fält där du vill infoga uttrycket. Gulmarkerade fält är redigerbara.

  4. Skriv in uttrycket.


Skapa ett uttryck i Uttrycksguiden

Så här skapar du ett uttryck i dialogrutan Uttrycksguiden:

  1. Öppna Redigeringsfönstret.

  2. Ställ in Redigeringsfönstret i kommandoläge.

  3. Flytta markören till ett redigerbart fält där du vill infoga uttrycket.

  4. Tryck på F2 när markören är placerad i ett fält som tillåter uttryck. Dialogrutan Uttrycksguiden öppnas. I dialogrutan Uttrycksguiden finns en lista över alla typer av operatorer, operander och funktioner. I dialogrutan kan du referera till följande:

  • Tillgängliga uttryckstyper

  • Variabler

  • Element

  • Utvärderingar

  • Uppriktningar

  • Kommentarer

  5. Välj uttryckets elementtyp i den första listan. Beroende på vad du väljer i listan kan andra rutor öppnas.

  6. Välj önskat ID i listan ID.

  7. Välj ett tillägg i listan Tillägg.

  8. Välj ytterligare ett tillägg i listan Ytterligare tillägg. Om det går att använda uttrycket blir knappen Lägg till tillgänglig.

  9. Klicka på knappen Lägg till. Uttrycket visas i en redigeringsruta.

  10. Klicka på OK. Nu visas uttrycket vid markörens position i Redigeringsfönstret.

Obs! Du kan även öppna dialogrutan Uttrycksguiden från menyraden genom att gå till dialogrutan Om GåTill och därefter klicka på knappen Uttryck. När uttrycket har skapats infogas det automatiskt vid nästa tillåtna position i Redigeringsfönstret.


Kontrollera att uttrycket är korrekt

När du tar bort markören ur ett fält där du har lagt till ett uttryck görs ett försök att kontrollera att uttrycket är korrekt. Om uttrycket är felaktigt kan det visas ett felmeddelande med ett ogiltigt värde, eller så kan texten i uttrycket bli röd. Uttryck som refererar till objekt som inte finns visas också med röd text.

Eftersom kontrollen av ett uttrycks korrekthet görs när du lämnar ett fält så kommer ett fält som har blivit rött på grund av det innehåller ett objekt som inte finns (t.ex. CIRKEL1.X) att förbli rött även när du har lagt till det nya objektet (t.ex. CIRKEL1). Fältet förblir rött tills uttryckets korrekthet har kontrollerats igen.

Så här gör du en ny kontroll av att uttrycket är korrekt:

  1. Flytta markören till uttrycksfältet.

  2. Tryck på tangenten F2. Dialogrutan Uttrycksguiden öppnas. Eventuella ändringar av uttrycket visas i redigeringsrutan.

  3. Tryck på RETUR för att stänga dialogrutan.


Uttryckets elementtyp

Den nedrullningsbara listan Uttryckets elementtyp i dialogrutan Uttrycksguiden innehåller en förteckning över de olika uttryckselement som kan placeras i uttryck. De är:

  • Funktioner

  • Operatorer

  • Uppriktningar

  • Kommentarer

  • Utvärderingar

  • Element

  • Variabler


ID

Listan ID i dialogrutan Uttrycksguiden innehåller en uppsättning tillgängliga objekt beroende på vilken uttryckselementtyp som har markerats i listan Uttryckets elementtyp.

Exempel:

  • Om du väljer Funktioner och operatorer i listan Uttryckets elementtyp kommer listan ID att innehålla tillgängliga funktioner och operatorer.

  • Om du väljer Element i listan Uttryckets elementtyp kommer listan ID att innehålla ID:n för element i detaljprogrammet.


Tillägg

Listan Tillägg blir tillgänglig om du måste ange ett tillägg för att det objekt som har markerats i listan ID ska bilda ett användbart uttryckselement. I listan Tillägg finns tillgängliga tillägg beroende på vilket objekt som har markerats i listan ID.

Exempel: Anta att du markerar ett element i listan ID. Möjliga tillägg som kan användas för att referera till data för elementet (till exempel X, Y, Z, Diam och Längd) finns i listan Tillägg.


Ytterligare tillägg

Listan Ytterligare tillägg aktiveras endast om du behöver lägga till ytterligare objekt för att objektet som valdes i listan Tillägg ska bilda ett användbart uttryckselement.

Exempel: Anta att du gör en referens till det nominella värdet för läget på X-axeln för en utvärdering med namnet "U1".

Så här gör du:
Välj U1 i listan ID .
Välj X i listan Tillägg.
Välj Nom i listan Ytterligare tillägg.


Knappen Lägg till

Knappen Lägg till blir tillgänglig när du markerar ett användbart eller fullständigt uttryckselement i någon av de nedrullningsbara listorna. När du klickar på knappen visas den med den text som ska läggas till i uttrycket.

Anta att du väljer följande:

  • Utvärderingar i listan Uttryckets elementtyp

  • D1 i listan ID

  • X i listan Tillägg

  • Nom i listan Ytterligare tillägg

När du har gjort valen aktiveras knappen Lägg till med följande text: Lägg till D1.X.NOM.

När du klickar på knappen Lägg till visas texten i redigeringsrutan längst ned i dialogrutan.

Obs! När du klickar på OK infogas texten från redigeringsrutan i Redigeringsfönstret till det uttrycksfält där markören är placerad. Om du väljer ett objekt i Redigeringsfönstrets uttrycksfält och den text som ska läggas till innehåller parenteser placeras det markerade objektet mellan parenteserna i den tillagda texten.


Redigeringsrutan

Längst ned i dialogrutan Uttrycksguiden finns en redigeringsruta där det aktuella uttrycket visas. Du kan antingen skriva in uttrycket direkt i rutan eller använda knappen Lägg till.


Området Beskrivning

I dialogrutan Uttrycksguiden finns området Beskrivning med information om de element som markeras i listorna. Det finns också ett fält bredvid knappen Lägg till där uttryckets aktuella värde visas.

Obs! Ogiltiga uttryck har värdet 0.


Använda variabler med uttryck

Variabler är objekt som innehåller värden. De refererar till operander av typerna integer (heltal), real (flyttal), string (sträng) eller point (punkt). Variabler är nödvändiga i uttryck. En variabel har ett namn och ett värde. Namnet används för att komma åt variabelns värde. Namnet är konstant medan värdet kan förändras. Du tilldelar ett värde till en variabel med kommandot TILLDELA/.

Till exempel skapar kommandot TILLDELA/V1 = 2 en variabel med namnet V1 och värdet 2. I TILLDELA/V2 = V1 + 2 används värdet för V1 som adderas med 2. Om V1 fortfarande har värdet 2 när detta tilldelningskommando körs får V2 värdet 4.

Mer information om variabler finns under Variabler.

Mer:

Tilldela värden till variabler från dialogrutan Tilldelning


Tilldela värden till variabler från dialogrutan Tilldelning

Dialogrutan Tilldelning

Om du väljer menyalternativet Infoga | Tilldelning öppnas dialogrutan Tilldelning. I dialogrutan kan du tilldela ett värde till en variabel eller ett dataelement för ett element, en utvärdering eller en uppriktning i ett detaljprogram. Du måste ha viss kunskap om uttryck i PC-DMIS för att kunna använda tilldelningskommandot.

Mer:

Tilldela till

Tilldela från

Infoga


Tilldela till

Med knappen Till... anger du den variabel som tar emot det beräknade värdet från rutan Tilldelning. Informationen du väljer med knappen Till... läggs till i rutan Tilldelning. Detta värde kan vara namnet på en variabel eller en referens till ett dataelement för ett element, en utvärdering eller uppriktning.


Tilldela från

Termen "beräknad" står för att det matematiska uttrycket för ett värde har lösts.

Använd knappen Från... för att placera det tilldelade värdet i rutan Tilldelning. Om rutan innehåller ett uttryck beräknas det vid körningen och resultatet eller värdet från uträkningen tilldelas till det objekt som har angetts i rutan Tilldelning (som öppnas om du klickar på Till...).


Infoga

Om du klickar på knappen Infoga infogas ett tilldelningskommando i detaljprogrammet samtidigt som dialogrutan Tilldelning hålls öppen. Använd knappen om du vill infoga tilldelningskommandon utan att stänga dialogrutan.


Om uttryckskomponenter

Uttryck innehåller följande typer av operander:

  • Integer (heltal)

  • Real Number (flyttal)

  • String (sträng)

  • Point (punkt)

  • Feature Pointer (elementpekare)

  • Array

  • Function (funktion)

Utförligare genomgångar av dem finns nedan.

Mer:

Operandtyper

Literaler

Referenser

Variabler

Strukturer

Pointers (pekare)

Arrayer

Operatorer för uttryck

Prioritetsordning

Funktioner

Operandomvandling

ID-uttryck


Operandtyper

Operander kan förekomma i följande format:

  • Literaler

  • Referenser

  • Variabler

  • Strukturer

  • Pointers (pekare)


Literaler

*Integers (heltal): 1, -6, 209

Reals (flyttal): 1, -6, 2.4, -0.1, 345.6789

Strings (strängar): "Godmorgon världen", "47", "CIRKEL 1"

Points (punkter): Punkter kan inte återges som literaler. Du kan däremot skapa punkter från andra literaler med funktionen MPOINT: MPOINT(0,0,1), MPOINT(2.2, 3.1, 4.0).

Pointer (pekare): Namnet på ett element inom klammerparenteser: {CIR1}, {LIN2}, {F3}

Arrays (arrayer): Arrayer kan inte återges som literaler. Du kan däremot skapa arrayer från andra literaler med funktionen ARRAY: ARRAY(3, 5, 6), ARRAY("Hej", 2.3, 9). Med funktionerna ovan skapas 3 elementarrayer med integer-elementen 3, 5 och 6 i det första exempel och med string-elementet "Hej", double-elementet 2.3 och integer-elementet 9 i det andra exemplet.

Functions (funktioner): Funktioner kan inte återges som literaler. Funktioner definieras med nyckelordet FUNCTION och används med hjälp av variabel-ID:n. Med TILLDELA/LäggTill2 = FUNCTION((X), X+2) definieras till exempel en funktion som lägger till 2 till ett element. Funktionen tilldelas till variabeln LäggTill2. Så här anropar du funktionen med hjälp av variabeln LäggTill2: TILLDELA/Resultat = LäggTill2(5). Resultatet får värdet 7.

Obs! Numeriska literaler tolkas som flyttal om inte operatorn eller funktionen anger att heltal ska användas. Uttrycket 10 / 8 blir till exempel 1.25 i stället för 1. Observera också att du även kan utföra diskret division via operatorerna för operandomvandling. Uttrycket INT(10) / INT(8) blir 1.


Referenser

Referenser refererar till datamedlemmar för andra objekt i ett detaljprogram. I referenser används ID:t för ett objekt i detaljprogrammet följt av en punkt och ett tillägg som refererar till objektets datamedlem.

Exempel: Om CIRKEL1 är namnet på en mätt cirkel i detaljprogrammet skulle CIRKEL1.X referera till det mätta värdet för komponenten X för CIRKEL1. Alla referenser beräknas som detaljkoordinater i relation till den aktuella uppriktningen.

Mer:

Referenser av typen double (decimaltal)

Referenser av typen point (punkt)

Referenser av typen string (sträng)


Referenser av typen double (decimaltal)

Följande referensuttryck förekommer:

Giltiga tillägg för elementreferenser av typen double efter exempel

Format: <Element-ID>.<Tillägg> -> CIRKEL1.X

CIRKEL1.X Mätt X-värde för CIRKEL1
CIRKEL1.Y Mätt Y-värde för CIRKEL1
CIRKEL1.Z Mätt Z-värde för CIRKEL1

CIRKEL1.TX Teoretiskt (nominellt) X-värde för CIRKEL1
CIRKEL1.TY Teoretiskt (nominellt) Y-värde för CIRKEL1
CIRKEL1.TZ Teoretiskt (nominellt) Z-värde för CIRKEL1

LINJE1.SX Mätt X-värde för startpunkten för LINJE1
LINJE1.SY
LINJE1.SZ

LINJE1.TSX Teoretiskt X-värde för startpunkten för LINJE1
LINJE1.TSY
LINJE1.TSZ

LINJE1.EX Mätt X-värde för slutpunkten för LINJE1
LINJE1.EY
LINJE1.EZ

LINJE1.TEX Teoretiskt X-värde för slutpunkten för LINJE1
LINJE1.TEY
LINJE1.TEZ

PUNKT.I Mätt I-komponent för vektorn för PUNKT
PUNKT.J
PUNKT.K

PUNKT.TI Teoretisk I-komponent för vektorn för PUNKT
PUNKT.TJ
PUNKT.TK

ELEM1.TYP Typ av element (cirkel, spår, kon). Detta kan användas för att ändra typen för ett allmänt element (Tilldela/ Allm1.TYP = Elem1.TYP).

ELEM1.ALL Refererar till alla delelement för elementet. Detta är viktigt om du kopierar information till ett allmänt element. (Tilldela/ Allm1.ALL = Elem1.ALL)

Ytvektor

KANT.SURFI

KANT.SURFJ

KANT.SURFK

KANT.TSURFI

KANT.TSURFJ

KANT.TSURFK

Vinkelvektor

CIR.ANGI

CIR.ANGJ

CIR.ANGK

CIR.TANGI

CIR.TANGJ

CIR.TANGK

Radie

CIRKEL1.R

CIRKEL1.TR

CIRKEL1.RAD

CIRKEL1.TRAD

CIRKEL1.RADIUS

CIRKEL1.PR – Polär radie

CIRKEL1.TPR – Teoretisk polär radie

CIRKEL1.TRADIUS (endast de första tecknen behöver anges)

Diameter

CIRKEL1.D

CIRKEL1.TD

CIRKEL1.DIAM

CIRKEL1.TDIAM

CIRKEL1.DIAMETER

CIRKEL1.TDIAMETER (endast de första tecknen behöver anges)

Vinkel

KON.A

KON.TA

KON.ANG

KON.TANG

KON.ANGLE

KON.TANGLE

KON.PA – Polär vinkel

KON.TPA – Teoretisk polär vinkel (endast de första tecknen behöver anges)

Längd

LINJE.L

LINJE.TL

LINJE.LEN

LINJE.TLEN

LINJE.LENGTH

LINJE.TLENGTH (endast de första tecknen behöver anges)

Höjd

CYLINDER.PH – Polär höjd

CYLINDER.TPH – Teoretisk polär höjd

Radie, vinkel, höjd

PUNKT.RAH – Punkt med mätt radie, vinkel och höjd

PUNKT.TRAH – Punkt med teoretisk radie, vinkel och höjd

Giltiga tillägg för utvärderingsreferenser av typen double efter exempel

Format: <Utvärderings-ID>.<AXEL>.<Utvärderingselement> -> UTV1.X.NOM

UTV1.X.NOM | Det nominella värdet för läget på X-axeln för UTV1
UTV1.X.MEAS | Det mätta värdet för läget på X-axeln för UTV1
UTV1.X.MAX | Den största avvikelsen för läget på X-axeln för UTV1
UTV1.X.MIN | Den minsta avvikelsen för läget på X-axeln för UTV1
UTV1.X.PTOL | Värdet för övre tolerans för läget på X-axeln för UTV1
UTV1.X.MTOL | Värdet för undre tolerans för läget på X-axeln för UTV1
UTV1.X.DEV | Avvikelsen för läget på X-axeln för UTV1
UTV1.X.OUTTOL | Värdet för utom tolerans för läget på X-axeln för UTV1
UTV1.Y.NOM | Det nominella värdet för läget på Y-axeln för UTV1
UTV1.Z.DEV | Avvikelsen för läget på Z-axeln för UTV1
UTV3.PA.MEAS | Det mätta värdet för den polära vinkeln för UTV3
UTV4.M.PTOL | Värdet för övre tolerans för M-axeln för UTV4
*UTV4.PTOL | Värdet för övre tolerans för M-axeln för UTV4 (se kommentar under Giltiga axlar nedan).
UTV5.BTOL | Värdet för bonustolerans när UTV5 är en lägeriktighet.

Giltiga axlar:

X, Y, Z, D, R, A, T, V, L, PR, PA, M, PD, RS, RT, S, H, DD, DF, TP

Obs! *För utvärderingar som per definition endast har en axel (t.ex. rundhet och koncentricitet) kan axelattributet utelämnas. Om axelattributet används bör du observera att dessa typer av utvärderingar (som endast har en axel) använder attributet för M-axeln, med undantag för vinkelutvärderingarna för 2D och 3D som använder attributet för A-axeln.

Giltiga tillägg för uppriktningsreferenser av typen double efter exempel:

Format: <Uppriktnings-ID>.<Axel eller nollpunkt för uppriktning>.<Axel- eller nollpunktskomponent för uppriktning> -> U1.ORIGIN.X

U1.ORIGIN.X | X-komponenten för den mätta nollpunkten för uppriktning U1
U2.ORIGIN.Y | Y-komponenten för den mätta nollpunkten för uppriktning U2
U1.ORIGIN.X.Z | Z-komponenten för den mätta nollpunkten för uppriktning U1
U1.XAXIS.I | I-komponenten för den mätta X-axeln för uppriktning U1
U1.YAXIS.J | J-komponenten för den mätta Y-axeln för uppriktning U1
U1.ZAXIS.K | K-komponenten för den mätta Z-axeln för uppriktning U1
U1.CORIGIN.X | X-komponenten för nollpunkten för uppriktning U1 utifrån teoretiska data (C står för CAD)
U1.CXAXIS.J | J-komponenten för X-axeln för uppriktning U1 utifrån teoretiska data (C står för CAD)


Referenser av typen point (punkt)

Följande referensuttryck förekommer:

Giltiga tillägg för elementreferenser av typen point efter exempel

Format: <Element-ID>.<Tillägg> -> CIRKEL1.XYZ

CIRKEL1.XYZ | Mätt centroid för CIRKEL1
CIRKEL1.TXYZ | Teoretisk centroid för CIRKEL1
LINJE1.SXYZ | Mätt startpunkt för LINJE1
LINJE1.TSXYZ | Teoretisk startpunkt för LINJE1
LINJE1.EXYZ | Mätt slutpunkt för LINJE1
LINJE1.TEXYZ | Teoretisk slutpunkt för LINJE1
CIRKEL1.IJK | Mätt vektor för CIRKEL1
CIRKEL1.TIJK | Teoretisk vektor för CIRKEL1
KANT.SURFIJK | Mätt ytvektor för KANT
KANT.TSURFIJK | Teoretisk ytvektor för KANT
AUTOCIR1.ANGIJK | Mätt vinkelvektor för AUTOCIR1
AUTOCIR1.TANGIJK | Teoretisk vinkelvektor för AUTOCIR1

Giltiga tillägg för uppriktningsreferenser av typen point efter exempel

Format: <Uppriktnings-ID>.<Axel eller nollpunkt för uppriktning> -> U1.XAXIS

U1.ORIGIN | Mätt nollpunkt för uppriktning U1
U1.XAXIS | Mätt X-axel för uppriktning U1
U1.YAXIS | Mätt Y-axel för uppriktning U1
U1.ZAXIS | Mätt Z-axel för uppriktning U1
U1.CORIGIN | Teoretisk nollpunkt för uppriktning U1
U1.CXAXIS | Teoretisk X-axel för uppriktning U1
U1.CYAXIS | Teoretisk Y-axel för uppriktning U1
U1.CZAXIS | Teoretisk Z-axel för uppriktning U1


Referenser av typen string (sträng)

Referenser till kommentarer är de enda objektstyper som är typen string. Du kan endast referera till INMATN- eller JA/NEJ-kommentarer med referenser. Dessa kommentarstyper har ett ID som kan användas för att identifiera kommentaren.

Format: <Kommentars-ID>.INPUT -> K1.INPUT

K1.INPUT – Det inmatade värdet (från operatorn) för kommentar K1

JA/NEJ-kommentarer ställer in inmatade data till en lämplig ja- eller nej-sträng beroende på det aktuella språket i PC-DMIS. Om operatören trycker på knappen Ja i den svenska versionen av PC-DMIS ställs strängvärdet in till "JA"; om operatören trycker på knappen Nej ställs det in till "NEJ". När du jämför strängvärden för att testa "JA" eller "NEJ" är jämförelsen skiftlägeskänslig. Därför kommer en jämförelse med "ja" eller "nej" alltid att misslyckas även om inmatade data för JA/NEJ-kommentaren är inställda till "JA" eller "NEJ".


Variabler

Variabler hör till en av sju operandtyper: Integer (heltal), real (flyttal), string (sträng), point (punkt), feature pointer (elementpekare), array eller function (funktion). Variabler skapas och får ett värde och en typ via kommandot TILLDELA. Variabel-ID:t är en alfanumerisk sträng som inte börjar med en siffra. Understreck kan användas i variabel-ID:t förutsatt att det inte är det första tecknet.

Variabelvärden sparas mellan körningarna. Det innebär att om programkörningen stoppas och startas om kommer de värden som variablerna hade när körningen stoppades att vara desamma när körningen startas om.

Obs! Om Redigeringsfönstret är aktivt visas det aktuella värdet för variabeln när markören placeras i fältet. Under körning förändras variabelvärdena beroende på körningsflödet. Placera muspekaren över en variabel om du vill veta det aktuella värdet för variabeln.

TILLDELA/ V1 = 2.2+2 | Variabeln V1 är ett värde av typen real med värdet 4.2.
TILLDELA/ VAR1 = CIRKEL1.X | Variabeln VAR1 är ett värde av typen real vars värde är lika med det mätta värdet för CIRKEL1.X vid tilldelningen.
TILLDELA/ MINVAR = LINJE1.XYZ | Variabeln MINVAR är ett värde av typen point med samma värde som den mätta centroiden för LINJE1 vid tilldelningen.
TILLDELA/ SVAR = "Godmorgon världen" | Variabeln SVAR är ett värde av typen string med värdet "Godmorgon världen".

I dessa exempel tilldelas värden till variablerna. När en variabel har tilldelats ett värde kan den användas som operand i ett uttrycksfält.

Exempel på användning av V1 i ett numeriskt fält:
TILLDELA/V1 = 1/3
INSTRÄCKA / V1

Här används V1 som värde för insträckan i kommandot INSTRÄCKA.

Obs! På grund av att du kan använda uttryck i de flesta redigerbara fält är följande uttryck också tillåtet och har samma effekt: INSTRÄCKA / 1/3.

Du kan referera till individuella komponenter för variabler av typen point genom att använda punkttilläggsnoteringen som används för referenser.

TILLDELA/ V1 = MPOINT(3, 4, 5) | V1 är av typen point med värdet 3, 4, 5.
TILLDELA/ XVAR = V1.X | XVAR är av typen double med värdet 3.
TILLDELA/ YVAR = V1.Y | YVAR är av typen double med värdet 4.
TILLDELA/ IVAR = V1.I | IVAR är av typen double med värdet 3.
TILLDELA/ PVAR = V1.XYZ | PVAR är av typen point med värdet 3, 4, 5.

Följande tillägg är likvärdiga. Samtliga anges för att förtydliga betydelsen av ett uttryck i ett detaljprogram.

Anta att V1 är av typen point.

V1.X är detsamma som V1.I
V1.Y är detsamma som V1.J
V1.Z är detsamma som V1.K

V1.XYZ är detsamma som V1.IJK och V1 utan tillägg.

Om en variabel av typen string har ett värde som är lika med namnet på ett element-ID, en utvärdering eller en uppriktning kan variabeln användas som ett referensobjekt.

Exempel:
TILLDELA/ V1 = "CIRKEL1"

Följande operander kan användas och är giltiga om det finns ett element med namnet CIRKEL1:

V1.X – Det mätta X-värdet för CIRKEL1
V1.TX – Det teoretiska X-värdet för CIRKEL1
V1.Diameter – Den mätta diametern för CIRKEL1
V1.Radie – Den mätta radien för CIRKEL1

Den här typen av indirektion som finns för variabler av typen string är endast tillgänglig på en nivå av indirektion. Följande exempel fungerar inte.

TILLDELA/ V1 = "CIRKEL1"
TILLDELA/ V2 = "V1"
V2.X – Det här uttrycket beräknas till 0 i stället för till det aktuella mätta värdet för CIRKEL1.X.

Obs! Referensen V2.X kommer inte att flaggas som ett fel med röd text trots att det ställs in till ett värde av typen string i uttrycket ovanför referensen. Anledningen till att det inte kan flaggas som ett fel är att körningsflödet i detaljprogrammet inte är känt förrän vid körningen.

Om du däremot använder klammerparenteser blir följande uttryck giltigt:

TILLDELA/ V1 = {CIRKEL1}
TILLDELA/ V2 = {V1}
V2.X – Här används värdet för CIRKEL1.X.

Se följande exempel:

TILLDELA/ V1 = "CIRKEL1"
TILLDELA/ V2 = "V1"
OM / CIRKEL1.X > CIRKEL1.TX, GÅTILL, L2
L1 = MÄRKE /
TILLDELA/ V3 = V2.X
GÅTILL / MÄRKE, L3
L2 = MÄRKE /
TILLDELA/ V2 = MPOINT( 2, 5, 7)
GÅTILL / MÄRKE, L1
L3 = MÄRKE/

Om värdet för CIRKEL1.X under programkörningen är större än värdet för CIRKEL1.TX är uttrycket V2.X giltigt och beräknas till 2. I annat fall utvärderas V2.X till 0 på grund av att värdet för V2 vid kommandot TILLDELA för V3 är string-värdet "V1". Det är detaljprogrammerarens ansvar att kontrollera att uttryck utför det som förväntas i dessa fall.

Kommentar om tilldelningskommandot: Nästan alla elementreferenser kan användas på vänster sida i ett tilldelningskommando för att ange ett värde för en mätt eller teoretisk datamedlem för ett element. De enda undantagen är de enstaka I-, J- och K-komponenterna för vektorer. För att tilldela värden till vektorer måste hela vektorn tilldelas på samma gång med ett uttryck som beräknas till en punkt. Vektordata normaliseras när de matas in i elementets datamedlemmar.

Exempel:

TILLDELA/ CIRKEL1.I = 2 – ogiltigt
TILLDELA/ CIRKEL1.IJK = MPOINT(2, 0, 0) – giltigt (vektorn normaliseras till 1, 0, 0)

Information om hur du använder variabler i utvärderingar finns i Utvärdera variabler i avsnittet Utvärdera element.


Strukturer

I version 3.5 och senare versioner av PC-DMIS kan du använda en ny variabeltyp som kallas för strukturer. Med strukturer kan du göra tillägg till en variabel för att identifiera delelement för variabeln. Se följande exempel:

Exempel:

TILLDELA/V1.HÖJD = 6
TILLDELA/V1.BREDD = 4.3
TILLDELA/V1.LÄGE = "CIRKULÄR"
TILLDELA/V1.PUNKT = MPOINT(100.3, 37.5, 63.1)

I detta exempel är

· V1 strukturen.

· HÖJD, BREDD, LÄGE och PUNKT delelement i strukturen.

Mer:

Regler för strukturer

Strukturer med variabler av typen point (punkt)


Regler för strukturer

  • I likhet med variabler behöver strukturer inte deklareras.

  • Delelement i en struktur kan vara någon av följande variabeltyper:

q Integer (heltal)

q Double (decimaltal)

q Point (punkt)

q Feature Pointer (elementpekare)

q Function (funktion)

q Array

q Structure (struktur)

Det kan till exempel finnas strukturelement som är arrayer och arrayelement som är strukturer. Det gör att följande exempeluttryck är giltiga:

Exempel

TILLDELA/BIL.VÄNSTERSIDA.DÖRR[2].KVADRANT[3].LED[5].MÄTPKT[4] = MPOINT(558.89, 910.12, 42.45)

KOMMENTAR/OPER,"Aktuell Z-position: " + BIL.VÄNSTERSIDA.DÖRR[2].KVADRANT[3].LED[5].MÄTPKT[4].Z

TILLDELA/AKTUELL_LED = VÄNSTERSIDA.DÖRR[2].KVADRANT[3].LED[5]

KOMMENTAR/OPER,"Nästa mätpunkt: " + AKTUELL_LED.MÄTPKT[4]


Strukturer med variabler av typen point (punkt)

Om är variabel är av typen point kan användaren fortfarande använda tilläggen .X, .Y, .Z, .I, .J och .K för individuella objekt för point-variabeln. Användaren kan även använda något av de nämnda tilläggen i sina strukturer utan att behöva använda dem som point-element.

Exempel:

TILLDELA/V1.X = "Någon sträng"
TILLDELA/V1.Y = ARRAY(1,3,5,9,7)
TILLDELA/V1.Z = MPOINT(3,5,7)

KOMMENTAR/RAPP,V1.X | Det utmatade värdet blir "Någon sträng"
KOMMENTAR/RAPP,V1.Y[2] | Det utmatade värdet är 3, det andra elementet i arrayen.
KOMMENTAR/RAPP,V1.Z.Y | Det utmatade värdet är 5, Y-värdet för MPOINT.

Du kan skapa dynamiska strukturreferenser genom att kombinera strukturer med funktionerna hos uttrycksspråket i PC-DMIS. Se nedan:

(exemplet fortsätter)

TILLDELA/DYNAMISKSTRUKT = FUNCTION((X,Y), X.Y)
K1 =KOMMENTAR/INMATN,Ange objektet
TILLDELA/TESTSTR = K1.INMATN
TILLDELA/FRAMSIDA = LEFT(TESTSTR, INDEX(TESTSTR, ".")-1)
TILLDELA/BAKSIDA = MID(TESTSTR, INDEX(TESTSTR, "."))
TILLDELA/RESULTAT = DYNAMICSTRUCT(FRAMSIDA, BAKSIDA)

I den här delen av exemplet uppmanas du att mata in en variabelreferens och dela referensen vid den första förekomsten av " "; därefter blir RESULTAT lika med denna referens med hjälp av funktionen DYNAMICSTRUCT.

Så om du har matat in V1.Y[4] för variabeln K1.INPUT får RESULTAT värdet 9 (fjärde elementet i den array som har tilldelats till V1.Y).

Inlärningsutvärderingen av uttryck har utökats så att alla element i en struktur eller en array visas korrekt.


Pointers (pekare)

Datatypen pointer (pekare) kallas även för Feature Pointer (elementpekare). Mer information finns under Feature Pointer i ordlistan.

Pointers (pekare) är ett enkelt sätt att referera till ett element via en variabel eller att överföra objekt med kommandot ANROPA_UNDERPROGRAM. De fungerar på ungefär samma sätt som indirektion via strängnamn. Fördelen med att använda pointers finns i underprogram. Om en pointer överförs som argument i ett underprogram tillåter den, till skillnad från en string (sträng), att det refererade objektet ändras direkt i underprogrammet. Pointers används inte i komplexa uttryck. Om du använder en pointer i ett komplext uttryck blir den noll.

Se följande exempel:

Exempel på användning av pointer:

TILLDELA/ V1 = {CIR1} | V1 är nu en pointer som pekar på CIR1.
TILLDELA/ AVST = DOUBLE(V1.XYZ) | Avst = avståndet mellan CIR1 och nollpunkten.
Du kan även ange ett uttryck inom klammerparenteser för att skapa en feature pointer (elementpekare). I versioner före version 3.5 var den här åtgärden ogiltig. Följande exempel är tillåtna sätt att skapa en pointer för element CIR1:
TILLDELA/ANTAL_ELEMENT = 1 TILLDELA/V1={"CIR" + ANTAL_ELEMENT} | Tilldelar uttrycket "CIR1" till V1.
TILLDELA/V2="CIR1" TILLDELA/V3={V2} | Tilldelar uttrycket "CIR1" från variabel V2 till variabel V3
C1=KOMMENTAR/INMATN, ange ett elementnamn. TILLDELA/V4={C1.INMATN} | Funktionen placerar elementnamnet C1.INMATN i variabel V4.

Exempel på ett underprogram:

I det anropande programmet:

CS1 = ANROPA_UNDERPROGRAM/UNDERPROGRAM.PRG,ÄNDRA_X, {CIR1}

I underprogrammet:

ALLM1 = ALLMÄN/ELEMENT
UNDERPROGRAM/ÄNDRA_X, ARG1 = {ALLM1}

(När variabeln CIR1 överförs ersätter den ALLM1)

ARG1.X = 5

(Ställer in det mätta X-värdet för CIR1 till 5)

SLUT/UNDERPROGRAM

Exempel på komplext uttryck:

TILLDELA/ V1 = {CIR1} - 2

{CIR1} blir noll och hela uttrycket blir 2.


Arrayer

Det finns tre typer av arrayer: Elementgrupper, mätpunktsarrayer och variabelarrayer.

Viktigt! Även om flerdimensionella arrayer visas i flerdimensionell form i programvaran kan du i själva verket endast använda dem som endimensionella arrayer om du inte infogar ett ARRAY-INDEX-kommando före dem (se Objektet Array-index:).

Mer:

Elementgrupper:

Objektet Array-index:

Mätpunktsarrayer:

Variabelarrayer:


Elementgrupper:

Om du mäter ett element mer än en gång under körningen av ett program skapas automatiskt en elementgrupp. Antalet element i elementgruppen är lika med antalet gånger som elementet har körts.

Exempel: Om det finns ett mätt cirkelobjekt i en slinga som har körts fem gånger finns det en grupp med fem mätta cirklar. Om den mätta cirkelns ID är Cirkel1 kan du använda ett arrayuttryck för att gå till individuella förekomster av det mätta cirkelobjektet. Du använder hakparenteser ([ ]) för att ange den önskade förekomsten.

Tilldela/V1 = Cirkel1[3].x

V1 tilldelas det mätta x-värdet för den tredje förekomsten av Cirkel1.

Obs! Om det finns en elementgrupp för ett angivet element men det inte används någon arraybeteckning som referens till elementet används den senaste förekomsten. I exemplet ovan skulle referensen Cirkel1.x vara densamma som Cirkel1[5].x eftersom den femte förekomsten skulle vara den senaste förekomsten av objektet.

Du kan använda uttryck inom hakparenteserna i arrayuttryck. Därför skulle Cirkel1[3].x vara lika med Cirkel1[2+1].x. I exemplet nedan används en slinga för att skriva ut den mätta centroiden som består av de fem cirklarna ovan.

Exempel:

Tilldela/V1 = 1
SåLänge/V1 < 6
Kommentar/Rapp, "Centroid av förekomst #" + V1 + "av Cirkel1: " + Cirkel1[V1].XYZ
Tilldela/V1 = V1 + 1
Slut/SåLänge

Möjlig utskrift från exemplet ovan:

Centroid för förekomst nr 1 av Cirkel1: 3.4, 2.6, 1.43

Centroid för förekomst nr 2 av Cirkel1: 4.4, 3.6, 2.43

Centroid för förekomst nr 3 av Cirkel1: 5.4, 4.6, 3.43

Centroid för förekomst nr 4 av Cirkel1: 6.4, 5.6, 4.43

Centroid för förekomst nr 5 av Cirkel1: 7.5, 6.6, 5.43

Det kan även finnas arrayer med utvärderingar och uppriktningar som har körts flera gånger i en viss programkörning. Därför skulle Utv1[2].nom och Uppr1[4].nollpunkt kunna förekomma om utvärderingen Utv1 har körts minst två gånger och uppriktningen Uppr1 har körts minst fyra gånger.

Om en elementgrupp ligger utanför gränserna (om användaren till exempel frågar efter Cirkel1[2.5] eller > Cirkel2["Godmorgon världen"]) returneras ett objekt för den övre eller nedre gränsen. Om Cirkel1 hade 3 förekomster skulle Cirkel1[4] och högre returnera Cirkel1[3] och Cirkel1[0] och lägre skulle returnera Cirkel1[1]. Alla uttryck inom hakparenteser omvandlas till heltal och därför skulle 2.5 bli 2 och "Godmorgon världen" skulle bli 0.


Objektet Array-index:

Elementgrupper är som standard alltid endimensionella arrayer. Om det är lämpligare att behandla en elementgrupp som flerdimensionell kan du göra det genom att använda objektet Array-index.

Med objektet Array-index kan du ange övre och undre gränser för flera arraydimensioner.

  • Genom att ställa in en övre och en undre gräns för den första dimensionen skapas en tvådimensionell array vid gränsen för den första dimensionen, och den andra dimensionen är obegränsad.

  • Genom att ställa in övre och undre gränser för de två första dimensionerna i en array skapas en tredimensionell array. Den sista dimensionen är alltid obegränsad.

Exempel:

Element E1 finns i en kapslad SÅLÄNGE-slinga. Den inre SÅLÄNGE-slingan körs fem gånger och den yttre SÅLÄNGE-slingan tre gånger. När körningen slutförs har E1 körts 15 gånger och det finns alltså 15 förekomster av E1.

Se följande exempelsegment ur ett detaljprogram:

ARRAY-INDEX/1..5,..
TILLDELA/V1 = 1
SÅLÄNGE/V1<=3
TILLDELA/V2 = 1
SÅLÄNGE/V2<=5
E1=ELEMENT/PUNKT,REKT
TEOR/V2,V1,0,0,0,1
MÄTT/1,1,0,0,0,1
MÄT/PUNKT,1
MÄTPKT/BASIC,V2,V1,0,0,0,1,1,1,0
SLUTMÄT/
TILLDELA/V2 = V2+1
KOMMENTAR/RAPP,"Läge för E1[" + V2 + "," + V1 + "] :" + E1[V2,V1].XYZ
SLUT_SÅLÄNGE/
TILLDELA/V1 = V1+1
SLUT_SÅLÄNGE/

Genom det här kodsegmentet skapas ett rutnät med 3 x 5 rutor och 15 mätta punkter.

Med kommandot ARRAY-INDEX begränsas den första dimensionen för elementgruppen till 1 till och med 5. I rapporten visas objekten inte som E1[1] – E1[15] utan som E1[1, 1] – E1[5, 3] som bättre motsvarar elementlayouten. Observera att kommandot även gäller den elementgrupp som använder en tvådimensionell arraysyntax.

Så här infogar du ett Array-index-objekt i ett detaljprogram:

  1. Skriv Array på en tom rad i Redigeringsfönstret.

  2. Tryck på TABB-tangenten.

Obs! Om kryssrutan Visa klammer för elementgrupper är avmarkerad visas inte elementet inom klamrarna. Se Visa klammer för elementgrupper i avsnittet Göra inställningar.


Mätpunktsarrayer:

Mätpunkterna för ett visst element finns tillgängliga som en array som du kommer åt via uttryck som använder en arraysyntax med formatet <ElemID>.Hit[<Arrayuttryck>].<Tillägg> eller formatet <ElemID>.RawHit[<Arrayuttryck>].<Tillägg>. Med Hit returneras mäthuvudskompenserade data om mäthuvudskompenseringen är aktiverad. Med RawHit returneras alltid okompenserade data. Giltiga tillägg är X, Y, Z, I, J, K, TX, TY, TZ, TI, TJ, TK, XYZ, TXYZ, IJK och TIJK

Cirkel1.Hit[1].XYZ | Den mätta centroiden (mäthuvudskompenserad) för mätpunkt 1 för Cirkel1.
Cirkel1.Hit[2].IJK | Den mätta vektorn för mätpunkt 2 för Cirkel1.

Det finns mätpunktsdata för alla objekt med mätpunkter oavsett om de faktiska mätpunkterna visas i Redigeringsfönstret eller inte. På så sätt kan du hämta mätpunkter för scanåtgärder och autoelement.

I följande ämnen beskrivs några ytterligare arrayfunktioner som kan vara användbara för att hitta de lägsta eller högsta punkterna vid scanning av ett element.

Så här tilldelar du ett intervall av mätpunkter till en array

Med följande syntax kan du tilldela ett intervall av mätpunkter till en array:

<Element-ID>.<Mätpunktstyp>[<Startnr>..<Slutnr>].<Tillägg>

där

<Element-ID> är elementets namn.

<Mätpunktstyp> antingen kan vara ordet HIT för kompenserade data eller RAWHIT för okompenserade data. Om mäthuvudskompenseringen har avaktiverats är de returnerade värdena alltid okompenserade.

<Startnr> är ett uttryck som identifierar det första indexvärdet i mätpunktsintervallet.

<Slutnr> är ett uttryck som identifierar det sista indexvärdet i mätpunktsintervallet.

<Tillägg> identifierar datatypen. Möjliga tillägg är bland annat följande mätta eller teoretiska datatyper:

· X – mätta X-värden för mätpunkterna

· Y – mätta Y-värden för mätpunkterna

· Z – mätta Z-värden för mätpunkterna

· XYZ – mätta XYZ-värden för mätpunkterna

· I – mätta I-värden för mätpunkterna

· J – mätta J-värden för mätpunkterna

· K – mätta K-värden för mätpunkterna

· IJK – mätta IJK-värden för mätpunkterna

· TX – teoretiska X-värden för mätpunkterna

· TY – teoretiska y-värden för mätpunkterna

· TZ – teoretiska Z-värden för mätpunkterna

· TXYX – teoretiska XYZ-värden för mätpunkterna

· TI – teoretiska I-värden för mätpunkterna

· TJ – teoretiska J-värden för mätpunkterna

· TK – teoretiska K-värden för mätpunkterna

· TIJK – teoretiska IJK-värden för mätpunkterna

Exempel:

TILLDELA/V1 = SCAN1.HIT[1..10].X | V1 tilldelas till en array med 10 värden som är de mätta X-värdena från de 10 första mätpunkterna för SCAN1.
TILLDELA/V2 = SCAN1.HIT[1..SCAN1.NUMHITS].XYZ | V2 tilldelas till en array med punkter från var och en av centroiderna för mätpunkterna i scanåtgärden.

Sortera arrayer

I PC-DMIS kan du sortera arrayer i stigande eller fallande ordning. Uttrycken nedan tar en array och returnerar en sorterad array:

För sortering i stigande ordning ska du använda:
SORTUP(<array>)

För sortering i fallande ordning ska du använda:
SORTDOWN(<array>)

Exempel:

TILLDELA/V1 = ARRAY(5,8,3,9,2,6,1,7) | V1 tilldelas arrayen "5,8,3,9,2,6,1,7"
TILLDELA/V2 = SORTUP(V1) | V2 kommer att innehålla arrayvärdena ovan sorterade i stigande ordning: "1,2,3,5,6,7,8,9"
TILLDELA/V2 = SORTDOWN(V1) | V2 kommer att innehålla arrayvärdena ovan sorterade i fallande ordning: "9,8,7,6,5,3,2,1"

Så här returnerar du de högsta eller lägsta indexvärdena från en array:

Genom att använda följande funktioner kan du mata in en array i en funktion och returnera indexnumret för det element som har det högsta eller lägsta värdet:

Om du vill att indexvärdet för elementet med det högsta värdet ska returneras använder du:
MAXINDEX(<array>)

Om du vill att indexvärdet för elementet med det lägsta värdet ska returneras använder du:
MININDEX(<array>)

Exempel:

TILLDELA/V1 = ARRAY(5,8,3,9,2,6,1,7) | V1 tilldelas arrayen "5,8,3,9,2,6,1,7"
TILLDELA/V2 = MAXINDEX(V1) | V2 innehåller arrayens indexvärde 4. Det faktiska värdet för arrayelementet är 9.
TILLDELA/V3 = MININDEX(V1) | V3 innehåller arrayens indexvärde 7. Det faktiska värdet för arrayelementet är 1.

Du kan därefter använda returnerade indexvärden för att hämta det faktiska värdet för arrayelementet.

Returnera sorterade indexvärden från en array

Du kan använda följande funktioner för att mata in en array i en funktion, sortera arrayens värden i stigande eller fallande ordning och därefter returnera indexvärdena:

Om du vill att indexvärdet för elementet med det högsta värdet ska returneras använder du:
MAXINDEX(<array>)

Om du vill att indexvärdet för elementet med det lägsta värdet ska returneras använder du:
MININDEX(<array>)

Exempel:

TILLDELA/V1 = ARRAY(4,8,2,9,5,7) | V1 tilldelas arrayen "4,8,2,9,5,7"
TILLDELA/V2 = MAXINDICES(V1) | V2 innehåller en array med följande värden: "4,2,6,5,1,3"
TILLDELA/V3 = MININDICES(V1) | V3 innehåller en array med följande värden: "3,1,5,6,2,4"

Exempel på användning av arrayfunktioner för att söka efter de lägsta och högsta punkterna i en scan

Huvudsyftet med de funktioner för mätpunktsarrayer som diskuteras ovan är att du enkelt ska kunna söka efter de lägsta och högsta punkterna i en scan.

Använd följande uttryck för att utvärdera den punkt från SCAN1 som har det högsta mätta X-värdet:

TILLDELA/MAXPKTINDEX = MAXINDEX(SCAN1.HIT[1..SCAN1.NUMHITS].X)

D1 = POSITION FÖR ELEMENT SCAN1.HIT[MAXPTINDEX]

Använd följande uttryck om du vill söka efter de tre högsta punkterna på Z-axeln i SCAN2:

TILLDELA/MI = MAXINDICES(SCAN2.HIT[1..SCAN2.NUMHITS].Z)

TILLDELA/TREPUNKTER = ARRAY(SCAN2.HIT[MI[1]].XYZ, SCAN2.HIT(MI[2]].XYZ, SCAN2.HIT[MI[3]].XYZ)


Variabelarrayer:

Variabelarrayer behöver inte deklareras. Variabelarrayer skapas via tilldelningskommandot om uttrycket på höger sida av tilldelningskommandot beräknas till en array eller om vänster sida av tilldelningskommandot refererar till ett element i en variabelarray.

Tilldela/V1 = Array(3, 4, 5, 6, 7) | Skapar en array med 5 element och tilldelar den till V1.
Tilldela/V2 = V1[3] | Tilldelar värdet för det tredje elementet i array V1 till V2: 5
Tilldela/V1[4] = 23 | Tilldelar det 4:e elementet i array V1 till 23.

Arrayer skapas och allokeras dynamiskt. Därför kan du skapa en array genom att använda en arrayreferens på vänster sida av ett tilldelningskommando.

Tilldela/V3[5] = 8

Skapar dynamiskt en array där det 5:e elementet är lika med 8.

Om det görs en referens till ett arrayelement som inte tidigare har fått något värde blir arrayuttrycket 0.

Tilldela/V3[5] = 8 |
Tilldela/V4 = V3[5] | V4 får värdet 8.
Tilldela/V5 = V3[6] | Om V3 inte har något sjätte värde får V5 värdet 0.

Precis som för övriga typer av arrayer kan du använda uttryck inom hakparenteser.

Tilldela/V3[5] = 8 |
Tilldela/V4 = V3[2+3] | V4 får värdet 8.

Variabelarrayer kan ha flera dimensioner.

Tilldela/V6 = Array(Array(4, 7, 2), Array(9, 2, 6)) | V6 görs till en 2 gånger 3-dimensionell array där V6[1, 1] är lika med 4, V6[1, 2] är lika med 7, V6[1, 3] är lika med 2, V6[2, 1] är lika med 9, V6[2,2] är lika med 2 och V6[2,3] är lika med 6.
Tilldela/V7 = V6[2,1] | V7 får värdet 9.

Variabelarrayer kan ha negativa index:

Tilldela/V8[-3] = 5

Det -3:e indexet för array V8 får värdet 5.

Arraytilldelning ersätter tidigare värden:

Tilldela/V8 = "Hej" | Variabeln V8 är lika med string-värdet "Hej".
Tilldela/V8[2] = 5 | V8 är inte längre ett värde av typen string utan av typen array, vars andra element har värdet 5.
Tilldela/V8 = 9 | V8 är inte längre ett värde av typen array utan av typen integer med värdet 9.

Arrayer kan bestå av flera typer:

Tilldela/V9 = Array("Hej", 3, 2.9, {ELEM1})

Skapar array V9 med 4 element. Det första elementet är av typen string, det andra elementet av typen integer, det tredje elementet av typen real och det fjärde elementet en pointer som pekar till ELEM1.


Operatorer för uttryck

I PC-DMIS används följande grundläggande operatorer:

+ Addition: <Uttryck> + <Uttryck>
Uttrycken adderas. När det gäller strängar slås de samman.

- Subtraktion: <Uttryck> - <Uttryck>
Det andra uttrycket subtraheras från det första uttrycket.

* Multiplikation: <Uttryck> * <Uttryck>
Uttrycken multipliceras med varandra.

/ Division: <Uttryck> / <Uttryck>
Det första uttrycket divideras med det andra uttrycket.

^ Exponent: <Uttryck> ^ <Uttryck>
Ger det första uttrycket upphöjt med det andra uttryckets värde.

% Rest: <Uttryck> % <Uttryck>
Returnerar resten av det första uttrycket dividerat med det andra uttrycket.

- Additiv invers -<Uttryck>
Returnerar uttryckets additiva invers.

! Logiskt icke: !<Uttryck>
Returnerar uttryckets logiska icke.

== Lika med: <Uttryck> == <Uttryck>
Blir 1 om uttrycken är lika. I annat fall blir uttrycket 0. (Det används två likhetstecken för att skilja den här operatorn från tilldelningsoperatorn = i tilldelningskommandot.)

<> Inte lika med: <Uttryck> <> <Uttryck>
Blir 1 om uttrycken inte är lika. I annat fall blir uttrycket 0.

> Större än: <Uttryck> > <Uttryck>
Blir 1 om det första uttrycket är större än det andra uttrycket. I annat fall blir uttrycket 0.

>= Större än eller lika med: <Uttryck> >= <Uttryck>
Blir 1 om det första uttrycket är större än eller lika med det andra uttrycket. I annat fall blir uttrycket 0.

< Mindre än: <Uttryck> < <Uttryck>
Blir 1 om det första uttrycket är mindre än det andra uttrycket. I annat fall blir uttrycket 0.

<= Mindre än eller lika med: <Uttryck> <= <Uttryck>
Blir 1 om det första uttrycket är mindre än eller lika med det andra uttrycket. I annat fall blir uttrycket 0.

OCH Logiskt och: <Uttryck> OCH <Uttryck>
Blir 1 om inget av uttrycken blir 0. I annat fall blir uttrycket 0.

ELLER Logiskt eller: <Uttryck> ELLER <Uttryck> Blir 1 om något av uttrycken inte blir 0. I annat fall blir uttrycket 0.

() Parentes: (<Uttryck>)
Ger företräde till beräkningen av uttrycket inom parentes.


Prioritetsordning

Uttryck beräknas enligt prioritetsordningen nedan (från den högsta prioriteten till den lägsta).

Högsta prioritet

  • Operander

  • (Unärt minus), !, (), funktioner (bl.a. ABS, COS, STR, LGD, KRYSS)

  • ^

  • *, /, %

  • +, -

  • ==, <>, <, <=, >, >=

  • OCH

  • ELLER

Lägsta prioritet


Funktioner

Funktioner är användardefinierade uttryck som använder parametrar. Parametrarna sätts in i uttrycken innan uttrycken beräknas.

Nedan finns mer information om funktioner:

  • Nyckelordet FUNKTION används för att skapa funktioner.

  • Det första objektet när du använder nyckelordet FUNKTION är parameterlistan.

  • Listan består av parameternamn, åtskilda av kommatecken.

  • Parameterlistan står inom parenteser.

  • Det andra objektet är uttrycket.

  • Uttrycket innehåller parameternamn där det ska läggas till parametrar när funktionen anropas.

Nedan visas några exempel på funktioner.

Mer:

Exempel på allmän funktion

Exempel på funktion med flera parametrar

Exempel på funktioner som överförs som variabler

Exempel på rekursivt definierade funktioner

Exempel på funktioner som skapar andra funktioner

Exempel på funktioner som komponenter i en array

String-funktioner

Matematiska funktioner

Point-funktioner

Pointer-funktioner

Array-funktioner

Function-funktioner

Diverse funktioner

Funktionen TutorElement

Funktionen QualToolData


Exempel på allmän funktion

Tilldela/MINFUNKTION = FUNCTION((X), X*3) | Det skapas en funktion som tilldelas till variabeln MINFUNKTION. Funktionen multiplicerar en parameter med 3.
Tilldela/V1 = MINFUNKTION(7) | V1 får värdet 21 genom att funktionen MINFUNKTION(7) beräknas. 7 är parametern och den används där X förekommer i uttrycksdelen av funktionsdefinitionen. X * 3 blir alltså lika med 7 * 3.


Exempel på funktion med flera parametrar

Funktioner kan ha flera parametrar:

Tilldela/LÄGG_TILL_OCH_DUBBLERA = FUNCTION((A,B), 2*(A+B)) | Skapar en funktion och tilldelar den till variabeln LÄGG_TILL_OCH_DUBBLERA. Funktionen tar två parametrar, lägger ihop dem och multiplicerar resultatet med 2.
Tilldela/V2 = LÄGG_TILL_OCH_DUBBLERA(4, 5) | Värdet 18 tilldelas till V2. Parametrarna 4 och 5 sätts in i uttrycksdelen av funktionen och blir 2*(4+5).


Exempel på funktioner som överförs som variabler

Funktioner som kan överföras som variabler:

Tilldela/NYFUNKTION = MINFUNKTION | Variabeln NYFUNKTION ställs in till att ha samma funktion som MINFUNKTION.
Tilldela/V3 = NYFUNKTION(12) | V3 får värdet 36.


Exempel på rekursivt definierade funktioner

Funktioner kan definieras rekursivt (d.v.s. att de definieras för att anropa sig själva).

Tilldela/FAKULTET = FUNCTION((X), IF(X<=1, 1, X*FAKULTET(X-1)) | Det skapas en funktion, FAKULTET, som innehåller en parameter. Om parametern är mindre än eller lika med 1 beräknas den vara 1; i annat fall beräknas den vara X multiplicerat med FAKULTETEN av X-1.
Tilldela/V4 = FAKULTET(5) | V4 tilldelas värdet 120 (5*4*3*2*1).


Exempel på funktioner som skapar andra funktioner

Funktioner kan skapa andra funktioner.

Tilldela/SAMMANSTÄLL = FUNCTION((F, G), FUNCTION((X), G(F(X)) )) | SAMMANSTÄLL blir en funktion som innehåller två funktioner som parametrar och som skapar en ny funktion av de båda ingående funktionerna.
Tilldela/LÄGGTILL2 = FUNCTION((X), X+2) | LÄGGTILL2 blir en funktion som lägger till 2 till de överförda parametrarna.
Tilldela/LÄGGTILL3 = FUNCTION((X), X+3) | LÄGGTILL3 blir en funktion som lägger till 3 till de överförda parametrarna.
Tilldela/LÄGGTILL5 = SAMMANSTÄLL(LÄGGTILL2, LÄGGTILL3) | LÄGGTILL5 blir en funktion som består av funktionerna LÄGGTILL2 och LÄGGTILL3.
Tilldela/V5 = LÄGGTILL5(3) | Tilldelar värdet 8 till V5.


Exempel på funktioner som komponenter i en array

Funktioner kan ingå i en array.

Tilldela/ENARRAY = ARRAY(3, FAKULTET, "Godmorgon världen", LÄGGTILL5) | ENARRAY blir en array som består av 4 element: Ett värde (3), en funktion (FAKULTET), en sträng ("Godmorgon världen") och en funktion (LÄGGTILL5).
Tilldela/V6 = ENARRAY[2](4) | Det andra elementet i ENARRAY är funktionen FAKULTET. Parametern 4 överförs till funktionen och resultatet 24 tilldelas till V6.
Tilldela/V7 = ENARRAY[2](ENARRAY[4] (ENARRAY[1])) | Inifrån och ut: Det första elementet i ENARRAY (3) överförs till funktionen för det fjärde arrayelementet (LÄGGTILL5). Resultatet, 8, överförs till funktionen för det andra arrayelementet (FAKULTET) och tilldelas till V7. V7 får värdet 40320.


String-funktioner

CHR Teckenomvandling: CHR(<Integer>)
Returnerar en string som består av det tecken som motsvarar ASCII-decimalvärdet.

ELEMENT Avgränsad position för en delsträng: ELEMENT(<Integer>, <String1>, <String2>)

Returnerar den n:e delsträngen (element) från String2 med String1 som den avgränsande text som delar elementen i String2. Om String2 är "6, 12, 8, 4, 5" och String1 är "," är de fem element som kan hämtas individuellt med elementkommandot "6", "12", "8" "4" och "5".

EQUAL Skiftlägesokänslig jämförelse av string-värden: EQUAL(<String>, <String>)

Jämför två string-värden (utan att ta hänsyn till skiftläget) för att avgöra om de är identiska. Returnerar 1 om string-värdena är identiska och 0 om de inte är det.

GETSETTING Med den här funktionen kan du returnera olika inställningar för PC-DMIS beroende på vilket string-värde som infogas i funktionen.

GETSETTING(<String>)

Du kan använda följande string-värden:

  • DCC Mode – Returnerar 1 om PC-DMIS är i CNC-läge, annars 0.

  • Manual Mode – Returnerar 1 om PC-DMIS är i manuellt läge, annars 0.

  • Current Alignment – Returnerar ett string-värde för den aktuella uppriktningen.

  • Current Workplane – Returnerar ett string-värde för det aktuella arbetsplanet.

  • Workplane Value – Returnerar ett numeriskt värde för det aktuella arbetsplanet.

  • PreHit – Returnerar värdet för den aktuella insträckan som ett dubbelt precisionstal.

  • Retract – Returnerar värdet för den aktuella återgången som ett dubbelt precisionstal.

  • Check – Returnerar det aktuella testvärdet som ett dubbelt precisionstal.

  • Touch Speed – Returnerar det aktuella värdet för mäthastigheten som ett dubbelt precisionstal.

  • Move Speed – Returnerar det aktuella värdet för transporthastigheten som ett dubbelt precisionstal.

  • Fly Mode – Returnerar 1 om PC-DMIS är i läget Genvägar, annars 0.

  • Ph9 present – Returnerar 1 om det används ett PH9/PH10, annars 0.

  • Manual CMM – Returnerar 1 om mätmaskinen är manuell, annars 0.

  • LangStr(<siffervärde eller ID>) – Returnerar ett string-värde från PC-DMIS resurser på det aktuella språket från ett resurs-ID eller något av följande ID:n:
    "Yes", "No", "Oper", "Rept", "Input", "Doc", "YesNo", "Readout", "Internal", "External", "Rect ", "Polr ", "Out", "In", "Least_Sqr", "Min_Sep", "Max_Insc", "Min_CircSc", "Fixed_Rad", "Workplane", "Xaxis", "YAxis", "ZAxis", "Xplus", "Xminus", "YPlus", "YMinus", "ZPlus", "ZMinus", "Point", "Plane", "Line", "Circle", "Sphere", "Cylinder", "Round_Slot", "Square_slot", "Cone" eller "None".

    Om du använder ett positivt tal som värde hämtas string-värdet från resursens dll-fil. Om du använder ett negativt tal hämtas string-värdet från filen string.dll (strängtabellen).

  • Extended Sheet Metal – Returnerar 1 om kryssrutan Visa utökade tunnplåtsfunktioner i dialogrutan Inställningsval har markerats, i annat fall returneras 0.

  • LastHitMove(X) – Returnerar X-värdet för det senaste MÄTPKT /BASIC- eller VIA/PUNKT-kommandot. PC-DMIS måste vara i CNC-läge för att detta ska fungera.

  • LastHitMove(Y) – Returnerar Y-värdet för det senaste MÄTPKT/BASIC- eller VIA/PUNKT-kommandot. PC-DMIS måste vara i CNC-läge för att detta ska fungera.

  • LastHitMove(Z) – Returnerar Z-värdet för det senaste MÄTPKT/BASIC- eller VIA/PUNKT-kommandot. PC-DMIS måste vara i CNC-läge för att detta ska fungera.

För att avgöra om PC-DMIS är i manuellt läge eller CNC-läge kan du använda funktionen GETSETTING så här:

Exempel:
TILLDELA/CNCLÄGEVAR = GETSETTING("DCC Mode")
ger variabeln CNCLÄGEVAR värdet 1 om PC-DMIS är i CNC-läge, annars 0.
TILLDELA/MANLÄGEVAR = GETSETTING("Manual Mode")
ger variabeln MANLÄGEVAR värdet 1 om PC-DMIS är i manuellt läge, annars 0.

Se följande exempel på hur du avgör vilket som är det aktuella arbetsplanet:

Exempel:
TILLDELA/ARBETSPLAN_ID = GETSETTING("Current Workplane")
ger variabeln ARBETSPLAN_ID string-värdet för det aktuella arbetsplanet (t.ex. ZPLUS eller ZMINUS).
TILLDELA/ARBETSPLAN_VÄRDE = GETSETTING("Workplane Value")
ger variabeln ARBETSPLAN_VÄRDE ett numeriskt värde som står för arbetsplanet. Följande värden är kopplade till arbetsplan: ZPLUS = 0, ZMINUS = 3, XPLUS = 1, XMINUS = 4, YPLUS = 2 eller YMINUS = 5.

GETTEXT Returnerar den aktuella texten från det angivna datafältet: GETTEXT(<String eller Integer>, <Integer>, <Pointer>)

Funktionen har tre fält.

Det första fältet – Nummer på eller beskrivning av datafält

Det första fältet kan antingen vara ett värde av typen string (beskrivningen av datafältet) eller datafältets nummer.

Så här hämtar du värdena:

1. Ställ in PC-DMIS i kommandoläge. Högerklicka i Redigeringsfönstret. En snabbmeny visas.

2. Välj Popup-visning och Datatypsinformation på snabbmenyn.

3. Håll musen över ett datafält i Redigeringsfönstret. Dataelementets typbeskrivning, typnummer och typindex visas.

Obs! Eftersom typbeskrivningen kan skilja sig åt mellan olika språk bör du använda typnumret om detaljprogrammet används på ett annat språk än det aktuella språket för PC-DMIS.

Det andra fältet – Typindex

Det andra fältet är typindexet. Det här fältet är vanligtvis noll. Du hämtar värdet för det här fältet på samma sätt som för det första fältet.

Det tredje fältet – Kommandopekare

Det tredje fältet är en kommandopekare, en pointer. Den pekar på det kommando som innehåller fältet som texten hämtas från. Du kan ange fältet antingen genom att använda en kommandopekarnotering (t.ex. {F15}) eller genom uttrycket GetCommand som i det här exemplet.

Exempel:
TILLDELA/V1 = GETTEXT("Best Fit Math Type", 0, {F15})
Genom det här kommandot tilldelas V1 det aktuella värdet för växlingen av typ av bästanpassning av element F15.
TILLDELA/V2 = GETCOMMAND("Comment", "TOP", 1)
TILLDELA/V3 = GETTEXT("Comment Type", 1, V2)
V2 tilldelas en pekare till den första kommentaren från början av detaljprogrammet.
V3 tilldelas värdet för växlingsfältet Comment Type. Om den första kommentaren i detaljprogrammet är en kommentar som visas för operatören kommer värdet för V3 att vara string-värdet "OPER".

Mer information om hur du anger en pekare för ett kommando finns i Pointer-funktioner.

INDEX Position för en delsträng: INDEX(<String>, <String>)
Returnerar den andra strängens position i den första strängen. Det första tecknet i strängen är 1. Om värdet noll returneras hittades inte delsträngen i strängen.

LEFT De n vänstra tecknen i strängen: LEFT(<String>, <String>)
Returnerar en sträng som består av de n vänstra tecknen som anges i det andra uttrycket från strängen i det första uttrycket. Det första uttrycket omvandlas till typen string, det andra uttrycket till typen integer.

LEN Strängens längd: LEN(<String>)
Returnerar antalet tecken i strängen.

LOWERCASE Skapar en sträng med gemener: LOWERCASE(<String>)

Returnerar en sträng som är motsvarigheten i gemener av strängen.

MID De n mittersta tecknen i en sträng: MID(<String>, <Integer>, <Valfri integer>)
Returnerar en delsträng som består av de tecken som anges i den första parametern med början vid den position som anges i den andra parametern och består av det antal tecken som anges i den tredje parametern. Om det inte finns någon tredje parameter anges resten av tecknen.

ORD Omvandling av ordningstal: ORD(<String>)
Returnerar ASCII-värdet (som heltal) för det första tecknet i strängen. (0-255).

RIGHT De n högra tecknen i strängen: RIGHT(<String>, <Integer>)
Returnerar en sträng som består av de n högra tecknen som anges med heltalet från strängen.

SYSTEMDATE Systemdatum: SYSTEMDATE(<String med datumformat>)

Returnerar en datumformaterad sträng med information om det aktuella datumet. Om du till exempel anger kommandot SYSTEMDATE("MM’/’dd’/’yy") returneras strängen "03/15/99" om det aktuella datumet är 15 mars 1999.

Använd följande strängelement för att skapa datumsträngen. Elementen måste vara i samma skiftläge som nedan (MM i stället för mm). Tecken som inte ingår i datumet (till exempel mellanslag) mellan element i en sträng med datumformat visas på samma position i den utmatade strängen som i den inmatade strängen. Tecken som avgränsas med apostroftecken (' ') i den inmatade strängen visas på samma position i den utmatade strängen men utan apostrofer.

d – Dag i månaden med siffror. Ingen inledande nolla för ensiffriga datum.

dd – Dag i månaden med siffror. Inledande nolla för ensiffriga datum.

ddd – Förkortning med tre bokstäver för veckodagen.

dddd – Det fullständiga namnet på den aktuella veckodagen.

M – Månaden med siffror utan inledande nolla för ensiffriga månadsnummer.

MM – Månaden med siffror med inledande nolla för ensiffriga månadsnummer.

MMM – Månaden som en förkortning med tre bokstäver.

MMMM – Det fullständiga namnet på månaden.

y – Årtalet med siffror utan inledande nolla för ensiffriga årtal.

yy – Årtalet med siffror med inledande nolla för ensiffriga årtal.

yyyy – Årtalet med fyra siffror.

SYSTEMTIME Formaterad systemtid: SYSTEMTIME(<String med tidsformat>)

Returnerar en tidsformaterad sträng med information om den aktuella tidpunkten. Om du till exempel anger kommandot SYSTEMTIME("hh’:’mm’:’ss tt") returneras strängen "11:29:40 PM" om det är den aktuella tidpunkten.

Använd följande string-element för att skapa tidssträngen. Elementen måste vara i samma skiftläge som nedan (tt i stället för TT). Tecken som inte ingår i tidpunkten (till exempel mellanslag) mellan element i en sträng med tidsformat visas på samma position i den utmatade strängen som i den inmatade strängen. Tecken som avgränsas med apostroftecken (' ') i den inmatade strängen visas på samma position i den utmatade strängen men utan apostrofer.

h – Timmar utan inledande nolla för ensiffriga timmar; 12-timmarsklocka används.

hh – Timmar med inledande nolla för ensiffriga timmar; 12-timmarsklocka används.

H – Timmar utan inledande nolla för ensiffriga timmar; 24-timmarsklocka används.

HH – Timmar med inledande nolla för ensiffriga timmar; 24-timmarsklocka används.

m – Minuter utan inledande nolla för ensiffrig minutangivelse.

mm – Minuter med inledande nolla för ensiffrig minutangivelse.

s – Sekunder utan inledande nolla för ensiffrig sekundangivelse.

ss – Sekunder med inledande nolla för ensiffrig sekundangivelse.

t – Sträng för tidsmarkör med ett tecken, A eller P.

tt – Sträng för tidsmarkör med flera tecken, AM eller PM.

SYSTIME Systemtid: SYSTIME()
Returnerar en sträng med den aktuella systemtiden. Den här funktionen skiljer sig från funktionen SYSTEMTIME ovan. Funktionen returnerar automatiskt dag, datum och tidpunkt, följt av året.
Till exempel "Fri May 02 13:50:21 1997".

Obs! Den returnerade strängen med den aktuella systemtiden justeras efter den lokala inställningen för tidszon.

UPPERCASE Skapar en sträng med versaler: UPPERCASE(<String>)

Returnerar en sträng som är motsvarigheten i versaler av strängen.

FORMAT Format: FORMAT(<String>,<Integer, double eller point>)

Den här funktionen använder två uttryck och returnerar en formaterad sträng, på samma sätt som om du använder funktionen sprintf i C++.

  • Uttryck 1 bör vara av typen string och innehålla en eller tre formatspecifikationer. Om uttycket inte är av typen string görs det ett försök att omvandla det till en string vid uttrycksutvärderingen. Strängen ska innehålla en formatspecifikation om uttryck 2 är något av typerna integer eller double och tre formatspecifikationer (se avsnitten nedan) om uttryck 2 är av typen point.

  • Uttryck 2 förväntas vara av typen integer, double eller point. Om det används någon annan typ blir uttryckets värde 0.

Formatspecifikationer för funktionen Format:

Formatspecifikationen bör ha samma syntax som en formatspecifikation i funktionen sprintf på programmeringsspråket C++.

En formatspecifikation består av valfria och obligatoriska fält och har följande syntax:

%[flaggor] [bredd] [.decimaler] typ

Varje fält i formatspecifikationen är antingen ett enstaka tecken eller ett siffervärde som anger ett visst formatalternativ. Den enklaste formatspecifikationen använder endast procenttecknet och ett typtecken (till exempel %d). Om ett procenttecken följs av ett tecken som saknar betydelse som ett formatfält kopieras tecknet till STDOUT. Om du till exempel vill skriva ut ett procenttecken använder du %%.

De valfria fälten för flagga, bredd och antal decimaler, som visas före typtecknet, styr andra delar av formateringen. De beskrivs nedan:

flaggor Dessa valfria tecken styr utskriftsjustering och utskrift av tecken, mellanslag, decimaltecken och oktala/hexadecimala prefix. Det kan förekomma mer än en flagga i en formatspecifikation.

Följande är de tillåtna flaggorna:

–
Förklaring: Vänsterjustera resultatet inom den angivna fältbredden.
Standard: Högerjustera.

+
Förklaring: Ange ett tecken (+ eller –) som prefix till det utmatade värdet om värdet tar ett tecken.
Standard: Tecken visas endast för värden med ett negativt tecken (–).

0
Förklaring: Om bredd har prefixet 0 läggs det till nollor så att den minsta tillåtna bredden nås. Om både 0 och – visas ignoreras 0. Om 0 anges tillsammans med ett heltalsformat (i, u, x, X, o, d) ignoreras 0.
Standard: Ingen utfyllnad.

mellanslag (" ")
Förklaring: Ange mellanslag som prefix till det utmatade värdet om värdet tar ett tecken och är positivt. Mellanslag ignoreras om både flaggorna för mellanslag och + visas.
Standard: Inga mellanslag.

#
Förklaring 1: När flaggan # används med någon av typerna o, x eller X anger den prefixet 0, 0x respektive 0X till utmatade värden som inte är noll.
Standard 1: Inget prefix.
Förklaring 2: När flaggan # används med någon av typerna e, E eller f tvingar den det utmatade värdet att alltid innehålla ett decimaltecken.
Standard 2: Decimaltecknet visas endast om det följs av siffror.
Förklaring 3: När flaggan # används med någon av typerna g eller G tvingar den det utmatade värdet att alltid innehålla ett decimaltecken och förhindrar att eftersläpande nollor trunkeras.
Standard 3: Decimaltecknet visas endast om det följs av siffror. Eftersläpande nollor trunkeras.
Obs! Flaggan ignoreras om den används med typerna d, i eller u.

bredd Detta andra valfria fält, eller argument, styr det minsta antalet utskrivna tecken. Det är ett icke-negativt decimalt heltal.

  • Om antalet tecken i det utmatade värdet är färre än den angivna bredden läggs det till mellanslag till vänster eller höger om värdena – beroende på om flaggan – (för vänsterjustering) anges – tills värdet uppnår den minsta bredden.

  • Om bredd har prefixet 0 läggs det till nollor så att den minsta tillåtna bredden nås (används inte för vänsterjusterade värden).

  • Breddspecifikationen leder aldrig till att värden trunkeras. Om antalet tecken i det utmatade värdet är större än den angivna bredden, eller om det inte anges någon bredd, skrivs samtliga tecken i värdet ut (beroende på decimalspecifikationen nedan).

decimaler Detta tredje valfria fält, eller argument, anger antal tecken som ska skrivas ut, antalet decimaler eller antalet gällande siffror. Till skillnad från breddspecifikationen kan decimalspecifikationen innebära att det utmatade värdet trunkeras eller att ett flyttalsvärde avrundas. Det är ett icke-negativt decimalt heltal som inleds med en punkt (.)

typ Detta obligatoriska tecken anger om det associerade argumentet är av typen integer, double eller point. Nedan följer en lista över tillgängliga typer.

d – decimal integer med tecken

i – decimal integer med tecken

o – oktal integer utan tecken

u – decimal integer utan tecken

x – hexadecimal integer utan tecken som använder "abcdef"

X – hexadecimal integer utan tecken som använder "ABCDEF"

e – double i exponentform [-]d.dddd e [tecken]ddd

E – samma som e bortsett från att exponenten inleds med E

f – double med formen [-]dddd.dddd

g – formateras till formatet e eller f beroende på vilket av formaten som är mest kompakt

G – samma som g bortsett från att exponenten inleds med E

Exempel på FORMAT:

I följande exempel visas flera kommandon som använder FORMAT-funktionen i ett detaljprogram:

TILLDELA/V1 = MÄTHUVUDSDATA("OFFSET") | V1 blir typen point som står för offset-värden för det aktuella mäthuvudet. Med de värden från detaljprogrammet som används för det här exemplet blir V1: <-1.8898, 1.8898, 5.704>
TILLDELA/V3 = FORMAT("%.5f, %.5f, %.5f", V1) | V3 blir typen string. String-värdet formateras med point-objektet för variabel V1. Nu är V3: -1.88976, 1.88976, 5.70403
TILLDELA/V4 = 1.123456789 | V4 blir typen double.
TILLDELA/V5 = FORMAT("%.5f ", V4) + FORMAT("%.6f ", V4) + FORMAT("%.7f ", V4) + FORMAT("%.8f", V4) | V5 blir typen string med följande värde: 1.12346 1.123457 1.1234568 1.12345679
TILLDELA/V6A = "Värdet för V4 är: " + FORMAT("%.8f", V4) | V6A blir typen string med värdet: Värdet för V4 är: 1.12345679
TILLDELA/V6B = FORMAT("Värdet för V4 är: %.8f", V4) | Uttryckets resultat är detsamma som för V6A ovan.
TILLDELA/V7 = 4444 | V7 blir typen double eftersom alla tal räknas som typen double om de inte omvandlas till typen integer.
TILLDELA/V8 = FORMAT("%o", INT(V7)) | V8 blir typen string med följande värde: 10534
TILLDELA/V9 = FORMAT("%u", INT(-1)) | V9 blir typen string med följande värde: 4294967295
TILLDELA/V10 = FORMAT("%x", INT(2143)) | V10 blir typen string med följande värde: 85f
TILLDELA/V11 = FORMAT("%X", INT(9567)) | V11 blir typen string med följande värde: 255F
TILLDELA/V12 = FORMAT("%e", 0.0005432) | V12 blir typen string med följande värde: 5.432000e-004
TILLDELA/V13 = FORMAT("%E", 145.3421) | V13 blir typen string med följande värde: 1.453421E+002
TILLDELA/V14 = FORMAT(",%6d,", INT(1)) | V14 blir typen string med följande värde: , 1,
TILLDELA/V15 = FORMAT(",%-6d,", INT(1)) | V15 blir typen string med följande värde: ,1


Matematiska funktioner

ABS Absolutbelopp: ABS(<Double>)
Returnerar absolutbeloppet för inmatade data.

EXP Exponentialfunktion: EXP(<Double>)
Returnerar uttryckets exponentialfunktion.

LOG 10-logaritmen: LOG(<Double>)
Returnerar 10-logaritmen för uttrycket.

LN Naturlig logaritm: LN(<Double>)
Returnerar den naturliga logaritmen för uttrycket.

ROUND Avrundning: ROUND(<Double>)
Returnerar inmatade data avrundade till närmsta heltal.

SQRT Kvadratrot: SQRT(<Double>)
Returnerar kvadratroten av inmatade data.

Trigonometriska funktioner

Viktigt! Standardinställningen för samtliga trigonometriska funktioner är att de använder och returnerar radianer. Om du vill ha värden angivna i grader använder du funktionen RAD2DEG som beskrivs nedan.

ACOS Arcuscosinus: ACOS(<Double>)
Returnerar arcuscosinus för uttrycket. ACOS(5.0) returnerar till exempel 0. Med ACOS(<uttryck>) returneras i allmänhet arcuscosinus för uttryckets värde.

ASIN Arcussinus: ASIN(<Double>)
Returnerar arcussinus för inmatade data.

ATAN Arcustangens: ATAN(<Double>)
Returnerar arcustangens för inmatade data.

COS Cosinus: COS(<Double>)
Returnerar cosinus för inmatade data.

DEG2RAD Grader till radianer: DEG2RAD(<Double>)
Returnerar inmatade data delade med 360 och multiplicerade med 2p. Omvandlar värdet från grader till radianer.

RAD2DEG Radianer till grader: RAD2DEG(<Double>)
Returnerar inmatade data multiplicerade med 360 och delade med 2p. Omvandlar värdet från radianer till grader.

SIN Sinus: SIN(<Double>)
Returnerar sinus för inmatade data.

TAN Tangens: TAN(<Double>)
Returnerar tangens för inmatade data.

Obs! Funktioner med inmatade data som ligger utanför intervallet (till exempel värden för ACOS, ASIN, LOG, LN och SQRT som skulle kunna leda till att datorn havererar) returnerar 0.


Point-funktioner

ANGLEBETWEEN Vinkel mellan: ANGLEBETWEEN( <Point>, <Point>)
Returnerar vinkeln mellan de båda vektorerna i grader.

CROSS Kryssprodukt: CROSS(<Point>, <Point>)
Returvärdet är av typen point och är kryssprodukten av det första och andra uttrycket.

DELTA Vektoroffset: DELTA(<Point>, <Point>, <Double>)
I den här funktionen används det första uttrycket (punkt) för att beräkna en ny point-parameter i riktningen för det andra uttrycket (vektor) på en offset för det tredje uttrycket. Uttrycket DELTA(MPOINT(0,0,0), MPOINT(1,0,0), 10) returnerar till exempel point-parametern 10,0,0.

DOT Skalärprodukt: DOT(<Point>, <Point>)
Returnerar skalärprodukten för de båda point-parametrarna (vektorerna).

UNIT Enhetsvektor: UNIT(<Point>)
Returnerar en point-parameter dividerad med dess längd. Uttrycket UNIT(MPOINT(0,0,0)) returnerar till exempel point-parametern 0,0,1.


Pointer-funktioner

DIST2D: 2D-avstånd: DIST2D(<ELEMENT1>, <ELEMENT2>, <ELEMENT3>)
Beräknar 2D-avståndet mellan Element1 och Element2 efter att de har projicerats på Element3.

DIST3D: 3D-avstånd: DIST3D(<ELEMENT1>, <ELEMENT2>)
Beräknar 3D-avståndet mellan Element1 och Element2.

GETCOMMAND: Hämtar en pointer till det kommando som anges i parametrarna: GETCOMMAND(<Integer eller String>, <String>, <Integer>)

Den första parametern – fältet för kommandoinformation

Den första parametern är fältet för kommandoinformation. Här anges den kommandotyp som söks. Följande kan användas:

  • En sträng som beskriver ett kommando

  • Kommandots typnummer

  • Det unika siffer-ID:t

Om du överför det unika ID:t för kommandot behövs det inte några andra argument.

Så här hämtar du strängen, typnumret och det unika siffer-ID:t för ett kommando:

  1. Högerklicka i Redigeringsfönstret.

  2. Välj Popup-visning | Kommandoinformation (PC-DMIS måste vara i kommandoläge).

  3. Håll musen över det önskade kommandot. Kommandots beskrivning, typnummer och unika siffer-ID visas i popup-fönstret.

Den andra parametern – sökriktning

Den andra parametern är sökriktningen. De tillåtna värdena är:

Värde | Beskrivning
UP | Detta värde anger att sökningen ska börja vid det aktuella kommandot och utföras uppåt.
DOWN | Detta värde anger att sökningen ska börja vid det aktuella kommandot och utföras nedåt.
TOP | Detta värde anger att sökningen ska börja från början av detaljprogrammet och utföras nedåt.
BOTTOM | Detta värde anger att sökningen ska börja med det sista objektet i detaljprogrammet och utföras uppåt.

Den tredje parametern – vilken förekomst som söks

Den tredje parametern anger vilken förekomst av kommandot som söks.

Exempel: Om ett detaljprogram innehåller fyra förekomster av Aktivera mätspets och du vill placera en pekare vid den andra förekomsten uppifrån anger du "2" som den tredje parametern och "TOP" som den andra parametern, vilket ger funktionen nedan.

TILLDELA/V1 = GETCOMMAND("Aktivera mätspets", "TOP", 2)

Funktionen TOP kan även användas för att överföra den tredje parametern till string-funktionen GETTEXT. Information om GETTEXT finns i String-funktioner.

LEN: Pointer för antal slingor: LEN(<POINTER>)
Returnerar antalet gånger som en pointer har passerat i en slinga. Om till exempel värdet CIR1 finns i en slinga som upprepas 10 gånger kan du spara hur många gånger som CIR1 har mätts i en variabel genom att använda ett TILLDELA-kommando som det här: TILLDELA/V1=LEN({CIR1})


Arrayfunktioner

ARRAY: Skapa array: ARRAY(<UTTRYCK1>, <UTTRYCK2>, <UTTRYCK3>, …)
Det skapas ett arrayobjekt med arrayelement enligt uttrycksparametrarna. Arrayelementen är numrerade från basindexet 1.

EQUAL: Jämförelse av array per element: EQUAL(<ARRAY>, <ARRAY>)
Jämför de två arrayerna, element för element, för att avgöra om de innehåller samma element. Om dessa två arrayer inte är av samma storlek eller om elementen i en array inte matchar motsvarande element i den andra arrayen returneras 0. I annat fall returneras 1.

LEN: Antal arrayelement: LEN(<ARRAY>)
Returnerar antalet element i en array.

MAX: Största arrayelement: MAX(<ARRAY>)
Returnerar det största elementet i en array. Objekt i arrayen jämförs i nummer- eller bokstavsordning.

MIN: Minsta arrayelement: MIN(<ARRAY>)
Returnerar det minsta elementet i en array. Objekt i arrayen jämförs i nummer- eller bokstavsordning.


Function-funktioner

FUNCTION: Det skapas en funktion som ser ut ungefär så här: FUNCTION((<PARAM1>, <PARAM2>…), <UTTRYCK>).
Det skapas en funktion som använder det antal parametrar som anges i parameterlistan och sätter in dem i uttrycket. (Se exempel under Funktioner).


Diverse funktioner

IF: Beräkning av villkorsuttryck: IF(<UTTRYCK1>, <UTTRYCK2>, <UTTRYCK3>)

Om uttryck 1 är sant (skiljt från noll) returnerar funktionen värdet för uttryck 2; i annat fall returneras värdet för uttryck 3.

PROBEDATA: Returnerar data om det aktuella eller angivna mäthuvudet: PROBEDATA(<VALFRI_MÄTHUVUDSDATATYP>, <VALFRITT_MÄTSPETSID>, <VALFRITT_MÄTHUVUDSFILNAMN>)

VALFRI_MÄTHUVUDSDATATYP: Tilläggsparameter som anger vilka mäthuvudsdata som ska returneras från uttrycket. Om parametern inte anges returneras det aktuella mätspets-ID:t. Parametern är av typen string. Alla uttryck som beräknas till giltiga uttryck av typen string kan placeras i det första uttrycket. Giltiga uttryck av typen string (inte skiftlägeskänsliga) för den första parametern visas nedan. Följande uttryck är av typen string och ska placeras inom citattecken:

Offset – X-, Y- och Z-offset för mätt mätspets. Returnerar typen point.

Vektor – Mätspetsvektor. Returnerar typen point.

A – Mätspetsens A-vinkel. Returnerar typen double.

B – Mätspetsens B-vinkel. Returnerar typen double.

Diam(eter) – Diameter för mätt mätspets. Du behöver endast ange de fyra första bokstäverna ("Diam") men kan ange fler bokstäver och hela ordet. Returnerar typen double.

Tjock(lek) – Tjocklek för mätt mätspets. Du behöver endast ange de fem första bokstäverna ("Tjock") men kan ange fler bokstäver och hela ordet. Returnerar typen double.

Datum – Datum för den senaste kalibreringen av mätspetsen. Returnerar typen string.

Tid – Tidpunkt för den senaste kalibreringen av mätspetsen. Returnerar typen string.

ID – Mätspets-ID. Standardparameter. Returnerar typen string.

PrbRadAvv – Mäthuvudets radialavvikelse. Returnerar typen double.

Standardavvikelse – Mäthuvudets standardavvikelse. Returnerar typen double.

C – C-vinkeln för ett mäthuvud av typen CW43 Light-P. Returnerar typen integer.

Obs! Om du lägger till ett T före Offset, Diameter eller Tjocklek returneras teoretisk information (det vill säga TOFFSET, TDIAMETER och TTJOCKLEK).

VALFRITT_MÄTSPETSID: En tilläggsparameter som anger vilken mätspets som ska användas vid hämtning av de mäthuvudsdata som anges i det första uttrycket. Om parametern inte anges används den aktuella mätspetsen. Parametern bör vara av typen string.

VALFRITT_MÄTHUVUDSFILNAMN: En tilläggsparameter som anger det mäthuvudsfilnamn som ska användas vid hämtning av mäthuvudsdata. Om parametern inte anges används den aktuella mäthuvudsfilen.

ISIOCHANNELSET: Det här uttrycket innehåller två parametrar. Den första parametern anger vilken I/O-kanal som markeras (det tillgängliga intervallet av värden beror på vilken maskin som används). Den andra parametern anger om programvaran frågar efter master- eller slavmaskinen. Om den andra parametern är inställd till 1 (ett) efterfrågas slavmaskinens styrsystem. Om det inte finns någon andra parameter (eller om den har ställts in till noll) frågar I/O-kanalen efter mastermaskinens styrsystem. Om du inte arbetar i flerarmsläge är detta det enda alternativet.

Obs! Om du anger ett ogiltigt värde för mäthuvudsdatatyp, mätspets-ID, mäthuvudsfilnamn eller kanalnummer blir uttrycket 0.

Exempel:
TILLDELA/V1 = PROBEDATA() | V1 ställs in till det aktuella mätspets-ID:t (det vill säga "T1A0B0")
TILLDELA/V2 = PROBEDATA("TOFFSET", "T1A45B0") | V2 ställs in till teoretisk mäthuvudsoffset för mätspetsen T1A45B0.
TILLDELA/V3 = PROBEDATA("Datum", "T1A90B90", "MITTHUVUD") | V3 ställs in till en sträng som representerar det datum då mätspetsen T1A90B90 i mäthuvudsfilen MITTHUVUD senast kalibrerades.
TILLDELA/V4 = ISIOCHANNELSET(3, 0) | V4 blir lika med 1 (blir sant) om kanalen är inställd och i annat fall till 0 (blir falskt).

EOF och EOL: Information om dessa funktioner finns i Söka efter slutet på en fil eller slutet på en rad i avsnittet Använda indata/utdata i filer.


Funktionen TutorElement

Med tillägget för översättning av Tutor stöder PC-DMIS i version 3.5 och senare versioner den nya funktionen TutorElement. Den här funktionen tar ett argument, antingen ett tal eller en sträng (strängen skulle i så fall vara ID:t för ett element).

Funktionen används med variabeltypen strukturer. Gå till Strukturer om du vill ha en förklaring av struktur och delelement.

Exempel:

TILLDELA/E = TUTORELEMENT(1) | Skapar en enstaka TutorElement-struktur.
TILLDELA/WM = TUTORELEMENT(n) | För alla tal över 1 skapas en array med n TutorElement-strukturer.
TILLDELA/CIR1E = TUTORELEMENT("CIR1") | Kopierar data från elementet CIR1 till TutorElement-strukturerna.

Det finns för närvarande följande delelement i TutorElement-strukturen:

Delelement | Beskrivning
ID | Sträng för elementets ID
TYPE | INTEGER (FTYP)
X, Y, Z | Koordinatvärden för X, Y och Z
PR | Polär radie
PA | Polär vinkel
CX | I
CY | J
CZ | K
DM | Diameter 1
DM2 | Diameter 2
DS | Avstånd från nollpunkten
A | Vinkel
AXY | Vinkel på XY-planet
AYZ | Vinkel på YZ-planet
AZX | Vinkel på ZX-planet
F | Formatfel
SDEV | Standardavvikelse
TP | Lägeriktighet


Funktionen QualToolData

Den här funktionen returnerar data om den aktuella eller angivna kalibreringsnormalen. Den har följande syntax:

QUALTOOLDATA(<NORMALINFO>, <NORMAL_ID>, <YTNUMMER>)

Funktionen kan ta upp till tre parametrar. Det krävs minst en parameter för att det ska returneras några data.

Den första parametern, <NORMALINFO>, är ett värde av typen string som anger vilken typ av information om kalibreringsnormalen som ska returneras. Om parametern inte överförs returneras namnet på den aktuella eller angivna kalibreringsnormalen.

· "DIAM" – Returnerar kalibreringsnormalens diameter som ett värde av typen double.

· "ID" – Returnerar kalibreringsnormalens namn som ett värde av typen string.

· "LENGTH" – Fungerar som "DIAM". Den returnerar också kalibreringsnormalens diameter som ett värde av typen double.

· "OVERRIDEIJK" – Returnerar sökvektor IJK som ett värde av typen point.

· "POLYDIAM" – Returnerar diametern för den angivna polyederns yta som ett värde av typen double.

· "POLYIJK" – Returnerar IJK-vektorn för den angivna polyederns yta som ett värde av typen point.

· "POLYXYZ" – Returnerar XYZ-mittpunkten för den angivna polyederns yta som ett värde av typen point.

· "SHANKIJK" – Returnerar skaftets IJK-vektor som ett värde av typen point.

· "TYPE" – Returnerar typen av kalibreringsnormal som ett värde av typen integer (0 för en sfär, 1 för en slavsfär, 2 för en polyeder, 3 för en slavpolyeder).

· "WIDTH" – Den här parametern används inte längre.

· "XYZ" – Returnerar kalibreringsnormalens XYZ-position som ett värde av typen point.

Den andra parametern, <NORMALID>, är ett värde av typen string som anger namnet på den kalibreringsnormal som användaren vill ha information om. Om parametern inte överförs förutsätts det att du vill ha information från den aktuella kalibreringsnormalen. String-värdet är inte skiftlägeskänsligt.

Den tredje parametern, <YTNUMMER>, behövs endast om du arbetar med en polyedrisk kalibreringsnormal och den första parametern är "POLYXYZ", "POLYIJK" eller "POLYDIAM". Parametern är ett värde av typen integer som anger vilken yta på polyedernormalen som ska användas för att hämta data.

Exempel:

TILLDELA/VDIAM = QUALTOOLDATA("DIAM","SFÄR_1_MM") | Ger variabeln VDIAM diametern för normalen SFÄR_1_MM.
TILLDELA/VID = QUALTOOLDATA("ID") | Ger variabeln VID den aktuella normalens namn.
TILLDELA/VTYP = QUALTOOLDATA("TYPE") | Ger variabeln VTYPE den aktuella normalens typ.
TILLDELA/VPOLYDIAM = QUALTOOLDATA("VPOLYDIAM","POLYTEST",3) | Ger variabeln VPOLYDIAM diametern för yta 3 på den polyedriska normalen POLYTEST.


Operandomvandling

Du kan omvandla operander till andra typer genom att använda omvandlingsoperatorerna:

Mer:

Omvandling till integer (heltal)

Omvandling till double (decimaltal)

Omvandling till string (sträng)

Omvandling till point (punkt)

Operandomvandling och blandade uttryck


Omvandling till integer (heltal)

INT(<Uttryck>) – Omvandlar värdet för ett uttryck till typen integer (heltal)

INT(4) | Blir 4
INT(4.5) | Blir 4
INT("Godmorgon världen") | Blir 0
INT("2") | Blir 2
INT("2.2") | Blir 2
INT("3 bockar Bruse") | Blir 3
INT("De 3 bockarna Bruse") | Blir 0
INT("3, 4, 5") | Blir 3
INT(MPOINT(0, 0, 1)) | Beräknas till avståndet mellan punkten och nollpunkten, i det här fallet 1
INT(MPOINT(3, 4, 5)) | Avståndet beräknas till 7.0711 och uttrycket till 7


Omvandling till double (decimaltal)

DOUBLE(<Uttryck>) – Omvandlar värdet för ett uttryck till typen double

DOUBLE(4) | Blir 4.0
DOUBLE(4.5) | Blir 4.5
DOUBLE("En stringparameter") | Blir 0.0
DOUBLE("3.5") | Blir 3.5
DOUBLE("3.5 mm") | Blir 3.5
DOUBLE("Cirkeln är 3.5 mm i diameter") | Blir 0.0
DOUBLE(MPOINT(0,0,1)) | Blir 1.0
DOUBLE(MPOINT(3,4,5)) | Blir 7.0711


Omvandling till string (sträng)

STR(<Uttryck>) – Omvandlar värdet för ett uttryck till typen string

STR(4) | Blir "4"
STR(4.5) | Blir "4.5"
STR("Godmorgon världen") | Blir "Godmorgon världen"
STR(MPOINT(3,4,5)) | Blir "3, 4, 5"


Omvandling till point (punkt)

MPOINT(<Uttryck1>, <Uttryck2>, <Uttryck3>) – Omvandlar värdet för uttryck till typen point efter att alla uttryck har omvandlats till typen double.

MPOINT(1, 1, 1) | Ger point-parametern 1.0, 1.0, 1.0
MPOINT(1.1, 1.1, 1.1) | Ger point-parametern 1,1, 1,1, 1,1
MPOINT("1", "1", "1") | Ger point-parametern 1.0, 1.0, 1.0
MPOINT(3, 4.5, "5.6") | Ger point-parametern 3.0, 4.5, 5.6
MPOINT(MPOINT(1, 0, 0), MPOINT(0,1,0), MPOINT(3,4,5)) | Ger 1.0, 1.0, 7.0711


Operandomvandling och blandade uttryck

Vid beräkning av ett uttryck omvandlas variabler i blandade uttryck automatiskt. Om resultatet av ett uttryck blir ett annat än det förväntade vid automatiskt omvandling kan du i vissa fall använda omvandlingsoperatorer för att få det önskade resultatet. Följande är exempel på automatisk omvandling i blandade uttryck.

"CIR" + 1 | Blir "CIR"1
"2" + 2 | Blir 4
"Värdet för 2+2 är" + 2 + 2 | Blir "Värdet för 2+2 är 22" (eftersom uttryck beräknas från vänster)
"Värdet för 2+2 är" + (2 + 2) | Blir "Värdet för 2+2 är 4"
LINJE1.XYZ > 2 | Blir 1 om avståndet från nollpunkten till centroiden för LINJE1 är större än 2
LINJE1.XYZ > LINJE2.XYZ | Blir 1 om avståndet från nollpunkten till centroiden för LINJE1 är större än avståndet från nollpunkten till centroiden för LINJE2
LINJE1.XYZ = LINJE2.XYZ | Blir 1 om centroiderna för LINJE 1 och LINJE2 är desamma (i det här fallet sker ingen omvandling)
DOUBLE(LINJE1.XYZ) = DOUBLE(LINJE2.XYZ) | Blir 1 om centroiderna ligger lika långt från nollpunkten
11% 3.1 | Blir 2 (% är en rest-operator som används med heltal; den returnerar den diskreta divisionens rest. 11%3 = 2.)
CIRKEL1.MÄTPKT[3.2].X | Ger det mätta X-värdet för den tredje mätpunkten för Cirkel1. Argumentet 3.2 omvandlas automatiskt till ett heltal med värdet 3.


ID-uttryck

I flera kommandon i PC-DMIS används element-ID:n som parametrar. ID:n används till exempel i konstruerade element för att ange vilka element som ska användas som indata för det konstruerade elementet. Med ID-uttryck kan användaren referera till en specifik förekomst av ett element, en grupp element med liknande namn, en förekomst av ett element i ett anrop till ett underprogram eller ett element i ett externt detaljprogram.

Mer:

Elementgrupps-ID

ID:n med jokertecken

ID:n för funktioner i underprogram, Basic-skript eller externa program

Kombinationer av ID-uttryck


Elementgrupps-ID

Använd ett elementgrupps-ID om du vill referera till en specifik förekomst av ett element eller ett intervall av elementförekomster. Om elementet Cirkel1 finns i en SÅLÄNGE-slinga som upprepas fem gånger finns det fem förekomster av cirkeln när slingan har körts färdigt. Om du vill referera till en individuell förekomst av de fem förekomsterna av Cirkel1 använder du den elementgruppssyntax som beskrivs i Elementgrupper:, där Cirkel1[1] refererar till den första förekomsten, Cirkel1[2] refererar till den andra förekomsten och så vidare.

Om du vill referera till ett intervall av förekomster skriver du två punkter (..). Cirkel1[1..3] refererar till den 1:a till och med 3:e förekomsten av Cirkel1. Cirkel[3..5] refererar till den 3:e till och med 5:e förekomsten av Cirkel1. Cirkel[1..5] refererar till den 1:a till och med 5:e förekomsten av Cirkel1. Om du refererar till ett intervall av element behandlas och fungerar gruppen som en konstruerad grupp.


ID:n med jokertecken

Du använder ID:n med jokertecken för att referera till en grupp element med liknande namn. Jokertecknen är * och ?. (Mer information finns i Välja element med hjälp av metateckenmatchning i avsnittet Redigera CAD-visningen.)

Asterisken (*) används för att referera till 0 eller fler förekomster av ett tecken. Om du till exempel vill referera till alla element som börjar med bokstäverna CIR använder du ID-uttrycket CIR*. Genom syntaxen skapas då en elementgrupp som innehåller alla element med ID:n som börjar med CIR, till exempel CIRKEL1, CIRKEL2, CIR3 och CIR.

Obs! Om det finns flera körningar av CIR3 visas endast värdena från den senaste mätningen. Om du vill hämta de olika förekomsterna från körningarna kan du använda följande uttryck: CIR?[1..3]

Frågetecknet (?) refererar till en enstaka förekomst av ett tecken.

Exempel: Med ID-uttrycket MIN???1 skapas en elementgrupp som består av sex tecken, börjar med MIN och slutar med 1, till exempel MINCIR1, MINKON1, MINLIN1 eller MINFOT21.


ID:n för funktioner i underprogram, Basic-skript eller externa program

Underprogram kan finnas i det aktuella detaljprogrammet eller i ett externt detaljprogram. Om ett underprogram finns i samma program som anropet till underprogrammet kan du använda den ID-syntax för elementgrupper som förklaras i Elementgrupper: för att referera till individuella förekomster av ett element som skapas i underprogrammet. Om underprogrammet däremot finns i ett externt detaljprogram kan du använda följande syntax för att referera till element som skapas i underprogrammet: <Anropa underprogram-ID>:<ElemID>. Om ett element med namnet E1 finns i ett externt underprogram som anropas från ett ANROPA_UNDERPROGRAM-kommando med ID CS1 kan du referera till elementet med ID-uttrycket CS1:E1.

Exempel: Det här exemplet visar endast hur du kan använda syntaxen CS1.E1 och är inte avsett att användas.

Program 1: PLUS1.PRG

UNDERPROGRAM/PLUS1, A1 = 0, A2 = 0, A3 = 0
E1 =ELEMENT/PUNKT,REKT
TEOR /A1+1,A2+1,A3+1,0,0,1
MÄTT/3,1,1,0,0,1
MÄT/PUNKT,1
MÄTPKT/BASIC,A1+1,A2+1,A3+1,0,0,1,0,0,0
SLUTMÄT/
SLUT_UNDERPROGRAM/

Program 2: TEST.PRG

CS1 =ANROPA_UNDERPROGRAM/PLUS1,D:\V30\WINDEBUG\PLUS1.PRG: 3,3,3,,
UTV D1= , LÄGE FÖR PUNKT CS1:E1 ENHETER=MM ,$
GRAF=AV TEXT=AV MULT=10.00 UTSKRIFT=BÅDA
AX_NOMINELL +TOL -TOL MÄTT MAX MIN AVV TOM_TOL
X 3.0000 0.0000 0.0000 3.0000 3.0000 3.0000 0.0000 0.0000
----#----
SLUT PÅ UTVÄRDERING D1

Med Basic-skript skapar du och tar bort objekt dynamiskt. Använd syntaxen <ID för Basic-skript>:<Element-ID> för att referera till ett element som har skapats genom ett Basic-skript. Om ett element med ID:t E2 skapas i ett Basic-skript med ID:t BS1 bör du referera till elementet med ID-uttrycket BS1:E2.

Du kan länka externa program till PC-DMIS med kommandot LÄNKA. Om du vill referera till element i ett länkat program använder du följande syntax: <Länka program-ID>:<Element-ID> Om du vill referera till element E3 i ett länkat detaljprogram med ID:t KUGG1 använder du uttrycket KUGG1:E3. (Mer information finns i Länka ett externt detaljprogram i avsnittet Lägga till externa element.)


Kombinationer av ID-uttryck

Du kan använda ID-uttryck för arrayer, ID-uttryck med jokertecken och ID-uttryck för externa underprogram, Basic-skript och externa detaljprogram i kombinationer med varandra. Om du till exempel vill referera till den tredje förekomsten av alla element som börjar med bokstäverna CIR i ett internt länkat detaljprogram med ID:t BOLTPAT använder du ID-uttrycket BOLTPAT:CIR*[3].

Du kan även använda ID-uttryck i vanliga uttryck. På så sätt kan den mätta centroiden i elementgruppen ovan tilldelas till en variabel med följande uttryck:

TILLDELA/V1 = BOLTPAT:CIR*[3].XYZ

Du kan även använda ID-uttryck i vanliga uttryck. På så sätt kan den mätta centroiden i elementgruppen ovan tilldelas till en variabel med följande uttryck:

TILLDELA/V1 = BOLTPAT:CIR*[3].XYZ


Lägga till externa element

Lägga till externa element: Inledning

Infoga ett externt kommando

Så här infogar du ett externt kommando:

Alternativet Visning

Alternativet Ingen visning

Alternativen Vänta och Vänta inte

Knappen . . .

Skapa ett externt kommando som ett meny- eller verktygsfältobjekt

Exempel: Använda kommandot EXTERNKOMMANDO för att visa en fil

Infoga Basic-skript

Så här infogar du ett Basic-skript som ett kommando

Så här infogar du ett Basic-skript som ett meny- eller verktygsfältobjekt

Skicka variabler till och från Basic-skript

Exempel 1: Använda funktionsraden för att överföra variabler

Exempel 2: Använda metoderna GetVariableValue och SetVariableValue för att överföra variabler

Koppla ett externt detaljprogram

Använda en pekare för att referera till data

Infoga externa objekt

Skapa ny

Skapa från fil

Länka

Visa som ikon

Listan Objekttyp

Markera externa objekt för körning

Visa filer på ett annat sätt


Lägga till externa element: Inledning

Det här avsnittet innehåller en genomgång av olika externa element som kan infogas i ett detaljprogram. Det är bland annat externa program, Basic-skript, detaljprogram och andra objekt som förstärker detaljprogrammets funktioner.

Huvudämnena i detta avsnitt är:

  • Infoga ett externt kommando

  • Infoga Basic-skript

  • Koppla ett externt detaljprogram

  • Infoga externa objekt


Infoga ett externt kommando

Dialogrutan Externt kommando

Från menyalternativet Infoga | Externt kommando kan du infoga ett kommando i Redigeringsfönstret som, när det markeras och körs, kör en extern program- eller batchfil från detaljprogrammet.

  • Du kan köra normala DOS-kommandon om de sparas som en batchfil.

  • Kommandot måste markeras i Redigeringsfönstret för att det externa kommandot ska köras.

  • Du måste använda en giltig sökväg och ett giltigt filnamn.

  • Om kommandot EXTERNKOMMANDO/VISNING påträffas under körningen av detaljprogrammet stoppas körningen tillfälligt och ett meddelande visas. Klicka på OK för att fortsätta programkörningen.

Mer:

Så här infogar du ett externt kommando:

Alternativet Visning

Alternativet Ingen visning

Alternativen Vänta och Vänta inte

Knappen . . .

Skapa ett externt kommando som ett meny- eller verktygsfältobjekt

Exempel: Använda kommandot EXTERNKOMMANDO för att visa en fil


Så här infogar du ett externt kommando:

Gå till menyalternativet Externt kommando. Dialogrutan Externt kommando öppnas.

  1. Ange ett externt kommando i dialogrutan. Det gör du genom att antingen ange den fullständiga sökvägen till filen i den avsedda rutan eller genom att gå till filen genom att klicka på knappen . . .

  2. Välj Visning eller Ingen visning.

  3. Klicka på OK. Kommandot infogas i Redigeringsfönstret.

Så här ser kommandoraden för det här alternativet ut i Redigeringsfönstret:

EXTERNT_KOMMANDO/<visningsflagga>, <vänteflagga> ; sökväg

Visningsflagga = I det här växlingsfältet anges det huruvida körningen i PC-DMIS pausas och det visas ett meddelande om körning av en extern fil. Värdet är antingen VISNING eller INGEN_VISNING.

sökväg = Den här strängen anger sökvägen och filnamnet på program- eller batchfilen.


Alternativet Visning

Om du markerar alternativet Visning visas ett meddelande om att körningen av programmet pausas medan ett externt kommando körs. Körningen pausas tills du klickar på OK i det visade meddelandet. Observera att meddelandet endast visas om det har aktiverats i dialogrutan Alternativ, varningar.

Så här aktiverar du meddelandet:

  1. Tryck på F5 för att öppna dialogrutan Inställningsval.

  2. Klicka på knappen Varningar på fliken Allmänt. Dialogrutan Alternativ, varningar öppnas.

  3. Markera kryssrutan Körningen stoppad (tillfälligt) för att starta en annan process. Klicka på OK för att fortsätta körningen.


Alternativet Ingen visning

Om du markerar alternativet Ingen visning körs det angivna externa kommandot utan att det visas något meddelande. Körningen av PC-DMIS fortsätter samtidigt som den externa program- eller batchfilen körs.


Alternativen Vänta och Vänta inte

Dessa alternativ aktiveras när du markerar alternativet Ingen visning.

Om du markerar alternativet Vänta pausas körningen av detaljprogrammet tills det externa kommandot har slutförts.

Om du markerar alternativet Vänta inte fortsätter körningen av detaljprogrammet även om det externa kommandot inte har slutförts.


Knappen .. . .

Om du klickar på knappen . . . i dialogrutan öppnas dialogrutan Öppna. I dialogrutan väljer du ett filnamn för det externa kommandot. När du öppnar filen infogas den fullständiga sökvägen i dialogrutan Externt kommando.


Skapa ett externt kommando som ett meny- eller verktygsfältobjekt

I PC-DMIS kan du anpassa verktygsfält och menyer för att använda nya menyobjekt som är kopplade till .EXE-, .BAT- eller .BAS-filer. Information om hur du gör det finns i Anpassa användargränssnittet i avsnittet Navigera i användargränssnittet.


Exempel: Använda kommandot EXTERNKOMMANDO för att visa en fil

Det här är ett exempel på hur du kan skapa en batchfil (ett externt program) som tillsammans med kommandot EXTERNKOMMANDO öppnar och visar en fil. Om du vill visa en bildfil utan att använda menyalternativet Infoga | Rapportkommandon | Externt objekt kan du i stället visa bilden genom att använda en text på en kommandorad (eller i DOS) i en batchfil.

Obs! För- eller nackdelen med den här metoden (beroende på vad du har för behov) är att bilden inte visas i rapporten förrän efter detaljprogrammet har körts.

Först skapar du en batchfil för att visa bilden:

  1. Öppna en textredigerare, till exempel Anteckningar, och skriv följande kommando på den första raden:

start <SÖKVÄG>

där <SÖKVÄG> är den fullständiga sökvägen till bilden (till exempel, start d:\temp\mindetalj.gif).

Kommandot anger att bildfilen ska öppnas i Windows med det standardinställda bildvisningsprogrammet.

  2. Spara filen med filtillägget .bat.

Därefter kopplar du dialogrutan Externt kommando till batchfilen:

  1. Välj Infoga | Externt kommando. Dialogrutan Externt kommando öppnas.

  2. Klicka på knappen … Dialogrutan Öppna öppnas.

  3. Ändra typen till BAT-fil (*.bat) i listan Filformat längst ned i dialogrutan Öppna.

  4. Navigera till och markera batchfilen.

  5. Klicka på knappen Öppna. Dialogrutan Öppna stängs och dialogrutan Externt kommando innehåller nu sökvägen till batchfilen (.bat).

Kontrollera därefter vad som ska hända genom att infoga ett kommando:

  1. Välj huruvida det ska visas ett meddelande som pausar körningen av detaljprogrammet genom att markera något av alternativen Visning eller Ingen visning i dialogrutan Externt kommando.

  2. När du klickar på OK infogas EXTERNKOMMANDO i Redigeringsfönstret.
    EXTERNKOMMANDO/VISNING ; E:\BATCH\TEST.BAT

Kör programmet:

  1. Markera den skapade kommandoraden i Redigeringsfönstret.

  2. Kör detaljprogrammet.

  3. Det angivna batchprogrammet körs, bilden visas och beroende på vad du markerade i dialogrutan Externt kommando kommer detaljprogrammet att pausas eller fortsätta köras medan du tittar på bilden.


Infoga Basic-skript

Tilläggsprogrammet för Basic förstärker funktionerna i PC-DMIS. Du kan skriva skript eller program på Basic-språk i PC-DMIS (eller importera dem till PC-DMIS) och koppla dem till en knapp i ett användardefinierat verktygsfält för att enkelt köra användbara makron. Den version av Basic som finns i PC-DMIS innehåller samtliga element i ett högnivåspråk, inklusive anpassade dialogrutor (som skapas med den inbyggda funktionen Redigera dialog), stöd för ODBC och OLE. Dessa alternativ finns endast tillgängliga som tillägg till det grundläggande programvarupaketet för PC-DMIS.

Så här ser kommandoraden för ett exempelskript (sample.bas) ut i Redigeringsfönstret:
SKRIPT/FILNAMN = C:\PCDMISW\sample.bas
FUNKTION/Main,VISA=JA,,
SLUT_SKRIPT/

I fältet FILNAMN= anger du sökvägen till den Basic-fil (med filtillägget .bas) som du vill infoga och köra tillsammans med detaljprogrammet.

Fältet FUNKTION/Main kör underprogrammet Main. Du kan ändra det till ett annat underprogram eller en annan funktion i Basic-filen.

I fältet VISA= anger du huruvida kommandon som skapas automatiskt i Basic-skriptet visas i detaljprogrammet när det har körts.

  • Om du ställer in VISA=NEJ kommer de skapade kommandona inte att visas i översiktsläget, kommandoläget eller DMIS-läget (kommandona visas däremot fortfarande i rapporten). De skapade kommandona sparas inte heller med detaljprogrammet.

  • Om du ställer in VISA=JA visas de skapade kommandona i och sparas med detaljprogrammet. Standardinställningen är VISA=JA för att vara kompatibelt med detaljprogram från tidigare versioner.

En fullständig beskrivning av det här tilläggspaketet finns i Basic-hjälpfilen. Kontakta support för PC-DMIS om det inte ingick någon kopia av hjälpfilen i Basic-paketet.

Mer:

Så här infogar du ett Basic-skript som ett kommando

Så här infogar du ett Basic-skript som ett meny- eller verktygsfältobjekt

Skicka variabler till och från Basic-skript

Redigera Basic-skript


Så här infogar du ett Basic-skript som ett kommando

När du väljer menyvägen Infoga | Basic-skript öppnas dialogrutan Infoga Basic-skript.

I dialogrutan kan du lägga till ett Basic-skriptobjekt i detaljprogrammet. Basic-skriptobjekt innehåller namnet på det Basic-skript som körs när Basic-skriptobjektet körs. Körningen av detaljprogrammet fortsätter inte förrän Basic-skriptet har körts. Om det skapas några objekt när Basic-skriptet körs kommer objekten att infogas och köras i detaljprogrammet. Objekt som infogas genom Basic-skript markeras med en annan färg än andra objekt för att ange att de har skapats genom Basic-skriptet. Mer information om Basic-skript finns i PC-DMIS onlinehjälp för Basic.


Så här infogar du ett Basic-skript som ett meny- eller verktygsfältobjekt

I PC-DMIS kan du anpassa verktygsfält och menyer för att använda nya menyobjekt som är kopplade till .EXE-, .BAT- eller .BAS-filer. Information om hur du gör det finns i Anpassa användargränssnittet i avsnittet Navigera i användargränssnittet.


Skicka variabler till och från Basic-skript

Du kan endast överföra variabler till Basic-skript med koder i PC-DMIS; inte från Basic-skript.

De enda variabeltyper som kan överföras till Basic-skript från PC-DMIS är:

  • Integer (heltal)

  • String (sträng)

  • Double (decimaltal)

Se exempel nedan:

Obs! Variabler i PC-DMIS innehåller endast värden då programmet körs. Under inlärningen har variablerna i PC-DMIS alltid värdet noll.

Mer:

Exempel 1: Använda funktionsraden för att överföra variabler

Exempel 2: Använda metoderna GetVariableValue och SetVariableValue för att överföra variabler


Exempel 1: Använda funktionsraden för att överföra variabler

Om du använder följande kommando körs ett Basic-skript med namnet TEST.BAS. När skriptet körs överförs även de variabler som definierades på raden FUNKTION/ till skriptet TEST.BAS:

CS2=SKRIPT/FILNAMN= D:\PROGRAM\PCDMIS35\TEST.BAS
FUNKTION/ShowVars,3,"Godmorgon",2.5,,
STARTSKRIPT/

Nedan visas skriptet TEST.BAS. När det körs kommer de överförda variablerna att visas i respektive meddelanderutor.

Sub ShowVars(IntVar As Integer, StrVar As String, DoubleVar As Double)

msgbox "Den överförda integer-variabeln är" & IntVar

msgbox "Den överförda string-variabeln är" & StrVar

msgbox "Den överförda double-variabeln är" & DoubleVar

End Sub


Exempel 2: Använda GetVariableValue och SetVariableValue

Exempel 2: Använda metoderna GetVariableValue och SetVariableValue för att överföra variabler

I följande exempel används kod för att hämta ett värde (integer) från användaren och tilldela det till variabeln V1:

C1=KOMMENTAR/INMATN,Ange ett integer-värde.
TILLDELA/V1 = INT(C1.INPUT)
KOMMENTAR/OPERATÖR,NEJ,Före skript: Variabeln är:
,V1

Därefter anropas ett Basic-skript med namnet TEST2.BAS.

CS2=SKRIPT/FILNAMN= D:\PROGRAM FILES\PCDMIS35\TEST.BAS
FUNKTION/Main,,
STARTSKRIPT/
SLUT_SKRIPT/

Här följer TEST2.BAS:

Sub Main
Dim App As Object
Set App = CreateObject ("PCDLRN.Application")
Dim Part As Object
Set Part = App.ActivePartProgram
Dim Var As Object
Set Var = Part.GetVariableValue ("V1")
Dim I As Object
If Not Var Is Nothing Then
Var.LongValue = Var.LongValue + 1
Part.SetVariableValue "V1", Var
MsgBox "Nu är V1: " & Var
Else
Msgbox "Kunde inte hitta variabeln"
End If
End Sub

Skriptet tar variabeln V1, använder automatiseringsmetoderna GetVariableValue och SetVariableValue för att öka V1 med ett och ställer därefter in det nya värdet för V1 i detaljprogrammet.

Därefter visas den ändrade variabeln i en operatörskommentar i PC-DMIS.

KOMMENTAR/OPERATÖR, NEJ, Efter skript: Nu är variabeln
,V1


Koppla ett externt detaljprogram

Om du går till menyalternativet Infoga | Koppling till annat detaljprogram öppnas dialogrutan Koppla ett externt detaljprogram. I dialogrutan kan du koppla ett detaljprogram till det aktuella detaljprogrammet. Det innebär inte att alla kommandon i det angivna detaljprogrammet faktiskt kopplas till och körs i det aktuella programmet. I stället kopplas en pekare till detaljprogrammet så att du kan använda utvärderings- och elementdata från det. Se Använda en pekare för att referera till data.

Dialogrutan Koppla ett externt detaljprogram

Dialogrutan innehåller följande alternativ:

Alternativ | Beskrivning
Namn på externt detaljprogram: | I den här rutan anger du sökvägen till det externa detaljprogram som du vill koppla till det aktuella detaljprogrammet. Sökvägen anges även om du går till filen genom att använda knappen Bläddra.
Identifiera programmens uppriktningar | I det här området kan du dela uppriktningar mellan två detaljprogram genom att markera dem i de visade listorna. Mer information finns i Identifiera en uppriktning i avsnittet Skapa och använda uppriktningar.

Menyalternativet Koppling till annat detaljprogram är särskilt användbart när du arbetar i flerarmsläge. Med detta alternativ kan du koppla ett detaljprogram från slavarmen till masterarmens detaljprogram. Genom att koppla detaljprogrammet kan du dela data så att båda armarna körs med samma uppriktning, överföra data från ett program till det andra programmet för att göra beräkningar och låta armarna samarbeta. (Mer information om flerarmsläget finns i avsnittet Använda flerarmsläge.)

Mer:

Använda en pekare för att referera till data


Använda en pekare för att referera till data

När du öppnar ett kopplat detaljprogram kommer du många gånger att vilja använda data från programmet. När du refererar till dessa data måste du referera till den pekare (eller variabel) som innehåller sökvägen till detaljprogrammet.

Se följande exempel:

Anta att du kopplar TEST_A.prg till det aktuella detaljprogrammet. Kopplingskommandot skulle då se ut ungefär så här:

CS1=KOPPLA/C:\PCDMISW\TEST_A.PRG, Maskin=

IDENTIFIERA/LOKAL UPPRIKTNING = A1, KOPPLAD UPPRIKTNING = A1

Observera pekaren, CS1. Den används för att hämta data från det kopplade detaljprogrammet.

Anta nu att du vill visa det mätta X-värdet för element F1 från TEST_A.prg i det aktuella detaljprogrammet. Då använder du följande typ av kommando:

KOMMENTAR/OPERATÖR,"X-värdet för F1 från det kopplade detaljprogrammet är:"

,CS1:F1.X

Koden CS1:F1.X anger att programmet ska gå till TEST_A.prg, söka efter element F1 och visa elementets X-värde. Så gör du referenser med hjälp av pekare i PC-DMIS.

I PC-DMIS listas element från ett kopplat detaljprogram i någon av dialogrutorna Konstruktion eller Utvärdering. Det kopplade detaljprogrammets ID-pekare visas i rutan Elementlista. Ett plustecken (+) visas till vänster om pekaren. Klicka på plustecknet för att expandera eller komprimera vyn över alla element i det kopplade detaljprogrammet. När du har expanderat vyn och kan se alla element i det kopplade detaljprogrammet kan du välja något av elementen för att använda det i konstruktions- eller utvärderingsprocessen.

Obs! Du kan inte välja det kopplade programmets pekare. Du kan endast välja expanderade ID:n som är kopplade till pekaren.


Infoga externa objekt

Dialogrutan Infoga objekt

Via menyalternativet Infoga | Rapportkommandon | Externt objekt kan du infoga flera olika typer av objekt från andra program på datorn i Redigeringsfönstret. Vilka objekttyper som kan infogas beror på vilka program som finns installerade. Objekt som kan infogas är till exempel grafik, ljudklipp, videoklipp, midi-klipp, dokument, kalkylblad och databastabeller. Använd externa objekt om du vill importera en instruktionsvideo, ljudinstruktioner eller skriva instruktioner i detaljprogrammet.

Viktigt! Redigeringsfönstret måste vara i kommandoläge [image] för att du ska kunna arbeta med externa objekt.

Mer:

Skapa ny

Skapa från fil

Visa som ikon

Listan Objekttyp

Markera externa objekt för körning

Visa filer på ett annat sätt


Skapa ny

Om du väljer alternativet Skapa ny kan du skapa en ny fil för en viss objekttyp på en angiven position i Redigeringsfönstret. Du väljer objekttyp i listan Objekttyp. Objekt kan endast placeras precis före eller efter ett element i detaljprogrammet.

Så här skapar du ett nytt objekt och placerar det i Redigeringsfönstret:

  1. Markera alternativet Skapa ny.

  2. Välj önskad objekttyp i listan Objekttyp. Objektet visas i en ruta som omges av små fyrkanter i Redigeringsfönstret. Du kan använda musen för att dra objektrutan till en annan position i fönstret eller ändra rutans storlek genom att flytta de små fyrkanterna.

  3. Dubbelklicka på objektet. Då ser du att programmet som körs med det aktuella objektet öppnas i Redigeringsfönstret.

  4. Ändra objektet genom att använda verktygen i det infogade programmet.

  5. När du är färdig klickar du någonstans utanför det infogade objektet i Redigeringsfönstret.

Exempel: Så här inkluderar du ett nytt Word-dokument i Redigeringsfönstret:

  1. Markera alternativet Skapa ny.

  2. Välj ett Word-dokumentobjekt i listan Objekttyp.

  3. Använd musen för att dra objektrutan till önskad position i Redigeringsfönstret.

  4. Ändra rutan så att den får den önskade storleken.

  5. Skriv text i Word-dokumentobjektet.

  6. Klicka utanför objektet för att återgå till de vanliga funktionerna för Redigeringsfönstret. Word-dokumentet visas fortfarande i Redigeringsfönstret.

Exempel på ett Word-dokument som har skapats i Redigeringsfönstret. Observera att menyerna och verktygsfälten i Redigeringsfönstret ersätts med menyer och verktygsfält för det program som motsvarar det skapade objektet.


Skapa från fil

Om du väljer alternativet Skapa från fil kan du infoga en tidigare skapad fil som ett objekt i redigeringsfönstret.

Så här infogar du ett tidigare skapat objekt:

  1. Välj alternativet Skapa från fil.

  2. Ange sökvägen till den fil som du vill använda som objekt. Eller navigera till rätt mapp med knappen Bläddra.

  3. Markera den fil som ska infogas som ett objekt.

  4. Klicka på OK. Objektet visas i Redigeringsfönstret. Du kan använda musen för att dra rutan med objektet till en annan position i fönstret eller ändra rutans storlek genom att flytta de små fyrkanterna.

Exempel: Om du vill lägga till ett sparat Word-dokument i Redigeringsfönstret, till exempel ett dokument med instruktioner om hur du använder mätmaskinen, väljer du alternativet Skapa från fil, går till den mapp där dokumentet finns och klickar på OK. Dokumentet visas i objektrutan i Redigeringsfönstret. Använd musen för att flytta objektrutan dit du vill i Redigeringsfönstret och för att ändra rutans storlek.

Mer:

Länka


Länka

Genom att markera alternativet Länk kan du länka ett objekt till Redigeringsfönstret. När du länkar ett objekt tillbaka till den ursprungliga objektfilen kommer eventuella ändringar av ursprungsfilen även att uppdateras i Redigeringsfönstret.


Visa som ikon

Om du markerar kryssrutan Visa som ikon kan du visa det inbäddade objektet som en ikon i stället för att visa all information i det. Objektet aktiveras när du dubbelklickar på ikonen i Redigeringsfönstret.

Exempel: Anta att du placerar ett Word-dokument i Redigeringsfönstret och markerar kryssrutan Visa som ikon. Då visas Word-dokumentet som en ikon. Om du dubbelklickar på ikonen öppnas det inbäddade programmet och informationen från Word-dokumentet visas.

Exempel på ett Word-dokumentobjekt som visas som en ikon


Listan Objekttyp

Exempel på listan Objekttyp

Listan Objekttyp innehåller de objekttyper som är tillgängliga på din dator. Vilka objekttyper som är tillgängliga varierar beroende på vilka program som finns installerade på datorns hårddisk.

Så här väljer du en objekttyp:

  1. Använd rullningslisten eller tangenterna med uppilen och nedpilen för att söka efter objektet.

  2. Markera objektet.

  3. Klicka på OK.


Markera externa objekt för körning

Standardinställningen är att externa objekt skrivs ut men inte körs när du kör ett detaljprogram. Vissa objekt kanske du vill köra men inte skriva ut.

Exempel: Om du bäddar in grafik kanske du vill skriva ut grafiken i rapporten men om du bäddar in ett ljud- eller filmklipp kanske du vill att objektet körs så att klippet spelas upp under körningen.

Det finns fyra körningslägen för externa objekt:

  1. Skriv ut – kör inte

  2. Skriv inte ut – kör inte

  3. Skriv inte ut – kör

  4. Skriv ut – kör

Tryck på F3 medan insättningspunkten är på samma rad som det externa objektet i Redigeringsfönstret om du vill växla mellan körningslägena.

Mönsterlinjer – diagonala streck över grafiken. Mönstrade kanter – diagonala linjer över kanterna runt grafiken. | Mönsterlinjer och mönstrade kanter används för att visa objektets körningsläge. Se exemplen nedan.
 | Inga mönsterlinjer | Om det inte finns några mönsterlinjer över objektet skrivs det ut i rapporten.
 | Mönstrad kant | Om objektet omges av en mönstrad kant körs det.

Obs! Körningsåtgärden är alltid samma åtgärd som när du dubbelklickar på det externa objektet. För mediaklipp är standardåtgärden Spela upp. För de flesta andra objekt är standardåtgärden Redigera.
Spela upp Ljudklipp spelar upp ljud. Filmklipp spelar upp en film o.s.v.

Redigera Objekt vars standardåtgärd är redigering är vanligtvis inte objekt som behöver köras. Vissa programobjekt kan även köra anpassade Basic-skript när de aktiveras. Word-dokument och Excel-blad är exempel på den typen av externa objekt. Med hjälp av automatiseringskommandon i PC-DMIS kan den typen av objekt ändras med data från detaljprogrammet. I ett detaljprogram kan du till exempel infoga ett Excel-diagram med ett Basic-skript som, när det aktiveras, använder automatiseringskommandona i PC-DMIS för att överföra data från detaljprogrammet och justerar diagrammet i enlighet med överförda data innan det skrivs ut i rapporten.


Visa filer på ett annat sätt

Du kan även visa filer genom att använda kommandot EXTERNKOMMANDO i Redigeringsfönstret. Mer information finns i Exempel: Använda kommandot EXTERNKOMMANDO för att visa en fil.


Använda flerarmsläge

Använda flerarmsläge: Inledning

Ställa in en mätmaskin med flera armar

Steg 1: Installera PC-DMIS på samtliga datorer

Steg 2: Ange mastersystemet

Steg 3: Matcha mätmaskinens axlar för varje arm

Steg 4: Konfigurera riktningen för det monterade mäthuvudet

Steg 5: Ställ in master och slav

Denna dator tar emot kommandon från huvuddatorn

Denna dator (huvuddatorn) styr alla armar

Denna dator används inte i en flerarmskonfiguration

Steg 6: Anslut datorerna

Steg 7: Växla till flerarmsläge

Steg 8: Kalibrera flerarmssystemet

Del 1 av kalibreringsprocessen

Del 2 av kalibreringsprocessen

Utföra automatisk kalibrering

Steg 9: Kalibrera mäthuvudsfilerna för armarna

Kalibrera mastermäthuvudsfil

Kalibrera slavmäthuvudsfil

Steg 10: Ställ in armarnas nollpunkt

Skapa ett detaljprogram i flerarmsläge

Tilldela ett kommando till en arm

Tilldela befintliga kommandon till en ny arm

Köra flerarmsprogram

Sätta startpunkter för flera armar

Låta en arm vänta för att förhindra en kollision

Använda ett kommando för synkronisering av rörelse

Använda ett kommando för säkerhetszon

Använda temperaturkompensering vid flerarmskalibrering

Köra ett masterdetaljprogram på slavarmen

Så här lägger du till en ikon för att köra PC-DMIS i läget för omvända axlar:


Använda flerarmsläge: Inledning

Flerarmsläget har skapats för att köra mätmaskiner med flera armar. Det finns tillgängligt som ett tilläggspaket. I den här versionen finns det endast stöd för flerarmsläge med två armar. Armarna måste vara anslutna till separata datorer som båda är utrustade med PC-DMIS och hårdvarulås. Armarna kommer att ha en gemensam uppriktning.

I senare versioner av PC-DMIS kommer du att kunna köra maskiner med upp till fyra armar på en till fyra datorer.

Mätprocessen för flera armar påminner om processen för enheter med en enda arm men när du använder ett flerarmssystem måste det gå att avgöra vilken arm som utför mätningen. I detta avsnitt får du veta mer om hur du gör det.

Huvuddelarna i det här avsnitt innehåller en genomgång av hur du ställer in en mätmaskin med flera armar, hur du skapar detaljprogram med flera armar och hur du kör ett masterdetaljprogram för en slavarm. Ämnena är:

  • Ställa in en mätmaskin med flera armar

  • Skapa ett detaljprogram i flerarmsläge

  • Köra ett masterdetaljprogram på slavarmen

Obs! PC-DMIS måste vara installerat på samtliga datorer i systemet för att du ska kunna köra flerarmsläget.


Ställa in en mätmaskin med flera armar

Så här ställer du in en mätmaskin med flera armar:

Mer:

Steg 1: Installera PC-DMIS på samtliga datorer

Steg 2: Ange mastersystemet

Steg 3: Matcha mätmaskinens axlar för varje arm

Steg 4: Konfigurera riktningen för det monterade mäthuvudet

Steg 5: Ställ in master och slav

Steg 6: Anslut datorerna

Steg 7: Växla till flerarmsläge

Steg 8: Kalibrera flerarmssystemet

Steg 9: Kalibrera mäthuvudsfilerna för armarna

Steg 10: Ställ in armarnas nollpunkt


Steg 1: Installera PC-DMIS på samtliga datorer

Det första steget i att göra detta alternativ tillgängligt är att installera PC-DMIS på alla datorer som kommer att använda flera armar. (Se dokumentationen om programvaruinstallation om du behöver hjälp.)

Samtliga hårdvarulås måste vara programmerade med alternativet för flera armar. Så här kontrollerar du det:

  1. Välj Hjälp | Om PC-DMIS för Windows. Dialogrutan Om PC-DMIS för Windows öppnas och där visas information om utvecklare och installerade moduler.

  2. Rulla ned listan Moduler och sök efter Flera armar. Om alternativet finns i listan är det aktiverat för det aktuella hårdvarulåset.

Det bör finnas på alla datorer.

Nästa steg


Steg 2: Ange mastersystemet

Ange mastersystemet. I de flesta fallen kan du använda vilken armstyrenhet som helst. Om flerarmssystemet har ett rundbord måste mastern vara den styrenhet som styr rundbordet.

Märk master- och slavarmarna på något sätt. De flesta användarna kallar masterarmen ARM1 och slavarmen ARM2.

Nästa steg


Steg 3: Matcha mätmaskinens axlar för varje arm

Mätmaskinens axlar måste matcha varandra för varje arm. Det innebär att axlarna X+, Y+ och Z+ måste gå i samma riktning för alla armar.

Gör så här om du behöver ändra tilldelning och riktning för axlarna:

  1. Kontrollera att PC-DMIS körs i onlineläge.

  2. Välj Redigera | Alternativ | Inställningar, maskininterface. Dialogrutan CMM-alternativ öppnas.

  3. Välj fliken Axlar. På fliken ser du rutor för X-, Y- och Z-axlarna.

  4. Utgå från X-, Y- eller Z-listorna och omtilldela axlarna för den anslutna mätmaskinen så att de matchar axlarna för masterarmen. Det är i allmänhet endast X- och Y-axlarna som behöver ändras.

  5. Klicka på Verkställ för att spara ändringarna.

  6. Avsluta PC-DMIS när dialogrutan har stängts.

  7. Starta om PC-DMIS och kontrollera att ändringarna är korrekta genom att flytta axlarna för båda armarna i samma riktning. Kontrollera att räknarna för axlarnas ökningssteg är korrekta.

Obs! De numeriska värdena i räknarna matchar inte varandra förrän master-/slavkalibreringen har slutförts.

Nästa steg


Steg 4: Konfigurera riktningen för det monterade mäthuvudet

När PC-DMIS har laddats i samtliga system, och båda armarnas axlar matchar varandra ska du konfigurera riktningen för det monterade mäthuvudet.

  1. Öppna dialogrutan Inställningsval genom att välja menyvägen Redigera | Alternativ | Inställningar. Visa menykarta

  2. Klicka på fliken Detalj/maskin.

  3. Klicka på knappen Riktning på mäthuvud. Dialogrutan Konfigurering av mäthuvudets inriktning öppnas.

Dialogrutan Konfigurering av mäthuvudets inriktning

  4. Ändra vid behov riktningen för det monterade mäthuvudet för varje mätarm.

Nästa steg

Mer:

Denna dator tar emot kommandon från huvuddatorn

Denna dator (huvuddatorn) styr alla armar

Denna dator används inte i en flerarmskonfiguration


Steg 5: Ställ in master och slav

Nästa steg är att ställa in flerarmsläget för den aktuella datorn. Välj menyalternativet Redigera | Alternativ | Inställningar, flera armar. När du väljer detta menyalternativ öppnas dialogrutan Inställningar, flera armar.

Dialogrutan Inställningar, flera armar

I den här dialogrutan anger du om den aktuella datorn är masterdatorn som skickar kommandon till slavarmarna eller om den är en slavdator som vidarebefordrar kommandon från masterdatorn.

När du har gjort ändringar i rutan och klickar på OK visas ett varningsmeddelande om att du måste starta om PC-DMIS för att göra ändringarna giltiga.

  • Denna dator tar emot kommandon från huvuddatorn

  • Denna dator (huvuddatorn) styr alla armar

  • Denna dator används inte i en flerarmskonfiguration

Nästa steg


Denna dator tar emot kommandon från huvuddatorn

Om du markerar alternativet Denna dator tar emot kommandon från huvuddatorn ställs datorn in för att användas med en slavarm och tar endast emot kommandon från huvuddatorn (master). Du kan ansluta via en TCP/IP-port.


Denna dator (huvuddatorn) styr alla armar

Om du markerar alternativet Denna dator (huvuddatorn) styr alla armar ställs datorn in som den huvuddator (master) som kontrollerar samtliga armar. Du ansluter datorn till de övriga armarna med en Direktanslutning eller en Fjärranslutning (TCP/IP).

Om du markerar alternativet Fjärranslutning (TCP/IP) kan du ansluta till de övriga armarna. Gör så här:

  1. Markera armen i listan Inställningar för arm.

  2. Ange IP-adressen i rutan bredvid Fjärranslutning (TCP/IP). Ange IP-adressens portnummer i rutan Port.

  3. Ange fördröjningen för TCP/IP-anslutningen i rutan Fördröjning (millisekunder) för TCP/IP-ansl. Värdet anger fördröjningen i millisekunder innan det görs ett försök att skapa en TCP/IP-anslutning mellan den aktuella armen och den aktuella datorn.


Denna dator används inte i en flerarmskonfiguration

Om datorn inte används i en flerarmskonfiguration markerar du alternativet Denna dator används inte i en flerarmskonfiguration.


Steg 6: Anslut datorerna

Nu måste du ansluta datorerna så att de kan kommunicera med varandra. Du kan antingen använda en seriell kabel mellan datorerna eller, om datorerna är anslutna till ett nätverk, kommunicera via nätverket. I Steg 5: Ställ in master och slav konfigurerar du dessa kommunikationsinställningar.

Så här gör du när datorerna är anslutna:

  1. Starta PC-DMIS i slavsystemen. Du ska inte skapa ett nytt detaljprogram eller aktivera något program. Slavsystemen är färdiga.

  2. Starta PC-DMIS i mastersystemet. Skapa ett nytt detaljprogram (eller aktivera ett redan tillgängligt detaljprogram). Om du skapar ett nytt detaljprogram öppnas automatiskt dialogrutan Mäthuvud.

  3. Välj eller skapa en mäthuvudsfil som beskriver ett mäthuvud på masterarmen. Kom ihåg att lägga till en AB-vinkel för den mätspets som ska användas för att kalibrera relationen mellan armarna. Kalibrera inte mäthuvudet än.

Nästa steg


Steg 7: Växla till flerarmsläge

När du har konfigurerat datorerna och öppnat ett detaljprogram blir menyalternativet Åtgärder | Flerarmsläge valbart i huvuddatorn. Välj alternativet Flerarmsläge.

Det visas en bock till vänster om alternativet Åtgärder | Flerarmsläge i menyn. Verktygsfältet Aktiva armar öppnas.

När PC-DMIS går in i flerarmsläge görs ett försök att skapa en koppling mellan de olika datorsystemen. Genom kopplingen koordineras armarnas aktiviteter.

Felsökning

Om det inte går att skapa en koppling mellan datorerna när du har gått över till flerarmsläge får du ett felmeddelande om att armen inte svarar. Kommunikationsproblem kan bero på följande orsaker:

  • PC-DMIS körs inte på en av datorerna

  • Det finns ett aktivt onlinedetaljprogram på någon av slavdatorerna

  • Kabelanslutningarna (eller andra nätverksanslutningar) mellan datorerna fungerar inte

  • Inställningarna i dialogrutan Inställningar, flera armar är felaktiga

När du har en koppling mellan datorerna kan du kalibrera förhållandet mellan armarna.

Obs! Om du avslutar det aktiva detaljprogrammet körs PC-DMIS inte längre i flerarmsläge.

Nästa steg


Steg 8: Kalibrera flerarmssystemet

I detta steg får du en genomgång av hur du kalibrerar flerarmssystemet.

Före kalibreringen och efter att PC-DMIS har startats på datorerna måste du definiera de mäthuvuden som ska användas i mätprocessen. I PC-DMIS används teoretiska data från mäthuvudena för att kalibrera flerarmssystemet.

Viktigt! Kalibrera inte mäthuvudena än utan kontrollera endast att de är korrekt definierade och att du lägger till en AB-vinkel för den mätspets som ska användas vid kalibreringen av flerarmssystemet.

Detaljprogrammet bör innehålla flera LADDA_MÄTH-kommandon; ett för varje arm.

Varning! Om du tidigare har försökt göra en kalibrering av flera armar har det skapats en fil med namnet armtoarm.dat i installationskatalogen för PC-DMIS på både master- och slavdatorerna. Du bör ta bort eller byta namn på dessa filer innan du fortsätter så att data från tidigare kalibreringar inte påverkar den aktuella kalibreringsprocessen negativt.

Följ kalibreringsprocessen nedan:

  • Del 1 av kalibreringsprocessen

  • Del 2 av kalibreringsprocessen

  • Utföra automatisk kalibrering

Nästa steg:


Del 1 av kalibreringsprocessen

Dialogrutan Kalibrering av flera armar

  1. Välj menyalternativet Åtgärder | Kalibrera/Ändra | Flera armar (endast tillgängligt i onlineläge). Visa menykarta Dialogrutan Kalibrering av flera armar öppnas.

  2. Kontrollera att rätt mäthuvudsfiler och mätspetsar väljs i armlistorna i dialogrutan.

  3. Kontrollera att den kalibreringsnormal som ska användas finns i listan Kalibreringsnormaler. Normalen behövs endast om du har valt alternativet Båda armarna mäter kalibreringsnormalen.

  4. Välj vad som ska kalibreras genom att välja något av alternativen Uppriktn. och nollpunkt eller Enbart nollpunkt.

  • Om du väljer alternativet Uppriktn. och nollpunkt skapas en 3D-omvandling mellan armarna för att kompensera för eventuell överskriden rätvinklighet mellan armarna. Du måste göra det här minst en gång (det görs normalt med några månaders mellanrum).

  • Om du väljer Enbart nollpunkt korrigeras endast nollpunkten för armarna. Du bör utföra den här typen av kalibrering oftare beroende på processerna för mäthuvudskalibrering. När du kalibrerar mäthuvudet får du en fråga om normalen har flyttats. Om du normalt sett anger att du inte har flyttat normalen behöver du inte justera nollpunkten för arm-till-arm. Om du svarar att du har flyttat normalen bör du efter kalibreringen av mätspetsarna gå tillbaka till den här dialogrutan och välja Enbart nollpunkt för arm-till-arm-kalibrering.

Viktigt! Om du väljer att kalibrera Enbart nollpunkt bör du kontrollera att du använder kalibrerade mätspetsar.

  5. Välj hur kalibreringen ska utföras genom att välja Manuell kalibrering eller CNC-kalibrering.

  • Om du väljer Manuell kalibrering uppmanas du att mäta varje sfärposition med mätmaskinens handterminal. När du har tagit den första mätpunkten ovanpå sfären tas resten av mätpunkterna i CNC-läge.

  • Om du väljer CNC-kalibrering anger du sfärpositionerna och alla rörelser utförs därefter under datorkontroll. Klicka på knappen Ändra pos. om du vill ändra sfärpositionerna genom att ange X-, Y- och Z-koordinaterna. Du kan läsa av den aktiva armens position för att fylla i värdena. Observera att du kan läsa av armens aktuella position genom att trycka på Done på handterminalen.

Viktigt! Du måste göra minst en arm-till-arm-kalibrering av nollpunkt i manuellt läge för att ställa in den grundläggande relationen mellan armarna. När du har slutfört en arm-till-arm-kalibrering skapas en fil med namnet armarm.results som sparas i den katalog som har definierats via menyalternativet Ange sökvägar (se Ange externa kataloger att söka i i avsnittet Göra inställningar). Du kan läsa textfilen i ett textredigeringsprogram. I filen kan du se hur användbara sfärerna är när du väl har gjort den ursprungliga passningen. Där visas framför allt inmätningsfelet. Med hjälp av den här informationen kan du visa den totala noggrannheten för kalibreringen.

  6. Skriv in ett tal i rutan Antal sfärer att mäta. Detta värde anger hur många sfärer som ska mätas för varje arm. Om du anger ett större antal sfärer än 1 skapas nollpunkten som ett medelvärde av måtten.

  • Om du använder Manuell kalibrering uppmanas du att mäta positionerna manuellt.

  • Om du använder CNC-kalibrering flyttas armarna automatiskt för att mäta positionerna. Det minsta antalet sfärer är tre.

Varning! Kontrollera att sfärerna inte har samma position. Om de finns på samma position kommer kalibreringen att ge felaktiga resultat.

  7. Använd de tillgängliga alternativen nedan för att ange hur armarna används för att mäta normalerna.

Båda armarna mäter kalibreringsnormalen

      • Om du väljer det här alternativet när du använder Manuell kalibrering uppmanas du att mäta sfärpositionerna med båda armarna.

      • Om du väljer det här alternativet när du använder CNC-kalibrering flyttas båda armarna för att mäta en sfär på var och en av de positioner som har definierats i dialogrutan Ändra kalibreringsposition. Kontrollera att du har det önskade antalet sfärpositioner i mätmaskinen eftersom det inte finns tillräckligt med tid för att fysiskt flytta sfären mellan mätningarna.

Första armen håller normalen, andra armen mäter

      • Om du väljer det här alternativet när du använder Manuell kalibrering uppmanas du att flytta masterarmen till varje position och mäta den sfäriska normalen med slavarmen.

      • Om du väljer det här alternativet när du använder CNC-kalibrering flyttas masterarmen automatiskt till var och en av de angivna kalibreringspositionerna och därefter skickas ett kommando till slavarmen om att mäta sfären vid den aktuella positionen. För det här alternativet behövs det en särskild sfär som är monterad längst ut på armen.

Andra armen håller normalen, första armen mäter

      • Om du väljer det här alternativet när du använder Manuell kalibrering uppmanas du att flytta slavarmen till varje position och mäta den sfäriska normalen med masterarmen.

      • Om du väljer det här alternativet när du använder CNC-kalibrering flyttas slavarmen automatiskt till var och en av de angivna kalibreringspositionerna och därefter skickas ett kommando till masterarmen om att mäta sfären vid den aktuella positionen. För det här alternativet behövs det en särskild sfär som är monterad längst ut på armen.

  8. Klicka på Kalibrera när knappen aktiveras. Den är inaktiv tills du har valt alla nödvändiga kalibreringsparametrar.

Om du väljer Båda armarna mäter kalibreringsnormalen måste du ange följande poster innan knappen Kalibrera aktiveras:

    • Ett giltigt mäthuvudsfilnamn och en giltig mätspetsvinkel för Arm1.

    • Ett giltigt mäthuvudsfilnamn och en giltig mätspetsvinkel för Arm2.

    • En giltig kalibreringsnormal som anges i listan Kalibreringsnormaler.

Om du väljer Första armen håller normalen, andra armen mäter måste du ange följande poster innan knappen Kalibrera aktiveras:

    • Ett giltigt mäthuvudsfilnamn och en giltig mätspetsvinkel för Arm1.

    • Ett giltigt mäthuvudsfilnamn och en giltig mätspetsvinkel för Arm2.

    • Mätspetstypen för Arm1 måste vara en FIXEDBALL enligt filen probe.dat.

Om du väljer Andra armen håller normalen, första armen mäter måste du ange följande poster innan knappen Kalibrera aktiveras:

    • Ett giltigt mäthuvudsfilnamn och en giltig mätspetsvinkel för Arm1.

    • Ett giltigt mäthuvudsfilnamn och en giltig mätspetsvinkel för Arm2.

    • Mätspetstypen för Arm2 måste vara en FIXEDBALL enligt filen probe.dat.

9. När du klickar på knappen påbörjas den begärda kalibreringen. Genom kalibreringsprocessen skapas en uppriktning mellan master- och slavarmen genom att jämna ut, rotera och ställa in nollpunkten.

  • Om du har valt alternativet Manuell kalibrering börjar du med att ta en punkt högst upp på normalen. Därefter mäts resten av punkterna automatiskt. När du har mätt normalen i den aktuella positionen uppmanas du att flytta den till en ny position på bordet.

  • Om du har valt alternativet CNC-kalibrering mäts de angivna positionerna för kalibreringssfären automatiskt. Kontrollera att normalens positioner på bordet inte är kolinjära (på en rak linje). Placera normalens positioner så långt från varandra som möjligt och med minst en position högre upp på Z-axeln.

Obs! Ett alternativt sätt att kalibrera CNC-maskiner innebär att du utför en manuell kalibrering av Enbart nollpunkt följt av en CNC-kalibrering av Uppriktning och nollpunkt. Den här metoden är bra att använda på större maskiner där du kan anta att X- och Z-axlarna är relativt parallella. Kalibreringen skulle därefter följas av en mäthuvudskalibrering och en kalibrering av Enbart nollpunkt.

Nästa del i processen


Del 2 av kalibreringsprocessen

När du har slutfört kalibreringen i del 1 måste du kalibrera mäthuvudsfilerna för master- och slavmäthuvudet med samma kalibreringsnormal. På så sätt återställs den ursprungliga relationen mellan mätspetsarna. Uppriktningens nivå eller rotation förändras inte utan endast nollpunkten. Om du använder ett vridbart PHS-mäthuvud måste du kalibrera mäthuvudet med båda armarna på den gemensamma normalen.

Följ den här processen:

  1. Klicka på knappen Arm 1 aktiv i verktygsfältet Aktiva armar. Den här knappen tilldelas vanligtvis till masterdatorn.

  2. Öppna dialogrutan Mäthuvud (Infoga | Hårdvarudefinition | Mäthuvud). Visa menykarta

  3. Klicka på Nej om du får en fråga om du vill ladda en ny mäthuvudsfil.

  4. Kalibrera mastermäthuvudet (eller det vridbara mäthuvudet om du använder ett PHS-mäthuvud). Du tillfrågas om normalen har flyttats.

  5. Klicka på Ja.

  6. Slutför kalibreringen och stäng dialogrutan Mäthuvud.

  7. Klicka på knappen Arm 2 aktiv i verktygsfältet Aktiva armar. Den här knappen tilldelas vanligtvis till slavdatorn.

  8. Öppa dialogrutan Mäthuvud om du vill kalibrera slavmäthuvudet (eller det vridbara mäthuvudet om du använder ett PHS-mäthuvud).

  9. Den här gången klickar du på Nej som svar på frågan om normalen har flyttats.

När du har kalibrerat båda mäthuvudsfilerna i flerarmsläge har du slutfört kalibreringen av armarna. Slavmäthuvudsfilen, data för kalibreringsnormalen och data för arm-till-arm-omvandlingen kopieras till slavdatorn. På så sätt kan du köra enbart slavarmen som om den var en förlängning av masterkoordinatsystemet. Du kan alltid köra armarna tillsammans i flerarmsläge.


Utföra automatisk kalibrering

I PC-DMIS kan du, förutom den vanliga flerarmskalibreringen, utföra automatisk kalibrering av armarna.

PC-DMIS innehåller ett kommando som automatiskt kalibrerar det aktuella mäthuvudet när ett detaljprogram körs. Kalibreringsrutinen påbörjas när kommandot körs.

Välj menyalternativet Infoga | Kalibrera | Autokalibrering, flera armar om du vill infoga kommandot.

Följande kommandoblock infogas i Redigeringsfönstret:

AUTOKALIBRERING/FLERARM, ARM_SOM_MÄTER=BÅDA, KALIBRERINGSLÄGE=CNC, KALIBNORMAL_ID=cal_m, MÄT_I_MITTEN=0,0,0

Nedan följer en beskrivning av objekten i kommandoblocket.

Element | Beskrivning
ARM_SOM_MÄTER= | Anger vilken arm som utför mätningen (inte vilken arm som håller kalibreringsnormalen). Alternativen är BÅDA, ARM2 eller ARM1.
KALIBRERINGSLÄGE= | Anger om du vill utföra kalibreringen i MANUELLT läge eller CNC-läge.
KALIBNORMAL_ID= | Anger namnet på den använda kalilbreringsnormalen.
MÄT_I_MITTEN= | Den X-, Y-, Z-position som ska användas för mätning när KALIBRERINGSLÄGE=CNC används. Detta alternativ är inte tillgängligt om kommandot är KALIBRERINGSLÄGE=MANUELLT.

Om du trycker på F9 öppnas dialogrutan Autokalibrering, flera armar.

Dialogrutan Autokalibrering, flera armar

De flesta objekt i den här dialogrutan är desamma som i dialogrutan Kalibrering av flera armar. Nedan visas två viktiga skillnader.

Den första skillnaden är att PC-DMIS för närvarande endast har stöd för kalibreringstypen Enbart nollpunkt för det här kommandot. Du kan därför inte ändra Enbart nollpunkt och antalet sfärer. Eftersom PC-DMIS endast stöder en sfär för kommandot finns det inte någon separat knapp för redigering av sfärpositionerna. Du kan ange sfärpositionen i rutorna för Centrum X, Y och Z i dialogrutan. I dessa rutor anges X-, Y- och Z-koordinaterna för sfärpositionen när du använder CNC-kalibrering.

Den andra skillnaden är att du inte kan ange mäthuvudet och mätspetsen för master- och slavarmarna. De visas endast som information i listorna i dialogrutan. Med kommandot AUTOKALIBRERING/FLERARM hämtas de från innehållet i det program där kommandot körs.

Mastermäthuvud | Endast för visning. Detta anges genom kommandot LADDA_MÄTH för den masterarm som kommer före kommandot AUTOKALIBRERING/FLERARM
Mastermätspets | Endast för visning. Detta anges genom kommandot MÄTSPETS för den masterarm som kommer före kommandot AUTOKALIBRERING/FLERARM
Slavmätspets | Endast för visning. Detta anges genom kommandot LADDA_MÄTH för den slavarm som kommer före kommandot AUTOKALIBRERING/FLERARM
Slavmätspets | Endast för visning. Detta anges genom kommandot MÄTSPETS för den slavarm som kommer före kommandot AUTOKALIBRERING/FLERARM


Steg 9: Kalibrera mäthuvudsfilerna för armarna

När systemet har kalibrerats måste du kalibrera mäthuvudsfilerna för armarna.

I den här kalibreringen kan du:

  • Kalibrera armarna i valfri ordning

  • Använda olika kalibreringsnormaler för att kalibrera armarna

  • Kalibrera slavarmen från slavdatorn och masterarmen från masterdatorn

  • Kalibrera slavmäthuvudet med samma kalibreringsnormal som mastermäthuvudet

  • Kalibrera en arm åt gången

Efter den här kalibreringen synkroniseras mäthuvudsfilerna från datorerna nästa gång du växlar till flerarmsläge på masterdatorn.

  • Kalibrera mastermäthuvudsfil

  • Kalibrera slavmäthuvudsfil

Nästa steg


Kalibrera mastermäthuvudsfil

Så här kalibrerar du mastermäthuvudsfilen:

  1. Klicka på ikonen Arm 1 aktiv i verktygsfältet Aktiva armar.

  2. Öppna dialogrutan Mäthuvud (Infoga | Hårdvarudefinition | Mäthuvud). Visa menykarta

  3. Om du vill ha information om hur du kalibrerar mäthuvudsfiler följer du instruktionerna i ämnet Mäta i avsnittet Definiera hårdvara.


Kalibrera slavmäthuvudsfil

Så här kalibrerar du slavmäthuvudsfilen:

  1. Klicka på någon av ikonerna för slavarmar i verktygsfältet Aktiva armar (Arm 2 aktiv, Arm 3 aktiv eller Arm 4 aktiv).

  2. Öppna dialogrutan Mäthuvud. Visa menykarta

  3. Information om hur du kalibrerar mäthuvudsfiler finns i Mäta i avsnittet Definiera hårdvara.

Om du vill använda en annan kalibreringsnormal än den som användes för mastermäthuvudsfilen väljer du normalen SLAVSFÄR vid kalibreringen av slavmäthuvudsfilen.

Så här väljer du normalen SLAVSFÄR:

  1. Välj Infoga | Hårdvarudefinition | Mäthuvud på menyraden. Visa menykarta

  2. Klicka på Mät. Dialogrutan Kalibrera mätspetsar öppnas.

  3. Klicka på Redigera. Dialogrutan Ändra kalibreringsnormal öppnas.

  4. Välj SLAVSFÄR i listan Typ av normal.

  5. Klicka på OK för att bekräfta valet. Information om slavsfären visas längst ned i dialogrutan Kalibrera mätspetsar.


Steg 10: Ställ in armarnas nollpunkt

Det sista steget vid kalibrering av ett flerarmssystem är att ställa in nollpunkten mellan armarna. Detta görs med kalibrerade mäthuvudsfiler på både master- och slavarmarna.

Så här ställer du in nollpunkten för flera armar:

  1. Öppna dialogrutan Kalibrering av flera armar (Åtgärder | Kalibrera/Ändra | Flera armar). Visa menykarta

Dialogrutan Kalibrering av flera armar

  2. Markera alternativet Enbart nollpunkt.

  3. Ange antal sfärer som ska mätas för att ange nollpunkten i rutan Antal sfärer att mäta. Om du mäter mer än en sfärposition beräknas ett medelvärde för positionerna för att ange nollpunkten.

  4. Markera alternativet Båda armarna mäter kalibreringsnormalen.

  5. Välj rätt mäthuvudsfiler och mätspetsar.

  6. Markera något av alternativen CNC-kalibrering eller Manuell kalibrering. Om du markerar CNC-kalibrering bör du kontrollera att du har definierat rätt sfärposition i dialogrutan Ändra kalibreringsposition.

  7. I listan Kalibreringsnormaler väljer du en normal som definierar rätt diameter och riktning för den kalibreringsnormal som ska mätas.

  8. Klicka på OK.

  • Om du har markerat Manuell kalibrering uppmanas du att mäta en mätpunkt på sfären med samtliga armar. Därefter mäts resten av mätpunkterna runt sfären i CNC-läge.

  • Om du har markerat CNC-kalibrering flyttas armarna till de sfärpositioner som har definierats i dialogrutan Ändra kalibreringsposition.

När du har kalibrerat samtliga mäthuvudsfiler i flerarmsläget och ställt in nollpunkten mellan armarna har du slutfört kalibreringsprocessen.

Viktigt! När du har slutfört en flerarmskalibrering och därefter utför en kalibrering av ett vridbart mäthuvud (se Kalibrering, vridbart mäthuvud i avsnittet Använda ett vridbart mäthuvud) måste du upprepa åtgärden Enbart nollpunkt för det vridbara mäthuvudet så som beskrevs i Steg 8: Kalibrera flerarmssystemet.

Slavmäthuvudsfilen, data för kalibreringsnormalen och data för arm-till-arm-omvandlingen kopieras till slavdatorn. På så sätt kan du köra endast slavarmen som om den var en förlängning av masterkoordinatsystemet. Du kan även köra armarna tillsammans i flerarmsläge. Varje gång du växlar till flerarmsläge (genom att välja Åtgärder | Flerarmsläge) synkroniseras följande mellan datorerna:

  • Ändringar av mäthuvudsfiler

  • Ändringar av kalibreringen av vridbara mäthuvuden

  • Ändringar av data i kompenseringstabellerna

  • Data för växlaren

  • Ändringar av data för kalibreringsnormalen


Skapa ett detaljprogram i flerarmsläge

När mäthuvudena har definierats och kalibrerats kan du skapa ett detaljprogram. Du skapar ett detaljprogram för flera armar på nästan samma sätt som andra detaljprogram. Den stora skillnaden är att i ett detaljprogram för flera armar måste du tilldela specifika armar som ska utföra olika kommandon och definiera säkerhetszoner så att armarna inte kolliderar. I ämnena nedan finns beskrivningar av hur du gör det.

Mer:

Tilldela ett kommando till en arm

Köra flerarmsprogram

Sätta startpunkter för flera armar

Låta en arm vänta för att förhindra en kollision

Använda temperaturkompensering vid flerarmskalibrering


Tilldela ett kommando till en arm

Som standard tilldelas nya kommandon till den aktiva armen. I verktygsfältet Aktiva armar kan du växla aktiv arm eller endast köra de kommandon som är kopplade till en viss arm.

Verktygsfältet Aktiva armar

Verktygsfältet Aktiva armar innehåller flera armikoner med motsvarande färgkodade ikoner med bockar. Varje armikon motsvaras av en arm på mätmaskinen.

Armikonerna används för att växla den aktiva armen.

Körningsikonerna (med bockar) används för att endast köra de kommandon som är kopplade till en viss arm.

När du ställer om PC-DMIS till flerarmsläge infogas färgade lodräta streck i vänstermarginalen i Redigeringsfönstrets kommandoläge för att visa vilken arm som kommer att använda det valda kommandot. (I översiktsläget anges kommandon som tilldelas till en slavarm med fetstilt text.)

Redigeringsfönstret med gröna (element CIR1) och röda (element LIN1) streck som står för arm 2 respektive arm 1.

  • Element som har tilldelats till arm 1 (masterarmen) anges med det röda strecket.

  • Element som har tilldelats till arm 2 (slavarmen) anges med det gröna strecket.

  • Element som har tilldelas till flera armar anges med flera färgade streck.

Färgade vågräta fält (inte lodräta) anger att kommandona påverkar samtliga armar och att ingen av armarna kan köra kommandot förrän samtliga armar har kört alla tidigare kommandon. Den här typen av kommando (vanligtvis ett kommando för förgrening eller uppriktning) körs av båda armarna på samma gång.

Mer:

Tilldela befintliga kommandon till en ny arm


Tilldela befintliga kommandon till en ny arm

Menyposten Växla armtillhörighet är endast tillgänglig i system som är i flerarmsläge.

Gör så här om det finns kommandon som har tilldelats till en arm och du vill tilldela dem till en annan arm:

  1. Ställ in Redigeringsfönstret i kommandoläge.

  2. Markera det kommando från Redigeringfönstret som du vill lägga till.

  3. Välj menyposten Åtgärder | Växla armtillhörighet på menyraden. Visa menykarta

När du väljer detta alternativ kopplas alla markerade kommandon till den andra armen.

  • Om du inte markerar några kommandon kopplas det kommando som markören är placerad på i Redigeringsfönstret.

  • De flesta kommandon kan kopplas till masterarmen, slavarmen eller båda armarna. Du kan till exempel skapa ett kommando för INSTRÄCKA eller UPPRIKTNING som gäller för både master- och slavarmen eller för endast en av armarna.

  • Vissa kommandon kan däremot inte tilldelas till flera armar. Det gäller bland annat element-, mätpunkts-, utvärderings- och mäthuvudskommandon.


Köra flerarmsprogram

Om du inte väljer att endast köra de kommandon som har tilldelats till en viss arm när du kör detaljprogrammet så körs programflödet som vanligt från början till slutet i Redigeringsfönstret och varje arm utför de kommandon som har tilldelats till den.

Obs! Vid körning i flerarmsläge körs slavarmen alltid lite efter masterarmen. Det är en normal fördröjning.


Sätta startpunkter för flera armar

I PC-DMIS kan du ange startpunkter för den aktuella armen genom att klicka på ikonen Sätt startpunkt i verktygsfältet i Redigeringsfönstret eller genom att högerklicka i Redigeringsfönstret i kommandoläget och markera alternativet på snabbmenyn.

Om du vill ange flera startpunkter ändrar du den aktuella inlärningsarmen innan du klickar på ikonen Sätt startpunkt.

I Redigeringsfönstrets vänstermarginal visas då en startpunktspil med en färg som motsvarar färgen på den aktiva armen i verktygsfältet Aktiva armar.

I skärmbilden till vänster ser du att Arm1, röd, börjar körningen från CIR3 medan Arm2, grön, börjar körningen från CIR2.

Om du avbryter körningen flyttas startpunkterna för varje arm automatiskt till det kommando där körningen för respektive arm avbröts.

Med startpunkter anger du att programkörningen ska börja vid startpunkten när du väljer menyalternativet Arkiv | Partiell körning | Kör från startpunkt. Mer information om hur du använder startpunkter finns i Sätta startpunkter i avsnittet Redigera ett detaljprogram.

Viktigt! Observera att om den aktuella spetsen vid placeringen i programmet i PC-DMIS inte matchar mäthuvudets riktning görs ett försök att gå tillbaka till föregående mätspetskommando och ändra mätspetsens riktning.


Låta en arm vänta för att förhindra en kollision

Det kan hända att du vill att en arm ska vänta tills den andra armen har avslutat en mätning i ett överlappande område. Detta handlar vanligtvis om att undvika att armarna kolliderar. Du kan använda två olika kommandon för att låta en arm vänta.

Mer:

Använda ett kommando för synkronisering av rörelse

Använda ett kommando för säkerhetszon


Använda ett kommando för synkronisering av rörelse

Du kan skriva in VIA/SYNK-kommandon i början och slutet av en mätsekvens om du vill försäkra dig om att endast en arm flyttas. Mer information finns i Infoga ett kommando för synkronisering av rörelse i avsnittet Infoga rörelsekommandon.


Använda ett kommando för säkerhetszon

Du kan använda kommandot VIA/SÄKERHETSZON.

  • Fördelen med att använda den här metoden är att endast en av armarna behöver vänta om den andra armen är i säkerhetszonen.

  • Nackdelen är att du måste skriva in VIA/SÄKERHETSZON-kommandon runt samtliga kommandoblock som flyttar en arm in i det överlappande området.

Så här använder du kommandot:

  1. Sök efter den kommandosekvens som innebär att en av armarna flyttas till en överlappande del av CMM-volymen.

  2. Skriv ett VIA/SÄKERHETSZON=PÅ-kommando i början av sekvensen.

  3. Skriv ett VIA/SÄKERHETSZON=AV-kommando i slutet av sekvensen.

Med kommandot VIA/SÄKERHETSZON=PÅ kan du ange två hörnpunkter som skapar en 3D-zon. Zonen kommer att vara reserverad för den arm som har tilldelats kommandot. Om den andra armen redan befinner sig i den aktuella zonen väntar PC-DMIS tills den första armen har flyttats ut ur zonen och avslutar det omtvistade området med kommandot VIA/SÄKERHETSZON=AV. Mer information finns i Infoga ett kommando för säkerhetszon i avsnittet Infoga rörelsekommandon.


Använda temperaturkompensering vid flerarmskalibrering

En termoelement är ett termoelektriskt element som mäter temperaturskillnader.

Om du gör temperaturkompensering för mätmaskinerna måste du infoga två kommandon för temperaturkompensering i programmet – ett kommando för masterarmen och ett för slavarmen. Detaljens temperatur registreras endast av termoelementet för den detalj som är kopplad till masterstyrhenheten.

Förutom att STP-filen (Serv1.stp) måste finnas i rätt katalog på slavarmens dator måste det även finnas en annan STP-fil för slavarmen (Serv1s.stp) i motsvarande katalog på masterarmens dator. Detta åtgärdar du genom att kopiera Serv1.stp från slavarmens dator och spara den på masterarmens dator med namnet Serv1s.stp.

Mer information om temperaturkompensering finns i Kompensera för temperatur i avsnittet Göra inställningar.


Köra ett masterdetaljprogram på slavarmen

Om du behöver köra ett masterdetaljprogram på en slavarm kan du köra PC-DMIS i läget för omvända axlar. I detta läge ändras tecknen för X- och Y-axlarna internt så att Y-axeln blir positiv mot maskinens mittpunkt och X-axeln blir positiv i riktning mot masterarmens X-axel.

Alla befintliga mäthuvudsfiler, mäthuvudskompenseringstabeller, verktygsbyten och andra kalibrerings- och felkompenseringsfiler kan användas i detta läge utan att de behöver ändras.

Obs! Kalibreringar som utförs i normalt läge eller läget för omvända axlar är korrekta och kan användas i båda lägena.

Mer:

Så här lägger du till en ikon för att köra PC-DMIS i läget för omvända axlar:


Så här lägger du till en ikon för att köra PC-DMIS i läget för omvända axlar:

  1. Öppna Utforskaren och gå till den katalog där du vill lägga till ikonen.

  2. Välj Nytt | Genväg på Arkiv-menyn. Guiden Skapa genväg öppnas och du uppmanas att ange sökvägen till programmet.

  3. Ange den fullständiga sökvägen till körningsfilen för PC-DMIS i den angivna textrutan eller använd knappen Bläddra för att gå till och markera filen. Den standardinställda sökvägen är C:\Pcdmisw\Pcdlrn.exe.

  4. När du har angett en sökväg i rutan placerar du markören efter sökvägen, gör ett mellanslag och skriver därefter in /r eller -r. Då har du angett att PC-DMIS ska köras i läget för omvända axlar. Du kan även kombinera detta läge med operatörsläget genom att lägga till –o eller /o till kommandoraden.

  5. Klicka på Nästa.

  6. Skriv något i stil med "PC-DMIS i läget för omvända axlar" i rutan Ange namnet på den här genvägen.

  7. Klicka på Slutför. Den nya ikonen visas.


Navigera i och visa flera fönster

Navigera i och visa flera fönster: Inledning

Växla mellan öppna detaljprogram

Ordna öppna fönster

Aktivera ett öppet fönster


Navigera i och visa flera fönster: Inledning

I det här avsnittet beskrivs hur du enkelt kan navigera mellan och visa öppna detaljprogram med hjälp av Fönster-menyn.

Huvudämnena i detta avsnitt är:

  • Växla mellan öppna detaljprogram

  • Ordna öppna fönster

  • Aktivera ett öppet fönster


Växla mellan öppna detaljprogram

Det finns flera sätt att enkelt växla mellan öppna detaljprogram:

Klicka på alternativet Nästa eller Föregående: Välj menyalternativet Nästa eller Föregående för att gå till nästa eller föregående detaljprogram i ett intervall med flera öppna program. När du har nått det sista av de öppna detaljprogrammen händer inget när du väljer alternativet Nästa.

Klicka i en lista med öppna detaljprogram: Längst ned på Fönster-menyn visas en lista med alla öppna detaljprogram. Ange vilket detaljprogram som ska vara aktivt genom att välja namnet på detaljprogrammet i den här listan.

Klicka på en namnlist: Om namnlisten för Redigeringsfönstret eller Grafikfönstret för ett detaljprogram syns kan du klicka på namnlisten för att växla till detaljprogrammet.


Ordna öppna fönster

Med hjälp av följande menyalternativ kan du ordna alla öppna fönster. Alternativen påverkar inte Redigeringsfönstret om du inte först lösgör Redigeringsfönstret från det dockade läget genom att högerklicka på Redigeringsfönstret och avmarkera menyalternativet Dockningsvy.

Ikon | Menyalternativ | Beskrivning
 | Överlappande | Fönstren läggs ovanpå varandra så att endast namnlisterna visas. Det aktiva fönstret placeras "högst upp i högen" (d.v.s. längst fram).
 | Över och under | Fönstren placeras efter varandra uppifrån och ned, med det aktiva fönstret överst.
 | Sida vid sida | Fönstren placeras sida vid sida, med det aktiva fönstret längst till vänster.
 | Nästa fönster | Nästa öppna fönster aktiveras.


Aktivera ett öppet fönster

Exempel på Fönster-menyn

Ovanför listan med detaljprogram visas också alla öppna fönster på Fönster-menyn. Du kan aktivera ett fönster genom att helt enkelt klicka på fönstrets namn i listan på Fönster-menyn.


Arbeta i offlineläge

Arbeta i offlineläge: Inledning

Förutsättningar

IGES-objekt som stöds

IGES-kompatibilitet

DXF-indata

DES-indata

ASCII-fil med XYZ-data

Offlinemäthuvuden

Ange mätdjup

Ange ungefärligt mätdjup

Ange mätdjup för ett element

Ange mätdjup för en sfär

Ange mätdjup för en kon

Skriva in mätdjup

Mäta element offline

Automatiska mätningar

Cirkulära element

Linjära element

Ytelement

Enstaka mätningar

Placera mätpunkter på en yta

Placera mätpunkter på ett element

Avsluta en mätning

Köra och felsöka detaljprogram offline

Körväg


Arbeta i offlineläge: Inledning

Offlineversionen av PC-DMIS har utformats för att användaren ska kunna förbereda och felsöka detaljprogram utan att använda en CMM-enhet. Möjligheten att programmera offline har blivit allt viktigare under de senaste åren. CMM-användarna har blivit mer medvetna om att de måste dra största möjliga nytta av sina CMM-investeringar genom att verkligen använda enheterna för att mäta detaljer och inte för att skriva program för att mäta detaljer.

CMM-tillverkarna började med att försöka lägga till funktioner för offlineprogrammering som byggde på omständliga specialiserade textredigerare. De här produkterna var inte särskilt användarvänliga men gjorde i alla fall att användarna började intressera sig för offlineprogrammering. På grund av det här intresset utvecklade flera CAD-leverantörer produkter där användarna kunde skapa detaljprogram med hjälp av CAD-modeller.

De här produkterna var betydligt bättre än de första textredigerarna, men de var dyra. Eftersom varje CMM-tillverkare har ett eller flera egna mätspråk som dessutom ständigt ändras och ibland byts ut helt blev utvecklingen och underhållet av de här produkterna alltför dyrt för de allra flesta användare.

Det här ledde fram till utvecklingen av DMIS-specifikationen: ett allmänt CMM-språk. Med hjälp av DMIS kunde CAD-leverantörerna utveckla detaljprogrammeringsprogram som riktades mot ett enskilt språk i stället för många olika, vilket gjorde att kostnaderna sjönk. Besparingarna kom kunderna till godo och offlinedetaljprogrammering blev allt vanligare bland allt fler CMM-användare. Ett problem kvarstod dock. Vad skulle de CMM-användare göra vars CAD-leverantörer inte stödde offlineprogrammering och inte planerade att börja stödja det heller?

De flesta CAD-leverantörer för stordatorer har fallit för trycket från sina stora kunder och skapat DMIS-tillägg för sina produkter, men CAD-leverantörer för PC har en stor och varierad kundbas och har därför inte visat särskilt stort intresse för DMIS. Många CMM-användare, särskilt mindre företag, använder bara PC-baserade CAD-system. PC-DMIS innebär att även denna grupp av användare får möjlighet att programmera offline.

Med hjälp av PC-DMIS kan programmerare använda standard-IGES-modeller som stöds av i princip samtliga CAD-leverantörer och skapa detaljprogram på en enkel PC eller PC-klon utan att behöva använda en CMM-enhet. Dessa detaljprogram kan sedan användas för styrning av en CMM-enhet som körs med PC-DMIS eller som har stöd för DMIS-specifikationen.

Offlineprogrammering fungerar i stort sett på samma sätt som onlineprogrammering. Det som är annorlunda är förstås metoderna för kalibrering av mätspetsar, mätpunktstagning och felsökning av program. I det här avsnittet beskrivs funktionen för offlineprogrammering i PC-DMIS.

Huvudämnena i detta avsnitt är:

  • Förutsättningar

  • Offlinemätspetsar

  • Ange mätdjup

  • Mäta element offline

  • Köra och felsöka detaljprogram offline


Förutsättningar

För att du ska kunna använda PC-DMIS offline måste CAD-data (i form av en IGES-modell), en DES-fil, en DXF-fil eller XYZIJK-data vara tillgängligt. Mer information om hur du importerar den här typen av data till PC-DMIS finns under Importera CAD- eller programdata i avsnittet Använda avancerade filalternativ.

Mer:

IGES-objekt som stöds

DXF-indata

DES-indata

ASCII-fil med XYZ-data


IGES-objekt som stöds

IGES-objekt | Beskrivning
100 | CIRKEL/BÅGE
102 | SAMMANSATT KURVA
104 | KONISK BÅGE
106 | FULLFORMSDATA (flerpunktslinje)
108 | PLAN
110 | LINJE
112 | PARAMETRISK SPLINE-KURVA (med kurv- och ytalternativ)
114 | PARAMETRISK SPLINE-YTA (med kurv- och ytalternativ)
116 | PUNKT
118 | RITSAD YTA (med kurv- och ytalternativ)
120 | ROTATIONSYTA (med kurv- och ytalternativ)
122 | TABULATED CYLINDER (med kurv- och ytalternativ)
124 | OMVANDLINGSMATRIS
126 | RATIONELL B-SPLINE-KURVA (med kurv- och ytalternativ)
128 | RATIONELL B-SPLINE-YTA (med kurv- och ytalternativ)
140 | OFFSET-YTA
144/142 | TRIMMAD YTA (med kurv- och ytalternativ)
402 | ASSOCIATIVITY INSTANCE
408/308 | DELFIGUR
410 | VY

Mer:

IGES-kompatibilitet


IGES-kompatibilitet

PC-DMIS är kompatibelt med IGES 3.0, 4.0 och 5.1.


DXF-indata

I PC-DMIS kan en DXF-fil (Drawing Interchange File) läsas in som CAD-data för att skapa detaljprogram. Filformatet stöder inte text. Det är bara elementdata som stöds.

Det här alternativet ingår inte i standardmodulen i PC-DMIS. Kontakta en PC-DMIS-säljare om du vill veta mer om det här tilläggspaketet.


DES-indata

I PC-DMIS kan en DES-fil (Data Exchange Standard) läsas in som CAD-data för att skapa detaljprogram. Data kan importeras som element- eller fixturdata. Om elementdata importeras kan du använda elementetiketten för att definiera elementtypen. Om du väljer DES-punkten i PC-DMIS-visningen visas rätt CNC-elementdialogruta med ifyllda värden från DES-punkten.

DES-elementtypen definieras av den femte positionen för elementetiketten. Detta är den femtonde (15:e) kolumnen för datatypen LINJE i DES-filen. Nedan visas en tabell med tecken och elementtyper.

TECKEN | DES-typ | Tunnplåtstyp i PC-DMIS
S | Yta | Ytpunkt
T | Trim | Kantpunkt
H | Falskant | Kantpunkt
X | Inv. | Cirkel (inre)
Y | Utv. | Cirkel (yttre)
Z | Spår | Rundat spår


ASCII-fil med XYZ-data

I PC-DMIS läses alla ASCII-filer som innehåller XYZ-data (och eventuellt IJK-data). Filen bör innehålla de nominella (teoretiska) mätpunkter som ska mätas.

Detaljerad information om ASCII-filer med XYZ-data finns i Importera en XYZIJK-fil i avsnittet Använda avancerade filalternativ.


Offlinemäthuvuden

I offlineversionen kan du använda alla funktioner för definition och kalibrering av mäthuvuden som har definierats i onlineversionen. Du kan dock bara skriva in värden och inga mätningar kan göras. (Du kan till exempel inte utföra en faktisk mätning av ett kalibreringsobjekt för att hitta diametern för ett mäthuvud.)

Se Definiera mätspetsar i avsnittet Definiera hårdvara om du vill ha mer information om mäthuvudsdefinitioner.

Obs! Vi rekommenderar att du (även om det inte är nödvändigt) använder samma mäthuvud för att skapa offlinedetaljprogrammet och för onlinekörningen av detaljprogrammet.


Ange mätdjup

För att det ska gå att programmera mätningar offline måste mätdjupet anges till ett specifikt avstånd (i relation till ytan i det aktuella arbetsplanet). I PC-DMIS kan du ange mätdjup på flera olika sätt.

Obs! Programmeringsläget måste vara aktivt för att dessa metoder ska kunna användas. Kontrollera att värdet på statusknappen är PROG.

Mer:

Ange ungefärligt mätdjup

Ange mätdjup för ett element

Ange mätdjup för en sfär

Ange mätdjup för en kon

Skriva in mätdjup


Ange ungefärligt mätdjup

För det mesta behöver du bara ange ett ungefärligt mätdjup för att kunna mäta ett element korrekt. Så här anger du ett ungefärligt mätdjup i offlineläget:

  1. Placera markören på ritningen på det djup du vill använda när mätpunkter tas.

  2. Högerklicka. Mätspetsen ritas om i det nya läget.

Ange mätdjup


Ange mätdjup för ett element

Så här placerar du mätspetsen på ett specifikt element (t.ex. ett plan):

  1. Placera markören i närheten av linjen.

  2. Håll ned höger musknapp.

  3. Släpp musknappen.

När du släpper musknappen "fästs" mätspetsen vid det närmaste CAD-elementet och följande meddelande visas: "Exakt djup PÅ".

I statusfältet visas det aktuella antalet mätpunkter och mätspetsens läge.

Ange mätdjup för ett element


Ange mätdjup för en sfär

I PC-DMIS finns det två olika sätt att ange mätdjupet för en sfär. Sfärens läge i relation till centrumlinjen för ritningen avgör var mätpunkten tas på sfären. Om mätspetsen är nedanför centrumlinjen tas mätpunkten längst ned på sfären. För att mätpunkten ska tas högst upp på sfären måste mätdjupet anges ovanför centrumlinjen. Se Mäta element offline om du vill ha mer information om följande procedurer.

Tredimensionell procedur

Så här anger du det exakta djupet för en tredimensionell sfärisk yta:

  1. Flytta den animerade mätspetsen till den önskade cirkeln.

  2. Håll ned höger musknapp.

  3. Släpp musknappen. Det exakta djupet anges för sfären.

Mätspetsen placeras på sidan av det element där du började hålla ned musknappen. Detta avgör vilken typ av element som ska mätas. Om mätspetsen fästs vid utsidan av ett cirkulärt CAD-element placeras mätpunkterna utanför cirkeln. Om mätspetsen fästs vid insidan av samma element placeras mätpunkterna inuti cirkeln. Cirkelns tredimensionella nollpunkt måste ha samma läge som mittpunkten för sfären.

När det exakta djupet har angetts fästs alla punkter som skapas vid den sfäriska ytan.

Tvådimensionell procedur

När du använder en tvådimensionell ritning måste du använda minst två vyer av sfären i PC-DMIS. Sfären ska visas som en cirkel (eller en båge) i båda vyerna.

  1. Ange det exakta djupet för två av axlarna i en av vyerna. (Mer information om hur du anger det exakta djupet finns i Ange mätdjup för ett element.) Följande meddelande visas i PC-DMIS: “Exakt djup PÅ".

  2. I den andra vyn anger du det exakta djupet för den tredje axeln. Följande meddelande visas i PC-DMIS: “Exakt djup PÅ, sfär". Med den här proceduren hittas den sanna tredimensionella mittpunkten för sfären.

När det exakta djupet har angetts fästs alla punkter som skapas vid den sfäriska ytan.


Ange mätdjup för en kon

I PC-DMIS finns det två olika sätt att ange mätdjupet för en kon. Se Mäta element offline om du vill ha mer information om följande procedurer.

Tredimensionell procedur

För att det ska gå att ange det exakta djupet för en konisk yta måste två CAD-cirklar (eller bågar) för konen visas i PC-DMIS. Du rekommenderas att använda två vyer av ytan för den här proceduren (men det är inget krav). (Isometriska vyer är också användbara för att ange mätdjup för en kon.)

  1. Ange det exakta djupet för den ena änden av konen med hjälp av en av cirklarna. Följande meddelande visas i PC-DMIS: “Exakt djup PÅ".

  2. Därefter anger du det exakta djupet för konens andra ände med hjälp av den andra cirkeln. Följande meddelande visas i PC-DMIS: “Exakt djup PÅ, kon".

När det exakta djupet har angetts fästs alla punkter som skapas vid den koniska ytan. Du kan ta enstaka punkter på koner genom att hålla ned vänster musknapp. Om du klickar med vänster musknapp tas mätpunkter med jämna mellanrum runt konen.

Tvådimensionell procedur

För att det ska gå att ange det exakta djupet för en konisk yta på en tvådimensionell ritning måste längden mellan de två cirklarna (enligt beskrivningen ovan) definieras. Eftersom cirklarna finns på samma djup måste du också definiera det exakta djupet för en linje. Detta kan vara en rak linje eller en linje längs konens kant. När du har angett det exakta djupet för cirklarna håller du ned höger musknapp bredvid den linje som ska användas för längden.

När det exakta djupet har angetts fästs alla punkter som skapas vid den koniska ytan. Du kan ta enstaka punkter på koner genom att hålla ned vänster musknapp. Om du håller ned vänster musknapp tas mätpunkter med jämna mellanrum runt konen.


Skriva in mätdjup

Ibland är det nödvändigt att ange en specifik rumsplacering för mätspetsen. Så här gör du:

  1. Klicka på XYZ-delen av statusfältet i programmeringsläget (eller välj alternativet Åtgärder | Kör till som beskrivs i avsnittet Infoga rörelsekommandon). Visa menykarta

  2. Dialogrutan Via-punkt öppnas. Standardinställningen anger det aktuella läget för mätspetsen.

  3. Ändra XYZ-värdena till de värden du vill använda. Om du markerar kryssrutan Spara via-punkt kan kommandot VIA-PUNKT läggas till i programmet. Du kan också markera kryssrutan Inkrementell rörelse och/eller kryssrutan OK att utföra rörelse.

  4. När de nya XYZ-värdena har angetts klickar du på Klar så flyttas den animerade mätspetsen till det nya läget.


Mäta element offline

I PC-DMIS kan du programmera mätprocesser offline på flera olika sätt. Du tar en mätpunkt genom att hålla ned vänster musknapp. Genom att trycka på ALT + "-” (minustecknet) kan du ta bort ett angivet antal mätpunkter förutsatt att mätprocessen inte är klar. (Tryck på ALT + "-" för varje mätpunkt som ska tas bort.) Tryck på tangenten END när du vill slutföra mätprocessen.

Obs! Tryck på tangenten END för att slutföra mätprocessen. Mätpunkter samlas i mätpunktsbufferten i PC-DMIS tills du trycker på END.

Mer:

Automatiska mätningar

Enstaka mätningar

Avsluta en mätning


Automatiska mätningar

Utifrån IGES-definitionen av cirkulära och linjära elementtyper kan vissa antaganden göras om hur dessa element ska mätas. Om du använder de här antagandena på rätt sätt kan detaljprogrammeringen gå snabbare.

Mer:

Cirkulära element

Linjära element

Ytelement


Cirkulära element

Hur många mätpunkter som skapas som standard för ett cirkulärt element i PC-DMIS styrs av ett systemalternativ. För att ändra det här värdet öppnar du dialogrutan Inställningsval (Redigera | Alternativ | Inställningar) och klickar på fliken Allmänt. Skriv ett nytt standardantal i redigeringsrutan Mätpktr, autocirkel.

Mätpunkter kan skapas automatiskt för cirklar, cylindrar och bågar. Så här gör du:

  1. Placera markören i närheten av elementets omkrets.

  2. Klicka med vänster musknapp. (Statusikonerna måste vara inställda på programmeringsläget.) Därefter skapas mätpunkter med jämna mellanrum på elementet på det aktuella mätdjupet. Se Inställningsval: fliken Allmänt i avsnittet Göra inställningar om du vill ha mer information om hur du anger antalet mätpunkter för cirklar.)

Följ nedanstående mätregler för cirkulära element.

  • För den inre diametern (ID) placerar du markören precis innanför elementets ytterkant.

  • För den yttre diametern (YD) placerar du markören precis utanför elementets ytterkant.

  • För att programmera cylindrar automatiskt tar du minst två uppsättningar mätpunkter på olika mätdjup.

  • När du programmerar en båga placeras mätpunkterna med jämna avstånd längs bågens längd.

  • För att mäta en sfär eller en kon anger du först ett exakt djup på sfären eller konen innan några mätpunkter skapas. Se Ange mätdjup för en sfär och Ange mätdjup för en kon.


Linjära element

Hur många mätpunkter som skapas som standard för ett linjärt element i PC-DMIS styrs av ett systemalternativ. För att ändra det här värdet öppnar du dialogrutan Inställningsval (Redigera | Alternativ | Inställningar) och klickar på fliken Allmänt. Skriv ett nytt standardvärde i redigeringsrutan Mätpktr, autolinje.

Mätpunkter kan skapas automatiskt för linjer och plan. Så här gör du:

  1. Placera markören i närheten av linjen.

  2. Klicka med vänster musknapp. (Statusikonerna måste vara inställda på programmeringsläget.)

Följ nedanstående regler för mätning av linjära element:

  • Mätpunkter skapas med jämna mellanrum längs linjens längd på det aktuella mätdjupet. Se Inställningsval: fliken Allmänt i avsnittet Göra inställningar om du vill ha mer information om hur du anger antalet mätpunkter för linjer.)

  • Du måste placera markören på den sida av linjen där mätpunkterna ska tas.

  • För att programmera plan automatiskt måste minst två uppsättningar mätpunkter tas på olika mätdjup.


Ytelement

En UV-scanåtgärd kan användas för att placera punkter automatiskt längs UV-riktningen på en yta. I programmeringsläget eller ytvalsläget klickar du med vänster musknapp inuti den yta som ska väljas. En dialogruta visas där du kan ange start- och slutvärden för UV samt antalet punkter längs varje UV-riktning.


Enstaka mätningar

Automatiska mätningar gör att det går snabbare att programmera, men ibland måste ett antal mätpunkter placeras ut manuellt på ett element (detta kan bero på detaljgeometrin eller elementtypen). Det finns två sätt att placera mätpunkter.

Mer:

Placera mätpunkter på en yta

Placera mätpunkter på ett element


Placera mätpunkter på en yta

I många fall krävs det att mätpunkter placeras exakt på en yta (vid mätning av t.ex. ett plan, en sfär eller en kon). Så här gör du:

  1. Flytta markören till det läge där du vill ta en mätpunkt.

  2. Håll ned vänster musknapp (flytta inte musen).

  3. Släpp knappen. Mätpunkten programmeras i det aktuella läget.

Markören måste vara kvar i samma läge under tiden som du håller ned musknappen. Annars feltolkas det du vill göra. Om mätspetsen fästs vid ett element efter att knappen har släppts innebär det att musen flyttades under processen. Tryck på ALT + "-" (minustecknet) för att ta bort mätpunkten och börja om.

Obs! Du måste ange ett exakt mätdjup innan du placerar enstaka mätpunkter på en kon, en sfär eller ett plan.


Placera mätpunkter på ett element

I många fall krävs det att mätpunkter placeras exakt på ett element som inte är ett plan. Så här gör du:

  1. Placera markören i närheten av det läge där du vill ta mätpunkter.

  2. Håll ned vänster musknapp.

  3. Rör mätspetsen mot det läge där du vill ta mätpunkten. (mätspetsen måste flyttas minst 3.2 mm på skärmen).

  4. Släpp knappen.

Mätpunkten "fästs" vid elementet. Mätpunkten placeras på sidan av det element där markören fanns när du började hålla ned musknappen.


Avsluta en mätning

För att avsluta en mätning i offlineläget trycker du på tangenten END.


Köra och felsöka detaljprogram offline

Du kan köra detaljprogram i offlineläget i PC-DMIS på samma sätt som i onlineläget. Med hjälp av Redigeringsfönstret får du omedelbar tillgång till alla kommandon i ett detaljprogram så att det är lika enkelt att finjustera ett detaljprogram offline som att justera ett program som har skapats med en CMM-enhet.

I avsnittet Redigera ett detaljprogram finns översiktlig information om de olika redigeringsalternativen i PC-DMIS.

Programmeraren måste kontrollera mätspetsanimeringen noggrant så att inga kollisioner eller felplacerade mätpunkter förekommer. Det enklaste sättet att göra detta är att sänka både rörelse- och mäthastigheten. Du gör detta genom att använda alternativet Inställningar, mätning (läs mer under Ändra rapport- och rörelseparametrar i avsnittet Göra inställningar. ) och ange önskade hastigheter i respektive ruta. Mätprocessen stoppas när du klickar på knappen Stopp. Processen fortsätter när du klickar på Fortsätt.

Mer:

Körväg


Körväg

Med menyalternativet Åtgärder | Grafikfönster | Visa körväg visas mätspetskörvägen längs detaljen grafiskt. Det här är användbart när du redigerar mätspetskörvägar och när du utför mätningar offline. Så här använder du alternativet:

  • Markera de element som ska användas för körvägsredigeringen i Redigeringsfönstret för det aktuella detaljprogrammet. (Se Markera kommandon för körning i avsnittet Redigera ett detaljprogram.)

  • Välj alternativet Visa | Markera körväg. Körvägarna för mätspetsen som skapades under inlärningsdelen av detaljprogrammet visas. Under Visa och animera körvägar i avsnittet Redigera CAD-visningen finns mer information om hur du använder körvägar.


Översätta DOS/AVAIL till PC-DMIS

Översätta ett detaljprogram till PC-DMIS:

Inledning

Översätta en detaljprogramfil

DOS till Windows

Avail/MMIV till Windows

Importera en detaljprogramfil

DOS-, Avail- och MMIV-filer

Om kommandot VIA/PH9_OFFSET för importerade DOS-detaljprogram


Översätta DOS/AVAIL till PC-DMIS: Inledning

I PC-DMIS kan användaren översätta ett detaljprogram som har skapats i DOS eller Avail så att det kan köras i PC-DMIS för Windows. Det ursprungliga detaljprogrammet måste ha skapats i Avail eller PC-DMIS (DOS) version 3.2 eller senare för att översättningsprocessen ska vara tillgänglig.

Obs! Import av detaljprogram från Tutor for Windows är inte tillgängligt i den här versionen.

Nedan följer några av huvuddelarna i det här avsnittet:

  • Inledning

  • Översätta en detaljprogramfil

  • Importera en detaljprogramfil


Översätta en detaljprogramfil

Du översätter en fil enligt någon av processerna nedan.

Mer:

DOS till Windows

Avail/MMIV till Windows


DOS till Windows

  1. Starta PC-DMIS för DOS medan du arbetar i DOS. Listan Active Parts visas.

  2. Klicka på knappen POST i menylistan.

  3. Välj det detaljprogram som ska översättas. Dialogrutan Post Options öppnas i PC-DMIS.

  4. Klicka på knappen DIMS CMDS (DIMS-kommandon) i menylistan. Du uppmanas ange namnet på utfilen.

  5. Skriv rätt filnamn följt av ett filtillägg med tre bokstäver. Du bör (men måste inte) använda filtillägget .dim.

  6. När detaljprogrammet efterbehandlas i PC-DMIS uppmanas du att ange namnet på en mäthuvudsfil i PC-DMIS för Windows. Skriv in filnamnet.

  7. Kontrollera att det är en mäthuvudsfil för Windows som används.

  8. Tryck på RETUR.

  9. När efterbearbetningen har slutförts visas ett meddelande med en uppmaning om att trycka på valfri tangent för att fortsätta. Därefter återgår du till listan Active Parts.

  10. Avsluta PC-DMIS för DOS


Avail/MMIV till Windows

För att Avail/MMIV-filer ska kunna köras i PC-DMIS för Windows måste de översättas. Du rekommenderas att spara filerna med ett namn som liknar LLF*.* (även om det inte är nödvändigt). Följ instruktionerna i Importera en detaljprogramfil.


Importera en detaljprogramfil

Du bör följa processen nedan när du importerar en detaljprogramfil. Processen är densamma oavsett filtyp.

Mer:

DOS-, Avail- och MMIV-filer


DOS-, Avail- och MMIV-filer

  1. Starta PC-DMIS för Windows genom att dubbelklicka på skrivbordsikonen (eller via Start-knappen | Alla program | PC-DMIS för Windows). PC-DMIS laddas och dialogrutan Öppna fil öppnas.

  2. Använd knappen Avbryt för att stänga dialogrutan.

  3. Välj menyalternativet Arkiv | Nytt om du vill skapa ett nytt detaljprogram. Dialogrutan Nytt detaljprogram öppnas. Visa menykarta

  4. Ange ett namn på den nya detaljprogramfilen och vid behov annan information.

  5. Klicka på OK. Dialogrutan stängs och dialogrutan Mäthuvud öppnas.

  6. Klicka på Avbryt för att stänga dialogrutan Mäthuvud.

  7. Välj undermenyn Arkiv | Importera. Visa menykarta

  8. Välj lämplig typ av indata (DIMS, AVAIL eller MMIV). Dialogrutan Öppna öppnas.

  9. Markera filen. Om filen sparades med tillägget .DIM / .LLF*.* visas automatiskt alla tillgängliga filer med rätt filtillägg. Gå till rätt katalog om du inte befinner dig där.

  10. Klicka på Importera. Om det redan finns CAD-data för detaljprogrammet kan du välja att antingen Slå ihop eller Ersätta befintliga CAD-data med importerade CAD-data. Dialogrutan Välj översättningsmetod öppnas med följande alternativ:

  • Översätt huvudprogrammet och alla anropade underprogram till ett enda DMIS-program.

  • Översätt bara angiven fil. Inkludera anrop på underprogram, men översätt inte underprogram.

  • Översätt huvudprogrammet och anropade underprogram till separata DMIS-program.

  11. Markera en av översättningsmetoderna.

  12. Klicka på OK (eller tryck på RETUR).

DIMS-/AVAIL-/MMIV-data översätts i PC-DMIS och du återgår till detaljprogrammet.

q För varje TOOLCHANGE-kommando uppmanas du att välja en mäthuvudsfil i PC-DMIS.

q För varje TIPCHANGE-kommando uppmanas du att välja en mäthuvudsfil i PC-DMIS.

Nu kan du köra detaljprogrammet i PC-DMIS för Windows.

Viktigt! När du importerar ett AVAIL-detaljprogram som innehåller nyckelordet IFTEST eller ett GOTO/LABEL-kommando i ett elementblock, eller ett MMIV-detaljprogram som innehåller nyckelordet BRANCH/TEST eller ett BRANCH/LABEL-kommando i ett elementblock, flyttas respektive OM- och GÅTILL-kommandon framför elementblocket. Detta kommer att korrigeras i senare versioner av PC-DMIS.

Mer:

Om kommandot VIA/PH9_OFFSET för importerade DOS-detaljprogram


Om kommandot VIA/PH9_OFFSET för importerade DOS-detaljprogram

I DOS-versionen av PC-DMIS roterades PH9-mäthuvudet till nya vinklar och därefter gjordes en automatisk förflyttning så att mätspetsen hamnade där den befann sig före vinkelbytet. I PC-DMIS för Windows görs däremot inte den extra förflyttningen när PH9 roteras mot nya vinklar. Så för översatta och importerade DOS-detaljprogram infogas automatiskt VIA/PH9_OFFSET-kommandon i PC-DMIS för Windows för att underlätta översättningen från DOS-versionen av PC-DMIS till PC-DMIS för Windows.

Kommandot har följande syntax och tar två indatavärden:

VIA/PH9_OFFSET,INMATN1,INMATN2

INMATN1 är den gamla mätspetsvinkeln.

INMATN2 är den nya mätspetsvinkeln.

Obs! Du behöver inte använda kommandot i ett vanligt detaljprogram i PC-DMIS för Windows och du kan inte välja det på någon av menyerna.


Använda ett vridbart mäthuvud

Använda ett vridbart mäthuvud: Inledning

Installation

Kommentarer om Renishaw PHS med Leitz-gränssnitt

Kalibrera mätspets

Ny mäthuvudsfil

Kalibrera mäthuvud

Kalibrera vridbart mäthuvud

Beräkna kompenseringstabell

Kalibreringskontroll

Nolla enheten

Använda det vridbara mäthuvudet i ett detaljprogram

Alternativ 1

Alternativ 2

Alternativ 3

Alternativ 4


Använda ett vridbart mäthuvud: Inledning

PC-DMIS innehåller fullständigt stöd för kalibrering och användning av steglöst vridbara mäthuvuden som Renishaw PHS, DEA CW43 och DEA CW43L, samt för mäthuvuden från andra tillverkare.

Nedan följer några av huvuddelarna i det här avsnittet:

  • Installation

  • Kalibrera mätspets

  • Kalibrera mäthuvud

  • Kalibreringskontroll

  • Nolla enheten

  • Använda det vridbara mäthuvudet i ett detaljprogram


Installation

Om ett vridbart mäthuvud installeras på mätmaskinen läggs A- och B-axlar till de X-, Y- och Z-koordinater som normalt visas i PC-DMIS. Alternativet för vridbart mäthuvud måste vara aktiverat i hårdvarulåset för att stödet för vridbara mäthuvuden ska vara aktiverat i PC-DMIS. På grund av att PC-DMIS stöder ett stort antal olika steglöst vridbara mäthuvuden och gränssnitt bör du fråga programvaruleverantören om specifik information om vilka registerposter som behöver ändras (information om hur du ändrar registerposter i PC-DMIS Inställningar finns i avsnittet Ändra registerposter).

Det görs en automatisk sökning efter styrenheten och efter vilket mäthuvud som är installerat.

Mer:

Kommentarer om Renishaw PHS med Leitz-gränssnitt


Kommentarer om Renishaw PHS med Leitz-gränssnitt

Om du använder anslutningsmodulen för ett vridbart mäthuvud från Renishaw måste du ändra registerposten RenishawKinematicMount=1 i avsnittet [Option] i PC-DMIS Inställningar. Mer information om hur du ändrar registerposter finns i tilläggsavsnittet Ändra registerposter.

När PC-DMIS startas visas en fråga om det finns ett PHS-mäthuvud på mätmaskinen. Frågan visas endast om styrenheten precis har slagits på. När du har angett vad som finns monterat på armen visas inte frågan igen förrän PC-DMIS upptäcker att styrenheten har stängts av och startats om. När mäthuvudet har monterats läggs A- och B-axlar till bland koordinaterna. Det innebär att de visas tillsammans med koordinaterna för X-, Y- och Z-axlarna som brukar visas.

Obs! De förändrade värdena återspeglas inte i koordinatvisningen förrän du kör PC-DMIS efter att ha besvarat frågan om PHS-mäthuvudet.


Kalibrera mätspets

Vid en mätspetskalibrering förutsätts det att du redan har kalibrerat det vridbara mäthuvudet. Du behöver inte göra detta för den spets som används vid kalibreringen av mäthuvudet. Det görs automatiskt en kalibrering av den mätspets som används för att kalibrera mäthuvudet.

Syftet med en mätspetskalibrering är att beräkna avståndet från den sista ledens (A-ledens) mittpunkt till mätspetsens mitt. I teorin räcker det att mäta en AB-kombination för mätspetsen för att beräkna avståndet om mäthuvudet har kalibrerats. Däremot rekommenderas du att mäta mer än en AB-kombination så att det kan beräknas ett genomsnitt för inmatade data för mätspetsoffset. Då får du större noggrannhet.

Mer:

Ny mäthuvudsfil


Ny mäthuvudsfil

När du har kalibrerat ett vridbart mäthuvud kan du byta mätspets och kalibrera mätspetsen. Så här kalibrerar du en ny mätspets på ett vridbart mäthuvud:

  1. Öppna dialogrutan Mäthuvud via menyvägen Infoga | Hårdvarudefinition | Mäthuvud. Visa menykarta

  2. Kontrollera att beskrivningen matchar den laddade mätspetsen.

  3. Markera en eller flera AB-kombinationer som motsvarar den nya mätspetsen i listan Aktiv mätspets. Om du vill använda en AB-kombination som inte finns med i listan kan du lägga till den genom att klicka på knappen Flera vinklar. Du måste markera minst en AB-kombination i mätspetslistan för att kalibrera mätspetsen. Om du markerar mer än en mätspets beräknas ett genomsnitt av resultaten för en mer korrekt mätspetsoffset.

  4. När du har markerat de önskade mätspetsarna klickar du på knappen Mät. Då öppnas dialogrutan Kalibrera mätspetsar. I rutan kan du ställa in antal mätpunkter, insträcka/återgång och hastigheter.

  5. Markera alternativet Kalibrera spetsar i området Åtgärder.

  6. Ställ in önskade parametrar.

  7. Klicka på knappen Mät.

Kalibreringen av sfären startas med de valda kombinationerna av AB-vinklar.


Kalibrera mäthuvud

Om det finns ett indexerbart vridbart mäthuvud på mätmaskinen kan du använda alternativen Kalibrera mäthuvud och Nolla enheten i området Åtgärd i dialogrutan Mäthuvud.

Dialogrutan Kalibrera mätspetsar

Området Åtgärd med alternativet Kalibrera mäthuvud markerat

Obs! Det här ämnet gäller steglöst indexerbara mäthuvuden som inte har några fördefinierade indexerade positioner. Mäthuvudskalibreringen utförs med en enda spets – inte med stjärnmäthuvuden. När kalibreringen har slutförts kan du använda alla vinkelpositioner för mäthuvudet i de nya mäthuvudsfilerna genom att kalibrera minst en mäthuvudsvinkel. Detta alternativ är endast tillgängligt om det har definierats ett steglöst indexerbart vridbart mäthuvud. Mer information om kalibrering av mäthuvudet finns i Mäta i avsnittet Definiera hårdvara.

Om du markerar alternativet Kalibrera mäthuvud kan du kalibrera det vridbara mäthuvudet. Under processen kan du mäta flera vinklar på en sfär för att avgöra de interna avstånden inom mäthuvudet. När informationen har beräknats används den för att förutsäga mätspetspositionen för alla AB-par. Det innebär att du kan använda alla AB-vinklar i detaljprogrammet utan att kalibrera varje enskild position.

Obs! Kontrollera att du anger rätt mätvärden för kalibreringen av sfären i dialogrutan Kalibrera mätspetsar och att du markerar kalibreringsnormalen innan du utför kalibreringen med alternativet Kalibrera mäthuvud markerat. I dialogrutan Mät kan du ställa in antal mätpunkter, avstånden för mäthuvudets insträcka och återgång och hastigheter som används under mätprocessen. Se Mäta i avsnittet Definiera hårdvara.

Mer:

Kalibrera vridbart mäthuvud


Kalibrera vridbart mäthuvud

För att kalibrera ett vridbart mäthuvud måste du mäta minst tre positioner för A-vinkeln och minst tre positioner för B-vinkeln så att du får nio sfärsmätningar (du måste mäta en A-vinkelposition för varje position för B). I området Kalibrering, vridbart mäthuvud i dialogrutan Kalibrera mätspetsar kan du ange vinklarna för kalibrering av A- och B-axlarna. De tre första alternativen gäller vid kalibrering av A-leden.

Mer information om hur du använder området Kalibrering, vridbart mäthuvud för att definiera positionerna för AB-vinklarna finns i Området Kalibrering, vridbart mäthuvud i avsnittet Definiera hårdvara.

Obs! Om du använder en Renishaw PHS måste du kalibrera mäthuvudet eller markera Nolla enheten i området Åtgärd i dialogrutan Kalibrera mätspetsar och därefter klicka på Mät igen varje gång strömmen till styrenheten slås på.

Varning om du använder SP600-mäthuvuden

För de flesta steglöst vridbara mäthuvuden kalibreras en zon med vinklar och det görs en uppskattning av resten. Om du däremot använder en SP600 på ett steglöst vridbart mäthuvud måste mäthuvudet ha en egen avböjningsmatris. Du måste därför kalibrera alla AB-spetsvinklar som inte ingår i den ursprungliga processen. Annars uppstår felaktiga resultat vid mätningarna.

Mer:

Beräkna kompenseringstabell


Beräkna kompenseringstabell

Normalt sett kalibreras vridbara enheter i relativt små steg (t.ex. 20 grader). När du kalibrerar ett steglöst vridbart mäthuvud och har markerat kryssrutan Kalibrera mäthuvud skapas automatiskt en kompenseringstabellfil för mäthuvudet med namnet abcomp.dat. Filen används för att korrigera vinkelfel i det vridbara mäthuvudet. Genom att skapa en kompenseringstabell ökas det vridbara mäthuvudets noggrannhet när mäthuvudet används för mätning på tidigare okalibrerade positioner genom att kompensationsförskjutningarna kan interpoleras i PC-DMIS.

När kompenseringstabellen har beräknats sparas resultaten på datorns hårddisk så att den förbättrade vinkelnoggrannheten utnyttjas varje gång du använder mäthuvudet. Du behöver endast beräkna kompenseringstabellen då och då (en gång i veckan eller mer sällan) eller vid behov. Under beräkningen av kompenseringstabellen utförs även en kalibrering av det vridbara mäthuvudet och mätspetsen för den aktuella laddade mäthuvudsfilen.

Obs! Du bör kalibrera det vridbara mäthuvudet varje gång som mäthuvudets montering har förändrats. Du kan även gå till hårdvaru- och leverantörsinformationen för att lära dig mer om när du bör kompensera ett vridbart mäthuvud eftersom detta kan variera beroende på enhetens konstruktion och tillverkarens rekommendationer.

När det steglöst indexerbara vridbara mäthuvudet har kalibrerats och det finns en kompenseringstabellfil för mäthuvudet bör du ange att PC-DMIS ska använda kompenseringstabellfilen. För att göra det markerar du kryssrutan Anv. mäth.komp. (om tillgängl.) i dialogrutan Mäthuvud (se Kryssrutan Anv. mäth.komp. (om tillgängl.) i avsnittet Definiera hårdvara). Därefter kan du skapa och använda alla positioner i nya mäthuvudsfiler med ett minimum av kalibreringar.

Det gör du genom att skapa en ny mäthuvudsfil och göra en vanlig mätspetskalibrering med minst en mäthuvudsposition på kalibreringsnormalen och koppla filen till den mäthuvudsfil som användes vid processen Kalibrera mäthuvud. Det är däremot viktigt att du använder mer än en mäthuvudsposition för kalibreringen eftersom du får en bättre inmätning mellan mäthuvudets offsetdata och kompenseringsmatris. Detta gäller särskilt om flera mäthuvudspositioner ska användas i den nya mäthuvudsfilen.

Obs! Om det inte går att behålla en koppling till den mäthuvudsfil som användes vid mäthuvudskompenseringen kommer det att uppstå mätfel.


Kalibreringskontroll

Området Åtgärd med alternativet Kalibreringskontroll

När du har kalibrerat mäthuvudet bör du göra en kalibreringskontroll. Om du utför en kalibreringskontroll får du information om den allmänna noggrannheten för kalibreringen av det vridbara mäthuvudet och senare mätningar. Vid en kalibreringskontroll kan du även kontrollera felen för nya mätspetsar som lagts till i nya mäthuvudsfiler.

Så här utför du en kalibreringskontroll:

  1. Öppna dialogrutan Mäthuvud via menyvägen Infoga | Hårdvarudefinition | Mäthuvud. Visa menykarta

  2. Markera de vinklar som ska användas vid kalibreringskontrollen i listan Aktiva mätspetsar. Du rekommenderas att markera både mäthuvudsvinklar som används och vinklar som inte används vid kalibreringen av det vridbara mäthuvudet.

  3. Klicka på knappen Mät. Dialogrutan Kalibrera mätspetsar öppnas.

  4. Ange de parametrar som ska användas vid kalibreringskontrollen och markera en lämplig kalibreringsnormal.

  5. Markera alternativet Kalibreringskontroll i området Åtgärd.

  6. Klicka på knappen Mät.

  7. Följ instruktionerna på skärmen.


Nolla enheten

Området Åtgärd med alternativet Nolla enheten markerat

Vissa vridbara mäthuvuden – till exempel Renishaw PHS – saknar definierade nollpositioner och positionerar mäthuvudet med hjälp av potentiometrar snarare än skalor. För dessa typer av mäthuvuden måste nollpunkten definieras om varje gång strömmen till mäthuvudets styrenhet slås på. För att definiera om mäthuvudets nollpunkt kan du välja något av alternativen Kalibrera mäthuvud (se Kalibrera mätspets) eller Nolla enheten.

Om du väljer Nolla enheten beräknas förskjutningen av vinkelfelet från den tidigare beräknade nollpositionen för mäthuvudet genom att kalibrera en eller flera mätvinklar på en tidigare kalibrerad sfärposition. Fördelen med att göra så här är att du som minst kan använda en enda mätspetsvinkel, vilket går betydligt snabbare än att kalibrera ett vridbart mäthuvud.

Du rekommenderas däremot att använda mer än en mätvinkel för att nolla enheten eftersom det tas ett medelvärde för felen vid nollställningen för att ge en mer korrekt justering av mäthuvudskompenseringstabellen.

Så här nollar du enheten:

  1. Öppna dialogrutan Mäthuvud via menyvägen Infoga | Hårdvarudefinition | Mäthuvud. Visa menykarta

  2. Markera den mäthuvudsfil som användes för att kalibrera mäthuvudet.

  3. Markera de vinklar som ska användas i kalibreringskontrollen i listan Aktiva mätspetsar.

  4. Klicka på knappen Mät. Dialogrutan Kalibrera mätspetsar öppnas.

  5. Ange de parametrar som ska användas i kalibreringskontrollen och markera den kalibreringsnormal som användes under Kalibrera mäthuvud.

  6. Markera alternativet Nolla enheten i området Åtgärd.

  7. Klicka på knappen Mät.

Obs! När du har kalibrerat enheten ska du inte flytta kalibreringsnormalen förrän du har nollat enheten. Om normalen flyttas måste du kalibrera om mäthuvudet (se Kalibrera mätspets).


Använda det vridbara mäthuvudet i ett detaljprogram

På maskiner som stöder den här funktionen läser PC-DMIS automatiskt av om det vridbara mäthuvudet har roterats via handterminalen. Mätspetsens offsetvärden uppdateras dynamiskt utifrån de aktuella AB-vinklarna. Det innebär att XYZ-koordinaterna visar den aktuella mätspetspositionen när mätspetsen roteras. Det finns fyra metoder (se nedan) för att lägga till en ny AB-spetskombination i ett detaljprogram.

När du har lagt till en ny AB-spetskombination i detaljprogrammet genom något av alternativen nedan visas den aktiva mätspetsen så som den har programmerats i detaljprogrammet i listan Aktiv mätspets i verktygsfältet. Mätspetsen är MÄTSPETS/-kommandot ovanför markörens position i Redigeringsfönstret. För att flytta mäthuvudet till den här AB-vinkelkombinationen rullar du ned och stänger listan Mätspetsar. Du tillfrågas om du vill rotera mäthuvudet. Om du svarar Ja roteras mäthuvudet till den önskade positionen. Detta är användbart om du vill gå tillbaka och infoga mätningar och rörelser i detaljprogrammet.

Mer:

Alternativ 1

Alternativ 2

Alternativ 3

Alternativ 4


Alternativ 1

Klicka på knappen Flera vinklar i dialogrutan Mäthuvud. Då kan du skriva in nya par med AB-vinklar i mäthuvudsfilen. Om mätspetsen redan har kalibrerats kommer de nya AB-kombinationerna också vara kalibrerade och klara att använda. När du har stängt dialogrutan Mäthuvud kan du använda de nya AB-kombinationerna genom att markera dem i den nedrullningsbara listan Mätspetsar i verktygsfältet.


Alternativ 2

Kör det vridbara mäthuvudet manuellt till de önskade AB-värdena med handterminalen. När du når den önskade positionen trycker du på knappen Store Move på handterminalen eller tar en mätpunkt manuellt. De aktuella AB-vinklarna läses av automatiskt. Om A- eller B-vinkeln har förändrats med mer än varningsdeltat för PH9 (se Vinkelvarningsdelta i avsnittet Göra inställningar) läggs de aktuella AB-vinklarna automatiskt till i listan Mätspetsar och det infogas ett mätspetskommando i detaljprogrammet. Det nya mätspetskommandot läggs till före den sparade förflyttningen eller manuellt tagna mätpunkten. När detaljprogrammet körs byts mätspetsen innan mäthuvudet flyttas till den programmerade positionen.


Alternativ 3

Skriv in ett MÄTSPETS/-kommando i Redigeringsfönstret. När du har redigerat vektorn beräknas de bästa AB-kombinationerna som gör att mätspetsens skaft blir parallellt med vektorn. Dessa vinklar visas i dialogrutan Vinklar som passar angiven vektor.

Vinklar som passar angiven vektor

Det finns ofta två eller fler AB-kombinationer som placerar skaftet i rätt riktning. De visas i dialogrutan och som standard används den AB-kombination som ligger närmast mäthuvudets aktuella AB-kombination. Om du kan nå den önskade vektorn med en steglös A- eller B-axelposition markeras posten med orden Valfri vinkel. Posten standardinställs som det aktuella värdet för axeln. Du kan även ange ett annat värde. När du klickar på OK i dialogrutan läggs den valda AB-kombinationen till i mätspetslistan för det aktiva mäthuvudet och kommandot MÄTSPETS/ ändras så att den nya mätspetsen används.


Alternativ 4

Varje flik i dialogrutan Autoelement har en kryssruta för Auto PH9. När kryssrutan är markerad används elementdefinitionen för att ange den bästa vektorn för mätspetsskaftet för mätningen av det aktuella elementet. Därefter används mätspetsskaftets vektor för att beräkna de bästa AB-kombinationerna. De visas i dialogrutan Vinklar som passar angiven vektor som beskrivs i Alternativ 3.


Kalibrera ovanliga mäthuvuden

Kalibrera ovanliga mäthuvuden: Inledning

Kalibrera lasermäthuvuden i OTM3-serien

Kalibrera lasermäthuvuden: Metod 1

Kalibrera lasermäthuvuden: Metod 2

Kalibrera Nextel-lasermäthuvuden

Kalibrera optiska mäthuvuden för NC-100

Kalibrera brytande mäthuvuden:

Steg 1: Definiera det brytande mäthuvudet och två spetspositioner

Steg 2: Kalibrera mätspetspositionerna på en sfärisk kalibreringsnormal

Steg 3: Skapa en polyederkalibreringsnormal

Steg 4: Fyll i dialogrutan Kalibrera mätspetsar

Steg 5: Bestämma orienteringen för polyederkalibreringsnormalen

Steg 6: Kalibrera alla nödvändiga mätspetspositioner på den sfäriska normalen

Steg 7: Kalibrera NC-100

Kalibrera det optiska mäthuvudet för NC100


Kalibrera ovanliga mäthuvuden: Inledning

I det här avsnittet beskrivs hur du kalibrerar mindre vanliga mäthuvudstyper. Många PC-DMIS-användare använder brytande mäthuvuden och information för sådana mäthuvudstyper finns under Mät i avsnittet Definiera hårdvara i manualen.

I det här avsnittet beskrivs bland annat följande kalibreringsprocedurer för mäthuvuden:

  • Kalibrera lasermäthuvuden i OTM3-serien

  • Kalibrera Nextel-lasermäthuvuden

  • Kalibrera optiska mäthuvuden för NC-100


Kalibrera lasermäthuvuden i OTM3-serien

OTM3-serien innehåller laserscanningmäthuvuden. Det finns två sätt att kalibrera de här mäthuvudstyperna. Kalibrering stöds bara på maskiner som använder Leitz-gränssnitt.

Mer:

Kalibrera lasermäthuvuden: Metod 1

Kalibrera lasermäthuvuden: Metod 2


Kalibrera lasermäthuvuden: Metod 1

Kalibrera ett brytande mäthuvud på den sfär som du ska använda för att kalibrera lasermäthuvudet. På så sätt kalibreras också läget för sfären så att du kan kalibrera lasermäthuvudet helt och hållet i CNC-läget.


Kalibrera lasermäthuvuden: Metod 2

  1. När du ska ta den första manuella punkten gör du följande:

  2. Flytta mäthuvudet vinkelrätt mot ytan tills den gröna indikatorn för "inom intervallet" tänds på Wolf & Beck-styrenheten och knappen Probe Enable på handterminalen lyser grönt.

  3. Tryck på knappen Probe Enable på handterminalen för att registrera punktens läge.

  4. Flytta mäthuvudet bort från ytan.

  5. Klicka på knappen Fortsätt.

Obs! Kalibreringsresultat kan se mycket konstiga ut. Det kan till och med förekomma negativa mäthuvudsdiametrar. Dessutom används bara delen från 65 grader till 90 grader på kalibreringsnormalen under kalibreringen.


Kalibrera Nextel-lasermäthuvuden

DOKUMENTATIONEN ÄR INTE KLAR.


Kalibrera optiska mäthuvuden för NC-100

Det optiska mäthuvudet för NC-100 anses vara ett kontaktfritt mäthuvud. Detta innebär att mäthuvudet aldrig vidrör detaljen när mätpunkter tas.

Det här mäthuvudet måste kalibreras med en särskild polyederkalibreringsnormal som har 17 ytor vilket kräver 17 orienteringar av mäthuvudet. Du måste också använda ett kalibrerat brytande mäthuvud för att kalibrera orienteringen för polyedernormalen.

Hela kalibreringsprocessen för det optiska mäthuvudet för NC-100 tar ungefär en timme. Se till att du har tid att utföra hela processen på en gång. Om du delar upp processen kan du bli tvungen att börja om från början.

Du behöver två typer av kalibreringsnormaler: En sfärisk kalibreringsnormal och en polyederkalibreringsnormal.

Mer:

Kalibrera brytande mäthuvuden:

Kalibrera det optiska mäthuvudet för NC100


Kalibrera brytande mäthuvuden:

Först måste du kalibrera det brytande mäthuvudet. Mäthuvudet måste kalibreras i minst två positioner (det kan finnas tre mäthuvuden beroende på vilket system du använder).

Mäthuvud med tre axlar

Använd följande positioner för maskinkonfigurationer och mätdonsorienteringar:

  • A0B0C0

  • A90B180C0

Processen för att skapa en ny fil för det brytande mäthuvudet och kalibrera brytande mäthuvuden beskrivs under Definiera mätspetsar i avsnittet Definiera hårdvara . Läs det ämnet om du vill ha mer information.

Följ stegen nedan för att slutföra den här fasen i kalibreringsproceduren.

Klicka här för att inleda kalibreringsproceduren


Steg 1: Definiera det brytande mäthuvudet och två spetspositioner

Först måste du definiera korrekt mäthuvud, förlängningar, spetsar och spetspositioner för det brytande mäthuvudet.

  1. I dialogrutan Mäthuvud (Infoga | Hårdvarudefinition | Mätspetsar) definierar du mäthuvudet, förlängningarna och spetsarna i rutan Beskrivning. Visa menykarta

  2. Klicka på knappen Flera vinklar. Dialogrutan Lägg till nya vinklar visas.

  3. Lägg till vinklarna A0B0C0 och A90B180C0 i listan Nya vinklar.

  4. Klicka på OK för att acceptera de spetsvinklar som har angetts i dialogrutan Lägg till nya vinklar. Vinklarna visas nu i listan Aktiva mätspetsar i dialogrutan Mäthuvud.

Gå till nästa steg.


Steg 2: Kalibrera mätspetspositionerna på en sfärisk kalibreringsnormal

Nu ska du kalibrera de två spetspositionerna på en sfärisk kalibreringsnormal.

  1. Markera de två spetsar som du ska använda för att bestämma den inledande orienteringen för polyedermätdonet i listan Aktiva mätspetsar.

  2. Klicka på knappen Mät i dialogrutan Mäthuvud. Dialogrutan Kalibrera mätspetsar öppnas.

  3. Markera en kalibreringssfär i listan Tillgängliga normaler.

  4. Klicka på Mät för att kalibrera spetsarna T1A0B0C0, T1A90B180C0 på en kalibreringssfär.

  5. Följ instruktionerna på skärmen.

Obs! Även om du använder polyederkalibreringsnormalen i följande steg bör du låta den sfäriska normalen vara kvar på den aktuella platsen på CMM-plåten eftersom den ska användas igen senare.

Gå till nästa steg.


Steg 3: Skapa en polyederkalibreringsnormal

Innan du kalibrerar polyederkalibreringsnormalen måste du definiera polyedernormalen.

  1. Välj de två spetsar som du har kalibrerat i listan Aktiva mätspetsar i dialogrutan Mäthuvud .

  2. Klicka på knappen Mät igen. Dialogrutan Kalibrera mätspetsar öppnas.

  3. Klicka på knappen Lägg till. Dialogrutan Lägg till kalibreringsnormal visas.

  4. I listan Typ av normal väljer du POLYEDER.

  5. Skriv ett namn på maskinen i listan ID för kalib.normal.

  6. Definiera in IJK-skaftvektorn. Du behöver inte definiera diametern/längden eftersom dessa värden redan är hårdkodade utifrån vilken typ av kalibreringsnormal du har valt.

  7. Klicka på OK. Dialogrutan Kalibrera mätspetsar visas igen.

Gå till nästa steg.

Den aktiva mätspetsen är den del av mäthuvudet som är klart för användning. Flera spetsar kan anses vara aktiva samtidigt och visas i listan Aktiva mätspetsar.

Sensorenheten är antingen kopplad till CMM-armen eller det vridbara mäthuvudet. En mätspets måste vara monterad på mäthuvudet för att mätdata ska kunna samlas in (detta gäller inte fasta mäthuvuden).


Steg 4: Fyll i dialogrutan Kalibrera mätspetsar

I dialogrutan Kalibrera mätspetsar visas nu värden i de olika rutorna. Detta är de parameterinställningar som kommer att användas under mätningsprocessen.

Du kan välja att använda de standardvärden som visas eller ändra dem.

  1. Välj alternativknappen Kalibrera NC-100 i området Åtgärd.

  2. Välj alternativet Manuellt, CNC eller ManCNC.

Obs! Även om du väljer CNC eller ManCNC kommer du att behöva ta manuella mätpunkter på kalibreringsnormalen.

Gå till nästa steg.


Steg 5: Bestämma orienteringen för polyederkalibreringsnormalen

Du uppmanas att mäta två plan på polyederkalibreringsnormalen. Planen används sedan för att bestämma orienteringen för normalen.

  1. Klicka på knappen Mät i dialogrutan Kalibrera mätspetsar. Ett meddelande visas med en fråga om du vill bestämma den ursprungliga orienteringen.

  2. Klicka på Ja. Klicka inte på Nej om du inte har bestämt orienteringen tidigare. Ytterligare ett meddelande visas med en fråga om du vill flytta PH9/10-huvudet.

  3. Klicka på Ja. Dialogrutan Körläge öppnas. Du uppmanas att ta tre mätpunkter för att mäta ett plan.

  4. Ta tre mätpunkter på den normalyta som är närmast att vara vinkelrät mot mäthuvudspositionen T1A0,B0,C0.

  5. Tryck på Done på handterminalen. Därefter får du en fråga om du vill rotera PH9/10 till den andra positionen.

  6. Klicka på OK. Spetsvinkeln roteras till den andra spetsvinkeln T1A90B180C0. Du uppmanas återigen att ta tre mätpunkter för att mäta ett plan.

  7. Ta tre mätpunkter på den normalyta som är närmast att vara vinkelrät mot den aktuella mäthuvudspositionen.

  8. Tryck på Done på handterminalen. När du har tryckt på Done visas ett meddelande om att inte alla spetsar som krävs för kalibreringen är tillgängliga i mäthuvudsfilen.

  9. Klicka på Ja för att lägga till dessa spetspositioner. Därefter läggs upp till 17 nya positioner till i listan Aktiva mätspetsar i dialogrutan Mäthuvud.

Viktigt! Flytta inte polyedernormalen efter att den inledande orienteringen har bestämts! Även om den sfäriska kalibreringsnormalen används i nästa steg kommer du att använda polyedernormalen igen. Om du flyttar normalen måste du göra om kalibreringsprocessen från början.

Gå till nästa steg.


Steg 6: Kalibrera alla nödvändiga mätspetspositioner på den sfäriska normalen

I det här steget använder du den sfäriska kalibreringsnormalen för att mäta de nya positioner som lades till i slutet av föregående steg. Du bör inte ha flyttat normalen sedan du använde den senast.

  1. Markera de senaste tillagda spetspositionerna i listan Aktiva mätspetsar i dialogrutan Mäthuvud.

  2. Klicka på knappen Mät. Dialogrutan Kalibrera mätspetsar öppnas.

  3. Välj alternativknappen CNC eller ManCNC.

  4. Välj alternativknappen Kalibrera spetsar i området Åtgärd.

  5. Markera den sfäriska kalibreringsnormalen i listan Tillgängliga normaler.

  6. Klicka på knappen Mät. Om du har valt alternativet CNC påbörjas mätningen av sfären automatiskt med hjälp av de olika mätspetspositionerna.

  7. Efter kalibreringen öppnas dialogrutan Mäthuvud igen.

Gå till nästa steg.


Steg 7: Kalibrera NC-100

Under det här steget kalibreras polyedernormalen genom att varje hål på varje yta på polyedernormalen mäts.

  1. Klicka på knappen Mät i dialogrutan Mäthuvud. Dialogrutan Kalibrera mätspetsar öppnas.

  2. Kontrollera att värdet i rutan Antal mätpunkter är 4 eller högre. Det här värdet är antalet mätpunkter som tas för att mäta varje hål på normalytorna.

  3. Välj alternativknappen CNC.

  4. Välj alternativknappen Kalibrera NC-100 i området Åtgärd

  5. Markera polyedernormalen i listan Kalibreringsnormaler.

  6. Klicka på knappen Mät. Nu visas två meddelanden. I det första meddelandet får du en fråga om du vill bestämma den ursprungliga orienteringen.

  7. Klicka på Nej. Du har redan utfört det steget. I det andra meddelandet får du en fråga om kalibreringsnormalen har flyttats.

  8. Eftersom du inte har kalibrerat polyedernormalen än klickar du på Ja. Nu får du en fråga om CMM-enheten är klar för att rotera mäthuvudet.

  9. Klicka på OK. Dialogrutan Inställningar, körning öppnas och mätprocessen startar. Den första normalytan mäter du manuellt. Du uppmanas att ta de första tre stödpunkterna.

  10. Ta tre stödpunkter på ytan som är närmast att vara vinkelrät mot the skaftvektorn (den översta kanten av normalen). Därefter uppmanas du att ta mätpunkter inuti hålet (det antal mätpunkter som du angav tidigare).

  11. Ta mätpunkterna inuti hålet. När du har mätt den första ytan manuellt mäts resterande ytor automatiskt i CNC-läget.

När samtliga 17 ytor på polyedernormalen har mätts visas dialogrutan Mäthuvud igen.

Nu har du slutfört den första (mest komplicerade) delen av kalibreringsprocessen för det optiska mäthuvudet. Resten av processen är inte så monoton och tar bara några minuter.

Gå till nästa del av den här proceduren.


Kalibrera det optiska mäthuvudet för NC100

Nu ska du kalibrera de vinklar som används av det optiska mäthuvudet (det kontaktfria mäthuvudet). Det optiska mäthuvudet för NC-100 är det första tillgängliga optiska mäthuvudet som kan kalibreras i flera orienteringar.

  1. I dialogrutan Mäthuvud anger du mäthuvudet, förlängningen och det optiska mäthuvudet för NC-100-systemet.

  2. Klicka på knappen Flera vinklar. Dialogrutan Lägg till nya vinklar visas.

  3. Lägg till de vinklar som krävs av detaljprogrammet. Vinklarna ska vara vinkelräta mot det detaljelement du ska mäta.

  4. Klicka OK för att återgå till dialogrutan Mäthuvud.

  5. Klicka på Mät. Dialogrutan Kalibrera mätspetsar visas.

  6. Välj alternativknappen CNC.

  7. Välj alternativknappen Kalibrera spetsar i området Åtgärd.

  8. Markera polyedernormalen i listan Kalibreringsnormaler.

  9. Klicka på knappen Mät. De mäthuvudspositioner du har valt kalibreras.

Mäthuvudet har nu kalibrerats.


Arbeta med bärbara enheter

Arbeta med bärbara enheter: Inledning

Starta PC-DMIS Portable

Använda musläge

Omvandla mätpunkter till punkter

Scanna efter stödpunkter för autoelement


Arbeta med bärbara enheter: Inledning

Bärbara enheter är manuellt styrda mätmaskiner som tack vare sin storlek och design relativt enkelt kan flyttas till nya platser. De kallas ibland för manuella maskiner eller maskiner med fast mätspets eftersom de inte kan köras i CNC-läge och inte har någon triggerfunktion för att ta mätpunkter. Faktum är att vissa bärbara enheter, till exempel SMX-spårare, tar mätpunkter med ett lasermäthuvud i stället för ett fysiskt mäthuvud.

I den här appendixen får du mer information om dessa enheter och om hur de fungerar tillsammans med PC-DMIS. En genomgång av hur du använder bärbara enheter för att kalibrera eller utföra en manuell scan med en fast mätspets finns däremot i avsnitten Definiera hårdvara respektive Scanna en detalj. Du får inte heller någon genomgång av de komplexa åtgärder som bör tas upp i dokumentationen som levererades med den bärbara hårdvaran.

Följande ämnen behandlas i den här appendixen:

  • Starta PC-DMIS Portable

  • Använda musläge

  • Omvandla mätpunkter till punkter

  • Scanna efter stödpunkter för autoelement


Starta PC-DMIS Portable

I PC-DMIS kan du starta ett något annorlunda användargränssnitt när du arbetar med bärbara enheter. Ikonerna i verktygsfältet och menyobjekten är större så att du kan se dem på större avstånd. Du startar detta gränssnitt genom att lägga till "/portable:on" på kommandoraden för PC-DMIS.

Så här skapar du en genväg som startar PC-DMIS i bärbart läge:

  1. Gå till en mapp i Windows, högerklicka och välj Nytt | Genväg. Guiden Skapa genväg öppnas.

  2. Klicka på Bläddra och välj Pcdlrn.exe från installationskatalogen för PC-DMIS.

  3. I rutan som hänvisar till filadressen för Pcdlrn.exe lägger du till följande till sökvägen:

/portable:on

  4. Om du installerade PC-DMIS i katalogen C:\Pcdmisw bör kommandoraden i guiden Skapa genväg se ut så här:

  5. Klicka på Nästa och ange ett namn på genvägen.

  6. Klicka på Slutför. Genvägen skapas vid den angivna filadressen.

  7. Dubbelklicka på genvägen för att starta PC-DMIS Portable.

En skärmbild av användargränssnittet för Portable med större teckensnitt och större ikoner i verktygsfältet

Du kan även öppna dialogrutan Anpassa (högerklicka i verktygsfältet och välj Anpassa) och markera kryssrutorna Använd stora menyer och Använd stora ikoner.


Använda musläge

I PC-DMIS kan du ställa in en bärbar enhet i musläge. I detta specialläge kan du utföra vanliga muspekaråtgärder (till exempel att flytta pekaren, klicka och högerklicka) i PC-DMIS genom att flytta armen och mäthuvudet och trycka på knappar för att utföra musklick. Rörelsen tolkas som om du använde en vanlig mus. Det gör att du kan fortsätta arbeta med den bärbara enheten i stället för att behöva växla mellan enheten och datorn.

Om du arbetar i musläge och försöker använda den vanliga musen kommer den inte att fungera korrekt. Du bör avsluta detta läge för att använda den vanliga musen.

Musläget fungerar utanför PC-DMIS men endast om PC-DMIS fortfarande körs i bakgrunden.

Så här växlar du till musläget

  • Konfiguration med 3 knappar: Tryck på den tredje knappen. Den bärbara enheten växlar till musläge och mäthuvudets rörelser tilldelas till muspekaren på skärmen.

  • Konfiguration med 2 knappar: Tryck in och håll nere knappen Take Hit och tryck därefter snabbt på knappen Done (inom en sekund).

Göra musklick

  • Konfiguration med 3 knappar: Mittenknappen (knapp 2) motsvarar att vänsterklicka och den första knappen motsvarar att högerklicka med musen.

  • Konfiguration med 2 knappar: Med den ena knappen utförs ett vänsterklick och med den andra ett högerklick.

Så här avslutar du musläget

  • Konfiguration med 3 knappar: Om du vill avsluta musläget från en mus med tre knappar trycker du på den tredje knappen.

  • Konfiguration med 2 knappar: Flytta markören högst upp i fönstret och tryck på vänster musknapp.


Omvandla mätpunkter till punkter

PC-DMIS kan ta emot ett flöde av punkter från gränssnittet. För att ta emot ett flöde av punkter håller du knappen Take Hit på den bärbara enheten nedtryckt. På så sätt kan du snabbt scanna en yta och ta många punkter på kort tid.

När punkterna tas emot kan de behandlas på två sätt i PC-DMIS:

  • Skapa individuella punktelement. Om du arbetar i läget Enbart punkter eller om dialogrutan Vektorpunkt för autoelement är öppen skapas endast individuella punktelement från punktflödet.

    • Om du vill växla till läget Enbart punkter klickar du på ikonen Enbart punkter i verktygsfältet Grafik.

    • Om du vill öppna dialogrutan Vektorpunkt klickar du på ikonen Vektorpunkt i verktygsfältet Autoelement.

  • Känna igen elementet. Om du inte arbetar i något av lägena ovan sparas punkterna i mätpunktsbufferten och du ser att antalet mätpunkter ökar i statusfältet. När du har slutfört mätningen avgörs det resulterande elementet genom dina inställningar och beroende på om du arbetar i igenkänningsläge.


Scanna efter stödpunkter för autoelement

Om du mäter ett autoelement där det används stödpunkter uppmanas du att ta stödpunkterna när programmet körs. I stället för att endast ta ett fåtal individuella mätpunkter med den bärbara armen kan du scanna ytan med mäthuvudet för att mycket snabbt ta flera mätpunkter på varje yta. Då får du större noggrannhet.

Vissa element, till exempel en autocirkel, har ett enda stödplan. Andra autoelement, till exempel autovinkelpunkter eller autohörnpunkter, har flera stödplan. Om du vill scanna en yta trycker du in knappen på den bärbara maskinen som börjar ta mätpunkter från styrenheten och när du därefter rör mäthuvudet över ytan läses flera mätpunkter in i PC-DMIS. När du släpper knappen och avslutar scanningen av ytan uppmanas du att ta nästa uppsättning stödpunkter på nästa yta. Fortsätt tills du har scannat de nödvändiga stödpunkterna på samtliga ytor.

Regler för scanning av stödpunkter

  • Du kan inte scanna flera stödplan i ett scansegment. Du kan med andra ord inte scanna runt hörn. När du scannar stödpunkter måste varje scanning utföras på en enda yta. Om det behövs stödpunkter från mer än en yta för ett element, till exempel för ett hörnpunktselement som använder tre ytor, måste du göra en scan av varje yta.

  • Du kan inte scanna stödpunkter och därefter mäta ett element under samma scansegment. Om du scannar stödpunkter innan du scannar ett element för att mäta det bör du utföra ett scansegment för varje yta där du behöver stödpunkter och därefter ett separat scansegment för den faktiska mätningen.

  • När du scannar elementet, det vill säga inte stödpunkterna, kan du utföra elementmätningen i en enda scan. Om du till exempel scannar en autorektangel scannar du alla fyra sidor i ett enda segment.

Mer information om autoelement och stödpunkter finns i avsnittet Skapa autoelement.

Registerposter för scanning med fast mätspets

Det finns flera registerposter i PC-DMIS Inställningar som styr hur punkter läses in i PC-DMIS från den bärbara armens styrenhet. Följande poster finns i avsnittet HardProbeScanningInFeatures:

  • MinDeltaBetweenPointsInMM – Den här posten anger det kortaste avståndet (i millimeter) som mäthuvudet måste flyttas innan en ny mätpunkt skickas till PC-DMIS.

  • MinTimeDeltaBetweenPointsInMilliseconds – Den här posten anger den kortaste tiden (i millisekunder) mellan tagning av mätpunkter.

  • MaxPointsForAFeature – Den här posten anger det största antalet obligatoriska mätpunkter för ett element. Alla punkter utöver detta största antal som läses in från styrenheten ignoreras.

Om du vill ha mer information om dessa poster öppnar du PC-DMIS Inställningar och trycker på F1 för att öppna hjälpfilen. Gå därefter vidare till rätt ämnen i hjälpen.


Arbeta i operatörsläge

Arbeta i operatörsläge: Inledning

Alternativ för att öppna filer

Menyalternativ i operatörsläge

Arkiv

Öppna

Stäng

Stäng utan att spara

Exportera

Avsluta

Redigera

Visa

Fönster

Hjälp

Använda fönstret Markeringsgrupper i operatörsläge

Öppna nytt program

Skriv rapport

Kalibrera spetsar


Arbeta i operatörsläge: Inledning

Operatörsläget begränsar antalet alternativ som är tillgängliga när du kör PC-DMIS. När begränsningarna har angetts kan operatören endast öppna och köra detaljprogrammet.

För att starta PC-DMIS i operatörsläge väljer du Start , Program | PC-DMIS för Windows | Operatörsläge.

När du startar PC-DMIS i operatörsläge är endast de alternativ som är nödvändiga för att köra detaljprogrammet tillgängliga.

Bland de viktigaste ämnena i det här avsnittet är:

  • Alternativ för att öppna filer

  • Menyalternativ i operatörsläge

  • Använda fönstret Markeringsgrupper i operatörsläge


Alternativ för att öppna filer

Dialogrutan Öppna

Dialogrutan Öppna är en standarddialogruta i Windows för att öppna filer. Du kan aktivera ett detaljprogram i operatörsläge genom att dubbelklicka på detaljprogrammets filnamn eller genom att markera detaljprogrammets filnamn och sedan klicka på knappen Öppna.

Följande alternativ har inaktiverats i dialogrutan vid operatörsläge:

  • Import till PC-DMIS - tillgängligt när du inte kör i operatörsläge genom att högerklicka på ett detaljprogram och välja Importera till PC-DMIS på snabbmenyn.

  • Export från PC-DMIS - tillgängligt när du inte kör i operatörsläge genom att högerklicka på ett detaljprogram och välja Exportera från PC-DMIS på snabbmenyn.

  • Redigering av detaljnamnet, serienumret eller revisionsnumret på detaljprogrammets egenskapssida för PC-DMIS - tillgängligt när du inte kör i operatörsläge genom att högerklicka på ett detaljprogram och välja Egenskaper på snabbmenyn.


Menyalternativ i operatörsläge

När ett detaljprogram har aktiverats visas huvudfönstret i PC-DMIS med följande menyalternativ.

Grafikfönstret i operatörsläge

Mer:

Arkiv

Redigera

Visa

Fönster

Hjälp


Arkiv

Med Arkiv-menyn kan du öppna ett befintligt detaljprogram, stänga det nuvarande detaljprogrammet, exportera det nuvarande detaljprogrammet eller avsluta programmet.

Mer:

Öppna

Stäng

Stäng utan att spara

Exportera

Avsluta


Öppna

Med menyalternativet Arkiv | Öppna kan du när som helst växla mellan detaljprogram genom att öppna dialogrutan Öppna och där välja ett annat detaljprogram. Om det detaljprogram som du väljer är ett annat än det som körs för tillfället kommer PC-DMIS att automatiskt spara och stänga det aktiva detaljprogrammet innan det nya detaljprogrammet startas. Men om du försöker att markera och starta det aktiva detaljprogrammet en andra gång från dialogrutan Öppna får du välja mellan två olika alternativ i PC-DMIS:

  • Ignorera alla ändringar som gjorts i det aktiva detaljprogrammet sedan du senast valde att Spara och läsa in det valda detaljprogrammet på nytt utan dessa ändringar.

  • Avbryta hela åtgärden och återgå till dialogrutan Öppna.

Du kan bara ha ett detaljprogram öppet åt gången i operatörsläge.


Stäng

När du väljer Arkiv | Stäng stängs detaljprogrammet och mätvärdena för eventuellt utförda markeringsgrupper sparas.


Stäng utan att spara

Genom att välja Arkiv | Stäng utan att spara stänger du det öppna detaljprogrammet utan att spara eventuella nyligen tagna mätvärden från utförda markeringsgrupper. Du kommer endast att kunna hämta tidigare existerande data.


Exportera

För att exportera ditt nuvarande detaljprogram väljer du menyalternativet Arkiv | Exportera. Då öppnas dialogrutan Exportera data. Markera vilken datatyp du vill exportera som, katalogen där du vill spara dina data och klicka sedan på OK. Mer information om export finns i Exportera CAD-data i avsnittet Använda avancerade filalternativ.


Avsluta

För att avsluta PC-DMIS, alla andra program och logga ut från datorn, väljer du menyalternativet Arkiv | Avsluta. Det aktuella detaljprogrammet sparas automatiskt innan PC-DMIS avslutas.


Redigera

Dialogrutan Inställningar, koordinatvisning. I den här dialogrutan kan du ange hur information ska visas. Mer information finns i Inställningar för Koordinatvisningsfönstret i avsnittet Göra inställningar.


Visa

Med den här menyn kan du visa eller dölja följande fönster medan du kör i operatörsläge.

Grafikfönster – Med det här alternativet kan du visa eller dölja Grafikfönstret. Se Grafikfönstret i avsnittet Navigera i användargränssnittet.

Förhandsgranskningsfönster – Med det här alternativet kan du visa eller dölja Förhandsgranskningsfönstret. Se Använda Förhandsgranskningsfönstret i avsnittet Använda andra fönster, redigerare och verktyg.

Koordinatvisning – Med det här alternativet kan du visa eller dölja Koordinatvisningsfönstret. Se Använda Koordinatvisningsfönstret i avsnittet Använda andra fönster, redigerare och verktyg.

Fönstret Markeringsgrupper – Med det här alternativet kan du visa eller dölja fönstret Markeringsgrupper. Se Använda fönstret Markeringsgrupper i avsnittet Använda andra fönster, redigerare och verktyg. Se Använda fönstret Markeringsgrupper i operatörsläge.


Fönster

På Fönster-menyn finns åtgärder för att hantera flera öppna detaljprogram och fönster. Se avsnittet Navigera i och visa flera fönster.


Hjälp

På Hjälp-menyn finns samma menyalternativ som i PC-DMIS standardläge.


Använda fönstret Markeringsgrupper i operatörsläge

Fönstret Markeringsgrupper

När du öppnar ett detaljprogram öppnas fönstret Markeringsgrupper automatiskt. Följande alternativ är tillgängliga i fönstret Markeringsgrupper i operatörsläge:

Mer:

Öppna nytt program

Skriv rapport

Kalibrera spetsar


Öppna nytt program

När du väljer Öppna nytt program visas dialogrutan Öppna, där du kan välja vilka detaljprogram du vill öppna.


Skriv rapport

Med ikonen Skriv rapport kan du skriva ut en fullständig rapport till den skrivare som konfigurerades i detaljprogrammets "inlärningsdel".

Om du skickar utdata till en fil kommer filen att sparas i RTF-format. Om detta är den första rapporten som du sparar sedan du startade systemet kommer du behöva ange ett värde i rutan Ny fil nr. Om Auto har markerats kommer, efter att den första filen har sparats, alla framtida filer att sparas inkrementellt från det första numret som angavs (så länge systemet inte stängs av). Du kan när som helst ändra det nummer som visas genom att helt enkelt ange ett annat värde.

Om kryssrutan Snabbutskrift markerades under inlärningsdelen, kommer teckensnitten i Redigeringsfönstret att ändras till en snabbutskriftstyp för utskriftsändamål. Eventuella färger som används i rapporten (för att särskilja toleranser, lägen, m.m.) kommer att ändras till svart. De här ändringarna förbättrar utskriftshastigheten avsevärt.

Klicka på knappen Skriv rapport (eller tryck på F4) för att skriva ut den aktuella redigeringsrapporten. Data i Redigeringsfönstret skickas till skrivaren och/eller en förbestämd fil.


Kalibrera spetsar

Med knappen Kalibrera spetsar kan du kalibrera alla spetsvinklar för alla mäthuvuden i det aktuella detaljprogrammet. Den här processen anger platsen för och diametern på varje mätspets i PC-DMIS.

Obs! Information om kalibrering av mäthuvuden sparas inte. Därför måste du kontrollera att ett mäthuvud kalibreras om varje gång det ändras på något sätt.


Mäta autoelement med det optiska mäthuvudet NC-100

Mäta autoelement med det optiska mäthuvudet NC-100: Inledning

Gemensamma dialogrutefunktioner som är specifika för det optiska mäthuvudet NC-100

Knappen Läs av

Knappen Optikinställningar

Listan Elementtyp

För kantpunkter

För karaktäristiska punkter

Rutorna Indrag

Rutan Höjd

Vektorpunkt med NC-100

Fältdefinitioner för vektorpunkter med NC-100

Mäta en vektorpunkt med NC-100

Använda angivna data för en vektorpunkt med NC-100

Använda ytdata på skärmen för en vektorpunkt med NC-100

Använda tråddata på skärmen för en vektorpunkt med NC-100

Kantpunkt med NC-100

Typdefinition för kantpunkt med NC-100

Fältdefinition för kantpunkt med NC-100

Mäta en kantpunkt med NC-100

Använda angivna data för en kantpunkt med NC-100

Använda ytdata på skärmen för en kantpunkt med NC-100

Använda tråddata på skärmen för en kantpunkt med NC-100

Karaktäristiska punkter

Typdefinition för karaktäristisk punkt

Fältdefinitioner för karaktäristiska punkter

Mäta en karaktäristisk punkt

Använda angivna data för en karaktäristisk punkt

Använda ytdata på skärmen för en karaktäristisk punkt

Använda tråddata på skärmen för en karaktäristisk punkt

Cirkel, pinne eller tyngdpunkt med NC-100

Typdefinition för cirkel med NC-100

Fältdefinitioner för cirklar med NC-100

Mäta en cirkel med NC-100

Använda angivna data för en cirkel med NC-100

Använda ytdata på skärmen för en cirkel med NC-100

Använda tråddata på skärmen för en cirkel med NC-100

Rätvinkligt spår/spel och flush med NC-100

Typdefinition för rätvinkligt spår och spel och flush med NC-100

Fältdefinition för rätvinkligt spår och spel och flush med NC-100

Mäta ett rätvinkligt spår med NC-100

Använda angivna data för ett rätvinkligt spår med NC-100

Använda ytdata på skärmen för ett rätvinkligt spår med NC-100

Använda tråddata på skärmen för ett rätvinkligt spår med NC-100

Djup för spel och flush med NC-100

Djup2 för spel och flush med NC-100

Spel för spel och flush med NC-100

Flush för spel och flush med NC-100

Typ = HÖGER/VÄNSTER för spel och flush med NC-100

Elementtyper för mätningar av rätvinkligt spår samt spel och flush med NC-100

Rundat spår med NC-100

Fältdefinitioner för rundade spår med NC-100

Mäta ett rundat spår med NC-100

Använda angivna data för ett rundat spår med NC-100

Använda ytdata på skärmen för ett rundat spår med NC-100

Använda tråddata på skärmen för ett rundat spår med NC-100


Mäta autoelement med det optiska mäthuvudet NC-100: Inledning

Det här avsnittet innehåller information om hur du mäter autoelement med det optiska mäthuvudet NC-100. Information om hur du konfigurerar det optiska mäthuvudet NC-100 finns i Inställningsval: Fliken NC-100-inställningar i avsnittet Göra inställningar.

På menyn Infoga | Element | Autoelement kan du använda direktdatorstyrda funktioner (CNC-funktioner) om du använder en automatisk mätmaskin. I dialogrutan Autoelement kan du skapa CNC-element.

Huvudämnena i detta avsnitt är:

  • Gemensamma dialogrutefunktioner som är specifika för det optiska mäthuvudet NC-100

  • Vektorpunkt med NC-100

  • Kantpunkt med NC-100

  • Karaktäristiska punkter

  • Cirkel, pinne eller tyngdpunkt med NC-100

  • Rätvinkligt spår/spel och flush med NC-100

  • Rundat spår med NC-100

För fullständig information om vissa ämnen hänvisas du till avsnittet Skapa autoelement.

Obs! Allmän information om hur du mäter autoelement finns i avsnittet Skapa autoelement. Observera att vissa alternativ i det avsnittet inte är tillgängliga för det optiska mäthuvudet NC-100.


Gemensamma dialogrutefunktioner som är specifika för det optiska mäthuvudet NC-100

Under rubriken Gemensamma alternativ i dialogrutan Autoelement i avsnittet Skapa autoelement finns en fullständig beskrivning av alternativen i dialogrutan Autoelement.

Detta ämne innehåller endast en genomgång av hur dialogrutefunktionerna fungerar och används med det optiska mäthuvudet NC-100 samt av vissa dialogrutefunktioner som aktiveras när du använder NC-100.

Mer:

Knappen Läs av

Knappen Optikinställningar

Listan Elementtyp

Rutorna Indrag

Rutan Höjd


Knappen Läs av

Om du klickar på knappen Läs av samlas faktiska mätdata in som nominella värden för ett element. Så här använder du knappen Läs av:

  1. Placera det optiska mäthuvudet NC-100 ovanför det element som ska mätas.

  2. Ställ in parametrarna för mäthuvudet genom att klicka på knappen Optikinställningar.

  3. Klicka på knappen Läs av när du är klar.

Nu mäts elementet i PC-DMIS med datasystemet för NC-100 och mätdata placeras i rutorna TEOR. Det innebär att du kan mäta element utan CAD-data.


Knappen Optikinställningar

Mer information om knappen Optikinställningar finns i Inställningsval: Fliken NC-100-inställningar i avsnittet Göra inställningar.


Listan Elementtyp

I listan Elementtyp visas följande elementtyper:

Mer:

För kantpunkter

För karaktäristiska punkter


För kantpunkter

NORMAL = Detta är mätningen av den normala kanttypen som görs på ytan högst upp på kanten.

DELTAZ = Med detta alternativ kan du mäta en kant på ett angivet djup i förhållande till ytplanet.

HÖGSTA PUNKT = Med detta alternativ kan du mäta en kant vid det högsta värdet i en angiven riktning.

STORTHÅL = Med detta alternativ kan du mäta en kant för att mäta en del av ett hål som är större än sensorns synfält.


För karaktäristiska punkter

I listan Elementtyp kan du välja bland de tillgängliga typerna av karaktäristiska punkter. De är:

KARAKT 1 = Den här typen av element tillåter mätning av två punkter (en på varje yta) vid ett givet indrag från skärningspunkten mellan två plan.

KARAKT 2 = För den här typen av element mäts punkten vid skärningspunkten mellan två plan.


Rutorna Indrag

Se även Rutorna Indrag i avsnittet Skapa autoelement.

Karaktäristisk punkt

I PC-DMIS kan du använda två värden för indrag, Indrag 1 och Indrag 2, för att ställa in förskjutningsavstånd (offset) för en karaktäristisk punkt. Avstånden används därefter för att beräkna ett punktläge på var och en av de båda ytorna för vinkeln för en karaktäristisk punkt.

Rutorna för indrag aktiveras om du väljer KARAKT 1 i listan Elementtyp.

Mät en karaktäristisk punkt med två teoretiska avstånd

· I rutan Indrag 1 kan du ange förskjutningsavståndet från punktläget till stödpunkterna på vinkelns första yta.

· I rutan Indrag 2 kan du ange förskjutningsavståndet från punktläget till stödpunkterna på vinkelns andra yta.


Rutan Höjd

Se även Rutan Höjd i avsnittet Skapa autoelement.

Krökningsradie

När TYP = HÅL används rutan Höjd för att definiera den nominella längden för elementet. Om du anger ett värde för Höjd men inte definierar något djup delas värdet för Höjd med tre och resultatet används för djupet.

Om TYP = TAPP kan du med det här alternativet lägga till en extra mätpunkt mitt på tappens ovansida. Om detta värde är något annat än 0 tas en extra mätpunkt på tappens mittpunkt. Därefter beräknas tappens höjd.


Vektorpunkt med NC-100

Alternativet Vektorpunkt – dialogrutan Autoelement

Med mätningsalternativet Vektorpunkt kan du definiera ett nominellt punktläge samt den nominella anloppsriktning som används när punkten mäts med mätmaskinen.

Mätning av enstaka punkt

Så här aktiverar du alternativet Vektorpunkt:

  1. Öppna dialogrutan Autoelement (Infoga | Element | Autoelement | Punkt | Vektor). Visa menykarta

  2. Välj autoelementtypen Vektorpunkt.

Det här är ett exempel på en kommandorad i Redigeringsfönstret för en vektorpunkt:
F_ID=AUTO/VEKTORPUNKT, TEO_TJOCKLEK = n, ALT, FÄST = J/N
TEOR/ TX,TY,TZ,TI,TJ,TK
MÄTT/ X,Y,Z,I,J,K
MÅL/målX,målY,målZ,målI,målJ,målK
AUTORÖRELSE = J/N, AVSTÅND = n

Mer:

Fältdefinitioner för vektorpunkter med NC-100

Mäta en vektorpunkt med NC-100


Fältdefinitioner för vektorpunkter med NC-100

En fullständig genomgång av den här definitionen finns i Fältdefinitioner för vektorpunkter i avsnittet Skapa autoelement. Följande definition är specifik för det optiska mäthuvudet NC-100:

VERKL_TJOCKLEK = Det här värdet motsvarar den angivna förskjutna tjockleken för mätdata. Positiva och negativa värden kan användas.


Mäta en vektorpunkt med NC-100

I PC-DMIS finns det flera metoder för att mäta en vektorpunkt med alternativet Autoelement. Information om metoderna finns under följande rubriker:

  • Använda angivna data för en vektorpunkt med NC-100

  • Använda ytdata på skärmen för en vektorpunkt med NC-100

  • Använda tråddata på skärmen för en vektorpunkt med NC-100

Obs! Du kan inte använda musen i Grafikfönstret om det inte finns några CAD-data.

Mer:

Använda angivna data för en vektorpunkt med NC-100

Använda ytdata på skärmen för en vektorpunkt med NC-100

Använda tråddata på skärmen för en vektorpunkt med NC-100


Använda angivna data för en vektorpunkt med NC-100

Med den här metoden kan du skriva in önskade XYZ- och IJK-värden för vektorpunkten.


Använda ytdata på skärmen för en vektorpunkt med NC-100

Så här skapar du en vektorpunkt med hjälp av ytdata:

  1. Placera markören på den plats i Grafikfönstret som du vill använda för punkten (på ytan).

  2. Klicka på ytan. Den valda ytan markeras i PC-DMIS.

  3. Kontrollera att rätt yta har markerats.

Fullständig information om den här processen finns i Använda ytdata på skärmen för en vektorpunkt i avsnittet Skapa autoelement.


Använda tråddata på skärmen för en vektorpunkt med NC-100

Detta beskrivs i Använda tråddata på skärmen för en vektorpunkt i avsnittet Skapa autoelement.


Kantpunkt med NC-100

Alternativet Kantpunkt – dialogrutan Autoelement

Med mätalternativet Kantpunkt kan du definiera en punktmätning som ska göras på detaljens kant.

Det finns fyra typer av kantmätningar. De är:

  • KANTNORMAL

  • KANTDELTAZ

  • KANTHÖGSTA

  • KANTSTORTHÅL

De olika mätningarna har olika parameterinställningar för in- och utdata och olika teoretiska definitioner i DMIS-kommandot.

Punkt som mäts i ett optiskt system

Så här aktiverar du alternativet Kantpunkt:

  1. Öppna dialogrutan Autoelement (Infoga | Element | Autoelement | Punkt | Kant). Visa menykarta

  2. Välj autoelementtypen Kantpunkt.

Det här är ett exempel på en kommandorad i Redigeringsfönstret för en kantpunkt:
F_ID=AUTO/KANTNORMAL, VISA_MÄTPKT = J/N, VISA_ALLA_PARAMETRAR = J/N,
TEOR/ TX,TY,TZ,TI,TJ,TK
MÄTT/ X,Y,Z,I,J,K
MÅL/målX,målY,målZ,målI,målJ,målK
TEO_TJOCKLEK = n ,ALT3 ,KANT TEO_TJOCKLEK = .n
AUTORÖRELSE=ALT , AVSTÅND = n,
YTNORMAL = I,J,K, DJUP = n

Mer:

Typdefinition för kantpunkt med NC-100

Mäta en kantpunkt med NC-100


Typdefinition för kantpunkt med NC-100

KANTNORMAL= Detta är mätningen av den normala kanttypen som görs på ytan högst upp på kanten.

KANTDELTAZ = Med den här typen av mätning mäts en kant på ett angivet djup i förhållande till ytplanet.

Kant på ett fördefinierat djup från detaljens yta

KANTHÖGSTA = Med den här typen av mätning mäts en kant vid det högsta värdet i en angiven riktning.

Kant vid det högsta värdet i en angiven riktning

KANTSTORTHÅL = Med den här typen av mätning kan du använda mätningen av en kant för att mäta en del av ett hål som är större än sensorns synfält.

Mätning av konturer för ett stort hål

M er:

Fältdefinition för kantpunkt med NC-100


Fältdefinition för kantpunkt med NC-100

En fullständig genomgång av den här definitionen finns i Fältdefinitioner för kantpunkter i avsnittet Skapa autoelement. Följande gäller specifikt för det optiska mäthuvudet NC-100:

VERKL_TJOCKLEK = Det här värdet motsvarar den angivna förskjutna tjockleken för mätdata. Positiva och negativa värden kan användas.

VISA_MÄTPKT = Det här är ett växlingsfält. Det växlar mellan JA och NEJ och anger huruvida mätpunkter visas tillsammans med elementet. Den här funktionen är för närvarande inte tillgänglig för kantpunkter.

VISA_ALLA_PARAMETRAR = Det här är ett växlingsfält. Det växlar mellan JA och NEJ beroende på om alla parametrar för kantpunten ska visas.

KANT VERKL_TJOCKLEK = Det här värdet motsvarar den angivna förskjutna tjockleken för den mätta kanten. Positiva och negativa värden kan användas.

DJUP = Det här redigerbara värdet är ett avstånd. (Endast tillgängligt för KANTDELTAZ)


Mäta en kantpunkt med NC-100

I PC-DMIS finns följande metoder för att mäta en kantpunkt med det optiska mäthuvudet NC-100:

  • Använda angivna data för en kantpunkt

  • Använda ytdata på skärmen för en kantpunkt

  • Använda tråddata på skärmen för en kantpunkt

Obs! Du kan inte använda musen i Grafikfönstret om det inte finns några CAD-data.

Obs! I PC-DMIS förutsätts att normalytan och mätningsytan är vinkelräta mot varandra.


Använda angivna data för en kantpunkt med NC-100

Detta beskrivs i Använda angivna data för en kantpunkt i avsnittet Skapa autoelement.


Använda ytdata på skärmen för en kantpunkt med NC-100

Detta beskrivs i Använda ytdata på skärmen för en kantpunkt i avsnittet Skapa autoelement.


Använda tråddata på skärmen för en kantpunkt med NC-100

Detta beskrivs i Använda tråddata på skärmen för en kantpunkt i avsnittet Skapa autoelement.


Karaktäristiska punkter

Alternativet Karaktäristisk punkt – dialogrutan Autoelement

Alternativet Karaktäristisk punkt är endast tillgänglig om du använder det optiska mäthuvudet NC-100.

En karaktäristisk punkt är i princip en vinkelpunkt. I Typdefinition för karaktäristisk punkt beskrivs två typer av karaktäristiska punkter. De kräver olika parameterinställningar för in- och utdata och olika teoretiska definitioner i DMIS-kommandot. Mätkommandot är däremot detsamma för båda typerna av karaktäristisk punkt. I diagrammet nedan visas en allmän mätning av en karaktäristisk punkt.

Mätning av karaktäristisk punkt

Så här aktiverar du alternativet Karaktäristisk punkt:

  1. Öppna dialogrutan Autoelement (Infoga | Element | Autoelement | Punkt | Karaktäristisk). Visa menykarta

  2. Välj autoelementtypen Karaktäristisk punkt.

Det här är ett exempel på en kommandorad i Redigeringsfönstret för en karaktäristisk punkt:

F_ID=AUTO/KARAKTÄRISTISK 1, VISA_MÄTPKT=J/N,VISA_ALLA_PARAMETRAR=J/N
TEOR/ TX,TY,TZ,TI,TJ,TK,TX2,TY2,TZ2
ACTL/ X,Y,Z,I,J,K,X2,Y2,Z2
MÅL/målX,målY,målZ,målI,målJ,målK
TEO_TJOCKLEK = n, ALT
AUTORÖRELSE = J/N, AVSTÅND = n VEKTOR1 = I,J,K, VEKTOR2 = I,J,K
INDRAG1= n, INDRAG2 = n

Mer:

Typdefinition för karaktäristisk punkt

Mäta en karaktäristisk punkt


Typdefinition för karaktäristisk punkt

KARAKTÄRISTISK 1 = Den här typen av element tillåter mätning av två punkter (en på varje yta) vid ett givet indrag från skärningspunkten mellan två plan. Det ger två datapunkter.

KARAKTÄRISTISK 2 = För den här typen av element mäts punkten vid skärningspunkten mellan två plan. Det ger en datapunkt.

Mer:

Fältdefinitioner för karaktäristiska punkter


Fältdefinitioner för karaktäristiska punkter

VISA_MÄTPKT = Det här är ett växlingsfält. Det växlar mellan JA och NEJ och anger huruvida mätpunkter visas tillsammans med elementet. Den här funktionen är för närvarande inte tillgänglig.

VISA_ALLA_PARAMETRAR = Det här är ett växlingsfält. Det växlar mellan JA och NEJ beroende på om alla parametrar för elementet ska visas.

TEO_TJOCKLEK = Det här värdet motsvarar den angivna tjockleken för detaljen. Positiva och negativa värden kan användas.

VERKL_TJOCKLEK = Det här värdet motsvarar den angivna förskjutna tjockleken för mätdata. Positiva och negativa värden kan användas.

ALT 1= Det här är ett växlingsfält. X,Y,Z,I,J,K visas i REKT-koordinater (rektangulära) eller POL-koordinater (polära).

TEOR/ = Det här värdet motsvarar den teoretiska mätpunkten.

MÄTT/ = Det här värdet motsvarar den uppmätta mätpunkten.

MÅL = Med de här värdena styr du mätningsläget och vektorriktningen för körning, samtidigt som du kan använda ett helt annat TEOR-värde.

AUTORÖRELSE = Det här är ett växlingsfält. JA innebär att alternativet är PÅ.

AVSTÅND = Det här värdet är det avstånd som mätspetsen flyttas med vid alternativet AUTORÖRELSE.

VEKTOR1 = De tre talen (IJK-värdena) utgör en redigerbar vektor och tvingas till rätvinklighet mot vektorn på den första ytan.

VEKTOR2 = De tre talen (IJK-värdena) utgör en redigerbar vektor och tvingas till rätvinklighet mot vektorn på den andra ytan.

INDRAG1 = Det här redigerbara värdet är förskjutningsavståndet (offset) för punktens läge på vinkelns första yta. Det används inte för Karaktäristisk punkt 2.

INDRAG2 = Det här redigerbara värdet är förskjutningsavståndet (offset) för punktens läge på vinkelns andra yta. Det används inte för Karaktäristisk punkt 2.

Allmän information om hur du mäter de olika typerna av autoelement finns i Gemensamma alternativ i dialogrutan Autoelement i avsnittet Skapa autoelement.

Allmän information om hur du mäter de olika typerna av autoelement finns i Gemensamma alternativ i dialogrutan Autoelement i avsnittet Skapa autoelement.


Mäta en karaktäristisk punkt

I PC-DMIS finns det flera metoder för att mäta en karaktäristisk punkt med alternativet Autoelement. Information om metoderna finns under följande rubriker:

  • Använda angivna data för en karaktäristisk punkt

  • Använda ytdata på skärmen för en karaktäristisk punkt

  • Använda tråddata på skärmen för en karaktäristisk punkt

Obs! Du kan inte använda musen i Grafikfönstret om det inte finns några CAD-data.


Använda angivna data för en karaktäristisk punkt

Med den här metoden kan du skriva in önskade XYZ- och IJK-värden för en karaktäristisk punkt.


Använda ytdata på skärmen för en karaktäristisk punkt

Så här skapar du en karaktäristisk punkt med hjälp av ytdata:

  1. Klicka på ikonen Ytläge [image] .

  2. Använd den animerade mätspetsen och rör vid en plats nära (men inte på) den vinklade kanten. Den valda ytan markeras i PC-DMIS.

  3. Kontrollera att rätt yta har markerats.

När du anger en punkt visas värdet för den markerade karaktäristiska punkten och vektorn i dialogrutan. Riktningen för ytans normalvektor avgörs av vilken sida av detaljen som är åtkomlig för mätspetsen. Om båda sidorna är lika åtkomliga används normalen från CAD-data. Med knappen Vänd vektor kan du ändra anloppsriktningen.

Om du klickar med musen fler gånger innan du klickar på knappen Skapa skrivs den tidigare informationen över med nya data.

Obs! Om ytterligare en punkt krävs klickar du på den motsatta ytan för den vinklade kanten.


Använda tråddata på skärmen för en karaktäristisk punkt

Du kan även CAD-tråddata för att skapa en karaktäristisk punkt.

Så här skapar du punkten:

  1. Använd den animerade mätspetsen och rör vid en plats nära (men inte på) den vinklade kanten. Den valda ytan markeras i PC-DMIS.

  2. Kontrollera att rätt yta har markerats.

När du har valt en punkt visas värdet för den valda karaktäristiska punkten och vektorn för autoelementtypen Karaktäristisk punkt i dialogrutan Autoelement. Riktningen för ytans normalvektor avgörs av vilken sida av detaljen som är åtkomlig för mätspetsen. Om båda sidorna är lika åtkomliga används normalen från CAD-data. Med knappen Vänd vektor kan du ändra anloppsriktningen.

  • Om du klickar med musen fler gånger innan du klickar på knappen Skapa skrivs den tidigare informationen över med nya data.

  • Om ytterligare en punkt krävs klickar du på den motsatta ytan för den vinklade kanten.


Cirkel, pinne eller tyngdpunkt med NC-100

Alternativet Cirkel – dialogrutan Autoelement

Med alternativet för autoelementet cirkel kan du definiera en cirkelmätning. I Typdefinition för cirkel med NC-100 på sidan G-1307 finns en genomgång av de tre mätningstyperna. Om antalet obligatoriska punkter är större än 10 eller om sensorn inte kan identifiera skärningspunkterna väljs punkter runt hålets kontur som projiceras på planet. Punkterna kan identifieras med de infraröda linjerna.

Mätning av hål med infraröda linjer över hålets kontur

Så här aktiverar du alternativet Cirkel:

  1. Öppna dialogrutan Autoelement (Infoga | Element | Autoelement | Cirkel). Visa menykarta

  2. Välj autoelementtypen Cirkel.

Så här ser kommandoraden för en exempelcirkel ut i Redigeringsfönstret:

F_ID=AUTO/CIRKEL, VISA_MÄTPKT=J/N, VISA_ALLA_PARAMETRAR=J/N
TEOR/ TX,TY,TZ,TI,TJ,TK,TDIAM,
MÄTT/ X,Y,Z,I,J,K,DIAM,
MÅL/målX,målY,målZ,målI,målJ,målK
TEO_TJOCKLEK = n, ALT1, ALT2, ALT3
AUTORÖRELSE = J/N, AVSTÅND = n
ANTPKTR = n

Mer:

Typdefinition för cirkel med NC-100

Mäta en cirkel med NC-100


Typdefinition för cirkel med NC-100

HÅL = Den här typen av element tillåter mätning av en invändig eller utvändig cirkel.

PINNE = Den här typen av element tillåter mätning av en pinne.

Mätning av en pinne

TYNGDPUNKT = Den här elementtypen är en mätning av ett hål med okänd form. Endast läget rapporteras.

Mätning av hål med olika former

Mer:

Fältdefinitioner för cirklar med NC-100


Fältdefinitioner för cirklar med NC-100

De flesta av definitionerna behandlas i Fältdefinitioner för cirklar i avsnittet Skapa autoelement. Följande definitioner tillkommer eller förändras om du använder det optiska mäthuvudet NC-100:

VISA_MÄTPKT = Det här är ett växlingsfält. Det växlar mellan JA och NEJ och anger huruvida mätpunkter visas tillsammans med elementet.

VISA_ALLA_PARAMETRAR = Det här är ett växlingsfält. Det växlar mellan JA och NEJ beroende på om alla parametrar för elementet ska visas.

TEO_TJOCKLEK = Det här redigerbara värdet motsvarar den angivna tjockleken för detaljen. Positiva och negativa värden kan användas.

VERKL_TJOCKLEK = Det här värdet motsvarar den angivna förskjutna tjockleken för mätdata. Positiva och negativa värden kan användas.

TEOR/ = Det här värdet motsvarar det teoretiska elementläget. TDIAM är det nominella värdet för diametern.

MÄTT/ = Det här värdet motsvarar den uppmätta mätpunkten. DIAM är det mätta värdet för diametern.

ALT2 = Det här växlingsfältet växlar mellan IN och UT. Vilken typ av cirkel som mäts avgörs i PC-DMIS utifrån läget för mätspetsen när mätpunkten tas. (Inuti en cirkel = IN, utanför en tapp = UT.) Endast tillgängligt med elementtypen Hål.

ALT3 = Det här växlingsfältet växlar mellan GAUSS, MAX_INSKR, MIN_OMSKR, TJEBYCHEV och FAST_RAD. Endast tillgängligt med elementtypen Hål.

ANTPKTR = Det här redigerbara värdet måste vara ett heltal som är större än två. Endast tillgängligt med elementtypen Hål.

Allmän information om hur du mäter de olika typerna av autoelement finns i Gemensamma alternativ i dialogrutan Autoelement i avsnittet Skapa autoelement.


Mäta en cirkel med NC-100

I PC-DMIS finns det flera metoder för att mäta autocirklar. Information om metoderna finns under följande rubriker:

  • Använda angivna data för en cirkel med NC-100

  • Använda ytdata på skärmen för en cirkel med NC-100

  • Använda tråddata på skärmen för en cirkel med NC-100

Obs! Du kan inte använda musen i Grafikfönstret om det inte finns några CAD-data.


Använda angivna data för en cirkel med NC-100

Detta beskrivs i Använda angivna data för en autocirkel i avsnittet Skapa autoelement.


Använda ytdata på skärmen för en cirkel med NC-100

Detta beskrivs i Använda ytdata på skärmen för en autocirkel i avsnittet Skapa autoelement.


Använda tråddata på skärmen för en cirkel med NC-100

Detta beskrivs i Använda tråddata på skärmen för en autocirkel i avsnittet Skapa autoelement.


Rätvinkligt spår/spel och flush med NC-100

Dialogrutan Rätvinkligt spår

Med alternativet Rätvinkligt spår kan du definiera en mätning av ett rätvinkligt spår eller av spel och flush. Mer information om tillgängliga typer av mätningar finns i Typdefinition för rätvinkligt spår och spel och flush med NC-100.

Du mäter ett rätvinkligt spår med punkter inuti ROI (intresseområdet) och längs spårets konturer.

Mätning av rätvinkligt spår

Så här aktiverar du alternativet Rätvinkligt spår:

  1. Öppna dialogrutan Autoelement (Infoga | Element | Autoelement | Rätvinkl. spår). Visa menykarta

  2. Välj autoelementtypen Rätvinkligt spår.

Det här är ett exempel på en kommandorad i Redigeringsfönstret för ett rätvinkligt spår:

F_ID=AUTO/RÄTVINKL. SPÅR, VISA_MÄTPKT=J/N, VISA_ALLA_PARAMETRAR=J/N
TEOR/ TX,TY,TZ,TI,TJ,TK,TBREDD,TLÄNGD
MÄTT/ X,Y,Z,I,J,K, BREDD, LÄNGD,
MÅL/ målX,målY,målZ,målI,målJ,målK
TEO_TJOCKLEK = n, ALT1
AUTORÖRELSE = J/N, AVSTÅND = n

Det här är ett exempel på en kommandorad i Redigeringsfönstret för spel och flush:

F_ID=AUTO/SPELDELTAZ, VISA_MÄTPKT=J/N, VISA_ALLA_PARAMETRAR=J/N
TEOR/ TX,TY,TZ,TI,TJ,TK,TSPEL,TFLUSH
MÄTT/ X,Y,Z,I,J,K,SPEL,FLUSH
MÅL/målX,målY,målZ,målI,målJ,målK
TEO_TJOCKLEK = n, ALT1, ALT2
AUTORÖRELSE = J/N, AVSTÅND = n, DJUP = n, DJUP2 = n

Mer:

Typdefinition för rätvinkligt spår och spel och flush med NC-100

Mäta ett rätvinkligt spår med NC-100

Djup för spel och flush med NC-100

Djup2 för spel och flush med NC-100

Spel för spel och flush med NC-100

Flush för spel och flush med NC-100

Typ = HÖGER/VÄNSTER för spel och flush med NC-100

Elementtyper för mätningar av rätvinkligt spår samt spel och flush med NC-100


Typdefinition för rätvinkligt spår och spel och flush med NC-100

RÄTVINKL. SPÅR = Den här typen av element tillåter mätning av ett rätvinkligt spår.

SPELNORMAL = Den här typen av element tillåter mätning av spel och flush för ett spel på ytan av den fasta sidan. Nedan visas en vanlig punktmätning:

Mätning av punkter för spelnormal (Gap Normal) med ett optiskt system

SPELDELTAZ = Med den här typen av mätning kan du mäta ett spel på ett visst djup i förhållande till den fasta sidan av en detalj.

Mätning av spel och flush på ett angivet djup

M er:

Fältdefinition för rätvinkligt spår och spel och flush med NC-100


Fältdefinition för rätvinkligt spår och spel och flush med NC-100

De flesta av definitionerna behandlas i Fältdefinitioner för rätvinkliga spår i avsnittet Skapa autoelement. Följande definitioner tillkommer eller förändras om du använder det optiska mäthuvudet NC-100:

VISA_MÄTPKT = Det här är ett växlingsfält. Det växlar mellan JA och NEJ och anger huruvida mätpunkter visas tillsammans med elementet.

VISA_ALLA_PARAMETRAR = Det här är ett växlingsfält. Det växlar mellan JA och NEJ beroende på om alla parametrar för elementet ska visas.

VERKL_TJOCKLEK = Det här värdet motsvarar den angivna förskjutna tjockleken för mätdata. Positiva och negativa värden kan användas.

ALT2 = I det här fältet anges den fasta sidan i en mätning av spel och flush. Endast tillgängligt för spel och flush.

TEOR/ = Det här värdet motsvarar det teoretiska elementläget.

DJUP = Det här redigerbara värdet står för djupet i en mätning på den fasta sidan för spel och flush.

DJUP2 = Det här redigerbara värdet står för djupet i en mätning på den rörliga sidan för spel och flush.

Allmän information om hur du mäter de olika typerna av autoelement finns i Gemensamma alternativ i dialogrutan Autoelement i avsnittet Skapa autoelement.


Mäta ett rätvinkligt spår med NC-100

I PC-DMIS finns det flera metoder för att mäta ett rätvinkligt spår med alternativet Autoelement. Information om metoderna finns under följande rubriker:

  • Använda angivna data för ett rätvinkligt spår med NC-100

  • Använda ytdata på skärmen för ett rätvinkligt spår med NC-100

  • Använda tråddata på skärmen för ett rätvinkligt spår med NC-100

Obs! Du kan inte använda musen i Grafikfönstret om det inte finns några CAD-data.


Använda angivna data för ett rätvinkligt spår med NC-100

Detta beskrivs i Använda angivna data för ett rätvinkligt spår i avsnittet Skapa autoelement.


Använda ytdata på skärmen för ett rätvinkligt spår med NC-100

Detta beskrivs i Använda ytdata på skärmen för ett rätvinkligt spår i avsnittet Skapa autoelement.


Använda tråddata på skärmen för ett rätvinkligt spår med NC-100

Detta beskrivs i Använda tråddata på skärmen för ett rätvinkligt spår i avsnittet Skapa autoelement.


Djup för spel och flush med NC-100

I rutan Djup definieras avståndet under ytan på den fasta sidan där spel och flush ska mätas. Rutan aktiveras om du väljer SPELDELTAZ i listan Elementtyp.

Så här ändrar du djupet:

  1. Markera det befintliga värdet.

  2. Ange ett nytt värde.


Djup2 för spel och flush med NC-100

I rutan Djup2 definieras avståndet under ytan på den rörliga sidan där spel och flush ska mätas. Rutan aktiveras om du väljer SPELDELTAZ i listan Elementtyp.

Så här ändrar du djupet:

  1. Markera det befintliga värdet.

  2. Ange ett nytt värde.


Spel för spel och flush med NC-100

I rutan Spel visas spelet för spel och flush.

Så här ändrar du värdet:

  1. Markera det befintliga värdet.

  2. Ange ett nytt värde.


Flush för spel och flush med NC-100

I rutan Flush visas flush för spel och flush.

Så här ändrar du värdet:

  1. Markera värdet i rutan Flush.

  2. Ange ett nytt värde.


Typ = HÖGER/VÄNSTER för spel och flush med NC-100

Med alternativen HÖGER och VÄNSTER definieras den fasta sidan i en mätning av spel och flush. I mätningar av spel och flush måste du definiera en sida som fast (eller nominell). Den fasta sidan blir en referens som den andra sidan mäts mot.


Elementtyper för mätningar av rätvinkligt spår samt spel och flush

Elementtyper för mätningar av rätvinkligt spår samt spel och flush med NC-100

Listan Elementtyp innehåller de tillgängliga typerna av mätningar av rätvinkligt spår samt spel och flush. De är:

SPÅR = Den här typen av element tillåter mätning av ett rätvinkligt spår.

SPELNORMAL = Den här typen av element tillåter mätning av spel och flush för ett spel på ytan av den fasta sidan.

SPELDELTAZ = Den här typen av element tillåter mätning av ett spel på ett visst djup i förhållande till den fasta sidan av en detalj.

SPELMÅTT = Den här mättypen är för närvarande inte tillgänglig.


Rundat spår med NC-100

Alternativet Rundat spår – dialogrutan Autoelement

Med alternativet Rundat spår kan du definiera en mätning av ett rundat spår. Den här mätningstypen är användbar om du inte vill mäta en serie linjer och cirklar, eller konstruera skärningspunkter och medelpunkter utifrån dem.

Du mäter ett rundat spår med punkter inuti ROI (intresseområdet) längs spårets konturer.

Mätning av rundat spår

Så här aktiverar du alternativet Rundat spår:

  1. Öppna dialogrutan Autoelement (Infoga | Element | Autoelement | Rundat spår). Visa menykarta

  2. Välj autoelementtypen Rundat spår.

Det här är ett exempel på en kommandorad i Redigeringsfönstret för ett rundat spår:

F_ID=AUTO/RUNDAT SPÅR, VISA_MÄTPKT=J/N, VISA_ALLA_PARAMETRAR=J/N
TEOR/ TX,TY,TZ,TI,TJ,TK,TLÄNGD,TBREDD
MÄTT/ X,Y,Z,I,J,K,LÄNGD,BREDD
MÅL/målX,målY,målZ,målI,målJ,målK
TEO_TJOCKLEK = n, ALT1
AUTORÖRELSE = J/N, AVSTÅND = n

Mer:

Fältdefinitioner för rundade spår med NC-100

Mäta ett rundat spår med NC-100


Fältdefinitioner för rundade spår med NC-100

De flesta av definitionerna behandlas i Fältdefinitioner för rundade spår i avsnittet Skapa autoelement. Följande definitioner tillkommer eller förändras om du använder det optiska mäthuvudet NC-100:

VISA_MÄTPKT = Det här är ett växlingsfält. Det växlar mellan JA och NEJ och anger huruvida mätpunkter visas tillsammans med elementet. Den här funktionen är för närvarande inte tillgänglig.

VISA_ALLA_PARAMETRAR = Det här är ett växlingsfält. Det växlar mellan JA och NEJ beroende på om alla parametrar för elementet ska visas.

VERKL_TJOCKLEK = Det här värdet motsvarar den angivna förskjutna tjockleken för mätdata. Positiva och negativa värden kan användas.

Allmän information om hur du mäter de olika typerna av autoelement finns i Gemensamma alternativ i dialogrutan Autoelement i avsnittet Skapa autoelement.


Mäta ett rundat spår med NC-100

I PC-DMIS finns det flera metoder för att mäta ett rundat spår med alternativet Autoelement. Information om metoderna finns under följande rubriker:

  • Använda angivna data för ett rundat spår

  • Använda ytdata på skärmen för ett rundat spår

  • Använda tråddata på skärmen för ett rundat spår

Obs! Du kan inte använda musen i Grafikfönstret om det inte finns några CAD-data.

Mer:

Använda angivna data för ett rundat spår med NC-100

Använda ytdata på skärmen för ett rundat spår med NC-100

Använda tråddata på skärmen för ett rundat spår med NC-100


Använda angivna data för ett rundat spår med NC-100

Detta beskrivs i Använda angivna data för ett rundat spår i avsnittet Skapa autoelement.


Använda ytdata på skärmen för ett rundat spår med NC-100

Detta beskrivs i Använda ytdata på skärmen för ett rundat spår i avsnittet Skapa autoelement.

Obs! Om de CAD-data som definierar ändarna för spåret uttryckligen är av typen CIRKEL eller BÅGE (d.v.s. ett IGES 100-element) tas automatiskt ytterligare två mätpunkter på bågen. Om båda ändarna är av den här typen räcker det med en beröring av vardera båge för att mäta den här elementtypen.


Använda tråddata på skärmen för ett rundat spår med NC-100

Detta beskrivs i Använda tråddata på skärmen för ett rundat spår i avsnittet Skapa autoelement.


Använda kortkommandon (snabbtangenter) och snabbmenyer

Använda kortkommandon (snabbtangenter) och snabbmenyer: Inledning

Kortkommandon (snabbtangenter)

Snabbmenyer

Snabbmenyer i standarddialogrutor i Windows

Snabbmenyer i verktygsfältet

Snabbmenyer i Grafikfönstret

Snabbmenyn Element

Snabbmenyn Rutmarkering

S nabbmenyn för körvägar

Snabbmenyer i Redigeringsfönstret

Snabbmeny för kommandon i översiktsläget

Snabbmenyn för dataposter

Snabbmenyn för kommandoläget


Använda kortkommandon (snabbtangenter) och snabbmenyer: Inledning

I det här avsnittet beskrivs olika typer av genvägar till många av de menyalternativ, dialogrutor och kommandon som används i PC-DMIS. Detta gör att det går snabbare att programmera och du kan arbeta mer produktivt och effektivt.

Huvudämnena i detta avsnitt är:

  • Kortkommandon (snabbtangenter)

  • Snabbmenyer


Kortkommandon (snabbtangenter)

I den här tabellen finns information om alla tillgängliga snabbkommandon. Om beskrivningen av ett snabbkommando föregås av frasen Redigeringsfönstret måste Redigeringsfönstret vara aktivt för att kommandot ska fungera. Mer detaljerad information om hur varje alternativ fungerar finns i avsnittet om respektive alternativ i onlinehjälpen.

Tangent(-er) | Beskrivning | Tangent(-er) | Beskrivning | Tangent(-er) | Beskrivning
F1 | Öppnar onlinehjälpen. | CTRL + A | Redigeringsfönstret: Markerar all text. | CTRL + F1 | Aktiverar läget Flytta i PC-DMIS.
F2 | Redigeringsfönstret: Öppnar dialogrutan Bygg uttryck om markören finns på en rad där uttryck tillåts. | CTRL + C | Redigeringsfönstret: Kopierar den markerade texten. | CTRL + F2 | Aktiverar läget Rotera 2D i PC-DMIS.
F3 | Redigeringsfönstret: Markerar/avmarkerar kommandot för körning. Om markören är placerad på ett externt objekt växlar F3 mellan utskrifts- och körningslägena. | CTRL + D | Tar bort det aktuella elementet. | CTRL + F3 | Aktiverar läget Rotera 3D i PC-DMIS och öppnar dialogrutan Rotera.
F4 | Redigeringsfönstret: Skriver ut innehållet i Redigeringsfönstret. | CTRL + E | Kör det markerade elementet. | CTRL + F4 | Aktiverar programmeringsläget i PC-DMIS.
F5 | Öppnar dialogrutan Inställningsval. | CTRL + F | Öppnar dialogrutan Autoelement. | CTRL + F5 | Aktiverar textruteläget i PC-DMIS.
F7 | Redigeringsfönstret: Flyttar framåt till nästa post i alfabetisk ordning (i ett markerat växlingsfält). | CTRL + G | Ett LÄSPUNKT/-kommando infogas i Redigeringsfönstret. | CTRL + TABB | Minimerar eller återställer Redigeringsfönstret.
F8 | Redigeringsfönstret: Flyttar bakåt till föregående post i alfabetisk ordning (i ett markerat växlingsfält). | CTRL + J | Redigeringsfönstret: Hoppar till ett refererat kommando. | CTRL + SKIFT | Döljer den markerade grafikanalyspilen.
F9 | Redigeringsfönstret: Öppnar dialogrutan som är kopplad till kommandot vid markören. | CTRL + K | Sparar den markerade utvärderingen i redigeringsrapporten. | CTRL + END | Redigeringsfönstret: Flyttar markören till slutet av det aktuella detaljprogrammet.
F10 | Öppnar dialogrutan Parameterinställningar. | CTRL + M | Infogar ett via-punktkommando. | CTRL + HOME | Redigeringsfönstret: Flyttar markören till början av det aktuella detaljprogrammet.
F12 | Öppnar dialogrutan Fixturinställning. | CTRL + N | Skapa ett nytt detaljprogram. | CTRL + ALT + A | Öppnar dialogrutan Uppriktning.
SKIFT + högerklickning | Öppnar dialogrutan Skalanpassa ritning. | CTRL + O | Öppnar ett detaljprogram. | CTRL + ALT + P | Öppnar dialogrutan Mäthuvud.
SKIFT + TABB | Redigeringsfönstret: Markören flyttas bakåt till det föregående redigerbara fältet. | CTRL + P | Skriver ut Grafikfönstret. | CTRL + vänsterklicka | Om du i textruteläget håller ned CTRL och vänsterklickar på ett element eller en ID-etikett i Grafikfönstret flyttas markören till samma element i Redigeringsfönstret. Om du utför åtgärden när dialogrutan Analys är öppen markeras alla eventuella kopplade utvärderingar.
SKIFT + PILTANGENT | Markerar all text allt eftersom markören flyttas. | CTRL + Q | Redigeringsfönstret: Kör det aktuella detaljprogrammet. | CTRL + högerklickning | Roterar CAD-modellen i Grafikfönstret när du drar musen.
SKIFT + F5 | Redigeringsfönstret: Ändrar mätpunktsvisningen för en utvärdering mellan kartesiska (rektangulära) och polära koordinater. Bokstaven "P" innebär att punkten visas polärt. | CTRL + R | Öppnar dialogrutan Rotera. | UPPIL | Redigeringsfönstret: Flyttar markören till nästa tillgängliga element ovanför den aktuella positionen.
SKIFT + F10 | Redigeringsfönstret: Öppnar dialogrutan Hoppa till. | CTRL + S | Sparar det aktuella detaljprogrammet. | NEDPIL | Redigeringsfönstret: Flyttar markören till nästa tillgängliga element nedanför den aktuella positionen.
END | Avslutar mätningen av ett element. Redigeringsfönstret: Flyttar markören till slutet av den aktuella raden. | CTRL + T | Redigeringsfönstret: Tilldelar det aktuella kommandot (eller markerade kommandon) till Master-armen, Slav-armen eller båda armarna. | HÖGERPIL | Redigeringsfönstret: Flyttar markören till nästa tillgängliga element till höger om den aktuella positionen. I översiktsläget expanderar det här kommandot en komprimerad lista.
HOME | Redigeringsfönstret: Flyttar markören till början av den aktuella raden. | CTRL + V | Redigeringsfönstret: Klistrar in innehållet i Urklipp. | VÄNSTERPIL | Redigeringsfönstret: Flyttar markören till nästa tillgängliga element till vänster om den aktuella positionen. I översiktsläget komprimerar det här kommandot en expanderad lista.
TABB | Redigeringsfönstret: Flyttar markören framåt till nästa redigerbara fält. | CTRL + X | Redigeringsfönstret: Klipper ut den markerade texten. | ALT + H | Öppnar Hjälp-menyn.
ESC | Tangenten ESC avbryter en process (som inte är datainmatning) om du trycker på den innan du trycker på RETUR. | CTRL + Y | Redigeringsfönstret: Kör detaljprogrammet från markörens position. | ALT + J | Redigeringsfönstret: Hoppar tillbaka från ett refererat kommando.
DELETE | Redigeringsfönstret: Se "Backsteg". | CTRL + Z | Aktiverar funktionen Passa fönster. | ALT + F3 | Redigeringsfönstret: Öppnar dialogrutan Sök.
BACKSTEG | Redigeringsfönstret: Tar bort eventuella markerade tecken. Om inga tecken är markerade fungerar tangenten som vanligt. Om ett objekt inte kan tas bort visas ett felmeddelande. | CTRL + SKIFT + F | Växlar till elementigenkänningsläget (plan) vid igenkänning av elementtyper med en fast mätspets. | ALT + BACKSTEG | Redigeringsfönstret: Ångrar den senaste åtgärden i Redigeringsfönstret.
ALT + "-" (minustecken) | Om du håller ned ALT och trycker på minustangenten tas den sista mätpunkten i mätpunktsbufferten bort. | CTRL + SKIFT + R | Växlar till elementigenkänningsläget (rund) vid igenkänning av elementtyper med en fast mätspets. | SKIFT + BACKSTEG | Redigeringsfönstret: Gör om den senaste ångrade åtgärden i Redigeringsfönstret.
RETUR | Redigeringsfönstret: Skapar en ny rad. Raden tas bort automatiskt om den inte slutförs innan markören flyttas från raden. Markerar ett kommando. | CTRL + RETUR | Redigeringsfönstret: I översiktsläget kan du använda det här snabbkommandot för att markera ett kommando som ska läggas till i Redigeringsfönstret. |  |


Snabbmenyer

Med snabbmenyer kan du utföra vanliga kommandon med en enda musklickning. I det här avsnittet beskrivs hur du öppnar olika snabbmenyer och vad de olika menyalternativen innebär. Snabbmenyer är tillgängliga i vissa lägen i programmet.

Mer:

Snabbmenyer i standarddialogrutor i Windows

Snabbmenyer i området med verktygsfält

Snabbmenyer i Grafikfönstret

Snabbmenyn för körvägar

Snabbmenyer i Redigeringsfönstret


Snabbmenyer i standarddialogrutor i Windows

Förutom de standardkommandon som kan användas i Windows-baserade dialogrutor kan vissa PC-DMIS-funktioner ibland läggas till på olika snabbmenyer. Mer information om de här funktionerna finns i avsnitten Använda grundläggande filalternativ och Använda avancerade filalternativ.

När du öppnar eller sparar filer eller utför andra filåtgärder kan du högerklicka på ett namn på en detaljprogramfil i dialogrutan för att visa följande snabbmenyalternativ:

Alternativ | Beskrivning
PC-DMIS Import | Importerar data från en indatafil till det markerade detaljprogrammet. Se Importera CAD-data i avsnittet Använda avancerade filalternativ.
PC-DMIS Export | Exporterar data till en utdatafil från det markerade detaljprogrammet. Se Exportera CAD-data i avsnittet Använda avancerade filalternativ.
Öppna | Öppnar ett detaljprogram. Se Öppna befintliga detaljprogram i avsnittet Använda grundläggande filalternativ.
Klippa ut | Klipper ut ett detaljprogram och placerar det i Urklipp. Använd det här kommandot med Windows-kommandot Klistra in för att placera den utklippta filen i en annan mapp.
Kopiera | Kopierar ett detaljprogram till Urklipp. Använd det här kommandot med Windows-kommandot Klistra in för att placera den kopierade filen i en annan mapp. Se Utföra filåtgärder i avsnittet Använda grundläggande filalternativ.
Byt namn | Ändrar namnet på ett detaljprogram.
Ta bort | Tar bort ett detaljprogram. Se Utföra filåtgärder i avsnittet Använda grundläggande filalternativ.
Fliken Egenskaper | PC-DMIS | Visar filinformation för detaljprogrammet. Du kan visa eller ändra detaljprogrammets namn, serienummer eller revisionsnummer. Se Öppna befintliga detaljprogram i avsnittet Använda grundläggande filalternativ.


Snabbmenyer i verktygsfältet

Snabbmenyer i området med verktygsfält

När du högerklickar i området Verktygsfält visas en lista med verktygsfält och andra alternativ som du kan använda direkt. Alternativen är bland annat:

Alternativ | Beskrivning
Filåtgärder | Lägger till eller tar bort verktygsfältet Filåtgärder i området.
Grafik | Lägger till eller tar bort verktygsfältet Grafik i området.
Redigeringsfönster | Lägger till eller tar bort verktygsfältet Redigeringsfönster i området.
Snabbstart | Lägger till eller tar bort verktygsfältet Snabbstart i området.
Fönsterlayout | Lägger till eller tar bort verktygsfältet Fönsterlayout i området.
Spela in/upp makro | Lägger till eller tar bort verktygsfältet Spela in/upp makro i området.
Autoelement | Lägger till eller tar bort verktygsfältet Autoelement i området.
Mätta element | Lägger till eller tar bort verktygsfältet Mätta element i området.
Konstruerade element | Lägger till eller tar bort verktygsfältet Konstruerade element i området.
Utvärdering | Lägger till eller tar bort verktygsfältet Utvärdering i området.
Inställningar | Lägger till eller tar bort verktygsfältet Inställningar i området.
Mätning | Lägger till eller tar bort verktygsfältet Mätning i området.
Aktiva armar | Lägger till eller tar bort verktygsfältet Aktiva armar i området.
Aktivt rundbord | Lägger till eller tar bort verktygsfältet Aktivt rundbord i området.
Guider | Lägger till eller tar bort verktygsfältet Guider i området.
Anpassa | Anpassar verktygsfälten och menyerna. Se Anpassa användargränssnittet i avsnittet Navigera i användargränssnittet.

Verktygsfälten beskrivs mer detaljerat i avsnittet Använda verktygsfält.


Snabbmenyer i Grafikfönstret

Följande snabbmenyer är tillgängliga i Grafikfönstret. Du öppnar dem genom att högerklicka i specifika områden. Vissa menyer är bara tillgängliga i vissa lägen i PC-DMIS (se Verktygsfältet Grafik i avsnittet Använda verktygsfält). Olika menyalternativ visas beroende på vilket läge som används.

Mer:

Snabbmenyn Element

Snabbmenyn Rutmarkering

Snabbmenyn Snabbfixtur

Snabbmenyn för körvägar


Snabbmenyn Element

För att öppna den här snabbmenyn högerklickar du på en ID-etikett för ett element, en Utvinfo-ruta eller en Punktinfo-ruta i Grafikfönstret.

Alternativ

Beskrivning

Göm ID

Med det här menyalternativet döljer du en enskild ID-etikett i Grafikfönstret. Etiketten tas inte bort, men döljs så att den inte syns.

Göm ID i vyn

ID-etiketten för det valda elementet döljs endast i den aktuella vyn. Etiketten syns fortfarande i andra vyer.

Visa ID, Göm alla ID

Med de här undermenyerna kan du visa eller dölja olika ID-etiketter för element. Du kan välja att visa eller dölja följande typer av ID-etiketter:

  • Alla

  • Elementetiketter

  • Utvärderingsinfo

  • Punktinfo

  • Toleransrektanglar

Om du väljer att dölja ID-etiketter finns etiketterna fortfarande kvar, men döljs så att de inte syns.

Visa ID i alla vyer

ID-etiketten för det valda elementet visas i alla vyer.

Göm element

Med det här alternativet döljer du ett enskilt element så att det inte syns i Grafikfönstret. Elementet tas inte bort, utan döljs bara så att det inte syns.

Göm alla element

Med det här alternativet döljer du alla element för en detalj så att de inte syns i Grafikfönstret. Elementen tas inte bort, utan döljs bara så att de inte syns.

Visa alla element

Med det här alternativet visar du alla tidigare dolda element i Grafikfönstret.

Återställ ID

Med det här alternativet återställer du det ursprungliga läget (intill elementet) för en enskild ID-etikett.

Återställ alla ID

Med det här alternativet återställer du de ursprungliga lägena (intill respektive element) för alla ID-etiketter.

Flytta markör till

Med det här menyalternativet flyttar du markören i Redigeringsfönstret till kommandoraden för det här elementet. Detta påverkar bara markörens placering i Redigeringsfönstret. Mätspetsens läge i Grafikfönstret ändras inte.

Ändra bakgrundsfärg...

Med det här alternativet visar du dialogrutan Ändra etiketter. I den här dialogrutan kan du ändra bakgrundsfärgen för ID-etiketten för elementet. Du kan ange om du vill ändra bakgrundsfärgen för alla elementetiketter eller bara för den aktuella etikettypen. Det finns tre olika etikettyper: ID-etiketter för element, Utvinfo-rutor och Punktinfo-rutor.

Du kan ange att dina ändringar ska användas som standard genom att klicka på Standard.

Det här fungerar inte för toleransrektanglar.

Ändra linjefärg...

Med det här alternativet visar du dialogrutan Ändra etiketter. I den här dialogrutan kan du ändra kantfärgen för ID-etiketten för elementet. Du kan ange om du vill ändra kantfärgen för alla elementetiketter eller bara för den aktuella etikettypen. Det finns tre olika etikettyper: ID-etiketter för element, Utvinfo-rutor och Punktinfo-rutor.

Du kan ange att dina ändringar ska användas som standard genom att klicka på Standard.

Det här fungerar inte för toleransrektanglar.

Visa skugga...

Med det här alternativet visar du dialogrutan Ändra etiketter. I den här dialogrutan kan du ange att en skugga ska visas eller döljas under ID-etiketten för elementet. Du kan ange om skuggan ska läggas till för alla etikettyper eller bara för den aktuella etikettypen. Det finns tre olika etikettyper: ID-etiketter för element, Utvinfo-rutor och Punktinfo-rutor.

Du kan ange att dina ändringar ska användas som standard genom att klicka på Standard.

Det här fungerar inte för toleransrektanglar.

Tillägg till snabbmenyn Element i textruteläget

Några alternativ läggs till på standardsnabbmenyn Element när du arbetar i textruteläget. Alternativen är bland annat:

Alternativ

Beskrivning

Skapa toleransrektangel...

Med det här alternativet skapar du en toleransrektangel med lägeriktighetsutvärdering utifrån det markerade elementet. Dialogrutan GD&T öppnas. Mer information om hur du skapar TLR-utvärderingar finns i Använda toleransrektanglar.

Skapa utvärderingsetikett...

Med det här alternativet skapar du en textruta med utvärderingsinformation för det markerade elementet. Dialogrutan Ändra utvärderingsinformation öppnas med de tillgängliga utvärderingar som du kan använda för att skapa Utvinfo-rutan.

Om det inte finns några utvärderingar för elementet skapas automatiskt en standardlägesutvärdering för elementet (se Utvärderingsläge i avsnittet Utvärdera element). Mer information om hur du använder dialogrutan Ändra utvärderingsinformation finns i Infoga rutor med utvärderingsinformation i avsnittet Infoga rapportkommandon.

Skapa punktinfo.-etikett...

Med det här alternativet skapar du en textruta med punktinformation för det markerade elementet. Dialogrutan Redigera punktinformation öppnas med det element (och eventuella tillgängliga utvärderingar) som du kan använda för att skapa Punktinfo-rutan. Mer information om hur du använder dialogrutan Redigera punktinformation finns i Infoga rutor med punktinformation i avsnittet Infoga rapportkommandon.

Så här använder du de nya alternativen:

  1. Klicka på ikonen Textruteläge (se Textruteläge i avsnittet Redigera CAD-visningen).

  2. Högerklicka på ett element eller ID-etiketten för ett element i Grafikfönstret för att visa snabbmenyn.

Menyn för utvärderings-/punktinfo i textruteläget

Om du högerklickar på en Utvinfo- eller Punktinfo-ruta i textruteläget läggs de här två alternativen till på standardsnabbmenyn Element:

Alternativ

Beskrivning

Redigera...

Med det här alternativet kan du redigera den markerade Utvinfo- eller Punktinfo-rutan. Dialogrutan Ändra utvärderingsinformation eller Redigera punktinformation öppnas, och den ser lite annorlunda ut. Utöver standardknapparna längst ned i dialogrutan visas också knappen Anv. för alla:

Klicka på Anv. för alla om du vill att ändringarna i dialogrutan ska användas för alla Utvinfo- eller Punktinfo-rutor:
Obs! Det är bara de ändringar som görs på den ursprungliga informationsrutan som används för alla Utvinfo- eller Punktinfo-rutor. Inställningar i den ursprungliga informationsrutan som redan skiljer sig från andra informationsrutor används inte på andra informationsrutor.

Mer information finns i Infoga rutor med utvärderingsinformation i avsnittet Infoga rapportkommandon.

Ta bort

Välj det här menyalternativet för att ta bort den markerade Utvinfo- eller Punktinfo-rutan. Motsvarande PUNKTINFO- eller UTVINFO-kommando i Redigeringsfönstret tas också bort.

Så här använder du de nya alternativen:

  1. Klicka på ikonen Textruteläge (se Textruteläge i avsnittet Redigera CAD-visningen).

  2. Högerklicka på en Utvinfo- eller Punktinfo-ruta i Grafikfönstret.


Snabbmenyn Rutmarkering

Den här snabbmenyn fungerar bara i textruteläge. Så här öppnar du den här menyn:

  1. Klicka på ikonen Textruteläge (se Textruteläge i avsnittet Redigera CAD-visningen).

  2. Rutmarkera ett eller flera element. Alla grafiska element eller ID-etiketter för element inom rutan markeras.

En snabbmeny med följande alternativ visas:

Alternativ

Beskrivning

Skapa utvärderingsetiketter...

Med det här alternativet skapar du Utvinfo-textrutor från de markerade elementen.

Dialogrutan Ändra utvärderingsinformation visas för ett av de markerade elementen med alla tillgängliga utvärderingar som du kan använda för att skapa den första Utvinfo-rutan.

När du har markerat de alternativ du vill använda i dialogrutan Ändra utvärderingsinformation klickar du på antingen OK eller Skapa (eller Använd under redigering) för att skapa Utvinfo-rutorna.

Den första Utvinfo-rutan skapas utifrån den/de markerade utvärderingen/utvärderingarna i dialogrutan Ändra utvärderingsinformation.

Alla efterföljande rutor skapas utifrån alla utvärderingar som är kopplade till varje element.

Om det inte finns några utvärderingar för något av elementen skapas automatiskt en standardlägesutvärdering för elementet (se Utvärderingsläge i avsnittet Utvärdera element). Mer information om hur du använder dialogrutan Ändra utvärderingsinformation finns i Infoga rutor med utvärderingsinformation i avsnittet Infoga rapportkommandon.

Skapa punktinfo.-etikett...

Med det här alternativet skapar du textrutor med punktinformation för de markerade elementen. Dialogrutan Redigera punktinformation öppnas för ett av de markerade elementet. Där visas elementet (och eventuella tillgängliga utvärderingar) som du kan använda för att skapa Punktinfo-rutan.

När du har valt de alternativ du vill använda i dialogrutan Redigera punktinformation klickar du på OK eller Skapa (Använd under redigering) för att skapa informationsrutorna.

Den första Punktinfo-rutan skapas utifrån det markerade elementet eller den/de markerade utvärderingen/utvärderingarna i dialogrutan Redigera punktinformation. Alla efterföljande rutor skapas utifrån alla utvärderingar som är kopplade till varje element, och själva elementet. En Punktinfo-ruta skapas för alla utvärderings- och elementmätpunkter. Mer information om hur du använder dialogrutan Redigera punktinformation finns i Infoga rutor med punktinformation i avsnittet Infoga rapportkommandon.

Visa ID, Göm alla ID

Välj ett av dessa menyalternativ för att visa eller dölja alla ID-etiketter för det markerade elementet. Om du väljer att dölja ID-etiketter finns etiketterna fortfarande kvar, men döljs så att de inte syns.

Göm alla element

Med det här alternativet döljer du alla markerade element för en detalj så att de inte syns i Grafikfönstret. Elementen tas inte bort, utan döljs bara så att de inte syns.

Återställ alla ID

Med det här alternativet återställer du de ursprungliga lägena (intill respektive element) för alla markerade ID-etiketter.


Snabbmenyn Snabbfixtur

Den här snabbmenyn fungerar bara i läget Snabbfixtur (se Infoga snabbfixturer i avsnittet Definiera hårdvara). Så här öppnar du den här menyn:

  1. Klicka på ikonen Snabbfixtur i verktygsfältet Grafik.

  2. Högerklicka på ett snabbfixturobjekt som du har infogat i Grafikfönstret.

En snabbmeny med följande alternativ visas:

Alternativ | Beskrivning
Släpp objekt | Den markerade snabbfixturen släpps på den plats där den är placerad i Grafikfönstret. Om det inte finns något i riktningen -Z händer ingenting. Om det finns något i den riktningen släpps fixturen tills den vidrör objektet/objekten nedanför.
Primäruppriktning | Normalytvektorn från den plats där du högerklickade riktas upp så att den bildar en rät vinkel mot maskinens koordinatsystem.
Sekundäruppriktning | Punkten där du högerklickade släpps på den närmaste kanten. Därefter rätvinklas vektorn som tangerar kurvan vid släppunkten. Rotationen utförs tvådimensionellt, betraktad i den aktiva vyn.
Rikta parallellt med axlarna | Den markerade snabbfixturen riktas upp så att dessa axlar är parallella med CAD-axlarna (minimal ändring).
Länka fixturkomponenter | Alla fixturkomponenter på skärmen grupperas så att samtliga fixturer dras eller flyttas om du drar eller flyttar en fixtur.
Lossa fixturkomponenter | Länkningen mellan fixturkomponenterna tas bort så att du kan hantera dem var för sig.
Fixera komponenten | Om du har länkade fixturkomponenter kan du använda det här alternativet för att fixera läget för den markerade komponenten i uppsättningen med länkade komponenter. Den komponenten förblir fixerad i det aktuella läget även om du därefter flyttar alla komponenter i den länkade uppsättningen.
Spara fixtur | Om du väljer det här menyalternativet visas dialogrutan Spara som där du kan spara fixturelement som visas på skärmen. Om det finns mer än en fixtur på skärmen sparas alla fixturer som en enda uppsättning. Sparade fixturer lagras i det expanderbara trädet ANVÄNDARE i dialogrutan Fixturer så att du kan använda dem senare.
Flytta enbart i X | Om du väljer det här menyalternativet flyttas fixturen bara längs X-axeln när du drar den.
Flytta enbart i Y | Om du väljer det här menyalternativet flyttas fixturen bara längs Y-axeln när du drar den.
Flytta enbart i Z | Om du väljer det här menyalternativet flyttas fixturen bara längs Z-axeln när du drar den.
Flytta enbart i XY | Om du väljer det här menyalternativet flyttas fixturen bara längs X- och Y-axlarna när du drar den.
Flytta enbart i YZ | Om du väljer det här menyalternativet flyttas fixturen bara längs Y- och Z-axlarna när du drar den.
Flytta enbart i ZX | Om du väljer det här menyalternativet flyttas fixturen bara längs Z- och X-axlarna när du drar den.
Rotera enbart i XY | Om du väljer det här menyalternativet sker rotationen bara i XY-planet. Du kan rotera genom att hålla ned CTRL och dra fixturen. Välj alternativet igen om du vill inaktivera det.
Rotera enbart i YZ | Om du väljer det här menyalternativet sker rotationen bara i YZ-planet. Du kan rotera genom att hålla ned CTRL och dra fixturen. Välj alternativet igen om du vill inaktivera det.
Rotera enbart i ZX | Om du väljer det här menyalternativet sker rotationen bara i ZX-planet. Du kan rotera genom att hålla ned CTRL och dra fixturen. Välj alternativet igen om du vill inaktivera det.


Snabbmenyn för körvägar

För att öppna den här snabbmenyn klickar du på knappen Körväg på/av [image] i dialogrutan Autoelement.

Alternativ

Beskrivning

Infoga punkt

Infogar ytterligare en mätpunkt för autoelementet.

Ta bort

Tar bort den markerade mätpunkten från autoelementet.

Infoga stödpunkt

Infogar en stödpunkt för autoelementet.

Ta bort stödpunkt

Tar bort den markerade stödpunkten från autoelementet.

Infoga rad

En ny rad med mätpunkter infogas om du arbetar med ett element där flera rader med mätpunkter används, t.ex. en cylinder eller en kon.

Ta bort rad

Den markerade raden med mätpunkter tas bort om du arbetar med ett element där flera rader med mätpunkter används, t.ex. en cylinder eller en kon.

Flytta punkt

Det här menyalternativet markeras automatiskt när du ändrar en mätpunkt eller en körväg manuellt med musen.

Om du avmarkerar menyalternativet återställs ändringen så att mätpunkten eller körvägen ser ut som tidigare.

Om alternativet är markerat för en mätpunkt och du visar elementet vinkelrätt med hjälp av alternativet Vinkelrätt, kan du justera djupet eller höjden för mätpunkten.

Normalriktning

CAD-visningen av elementet ändras så att du ser det uppifrån.

Vinkelrätt

CAD-visningen av elementet ändras så att du ser elementet från sidan, vilket är användbart om du vill ange djup för elementet eller lägga till flera lager med mätpunkter.


Snabbmenyer i Redigeringsfönstret

I Redigeringsfönstret i PC-DMIS finns följande snabbmenyer, beroende på vilket läge som är aktivt.

Mer:

Snabbmeny för kommandon i översiktsläget

Snabbmenyn för dataposter

Snabbmenyn för kommandoläget


Snabbmeny för kommandon i översiktsläget

När du markerar ett kommando i översiktsläget i Redigeringsfönstret (se Arbeta i översiktsläge i avsnittet Använda Redigeringsfönstret) och högerklickar på kommandoobjektet visas snabbmenyn för kommandon. Följande alternativ finns på snabbmenyn:

Alternativ

Beskrivning

Redigera

Dialogrutan för det aktuella objektet visas.

Markera

Växlar markeringsstatus för körning för objektet.

Ta bort

Det markerade kommandot och eventuella underordnade kommandon tas bort från detaljprogrammet.

Kopiera

Kopierar det markerade kommandot till Urklipp.

Klippa ut

Det markerade kommandot klipps ut från detaljprogrammet och placeras i Urklipp.

Klistra in

Klistrar in ett kommando som tidigare har klippts ut eller kopierats till Urklipp nedanför det markerade kommandot.

Komprimera allt

Alla expanderade objekt komprimeras.

Expandera kommando

Den aktuella kommandoraden expanderas och eventuella data eller gruppobjekt som är kopplade till det markerade kommandot visas.

Infoga kommando

Med det här alternativet kan du lägga till ett kommando i Redigeringsfönstret från en rullningsbar lista i alfabetisk ordning.

STEG 1: Navigera i listan genom att skriva de första bokstäverna i kommandot. Kommandot visas automatiskt i PC-DMIS.

STEG 2: Markera kommandot i listan.

STEG 3: Tryck på CTRL + RETUR eller RETUR för att placera det nya kommandot i Redigeringsfönstret.

Om du trycker på CTRL + RETUR placeras kommandot efter det kommandoblock som du använde för att öppna snabbmenyn.

Om du trycker på RETUR placeras kommandot inuti det kommandoblock som du använde för att öppna snabbmenyn. Att trycka på RETUR fungerar bara på det här sättet om kommandot som du lägger till är av en typ som kan läggas till i ett annat kommandoblock i PC-DMIS. Om kommandot är av en annan typ infogas det efter det aktuella kommandot.

Dockningsvy

Med det här menyalternativet anger du om Redigeringsfönstret ska vara dockat eller inte.

Om du avmarkerar alternativet fungerar Redigeringsfönstret som i tidigare versioner av PC-DMIS: det ligger löst över Grafikfönstret.

Om du markerar alternativet kan du docka Redigeringsfönstret mot sidorna eller överkanten/nederkanten i Grafikfönstret.

Optimera väg

Med det här alternativet kan du köra en vägoptimeringsprocess om du använder modulen Inspection Planner (om du använder en annan modul är alternativet inte tillgängligt). Mer information om alternativet finns i dokumentationen för Inspection Planner.


Snabbmenyn för dataposter

Den här snabbmenyn visas när du högerklickar på en datapost i översiktsläget i Redigeringsfönstret (se Arbeta i översiktsläge i avsnittet Använda Redigeringsfönstret). Följande alternativ finns på snabbmenyn:

Alternativ | Beskrivning
Redigera | På undermenyn för det här alternativet finns t.ex. Text för värde/uttryck och Använd Uttrycksguiden.
Text för värde/uttryck: | Gör att du kan redigera den aktuella posten om den kan redigeras. Om dataposten kan växlas visas en lista med alternativ. Annars visas en ruta där du kan redigera det aktuella värdet.
Använd Uttrycksguiden: | Om posten kan redigeras visas dialogrutan Bygg uttryck där du kan skapa uttryck för det markerade fältet.
Kopiera | Kopierar ett av de tre textalternativen till Urklipp för den markerade dataposten.
Värde: | Kopierar det aktuella värdet för dataposten till Urklipp.
Uttryck: | Kopierar den aktuella uttryckstexten till Urklipp om det finns ett uttryck för dataposten.
Beskrivning: | Kopierar beskrivningen för den aktuella dataposten till Urklipp.
Klistra in | Klistrar in ett kopierat värde, kopierad uttryckstext eller en kopierad beskrivning till en ny plats.
Dockningsvy | Se beskrivningen under Snabbmeny för kommandon i översiktsläget.


Snabbmenyn för kommandoläget

Följande alternativ är tillgängliga på en snabbmeny när du arbetar i kommandoläget i PC-DMIS. Mer information om de här lägena finns i Arbeta i kommandoläge i avsnittet Använda Redigeringsfönstret.

Alternativ

Beskrivning

Välj kommando

Markerar det kommando som musmarkören är placerad på

Välj block

Om musmarkören är placerad över ett start- eller slutblockobjekt markeras hela blocket.

Kör från markör

En körning startas från den aktuella insättningspunkten i Redigeringsfönstret.

Kör block

Det markerade kommandoblocket körs.

Hoppa till [element]

Hoppar från det aktuella kommandot till det refererade element-ID:t.

Hoppa tillbaka

Hoppar tillbaka till det kommando där insättningspunkten fanns innan du valde alternativet Hoppa till.

Redigera

Öppnar en dialogruta där du kan redigera det kommando där insättningspunkten finns.

Markera

Växlar markeringsstatus för objektet som ska köras. Mer information finns i Markera i avsnittet Redigera ett detaljprogram.

Sätt startpunkt

Med det här alternativet anger du startpunkten där programkörningen ska starta när du väljer menyalternativet Arkiv | Partiell körning | Kör från startpunkt. Se Sätta startpunkter i avsnittet Redigera ett detaljprogram.

Brytpunkt

Med det här alternativet infogas en brytpunkt vid insättningspunkten. Mer information om brytpunkter finns i Använda brytpunkter i avsnittet Redigera ett detaljprogram.

Bokmärke

Med det här alternativet infogas ett bokmärke vid insättningspunkten. Mer information om bokmärken finns i Använda bokmärken i avsnittet Redigera ett detaljprogram.

Omprojicering (SökNom)

Detta åsidosätter den vanliga SökNom-funktionen i inlärningsläget och körningsläget i PC-DMIS. Mer information finns i Ändra hittade nominella värden i avsnittet Redigera ett detaljprogram.

Kopiera

Kopierar den markerade texten i Redigeringsfönstret till Urklipp. Mer information om kopiering i Redigeringsfönstret finns i Kopiera i avsnittet Redigera ett detaljprogram.

Klippa ut

Klipper ut den markerade texten i Redigeringsfönstret och placerar den i Urklipp. Mer information om att klippa ut text i Redigeringsfönstret finns i Klippa ut i avsnittet Redigera ett detaljprogram.

Klistra in

Klistrar in text från Urklipp vid insättningspunkten i Redigeringsfönstret. Mer information om att klistra in text i Redigeringsfönstret finns i Klistra in i avsnittet Redigera ett detaljprogram.

Dockningsvy

Se beskrivningen under Snabbmeny för kommandon i översiktsläget.

Popup-visning

Uttryck (värde)

  1. Välj Uttryck (värde).

  2. Placera markören på ett uttryck.

  3. Ett litet popup-fönster visas med det aktuella värdet för uttrycket.

Datatypsinformation

  1. Välj Datatypsinformation.

  2. Placera markören över ett datafält.

  3. Ett litet popup-fönster visas med information om datafältet, t.ex. datatypsbeskrivningen, datatypnumret och typindex.

Informationen som visas i fönstret kan användas med uttrycket GETTEXT. Se avsnittet Använda uttryck och variabler.

Kommandoinformation

  1. Välj Kommandoinformation.

  2. Placera markören över ett kommando i Redigeringsfönstret.

Ett litet popup-fönster visas med en kommandobeskrivning och kommandotypnumret. Informationen som visas i fönstret kan användas med uttrycket GETCOMMAND. Se avsnittet Använda uttryck och variabler.

Objekt

Det här menyalternativet kan bara väljas om du infogar ett externt objekt i Redigeringsfönstret. Information om hur du gör detta finns i Infoga externa objekt i avsnittet Lägga till externa element.

När du markerar det infogade externa objektet i Redigeringsfönstret och högerklickar på det ändras menyn så att unika alternativ för det aktuella objektet visas. Detta kan vara alternativ för att öppna eller redigera objektet eller för att ändra objektets egenskaper.


Felkoder

Felkoder används för att varsko operatören om varningar och feltillstånd som inträffar i CMS (Coordinate Measuring System). CMS består av en koordinatmätningsmaskin (CMM), CMM-maskinens elektronik och en dator (PC) som kör MeasureMax+ eller MaxLite.

Felkoderna i det här avsnittet är specifika för Sheffield-komponenterna, inklusive CMM-elektroniken och MLB-kommandon (Measurement Library).

Felkoder består av ett gruppnamn, ett bindestreck och ett nummer. Några exempel på dessa är MP-523, MLB-010 och TempComp-200.

Felgrupperna är:

  • MLB

  • MP

  • DCC

  • RCU

  • TempComp


Information om MLB-fel

Ett MLB-fel genereras av ett MLB-kommando som inte kan bearbetas. Det här felet kan inträffa när ett detaljprogram körs, när en detalj mäts eller när ett detaljprogram redigeras i QuickTeach eller MaxLite. Bland MLB-fel räknas inte fel som upptäcks av VisualBasic. Information om VB-fel finns i direkthjälpen för VB.

Här är några exempel på MLB-fel:

  1. En resurs om inte är tillgänglig, t.ex. MLB-090 'DCC not available' eller RCU-050 'RCU not available'.

  2. Kommandots syntax är ogiltig, t.ex. MLB-020 'improper parameter' eller MLB-010 'unidentified function command string'.

  3. CMM-maskinen kan inte slutföra rörelsen, t.ex. MLB-168 'unexpected touch' eller MLB-169 'unexpected end-of-travel'.

  4. Data kan inte bearbetas, t.ex. MLB-038 'cannot intersect line parallel with cylinder axis' eller MLB-070 'reference not saved'.

MLB-fel visas på datorn, vanligtvis i en dialogruta.

Följande tabell innehåller en lista över MLB-felkoder:

MLB-001 | MLB-026 | MLB-062 | MLB-114 | MLB-168
MLB-003 | MLB-027 | MLB-063 | MLB-115 | MLB-169
MLB-004 | MLB-028 | MLB-064 | MLB-116 | MLB-170
MLB-005 | MLB-029 | MLB-070 | MLB-120 | MLB-173
MLB-006 | MLB-030 | MLB-071 | MLB-130 | MLB-190
MLB-007 | MLB-031 | MLB-072 | MLB-131 | MLB-191
MLB-010 | MLB-032 | MLB-080 | MLB-132 | MLB-505
MLB-011 | MLB-033 | MLB-088 | MLB-140 |
MLB-012 | MLB-034 | MLB-089 | MLB-150 |
MLB-013 | MLB-035 | MLB-090 | MLB-151 |
MLB-014 | MLB-036 | MLB-091 | MLB-152 |
MLB-015 | MLB-037 | MLB-092 | MLB-153 |
MLB-016 | MLB-038 | MLB-093 | MLB-154 |
MLB-017 | MLB-040 | MLB-094 | MLB-155 |
MLB-018 | MLB-041 | MLB-095 | MLB-156 |
MLB-019 | MLB-042 | MLB-096 | MLB-157 |
MLB-020 | MLB-043 | MLB-100 | MLB-158 |
MLB-021 | MLB-044 | MLB-101 | MLB-160 |
MLB-022 | MLB-045 | MLB-110 | MLB-161 |
MLB-023 | MLB-050 | MLB-111 | MLB-162 |
MLB-024 | MLB-060 | MLB-112 | MLB-164 |
MLB-025 | MLB-061 | MLB-113 | MLB-166 |


Information om MP-fel

MP-fel är kopplade till CMM-elektroniken. Felnumren faller in i följande kategorigrupper:

Grupp | Intervall | Beskrivning
MP | 1-199 | Diagnostiska fel
TempComp | 200-299 | Temperaturkompensering
MP | 300-399 | Självständig åtgärd med MP-frontpanelen på MP-30/35
MP | 500-599 | Start av MP
MP | 600-699 | Start av CNC
RCU | 700-799 | Start av RCU

MP-felnumren visas normalt på den fjärde raden i datorns XYZ-visning. XYZ-visningen är en skärm som kan visas som ett fönster i MeasureMax+ och STI. På MaxLite-system visas den i nedre högra hörnet. Om du använder ett MP-30/35-system med en frontpanel visas felet även vid visningen av W-axeln på MP-frontpanelen.

Vid minnesfel visas ytterligare information i Z-axeln i XYZ-visningen (eller MP-frontpanalen, om den är tillgänglig). Med den hexadecimala adressen och bitinformation kan serviceteknikern från Giddings & Lewis ställa en diagnos på felets orsak. Minnesfel visas i formatet "AAAAA C", där "AAAAA" är adressen och "C" är biten.

  • I fall med MP RAM-minne är "C" den bitplats där felet inträffade. I fall med fel i MP ROM-minne, CNC RAM- eller ROM-minne är "C" den byte där felet inträffade.

  • Om felnumret ligger mellan 500 och 599 refererar adress- och bitinformation till MP:s CPU-kort.

  • Om felnumret ligger mellan 600 och 699 refererar adress- och bitinformation (eller chipinformationen) till CNC-kortet.

Om felet MP-160 inträffar vid start ska du kontrollera CNC-maskinens LED-kort, starta om och kontrollera LED. En teckensekvens blinkar på LED-kortet medan testning pågår. Varje tecken står för ett test av en specifik systemkomponent eller av kommunikationen mellan komponenter. Om något av testen misslyckas visas det tecken som representerar det aktuella testet på LED-kortet. CNC-maskinens LED-sekvens är:

A | Testar gemensamma RAM-minnesceller
B | Testar CNC till MP-avbrott
C | Testar bekräftelse av MP-avbrott
D | Testar MP till CNC-avbrott
E | Testar CNC-maskinens ROM- och RAM-minne
F | Alla tester lyckades - väntar på första MP-avbrott

Om det blir fel i CNC-maskinens kort efter att systemet har slagits på inträffar fel MP-060 eller MP-151. De här felen visar att MP inte kan kommunicera med CNC-kortet. Kontrollera CNC-maskinens LED-kort för följande nummer:

1 | 32 ms sedan senaste D/A-uppdatering
2 | 32 ms sedan senaste MP-uppdatering
3 | CNC till MP-avbrott har inte bekräftats på 32 ms.
8 | Systemet körs normalt
9 | Väntar på första synkronisering av gemensamt RAM-minne för MP

På CNC-maskinens LED-panel betyder en decimalpunkt framför felnumret att processorn inte är aktiv. En decimalpunkt efter felnumret betyder upptäckten i maskinvaran av att D/A inte har kunnat uppdateras på 32 millisekunder.

Vid startfel i MP (felnummer 500-599) är det kanske inte möjligt att överföra ett felmeddelande till datorn. Om du använder ett MP-30/35-system med en frontpanel visas felet även vid visningen av W-axeln på MP-frontpanelen. På ett SMP-system visas felet i den diagnostiska LED:n.

Följande tabell innehåller tillgängliga MP-felkoder:

MP-001 | MP-047 | MP-124 | MP-176 | MP-522 | MP-561
MP-002 | MP-048 | MP-127 | MP-177 | MP-523 | MP-562
MP-003 | MP-055 | MP-129 | MP-178 | MP-524 | MP-563
MP-004 | MP-059 | MP-130 | MP-179 | MP-525 | MP-564
MP-007 | MP-060 | MP-131 | MP-180 | MP-526 | MP-565
MP-008 | MP-064 | MP-142 | MP-181 | MP-527 | MP-566
MP-013 | MP-077 | MP-143 | MP-182 | MP-528 | MP-601
MP-015 | MP-078 | MP-146 | MP-183 | MP-529 | MP-619
MP-018 | MP-079 | MP-147 | MP-184 | MP-530 | MP-621
MP-019 | MP-080 | MP-148 | MP-186 | MP-531 | MP-650
MP-021 | MP-081 | MP-149 | MP-310 | MP-532 | MP-651
MP-022 | MP-082 | MP-151 | MP-320 | MP-533 | MP-697
MP-023 | MP-083 | MP-158 | MP-330 | MP-534 | MP-698
MP-024 | MP-090 | MP-159 | MP-340 | MP-535 |
MP-025 | MP-091 | MP-160 | MP-501 | MP-536 |
MP-026 | MP-092 | MP-161 | MP-502 | MP-537 |
MP-027 | MP-093 | MP-162 | MP-503 | MP-538 |
MP-028 | MP-094 | MP-163 | MP-504 | MP-539 |
MP-029 | MP-095 | MP-164 | MP-505 | MP-540 |
MP-030 | MP-105 | MP-165 | MP-506 | MP-541 |
MP-031 | MP-108 | MP-166 | MP-507 | MP-542 |
MP-032 | MP-109 | MP-167 | MP-508 | MP-543 |
MP-033 | MP-111 | MP-168 | MP-510 | MP-544 |
MP-034 | MP-117 | MP-169 | MP-511 | MP-545 |
MP-035 | MP-118 | MP-170 | MP-512 | MP-546 |
MP-036 | MP-119 | MP-171 | MP-515 | MP-547 |
MP-042 | MP-120 | MP-172 | MP-516 | MP-548 |
MP-043 | MP-121 | MP-173 | MP-517 | MP-550 |
MP-045 | MP-122 | MP-174 | MP-519 | MP-551 |
MP-046 | MP-123 | MP-175 | MP-521 | MP-560 |


Information om DCC-fel

DCC-fel visas på CNC-maskinens LED-kort.

Om felet MP-160 inträffar vid start ska du kontrollera CNC-maskinens LED-kort, starta om och kontrollera LED-kortet. En teckensekvens blinkar på LED-kortet medan testning pågår. Varje tecken står för ett test av en specifik systemkomponent eller av kommunikationen mellan komponenter. Om något av testen misslyckas visas det tecken som representerar det aktuella testet på LED-kortet. CNC-maskinens LED-sekvens är:

A | Testar gemensamma RAM-minnesceller
B | Testar CNC till MP-avbrott
C | Testar bekräftelse av MP-avbrott
D | Testar MP till CNC-avbrott
E | Testar CNC-maskinens ROM- och RAM-minne
F | Alla tester lyckades - väntar på första MP-avbrott

Om det blir fel i CNC-maskinens kort efter att systemet har slagits på inträffar fel MP-060 eller MP-151. De här felen visar att MP inte kan kommunicera med CNC-kortet. Kontrollera CNC-maskinens LED-kort för följande nummer:

1 | 32 ms sedan senaste D/A-uppdatering
2 | 32 ms sedan senaste MP-uppdatering
3 | CNC till MP-avbrott har inte bekräftats på 32 ms.
8 | Systemet körs normalt
9 | Väntar på första synkronisering av gemensamt RAM-minne för MP

På CNC-maskinens LED-panel betyder en decimalpunkt framför felnumret att processorn inte är aktiv. En decimalpunkt efter felnumret betyder upptäckten i maskinvaran av att D/A inte har kunnat uppdateras på 32 millisekunder.

Följande tabell innehåller tillgängliga DCC-felkoder:

DCC-001

DCC-002

DCC-003


Information om RCU-fel

RCU-fel genereras endast av den äldre fjärrstyrenheten RCU-I. RCU-felnummer visas i den rullande displayen på RCU-I.

Ett RCU-felnummer följs alltid av ett tresiffrigt tal som representerar versionsnumret på de tre EPROM-minnen som finns i RCU på platserna F8, F10 och R12. Du kan se versionsnumret genom att trycka på knappen DISPLAY på RCU-I.

Följande tabell innehåller tillgängliga RCU-felkoder:

RCU - 003

RCU - 700

RCU - 701

RCU - 702

RCU - 703

RCU - 704

RCU - 705

RCU - 706

RCU - 707

RCU - 708


Information om TempComp-fel

TempComp-fel genereras av temperaturkompenseringsfunktionen i system som har stöd för den här funktionen. TempComp-fel skrivs ut i rapporten och visas i meddelandefönstret.

Följande tabell innehåller tillgängliga TempComp-felkoder:

TempComp-200

TempComp-201

TempComp-202

TempComp-203

TempComp-204

TempComp-205

TempComp-206


Ändra registerposter

Med PC-DMIS Inställningar kan du ändra registerposter som styr olika inställningar i PC-DMIS.

För att starta PC-DMIS Inställningar stänger du PC-DMIS och använder genvägen Inställningar i programgruppen där du har installerat PC-DMIS. För att öppna hjälpfilen för PC-DMIS Inställningar kan du antingen starta inställningsprogrammet och trycka på F1 eller välja hjälpfilen PC-DMIS Inställningar på fliken Innehåll i den här hjälpfilen.


Glossary of Terms

95 % Confidence Factor

Given a Gaussian distribution (or filter) of errors, an adequate number of hits, and the resulting standard deviation, you can be 95% confident that the actual dimension will be less than the measured value.

AB angles

The position of these A and B axes determine the angles a probe will use during tip calibration. These are also referred to as AB positions. * A is the vertical wrist angle. A = 0 when the tip is pointing straight down and it is normal to the probe. * B is the rotation angle. B = 0 will vary according to machine type and brand and also probe head type.

AB positions

See AB angles.

Active Tip

The active tip refers to the part of the probe (also referred to as the stylus) that is currently loaded for use. Several tips can be considered active at a time and are referenced in the Active tip list.

Active Tool

This refers to the calibration tool that is used to calibrate the active tip. See also Tool.

ACTL

This means Actual, meaning the "measured" size or location information as opposed to the "theoretical" size or location information.

Actual Point (APT)

Out of the multiple readings that the controller takes during the probing cycle, the Actual Point is the one that is returned from the controller.

Alignment Block

This is a section of part program code in the Edit window beginning with the "Label = ALIGNMENT/START,..." command line and continuing to the "ALIGNMENT/END" command line.

Alignment offset

This is the distance of the part from the X, Y, and Z (0, 0, 0) location.

Alignment Rotation Feature

This Rotate button (found in Alignment dialog box) allows you to rotate the part about a particular axis. This is used for creating alignments.

Analog Probe

This type of probe is an electronic device capable of performing a continuous contact scan of a part's surface without having to leave the part's surface in order to record measurement data. When not performing scans, the probe functions similar to a Touch Trigger Probe (TTP).

Arguments

These are conditions used in a subroutine or equation, such as an IF THEN statement. IF a certain argument (or condition) is met THEN a certain result follows.

Assignment

Assignment is the process of giving the value of an operation, set of operations, or a real number to a variable and is accomplished by use of the assignment operator (=). The assignment operator is automatically created when the assignment option is selected (from the menu bar, select the Assignment option).

Asterisk (*) Meta-Character

The asterisk (*) meta-character will match, or take the place, of any character or characters in a search.

Axes

This is plural for axis. See Axis.

Axis

An axis is one of the reference lines in a system of coordinates. The various axes (plural for axis) are XPLUS, XMINUS, YPLUS, YMINUS, ZPLUS, and ZMINUS. An axis can also be defined as the derived median line along the length of a cylinder, cone, slot, or ellipse.

Axis Counters

These are digital readout hardware devices connected to your machine that give a readout of the machine's axes X, Y, and Z positions.

Ball Tip

Tip shaped as a small ball.

Baricenter

The center of gravity for a hole of any shape.

Basic Script

A basic script is a series of basic commands written in the programming language BASIC.

Baud

This is the rate at which data can be transmitted or received by a computer. This is usually defined as a number of bits per second (bps).

Bend Radius

This is essentially an outside cylinder (pin) measurement for sheetmetal. It measures the center location and size.

Best Fit

This is a mathematical process that calculates feature or alignment parameters by minimizing certain error conditions between measured and theoretical points or features.

Best Guess Algorithms

These are mathematical calculations that PC-DMIS uses to determine what feature type is being measured based on the number of hits taken. Based on the results of the calculations, PC-DMIS makes its best guess to determine the feature type. Incorrect guesses can be overridden using the Override command on the main menu.

Block Edit

This refers to moving a portion of text from one area of the Edit window to another area.

Boss

A "boss" is usually an external cone or cylinder that has a flat top to it that a bolt may thread into. Sometimes this is also termed as a "Stud".

Boundary Crossings

This numerical value (used in the Number of Boundary Crossings box) tells PC-DMIS how many times the probe's BallCenter can cross the given condition's surface (planar, spherical, cylindrical) before stopping a given scan. Once the BallCenter crosses the condition's surface for the nth time (where n = the number entered), then the scan stops.

Boundary Plane

The Boundary Plane is created perpendicular to the Boundary Plane Vector with the same XYZ coordinates as the start point of the scan. The Boundary Plane is often used to determine when to stop a scan by indicating a maximum number of times the scan may cross the boundary plane.

Boundary Plane Vector

The Boundary Plane Vector is determined initially by the direction from the start point of a scan to the direction point of the scan.

Boundary Points

These are sample points which will determine the limits of the area to be contained within a scanned line or surface.

Box Select

See Box Selecting.

Box Selecting

Box selecting is a function within the Graphic Display area that allows you to draw a box with the mouse around a group of features, highlighting those features in a Feature ID list box.

Box Tolerancing

A variation of Box Selecting. Box Tolerancing can be performed with an open Dimension dialog window and Box Selecting a group of measured features. The tolerance options in the Dimension Dialog box can then be used to apply the same tolerances to all of the features that are selected.

Branching

Branching is the path (not the probe path but the logical path or flow that an executing part program takes) followed during execution of a part program which may be variable as a result of some logical statement, such as IF, ELSEIF, ELSE, DO, and WHILE, that causes the part program to execute differently depending on the value of some input or variable that is computed or measured in the part program.

CAD Coordinates

The position, expressed as X, Y, and Z values, of a feature in a CAD file.

CAD file

A CAD file is a graphical image file created using Computer Aided Drafting which contains information about a part or parts and their features' dimensions, orientations, and sizes. These files are usually saved in one of the following formats: IGES, DFX, DES, STEP, and XZYIJK.

Cal Wrist

Abbreviation for Calibrate Wrist. Used to calculate the probe head offsets for each wrist position that is used.

Calculate Boundary

Abbreviation for Calculate Boundary Points. Used with Perimeter Scans to determine the limits of travel during the scanning operation.

Calibration

This process simply tells PC-DMIS the location and diameter of the probe tip. It is also referred to as "qualification".

Calibration Tool

A Calibration Tool is a calibrated artifact used to qualify a probe tip. It is normally a precision tooling ball. It is also known as a "Qualification Tool".

Capability Threshold

This is the number by which the process's capability is determined. The capability and the capability threshold are two different values.Capability: This is a calculated number based on measured data and the tolerances (USL and LSL). It tells you how well a process can produce parts with respect to the specified tolerances.Capability in Equation Form: It is the minimum between: (USL-XBarBar)/(3*sigma) and: (XBarBar - LSL)/(3*sigma). Where XBarBar is the mean of the subgroup's means for the data in consideration.In order for the process to be labeled as "capable", the calculated capability (above equation) must be greater than the user entered capability threshold. If a process is not capable it is considered "incapable".

Car Body Alignment

Most Car Body (and Aircraft) alignments have a coordinate system that is off in space. In the case of a car, it is usually down in the lower center of the car, under the instrument panel. Dimensioning of features takes place from that point.

CD

Collision Detection.

Centroid

The center most point of a feature.

Characteristic Point

This is a measurement used by the NC-100 video probe that is essentially an Angle Point measurement. It has two measurement types.1) Measures a point at the intersection of two surfaces (this measurement type is most like an angle point).2) Measures two points, one on each surface at a specified distance from the intersection.

Child

A 'child' is a command that is dependent upon another command in order to function.

Circ Move

Circular Move.

ClearP

An abbreviation for Clearance Plane. It is also a command entered in the Edit window to define the plane the probe must clear to avoid collision with the part.

Cmk

Machine capability process. This value is used to determine how well a given process can match the specification limits for the process.

CMM

Coordinate Measuring Machine.

Collision Tolerance

Indicates a measurable value from the surface of the CAD data. It is designed to alert you to any collisions between the probe and part.

Column locator

Another term for "Gripper".

Column passing lane

The column passing lane is a small corridor behind the usable fixture volume where columns are moved from one arm to the other and pulled from the rack for placement on the machine table.

Comm

Communications port.

Continuous Contact Scanning

A Continuous Contact Scan can be performed only when using either an analog probe, hard probe, or some laser probes and optical probes. In this type of scan the probe tip is brought in contact with the surface of a part and moved in a linear fashion without leaving the surface of the part until the scan or a portion of the scan is complete.

Controller

Every CMM has a controller. The controller drives the servos to move the machine, reads the scales to keep track of the position, interfaces to the actual probe, etc. A given CMM (or machine) can any one of several different types of controllers.

Coordinate System

A coordinate system consists of an origin and X,Y, and Z axes.

Coplanar

Coplanar means that features reside in the same plane.

Cpk

Process capability index. This value is used to determine how well a given process can match the specification limits for the process.

Cut Plane

The Cut Plane is a theoretical plane which is created perpendicular to the Cut Plane Vector with the same XYZ coordinates as the start point of the scan. The Cut Plane is used to enable a scan to be created with all points being at the same level relative to the Cut Plane Vector.

Cut Plane Vector

The cut plane vector is the cross product of the initial touch vector and the line between the start and end boundary points on scans. If there is no end point, then the line between the start and direction point is used.

CutVec (Cut Vector)

See Cut Plane Vector.

DataPage

DataPage(tm) is a statistical processing software package which links seamlessly with PC-DMIS.

Datum

A datum is an "imaginary" and "perfect" user-defined feature used as a reference point from which to measure other features on a part.

Datum Reference Frame

A datum reference frame is an alignment created from the current set of datums. It is defined by the order of your A, B, C, etc. datums.

DCC

Direct Computer Control.

DCC Mode

This mode puts the Coordinate Measuring Machine into Direct Computer Control (or DCC). With this mode turned on, the computer is in control of many CMM functions.

DD

Diameter of Datum.

Delimit

See Delimiter.

Delimiter

The verb, to delimit, simply means to separate pieces of information. A delimiter then is a symbol that separates distinct pieces of information. In written English for example, the period, question mark, and exclamation mark are delimiters that delimit (or separate) the sentences.

Delimiters

See Delimiter.

Delta

Used to indicate an option where change or an amount of change is expected to occur.

Dependent curve

A Dependent curve is dependent on the feature set it was created from. This means if the feature set is changed later on, then the constructed curve may also change.

Dependent curves

See Dependent curve.

Dependent surface

A Dependent surface is dependent on the feature set it was created from. This means if the feature set is changed later on, then the constructed surface may also change.

Dependent surfaces

See Dependent surface.

Depth

This defines the distance below the surface of a part where the measurement will be taken.

DES

If importing a DES file type, this stands for "Data Exchange Standard". If working with statistical databases, DES stands for "Data Evaluation System".

DF

Diameter of Feature.

Diameter

The maximum chord length of a circle, cylinder, or sphere. In the case of PC-DMIS, the chord length will be applied to a best fit feature unless specified otherwise. Imagine a round feature with a line passing through the center of it. The length of this segment is referred to as the diameter. It is sometimes referred to as the thickness or width of the feature.

DIMS

Dimensional Inspection Measurement System file format. This is the format of the PC-DMIS part program files.

Direction Point

The Direction Point of a scan sets the direction of the scan. The scan will continue from the Start Point heading in the direction of the Direction Point until it reaches the End Point.

Disk Tip

Tip shaped as a small disk.

DRO

Digital Read Out.

DXF

Drawing Interchange File.

Element

An element is simply another name for a feature.

Elements

See Element.

ELM1

This abbreviation stands for Element 1.

ELM2

This abbreviation stands for Element 2.

ELOGO.DAT

This data file is used to format the Edit Report's footer. It is only used on the very last page of the Edit Report.

End Ang

Ending Angle.

End effector

An artifact that is placed against the part to hold it stationary in at least one axis. Typically this is a sphere with a defined diameter. Spheres are used because they will only contact the part at a single location. Other types of end effectors can be pins (for mating holes), cylinders for locating edges, and specialty pieces specifically tailored to the part being fixtured.

End Point

This is the Ending Point of a scan. When the scan execution reaches this point it stops.

End Touch Vector

The compensation vector for the last point of a scan.

End-of-ram

This term refers to the XYZ coordinates at the end of the arm (or ram) only, not figuring in the XYZ coordinates of the probe tip.

EndVec (End Vector)

See End Touch Vector.

Error Map

All CMM's are constructed with inherent inaccuracies. After construction, most CMM manufacturers laser verify their machines to record these inaccuracies. These errors are then stored electronically in a computer file (called abcomp.dat) which can be accessed by PC-DMIS to enhance the accuracy of the CMM. In essence, the computer file is an Error Map of the CMM. See Volumetric Compensation.

Export

The process of converting the drawing information contained in a PC-DMIS part program to a CAD standard output file such as IGES.

Expression

An expression is a user defined condition used with PC-DMIS'S flow control commands. If the condition is met or not, you can determine what action PC-DMIS takes.

Expressions

See Expression.

Extrude

When a probe is moved from one location to another, geometric volume is created through the move. The term "extrude" is used to define the volume of space that a probe will be in as it moves from one point to the next. The volume is then checked for collision with the part or table.

Faro Arm

This refers to the articulating arm CMM produced by Faro Technologies, Inc.

Feature Height

The distance from the base to the top (center ) of the feature.

Feature Length

The measured value along its greatest dimension.

Feature Pointer

A Feature Pointer is a variable type that works directly with an existing feature, providing direct access to that feature. For example, the statement ASSIGN/V1 = CIR1 would create a feature pointer to the feature CIR1 and assign it to variable V1. V1 could then be used to access CIR1. CIR1.X would access the measured x component of the centroid of CIR1.

Feature Pointers

See Feature Pointer.

Feature Set

A Feature Set is a collection of previously measured or created elements into one constructed element. The items making up the Feature Set do not necessarily have to be of the same feature type.

Feature Width

The measurement of a feature from side to side. The measured value along a feature's shortest dimension.

FILE I / O

This menu option stands for File Input / Output. Data can be Input (written) to or Output (read ) from these files.

FindNoms

Find Nominal Values. When this option is selected from the Nominals option of a scan dialog, PC-DMIS will pierce the closest selected CAD surface in an attempt to gather the theoretical CAD data for each scanned data point. This information will then be used to calculate the deviation of each point.

Fixed Delta

An option for manual scanning with a hard probe where data points will only be gathered at specific, or 'fixed,' increments between each other.

Fixed probe

A fixed probe is synonymous with a "hard probe". It is a probe that doesn't use a touch trigger.

Flat feature type

Flat feature types are planar features. See Flat features.

Flat features

Flat features are defined as points, planes, and lines. See Flat feature type.

Flat Guess

This is a mode of operation utilized when using a hard probe to set order of precedence for the software to guess the type of feature being measured. Flat Guess will attempt to solve for a plane before a circle, cylinder, cone, or sphere. See also Round Guess and Guess Mode.

Floating toolbar

A floating toolbar is a toolbar that is able to be moved out of its set position and allowed to "float" at a desired location on the screen.

Flow Control

This refers to options within the software that allow you to control the direction of the part program.

Fly Mode

This is an option referring to how PC-DMIS will move the probe around the part during the measurement process. To be utilized, the CMM must have a DCC controller capable of Fly Mode operation.

FOV

Field of Vision. This refers to what you can see through the eye of a camera, an integral portion of video probes.

Gap & Flush

GAP = Distance (in the same plane) between two mating sheet metal parts.FLUSH = Height difference between two mating sheet metal parts.For example, if you're looking at a top view of an automobile, the distance between a car's fender and hood is the gap (distance between the two parts in one plane). If you look at a side view of the car the flush for the fender and the hood would be the height difference.

Gaussian Filter

See 95% Confidence factor.

GD&T

Geometric Dimensioning and Tolerancing. This is a standardized, international language that uses a recognized symbology to communicate a part's design specifications.

Geometries

Geometries are features or geometrical shapes such as lines, circles, etc.

Gripper

This device, used with flexible fixturing, is placed on the end of the ram. It "grips" (or holds) columns in order to either remove them from their rack and position them on the worktable, or remove them from the worktable and place them back in their rack. The gripper also uses air injectors (much like air hockey) to lift the column off of the worktable.

Guess Mode

When a fixed probe is used, PC-DMIS can't determine the type of feature that is being measured. Guess mode allows you to indicate whether the feature is flat or round reducing the possibility of an incorrect guess.

Hard probe

A hard probe is a probe without a touch trigger or removable stylus.

HEADER.DAT

This data file is used to provide formatting information for the Edit Report's headers. This includes all the pages after the first page.

High Point Feature

A High Point Feature is the type of feature created when using the High Point option of Auto Features. (From the main menu Access the Auto Features dialog box and then select the High Point tab) The High Point is the point along a specific vector through a surface which has no other point at a higher distance along that vector when compared to the centroid of the surface.

Hit

Contacting the stylus tip with the part. Also known as probing.

Hit Buffer

The hit buffer stores probe hits before you create a feature from those hits. The stored hits can be deleted by pressing the ALT and '-' (minus) key combination.

Hit Retract

This number is a user specified distance which tells the probe at what point to speed up again, after retracting from a probe hit on a part.

Home position

This XYZ position is the 0,0,0 machine location that the probe moves to each time the machine is powered on or off.

I/O channels

A numbered device in the controller that allows you to set the state to 1 or 0. Compatible devices can then be connected to each channel. One common example is to connect one channel to an air supply for an external device. Setting the channel to 1 turns on the air and setting it to 0 turns it off.

ID

Identification or Identity. Also Label or Feature Name.

IGES

International Graphics Exchange Specification file format.

Import

The process of retrieving a CAD file from a database and processing it into the PC-DMIS part program.

Indent

A value set in from the edge of the feature (to the point location).

Independent curve

An Independent curve no longer depends on the feature set that was used to create it. If the feature set changes, the independent curve will not change.

Independent curves

See Independent curve.

Independent surface

An Independent surface no longer depends on the feature set that was used to create it. If the feature set changes, the independent surface will not change.

Independent surfaces

See Independent surface.

Indexable

The ability of the probe wrist to be positioned at certain predefined (indexed) angles. These positions are mechanically set at regular increments on indexing probe heads. These indexes can vary from 15 to less the 0.1. When a wrist is indexable it means that it has the capability of being moved to different positions within the increments available on that specific wrist.

Indirection

The value of the variable pointed to by the given variable.

Init

Abbreviation for Initial. See Init Sample Hits.

Init Sample Hits

The initial sample hits are taken when learning a particular feature. Sample hits are used to determine the surface vector into which the measured feature projects.

Initial Touch Vector

The compensation vector for the start point of a scan.

InitVec (Initial Vector)

See Initial Touch Vector.

INTOF

Intersection of the given feature.

Iterative Alignment

This alignment takes a number of points which approximates the ideal (or nominal). From the points, a mathematical computation repeatedly adjusts or tries to approximate the alignment to the nominal. In a sense, it does a "best fit" computation with the points.

Kinematic Mount

A kinematic mount refers to a set of usually 3 precision tooling balls, receivers for the balls, and a fastening device which is used to provide a highly repeatable connection point for styli, probes, or probe heads. Kinematic mounts are frequently found on devices which may employ an automatic changer and will preclude the need for requalification.

Knot

A knot is a part of the mathematical definition of a spline. They are associated with the control points of a spline and help to define the shape of the spline.

Knots

See Knot.

Learn Mode

This term is used to describe the state of PC-DMIS when creating or appending to a part program's instructions in the Edit window.

Learning

This term is often used to describe the process of creating instructions which appear in the PC-DMIS Edit window. This can be done through typing in the actual entries, selecting menu command from the menu bars, or by touching measurement points on a physical part with the CMM and pressing the jog box's DONE button or the keyboard's END key.

LEVEL - 3 +

This means that three or more features are needed to perform the Level command for an iterative alignment.

LEVEL set

This is the set of features needed to perform the Level command for an iterative alignment. See LEVEL -3 +.

Line Distance

The length of a line segment between two features.

Literals

Operands whose symbols literally describe their value. "3" is a literal of type integer. "3" means the number three. It never means "4" or "2". A variable, such as "V1" does not literally denote its value, rather it is a label or holding place for a value. "V1" could hold a value of "2", "3", or "4" or any other number of object type. Literals often have very specific functions and meanings and at times can be used in place of arguments. See also "String Literals".

LK systems

LK systems are CMMs or CMM controllers produced by LK, as opposed to SHARPE models.

LMC

Least Material Condition.

Logo.dat

This data file contains information that formats a document header for the first page of the Edit Report. It may contain information such as date, time, etc.

Looping

The act of repeating any portion of the part program a predetermined number of times.

Machine Capability

This is the same as the process capability (see Capability Threshold), except standard deviation is calculated in a different way. It this case standard deviation is calculated based on the individual data, not subgroup data. This is essentially the only difference.

Machine Coordinates

The position, expressed as X, Y, and Z values, of a feature or object within the measurement volume of a CMM with respect to the machine's zero reference position.

Manual Probing Point

This refers to the fact that the operator manually moves the machine when taking the hit rather than the machine moving itself in DCC mode.

Mark Set

This highlights a group of features that will be measured when the part program is executed.

Mark Used

The Mark Used function (selected from the Probe Utilities dialog box) will scan a PC-DMIS part program and mark or highlight the probe angles that are used or referenced by the part program. This will then allow an operator to easily determine which probe angles or tips need to be qualified.

Master Arm Mode

This mode allows one arm, designated by the user as the "Master", on a multi arm CMM, to take precedence over another arm, designated as "Slave", in order to avoid collision of the arms. This is also known as Master / Slave mode.

Material Thickness

Material Thickness is a property which can be associated to CAD files. Many times, especially on parts constructed of sheetmetal, a CAD file will represent only one side of the material. Therefore, in order to accurately measure and dimension on the opposite side of the part, a correction thickness must be applied.

MDI

Multi-Document Interface. This is a program or user interface that allows more than one file open at a time (PC-DMIS for example allows you to have more than one part program open at a time, making it an MDI application).

Measurement Volume

The measurement volume is the area in the machine that can actually be used for measurement. Although the machine dimensions may be large, the actual space that is available to use for measurement can be much smaller. The measurement volume can increase or decrease depending on the probe configuration (type of wrist, probe body & stylus) being used.

Meta-Character

A meta-character is a character that acts as a wild card for another alpha-numeric character or characters. There are two meta characters available in PC-DMIS: the Asterisk (*) meta-character and the Question mark (?) meta-character.

Microns

A micron is a unit of measurement, one millionth of a meter.

Minus-Lower tolerances

Gives a plus tolerance in the Minus Tolerance field. (i.e. 1.000 + .003 / +.001).

MMC

Maximum Material Condition.

MMIV

This stands for the Micro Measure IV(tm) measurement software package.

Model-space

This is the 3D coordinate space to which surface and curve geometry are mapped.

Modes

Modes are different program states available to PC-DMIS. Each mode offers specific functions. The modes available to PC-DMIS include: Program Mode, Translate Mode, DCC Mode, Manual Mode, and Text Box Mode.

Mount point

A defined XYZ location used during certain fixture and probe changer operations.

Movement Range

The actual space (volume or area) that can be used on a machine for measurement. It is also known as Measurement Volume.

Moving Average

This is the average value of a set of data points that moves over time.Example: Given a subgroup size of 3 (the number of data points used in calculating a moving average) and the following set of data: [1,2,3,4,3,4,5,4,3,2,3] the first moving average is calculated from the first three points: [1,2,3]. Its value is 2. The second moving average is calculated by moving over one step to the right within the data, giving the following data: [2,3,4]. Its value is 3. The next 3 points are: [3,4,3]. Its average is 3.33. The next 3 are: [4,3,4]. This is done up to the end of the data.

Nested subroutines

These are subroutines which are called from (or nested within) another subroutine.

Newtons

A "newton" is a unit of force. One newton is the force needed to accelerate a mass of 1 kilogram to a speed of 1 metre per second per second.

Normal To

The phrase "normal to" a certain feature or geometrical element, simply means "perpendicular to" or at a 90 angle to some other feature.

Notch

A feature type which is similar to one-half of a square ended slot.

Num Hits

See # Hits.

Num Rows

See # Rows.

ODBC

Open Database Connectivity

Offset Feature

PC-DMIS allows three types of Offset Features, Offset Points, Offset Lines and Offset Planes. An Offset Feature is on constructed one or more other features. Each feature comprising the Offset Feature may then have an offset or correction value associated with it. Thereby, each feature contained in the offset feature may or may not actually coincide with the new constructed feature.

On Error

On Error is a function of some CMM controllers where if an electronic probe contacts or doesn't contact a part unexpectedly, the PC-DMIS part program will branch to a separate set of instructions to be executed. This function may be called from the main menu by selecting the On Error menu item.

Open GL

Open Graphics Library. This refers to a library of graphic routines used to aid in the display of graphical information.

Operand

The part of an equation that is being operated on by an operator. In the equation "2+3", the numbers 2 and 3 are operands and the plus sign (+) is the operator.

Operands

See Operand.

Optical Probe

An Optical probe is a probe that uses optics to determine its location. For example, a laser probe would be considered an Optical Probe.

ORIGIN set

This is the set of features needed to perform the Set Origin command for an iterative alignment. See SET ORIGIN - 1.

Outliers

Outliers are "wild points" and usually result from glitches in the measuring process rather than representing actual material. You may find it useful to identify and ignore such points.

PA

This abbreviation stands for Polar Angle. Also seen as PANG. The Polar Angle is used in cylindrical coordinates and is used with Polar Radius. See PR.

Pang

This abbreviation stands for Polar Angle. Also seen as PA. The Polar Angle is used in cylindrical coordinates and is used with Polar Radius. See Prad.

Parameter-space

This is the 2D coordinate space of a surface's parametric domain. For example, one corner of a surface is defined at parameter position (0,0) and the opposite corner is at (1,1). Varying this parameter between these two positions defines the entire surface. Given the geometric definition of surface, a parameter-space position can be mapped to a model-space point.

Parent

A 'parent' is a command (or information from a command) used in another command.

Part Coordinates

The position, expressed as X, Y, and Z values, of a feature on a physical part with respect to an origin location.

Part Program

The part program is the textual description of how to measure or inspect an object. Each part program has a unique name with a .prg extension. The part program is created by the CMM operator. The part program can be, but is not always, associated with a CAD model. If it is associated with a CAD model, the CAD file will have the same file name as the part program with a .CAD extension.

Perm

Abbreviation for permanent. See Perm Sample Hits.

Perm Sample Hits

The number of sample hits which will be used in measuring a particular feature during execution of a part program.

PH9

This is the model number of a particular Renishaw probe head. The abbreviation stands for Probe Head 9. This term is also used to refer generically to articulating motorized wrist type probe heads.

Pierce Point

An intersection point found on a CAD surface using the measured hit coordinates and approach vector. It is equivalent to a ray that uses the approach vector and starts from the hit's XYZ location and then, using the approach vector, pierces the surface at an appropriate point.

Pins

Pins are removable features that stick out of a part (as opposed to holes which go into the part). Pins are similar to "studs".

Pitch

Pitch is the distance moved along the axis of the feature in one revolution.

PlaneVec (Plane Vector)

See Boundary Plane Vector.

PNT TOL

This abbreviation for vector point tolerance is used in the Edit window (as PNT TOL = n) to specify the vector point tolerance for manual touches in an iterative alignment.

Point to Point Digitizing

Point to Point Digitizing is a process of gathering the data about the surface of a part for reverse engineering purposes. Data is gathered by scanning the part with a machine and software capable of generating discrete measurement points. Once a sufficient number of points are gathered, they are taken as a group and processed to generate the electronic surfaces of a part which can be used by CAD software to complete a design.

POLAR

Refers to a Polar (also seen in the Edit window as POLR) coordinate system containing U and V coordinates. U represents the polar radius and V represents the polar angle or vector.

POLR

An abbreviation for Polar.

Polyline

In computer graphics, a polyline is a continuous line made up of one or more line segments. A polyline is sometimes treated as a single object, or it may be divided into its component segments.

Potentiometers

These are instruments that measure electromotive forces.

PR

Stands for Polar Radius. Also seen as Prad. The Polar Radius is used in cylindrical coordinates with Polar Angle. See PA.

Prad

Stands for Polar Radius. Also seen as PR. The Polar Radius is used in cylindrical coordinates with Polar Angle. See PA.

Pre-Hit

This is number which determines at what distance a probe will reduce speeds while approaching a part to take a hit.

Precedence

Precedence in algebraic expressions or assignment operations refers to the order in which operations occur. For example, multiplication has a higher precedence than addition therefore, the expression "2 + 3 X 6" evaluates to 20 since 2 is added to the result of 3 X 6. Not following precedence might result in the errant result of 30.

Probe

The sensing unit that is attached either to the Ram of the CMM or the indexable wrist. The probe requires a stylus be mounted to it in order to gather measurement data (except in the case of a hard probe).

Probe Changer

A rack placed in the measurement volume of the CMM. The probe changer secures multiple probe types for use in a single part program. The CMM can switch between probe types without the need for operator assistance.

Probe Depth

The Probe Depth is the location of the probe along the Z axis, normal to the CMM's table.

Probe Extension

A Probe extension is a cylindrical piece that is inserted between the probe head and the probe itself.

Probe Shanking

This is the accidental contact of the probe's shank with the part or a feature on the part.

Probing Cycle

This is the cycle of operation an analog probe/controller goes through to take a point.

PROE

ProEngineer CAD file format.

Profile

"A profile is the outline of an object in a given plane (two-dimensional figure). Profiles are formed by projecting a three-dimensional figure onto a plane or by taking cross sections through the figure."-ASME Y14.5M-1994 Dimensioning and Tolerancing.Often on CAD drawings, when you look at a surface in different views, it won't look like a surface, but a curve, line, or a collection of individual points. These are the result of this projection of a three-dimensional figure onto a plane or by taking cross sections through the figure.

Profile Error

This is the deviation of the actual or measured profile from the theoretical or nominal profile

Profiles

See Profile.

Program mode

This mode allows you to create your part program in the Edit window. It also shows the image of the probe in the Graphical Display window.

Pt

Abbreviation for Point.

Qualification Tools

See Calibration Tool.

Qualify

To qualify also means to calibrate, or determine the position (of a probe tip, for example).

Question Mark (?) Meta-Character

The question mark meta-character (?) acts in the same way as the asterisk (*), except that the question mark meta-character will match only 1 alpha-numeric character.

Ram

This refers to the end of the arm to which the probe is attached. On a horizontal machine, the Ram is the horizontal beam on the machine and usually moves in the X or Y axis of the machine. On a vertical machine (commonly called a "bridge" machine) the ram is mounted vertically and moves in the Z axis of the machine.

Read POS

Read Position. This function will get the current XYZ coordinates from the CMM controller.

RECT

Rectangular. Used where the referenced coordinated system should be expressed in rectangular (XY) or Cartesian (XYZ) form.

References

An expression syntax that refers to the value of data. All of the syntax used to access different data elements of the part program. "CIR1.X" is a reference to the measured x value of the centroid of the feature called CIR1. "LINE.LENGTH" is a reference to the length of LINE. "C1.INPUT" is a reference to the input of the comment named C1.

Relearn Mode

This is a scan option for execution of a scan. If the Execute option is selected to RELEARN, then every time a scan is reexecuted the compensation vectors for each scan point are recalculated.

RFS

Regardless of Feature Size.

RLE

RLE stands for Run Length Encoding and is a way of compressing bitmap files.

Rmeas

Relative Measurement. Can be used to create a new auto feature at coordinates which are derived from the actual measured coordinates of a previously measured feature.

ROI

This is a computerized box displayed on the computer screen for the NC-100 video probe. Measurement of the feature must be within the box.

ROTATE - 2 +

This means that two or more features are needed to perform the Rotate command for an iterative alignment.

ROTATE set

This is the set of features needed to perform the Rotate command in an iterative alignment. See ROTATE - 2 +.

Round feature type

A round feature type is a circular or curved feature. See Round features.

Round features

Round features are defined as circles, spheres, cones, and cylinders. See Round feature type.

Round Guess

This is a mode of operation utilized when using a hard probe to set order of precedence for the software to guess the type of feature being measured. Round Guess will attempt to Solve for a circle, cylinder, cone, or sphere before a plane. See also Guess Mode.

RTF

Rich Text File.

Scan Point Density

The Scan Point density determines the number of hits that the CMM returns for each millimeter.

Scripting

See Basic Scripting.

Section lines

Section Lines are CAD entities that can be superimposed on a CAD drawing. Though they contain no dimensional or drawing information, they can be referenced by a Section scan to provide a linear scan across one particular section of a part. These are reference lines used by engineers when specifying locations of part features.

SET ORIGIN - 1

This means that one feature is needed to perform the Set Origin command for an iterative alignment.

Shank

This is the shaft portion of the stylus that extends from the measuring tip to the stylus mounting joint. In the case of a shank tip, there is no precision tip (see shank tip). The shaft which supports the qualification tool is also referred to as a shank.

Shank Qual

Shank Qualification is utilized with sheetmetal styli to provide the axis direction of the shank as well as the center point of the spherical tip end.

Shank Tip

Tip shaped like a straight shaft.

Shanking

A term used when the probe is triggered by contacting the part with the shank of the stylus as opposed to the tip of the stylus. When this occurs, erroneous data is gathered.

Sheet Bodies

This is Unigraphic's modeling engine's terminology for surfaces.

Sheetmetal Stylus

A sheetmetal stylus is designed for measuring very thin part. The sheetmetal stylus will have semi-spherical ball on its end with a short section of shank which is coaxial and concentric to the center of the ball.

Sheetmetal Thickness

See Material Thickness.

SHSP

Stylus Holder Setting Piece

Sigma

The Greek letter often used to represent standard deviation.

SNSDEF

This statement is a DMIS major word used to defined sensors in the DMIS language.

Soft Probing

Soft Probing (or SFT) is Leitz terminology for a frequently used probing mode used to measure soft materials.

Solid Bodies

This Unigraphic's modeling engine's terminology for solids.

Spacer

A user defined value indicating the offset distance between the edge of a feature and a sample point.

SPC

This stands for Statistical Process Control. In PC-DMIS SPC charts can be created and updated from a defined database.

Spline

A spline is a specific type of curve or surface. Splines are used in modeling because of their mathematical properties which make them easier to use in a wide variety of ways. Splines can be used in both curves and surfaces.

Splines

See Spline.

Square-up

"Square-up" means to align (or rotate) the part in the Graphical Display window until that part lines up and is parallel to an edge of the screen.

Standard Deviation

This is the root mean square of the deviation from the mean. In equation form it is:sqrt((sum((xi-m)^2))/n-1) where:m = the mean valuen = the number of data pointsxi = the ith data point.

Start Ang

Starting Angle.

Start point

The Start Point in a scan is the beginning point of the scan's execution.

State Mode

The four states of operation are Translate Mode, 2D Rotate Mode, 3D Rotate Mode, and Program Mode. These four options can be individually selected from PC-DMIS'S toolbar icons.

Statistical Output File

This file contains printable stats for a part program. Information is saved in the file named "xtats11.tmp" usually in the PCDMIS directory or the location that you chose to install PC-DMIS.

STEP AP203 & AP214

STEP stands for Standard for the Exchange of Product Model Data. STEP was forwarded to the international community in 1988. It is a standard for the computer-interpretable representation and exchange of product data. The objective of STEP is to provide a neutral medium capable of describing a product throughout its life cycle.

Step Mode

Step Mode is a variation in execution of a part program in which the CMM will execute only one block of commands at a time. User intervention is required for the program to continue. In effect, this is 'stepping' through the part program.

Stitch Type Scan

This is the type of scanning performed on DCC CMMs which have Touch Trigger Probes. During the scan, the CMM will contact the part, move away the retract distance, move to the next prehit point, then move in and contact the part. This process continues to repeat until the scan is complete. The term Stitch Type comes from this process which is similar to the functioning of a sewing machine.

STL

Stereolithography format. An ASCII or binary file used in manufacturing, provides a list of the triangular facets that describe a computer generated solid model.

Studs

Studs are non-removable features that stick out of a part (as opposed to holes which go into the part). Pins are similar to "studs".

Stylus

Also referred to as "Probe Stylus" is a cylindrical shaft (shank) with a high precision tip. The stylus screws into the probe body and is usually interchangeable with other Styli (plural for stylus).

Stylus Changer

The stylus changer is a rack that is placed in the measurement volume of the CMM. It holds multiple styli to allow for the use of multiple styli in a single Part Program. The CMM is able to automatically switch between styli without the need for operator intervention.

Stylus Extension

A Stylus extension is a cylindrical piece that attaches to the probe body and to the stylus. It is used to extend the length of the measuring tip. Multiple extensions can be used at one time.

Subroutine

A subroutine is a sub-program within the part program. These sub-programs contain commands from the current file or an external file and that are able to be used repeatedly.

Subroutines

See Subroutine.

Surface of Revolution

This is a surface which may be generated by rotating a curve plane about an axis in its plane.

System Calibration

This is the process of checking the accuracy of a CMM and making adjustments mechanically to the CMM or electronically to the VolComp file to reduce the inaccuracy.

TAPER TIP

Tip that has been tapered to a conical shape which gets smaller toward the end.

TARG

This stands for target. It is the size or location information at which the CMM will try to measure.

Tessellation

The act of breaking up a surface into a group of polygons in order to shade a graphical image.

THEO

This stands for theoretical. It is the nominal size or location information.

Thread

The portion of the tip that is screwed into another part is referenced by the size of thread. The tread is the corkscrewed band that holds the parts together.

Time Delta

This user specified value is used to weed out hits taken with manual scans using a hard probe that come in faster than the specified time increment. The increments are in seconds.

Tip

This is the portion of the stylus that comes into contact with the part being inspected/measured. Styli may have several types of tips. The tip can be either a ball, disc, or a pointer.

TOG

TOG is a "toggle" field in the Edit window. To toggle through the available options within the Edit window, place the cursor over toggle field and press F7.

Tool Changer

See Probe Changer.

Touch Trigger Probe

This type of probe automatically triggers a hit when it touches the part.

TP

True Position.

Trace Field

This is a two field command in the Edit window. The first field represents the name, or title of the trace field. The second field will display the current value of the trace field (i.e., Temperature : 75, or Shift : afternoon). Trace Fields are used in the XSTATS11.TMP file for database programs such as DataPage.

Trace Fields

See Trace Field.

Translate mode

This places PC-DMIS into a program state which allows you to move the part on the screen as well as change the part's display size in the Graphical Display window, etc.

Trihedron

A graphical representation of the planes meeting and forming a point. Also termed a trihedral.

TTP

See Touch Trigger Probe.

UG

UniGraphics CAD file type.

UPR

This stands for Undulations Per Revolution.

Variable

An object used to hold a value. A variable has a name and a value. The name is used to access the value of the variable. The name is constant, the value can be changed. For example, the statement ASSIGN/V1 = 2 creates a variable with a name of V1 and a value of 2. ASSIGN/V2 = V1 + 2 accesses the value of V1. If V1 still had a value of 2 when this assign statement were executed, V2 would then have a value of 4. A variable is a value that refers to integer, real, string or point operands.

Variable Delta

Variable Delta is a type of scan that can be accomplished only with a hard probe. During a Variable Delta scan, data points are read only when the requirements of a specific minimum time increment and a minimum distance increment are achieved.

Variables

See Variable.

VDAF

VDAF stands for VDA Surface Data Interface format. VDAFS was published as a German national standard in 1986. It is used by the German Motor Manufacturers Association (VDA) to exchange 3D CAD model data.

VDAFS

See VDAF.

View ID

View ID is a user defined name for a view that the user has saved in memory.

VolComp File

The "comp.dat" file. For a CMM to measure accurately, this file must be located in the PC-DMIS operating directory of the computer used to operate CMM's which are Volumetrically Compensated. See Volumetric Compensation (VolComp).

Volumetric Compensation (VolComp)

Volumetric Compensation is the process of accessing a CMM's Error Map and applying the error as a correction factor to measurements in order to enhance the accuracy of the CMM. This is accomplished automatically by PC-DMIS once a CMM has been properly initialized. (See also Error Map.)

Weight

A value calculated from a tolerance used when calculating a best fit. The smaller the tolerance the less room there is for error. A smaller tolerance, then, carries a greater "weight" or importance in a best fit calculation.

Weights

See Weight.

Wild Cards

Wild Cards are made up of two meta-characters, the asterisk (*) and the question mark (?). The asterisk meta-character (*) will match, or take the place, of any character or characters in a search. The question mark meta-character (?) acts in the same way as the asterisk (*), except that the question mark meta-character will match only 1 alpha-numeric character.

Wire Bodies

This is Unigraphic's modeling engine's terminology for wire frame features (wire, lines, curves, etc).

Working Plane

The Active and Pass Through Planes define the working plane. PC-DMIS will allow you to indicate the specific plane into which a feature is projected when it is measured. The term 'working' is the same as 'current' or 'active' when referring to the working plane.

Wrist Map

See Error Map and Volumetric Compensation.

Wrist Warning Delta

This option can be found on the Part/Cmm tab of the SetUp Options dialog box. If a CAD selected feature to be measured does not have a vector which agrees with the active probe angle within the Wrist Warning Delta limit, a warning is generated.

X, Y, and Z Center

These values show the location of the center of the ball tip.

XBarR

XBar is a way of writing out the statistical symbol X which is the mean or average. Thus the XBar chart is a mean or average of a process. This is usually calculated over time and the chart is set up such that the X axis of the chart is time and the Y axis of the chart is the mean value.XBarR is an abbreviation for "XBar and R". This is essentially an XBar chart with additional information. The "R" represents the range of data in any given sample. A sample is defined as a predetermined number of measurements. The range of a sample is calculated by subtracting the Min from the Max of the sample. This is then plotted at the same time position on the chart as the mean of the sample giving two data points for the sample at that time.

XBarS

XBar is a way of writing out the statistical symbol X which is the mean or average. Thus the XBar chart is a mean or average of a process. This is usually calculated over time and the chart is set up such that the X axis of the chart is time and the Y axis of the chart is the mean value.XBarS is an abbreviation for "XBar and S". ". This is essentially an XBar chart with additional information. The "S" represents the Standard Deviation of the sample. There is a mathematical equation to determine the standard deviation of a sample.

Z rail

The Z rail is the vertical arm of the CMM.


Locking Axes

To prevent probe movement in one or more axes, select the appropriate axis locking icons from the Probe Toolbox.

For example, if you want to lock the probe's Z axis from moving, select the Lock Z Axis icon. You can then click anywhere on the CAD and the probe will be able to move freely in the XY plane, but motion in the Z direction won't take place.

Note that on a Vision DCC machine, moving the graphical probe also moves the FOV (Field of View).

Note: These items are grayed out and unavailable for selection unless you have the Vision or Laser module programmed in your hardware key (portlock). See the PC-DMIS Laser or PC-DMIS Vision help files for more information on using the Probe Toolbox.


image003.gif	Fixad
image006.gif
image007.gif	Fixad


Plane List

The Plane list contains a list of any plane features you have created in your part program. By default PC-DMIS projects each measured line and circle into your current workplane, so the default item on this list shows Workplane. However, you can select a different plane from this list. PC-DMIS will then project each measured line and circle into the newly selected plane.


b_back.gif
b_finish.gif
b_next.gif
image140.gif
image143.gif
image154.gif
image155.gif

Ej ändrade RJ


Calibrating the FCR25 Probe Changer

The calibration process for Renishaw's FCR25 probe changer represents the steps that would be taken to prepare for using any of the probe changers supported by PC-DMIS. The process discussed here is specific to the FCR25 probe changer.

Two inserts are used with the FCR25 rack to accommodate different probe types, the PA25-SH and the PA25-20.

PA25-SH and PA25-20 Inserts

PA25-SH and PA25-20 Inserts

For example, the following image of an FCR25 probe changer shows three ports, two with inserts and one without (probes are also shown). The left port shows a PA25-SH insert and the port on the right shows a PA25-20 insert. The middle port does not have an insert.

FCR25 Probe Changer - Showing inserts and probe types

Important: The FCR25 Probe Changer must be mounted on the machine table parallel to either the X or Y axis for successful calibration. The FCR25 Probe Changer can be mounted to your table with the MRS rack or the 3 and 6 port stand-alone racks.

For mounting instructions, consult the documentation that came with your probe changer.

To Calibrate your FCR25 Probe Changer:

  • Step 1 - Select the FCR25 Probe Changer

  • Step 2 - Define the Mount Point

  • Step 3 - Define Ports

  • Step 4 - Begin Calibration

  • Step 5 - Prepare Probe Changer

  • Step 6 - Measuring Port 1/PA25-SH Insert

  • Step 7 - Measuring Port 3/PA25-20 Insert

  • Step 8 - Measuring Port 2/No Insert

  • Step 9 - Review Calibration Results


Defining Probe Changers

To begin using your probe changer, you must first define the changer's port locations through the following probe changer calibration procedure. While PC-DMIS supports a variety of probe changers, only the FCR25 calibration process is discussed here. If you have a different probe changer type, please use this procedure as a guide, as it will be similar enough for all supported types.

To begin this calibration process, you need to access the Probe Changer dialog box. Select Edit | Preferences | Probe Changer.

Terminology Note: While the Probe Changer dialog box uses the term "slot" instead of "port", the calibration prompts you will receive use the term "port". For this reason, this documentation will use the term "port" except when referring to Probe Changer dialog box items that use the term "slot".

More:

Calibrating the FCR25 Probe Changer

Showing an Animated Probe Changer


Step 1 - Select the FCR25 Probe Changer

To begin the calibration process, select Edit | Preferences | Probe Changer to open the Probe Changer dialog box.

Probe Changer dialog box - Type tab

To select the FCR25 Probe Changer, follow these steps:

  1. Select the Type tab from the Probe Changer dialog box.

  2. Select FCR25 from the Probe Changer Type list.

  3. Click Apply to make this probe changer active and to load settings that are relevant to this probe changer.

  4. Specify the number of different types of probe changers in the Number of Probe Changers box.

  5. Specify the Docking Speed. The default value of 5% is appropriate for most machine configurations.

  6. Click Apply to save your changes.

In the next step you will define the location your probe body will move to when using the probe changer to switch probe components.

Next Step...


Step 2 - Define the Mount Point

The Mount Point for your FCR25 Probe Changer is the location in front of your probe changer where the machine will move before it picks up or drops off a probe. You should determine a location that will avoid collision with the probe changer or part.

Probe Changer dialog box - Mount Point tab

To provide the Mount Point for your FCR25 Probe Changer, follow these steps:

  1. Select the Mount Point tab from the Probe Changer dialog box.

  2. Select TYPE=FCR25 from the Active Probe Changer list.

  3. Alter the Probe Head Wrist Angle for both A Angle and B Angle. Typically these values will be 0 and 0 respectively.

  4. Using your jog box, manually move your machine to the desired mount point position.

  5. Click the Read Machine button. This will populate the X, Y, and Z Machine Position values with the current position. You may also manually type these values.

  6. Click Apply to save your changes.

In the next step you will define the ports used by your probe changer.

Next Step...


Step 3 - Define Ports

The example described in this documentation has a PA25-SH insert in Port 1(left), NO INSERT in Port 2 (middle), and a PA25-20 insert in Port 3 (right).

To define the ports of your FCR25 Probe Changer, follow these steps:

  1. Select TYPE=FCR25 from the Active Probe Changer list.

  2. In the Number of Slots box, specify in multiples of three the number of ports your FCR25 probe changer(s) will have. PC-DMIS then lists the specified number of ports as "slots" (for example Slot 1, Slot 2, Slot 3, and so forth). Until you define the ports these "slot" entries will display "UNDEFINED".

Probe Changer dialog box - Slots tab showing undefined slots

Probe Changer dialog box - Slots tab showing undefined slots

  3. Select a slot from the list and click Edit Slot Data. This opens the Probe Changer Slot Data dialog box.

Probe Changer Slot Data dialog box

  4. Select NO INSERT, PA25-SH, or PA25-20 from the Slot Type list.

  5. You may specify the XYZ values for the center position of the port or leave those values empty. In any case, PC-DMIS will automatically populate these values upon successful calibration. See "Step 9 - Review Calibration Results".

  6. Click OK to save changes to slot data. Repeat steps 3 through 5 for all ports in your changer.

Probe Changer dialog box - Slots tab

  7. Click Apply to save your changes.

You are now ready to begin calibration. In the next step you will start the calibration procedure.

Next Step...


Step 4 - Begin Calibration

Before you start calibration you must specify/verify the probes that will be used.

Probe Changer dialog box - Calibrate tab

To specify the probes used in the calibration of your FCR25 Probe Changer, follow these steps:

  1. Select the Calibrate tab from the Probe Changer dialog box.

  2. Select the TYPE=FCR25 from the Active Probe Changer list.

  3. Determine the type of calibration. Select either the Single Port Calibration option to calibrate one port or the Full Calibration option to calibrate all FCR25 ports. If you select the Single Port Calibration, you must also select the needed port from the Probe Changer Port list. This documentation describes the Full Calibration option.

  4. Select the currently attached probe that defines the current probe configuration from the Active Probe File list, and select the current tip from the Active Tip list.

  5. If any ports require a secondary probe file to pick up that type of stylus, select the required probe file that defines the secondary probe configuration from the Second Probe File list. Then select the needed tip from the Second Tip list. For example, a PA25-20 insert would require you to specify something like the SO25TP20_3 to accommodate the size of stylus used with the insert.

  6. Click Calibrate when you are ready to begin calibration.

In the next step, you will prepare the probe changer for calibration.

Next Step...


Step 5 - Prepare Probe Changer

Step 5 - Prepare for Calibration

Note: The Calibration process may vary slightly depending on the types and locations of the inserts for each port. The process described here is intended to show how PC-DMIS manages calibration for each port type.

Once you click Calibrate the following message box appears:

  1. Read the instructions from the preceding prompt, and verify that you have the correct number of ports and FCR25 units (a unit is a set of three ports).

  2. Open the lids to each port and insert shims to hold them open.

    A "shim" is a tapered piece of plastic that fits in between two ports to hold open their lids. The picture to the right shows a close-up view of a shim between ports 2 and 3, holding open their lids. Without a shim, the lids will shut, as you can see in port 1.

    Close up of a shim holding open lids on two ports

  3. With the lids open, remove all of the modules and styli by sliding them forward out of the ports as shown below.

  4. Click OK when you are ready to measure Port 1.

In the next step, PC-DMIS will measure Port 1.

Next Step...


Step 6 - Measuring Port 1

Step 6 - Measuring Port 1/PA25-SH Insert

You will be prompted through the process of measuring Port 1 (left-most port) through a series of message boxes. Follow the prompts and take the needed hits as shown in the pictures for each hit.

Hit 1 on Top surface

Using your machine's jog box, measure the first hit on the top surface of Port 1 as shown in the image to the right.

When you click OK you will be prompted to take the hit with the Execution Mode Options dialog box.

Hit 2 on Front surface

Using your machine jog box, measure the second hit on the front surface of Port 1 as shown in the image to the right .

When you click OK you will be prompted to take the hit with the Execution Mode Options dialog box.

Hit 3 on Inside surface

Using your machine's jog box, measure the third hit on the inside surface of Port 1 as shown in the image to the right.

When you click OK you will be prompted to take the hit with the Execution Mode Options dialog box.

This set of three hits establishes the location for the tool changer. These three hits would be the same if the port didn't have an insert. If you used a PA25-20 insert in this port, the hits would be taken on the insert in a similar fashion.

You will now be asked to complete a few steps via the following dialog box.

Complete the instructions in the message box and remove the specified stylus (in this case the SH-1/2/3 stylus) and attach the SHSP as shown in the image to the right.

Note: Whenever the instructions direct that you should jog the probe to a "safe location" or a location "with a clear line of approach" you should move the probe to a position that is in front of and slightly above the rack.

When you have completed these steps, Click OK and DCC measurement will begin.

PC-DMIS will automatically measure the three hits with the SHSP that were previously taken with the SH-1/2/3 stylus. It will also take a hit on the opposite inside face. This completes the measurement of Port 1.

In the next step, PC-DMIS will measure Port 3.

Next Step...


Step 7 - Measuring Port 3

Step 7 - Measuring Port 3 / PA25-20 Insert

Before PC-DMIS can measure Port 3 (the right-most probe), you must first change the probe to the probe file you previously specified for the Second Probe File in Step 4.

When prompted, remove the current module, and add the TM25-20 module to the end of the probe body.

The image to the right shows the TM25-20 module and TP20 type stylus after this change.

Note: Changing probes may not be necessary depending on your FCR25 probe changer configuration. For example, if there are no inserts in any of the ports, then this probe change may not be necessary. The change specified in this step is only required to accommodate calibration of Port 3 with the PA25-20 insert.

After changing the probe, click OK. PC-DMIS will then display the following prompt:

After moving the probe to a safe location, click OK, and PC-DMIS will begin automatic measurement of the insert in Port 3. The following images show the probe taking measurements. PC-DMIS will automatically take hits to determine the location of the insert.

This completes the measurement of Port 3. In the next step, PC-DMIS will measure Port 2.

Next Step...


Step 8 - Measuring Port 2

Step 8 - Measuring Port 2 / No Insert

Before measuring Port 2, you will be prompted to remove the module that was used for the measurement of Port 3.

Once you have removed the module and moved the probe to a safe location, click OK to continue the process.

PC-DMIS will move the probe body to a position that is centered above Port 2 as show in the image to the right. (The image also shows the module that PC-DMIS will have you add in the next prompt.)

Note: The procedure for measuring Port 2 would be used for all ports if you didn't have an insert in any of the ports. The ports would also be measured in a different order (Port 1 first, followed by Port 2, and then )Port 3)

Follow the prompt to place the module into the port. Then, slowly lower the probe body towards the module until the magnetic attraction causes the module to jump up towards the probe body. If you have a poor alignment, use the jog box to reposition the probe body, and repeat this process until you get a good alignment.

The following images show the process described above.

Slowly Lowering the Probe Body

Module Jumps Upward for a Good Alignment

Module Tilted for a Poor Alignment

Click OK when a good alignment has been established. The following prompt is displayed.

The image to the right shows the probe body that has been lowered just before the LED is lit.

Notice the slight gap between the probe body and the SM25-2 module. From this point, you would continue to lower the probe body and stop when the LED is lit. This will not close the gap completely. Click OK to finish the process.

At this point the probe body will automatically move down the rest of the way to seat the probe module and close the gap.

The following prompt appears:

Move the probe straight out from the port to a position in front of the port as shown in this image.

Click OK. This completes the measurement of Port 2.

You will then be prompted to set the configuration back to the original probe configuration.

Remove the current module if needed and add the modules and tips that make up the requested probe file. Click OK when finished. The following prompt is displayed:

This completes the FCR25 probe changer's calibration. The next step discusses how to review your calibration.

Next Step...


Step 9 - Review Calibration Results

Select the Slots tab on the Probe Changer dialog box, and you will see that calibration information now exists for the location of each of the calibrated ports.

Probe Changer dialog box - Slots tab with calibration results

This calibration process only discuss the process for preparing ports for calibration. See the “Setting Up Probe Changer Options” topic in the "Setting Your Preferences" section for information about adding probe definitions to each of the ports.

During part program execution, probe entities that are added to each of the ports will be automatically picked up from that location whenever PC-DMIS executes a LOADPROBE command for that probe. The probe body will move to the mount point, then into the port, pushing the lid backwards. Then, using the magnetic attraction, it will load the new module and will continue measurement.


To Delete the Probe Changer from the Graphics Display window:

Access the Edit window and delete the LOADPROBECHANGER command. This doesn't delete your pre-defined changer, just the animation of it inside the Graphics Display window.


Using Existing Quick Fixtures

PC-DMIS stores quick fixture files with a .DRAW filename extension in the models\quickfix sub-directory where you installed PC-DMIS.

In addition, PC-DMIS stores a definition of each quick fixture in a special data file (.dat filename extension) located in the directory where you installed PC-DMIS.

  • If the quick fixture was originally shipped with PC-DMIS, it is stored in the QuickFix.dat file.

  • If the quick fixture is a user-created fixture, its definition is stored in the UserQuickFix.dat file.

A typical quick fixture data file consists of two lines for each quick fixture, an ITEM: line and a cadgeom line. In a text editor, this file might look something like this:

A Small Sample of the QuickFix.Dat File

A Small Sample of the QuickFix.Dat File

To Use Custom Quick Fixtures from a Previous Installation

  1. Close down PC-DMIS and open Windows Explorer.

  2. Before creating new custom fixtures for your new installation, copy the .DRAW files from the models\quickfix sub-directory of your previous installation, and paste them into the models\quickfix sub-directory of your current PC-DMIS installation.

  3. Copy the userquickfix.dat file from the directory of your previous installation and paste it into the directory of your current PC-DMIS installation.

  4. Restart PC-DMIS. The custom quick fixtures will now appear in the QuickFix dialog box along with the fixtures supplied by your current PC-DMIS installation.

Note: The .DRAW quick fixture files will not appear inside of the QuickFix dialog box unless the userquickfix.dat file contains the necessary definitions for the file. These definitions get added whenever you import your own custom IGES files as quick fixtures using the QuickFix dialog box (see Adding Custom Fixtures).

If you want to directly use the .DRAW files created by another user, but you don't want to overwrite your own quick fixtures by simply copying the other's data file, you would need to use a text editor to merge the necessary ITEM: and cadgeom lines for the other user's data file into your data file.


dialoge_calibrate_rotab.gif
example_quick_fix_data_file.gif
image073.gif
image076.gif

Ej ändrade RJ


Using Surface Data on the Screen for a Line

To generate an auto line on the screen using surface data:

  1. Select Bounded or Unbounded from the Type area in the Properties area.

  2. Define the auto line:

  • If you selected Bounded, take two clicks on the desired surface to define the line's start and end points respectively. PC-DMIS will snap the points to the nearest intersection with another surface, placing the points along the intersection line. PC-DMIS will draw the start point location, the end point location, and line and edge vectors.

  • If you selected Unbounded, take one click on the desired surface to define the line's start point. PC-DMIS will snap the point to the nearest intersection with another surface, placing it along the intersection line. Next, define the length of the line by typing it in the Length box. PC-DMIS will draw the start point location, a line that matches the length, and line and edge vectors.

Sample Bounded Auto Line Showing the Start and End points and the Edge Vector (A) and the Line Vector (B)

  3. Modify any other options in the dialog box as needed.

For example, you might want to change the Number of Hits, and the Depth:

Similar Auto Line Showing Extra Hits, A Depth Value of 3 mm, and an Edge Vector of 0,-1,0

Or, you might want the line to be measured along the other surface. You could accomplish this by modifying the Edge Vector:

Auto Line with a Modified Edge Vector of 0,0,1 and a Depth of -1 mm

  3. Click Create. PC-DMIS generates the auto line.


image001.gif
image018.gif


Constructing a Best Fit or Best Fit Recompensate Slot

The Best Fit (BF) and the Best Fit Recompensate (BFRE) are constructed from 4 or more features. The constructed slots vector is normal (perpendicular) to the working plane. The BFRE construction uses the ball center combined with the probe radius to compute the slot. The compensation is an integral part of the fitting. The BF construction compensates the measured points prior to fitting.

The height of the slot from the workplane is the average of all the input features.

To construct a BF or BFRE Slot:

  1. Access the Construct Slot dialog box (Insert | Feature | Constructed | Slot). Display Menu Roadmap

  2. Select In or Out.

  3. Select the BF or BFRE option.

  4. Select at least 4 features. They can be any feature type.

  5. Click the Create button.

The Edit window command line for the Best Fit or Best Fit Recompensate Slot would read:

CONSTR/SLOT,BF (or BFRE),feat_1,feat_2, …


Constructing a Circle Slot

The round slot constructed from two circles is defined mostly by the first circle selected. The slot is constructed in the same plane as the first circle. The width of the slot is also determined by the diameter of the first circle. The second circle is only used to determine the length of the slot. The length is the distance from the center of the first circle to center of the second plus the diameter of the first circle.

If the two input circles are not coplanar, the center of the second circle is projected perpendicularly onto the plane of the first circle. The distance is then calculated from the center of the first circle to the projected center of the second.

To construct a Round Slot from Circles:

  1. Access the Construct Slot dialog box (Insert | Feature | Constructed | Slot). Display Menu Roadmap

  2. Select In or Out.

  3. Select the Circles option.

  4. Select two Circle features for inputs.

  5. Click the Create button.

The Edit window command line for the Round Slot would read:

CONSTR/SLOT,CIRCLES,feat_1,feat_2


Undre tolerans

I rutan Minus kan du ange ett toleransvärde längs minusriktningen. Detta innebär att ett avstånd som mäts och befinns kortare än det nominella (teoretiska) avståndet ändå kan vara giltigt, om det ligger inom det angivna toleransintervallet.


Övre tolerans

I rutan Plus kan du ange ett toleransvärde längs plusriktningen. Detta innebär att ett avstånd som mäts och befinns längre än det nominella (teoretiska) avståndet ändå kan vara giltigt, om det ligger inom det angivna toleransintervallet.


Tolerans

Värdet som anges i rutan Tolerans används för att avgöra hålpositionerna för att hitta hål i CAD-data. Värdet kommer från fliken Vägdefinition (rutan Tolerans för Ignor. hål).

  • Om värdet för avståndet mellan två ytbegränsningspunkter är lägre än toleransavståndet anses detta vara en kontinuerlig yta och hålets insida scannas.

  • Om avståndet är större än toleransvärdet förutsätts att det finns ett hål mellan ytorna och hålet hoppas över under inlärningsprocessen.


Auto

Med kryssrutan Auto kan du konfigurera PC-DMIS att automatiskt visa mätpunktsnumret, punkten, vektorn och avvikelsen för enskilda punkter när kryssrutan Visa punktinfo har markerats.


Accessing a Report's Object Properties

PC-DMIS versions 4.0 and above support the ability to create your own custom report and label templates which PC-DMIS uses to display report data inside a Report window (see View | Report Window). These templates are created using template editors which utilize a Visual Basic-like interface which lets you insert, relocate, and size special components called "objects".

Each object consists of "properties" that define how it will be displayed and what information it holds. Some of these properties are in common with all other objects, some are in common with only related objects, and others are unique to that specific object.

The PC-DMIS Expression Language can query the current loaded Report and store property values of a particular object in a variable. It can obtain values of type String, Integer, and Real by using this syntax:

Property Query Syntax

Assign/V1 = Report.<Object Name>.<Property Name>

Report is a reference to the currently loaded report. <Object Name> is the object's unique name and <Property Name> is a valid property name for that object.

A Simple Example

Suppose, for example, that your report template has a text object called "Text1" that you want to use in the final report to display the operator's name. The actual string of characters representing the operator's name will be stored in the Text property of the object. By default, the text property (displayed text) initially has the value of "Text1" (see the figure below). This will change when the operator types in his name during execution.

Properties dialog box, showing a selected object and the property to query

To use the Expression Language code to query this Text object's "Text" property and obtain the keyed-in data, you would use the following command:

Assign/V1 = Report.Text1.Text

In this code, "Report" tells the code to look at the report loaded in the Report window. "Text1", tells it to look for the object named "Text1". "Text" tells it to look for the "Text" property within that object. The value of the "Text" property then gets passed into the V1 variable which you could then further manipulate or display using the PC-DMIS Expression Language.

Finding Properties

You can find what properties are associated with a particular object by accessing the Report template in the Report template editor (File | Reporting | Edit | Report Template), selecting the object, and then right-clicking on the object to display its property sheet.

The property sheet for a Text object

The property sheet contains two columns. The left column displays the property name, and the right column displays the current value. Be sure to use the exact property name in your expression code.

Important: When querying property values, you may find that some properties return a seemingly useless numerical value. Generally this happens when the property has a set list of available options, and PC-DMIS returns an internal value for the selected property that doesn't relate to the displayed property.

For example, the Text object has an Orientation property with these values:
0 - Horizontal
1 - Vertical up
2 - Vertical down

However, if you obtain the value using PC-DMIS expression language, the software will instead return the following:
0 (for Horizontal)
900 (for Vertical up)
-900 (for Vertical down)

It may require some trial and error to determine what returned values correspond with the value displayed on the property sheet.


Function Examples

Below are some different examples of functions that may help you in creating and using your own functions:

  • Generic Function Example

  • Functions Passed as Variables Example

  • Function with Multiple Parameters Example

  • Functions Creating Other Functions Example

  • Functions As Members of an Array Example

  • Functions Defined Recursively Example


Functions List

The following alphabetical list contains all the functions available to PC-DMIS's expression language. Clicking on an item will display a specific sub topic with more information and/or examples.

ABS (mathematical)

ACOS (mathematical)

ANGLEBETWEEN (point)

ARRAY (array)

ASIN (mathematical)

ATAN (mathematical)

CHR (string)

COS (mathematical)

CROSS (point)

DEG2RAD (mathematical)

DELTA (point)

DIST2D (pointer)

DIST3D (pointer)

DOT (point)

ELEMENT (string)

EOF (miscellaneous)

EOL (miscellaneous)

EQUAL (array)

EQUAL (string)

EXP (mathematical)

FORMAT (string)

FUNCTION (function)

GETCOMMAND (pointer)

GETSETTING (string)

GETTEXT (string)

IF (miscellaneous)

INDEX (string)

ISIOCHANNELSET (miscellaneous)

LEFT (string)

LEN (array)

LEN (string)

LN (mathematical)

LOG (mathematical)

LOWERCASE (string)

MAX (array)

MID (string)

MIN (array)

ORD (string)

PROBEDATA (miscellaneous)

QUALTOOLDATA (miscellaneous)

RAD2DEG (mathematical)

RIGHT (string)

ROUND (mathematical)

SIN (mathematical)

SQRT (mathematical)

SYSTEMDATE (string)

SYSTEMTIME (string)

SYSTIME (string)

TAN (mathematical)

TUTORELEMENT (miscellaneous)

UNIT (point)

UPPERCASE (string)


image037.gif
image040.gif

är ej ändrade

RJ


image021 ej ändrad 	Fixad
image033 ej ändrad
image034 ej ändrad

RJ


example_view_icons.gif  ej ändrad, windowsvy
example_view_thumbnail  ej ändrad, windowsvy
example_view_titels	ej ändrad, windowsvy

RJ


Any Order Execution

PC-DMIS version 4.0 and later allow you to execute manually measured part program features in any order. This is useful for portable arm machines.

This functionality becomes possible if the following conditions are met:

  • It only applies to features measured with manual hits.

  • The part programs cannot have any branching or loops.

  • The features you measure out of order must use the same alignment and probe as the feature PC-DMIS initially planned to measure (it will not search across LOAD PROBE or ALIGNMENT commands).

  • Out of order execution only works for features measured after a complete alignment. The initial alignment must be measured in order.

How It Works:

When you execute your part program, PC-DMIS asks you to take the first hit on the first feature. You can decide to take your first hit on a different feature instead. When you do this, PC-DMIS looks to see if you took that hit within a tolerance of the hit PC-DMIS expected. If your hit is more than a specified tolerance (usually 10 mm) away from the feature, then PC-DMIS will search backwards and forwards though the part program for the closest feature who's initial hit matches the initial hit that you took.

If you take a hit that is not in tolerance for any feature in your entire part program, the arm will sound a beep alert, and PC-DMIS will ignore the hit. An error message will also appear in the Execution Mode Options dialog box. Simply take a different hit closer to a part program feature to continue.

When PC-DMIS finds the appropriate feature, it passes your first hit into the feature. It then moves the arrow indicating where to take the next hit to the new feature. PC-DMIS only checks the tolerance on the first hit of the feature. After that, it assumes that you will continue taking hits until you finish measuring that feature.

Once you finish measuring a feature out of order, PC-DMIS attempts to go back to its initial order. It will continue to prompt you to measure the original feature each time you finish measuring something else out of order until you either skip the original feature or measure it. PC-DMIS tracks the features you measure out of order so that they aren't remeasured when PC-DMIS resumes its regular execution route.

If you remeasure a feature, PC-DMIS will recompute everything that uses that feature up until the current execution location.


Ikonen CAD-import


ChorusNT_to_PC_DMIS_Translation_Notes

xt


Marginalanteckning för DMIS-tillägg

Tillägg kan vara ej standardiserade kommandon eller tillagda/ändrade parametrar för standardiserade DMIS-kommandon.


Marginalanteckning för DMIS

DMIS-data skickas till detaljprogrammet i PC-DMIS-format så det behövs inte någon separat fil.


Exportera CAD-data eller programdata

Du kan importera data till PC-DMIS och även exportera data från detaljprogram till ett av följande filformat som stöds i PC-DMIS:

· DATAVIEW-filer (*.AS3)

· BASIC-filer (*.BAS)

· DES-filer (*.DES)

· DMIS-filer (*.DMI eller *.DMS)

· ALLMÄNNA filer (*.TXT)

· I-DEAS-filer

· IGES-filer (*.IGS)

· STEP AP203 (*.STP eller *.STEP)

· STEP AP214 (*.STP eller *.STEP)

· VDAFS (*.VDA)

· DXF /DWG (*.DXF eller *.DXG)

Obs! När ett program exporteras som CAD-data exporteras inte tidigare importerade CAD-detaljmodeller. I stället skapas en CAD-fil från befintliga elementkommentarer i detaljprogrammet.

Så här exporterar du data från ett detaljprogram:

  1. Välj menyalternativet Arkiv | Exportera och markera därefter vilka data som ska exporteras på undermenyn (eller högerklicka på en detaljprogramfil i Utforskaren i Windows och välj Exportera). I de flesta fall öppnas nu dialogrutan Öppna.

    Dialogrutan Öppna

  2. Markera önskad datatyp i listan Filformat. Nu visas endast filer med den angivna datatypen.

  3. Skriv in namnet på den fil som ska skapas i rutan Filnamn eller välj en befintlig fil i listan. Om du väljer en befintlig fil ersätts data i filen med informationen från åtgärden Exportera.

  4. Klicka på Exportera. Dialogrutan Öppna stängs. Beroende på datatyp kan det öppnas en ny dialogruta med en uppmaning om mer data. Mer information finns i ämnena nedan.

  5. Klicka på Exportera. I PC-DMIS skapas filen för exporterade data i den valda katalogen med det filtillägg som definierades i rutan Filformat.

Mer:

Exportera en IGES-fil

Exportera en DES-fil

Exportera en STEP-fil

Exportera en VDAFS-fil

Exportera modell till I-DEAS

Exportera till en BASIC-fil

Exportera till en DMIS-fil


Bearbeta oberoende objekt

Med kryssrutorna i området Bearbeta oberoende objekt i dialogrutan anger du vilka oberoende objekt som ska importeras. Ett oberoende objekt är inte underordnat något annat objekt i modellen. Det innebär att ett oberoende objekt inte används för att definiera något annat objekts geometri. Till höger om kryssrutorna Oberoende objekt visas antalet förekomster av varje typ av oberoende objekt. Om det inte finns några oberoende objekt av en viss typ inaktiveras det valet.

För många modeller räcker det att importera oberoende solider. När det gäller VDAFS-filer kan du utöver solider behöva shells, faces och surfaces för att få en fullständig modellgeometri. Oberoende kurvor ingår vanligtvis inte i själva modellen utan läggs till som riktlinjer när modellen skapas.

Obs! Alla beroende objekt bearbetas oavsett vilka oberoende objekt som importeras. Ett beroende objekt är underordnat ett annat, överordnat, objekt. Det underordnade objektet används för att definiera hela eller delar av det överordnade objektets geometri.


Byta ordning på U-V-området för spline-ytor

Med kryssrutan Byt ordning på U-V-området för spline-ytor kan du korrigera ett problem med spline-ytor som uppkommer i vissa VDAFS-filer. Om du upptäcker felaktiga ytor efter import av en VDAFS-fil importerar du filen på nytt med den här rutan markerad.


Marginalanteckning för XYZ

XYZIJK-filer har filtillägget .xyz. Du kan se vilka värden som ingår i en .xyz-fil i ett vanligt textredigeringsprogram.


dialog_des_file
dialog_dmis_export_setup
dialog_dmis_export_setup_error_log
import_options
dialog_jump_to_features_list.gif
GDX.gif
IGES Alternate.gif
image008.gif
image009.gif
image010.gif
image012.gif
image014.jpg
image019.gif
image020.gif
image021.gif
image022.gif
image023.gif
image025.gif
image026.gif
image028.jpg
image030.gif
image034.jpg
image036.jpg
image038.gif
image039.gif
image040.gif
image041.gif
image046.gif
step.gif

Dessa är ej ändrade RJ


Fliken Felsök

Fliken Felsök

Skriv hjälptexten här.


Force Part Alignment in Car Body

The Force Part Alignment in Car Body check box forces your alignment to be in car body alignment. If you select this check box, no matter what alignment method you choose, the alignment will always match that of the CAD. Selecting this check box acts as a secondary transformation after the initial alignment.

For example, if you translate to the center hole on the Hexagon Metrology text block and select this check box, the origin will still be in the corner, but when you report on that hole, it will be perfect since you used it to set your origin.

Alignment before using this check box

Alignment after using this check box


GDS-konfigurering

Skriv hjälptexten här.


Leica. fliken ADM

Dialogrutan CMM-alternativ - fliken ADM

Styrknappar (Vänster, Upp, Höger, Ner) -

Knappen Frigör motor -

Rörelseavstånd -

Sökdiameter -

Knappen Sök -

Knappen Mät -


Leica-gränssnitt

Leica-gränssnittet används tillsammans med Leica-maskiner. För att Leica-gränssnittet ska fungera måste du även hämta Leicas zip-fil på ftp://ftp.wilcoxassoc.com/3rdParty/Leica/LeicaEmscon2.zip. Packa upp filen och registrera DLL-filen enligt instruktionerna i filen LeicaReadme.txt. Leica-gränssnittet kräver att Leicas emScon-drivrutin används (2.0 eller senare). Vissa äldre Leica-maskiner använder inte emScon-drivrutinen. Dessa måste uppgraderas innan de kan användas med PC-DMIS.

Innan du startar PC-DMIS ska du ändra namn på filen leica.dll till interfac.dll.

Dialogrutan CMM-alternativ har fyra flikar för Leica-gränssnittet.

Fliken Alternativ

Se Leica, fliken Alternativ.

Fliken Återställ

Se Leica, fliken Återställ.

Fliken ADM

Se Leica, fliken ADM.

Fliken Felsök

Se Generera en felsökningsfil.

Obs! Ytterligare information om det här gränssnittet finns i Machine Interface Installation Manual (MIIM).


Leica, fliken Alternativ

Dialogrutan CMM-alternativ - fliken Alternativ

På fliken Alternativ kan du ställa in olika TCU-alternativ samt konfigurera kommunikation och andra parametrar.

TCU-alternativ - I det här området kan du ställa in följande alternativ:

  • Home -

  • Initialize -

  • Level to Gravity -

  • Motors Off -

  • Reset Nivel -

IP-adress - Ange laserspårningsenhetens IP-adress (standard är 192.168.0.1).

Uppdat. intervall - Bestämmer hur ofta visningarna ska uppdateras (standard är 300 millisekunder).

Vektorintervall -

Vektoravstånd -

Vektoralternativ - Välj om du vill använda Använd vektoravstånd, Använd senaste IJK eller Ingen vektor.

Mättid - Det här är tiden, i millisekunder, som mätpunkter tas kontinuerligt till dess att den angivna tiden har passerat. Genomsnittsvärdet av alla mätpunkterna returneras. Om det här värdet är mindre än 500 används det sista mäthuvudsvärdet som mätvärdet.


Leica, fliken Återställ

Dialogrutan CMM-alternativ - fliken Återställ

Knappen Hemmaläge -

Alternativen Maskin eller Detaljkoordinater -

Knappen Återställ -

Knappen Sikta -

Knappen Lägg till - Klicka på knappen för att visa dialogrutan Punkt. Ange en Rubrik, ange värden för XYZ och klicka sedan på Skapa. Den nya punkten läggs till i listan över återställningspunkter.

Knappen Ta bort - Markera en punkt i listan över återställningspunkter och klicka på Ta bort. Den valda punkten tas bort.

Ange standard - Markera en punkt i listan över återställningspunkter och klicka på knappen Ange standard. Den punkten blir nu standardåterställningspunkten.

Rikta laser mot nästa punkt -

ADM-alternativ

Enbart interferometer -

Använd standardåterst. - Markera den här kryssrutan om du vill använda standardåterställningspunkten

Interferometer satt av ADM -

Enbart ADM -


Återställa fabriksinställningar från styrenheten

Om du har sparat din CMM-maskins urpsrungliga fabriksinställningar genom att klicka på knappen Standard på någon av flikarna i dialogrutan Parameterinställningar, kan du, på maskiner som använder ett Leitz-gränssnitt, fortfarande återställa dem genom att göra följande:

  1. Öppna dialogrutan CMM-alternativ. Visa menykarta

  2. På den första fliken markerar du kryssrutan Läs CMM standardvärden vid start. Då hämtas CMM-maskinens standardvärden från styrenheten nästa gång du startar PC-DMIS.

  3. Klicka på OK för att stänga dialogrutan.

Nästa gång du kör PC-DMIS kommer de värden som lagras i PC-DMIS inställningar att skrivas över med CMM-maskinens fabriksinställda värden som finns lagrade i styrenheten.

Obs! Den här proceduren återställer inte de ursprungliga fabriksinställningarna om du har skrivit över dessa på styrenhetens hårddisk.


Features Options area

To change the color of a feature:

    1. Select the feature to be altered from the List of Features.

    2. Select the Feature Color option. PC-DMIS will automatically display the Color dialog box.

    3. Click on the desired color, or define a new one using the Custom Color box.

    4. Click the OK button. PC-DMIS returns to the Edit Feature Identity dialog box. The new color will be displayed in the Feature Color box.

    5. Click the Apply button and PC-DMIS will automatically change the color of the feature(s) in the Graphics Display window. The top border of the feature ID label also changes to match the feature color.

To determine the display of selected features:

    1. Select the feature(s) you want to turn on or off.

    2. Select either the ON or the OFF option located under the Display area of the dialog box.

    3. Click the Apply button. PC-DMIS will display or conceal the features.

    4. If the changes made are to your satisfaction, click the OK button. PC-DMIS will close the dialog box and save the changes.

To determine the display of selected feature ID labels:

    1. Select the feature label(s) that you want to turn on or off.

    2. Select either the ON or the OFF option located under the Label area of the dialog box.

    3. Click the Apply button. PC-DMIS will display (or conceal) the feature labels.

    4. If the changes made are to your satisfaction, click the OK button. PC-DMIS will close the dialog box and save the changes.

Features Options area

The Features Options area allows you to change the color of selected part features and whether or not selected features or feature ID labels are displayed in the Graphics Display window. To use the items in this area, you must first select one or more items from the List of Features and then click the Selected from the list option. This enables the other items in this area.

The Search ID and Select Last # boxes are discussed in the "Search ID" and "Select Last #" topics in the Navigating the User Interface section.

The Feature Color option allows you to set the color for a specified feature's identification. This option works in the same manner as the Edit Color option (see the Edit CAD dialog box found in "Editing CAD").

To Change the Color of a Feature:

The Display area contains ON/OFF options that control the display of features in the Graphics Display window. This option is useful when you want to focus on only a portion of geometrical features the part contains at a time.

To Determine the Display of Selected Features:

The Label area contains ON/OFF options that control the display of feature IDs in the Graphics Display window. This option is useful when a portion of the part drawing becomes cluttered with several feature IDs. Specific IDs can be turned off, allowing other IDs to be more easily viewed.

To Determine the Display of Selected Feature ID Labels:


Text Label Options area

The Text Label Options area allows you to determine for all feature ID labels the background color, line color, and whether or not a shadow appears around the border. To use the features in this area, you must first select the All features text labels option. PC-DMIS automatically selects all the features from the List of Features.

Background Color - This button displays a Color dialog box from which you can choose the background color for the feature ID labels.

Line Color - This button displays a Color dialog box from which you can choose line color for the feature ID labels. Changing the line color changes the right and bottom border color on the feature ID label.

Clicking the Default button causes all feature ID labels created thereafter to use the line, color, and shadow settings displayed when you clicked Default.

Hint: You can also change these items by right-clicking on a feature's ID label and selecting the appropriate item from the resulting shortcut menu. See "Feature Shortcut Menu" in "Using Shortcut Keys and Shortcut Menus"


Editing Nominal and Target Values

Most of the time you can measure your features just fine, but sometimes, due to manufacturing errors, a feature won't be close to it's theoretical (nominal) location, but rather shifted somehow. For Measured features, you need to adjust your theoretical values to handle this situation. However, using the more advanced Auto Features, you can modify the target instead. This will adjust the path accordingly, yet will allow dimensioning to take place relative to the original theoretical values.

Modifying Nominal Values (for both Measured and Auto Features)

PC-DMIS provides you with simple ways to modify the nominal value. You can easily modify the field itself inside Command mode, an alternate way is to place the cursor over the feature and press F9. This causes a dialog box to appear with the nominal information inside of it.

Modify the nominal information and click OK or Create. The dialog box closes.

  • If you are modifying a measured feature, PC-DMIS displays a prompt asking if you want to update measured values as well. If you click Yes, the measured values will get updated to match the newly entered nominal values. If you click No, the measured values remain what they were.

  • If you are modifying an auto feature, PC-DMIS asks if you want to update the target values to match the new theoretical values. If you click Yes, the target values will get updated to match the newly entered nominal values. If you click No, the target values remain what they were.

Modifying Target Values (for Auto Features only)

If you have an auto feature, you can choose to modify target values instead of the theoretical values. The target values determine the location where PC-DMIS will try to measure the auto feature. This lets you keep the theoretical values for dimensioning purposes, but still changes the location at which the software attempts measurement. To modify the target values, use the Edit window:

  • Modifying Target Values Summary Mode: Select the field, press ENTER, type a new a value and press ENTER again to store the change.

  • Modifying Target Values in Command Mode: Tab to the field to change, type a new value, and press TAB again to store the change.


Calibrate the Unit for Infinite Wrist Devices

When you have an indexable wrist on the CMM, PC-DMIS will allow you to access the Calibrate the Unit and Home the Unit options in the Type of Operation area of the Measure Probe dialog box.

Measure Probe dialog box

Type of Operation area showing the Calibrate the Unit option enabled

Note: This wrist calibration is only done with a single stylus—not star probes. After PC-DMIS completes this calibration, any angular position of the wrist may be utilized in new probe files by calibrating a minimum of one probe angle. For additional information, see "Calibrate the Unit" under the "Type of Operation area" topic. See the "Measure" topic in the "Defining Hardware" section for general information about calibrating probes.

The Calibrate the Unit option allows you to calibrate the wrist. This procedure allows you to measure several angles on a sphere to determine the internal distances within the wrist itself. Once this information is calculated, PC-DMIS will use it to accurately predict the tip position at any A, B angle pair. This allows you to use any A, B angle in your part program without calibrating each individual position.

Note: Be sure you type your desired measurement values in the Measure Probe dialog box for the sphere measurement, and select the qualification tool before measuring with the Calibrate the Unit option selected. You can set the number of hits, the probe prehit and retract distances, and various speeds used in the measurement process from the Measure dialog box. See “Measure” in the “Defining Hardware” section.

More:

Wrist Calibration


AK - Automatic Tracking

Med kommandot AD kan du styra systemet att automatiskt följa angivna objekt.

Kommandoformat

MLString "AK p1,p2"

Exempel

  1. MLString "AK Y"

    Automatiskt följa en yta i den aktiva detaljens referenssystem.

  2. MLString "AK -Z"

    Automatiskt följa en yta i den aktiva detaljens referenssystem.

  3. MLString "AK"

    Inaktivera

  4. MLString "AK 1,1,0"

    Automatiskt följa en yta. Mäthuvudet flyttas först i detaljens koordinatriktning (1,1,0) till dess att det får kontakt med ytan.

  5. MLString "AK 1,1,0,C"

    Automatiskt följa en yta. Mäthuvudet flyttas först i detaljens koordinatriktning (1,1,0) till dess att det får kontakt med ytan. När det har fått kontakt med ytan fortsätter mäthuvudet att flyttas till dess att det centreras längs den angivna vektorn.

Indata

  • p1 = detaljaxel med tecken eller vektorn för en detaljs koordinatriktning (sträng; valfri)

  • p2 = "C" (sträng; valfri)

Du kan ange den valfria parametern p1 antingen som en detaljaxel med tecken (t.ex. +X eller -Z) eller som en numerisk vektor för detaljens XYZ-koordinatriktning. Om du anger en numerisk vektor, får den inte ha värdet noll. Det kan vara en enhetsvektor, men det är inte nödvändigt. Om du inte anger p1 inaktiveras följning.

Den valfria parametern p2 får endast utgöras av bokstaven "C".

I det första exemplet är Y argumentet för p1. Med detta anger du att du automatiskt vill följa en yta i maskinens Y-axel. Ytan ligger i den positiva Y-riktningen från mäthuvudets centrum.

I det andra exemplet är -Z argumentet för p1. Med detta anger du att du automatiskt vill följa en yta som nominellt ligger vinkelrät mot maskinens Z-axel. Ytan ligger i den negativa Z-riktningen från mäthuvudets centrum.

I det tredje exemplet finns inget argument. Det visar hur du kan inaktivera det automatiska läget för följning vid mätning av mjuka material.

I det fjärde exemplet är detaljens riktningsvektor (1,1,0) argumentet för p1. Det visar att du automatiskt vill följa längs med riktningsvektorn (1,1,0) (t.ex. i=1, j=1 och k=0).

Resultat

Det här kommandot läggs till i CNC-kommandokön. När kommandot körs börjar systemet att följa automatiskt. Om mäthuvudet för mätning av mjuka material inte har kontakt med någon yta när kommandot körs kommer mäthuvudet att flyttas i den angivna riktningen till dess att det får kontakt med en yta. Tryggläget för mäthuvudet för mjuka material inaktiveras om det är aktivt (se TF-kommandot) och mäthuvudet för mätning av mjuka material aktiveras (se BR-kommandot). Mäthuvudet för mätning av mjuka material måste ha kalibrerats innan det här kommandot körs.

Observera att maskinhastigheten är begränsad till följhastigheten (se KS-kommandot).

Hoppa över åtgärd

Ignoreras. Utförs inte om det ingår i ett block som hoppas över.

Felmeddelanden

  • MLB-090 DCC is not available.


AS - Automatic Scanning

Med AS-kommandot kan du ange kontroller för en automatisk scanåtgärd / datainsamlingsåtgärd. Observera att detta har definierats om för SMP-400, version 104.0 och senare.

Kommandoformat

MLString "AS p1,p2,p3,p4,p5,p6"

Exempel

  1. MLString "AS Y,S55.6,I10"

    Utföra en automatisk scanåtgärd och samla in stödpunkter som en funktion av ett Y-läge som börjar vid Y=55.6 och där datapunkter tas var tionde enhet. Datapunkterna ackumuleras endast i scandatamängden.

  2. MLString "AS A,C12.3,-5.75,S0,I1,USER"

    Utföra en automatisk scanåtgärd och samla in stödpunkter som en funktion av en polär vinkel som är relativ mot punkten på arbetsplanet (12.3, -5.75), som börjar vid noll grader och där datapunkter tas vid varje grad. Datapunkterna ackumuleras i scandatamängden och i den användardefinierade summeringsarrayen. Data som returneras till värden med RN-kommandot är i formatet Radie / Vinkel / Höjd.

Indata

  • p1 = Självständig axel för scan (sträng, obligatorisk)

  • p2 = Centrumpunkt för polär scanåtgärd (sträng / numerisk, valfri)

  • p3 = Startvärde för självständig axel (sträng, valfri)

  • p4 = Intervall mellan successiva mål (sträng eller numerisk, valfri)

  • p5 = 'ANVÄNDARE' eller 'INTERN' för att välja summeringsarray (sträng, valfri)

  • p6 = Antal punkter att samla in (sträng eller numerisk, valfri)

Den obligatoriska parametern p1 anger scanåtgärdens oberoende "axel". Denna får endast vara A, P, S, X, Y eller Z. A anger en polär scanåtgärd med data som returneras i formatet R, A, H (radie, vinkel, höjd). P anger en polär scanåtgärd med data som returneras i det normala X, Y och Z-formatet. S anger att målen ligger spridda längs ytan och där mäthuvudets startläge skall betraktas som 0,0. X, Y och Z anger en detaljaxel som ska användas som den oberoende axeln.

Den valfria parametern p2 är bokstaven 'C' följd av två koordinatvärden. Den här parametern har endast betydelse för polära scanåtgärder och definierar den nominella centrumpunkten i den scannade ytans arbetsplan. De värden som anges motsvarar, i angiven ordning, X och Y för XY-planet, Y och Z för YZ-planet samt Z och X för ZX-planet. Vid polära scanåtgärder där p2 inte angetts antas centrumpunkten ligga vid (0, 0).

Den valfria parametern p3 är bokstaven 'S' följd av den oberoende axelns startkoordinat. Om p4 (nedan) anges utan p3 kommer datainsamlingen att börja vid mäthuvudets aktuella position. Observera att du inte kan ange p3 utan att ange p4.

Den valfria parametern p4 är bokstaven 'I' följd av den inkrementella förskjutningen mellan målen. Om du utelämnar både p3 och p4 antas att målen för scanåtgärder är absoluta i stället för inkrementella och att de redan har angetts med kommandot SB.

Den valfria strängparametern p5 kan vara "ANVÄNDARE" eller "INTERN". Om du anger p5 kommer scandata att ackumuleras i den angivna summeringsarrayen, liksom i scandatabufferten.

Den valfria parametern p6 är bokstaven 'N' följd av det antal punkter som ska samlas in. Om du inte anger något kommer datainsamlingen att fortsätta till dess att ett RN-kommando körs.

Resultat

Med AS-kommandot försätter du SMP i datainsamlingsläge. Innan du kör det här kommandot bör du aktivera följning (se AK-kommando) och mäthuvudet bör vara positionerat framför det första målet om du ska utföra en scanåtgärd med sluten slinga, eller vid dess nominella avböjning om du kör en scanåtgärd med öppen slinga. Efter det här kommandots körning körs lämpliga förflyttningskommandon för att förflytta mäthuvudet runt i målområdet. Slutligen körs kommandot RN för att avsluta datainsamlingen och/eller returnera inscannade data till värden.

Hoppa över åtgärd

Ignoreras. Utförs inte om det ingår i ett block som hoppas över.

Felmeddelanden

  • MLB-080 The soft probe is not enabled or tracking is not turned on.

  • MLB-090 DCC is not available.

  • MLB-164 Insufficient analog probe deflection.


BB - Begin Block

Kommandot BB markerar början på en kodblock som du använder tillsammans med en åtgärd för att hoppa över.

Format på MLB-kommando | Format på Sheffield-rutin
MLString "BB p1" | BeginBlock "p1"

Exempel på MLB-kommando | Exempel på Sheffield-rutin
Exempel 1
MLString "BB FRONTFACE" | BeginBlock "FRONTFACE"

Indata

  • p1 = Högst 10 tecken (sträng, obligatorisk)

p1 ger programblocket ett identifierande namn. Namnet får vara högst tio alfanumeriska tecken långt.

Resultat

Funktionen anger interna flaggor som markerar början av ett block.

Hoppa över åtgärd

Ett fel inträffar om det här kommandot finns inom ett kodblock som hoppas över.

Felmeddelanden

  • MLB-014 There is a nested code block.


BeginBlock

Rutinen BB markerar början på en kodblock som du använder tillsammans med Hoppa över åtgärd.

Mer information om rutinen BeginBlock finns i MLB-kommandot BB.


BF - Turn Soft Probe Off

Med kommandot BF kan du inaktivera mäthuvudet för mätning av mjuka material . Om du använder ett treaxlat analogt mäthuvud (t.ex. Renishaw SP-600) aktiveras det brytande mäthuvudet.

Kommandoformat

MLString "BF"

Exempel

  1. MLString "BF"

Indata

Inga.

Resultat

Mäthuvudet för mätning av mjuka material inaktiveras i systemet och mjuka avböjningar räknas inte längre med i spetspositionens koordinatdata.

Hoppa över åtgärd

Ignoreras.

Felmeddelanden

Inga.


BR - Turn Soft Probe On

Med kommandot BR kan du aktivera mäthuvudet för mätning av mjuka material. Det brytande mäthuvudet inaktiveras när det här kommandot körs.

Kommandoformat

MLString "BR"

Exempel

  1. MLString "BR"

Indata

Inga.

Resultat

Mäthuvudet för mätning av mjuka material aktiveras i systemet och mjuka avböjningar börjar räknas med i spetspositionens koordinatdata.

Hoppa över åtgärd

Körs även när det finns inuti ett /block som hoppas över.

Felmeddelanden

  • MLB-080 The soft probe has not been calibrated.


DCC-1 32 milliseconds since last D/A update

D/A-omvandlarna (digital/analog) på CNC-kortet har inte uppdaterats på minst 32 millisekunder. Mer information finns i DCC-felkoder.

Gör så här:

  1. Stäng av MP-systemet för att nollställa felet.

  2. Ta bort och sätt tillbaka CNC-kortet.

  3. Slå på MP-systemet igen.

  4. Kontakta support för Giddings & Lewis om felet återkommer.


DCC-2 32 milliseconds since last MP update

CNC-maskinen har inte uppdaterats på minst 32 millisekunder. Mer information finns i DCC-felkoder.

Gör så här:

  1. Stäng av MP-systemet för att nollställa felet.

  2. Ta bort och sätt tillbaka CNC-kortet.

  3. Slå på MP-systemet igen.

  4. Kontakta support för Giddings & Lewis om felet återkommer.


DCC-3 DCC to MP interrupt not acknowledged for 32 milliseconds

CNC-maskinen skickade ett avbrott till MP-systemet. MP-systemet har inte bekräftat avbrottet under de senaste 32 millisekunderna. Mer information finns i DCC-felkoder.

Gör så här:

  1. Stäng av MP-systemet för att nollställa felet.

  2. Ta bort och sätt tillbaka CNC-kortet.

  3. Ta bort och sätt tillbaka MP-systemets CPU-kort.

  4. Slå på MP-systemet igen.

  5. Kontakta support för Giddings & Lewis om felet återkommer.


EB - End Block

EB-kommandot markerar slutet på ett kodblock som påbörjades med ett BB-kommando.

Format på MLB-kommando | Format på Sheffield-rutin
MLString "EB" | EndBlock

Exempel på MLB-kommando | Exempel på Sheffield-rutin
Exempel 1
MLString "EB" | EndBlock

Indata

Inga.

Resultat

Kommandot markerar slutet på det kodblock som påbörjades med det tidigare BB-kommandot.

Hoppa över åtgärd

Körs även när det finns inuti ett block som hoppas över.

Felmeddelanden

  • MLB-015 Det finns ingen matchande början på block.


EndBlock

EndBlock-rutinen markerar slutet på ett kodblock som påbörjades med ett BB-kommando.

Mer information om rutinen EndBlock finns i MLB-kommandot EB.


IL - Initialize Library

Med IL-kommandot kan du återställa mätdatabasen (Measurement Library). Flaggor och variabler återställs till respektive standardstatus när systemet startas. Den här funktionen nollställer inte systemfel som orsakas av fel i systemets maskinvara. Sådana fel måste åtgärdas genom konkreta felåtgärder.

Kommandoformat

MLString "IL"

Exempel

  1. MLString "IL"

Indata

Inga.

Resultat

I systemet:

  • Tas alla mätta element bort;

  • Detaljens och maskinens skalförhållanden återställs till 1:1;

  • Axelförflyttningar och -roteringar avbryts;

  • Elementnumren och sekvensnumren nollställs;

  • Måttenheterna och arbetsplanet återställs till standardvärdena, samt

  • Alla andra variabler nollställs eller återställs till respektive standardvärden.

Den här funktionen påverkar inte:

  • Vald mätspets eller mäthuvudsdiameter,

  • Kalibrering av eventuella mätspetsar,

  • Kalibrering av rundbordet, eller

  • De sparade referenssystemen 1 till och med 48. Övriga referenssystem tas bort.

Hoppa över åtgärd

Den här funktionen får inte förekomma i ett kodavsnitt som ska hoppas över. Fel.

Felmeddelanden

Inga.


IO - IOStat

Med IO-kommandot kan du testa indatabitar (skrivskyddade eller läs/skriv) eller ändra status för någon av indatabitarna (endast skriv eller läs/skriv).

Kommandoformat

MLString "IO p1,p2"

Exempel

  1. MLString "IO 3,1"

  2. MLString "IO 2"

Indata

  • p1 = 0 t.o.m. 67 (numerisk; obligatorisk)

  • p1 = 0 eller 1 (numerisk; valfri)

p1 är ett nummer som motsvarar den indata- eller utdatabit vars status du vill visa eller ändra. p1 måste vara en siffra mellan 0 och 67. Vissa bitar är skrivskyddade, vissa kan endast skrivas och andra kan både läsas och ändras. Mer information finns hos Giddings & Lewis.

Om du anger p2 identifierar p1 en utdatabit (endast skriv eller läs-skriv). p2 får inte anges med en skrivskyddad bit. p2 visar vilken status den utdatabiten som identifieras med p1 ska ändras till. p2 måste vara antingen noll (0) eller ett (1).

Utdatabitarna är som strömbrytare som kan öppnas eller stängas. Styrkortet är stängt när p2 är noll (0) och öppet när p2 är ett (1). På det extra I/O-kortet och temperaturkompenseringskortet öppnas brytaren när p2 är noll (0), medan den stängs när p2 är ett (1). I det första exemplet ändras status för bitnummer 3 som är "endast skriv" till ett.

Om du inge anger p2 identifierar p1 en indatabit (skrivskyddad, läs-skriv). Programmeraren kan endast visa status för en bit som identifierats som en indatabit. Statusen för en indatabit kan inte ändras. I det andra exemplet är den bit vars status ska visas den skrivskyddade bit nr 2 på styrkortet.

Resultat

Om p2 inte anges lagras den aktuella statusen som identifieras av p1 i variabeln S7. Variabeln S7 måste kontrolleras direkt efter att funktionen körts för att kontrollera indatabitens status. Om S7 är noll (0) sker för tillfället inget flöde till indatabiten. Om S7 är ett (1) sker för tillfället ett flöde till indatabiten. Detta gäller för styrkortet och extra I/O-kort. För temperaturkompenseringskortet är indatabiten en öppen krets (+V) om S7 är noll. Om S7 är ett är indtabiten jord (OV). För de läs- och skrivbara indatabitarna innehåller S7 de senaste värden som skrivits till utdatabiten.

Om p2 anges i IO-kommandot spelar värdet på S7 ingen roll. Observera att alla indatabitar och/eller utdatabitar inte nödvändigtvis är tillgängliga för användaren. Deras tillgänglighet hänger på vilken MP-konfiguration som köpts.

Hoppa över åtgärd

Körs även när det finns inuti ett block som hoppas över.

Felmeddelanden

  • MLB-005 Communication error.

  • MLB-006 Output mask logical translation error.

  • MLB-007 Output unavailable.

  • MLB-021 First Parameter Invalid.

  • MLB-022 Second Parameter Invalid.


KD - Set nominal soft probe deflection

Med KD-kommandot kan du ange den nominella avböjningen du vill använda vid mätning av mjuka material.

Kommandoformat

MLString "KD p1"

Exempel

  1. MLString "KD 0.05" -

    Anger den nominella avböjningen vid mätning av mjuka material till 0.005 enheter.

Indata

  • p1 = nominell avböjning vid mätning av mjuka material (numeriskt, valfritt)

Den valfria numeriska parametern p1 anger den nominella avböjningen vid mätning av mjuka material i den aktuella enheten. Det här värdet måste vara positivt.

Om p1 inte anges returneras den aktuella inställningen för nominell avböjning vid mätning av mjuka material. Standardvärdet efter start (IL) är 0.05 tum.

Resultat

Om du anger ett värde får den nominella avböjningen vid mätning av mjuka material detta värde, med ovanstående undantag. Om du inte anger något värde returneras det aktuella värdet till variabeln S7.

Hoppa över åtgärd

Körs normalt.

Felmeddelanden

  • MLB-090 DCC is not available.


KS - Set Tracking Speed

KS - Set Tracking / Scanning Speed

Med KS-kommandot kan du ange den mäthastighet du vill använda vid CNC-förflyttningar vid följning eller scanåtgärder.

Kommandoformat

MLString "KS p1,p2"

Exempel

  1. MLString "KS 0.5"

    Ange förflyttningshastigheten vid följning/scanåtgärder till 0.5 enheter per sekund.

Indata

  • p1 = förflyttningshastighet vid följning/scanåtgärder (numerisk, valfri)

  • p2 = förflyttningshastighet vid följning/scanåtgärder (numerisk, valfri)

De valfria numeriska parametrarna p1 och p2 anger den önskade förflyttningshastigheten vid följning/scanåtgärder i den aktuella enheten per sekund. Det här värdet måste vara positivt. Om det angivna värdet överskrider maskinens högsta tillåtna hastighet kommer den hastigheten att användas i stället för det angivna värdet.

Om du endast anger p1 används värdet för p1 vid scanåtgärder med både öppen slinga och med sluten slinga. Om du anger både p1 och p2 används p1 vid scanåtgärder med öppen slinga och p2 vid scanåtgärder med sluten slinga.

Om du inte anger någon av dessa returneras de aktuella inställningarna för förflyttningshastighet vid förflyttning/scanåtgärder. Standardvärdena efter start (IL) är 2.54 mm per sekund (d.v.s. 0.1 tum).

Resultat

Om du anger ett värde får förflyttningshastigheten vid följning/scanåtgärder detta värde, med ovanstående undantag. Om du inte anger något värde returneras det aktuella värdet för öppen slinga till variabeln S7 och värdet för sluten slinga returneras till variabeln S8. I systemet används det här värdet som den högsta hastigheten när en CNC- eller joystick-förflyttning ska ske vid följning av en yta med ett mäthuvud för mätning av mjuka material eller scanåtgärder med ett mäthuvud för mätning av mjuka material.

Hoppa över åtgärd

Körs normalt.

Felmeddelanden

  • MLB-090 DCC is not available.


MLB-001 MP Internal syntax error

Ett MP-internt (Measurement Processor) systemfel har inträffat.

Effekt

Kommandot avbryts. Det kanske inte går att köra ytterligare detaljprogramsåtgärder.

G ör så här:

  1. Nollställ systemet.

  2. Kontakta support för Giddings & Lewis om felet återkommer.


MLB-003 Communications error

Det här felet orsakas normalt av att en nödvändig systemresurs inte finns eller inte fungerar. Detta är ett MP-internt systemfel.

Effekt

Kommandot avbryts. Det kanske inte går att köra ytterligare systemåtgärder.

G ör så här:

  1. Nollställ systemet.

  2. Kontakta support för Giddings & Lewis om felet återkommer.


MLB-004 Numeric error

Något hindrar en aritmetisk operation att ge ett giltigt resultat, t.ex. ett försök att dela med noll. Detta är ett MP-internt systemfel.

Effekt

Kommandot körs inte.

G ör så här:

  1. Kontrollera att de punkter som ska mätas definierar ett element av samma typ som den som ska mätas, eller att försöket att konstruera ett element är logiskt.

  2. Kontakta support för Giddings & Lewis om du inte kan fastställa vad som orsakar felet.


MLB-005 Communications error

Det inträffade ett fel i kommunikationen mellan IO-kommandot och MP. Detta är ett MP-internt systemfel.

Effekt

I/O-bitarna kan inte läsas eller skrivas korrekt.

G ör så här:

  1. Nollställ systemet.

  2. Kontakta support för Giddings & Lewis om felet återkommer.


MLB-006 Output mask logical translation error

Det inträffade ett fel i IO-kommandot vid översättning av logisk utdatamask. Detta är ett MP-internt systemfel.

Effekt

Kommandot körs inte.

Gör så här:

  1. Korrigera formatet på den logiska utdatamasken och kör programmet på nytt.

  2. Nollställ systemet.

  3. Kontakta support för Giddings & Lewis om felet återkommer.


MLB-007 Output unavailable

Utdata som bestäms av IO-kommandot är inte tillgängliga med den logiska utdatamasken. Detta är ett MP-internt systemfel.

Effekt

Kommandot körs inte.

Gör så här:

  1. Kontrollera utdataportnumret och kör programmet på nytt.

  2. Nollställ systemet.

  3. Kontakta support för Giddings & Lewis om felet återkommer.


MLB-010 Unidentified FCS

Den angivna FCS-strängen (Function Command String) motsvarar inte något definierat MLB-kommando.

Effekt

Kommandot körs inte.

Gör så här:

  1. Korrigera detaljprogrammet så att det använder rätt FCS-identifierare.


MLB-011 First record in skip file is invalid

Den första raden i överhoppningsfilen måste vara antingen "Type=SKIP" eller "Type=EXEC".

Effekt

Överhoppningsfilen ignoreras och detaljprogrammet återgår till normal funktion om du fortsätter.

G ör så här:

  1. Korrigera innehållet i överhoppningsfilen.


MLB-012 Invalid record in skip file

En rad i överhoppningsfilen motsvarar inte antingen en kommentar eller ett kodblock med giltigt namnformat.

Effekt

Den ogiltiga raden ignoreras.

G ör så här:

  1. Korrigera innehållet i överhoppningsfilen.


MLB-013 Skip file access error

Ett fel inträffade vid läsning av överhoppningsfilen.

Effekt

Överhoppningsfilen ignoreras.

G ör så här:

  1. Kontrollera eventuella fel på överhoppningsfilen och överhoppningsfilens media.


MLB-014 Nested code blocks

Detaljprogrammet innehåller kapslade namngivna kodblock. Början (BB) på ett andra kodblock inträffade innan det föregående kodblocket avslutades (EB).

Effekt

Kommandot körs inte.

G ör så här:

  1. Korrigera detaljprogrammet.


MLB-015 Missing begin block

Ett EB-kommando för att avsluta block påträffades utan ett matchande BB-kommando för att påbörja blocket.

Effekt

Kommandot körs inte.

G ör så här:

  1. Korrigera detaljprogrammet.


MLB-016 Nested skip sequence

Detaljprogrammet innehåller en kapslad överhoppningssekvens. Ett andra startkommando för överhoppning påträffades utan att det föreågende överhoppningskommandot hade avslutats.

Effekt

Kommandot körs inte.

Gör så här:

  1. Korrigera detaljprogrammet.


MLB-017 Invalid end skip block function

Ett sekvenskommando för att avsluta en överhoppning påträffades utan ett matchande startkommando för överhoppningssekvens.

Effekt

Kommandot körs inte.

G ör så här:

  1. Korrigera detaljprogrammet.


MLB-018 Improper tolerancing mode

Funktionen för bultcirkel eller rektangulärt mönster kan inte anropas när programmet körs i läget limit tolerancing.

Effekt

Kommandot körs inte.

G ör så här:

  1. Korrigera detaljprogrammet.


MLB-019 Improper parameter

För många parametrar, för få parametrar eller en ogiltig parameter har angetts.

Effekt

Kommandot körs inte.

G ör så här:

  1. Kontrollera kommandots definition och korrigera detaljprogrammet.


MLB-020 No parameter permitted

Det angivna kommandot tillåter inte parametrar men en parameter har angetts.

Effekt

Kommandot körs inte.

G ör så här:

  1. Kontrollera kommandots definition och korrigera detaljprogrammet.


MLB-021 First parameter invalid

Den första angivna parametern är inte giltig för den här funktionen.

Effekt

Kommandot körs inte.

G ör så här:

  1. Kontrollera kommandots definition och korrigera detaljprogrammet.


MLB-022 Second parameter invalid

Den andra angivna parametern är inte giltig för den här funktionen.

Effekt

Kommandot körs inte.

G ör så här:

  1. Kontrollera kommandots definition och korrigera detaljprogrammet.


MLB-023 Third parameter invalid

Den tredje angivna parametern är inte giltig för den här funktionen.

Effekt

Kommandot körs inte.

G ör så här:

  1. Kontrollera kommandots definition och korrigera detaljprogrammet.


MLB-024 Fourth parameter invalid

Den fjärde angivna parametern är inte giltig för den här funktionen.

Effekt

Kommandot körs inte.

Gör så här:

  1. Kontrollera kommandots definition och korrigera detaljprogrammet.


MLB-025 Invalid parameter specified

En av de angivna parametrarna är inte giltig för den här funktionen.

Effekt

Kommandot körs inte.

G ör så här:

  1. Kontrollera kommandots definition och korrigera detaljprogrammet.


MLB-026 Invalid tip specified

Det angivna mäthuvudet har inte kalibrerats eller mäthuvudnumret ligger utanför det tillåtna området.

Effekt

Kommandot körs inte.

G ör så här:

  1. Kontrollera det angivna mäthuvudet och antingen korrigera namnet, kalibrera mäthuvudet eller välj rätt mäthuvudsfil.


MLB-027 Excessive angular deviation

Ett försök gjordes att beräkna parallelliteten mellan två element som är nästan rätvinkliga, eller att beräkna rätvinkligheten mellan två element som ligger nästan parallellt.

Effekt

Kommandot körs inte.

G ör så här:

  1. Korrigera detaljprogrammet så att rätt element eller rätt kommando anges.


MLB-028 Insufficient number of parameters

En nödvändig parameter har inte angetts för den här funktionen.

Effekt

Kommandot körs inte.

G ör så här:

  1. Kontrollera kommandots definition och korrigera detaljprogrammet.


MLB-029 Dimensional array values out of range

Data i utvärderingsarrayen är för stora eller för små för att kunna användas enligt den här funktionens specifikation.

Effekt

Kommandot körs inte.

G ör så här:

  1. Kontrollera kommandots definition och korrigera data i utvärderingsarrayen.


MLB-030 Feature stack does not contain required features

Något av följande tillstånd råder:

  1. Elementregistret är tomt

  2. En angiven eller obligatorisk elementposition är tom

  3. Elementstacken innehåller inte två element

  4. Elementstacken innehåller inte de obligatoriska elementen

  5. Elementstacken innehåller inte det nödvändiga antalet punkter för att definiera elementet

Effekt

Kommandot körs inte.

G ör så här:

  1. Kontrollera kommandots definition och korrigera detaljprogrammet så att elementstacken innehåller rätt data.


MLB-031 First parameter specifies invalid type

Det element som den första funktionsparametern anger är inte korrekt typ för funktionen. Observera att det här felet kan inträffa om ingen parameter har angetts och funktionen som standard använder data i Elementregistret och elementtypen är felaktig.

Effekt

Kommandot körs inte.

G ör så här:

  1. Kontrollera kommandots definition och korrigera detaljprogrammet.


MLB-032 Second parameter specifies invalid type

Det element som den andra funktionsparametern anger är inte korrekt typ för funktionen. Observera att det här felet kan inträffa om ingen parameter har angetts och funktionen som standard använder data i den första elementstackspositionen (F1) och det elementets typ är felaktig.

Effekt

Kommandot körs inte.

G ör så här:

  1. Kontrollera kommandots definition och korrigera detaljprogrammet.


MLB-033 Plane is invalid type

Det angivna elementet är ett plan men element av typen plan är inte giltiga för funktionen.

Effekt

Kommandot körs inte.

G ör så här:

  1. Kontrollera kommandots definition och korrigera detaljprogrammet.


MLB-034 Cannot intersect concentric circles

De cirklar som angetts för beräkning av en skärningspunkt är koncentriska och skär inte varandra.

Effekt

Kommandot körs inte.

G ör så här:

  1. Kontrollera kommandots definition och korrigera detaljprogrammet.


MLB-035 Line perpendicular to working plane

Funktionens körning kräver att den angivna linjen projiceras in i det aktiva arbetsplanet men linjen ligger parallellt med planet och kan inte projiceras.

Effekt

Kommandot körs inte.

G ör så här:

  1. Kontrollera kommandots definition och korrigera detaljprogrammet.


MLB-036 Invalid (null) feature addressed

Det angivna elementet är av typen 'null', vilket visar att det är resultatet av en överhoppad åtgärd men den här funktionen kan inte köras med ett 'null'-element.

Effekt

Kommandot körs inte.

G ör så här:

  1. Kontrollera kommandots definition och korrigera detaljprogrammet.


MLB-037 Invalid feature type

Den elementtyp som valts för den här funktionen är inte giltig.

Effekt

Kommandot körs inte.

G ör så här:

  1. Kontrollera kommandots definition och korrigera detaljprogrammet.


MLB-038 Cannot intersect line parallel with cylinder axis

Körning av kommandot kräver beräkning av en linje med en cylindrisk yta men den angivna linjen ligger parallellt med cylinderns axel och skär därmed inte den cylindriska ytan.

Effekt

Kommandot körs inte.

S å här ska du göra

  1. Kontrollera kommandots definition och korrigera detaljprogrammet.


MLB-040 Summation array does not contain enough features

Summeringsarrayen innehåller inte det antal punkter som krävs för det här kommandot.

Effekt

Kommandot körs inte.

G ör så här:

  1. Kontrollera kommandots definition och korrigera detaljprogrammet.


MLB-041 Points do not define the feature

Något av följande tillstånd råder:

  1. Punkterna definierar inte elementet (cirkel, linje i arbetsplanet, linje i rymden, plan).

  2. Elementen definierar inte en offsetvinkel.

  3. Antingen är raden rätvinklig mot mätplanet eller punkterna är likvärdiga när de projiceras på mätplanet. Offsetvinkeln ändras inte.

  4. Elementen är parallella.

  5. Elementen är rätvinkliga.

  6. Elementen är identiska.

Effekt

Kommandot körs inte.

G ör så här:

  1. Kontrollera kommandots definition och korrigera detaljprogrammet.


MLB-042 Summations invalid

P.g.a. en föregående åtgärd är den angivna summeringsarrayen ogiltig.

Effekt

Kommandot körs inte.

G ör så här:

  1. Kontrollera kommandots definition och korrigera detaljprogrammet.


MLB-043 Segmentation in progress

Kommandot kan inte köras medan en segmenterad mätning pågår.

Effekt

Kommandot körs inte.

G ör så här:

  1. Korrigera detaljprogrammet.


MLB-044 Segmentation not initialized

Ett försök gjordes att köra ett kommando för "nästa segment" men en segmenterad mätsekvens har inte startats korrekt.

Effekt

Kommandot körs inte.

G ör så här:

  1. Korrigera detaljprogrammet.


MLB-045 Command cannot be skipped

Ett MLB-kommando som inte får hoppas över fanns med i ett kodblock som hoppades över.

Effekt

Kommandot körs inte.

G ör så här:

  1. Kontrollera kommandots definition och korrigera detaljprogrammet.


MLB-050 RCU not available

Kommandot kräver en RCU, men ingen RCU finns tillgänglig.

Effekt

Kommandot körs inte.

G ör så här:

  1. Kontrollera kommandots definition och korrigera detaljprogrammet.


MLB-060 Rotary table not available

Kommandot kräver ett rundbord men inget rundbord finns tillgängligt.

Effekt

Kommandot körs inte.

G ör så här:

  1. Kontrollera kommandots definition och korrigera detaljprogrammet.


MLB-061 Rotary table counter not available

Kommandot kräver ett rundbord med en räknare.

Effekt

Kommandot körs inte.

G ör så här:

  1. Kontrollera kommandots definition och korrigera detaljprogrammet.


MLB-062 Not allowed on rotary table with counter

Kommandot är inte giltigt om systemet ett rundbord med en räknare.

Effekt

Kommandot körs inte.

G ör så här:

  1. Kontrollera kommandots definition och korrigera detaljprogrammet.


MLB-063 Not allowed on error-corrected rotary table

Kommandot är inte giltigt om systemet innehåller ett felkorrigerat rundbord.

Effekt

Kommandot körs inte.

G ör så här:

  1. Kontrollera kommandots definition och korrigera detaljprogrammet.


MLB-064 Not allowed on a Hirth coupling table

MLB 064 - Not allowed on a Hirth coupling table

Kommandot stöds inte för en kopplad Hirth-tabell.

Effekt

Kommandot körs inte.

G ör så här:

  1. Kontrollera kommandots definition och korrigera detaljprogrammet.


MLB-070 Reference not saved

Ett kommandoförsök att återkalla ett referenssystem som inte har sparats gjordes.

Effekt

Kommandot körs inte.

G ör så här:

  1. Kontrollera kommandots definition och korrigera detaljprogrammet.


MLB-071 Feature storage overflow

I systemet finns inte tillräckligt mycket lagringsutrymme för att spara ytterligare element.

Effekt

Kommandot körs inte.

G ör så här:

  1. Kontrollera systemets specifikationer och korrigera detaljprogrammet. Tidigare sparade element kan behöva tas bort.


MLB-072 Feature not found

Ett kommandoförsök att återkalla eller ta bort ett element som inte har sparats gjordes.

Effekt

Kommandot körs inte.

G ör så här:

  1. Kontrollera kommandots definition och korrigera detaljprogrammet.


MLB-080 Improper probe installed

Funktionen är inte kompatibel med den installerade mäthuvudstypen, en svepfunktion är inte giltig när en kontaktmätspets har installerats. Det här felet kan även inträffa på ett system med en växlare om systemet startas med ett monterat mäthuvud eller om ett mäthuvud finns monterat men det i systemet antas att det inte har installerats.

Effekt

Kommandot körs inte.

G ör så här:

  1. Kontrollera kommandots definition och korrigera detaljprogrammet.

  2. Justera den installerade utrustningen för att korrigera problemet.


MLB-088 RCU Drive button used with QU

QU-kommandot avslutades med körtangenten på RCU-II.


MLB-089 RCU Return-to-screen button used with QU

QU-kommandot avslutades med tangenten för återgång till skärmen på RCU-II.


MLB-090 DCC not available

Kommandot kräver CNC-funktionalitet, men CNC-åtgärder är för tillfället inte tillgängliga i systemet.

Effekt

Kommandot körs inte.

G ör så här:

  1. Kontrollera kommandots definition och korrigera detaljprogrammet.

  2. Justera den installerade utrustningen för att korrigera problemet.

  3. Korrigera eventuella problem som hindrar CNC-åtgärder.


MLB-091 Contact not made with part

Vid ett försök till CNC-mätning har mäthuvudet förflyttats fram till målpunkten plus toleransavståndet men ingen kontakt med detaljen har skett.

Effekt

Punktdata tas inte. Det kanske blir omöjligt att köra detaljprogrammet vidare.

G ör så här:

  1. Ta reda på orsaken till det här problemet. Du måste antingen korrigera programmet eller sätta detaljen i rätt position.


MLB-092 Insufficient clearance

Mäthuvudets angivna diameter och frigång gör att det inte kan gå in i ett hål.

Effekt

Kommandot körs inte.

G ör så här:

  1. Ta reda på orsaken till det här problemet. Du måste antingen korrigera den angivna hålstorleken, minska den tillåtna frigången eller använda ett mindre mäthuvud.


MLB-093 Remote auto not configured

Kommandot för att välja det automatiska läget har körts på ett system där stöd för den här åtgärden inte har konfigurerats korrekt.

Effekt

Kommandot körs inte.

G ör så här:

  1. Ta reda på orsaken till det här problemet. Du måste antingen korrigera programmet eller konfigurera systemet korrekt.

  2. Kontakta support för Giddings & Lewis om felet uppstår på nytt trots att systemet ska ha stöd för åtgärden.


MLB-094 Remote auto interlock not engaged

Kommandot för att välja det automatiska läget har körts men extern aktivering av Autoläge är inte aktiv.

Effekt

Kommandot körs inte.

G ör så här:

  1. Ta reda på orsaken till det här problemet. Du måste antingen korrigera programmet eller koppla på extern aktivering av Autoläge. Fortsätt att köra detaljprogrammet genom att manuellt välja Autoläget.

  2. Kontakta support för Giddings & Lewis om felet uppstår på nytt trots att systemet ska ha stöd för åtgärden.


MLB-095 Servo power failed to engage

Kommandot för att välja det automatiska läget har körts men det gick inte att slå på servokraften i systemet.

Effekt

Kommandot körs inte.

G ör så här:

  1. Ta reda på orsaken till det här problemet. Du måste antingen korrigera programmet eller eliminera maskinvaruproblemet som hindrar servokraften från att slås på. Slå på servokraften manuellt och välj det automatiska läger för att fortsätta att köra detaljprogrammet.

  2. Kontakta support för Giddings & Lewis om felet uppstår på nytt trots att systemet ska ha stöd för åtgärden.


MLB-096 Unable to select Auto mode

Kommandot för att välja det automatiska läget har körts men det gick inte att välja det automatiska läget i systemet.

Effekt

Kommandot körs inte.

G ör så här:

  1. Ta reda på orsaken till det här problemet. Du måste antingen korrigera programmet eller eliminera maskinvaruproblemet som hindrar det automatiska läget. Fortsätt att köra detaljprogrammet genom att manuellt välja det automatiska läget.

  2. Kontakta support för Giddings & Lewis om felet uppstår på nytt trots att systemet ska ha stöd för åtgärden.


MLB-100 Probe head datum error

Det tvåaxliga mäthuvudet PH9 eller PH10 hamnade ur läge efter en förflyttning och är inte låst på plats.

Effekt

Kommandot körs inte.

G ör så här:

  1. Ta bort och sätt tillbaka mäthuvudet med två axlar och fortsätt.


MLB-101 Probe head obstruct error

MLB-101 Probe head obstruction error

P.g.a. ett hinder kunde mäthuvudet PH9 eller PH10 inte slutföra en förflyttning.

Effekt

Kommandot körs inte.

G ör så här:

  1. Ta bort och sätt tillbaka mäthuvudet med två axlar och fortsätt.


MLB-110 Tip 0 not calibrated

Det gjordes ett försök att kalibrera ett annat mäthuvud än huvudmäthuvudet (mäthuvud 0) när kalibreringsfixturens läge i förhållande till mäthuvud 0 var okänt. Mäthuvud 0 måste kalibreras innan du kan kalibrera andra mäthuvuden. Observera att det här felet kan uppstå om en kalibreringsåtgärd för mäthuvud 0 påbörjats och sedan avbrutits.

Effekt

Kommandot körs inte.

G ör så här:

  1. Kalibrera mäthuvud 0.


MLB-111 Spherical calibration fixture required

Det gjordes ett försök till automatisk kalibrering efter körning av ett MLB-kommando som anger att kalibreringsfixturen var en kon och inte en sfär.

Effekt

Kommandot körs inte.

G ör så här:

  1. Korrigera detaljprogrammet.


MLB-112 Temperature change invalidated tip 0 calibration

På system med automatiska temperatursensorer har temperaturen ändrats så mycket sedan mäthuvud 0 kalibrerades att ytterligare mäthuvuden inte kan kalibreras noggrant.

Effekt

Kommandot körs inte.

G ör så här:

  1. Kalibrera om mäthuvud 0 innan du kalibrerar ytterligare mäthuvuden.


MLB-113 Negative probe diameter invalidated calibration

En mäthuvudskalibreringsåtgärd resulterade i att en negativ mäthuvudsdiameter beräknades. Detta beror normalt på att man angett fel storlek på kalibreringskulan eller att fel måttenheter användes för att ange kalibreringskulans storlek.

Effekt

Kommandot körs inte.

G ör så här:

  1. Korrigera problemet och kalibrera om mäthuvudet.


MLB-114 Excessive probe offsets invalidated calibration

En mäthuvudskalibreringsåtgärd resulterade i en beräkning av offsetvärden för mäthuvuden som uppenbarligen är ogiltiga. Detta beror normalt på att man anger att kalibreringskulan ligger vid MEA-positionen när den inte gör det eller att kalibreringskulan flyttas efter att spets 0 kalibrerats utan att sedan köra funktionen "locate sphere".

Effekt

Kommandot körs inte.

G ör så här:

  1. Korrigera problemet och kalibrera om mäthuvudet.


MLB-115 File error on feature or probe storage operation

Element- eller mäthuvudsdata kunde inte sparas på värddisken. Disken är kanske skrivskyddad eller full.

Effekt

Kommandot körs inte.

G ör så här:

  1. Korrigera problemet och kör programmet på nytt.


MLB-116 Not on circle at beginning of circular move

CMM-maskinen har inte positionerats inom rörelsetoleransen för den angivna cirkeln som ligger i början av ett cirkulärt rörelsekommando.

Effekt

Kommandot körs inte. SMP övergår till manuellt läge.

G ör så här:

  1. Kontrollera rörelsekommandona som ligger omedelbart före den cirkulära rörelsen.


MLB-120 Part improperly aligned or scaled

Detaljen har inte uppriktats mot maskinen eller har en annan skala för rektangulär scan, eller så har detaljen inte primäruppriktats eller har en annan skala för polär scan.

Effekt

Kommandot körs inte.

G ör så här:

  1. Korrigera programmet för att ge detaljen korrekt uppriktning och/eller skala.


MLB-130 Operator abort

Åtgärden avbröts av operatören.

Effekt

Kommandot körs inte.

G ör så här:

  1. Besvara felmeddelandet och fortsätt att köra detaljprogrammet eller avbryt det, beroende på vad som är lämpligast.


MLB-131 Electronic level not available

Ett kommando för att läsa av elektroniknivån kördes men elektroniknivån är inte tillgänglig.

Effekt

Kommandot körs inte.

G ör så här:

  1. Kontrollera att elektroniknivån är tillgänglig i systemet och om den inte fungerar.


MLB-132 Electronic level interface timeout

Ett kommando för att läsa av elektroniknivån kördes men timeout-gränsen för elektroniknivån nåddes.

Effekt

Kommandot körs inte.

G ör så här:

  1. Kontrollera att elektroniknivån fungerar.


MLB-140 Point not available

Den angivna datapunkten finns inte i summeringsarrayen. Punkten har inte sparats.

Effekt

Kommandot körs inte.

G ör så här:

  1. Korrigera detaljprogrammet.


MLB-150 APC rack not connected

Den kabel som ansluter det automatiska växlarmagasinet till ACU är inte inkopplad till magasinet och/eller ACU.

Effekt

Kommandot körs inte.

G ör så här:

  1. Om du använder ett automatiskt växlarmagasin (APC) ska du ansluta det.

  2. Om du inte använder ett automatiskt växlarmagasin ska du använda ett alternativt MLB-kommando som inte kräver ett APC.


MLB-151 APC firmware or interface not present

Du har begärt en APC-funktion (automatiskt växlarmagasin) men det automatiska växlarmagasinet eller inbyggd programvara som stöder det är inte tillgängligt.

Effekt

Kommandot körs inte.

G ör så här:

  1. Använd en alternativ funktion som inte kräver APC.


MLB-152 APC rack not calibrated

Du försöker köra ett detaljprogram som använder det automatiska växlarmagasinet (APC) men det har inte kalibrerats.

Effekt

Kommandot körs inte.

G ör så här:

  1. Kalibrera det automatiska växlarmagasinet.


MLB-153 APC/MP communication error

Kommunikationen mellan det automatiska växlarmagasinet och MP-systemet har brutits.

Effekt

MP-systemet kan inte kommunicera med det automatiska växlarmagasinet.

G ör så här:

  1. Nollställ MP-systemet och det automatiska växlarmagasinet.

  2. Kontakta support för Giddings & Lewis om felet återkommer.


MLB-154 APC rack timeout or lock failure

Den tid som tilldelats för en mäthuvudstransaktion överskreds eller så kunde inte en adapter låsas.

Effekt

Kommandot avbryts.

G ör så här:

  1. Nollställ det automatiska växlarmagasinet.


MLB-155 APC rack overtravel

Överdriven förflyttning av det automatiska växlarmagasinets montage.

Effekt

Kommandot körs inte.

G ör så här:

  1. Kalibrera om det automatiska växlarmagasinet.


MLB-156 Safe position not defined

Ett säkert rotationsläge för PH9A har inte angetts.

Effekt

Du kan inte använda det automatiska växlarmagasinet.

G ör så här:

  1. Definiera ett säkert rotationsläge för PH9A.


MLB-157 No extensions loaded

Du försöker att montera ett flerstationsmäthuvud men det finns inga förlängningar i den automatiska växlarens magasin.

Effekt

Kommandot körs inte.

G ör så här:

  1. Hämta och kalibrera de nödvändiga förlängningarna.


MLB-158 Too many extensions loaded

Du försökte utrusta mäthuvudet med fler än tre förlängningar.

Effekt

Kommandot körs inte.

G ör så här:

  1. Kontrollera att den sista automatiska växlarstationen som specificerats i en mäthuvudskonfiguration innehåller ett stift.


MLB-160 Firmware entity not found

MP-systemet innehåller ett trasigt ROM- eller CPU-kort.

Effekt

Systemet kan inte köras.

G ör så här:

  1. Kontakta support för Giddings & Lewis.


MLB-161 APC rack could not be lowered

APC-magasinet kunde inte sänkas.

Effekt

Ett kommando som kräver att APC-magasinet sänks kördes men magasinet kunde inte sänkas.

G ör så här:

  1. Kontrollera kommandots definition och korrigera detaljprogrammet.

  2. Korrigera problemet med höjning/säkning av APC-magasinet.

  3. Kontakta support för Giddings & Lewis om felet återkommer.


MLB-162 APC rack could not be raised

Ett kommando som kräver att APC-magasinet höjs kördes men magasinet kunde inte höjas.

Effekt

Kommandot körs inte.

G ör så här:

  1. Kontrollera kommandots definition och korrigera detaljprogrammet.

  2. Korrigera problemet med höjning/säkning av APC-magasinet.

  3. Kontakta support för Giddings & Lewis om felet återkommer.


MLB-164 Insufficient analog probe deflection

Det analoga mäthuvudet böjs av med mindre än halva dess nominella avböjning vid början av ett AS-kommando.

Effekt

Kommandot körs inte.

G ör så här:

  1. Kontrollera rörelsekommandona som ligger omedelbart före AS-kommandot. Den nominella analoga mäthuvudsavböjningen kan läsas med hjälp av KD-kommandot.


MLB-166 Not a circle

Orsak

CMM-maskinen har inte positionerats inom rörelsetoleransen för den angivna cirkeln som ligger i början av ett cirkulärt rörelsekommando.

Effekt

Kommandot körs inte. SMP övergår till manuellt läge.

Användaråtgärd

Kontrollera rörelsekommandot som ligger omedelbart före det cirkulära rörelsekommandot.

Hanteringsåtgärd

Ingen.


MLB-168 Unexpected touch

Kontaktmäthuvudet böjdes av i det automatiska läget under andra omständigheter än vid körning av ett kontakt- eller sökkommando. Detta orsakas normalt vid en CNC-rörelse som antogs ske via en fri passage.

Effekt

Maskinen övergår till manuellt läge.

G ör så här:

  1. Ta bort hindret och återställ maskinen i automatiskt läge eller programmera om maskinens rörelseinstruktioner.


MLB-169 Unexpected end-of-travel

Maskinens rörelse hindrades av ett fysiskt hinder. Detta orsakas normalt av ett försök att köra förbi någon eller några av axlarnas fysiska gränser.

Effekt

Maskinen övergår till manuellt läge.

G ör så här:

  1. Ta reda på orsaken till det här problemet. Ta bort det fysiska hindret eller korrigera detaljprogrammet.


MLB-170 Touch probe will not rearm

I det automatiska läget har kontaktmäthuvudet böjts av men kunde inte återställas efter att det dragits bort från ytan. Detta kan orsakas av ett hinder eller ett internt problem.

Effekt

Maskinen övergår till manuellt läge.

G ör så här:

  1. Frigör mäthuvudet om det är blockerat, eller kontrollera och justera mäthuvudets spänning.

  2. Återställ systemet till det automatiska läget när du återställt mäthuvudet så att detaljprogrammet kan fortsätta.


MLB-173 PH9 probe overload

En hög kraft har påverkat någon av PH9:s eller PH10:s axlar så att dess programmerade läge har gått förlorat.

Effekt

Maskinen övergår till manuellt läge.

G ör så här:

  1. Nollställ om möjligt PH9- eller PH10-mäthuvudet. När du har tagit bort och satt i mäthuvudet på nytt ska du sätta systemet i automatiskt läge så att du kan fortsätta att köra detaljprogrammet.


MLB-190 Too much probe deflection

Det analoga mäthuvudet böjs av för mycket vid ett scanrörelsekommando.

Effekt

SMP övergår till manuellt läge då:

  • TrapScanDeflectStatus = Falskt (standardvärde i systemet). Kommandot stannar tillfälligt till dess att SMP har satts i automatiskt läge.

  • TrapScanDeflectStatus = Sant. Kommandot körs inte. Variabeln ScanDeflectStatus är lika med 2.

Gör så här:

  1. Kontrollera detaljens yta.

  2. Kontrollera det aktuella värdet för avböjning vid mätning av mjuka material.

  3. Starta rutinen för användargenererad återhämtning vid scanfel.


MLB-191 Came off surface

Det analoga mäthuvudet böjs inte av tillräckligt vid ett scanrörelsekommando.

Effekt

SMP övergår till manuellt läge då:

  • TrapScanDeflectStatus = Falskt (standardvärde i systemet). Kommandot stannar tillfälligt till dess att SMP har satts i automatiskt läge.

  • TrapScanDeflectStatus = Sant. Kommandot körs inte. Variabeln ScanDeflectStatus är lika med 0.

Gör så här:

  1. Kontrollera detaljens yta.

  2. Kontrollera det aktuella värdet för avböjning vid mätning av mjuka material.

  3. Starta rutinen för användargenererad återhämtning vid scanfel.


MLB-505 User Key Unknown

UK-kommandot anger en användardefinierad tangent som inte har definierats.

Effekt

Kommandot körs inte.

Gör så här:

  1. Kontrollera kommandots definition och korrigera detaljprogrammet.

  2. Lägg till användartangenten bland databasmärkena i MeasureMax+.


MP-001 Bad command message syntax error

Något av följande villkor gör att kommandomeddelandet är ogiltigt:

  1. MP-, CNC- eller RCU-systemet kunde inte tolka ett meddelande som togs emot från en annan komponent i systemet.

  2. På ett MP-300-system, att det nödvändiga utbyggnads-ROM-minnet är trasigt eller felinstallerat.

  3. På ett MP-300-system, att inställningarna för PH9, scan eller växlare har konfigurerats i systemet men utbyggnads-ROM-minnet har inte installerats på MP-systemets CPU-kort.

Gör så här:

  1. Stäng av MP-systemet för att nollställa felet.

  2. Slå på MP-systemet igen.

  3. Kontakta support för Giddings & Lewis om felet återkommer.


MP-002 Destination not present or MP runtime system error

Kommunikationssystemet tog emot ett meddelande om att skicka en uppgift som inte finns. Möjliga förklaringar är:

  1. Ett internt fel i MP-systemets fasta programvara.

  2. På ett MP-300-system, att det nödvändiga utbyggnads-ROM-minnet är trasigt eller felinstallerat.

  3. På ett MP-300-system, att inställningarna för PH9, scan eller växlare har konfigurerats i systemet men utbyggnads-ROM-minnet har inte installerats på MP-systemets CPU-kort.

Så här ska du göra

  1. Stäng av MP-systemet för att nollställa felet.

  2. Slå på MP-systemet igen.

  3. Om felet återkommer ska du ringa din Giddings & Lewis-servicetekniker.


MP-003 Resource shortage

I MP-systemet kan inte ett korrekt kommando utföras eftersom en nödvändig resurs inte finns tillgänglig. Programvaran kan inte komma åt den nödvändiga maskinvaran.

Gör så här:

  1. Stäng av MP-systemet för att nollställa felet.

  2. Kontrollera att all nödvändig utrustning är korrekt och ordentligt ansluten.

  3. Slå på MP-systemet igen.

  4. Kontakta support för Giddings & Lewis om felet återkommer och du inte hittar något problem.


MP-004 Numeric error

Ett numeriskt fel visar på ett internt problem i MP-systemets fasta programvara.

Gör så här:

  1. Stäng av MP-systemet för att nollställa felet.

  2. Slå på MP-systemet igen.

  3. Kontakta support för Giddings & Lewis om felet återkommer.


MP-007 CPU EPROM checksum error

Ett kontrollsummefel har upptäckts i EPROM-minnet på MP-30-systemets CPU-kort eller i SMP400-systemets kodsegmentminne. Kontrollsumman räknas om kontinuerligt medan MP-systemet körs. Det här felet visar att CPU-kortet inte längre fungerar pålitligt. Mer information finns i MP-felkoder.

Gör så här:

  1. Stäng av MP-systemet för att nollställa felet.

  2. Slå på MP-systemet igen.

  3. Kontakta support för Giddings & Lewis om felet återkommer.


MP-008 CPU EPROM checksum error

Ett kontrollsummefel har upptäckts i EPROM-minnet på MP-30-systemets CNC-kort. Kontrollsumman räknas om kontinuerligt medan MP-systemet körs. Det här felet visar att CNC-kortet inte längre fungerar pålitligt. Mer information finns i MP-felkoder.

Gör så här:

  1. Stäng av MP-systemet för att nollställa felet.

  2. Slå på MP-systemet igen.

  3. Kontakta support för Giddings & Lewis om felet återkommer.


MP-013 MP-to-Host buffer overflow

Det har uppstått spill i meddelandebufferten MP-till-värd. Bufferten kan lagra högst tio meddelanden.

Gör så här:

  1. Stäng av MP-systemet för att nollställa felet.

  2. Slå på MP-systemet igen.

  3. Kontakta support för Giddings & Lewis om felet återkommer.


MP-015 MP foreground-to-background buffer overflow

Det har inträffat ett spill i den interna bufferten som används av MP-förgrunden för att överföra statusinformation till statusövervakaren.

Gör så här:

  1. Stäng av MP-systemet för att nollställa felet.

  2. Slå på MP-systemet igen.

  3. Kontakta support för Giddings & Lewis om felet återkommer.


MP-018 MP internal counter error

Någon av programvarans X/Y/Z-räknare har en startbyte som skiljer sig från motsvarande maskinvaruräknares startbyte. Det här felet tyder sannolikt på ett fel på CPU-kortet, inte på något fel i räknarkortet. Mer information finns i MP-felkoder.

Gör så här:

  1. Stäng av MP-systemet för att nollställa felet.

  2. Slå på MP-systemet igen.

  3. Kontakta support för Giddings & Lewis om felet återkommer.


MP-019 MP and DCC firmware incompatibility

Versionsnumret på CNC-maskinens fasta programvara är inte kompatibel med den fasta programvaran på MP-30:s CPU-kort. Mer information finns i MP-felkoder.

Gör så här:

  1. Stäng av MP-systemet för att nollställa felet.

  2. Slå på MP-systemet igen.

  3. Kontakta support för Giddings & Lewis om felet återkommer. Du måste uppdatera CNC-maskinens eller CPU-kortets fasta programvara.


MP-021 Atlas Y2 counter fault

Ett räknarfel för Y2-axeln har upptäckts av räknekortet (amp/check/divide). Möjliga orsaker:

  1. Laserstrålen är blockerad.

  2. Laserstrålen har inte justerats korrekt i interferometern.

  3. Det är för mycket DC-offset i OPD Lissajous.

  4. OPD Lissajous har inte tillräcklig amplitud.

  5. Axeln rör sig för fort (mer än 635 mm/sekund för lasermaskiner).

Gör så här:

  1. För att nollställa felet klickar du på Clear error i fönstret XYZ Display. För att nollställa det med en RCU-II trycker du och håller ned knappen Servo Power Off och trycker sedan två gånger på knappen Joy.

  2. Kontakta support för Giddings & Lewis om felet återkommer.


MP-022 Atlas Y3 counter fault

Ett räknarfel för Y3-axeln har upptäckts av räknekortet (amp/check/divide). Möjliga orsaker:

  1. Laserstrålen är blockerad.

  2. Laserstrålen har inte justerats korrekt i interferometern.

  3. Det är för mycket DC-offset i OPD Lissajous.

  4. OPD Lissajous har inte tillräcklig amplitud.

  5. Axeln rör sig för fort (mer än 635 mm/sekund för lasermaskiner).

Gör så här:

  1. För att nollställa felet klickar du på Clear error i fönstret XYZ Display. För att nollställa det med en RCU-II trycker du och håller ned knappen Servo Power Off och trycker sedan två gånger på knappen Joy.

  2. Kontakta support för Giddings & Lewis om felet återkommer.


MP-023 Atlas Y2 beam block error

En ljusstråle är blockerad. Felet beror troligtvis på felinställd optik eller på att en kabel har kommit i vägen för ljusstrålen.

Gör så här:

  1. Stäng av MP-systemet för att nollställa felet.

  2. Slå på MP-systemet igen.

  3. Kontakta support för Giddings & Lewis om felet återkommer.


MP-024 Atlas Y3 beam block error

En ljusstråle är blockerad. Felet beror troligtvis på felinställd optik eller på att en kabel har kommit i vägen för ljusstrålen.

Gör så här:

  1. Stäng av MP-systemet för att nollställa felet.

  2. Slå på MP-systemet igen.

  3. Kontakta support för Giddings & Lewis om felet återkommer.


MP-025 Auxiliary X-axis A/D conversion error

Ett A/D-konverteringsfel har rapporterats för X-axeln på det treaxlade tilläggsräknarkortet.

Gör så här:

  1. Stäng av MP-systemet för att nollställa felet.

  2. Slå på MP-systemet igen.

  3. Kontakta support för Giddings & Lewis om felet återkommer.


MP-026 Auxiliary Y-axis A/D conversion error

Ett A/D-konverteringsfel har rapporterats för Y-axeln på det treaxlade tilläggsräknarkortet.

Gör så här:

  1. Stäng av MP-systemet för att nollställa felet.

  2. Slå på MP-systemet igen.

  3. Kontakta support för Giddings & Lewis om felet återkommer.


MP-027 Auxiliary Z-axis A/D conversion error

Ett A/D-konverteringsfel har rapporterats för Z-axeln på det treaxlade tilläggsräknarkortet.

Gör så här:

  1. Stäng av MP-systemet för att nollställa felet.

  2. Slå på MP-systemet igen.

  3. Kontakta support för Giddings & Lewis om felet återkommer.


MP-028 SP600 +12 volt fuse blown

Ett fel rapporterades av SP600-gränssnittskortet i SMP400. Det här felet kan ha orsakats av ett fel i PH10-vridhuvudet eller av att en säkring har gått i SP600-gränssnittskortet. Den mest troliga orsaken till felet är PH10-vridmäthuvudet.

Gör så här:

  1. Det här felet kan inte klickas bort. Du måste åtgärda problemet genom att byta ut PH10-vridmäthuvudet eller gränssnittskortet.

  2. Kontakta support för Giddings & Lewis om felet återkommer.


MP-029 SP600 -12 volt fuse blown

Ett fel rapporterades av SP600-gränssnittskortet i SMP400. Det här felet kan ha orsakats av ett fel i PH10-vridhuvudet eller av att en säkring har gått i SP600-gränssnittskortet. Den mest troliga orsaken till felet är PH10-vridmäthuvudet.

Gör så här:

  1. Det här felet kan inte klickas bort. Du måste åtgärda problemet genom att byta ut PH10-vridmäthuvudet eller gränssnittskortet.

  2. Kontakta support för Giddings & Lewis om felet återkommer.


MP-030 SP600 +5 volt fuse blown

Ett fel rapporterades av SP600-gränssnittskortet i SMP400. Det här felet kan ha orsakats av ett fel i PH10-vridhuvudet eller av att en säkring har gått i SP600-gränssnittskortet. Den mest troliga orsaken till felet är PH10-vridmäthuvudet.

Gör så här:

  1. Det här felet kan inte klickas bort. Du måste åtgärda problemet genom att byta ut PH10-vridmäthuvudet eller gränssnittskortet.

  2. Kontakta support för Giddings & Lewis om felet återkommer.


MP-031 Probe overtravel fault

(MP30) Bit 5, I/O-adress 39(hex) = 1.

Gör så här:

  1. För att nollställa felet klickar du på Clear error i fönstret XYZ Display. För att nollställa det med en RCU-II trycker du och håller ned knappen Servo Power Off och trycker sedan två gånger på knappen Joy.

  2. Kontakta support för Giddings & Lewis om felet återkommer.


MP-032 Counter hardware/configuration mismatch

Systemet har konfigurerats som ett lasersystem men det använder standard-12-bitars räknarkort i stället för de 16-bitars räknarkorten som krävs.

Gör så här:

  1. Stäng av MP-systemet för att nollställa felet.

  2. Slå på MP-systemet igen.

  3. Kontakta support för Giddings & Lewis om felet återkommer.


MP-033 W-axis counter fault

Ett räknarfel för W-axeln har upptäckts av räknekortet (amp/check/divide). Möjliga orsaker:

  1. Gallret är smutsigt.

  2. Det är för mycket DC-offset.

  3. Läshuvudsignalerna har inte tillräcklig amplitud.

  4. Läshuvudet har fel snedvinkel.

  5. Axeln rör sig för snabbt (rundbordet rör sig snabbare än 1220 mm/sek.).

Gör så här:

  1. För att nollställa felet klickar du på Clear error i fönstret XYZ Display. För att nollställa det med en RCU-II trycker du och håller ned knappen Servo Power Off och trycker sedan två gånger på knappen Joy.

  2. Rengör gallret med en mjuk, luddfri duk tillsammans med isopropyl eller denaturerad alkohol.

  3. Kontrollera att DC-offset, amplitud, läshuvudsnedvinkel och axelhastighet alla ligger inom de tillåtna gränserna.

  4. Kontakta support för Giddings & Lewis om felet återkommer.


MP-034 X-axis counter fault

Ett räknarfel för X-axeln har upptäckts av räknekortet (amp/check/divide). Om X-axeln använder en skala och ett läshuvud kan detta orsakas av att:

  1. Gallret är smutsigt.

  2. Det är för mycket DC-offset i räknekortets Lissajous.

  3. Läshuvudsignalerna har inte tillräckligt hög amplitud i räknekortets Lissajous.

  4. Läshuvudet har fel snedvinkel sett från räknekortets Lissajous.

  5. Axeln rör sig för fort (mer än 1016 mm/sekund för standardmaskiner, mer än 635 mm/sek. för lasermaskiner och mer än 381 mm/sek. på vissa Discovery-maskiner).

Om X-axeln använder en laserinterferometer kan felet orsakas av att:

  1. Laserstrålen är blockerad.

  2. Laserstrålen har inte justerats korrekt i interferometern.

  3. Det är för mycket DC-offset i OPD Lissajous.

  4. OPD Lissajous har inte tillräcklig amplitud.

  5. Axeln rör sig för fort (mer än 635 mm/sekund för lasermaskiner).

Gör så här:

  1. För att nollställa felet klickar du på Clear error i fönstret XYZ Display. För att nollställa det med en RCU-II trycker du och håller ned knappen Servo Power Off och trycker sedan två gånger på knappen Joy.

  2. Om axeln använder en skala och ett läshuvud, ska du:

  3. Rengör gallret med en mjuk, luddfri duk tillsammans med isopropyl eller denaturerad alkohol.

  4. Kontrollera att DC-offset, amplitud, läshuvudsnedvinkel och axelhastighet alla ligger inom de tillåtna gränserna.

  5. Kontakta support för Giddings & Lewis om felet återkommer.


MP-035 Y-axis counter fault

Ett räknarfel för Y-axeln har upptäckts av räknekortet (amp/check/divide). Om Y-axeln använder en skala och ett läshuvud finns följande möjliga orsaker:

- Gallret är smutsigt.
- Det är för mycket DC-offset.
- Läshuvudsignalerna har inte tillräcklig amplitud.
- Läshuvudet har fel snedvinkel.
- Axeln rör sig för fort (mer än 1016 mm/sek.)

Om Y-axeln använder en laserinterferometer kan detta orsakas av et:
- Laserstrålen är blockerad.
- Laserstrålen har inte justerats korrekt i interferometern.
- Det är för mycket DC-offset i OPD lissajous.
- OPD lissajous har inte tillräcklig amplitud.
- Axeln rör sig för fort (mer än 635 mm/sek.).

Gör så här:

  1. För att nollställa felet klickar du på Clear error i fönstret XYZ Display. För att nollställa det med en RCU-II trycker du och håller ned knappen Servo Power Off och trycker sedan två gånger på knappen Joy.

  2. Om axeln använder en skala och ett läshuvud:

  3. Rengör gallret med en mjuk, luddfri duk tillsammans med isopropyl eller denaturerad alkohol.

  4. Kontrollera att DC-offset, amplitud, läshuvudsnedvinkel och axelhastighet alla ligger inom de tillåtna gränserna.

  5. Kontakta support för Giddings & Lewis om felet återkommer.


MP-036 Z-axis counter fault

Ett räknarfel för Z-axeln har upptäckts av räknekortet (amp/check/divide). Möjliga orsaker:

Om axeln använder en skala och ett läshuvud finns följande möjliga orsaker:
- Gallret är smutsigt.
- Det är för mycket DC-offset.
- Läshuvudsignalerna har inte tillräcklig amplitud.
- Läshuvudet har fel snedvinkel.
- Axeln rör sig för fort (mer än 1016 mm/sek.)

Om axeln använder en laserinterferometer kan detta orsakas av att:
- Laserstrålen är blockerad.
- Laserstrålen har inte justerats korrekt i interferometern.
- Det är för mycket DC-offset i OPD Lissajous.
- OPD Lissajous har inte tillräcklig amplitud.
- Axeln rör sig för fort (mer än 635 mm/sek.).

Gör så här:

  1. För att nollställa felet klickar du på Clear error i fönstret XYZ Display. För att nollställa det med en RCU-II trycker du och håller ned knappen Servo Power Off och trycker sedan två gånger på knappen Joy.

  2. Om axeln använder en skala och ett läshuvud:

  3. Rengör gallret med en mjuk, luddfri duk tillsammans med isopropyl eller denaturerad alkohol.

  4. Kontrollera att DC-offset, amplitud, läshuvudsnedvinkel och axelhastighet alla ligger inom de tillåtna gränserna.

  5. Kontakta support för Giddings & Lewis om felet återkommer.


MP-042 Temperature Compensation hardware absent

Systemet är konfigurerat för temperaturkompensering men det finns inget temperaturkompenseringskort.

Gör så här:

  1. För att nollställa felet klickar du på Clear error i fönstret XYZ Display. För att nollställa det med en RCU-II trycker du och håller ned knappen Servo Power Off och trycker sedan två gånger på knappen Joy.

  2. Skaffa den nödvändiga maskinvaran för temperaturkompensering.

  3. Kontakta support för Giddings & Lewis om felet återkommer.


MP-043 Temperature Compensation hardware failure

Systemet är konfigurerat för temperaturkompensering. Ett temperaturkompenseringskort finns men ett ogiltigt A/D-värde inträffade för nödvändiga indata.

Gör så här:

  1. För att nollställa felet klickar du på Clear error i fönstret XYZ Display. För att nollställa det med en RCU-II trycker du och håller ned knappen Servo Power Off och trycker sedan två gånger på knappen Joy.

  2. Kontakta support för Giddings & Lewis om felet återkommer.


MP-045 Excessive MP hardware temperatures

Temperaturen i MP-elektronikutrymmet är för hög.

Gör så här:

  1. För att nollställa felet klickar du på Clear error i fönstret XYZ Display. För att nollställa det med en RCU-II trycker du och håller ned knappen Servo Power Off och trycker sedan två gånger på knappen Joy.

  2. Om felet återkommer omedelbart ska du stänga av MP-systemet och låta det kyla ned innan du slår på det igen.

  3. Kontakta support för Giddings & Lewis om felet återkommer.


MP-046 Temperature Compensation or Digital I/O board failure

En läsning efter skrivning av digitala utdata matchar inte det värde som faktiskt skrevs. Kan även bero på ett fel i temperaturkompenseringskortets Watchdog-timer.

Så här ska du göra

  1. För att nollställa felet klickar du på Clear error i fönstret XYZ Display. För att nollställa det med en RCU-II trycker du och håller ned knappen Servo Power Off och trycker sedan två gånger på knappen Joy.

  2. Om felet återkommer ska du ringa din Giddings & Lewis-servicetekniker.


MP-047 Temperature Compensation D/A failure

En D/A-konvertering på temperaturkompenseringskortet kunde inte slutföras inom den tilldelade tiden 32 millisekunder.

Gör så här:

  1. För att nollställa felet klickar du på Clear error i fönstret XYZ Display. För att nollställa det med en RCU-II trycker du och håller ned knappen Servo Power Off och trycker sedan två gånger på knappen Joy.

  2. Kontakta support för Giddings & Lewis om felet återkommer.


MP-048 TempComp or Laser system configuration error

Konfigurationen för temperaturkompensering är ofullständig, felaktig eller inkonsekvent. Möjliga orsaker:

  1. Indata för X-, Y- eller Z-temperaturer har inte definierats.

  2. Inga termistorer för detaljer har definierats.

  3. Inga termistorer för mäthuvuden har definierats.

  4. Indata för tryck eller fuktighet har inte definierats på ett lasersystem.

  5. Det finns en intern inkonsekvens i konfigurationsdata (t.ex. en referens till en termistor som inte finns).

Gör så här:

  1. För att nollställa felet klickar du på Clear error i fönstret XYZ Display. För att nollställa det med en RCU-II trycker du och håller ned knappen Servo Power Off och trycker sedan två gånger på knappen Joy.

  2. Om felet återkommer ska du försöka att lösa problemet genom att återställa systemkonfigurationsdata från antingen CONFG-disketten eller en sparad värdfil.

  3. Kontakta support för Giddings & Lewis om felet återkommer.


MP-055 SP600 interface card A/D conversion failure

Under drift med det analoga mäthuvudet SP600 mottog Renishaw AC2-gränssnittskortet ett kommando att utföra en A/D-konvertering men konverteringen slutfördes inte inom 200 mikrosekunder. Det här felet betyder att ett kritiskt fel i gränssnittskortet har inträffat.

Gör så här:

  1. Stäng av MP-systemet för att nollställa felet.

  2. Slå på MP-systemet igen.

  3. Kontakta support för Giddings & Lewis om felet återkommer.


MP-059 Renishaw emergency stop error

Antingen är styrenheten för Renishaw PI7, PI12 eller PI200 avstängd, SCR200 har passerat en yttre gräns och orsakat ett fel eller så har ett nödstopp begärts i Renishaw-maskinvaran.

Gör så här:

  1. För att nollställa felet klickar du på Clear error i fönstret XYZ Display. För att nollställa det med en RCU-II trycker du och håller ned knappen Servo Power Off och trycker sedan två gånger på knappen Joy.

  2. Kontakta support för Giddings & Lewis om felet återkommer.


MP-060 DCC to MP acknowledge timeout

MP-35:ans CNC-kort har inte svarat på ett MP-till-CNC-avbrott inom 32 millisekunder. CNC-kortet har inte installerats rätt eller är trasigt. Du kan få mer information genom att kontrollera CNC-kortets LED.

Gör så här:

  1. Kontrollera CNC-kortets LED för att fastställa CNC-processorns status.

  2. Stäng av MP-systemet för att nollställa felet.

  3. Ta bort och sätt tillbaka CNC-kortet.

  4. Slå på MP-systemet igen.

  5. Kontakta support för Giddings & Lewis om felet återkommer.


MP-064 APL checksum error

Det verkar som om ett APL styr-ROM-minne finns på temperaturkompenseringskortet men den beräknade kontrollsumman stämmer inte överens med minnet. Det här felet kan inträffa när man slår på strömmen eller vid start av något system.

Gör så här:

  1. För att nollställa felet klickar du på Clear error i fönstret XYZ Display. För att nollställa det med en RCU-II trycker du och håller ned knappen Servo Power Off och trycker sedan två gånger på knappen Joy.

  2. Kontakta support för Giddings & Lewis om felet återkommer.


MP-077 W-axis beam block error

En ljusstråle är blockerad i ett lasersystem. Felet beror troligtvis på felinställd optik eller på att en kabel har kommit i vägen för ljusstrålen. I ett skalsystem med ett kort som delar med 256 beror detta på ett A/D-konverteringsfel.

Gör så här:

  1. Stäng av MP-systemet för att nollställa felet.

  2. Slå på MP-systemet igen.

  3. Kontakta support för Giddings & Lewis om felet återkommer.


MP-078 X-axis beam block error

En ljusstråle är blockerad i ett lasersystem. Felet beror troligtvis på felinställd optik eller på att en kabel har kommit i vägen för ljusstrålen. I ett skalsystem med ett kort som delar med 256 beror detta på ett A/D-konverteringsfel.

Gör så här:

  1. Stäng av MP-systemet för att nollställa felet.

  2. Slå på MP-systemet igen.

  3. Kontakta support för Giddings & Lewis om felet återkommer.


MP-079 Y-axis beam block error

En ljusstråle är blockerad i ett lasersystem. Felet beror troligtvis på felinställd optik eller på att en kabel har kommit i vägen för ljusstrålen. I ett skalsystem med ett kort som delar med 256 beror detta på ett A/D-konverteringsfel.

Gör så här:

  1. Stäng av MP-systemet för att nollställa felet.

  2. Slå på MP-systemet igen.

  3. Kontakta support för Giddings & Lewis om felet återkommer.


MP-080 Z-axis beam block error

En ljusstråle är blockerad i ett lasersystem. Felet beror troligtvis på felinställd optik eller på att en kabel har kommit i vägen för ljusstrålen. I ett skalsystem med ett kort som delar med 256 beror detta på ett A/D-konverteringsfel.

Gör så här:

  1. Stäng av MP-systemet för att nollställa felet.

  2. Slå på MP-systemet igen.

  3. Kontakta support för Giddings & Lewis om felet återkommer.


MP-081 Laser off or total beam block error

Strålen har blockerats, troligen på grund av att strömmen till laserhuvudet är av.

Gör så här:

  1. Stäng av MP-systemet för att nollställa felet.

  2. Slå på MP-systemet igen.

  3. Kontakta support för Giddings & Lewis om felet återkommer.


MP-082 Laser lock error

Laserns frekvens har blivit instabil. Det här felet kan bero på att laserstrålen tillfälligt reflekterats tillbaka till källan av något hinder.

What you should do

  1. Stäng av MP-systemet för att nollställa felet.

  2. Slå på MP-systemet igen.

  3. Om felet återkommer ska du ta av höljet och kontrollera statuslamporna på baksidan av varje laser för att fastställa vilken laser det är fel på.

  4. Kontakta support för Giddings & Lewis om felet återkommer.


MP-083 Laser not stable after warm-up time limit

Lasertuben har inte värmts upp inom den tillåtna tiden.

Gör så här:

  1. Stäng av MP-systemet för att nollställa felet.

  2. Slå på MP-systemet igen.

  3. Om felet återkommer ska du ta av höljet och kontrollera statuslamporna på baksidan av varje laser för att fastställa vilken laser det är fel på.

  4. Kontakta support för Giddings & Lewis om felet återkommer.


MP-090 APC UART input error

Ett RS232-dataöverföringsfel (t.ex. teckenspill) har inträffat på kommunikationslinjen mellan APC och SMP400.

Gör så här:

  1. För att nollställa felet klickar du på Clear error i fönstret XYZ Display. För att nollställa det med en RCU-II trycker du och håller ned knappen Servo Power Off och trycker sedan två gånger på knappen Joy.

  2. Kontakta support för Giddings & Lewis om felet återkommer.


MP-091 APC data input buffer overflow

APC har skickat tecken till SMP-400 fortare än vad de hinner bearbetas.

Gör så här:

  1. För att nollställa felet klickar du på Clear error i fönstret XYZ Display. För att nollställa det med en RCU-II trycker du och håller ned knappen Servo Power Off och trycker sedan två gånger på knappen Joy.

  2. Kontakta support för Giddings & Lewis om felet återkommer.


MP-092 APC GO message timeout

APC rapporterade att växlarskruven inte vreds om inom den tillåtna tiden.

Gör så här:

  1. För att nollställa felet klickar du på Clear error i fönstret XYZ Display. För att nollställa det med en RCU-II trycker du och håller ned knappen Servo Power Off och trycker sedan två gånger på knappen Joy.

  2. Kontakta support för Giddings & Lewis om felet återkommer.


MP-093 APC lock error

APC rapporterade ett låsningsfel för mäthuvudet.

Gör så här:

  1. För att nollställa felet klickar du på Clear error i fönstret XYZ Display. För att nollställa det med en RCU-II trycker du och håller ned knappen Servo Power Off och trycker sedan två gånger på knappen Joy.

  2. Kontakta support för Giddings & Lewis om felet återkommer.


MP-094 APC lid timeout error

APC rapporterade att ett stationslock var i öppet läge för länge.

Gör så här:

  1. För att nollställa felet klickar du på Clear error i fönstret XYZ Display. För att nollställa det med en RCU-II trycker du och håller ned knappen Servo Power Off och trycker sedan två gånger på knappen Joy.

  2. Kontakta support för Giddings & Lewis om felet återkommer.


MP-095 APC excessive entry speed

APC-styrenheten rapporterade att mäthuvudets spets åkte in i magasinet med för hög fart.

Gör så här:

  1. För att nollställa felet klickar du på Clear error i fönstret XYZ Display. För att nollställa det med en RCU-II trycker du och håller ned knappen Servo Power Off och trycker sedan två gånger på knappen Joy.

  2. Kontakta support för Giddings & Lewis om felet återkommer.


MP-105 Host to MP communication interrupted

MP-systemet tog emot något som verkar vara början på ett värdmeddelande via kommunikationslinjen RS-232, men meddelandet avslutades inte korrekt och minst tio (10) sekunder har passerat sedan det sista tecknet togs emot. Detta kan orsakas av nägot av följande:

  1. RS-232-anslutningen är lös.

  2. Värddatorn startades om.

  3. Fel i värdprogramvaran.

  4. En miljö med mycket elektriskt brus.

Mer information finns i MP-felkoder.

Gör så här:

  1. Kontrollera och dra åt båda ändarna av kabeln mellan värden och MP:s RS-232.

  2. För att nollställa felet klickar du på Clear error i fönstret XYZ Display. För att nollställa det med en RCU-II trycker du och håller ned knappen Servo Power Off och trycker sedan två gånger på knappen Joy.

  3. Om felet inträffade medan ett detaljprogram kördes ska du anta att detaljprogrammets körning har störts allvarligt. Avsluta detaljprogrammet.

  4. Kontakta support för Giddings & Lewis om felet återkommer. (Undantag: Se kommentar nedan).

Obs! Om felet inträffade kort efter det att värddatorn slagits på beror felet med största sannolikhet på detta, eftersom det är normalt att slumpmässiga tecken genereras via RS-232-anslutningen när datorn slås på. I så fall kan du klicka bort och ignorera felet.


MP-108 MP to RCU communications error

Ett meddelande har överförts till RCU av MP-systemet på ett felaktigt sätt.

Gör så här:

  1. Stäng av MP-systemet för att nollställa felet.

  2. Slå på MP-systemet igen.

  3. Kontakta support för Giddings & Lewis om felet återkommer.


MP-109 RCU to MP communications error

Ett meddelande har överförts till MP-systemet av RCU på ett felaktigt sätt.

Gör så här:

  1. Stäng av MP-systemet för att nollställa felet.

  2. Slå på MP-systemet igen.

  3. Kontakta support för Giddings & Lewis om felet återkommer.


MP-111 Host to MP communication error

Ett fel i dataöverföringen från värddatorn upptäcktes i MP-systemet. Om kommunikationen värd-till-MP sker via en RS-232, kan felet bero på något följande:

  1. Överspillsfel

  2. Paritetsfel

  3. Ramfel

  4. Spill i den 256 byte stora indatabufferten.

Den mest troliga orsaken bland de första tre felen är att MP-systemet och värdenheten inte är kompatibla när det gäller överföringshastighet, teckenlängd, val och kontroll av paritet eller antalet stoppbitar.

Gör så här:

  1. Stäng av MP-systemet för att nollställa felet.

  2. På en MP30, säkerhetställ att RS232 inställningarna på controllerkortet och på serieportskortet (i datorn) är korrekta.

  3. På en SMP-400 ska du kontrollera att värdinställningarna för RS-232 stämmer överens med de interna växelinställningarna i SMP-400.

  4. Slå på MP-systemet igen.

  5. Kontakta support för Giddings & Lewis om felet återkommer.


MP-117 W-axis servo amplifier overheat

Det här felet gäller endast för CNC-maskiner i serierna 1000 och 2000, med 560 mm höga servochassin. W-axelns servoförstärkare har överhettats och stängts av.

Gör så här:

  1. För att nollställa felet klickar du på Clear error i fönstret XYZ Display. För att nollställa det med en RCU-II trycker du och håller ned knappen Servo Power Off och trycker sedan två gånger på knappen Joy.

  2. Låt servon svalna innan du fortsätter.

  3. Kontakta support för Giddings & Lewis om felet återkommer.


MP-118 X-axis servo amplifier overheat

Var felet visas:

Det här felet gäller endast för CNC-maskiner i serierna 1000 och 2000, med 560 mm höga servochassin. X-axelns servoförstärkare har överhettats och stängts av.

Gör så här:

  1. För att nollställa felet klickar du på Clear error i fönstret XYZ Display. För att nollställa det med en RCU-II trycker du och håller ned knappen Servo Power Off och trycker sedan två gånger på knappen Joy.

  2. Låt servon svalna innan du fortsätter.

  3. Kontakta support för Giddings & Lewis om felet återkommer.


MP-119 Y-axis servo amplifier overheat

Det här felet gäller endast för CNC-maskiner i serierna 1000 och 2000, med 560 mm höga servochassin. Y-axelns servoförstärkare har överhettats och stängts av.

Gör så här:

  1. För att nollställa felet klickar du på Clear error i fönstret XYZ Display. För att nollställa det med en RCU-II trycker du och håller ned knappen Servo Power Off och trycker sedan två gånger på knappen Joy.

  2. Låt servon svalna innan du fortsätter.

  3. Kontakta support för Giddings & Lewis om felet återkommer.


MP-120 Z-axis servo amplifier overheat

Det här felet gäller endast för CNC-maskiner i serierna 1000 och 2000, med 560 mm höga servochassin. Z-axelns servoförstärkare har överhettats och stängts av.

Gör så här:

  1. För att nollställa felet klickar du på Clear error i fönstret XYZ Display. För att nollställa det med en RCU-II trycker du och håller ned knappen Servo Power Off och trycker sedan två gånger på knappen Joy.

  2. Låt servon svalna innan du fortsätter.

  3. Kontakta support för Giddings & Lewis om felet återkommer.


MP-121 W-axis servo amplifier fault

En LED på servoförstärkarens PC-kort i SCU-enhetens (Servo Control Unit) chassi indikerar något av följande fel:

  1. För stark ström.

  2. Överhettning av servoförstärkaren.

  3. Utrustningen är felaktigt jordad.

  4. Plötslig stötström.

  5. Spänningen är antingen för låg eller för hög.

Gör så här:

  1. För att nollställa felet klickar du på Clear error i fönstret XYZ Display. För att nollställa det med en RCU-II trycker du och håller ned knappen Servo Power Off och trycker sedan två gånger på knappen Joy.

  2. Låt servon svalna innan du fortsätter.

  3. Kontakta support för Giddings & Lewis om felet återkommer.


MP-122 X-axis servo amplifier fault

En LED på servoförstärkarens PC-kort i SCU-enhetens (Servo Control Unit) chassi indikerar något av följande fel:

  1. För stark ström.

  2. Överhettning av servoförstärkaren.

  3. Utrustningen är felaktigt jordad.

  4. Plötslig stötström.

  5. Spänningen är antingen för låg eller för hög.

Gör så här:

  1. För att nollställa felet klickar du på Clear error i fönstret XYZ Display. För att nollställa det med en RCU-II trycker du och håller ned knappen Servo Power Off och trycker sedan två gånger på knappen Joy.

  2. Låt servon svalna innan du fortsätter.

  3. Kontakta support för Giddings & Lewis om felet återkommer.


MP-123 Y-axis servo amplifier fault

En LED på servoförstärkarens PC-kort i SCU-enhetens (Servo Control Unit) chassi indikerar något av följande fel:

  1. För stark ström.

  2. Överhettning av servoförstärkaren.

  3. Utrustningen är felaktigt jordad.

  4. Plötslig stötström.

  5. Spänningen är antingen för låg eller för hög.

Gör så här:

  1. För att nollställa felet klickar du på Clear error i fönstret XYZ Display. För att nollställa det med en RCU-II trycker du och håller ned knappen Servo Power Off och trycker sedan två gånger på knappen Joy.

  2. Låt servon svalna innan du fortsätter.

  3. Kontakta support för Giddings & Lewis om felet återkommer.


MP-124 Z-axis servo amplifier fault

En LED på servoförstärkarens PC-kort i SCU-enhetens (Servo Control Unit) chassi indikerar något av följande fel:

  1. För stark ström.

  2. Överhettning av servoförstärkaren.

  3. Utrustningen är felaktigt jordad.

  4. Plötslig stötström.

  5. Spänningen är antingen för låg eller för hög.

Gör så här:

  1. För att nollställa felet klickar du på Clear error i fönstret XYZ Display. För att nollställa det med en RCU-II trycker du och håller ned knappen Servo Power Off och trycker sedan två gånger på knappen Joy.

  2. Låt servon svalna innan du fortsätter.

  3. Kontakta support för Giddings & Lewis om felet återkommer.


MP-127 Piezo touch error

Det gjordes ett försök i systemet att utföra en programmerad mätning fem gånger i rad men falska kontakter rapporterades varje gång. Det här felet kan endast inträffa när du använder TP7, TP12 eller TP200. Det kan vara resultatet av en överdrivet långsam mäthastighet, en smutsig detalj eller ett dåligt ihopsatt mäthuvud.

Effekt

Systemet övergår till manuellt läge till dess felet bekräftas.

Gör så här:

  1. Bekräfta felmeddelandet.

  2. Kontrollera att mäthuvudet är korrekt ihopsatt (lös mätspets e.dyl.).

  3. Sätt systemet tillbaka i det automatiska läget. Då kommer nya försök att utföra den programmerade mätningen att ske automatiskt.

  4. Om det fortfarande inte går att utföra mätningen ska du avbryta kommandot och detaljprogrammet. Byt ut mäthuvudsmontagen, kalibrera om och försök igen.

  5. Kontakta support för Giddings & Lewis om felet återkommer.


MP-129 W-axis Hirth coupling lock failure

Hirth-kopplingen på rundbordets W-axel kunde inte låsas efter en rörelse.

Gör så här:

  1. För att nollställa felet klickar du på Clear error i fönstret XYZ Display. För att nollställa det med en RCU-II trycker du och håller ned knappen Servo Power Off och trycker sedan två gånger på knappen Joy.

  2. Kontrollera att bordets koppling har rätt lufttryck.

  3. Kontakta support för Giddings & Lewis om felet återkommer.


MP-130 Operator abort

Åtgärden avbröts av operatören.

Effekt

Kommandot kördes inte.

Gör så här:

  1. Besvara felmeddelandet och fortsätt att köra detaljprogrammet eller avbryt det, beroende på vad som är lämpligast.


MP-131 W-axis Hirth coupling unlock failure

Hirth-kopplingen på rundbordets W-axel kunde inte låsas upp innan en rörelse.

Gör så här:

  1. För att nollställa felet klickar du på Clear error i fönstret XYZ Display. För att nollställa det med en RCU-II trycker du och håller ned knappen Servo Power Off och trycker sedan två gånger på knappen Joy.

  2. Kontrollera att bordets koppling har rätt lufttryck.

  3. Kontakta support för Giddings & Lewis om felet återkommer.


MP-142 W-axis bound

Det gjordes ett försök till en CNC-rörelse längs W-axeln men W-axeln kunde inte röras. Möjliga orsaker:

  1. Otillräckligt lufttryck.

  2. Drivknuten år för hårt åtdragen.

  3. Fel i räknaren.

Gör så här:

  1. Stäng av MP-systemet för att nollställa felet.

  2. Slå på MP-systemet igen.

  3. Kontrollera att lufttrycket har rätt inställning.

  4. Kontrollera drivknuten och släpp det något vid behov.

  5. Kontakta support för Giddings & Lewis om felet återkommer.


MP-143 Servo chassis power supply fault

Det har skett ett avbrott i försörjningen av +60 V likström till SCU-enhetens chassi. Avbrottet kan orsakas av en trasig säkring i försörjningen av +60 V likström till SCU-enhetens chassi på PC-kortet

Gör så här:

  1. För att nollställa felet klickar du på Clear error i fönstret XYZ Display. För att nollställa det med en RCU-II trycker du och håller ned knappen Servo Power Off och trycker sedan två gånger på knappen Joy.

  2. Undersök vad som orsakat strömavbrottet. Om det orsakades av en trasig säkring ska du byta ut säkringen.

  3. Kontakta support för Giddings & Lewis om felet återkommer.


MP-146 W-axis runaway

Överdriven fördröjning för W-axeln har upptäckts i den fasta programvaran. Möjliga orsaker:

  1. Servomotorn fungerar inte korrekt eller så får den inte tillräckligt mycket kraft från SCU-enhetens chassi.

  2. Drivmekanismen (drivremmen eller kulskruven) fungerar inte korrekt.

  3. Det är något som hindrar axeln från att kunna röra sig.

Gör så här:

  1. För att nollställa felet klickar du på Clear error i fönstret XYZ Display. För att nollställa det med en RCU-II trycker du och håller ned knappen Servo Power Off och trycker sedan två gånger på knappen Joy.

  2. Kontrollera att det inte finns något som hindrar axeln från att röra sig.

  3. Kontrollera servomotorns varvräknare och drivmekanism.

  4. Kontrollera att SCU-enhetens chassi förser motorn med tillräckligt mycket kraft.

  5. Kontakta support för Giddings & Lewis om felet återkommer.


MP-147 X-axis runaway

Överdriven fördröjning för X-axeln har upptäckts i den fasta programvaran. Möjliga orsaker:

  1. Servomotorn fungerar inte korrekt eller så får den inte tillräckligt mycket kraft från SCU-enhetens chassi.

  2. Drivmekanismen (drivremmen eller kulskruven) fungerar inte korrekt.

  3. Det är något som hindrar axeln från att kunna röra sig.

Gör så här:

  1. För att nollställa felet klickar du på Clear error i fönstret XYZ Display. För att nollställa det med en RCU-II trycker du och håller ned knappen Servo Power Off och trycker sedan två gånger på knappen Joy.

  2. Kontrollera att det inte finns något som hindrar axeln från att röra sig.

  3. Kontrollera servomotorns varvräknare och drivmekanism.

  4. Kontrollera att SCU-enhetens chassi förser motorn med tillräckligt mycket kraft.

  5. Kontakta support för Giddings & Lewis om felet återkommer.


MP-148 Y-axis runaway

Överdriven fördröjning för Y-axeln har upptäckts i den fasta programvaran. Möjliga orsaker:

  1. Servomotorn fungerar inte korrekt eller så får den inte tillräckligt mycket kraft från SCU-enhetens chassi.

  2. Drivmekanismen (drivremmen eller kulskruven) fungerar inte korrekt.

  3. Det är något som hindrar axeln från att kunna röra sig.

Gör så här:

  1. För att nollställa felet klickar du på Clear error i fönstret XYZ Display. För att nollställa det med en RCU-II trycker du och håller ned knappen Servo Power Off och trycker sedan två gånger på knappen Joy.

  2. Kontrollera att det inte finns något som hindrar axeln från att röra sig.

  3. Kontrollera servomotorns varvräknare och drivmekanism.

  4. Kontrollera att SCU-enhetens chassi förser motorn med tillräckligt mycket kraft.

  5. Kontakta support för Giddings & Lewis om felet återkommer.


MP-149 Z-axis runaway

Överdriven fördröjning för Z-axeln har upptäckts i den fasta programvaran. Möjliga orsaker:

  1. Servomotorn fungerar inte korrekt eller så får den inte tillräckligt mycket kraft från SCU-enhetens chassi.

  2. Drivmekanismen (drivremmen eller kulskruven) fungerar inte korrekt.

  3. Det är något som hindrar axeln från att kunna röra sig.

Gör så här:

  1. För att nollställa felet klickar du på Clear error i fönstret XYZ Display. För att nollställa det med en RCU-II trycker du och håller ned knappen Servo Power Off och trycker sedan två gånger på knappen Joy.

  2. Kontrollera att det inte finns något som hindrar axeln från att röra sig.

  3. Kontrollera servomotorns varvräknare och drivmekanism.

  4. Kontrollera att SCU-enhetens chassi förser motorn med tillräckligt mycket kraft.

  5. Kontakta support för Giddings & Lewis om felet återkommer.


MP-151 D/A updates were late or missing

På en MP-35 har nya axelpositionskoordinater skickats från MP-systemet till CNC-kortet under de senaste 32 millisekunderna. Det är fel på D/A-kortet (digital/analog).

På en SMP-400 har inte servons D/A uppdaterats på minst 8 millisekunder.

Mer information finns i DCC-felkoder.

Gör så här:

  1. Stäng av MP-systemet för att nollställa felet.

  2. Slå på MP-systemet igen.

  3. Kontakta support för Giddings & Lewis om felet återkommer.


MP-158 X-axis excessive bias

X-axelns snedhetsvärde är större än 25 % av det sammanlagda dynamiska intervallet för D/A.

Gör så här:

  1. För att nollställa felet klickar du på Clear error i fönstret XYZ Display. För att nollställa det med en RCU-II trycker du och håller ned knappen Servo Power Off och trycker sedan två gånger på knappen Joy.

  2. Kontrollera att det inte finns något som hindrar axeln från att röra sig.

  3. Kontrollera servomotorns varvräknare och drivmekanism.

  4. Kontrollera att SCU-enhetens chassi förser motorn med tillräckligt mycket kraft.

  5. Kontakta support för Giddings & Lewis om felet återkommer.


MP-159 X-axis bound up

Ett rörelseslutvillkor har påträffats i CNC-enheten och tre misslyckade försök att röra sig bort från hindret har gjorts.

Gör så här:

  1. För att nollställa felet klickar du på Clear error i fönstret XYZ Display. För att nollställa det med en RCU-II trycker du och håller ned knappen Servo Power Off och trycker sedan två gånger på knappen Joy.

  2. Kontrollera att det inte finns något som hindrar axeln från att röra sig.

  3. Kontrollera servomotorns varvräknare och drivmekanism.

  4. Kontrollera att SCU-enhetens chassi förser motorn med tillräckligt mycket kraft.

  5. Kontakta support för Giddings & Lewis om felet återkommer.


MP-160 DCC board inoperative

På en MP-30 påträffades ett diagnostikfel vid start av CNC-kortet.

På en SMP-400 hittades inget CNC-kort, trots att SMP-400 konfigurerats för CNC-åtgärder eller så fungerar inte CNC-kortet korrekt. I det senare fallet har felet definierats i en tidigare felrapport.

Mer information finns i DCC-felkoder.

Gör så här:

  1. Stäng av MP-systemet för att nollställa felet.

  2. Slå på MP-systemet igen.

  3. Konfigurera MP-systemet korrekt med hjälp av konfigurationsprogrammet.

  4. Kontakta support för Giddings & Lewis om felet återkommer.


MP-161 RCU inoperative

RCU-enheten kan inte kommunicera med MP-systemet. Möjliga orsaker:

  1. RCU-enheten finns men kan inte köras p.g.a. ett diagnostiskt fel vid start.

  2. RCU-enheten får ingen kraft.

  3. RCU-enheten är inte ordentligt inkopplad i MP-systemet.

Mer information finns i RCU-felkoder.

Gör så här:

  1. Stäng av MP-systemet för att nollställa felet.

  2. Kontrollera RCU-enhetens strömanslutning för att se till att den får kraft.

  3. Kontrollera att kabeln från RCU-enheten är korrekt ansluten till MP-systemet.

  4. Slå på MP-systemet igen.

  5. Kontakta support för Giddings & Lewis om felet återkommer.


MP-162 Y-axis excessive bias

Y-axelns snedhetsvärde är större än 25 % av det sammanlagda dynamiska intervallet för D/A.

Gör så här:

  1. För att nollställa felet klickar du på Clear error i fönstret XYZ Display. För att nollställa det med en RCU-II trycker du och håller ned knappen Servo Power Off och trycker sedan två gånger på knappen Joy.

  2. Kontrollera att det inte finns något som hindrar axeln från att röra sig.

  3. Kontrollera servomotorns varvräknare och drivmekanism.

  4. Kontrollera att SCU-enhetens chassi förser motorn med tillräckligt mycket kraft.

  5. Kontakta support för Giddings & Lewis om felet återkommer.


MP-163 Y-axis bound up

Ett rörelseslutvillkor har påträffats i CNC-enheten och tre misslyckade försök att röra sig bort från hindret har gjorts.

Gör så här:

  1. För att nollställa felet klickar du på Clear error i fönstret XYZ Display. För att nollställa det med en RCU-II trycker du och håller ned knappen Servo Power Off och trycker sedan två gånger på knappen Joy.

  2. Kontrollera att det inte finns något som hindrar axeln från att röra sig.

  3. Kontrollera servomotorns varvräknare och drivmekanism.

  4. Kontrollera att SCU-enhetens chassi förser motorn med tillräckligt mycket kraft.

  5. Kontakta support för Giddings & Lewis om felet återkommer.


MP-164 W-axis overspeed

En varvräknarspänning som är högre än vad som krävs för normal CNC-kommandokörning har upptäckts i W-axelns överhastighetskontroll på CNC-kortet. Möjliga orsaker:

  1. För kraftiga spänningsspikar i varvräknarens kommuteringsbrus.

  2. Servoenheten slirar vid acceleration och överträder den tillåtna hastigheten vid ett rörelsekommando med konstant hastighet för att "hinna ikapp" den nödvändiga positionen.

  3. Potentiometerinställningen för W-axelns överhastighetskontroll på CNC-kortet är för låg.

  4. Det har skett en kortslutning i kraftkällan till W-axelns servoförstärkare på SCU-enhetens chassi. Kortslutningen gör att hela strömstyrkan på 60 V likström skickas till motorn.

Gör så här:

  1. För att nollställa felet klickar du på Clear error i fönstret XYZ Display. För att nollställa det med en RCU-II trycker du och håller ned knappen Servo Power Off och trycker sedan två gånger på knappen Joy.

  2. Kontrollera att serverns varvräknare fungerar korrekt.

  3. Kontrollera att drivmekanismen fungerar korrekt.

  4. Kontrollera att referensspänningen i potentiometern för överhastighetskontroll på CNC-kortet är tillräckligt hög.

  5. Kontakta support för Giddings & Lewis om felet återkommer.


MP-165 X-axis overspeed

En varvräknarspänning som är högre än vad som krävs för normal CNC-kommandokörning har upptäckts i X-axelns överhastighetskontroll på CNC-kortet. Möjliga orsaker:

  1. För kraftiga spänningsspikar i varvräknarens kommuteringsbrus.

  2. Servoenheten slirar vid acceleration och överträder den tillåtna hastigheten vid ett rörelsekommando med konstant hastighet för att "hinna ikapp" den nödvändiga positionen.

  3. Potentiometerinställningen för X-axelns överhastighetskontroll på CNC-kortet är för låg.

  4. Det har skett en kortslutning i kraftkällan till X-axelns servoförstärkare på SCU-enhetens chassi. Kortslutningen gör att hela strömstyrkan på 60 V likström skickas till motorn.

Gör så här:

  1. För att nollställa felet klickar du på Clear error i fönstret XYZ Display. För att nollställa det med en RCU-II trycker du och håller ned knappen Servo Power Off och trycker sedan två gånger på knappen Joy.

  2. Kontrollera att serverns varvräknare fungerar korrekt.

  3. Kontrollera att drivmekanismen fungerar korrekt.

  4. Kontrollera att referensspänningen i potentiometern för överhastighetskontroll på CNC-kortet är tillräckligt hög.

  5. Kontakta support för Giddings & Lewis om felet återkommer.


MP-166 Y-axis overspeed

En varvräknarspänning som är högre än vad som krävs för normal CNC-kommandokörning har upptäckts i Y-axelns överhastighetskontroll på CNC-kortet. Möjliga orsaker:

  1. För kraftiga spänningsspikar i varvräknarens kommuteringsbrus.

  2. Servoenheten slirar vid acceleration och överträder den tillåtna hastigheten vid ett rörelsekommando med konstant hastighet för att "hinna ikapp" den nödvändiga positionen.

  3. Potentiometerinställningen för Y-axelns överhastighetskontroll på CNC-kortet är för låg.

  4. Det har skett en kortslutning i kraftkällan till Y-axelns servoförstärkare på SCU-enhetens chassi. Kortslutningen gör att hela strömstyrkan på 60 V likström skickas till motorn.

Gör så här:

  1. För att nollställa felet klickar du på Clear error i fönstret XYZ Display. För att nollställa det med en RCU-II trycker du och håller ned knappen Servo Power Off och trycker sedan två gånger på knappen Joy.

  2. Kontrollera att serverns varvräknare fungerar korrekt.

  3. Kontrollera att drivmekanismen fungerar korrekt.

  4. Kontrollera att referensspänningen i potentiometern för överhastighetskontroll på CNC-kortet är tillräckligt hög.

  5. Kontakta support för Giddings & Lewis om felet återkommer.


MP-167 Z-axis overspeed

En varvräknarspänning som är högre än vad som krävs för normal CNC-kommandokörning har upptäckts i Z-axelns överhastighetskontroll på CNC-kortet. Möjliga orsaker:

  1. För kraftiga spänningsspikar i varvräknarens kommuteringsbrus. Servoenheten slirar vid acceleration och överträder den tillåtna hastigheten vid ett rörelsekommando med konstant hastighet för att "hinna ikapp" den nödvändiga positionen.

  2. Potentiometerinställningen för Z-axelns överhastighetskontroll på CNC-kortet är för låg.

  3. Det har skett en kortslutning i kraftkällan till Z-axelns servoförstärkare på SCU-enhetens chassi. Kortslutningen gör att hela strömstyrkan på 60 V likström skickas till motorn.

Gör så här:

  1. För att nollställa felet klickar du på Clear error i fönstret XYZ Display. För att nollställa det med en RCU-II trycker du och håller ned knappen Servo Power Off och trycker sedan två gånger på knappen Joy.

  2. Kontrollera att serverns varvräknare fungerar korrekt.

  3. Kontrollera att drivmekanismen fungerar korrekt.

  4. Kontrollera att referensspänningen i potentiometern för överhastighetskontroll på CNC-kortet är tillräckligt hög.

  5. Kontakta support för Giddings & Lewis om felet återkommer.


MP-168 Unexpected touch

Kontaktmäthuvudet böjdes av i det automatiska läget under andra omständigheter än vid körning av ett kontakt- eller sökkommando. Detta orsakas normalt vid en CNC-rörelse som antogs ske utan hinder.

Effekt

Maskinen övergår till manuellt läge.

Gör så här:

  1. Ta bort hindret och återställ maskinen i automatiskt läge eller programmera om maskinens rörelseinstruktioner.


MP-169 Unexpected end-of-travel

Maskinens rörelse hindrades av ett fysiskt hinder. Detta orsakas normalt av ett försök att köra förbi någon eller några av axlarnas fysiska gränser.

Effekt

Maskinen övergår till manuellt läge.

Gör så här:

  1. Ta reda på orsaken till det här problemet. Ta bort det fysiska hindret eller korrigera detaljprogrammet.

  2. Kontakta support för Giddings & Lewis om problemet inte försvinner trots att maskinens rörelse inte uppenbarligen hindras.


MP-170 Touch probe will not rearm

I det automatiska läget har kontaktmäthuvudet böjts av men kunde inte återställas efter att det dragits bort från ytan. Detta kan orsakas av ett hinder eller ett internt problem.

Effekt

Systemet övergår till manuellt läge.

Gör så här:

  1. Frigör mäthuvudet om det är blockerat, eller kontrollera och justera mäthuvudets spänning. Återställ systemet till det automatiska läget när du återställt mäthuvudet så att detaljprogrammet kan fortsätta.


MP-171 MP to PH9/PH10 communication error

I styrenheten för PH9/PH10 upptäcktes ett fel i ett meddelande som överfördes från MP-systemet till PH9/PH10. Ett meddelande om detta fel överfördes sedan av MP-systemet till styrenheten för PH9/PH10.

Gör så här:

  1. Stäng av MP-systemet för att nollställa felet.

  2. Slå på MP-systemet igen.

  3. Kontakta support för Giddings & Lewis om felet återkommer.


MP-172 PH9/PH10 to MP communication error

Ett meddelande från PH9/PH10 har överförts till MP-systemet på ett felaktigt sätt.

Gör så här:

  1. Stäng av MP-systemet för att nollställa felet.

  2. Slå på MP-systemet igen.

  3. Kontakta support för Giddings & Lewis om felet återkommer.


MP-173 PH9 probe overload

En hög kraft har påverkat någon av PH9:s eller PH10:s axlar så att dess programmerade läge har gått förlorat.

Effekt

Maskinen övergår till manuellt läge.

Gör så här:

  1. Nollställ om möjligt PH9- eller PH10-mäthuvudet. När du har tagit bort och satt i mäthuvudet på nytt ska du sätta systemet i automatiskt läge så att detaljprogrammet kan fortsätta.


MP-174 PH9/PH10 to MP buffer overflow

Fler meddelanden har skickats från PH9/PH10 till MP-systemet än vad MP-systemets meddelandebuffer rymmer.

Gör så här:

  1. Stäng av MP-systemet för att nollställa felet.

  2. Slå på MP-systemet igen.

  3. Kontakta support för Giddings & Lewis om felet återkommer.


MP-175 Z-axis excessive bias

Z-axelns snedhetsvärde är större än 25 % av det sammanlagda dynamiska intervallet för D/A.

Gör så här:

  1. För att nollställa felet klickar du på Clear error i fönstret XYZ Display. För att nollställa det med en RCU-II trycker du och håller ned knappen Servo Power Off och trycker sedan två gånger på knappen Joy.

  2. Kontrollera att det inte finns något som hindrar axeln från att röra sig.

  3. Kontrollera servomotorns varvräknare och drivmekanism.

  4. Kontrollera att SCU-enhetens chassi förser motorn med tillräckligt mycket kraft.

  5. Kontakta support för Giddings & Lewis om felet återkommer.


MP-176 Z-axis bound up

Ett rörelseslutvillkor har påträffats i CNC-enheten och tre misslyckade försök att röra sig bort från hindret har gjorts.

Gör så här:

  1. För att nollställa felet klickar du på Clear error i fönstret XYZ Display. För att nollställa det med en RCU-II trycker du och håller ned knappen Servo Power Off och trycker sedan två gånger på knappen Joy.

  2. Kontrollera att det inte finns något som hindrar axeln från att röra sig.

  3. Kontrollera servomotorns varvräknare och drivmekanism.

  4. Kontrollera att SCU-enhetens chassi förser motorn med tillräckligt mycket kraft.

  5. Kontakta support för Giddings & Lewis om felet återkommer.


MP-177 MP front panel keyboard error

En tangent har fastnat på frontpanelen till en MP-30/35. Tangentfunktionen bearbetades när MP-systemet slogs på.

Gör så här:

  1. Stäng av MP-systemet för att nollställa felet.

  2. Slå på MP-systemet igen.

  3. Kontakta support för Giddings & Lewis om felet återkommer.


MP-178 MP configuration data checksum error

Ogiltig systemkonfigurationsinformation i EEPROM-minnet.

Gör så här:

  1. Läs in konfigurationsdata på nytt med rätt konfigurationsinformation från CONFG-disken.

  2. Kontakta support för Giddings & Lewis om felet återkommer.


MP-179 Probe checksum error

Ogiltiga mäthuvudkalibreringsdata i EEPROM-minnet.

Gör så här:

  1. Ta bort alla data för alla mätspetsar.

  2. Stäng av MP-systemet.

  3. Slå på MP-systemet igen.

  4. Kontakta support för Giddings & Lewis om felet återkommer.


MP-180 Microprocessor Enhanced Accuracy (MEA) checksum error

Ogiltiga MEA-data i EEPROM-minnet.

Gör så här:

  1. Läs in konfigurationsdata på nytt med rätt konfigurationsinformation från CONFG-disken.

  2. Starta om MP-systemet.

  3. Kontakta support för Giddings & Lewis om felet återkommer.


MP-181 Invalid MEA data

MEA-data har inte samlats in för den här maskinen.

Gör så här:

  1. För att nollställa felet klickar du på Clear error i fönstret XYZ Display. För att nollställa det med en RCU-II trycker du och håller ned knappen Servo Power Off och trycker sedan två gånger på knappen Joy.

  2. Läs in konfigurationsdata på nytt med rätt konfigurationsinformation från CONFG-disken.

  3. Kontakta support för Giddings & Lewis om felet återkommer.


MP-182 Optional interface error

Ett diagnostiskt fel vid start upptäcktes i ett av tilläggsgränssnitten (gränssnitt för PH9 /PH10, växlare, mäthuvud för mjuka material eller RS-232 med värddatorn). Vilket gränssnitt det rör sig om står i det tidigare felet:

  • Endast MP-30: Fel MP-522 Soft probe D/A interface board failure.

  • Fel MP-523 Host Interface RS-232 board failure.

  • Fel MP-524 PH9/PH10 RS-232 board failure.

  • Fel MP-525 Probe changer RS-232 board failure.

Så här ska du göra

  1. Följ stegen för att lösa det aktuella felet i listan ovan.


MP-183 Probe changer rack disconnected

Växlarens styrenhet och växlarens magasin är inte anslutna till varandra.

Gör så här:

  1. Anslut växlarens styrenhet till magasinet.

  2. För att nollställa felet klickar du på Clear error i fönstret XYZ Display. För att nollställa det med en RCU-II trycker du och håller ned knappen Servo Power Off och trycker sedan två gånger på knappen Joy.

  3. Kontakta support för Giddings & Lewis om felet återkommer.


MP-184 Probe changer overtravel error

En station närmades på fel sätt när ett mäthuvud skulle hämtas eller lämnas av CMM-maskinen.

Gör så här:

  1. För att nollställa felet klickar du på Clear error i fönstret XYZ Display. För att nollställa det med en RCU-II trycker du och håller ned knappen Servo Power Off och trycker sedan två gånger på knappen Joy.

  2. Kalibrera om det automatiska växlarmagasinet (APC).

  3. Kalibrera om stationerna.


MP-186 Invalid W-axis MEA data

MEA-data har inte samlats in för den här maskinens W-axel eller så är MEA-data för W-axeln i EEPROM-minnet skadade.

Gör så här:

  1. För att nollställa felet klickar du på Clear error i fönstret XYZ Display. För att nollställa det med en RCU-II trycker du och håller ned knappen Servo Power Off och trycker sedan två gånger på knappen Joy.

  2. Hämta MEA-data för W-axeln med hjälp av AutoCal eller läs in konfigurationsdata med rätt konfigurationsinformation från CONFG-disken.

  3. Kontakta support för Giddings & Lewis om felet återkommer.


MP-310 Invalid front panel keystroke combination

Kommandot känns inte igen i MP-systemet. Ett ogiltigt kommando angavs genom knappsatsen på MP-systemets frontpanel på ett MP-30/35-system.

Det här felet inträffar endast när du använder MP-systemets frontpanel på ett MP-30/35-system.

Gör så här:

  1. Tryck på MP CLEAR-tangenten på MP-systemets frontpanel för att nollställa felet.

  2. Ange ett giltigt kommando. Det här misstaget kan vara orsakat av operatörens inmatningar.

  3. Om felmeddelandet visas igen som bekräftelse på att funktionen är otillåten ska du använda en tillåten funktion.


MP-320 Invalid function selected

I MP-systemet går det inte att bearbeta den begärda funktionen vid självständig drift. Du kan ha angett en funktion som inte kan användas vid självständig drift.

Det här felet inträffar endast när du använder MP-systemets frontpanel på ett MP-30/35-system.

Gör så här:

  1. Tryck på MP CLEAR-tangenten på MP-systemets frontpanel för att nollställa felet.

  2. Ange ett giltigt kommando. Det här misstaget kan vara orsakat av operatörens inmatningar.


MP-330 Keystroke buffer overflow

I MP-systemet går det inte att bearbeta fler än 41 tangenttryckningar innan du trycker på [RETUR] på MP-systemets frontpanel. Tryck på färre än 41 tangenter innan du trycker på [RETUR].

Det här felet inträffar endast när du använder MP-systemets frontpanel på ett MP-30/35-system.

Gör så här:

  1. Tryck på MP CLEAR-tangenten på MP-systemets frontpanel för att nollställa felet.

  2. Ange ett giltigt kommando. Det här misstaget kan vara orsakat av operatörens inmatningar.


MP-340 Offset angle error

Det går inte att bearbeta ett befintligt offsetkommando i MP-systemet. Färre än två punkter kommer att tas eller så kommer punkterna att tas mindre än 2 mm från varandra.

Det här felet inträffar endast när du använder MP-systemets frontpanel på ett MP-30/35-system.

Gör så här:

  1. Tryck på MP CLEAR-tangenten på MP-systemets frontpanel för att nollställa felet.

  2. Ta fler punkter som ligger minst 2 mm ifrån varandra.

  3. Ange offsetkommandot på nytt.


MP-501 MP CPU Board RAM failure

På ett MP-30-system är det fel på ett RAM-chip.

På ett SMP-system är det fel på antingen DRAM SIMM på moderkortet eller på själva moderkortet.

Mer information finns i MP-felkoder.

Gör så här:

  1. Anteckna den adress och plats som visas på MP-systemet.

  2. Kontakta support för Giddings & Lewis.


MP-502 CPU Interrupt chip failure

Det är fel på avbrottsstyrchippet.

Mer information finns i MP-felkoder.

Gör så här:

  1. Kontakta support för Giddings & Lewis.


MP-503 Non-existent I/O device or RAM failure

På ett MP-30-system har ett försök gjorts att läsa från en I/O-enhet som inte finns. Inga standarddata fanns.

På ett SMP-system är det fel på antingen moderkortets DRAM SIMM eller på själva moderkortet.

Mer information finns i MP-felkoder.

Gör så här:

  1. Kontakta support för Giddings & Lewis.


MP-504 Real time clock failure

Realtidsklockan för 2 millisekunders avbrott fungerar inte.

Mer information finns i MP-felkoder.

Gör så här:

  1. Kontakta support för Giddings & Lewis.


MP-505 Two millisecond clock interrupt failure

Ett två millisekunders klockavbrott inträffade inte, trots att timern fungerar. Det är fel på avbrottsstyrchippet.

Mer information finns i MP-felkoder.

Gör så här:

  1. Kontakta support för Giddings & Lewis.


MP-506 Control board read/write failure

På ett MP-30-system matchar inte räknarmönstret som läses från styrkortet det räknarmönster som skrevs.

Mer information finns i MP-felkoder.

Gör så här:

  1. Kontakta support för Giddings & Lewis.


MP-507 Control board RCU interface UART failure

Det gick inte att starta RCU UART. Det är fel på RCU-enhetens seriella UART på styrkortet för MP-30 eller SMP:s CNC-kort.

Mer information finns i MP-felkoder.

Gör så här:

  1. Kontakta support för Giddings & Lewis.


MP-508 Control board RCU interface UART interrupt failure

Ett nödvändigt avbrott från UART väntar inte.

Mer information finns i MP-felkoder.

Så här ska du göra

  1. Kontakta din Giddings & Lewis-servicetekniker.


MP-510 Interrupts not operating

På ett MP-30-system väntar både två millisekundersklockavbrottet och styr-UART-avbrottet, men inget av dem inträffar.

Mer information finns i MP-felkoder.

Gör så här:

  1. Kontakta support för Giddings & Lewis.


MP-511 Control board RCU interface interrupt fail

På ett MP-30-system väntar inte styrkortets nödvändiga UART-avbrott.

Mer information finns i MP-felkoder.

Gör så här:

  1. Kontakta support för Giddings & Lewis.


MP-512 Interrupt priority fail

På ett MP-30-system har UART-avbrottet prioriterats över två millisekundersklockan.

Mer information finns i MP-felkoder.

Gör så här:

  1. Kontakta support för Giddings & Lewis.


MP-515 IEEE 488 initialization failure

Det inträffade ett fel i IEEE-adressering eller -överföring på ett MP-30-system. Det är fel på IEEE-kortet eller styrkortet. Det gick inte att:

  • Ange en adress att prata med eller lyssna på, eller

  • Aktivera kortet för sändning eller mottagning av data.

Mer information finns i MP-felkoder.

Gör så här:

  1. Kontakta support för Giddings & Lewis.


MP-516 Front panel decode fail

Ett fel inträffade i frontpanelen vid mottagning eller överföring av information. Knappsatsens post återgår till icke-noll även om posten rensas. Kablarna till frontpanelen är kanske inte korrekt anslutna.

Mer information finns i MP-felkoder.

Gör så här:

  1. Kontrollera att kablarna som går till frontpanelen är korrekt anslutna.

  2. Kontakta support för Giddings & Lewis om felet återkommer.


MP-517 MP panel switch stuck

En knapp på MP-systemets frontpanel har fastnat på ett MP-30-system. Kablarna som går till frontpanelen är kanske inte korrekt anslutna eller så är det fel på panelen.

Mer information finns i MP-felkoder.

Gör så här:

  1. Kontrollera att kablarna som går till frontpanelen är korrekt anslutna.

  2. Kontakta support för Giddings & Lewis om felet återkommer.


MP-519 EPROM checksum error

På ett MP-30-system matchar inte den kontrollsumma som genereras av EPROM-minnets innehåll den lagrade kontrollsumman. Möjliga orsaker:

  • Fel på EPROM-minnets kretskort.

  • Fel på CPU-kortet (datalinjer, adress, avkodning o.s.v.).

Mer information finns i MP-felkoder.

Gör så här:

  1. Anteckna den adress och plats som visas på MP-systemet.

  2. Kontakta support för Giddings & Lewis om felet återkommer.


MP-521 EPROM directory error

På ett MP-30-system kan det här felet orsakas av:

  • Fel på EPROM-minnets kretskort.

  • Fel på CPU-kortet (datalinjer, adress, avkodning o.s.v.).

Mer information finns i MP-felkoder.

Gör så här:

  1. Kontakta support för Giddings & Lewis.


MP-522 D/A board conversion failure

Det inträffade ett fel vid start av D/A-kortet som används för höggradiga scanåtgärder. Det kan vara fel på kortet eller så har det inte installerats i MP-systemet.

Mer information finns i MP-felkoder.

Gör så här:

  1. Kontakta support för Giddings & Lewis.


MP-523 RS-232 host interface failure

På ett MP-30-system inträffade ett fel vid diagnostik i port 3 på MP-systemets RS-232-gränssnittskort. Det kan vara fel på kortet eller så har det inte installerats i MP-systemet.

På ett SMP-system inträffade ett fel vid diagnostik i RS-232-gränssnittet på räknekortet (amp/check/divide).

Mer information finns i MP-felkoder.

Gör så här:

  1. Kontakta support för Giddings & Lewis.


MP-524 RS-232 PH9/PH10 interface failure

Det inträffade ett fel i vid diagnostik i port 0 på MP-systemets RS-232-gränssnittskort. Det kan vara fel på kortet eller så har det inte installerats i MP-systemet.

På ett MP-30-system inträffade ett fel vid diagnostik i port 0 på MP-systemets RS-232-gränssnittskort. Det kan vara fel på kortet eller så har det inte installerats i MP-systemet.

På ett SMP-system inträffade ett fel vid diagnostik i PH9/PH10 RS232-gränssnittet på CNC-kortet för den elektroniska primäruppriktningen.

Mer information finns i MP-felkoder.

Gör så här:

  1. Kontakta support för Giddings & Lewis.


MP-525 RS-232 Probe changer interface failure

Det inträffade ett fel i vid diagnostik i port 2 på MP-systemets RS-232-gränssnittskort. Det kan vara fel på kortet eller så har det inte installerats i MP-systemet.

På ett MP-30-system inträffade ett fel vid diagnostik i port 2 på MP-systemets RS-232-gränssnittskort. Det kan vara fel på kortet eller så har det inte installerats i MP-systemet.

På ett SMP-system inträffade ett fel vid diagnostik i RS-232-gränssnittet på CNC-kortet för växlaren.

Mer information finns i MP-felkoder.

Gör så här:

  1. Kontakta support för Giddings & Lewis.


MP-526 RS-232 electronic level interface failure

På ett MP-30-system inträffade ett fel vid diagnostik i port 1 på MP-systemets RS-232-gränssnittskort. Det kan vara fel på kortet eller så har det inte installerats i MP-systemet.

På ett SMP-system inträffade ett fel vid diagnostik i RS-232-gränssnittet på CNC-kortet för elektroniknivån.

Det inträffade ett fel i vid diagnostik i port 1 på MP-systemets RS-232-gränssnittskort. Det kan vara fel på kortet eller så har det inte installerats i MP-systemet.

Mer information finns i MP-felkoder.

Gör så här:

  1. Kontakta support för Giddings & Lewis.


MP-527 SMP-400 FLASH memory error

På ett SMP-400-system har en ogiltig postmarkör påträffats i FLASH-minnet.

Mer information finns i MP-felkoder.

Gör så här:

  1. Läs in operativsystemskoden till SMP-400 på nytt från installationsdisken.

  2. Kontakta support för Giddings & Lewis om felet återkommer.


MP-528 SMP-400 FLASH memory error

På ett SMP-400-system har en ogiltig posttyp påträffats i FLASH-minnet.

Mer information finns i MP-felkoder.

Gör så här:

  1. Läs in operativsystemskoden till SMP-400 på nytt från installationsdisken.

  2. Kontakta support för Giddings & Lewis om felet återkommer.


MP-529 SMP-400 FLASH memory error

På ett SMP-400-system har en ogiltig post för kontrollsumma påträffats i FLASH-minnet.

Mer information finns i MP-felkoder.

Gör så här:

  1. Läs in operativsystemskoden till SMP-400 på nytt från installationsdisken.

  2. Kontakta support för Giddings & Lewis om felet återkommer.


MP-530 SMP-400 FLASH memory error

På ett SMP-400-system har ingen post för startadress påträffats i FLASH-minnet.

Mer information finns i MP-felkoder.

Gör så här:

  1. Läs in operativsystemskoden till SMP-400 på nytt från installationsdisken.

  2. Kontakta support för Giddings & Lewis om felet återkommer.


MP-531 SMP-400 RAM memory error

På ett SMP-400-system är det fel på antingen moderkortets DRAM SIMM eller på själva moderkortet.

Mer information finns i MP-felkoder.

Gör så här:

  1. Anteckna de feldata som visas på SMP-400-systemets diagnostiska LED.

  2. Kontakta support för Giddings & Lewis.


MP-532 SMP-400 RAM memory error

På ett SMP-400-system är det fel på antingen moderkortets DRAM SIMM eller på själva moderkortet.

Mer information finns i MP-felkoder.

Gör så här:

  1. Anteckna de feldata som visas på SMP-400-systemets diagnostiska LED.

  2. Kontakta support för Giddings & Lewis.


MP-533 No amp/check/divide board present

SMP-400-systemet kräver att det finns ett räknekort (amp/check/divide) vid basadressen. Det kan vara fel på räknekortet (amp/check/divide) eller så kan det ha getts fel adress.

Mer information finns i MP-felkoder.

Gör så här:

  1. Anteckna de feldata som visas på SMP-400-systemets diagnostiska LED.

  2. Kontakta support för Giddings & Lewis.


MP-534 Amp/check/divide board failure

På ett SMP-400-system inträffade ett skriv/läsfel vid skrivning till eller läsning av något av U23:s interna register på förstärkarens kontrollkort.

Mer information finns i MP-felkoder.

Gör så här:

  1. Anteckna de feldata som visas på SMP-400-systemets diagnostiska LED.

  2. Kontakta support för Giddings & Lewis.


MP-535 No DCC board present

På ett SMP-400-system returnerades inte ett giltigt ID för CNC-kortet vid läsning av adressen 170(hex). ID:t läses från U30 på CNC-kortet.

Mer information finns i MP-felkoder.

Gör så här:

  1. Anteckna de feldata som visas på SMP-400-systemets diagnostiska LED.

  2. Kontakta support för Giddings & Lewis.


MP-536 DCC board failure

På ett SMP-400-system inträffade ett skriv/läsfel vid skrivning till eller läsning av X-axelns D/A-konverterare U6 på CNC-kortet.

Mer information finns i MP-felkoder.

Gör så här:

  1. Anteckna de feldata som visas på SMP-400-systemets diagnostiska LED.

  2. Kontakta support för Giddings & Lewis.


MP-537 DCC board failure

På ett SMP-400-system inträffade ett skriv/läsfel vid skrivning till eller läsning av Y-axelns D/A-konverterare U7 på CNC-kortet.

Mer information finns i MP-felkoder.

Gör så här:

  1. Anteckna de feldata som visas på SMP-400-systemets diagnostiska LED.

  2. Kontakta support för Giddings & Lewis.


MP-538 DCC board failure

På ett SMP-400-system inträffade ett skriv/läsfel vid skrivning till eller läsning av Z-axelns D/A-konverterare U11 på CNC-kortet.

Mer information finns i MP-felkoder.

Gör så här:

  1. Anteckna de feldata som visas på SMP-400-systemets diagnostiska LED.

  2. Kontakta support för Giddings & Lewis.


MP-539 DCC board failure

På ett SMP-400-system inträffade ett skriv/läsfel vid skrivning till eller läsning av W-axelns D/A-konverterare U12 på CNC-kortet.

Mer information finns i MP-felkoder.

Gör så här:

  1. Anteckna de feldata som visas på SMP-400-systemets diagnostiska LED.

  2. Kontakta support för Giddings & Lewis.


MP-540 No TempComp board present

På ett SMP-400-system returnerades inte ett giltigt ID för temperaturkompenseringskortet vid läsning av adressen 1CE(hex). ID:t läses från U18 på temperaturkompenseringskortet.

Mer information finns i MP-felkoder.

Gör så här:

  1. Anteckna de feldata som visas på SMP-400-systemets diagnostiska LED.

  2. Kontakta support för Giddings & Lewis.


MP-541 TempComp board failure

På ett SMP-400-system inträffade ett skriv/läsfel vid skrivning till eller läsning av A/D-multiplexorregistret på temperaturkompenseringskortet. Registret är U18-internt.

Mer information finns i MP-felkoder.

Gör så här:

  1. Anteckna de feldata som visas på SMP-400-systemets diagnostiska LED.

  2. Kontakta support för Giddings & Lewis.


MP-542 TempComp board failure

På ett SMP-400-system inträffade ett fel i A/D-konverteringen på temperaturkompenseringskortet.

Mer information finns i MP-felkoder.

Gör så här:

  1. Anteckna de feldata som visas på SMP-400-systemets diagnostiska LED.

  2. Kontakta support för Giddings & Lewis.


MP-543 TempComp board failure

På ett SMP-400-system har offsetvärde nummer ett på temperaturkompenseringskortet avlästs fel.

Mer information finns i MP-felkoder.

Gör så här:

  1. Anteckna de feldata som visas på SMP-400-systemets diagnostiska LED.

  2. Kontakta support för Giddings & Lewis.


MP-544 TempComp board failure

På ett SMP-400-system har förstärkningsvärde nummer ett på temperaturkompenseringskortet avlästs fel.

Mer information finns i MP-felkoder.

Gör så här:

  1. Anteckna de feldata som visas på SMP-400-systemets diagnostiska LED.

  2. Kontakta support för Giddings & Lewis.


MP-545 TempComp board failure

På ett SMP-400-system har offsetvärde nummer två på temperaturkompenseringskortet avlästs fel.

Mer information finns i MP-felkoder.

Gör så här:

  1. Anteckna de feldata som visas på SMP-400-systemets diagnostiska LED.

  2. Kontakta support för Giddings & Lewis.


MP-546 TempComp board failure

På ett SMP-400-system har förstärkningsvärde nummer två på temperaturkompenseringskortet avlästs fel.

Mer information finns i MP-felkoder.

Gör så här:

  1. Anteckna de feldata som visas på SMP-400-systemets diagnostiska LED.

  2. Kontakta support för Giddings & Lewis.


MP-547 Processor board failure

På ett SMP-400-system har ett avbrott genererats på UART för värden, men det togs inte emot av avbrottstyrchippet på moderkortet.

Mer information finns i MP-felkoder.

Gör så här:

  1. Anteckna de feldata som visas på SMP-400-systemets diagnostiska LED.

  2. Kontakta support för Giddings & Lewis.


MP-548 Processor board failure

På ett SMP-400-system går det inte att nollställa UART-avbrytaren för värden i avbrottstyrchippet på moderkortet.

Mer information finns i MP-felkoder.

Gör så här:

  1. Anteckna de feldata som visas på SMP-400-systemets diagnostiska LED.

  2. Kontakta support för Giddings & Lewis.


MP-550 Insufficient RAM

Det finns inte tillräckligt mycket ledigt minne för att starta systemet. Det är fel på RAM-minnet.

På ett MP-30-system är det fel på en RAM-minneskrets.

På ett SMP-400-system är det fel på antingen moderkortets DRAM SIMM eller på själva moderkortet.

Mer information finns i MP-felkoder.

Gör så här:

  1. Kontakta support för Giddings & Lewis.


MP-551 Too many soft rate groups

Det finns fler frekvensgrupper än vad som kan hanteras i systemet. Det här felet kan bero på ett fel i MP-systemets operativsystem.

På ett MP-30-system är det fel på en RAM-minneskrets.

På ett SMP-400-system är det fel på antingen moderkortets DRAM SIMM eller på själva moderkortet.

Mer information finns i MP-felkoder.

Gör så här:

  1. Kontakta support för Giddings & Lewis.


MP-560 Processor board failure

På ett SMP-400-system går det inte att rensa UART-avbrottet för RCU i avbrottstyrchippet på moderkortet.

Mer information finns i MP-felkoder.

Gör så här:

  1. Anteckna de feldata som visas på SMP-400-systemets diagnostiska LED.

  2. Kontakta support för Giddings & Lewis.


MP-561 UART interrupt failure

På ett SMP-400-system har ett avbrott genererats på UART för PH9/PH10 men det togs inte emot av avbrottstyrchippet på moderkortet.

Mer information finns i MP-felkoder.

Gör så här:

  1. Anteckna de feldata som visas på SMP-400-systemets diagnostiska LED.

  2. Kontakta support för Giddings & Lewis.


MP-562 UART interrupt failure

På ett SMP-400-system går det inte att rensa UART-avbrottet för PH9/PH10 i avbrottstyrchippet på moderkortet.

Mer information finns i MP-felkoder.

Gör så här:

  1. Anteckna de feldata som visas på SMP-400-systemets diagnostiska LED.

  2. Kontakta support för Giddings & Lewis.


MP-563 UART interrupt failure

På ett SMP-400-system har ett avbrott genererats på UART för växlaren men det togs inte emot av avbrottstyrchippet på moderkortet.

Mer information finns i MP-felkoder.

Gör så här:

  1. Anteckna de feldata som visas på SMP-400-systemets diagnostiska LED.

  2. Kontakta support för Giddings & Lewis.


MP-564 UART interrupt failure

På ett SMP-400-system går det inte att rensa UART-avbrottet för växlaren i avbrottstyrchippet på moderkortet.

Mer information finns i MP-felkoder.

Gör så här:

  1. Anteckna de feldata som visas på SMP-400-systemets diagnostiska LED.

  2. Kontakta support för Giddings & Lewis.


MP-565 UART interrupt failure

På ett SMP-400-system har ett avbrott genererats på UART för elektroniknivån, men det togs inte emot av avbrottstyrchippet på moderkortet.

Mer information finns i MP-felkoder.

Gör så här:

  1. Anteckna de feldata som visas på SMP-400-systemets diagnostiska LED.

  2. Kontakta support för Giddings & Lewis.


MP-566 UART interrupt failure

På ett SMP-400-system går det inte att rensa UART-avbrottet för elektroniknivån i avbrottstyrchippet på moderkortet.

Mer information finns i MP-felkoder.

Gör så här:

  1. Anteckna de feldata som visas på SMP-400-systemets diagnostiska LED.

  2. Kontakta support för Giddings & Lewis.


MP-601 DCC RAM failure

Det mönster som lästes från CNC-kortets RAM-minne matchar inte mönstret som skrevs. Det är fel på RAM-minnet.

Mer information finns i DCC-felkoder.

Gör så här:

  1. Kontakta support för Giddings & Lewis.


MP-619 DCC EPROM checksum error

Den kontrollsumma som genererades av EPROM-minnets innehåll i CNC matchar inte den lagrade kontrollsumman.

Mer information finns i DCC-felkoder.

Gör så här:

  1. Kontakta support för Giddings & Lewis.


MP-621 DCC EPROM directory error

Det första ordet i ett EPROM-chipset lästes inte som 4140 hex. Det här ordet finns på 0F0000(hex).

Mer information finns i DCC-felkoder.

Gör så här:

  1. Kontakta support för Giddings & Lewis.


MP-650 Insufficient DCC RAM

Det finns inte tillräckligt mycket ledigt RAM-minne för att CNC-styrenheten ska kunna fungera.

Mer information finns i DCC-felkoder.

Gör så här:

  1. Kontakta support för Giddings & Lewis.


MP-651 Too many DCC software rate groups present

Det finns för många CNC-programvarufrekvensgrupper.

Mer information finns i DCC-felkoder.

Gör så här:

  1. Kontakta support för Giddings & Lewis.


MP-697 Servo off pushbutton stuck

Servons avstängningsknapp har fastnat. Knappen kan ha tryckts in medan systemet startades.

Mer information finns i DCC-felkoder.

Gör så här:

  1. Stäng av MP-systemet för att nollställa felet.

  2. Slå på MP-systemet igen.

  3. Kontrollera att servons avstängningsknapp inte är intryckt.

  4. Kontrollera anslutningarna mellan kontrollpanelen som finns längst upp på MP-konsolen och servons chassi samt mellan servons chassi och CNC-kortet. Se till att alla anslutningar är ordentligt inkopplade.

  5. Kontakta support för Giddings & Lewis om felet återkommer.


MP-698 E-stop circuit open

Nödstoppskretsen (E-stop) var öppen vid start.

Mer information finns i DCC-felkoder.

Gör så här:

  1. På vissa system finns nödstoppsknappar som låser sig när man trycker in dem. Om knappen är låst ska du vrida den medurs för att den ska släppa.

  2. Stäng av MP-systemet för att nollställa felet.

  3. Slå på MP-systemet igen.

  4. Kontrollera alla nödstoppsknappar och kretsen för att se om någon nödstoppsknapp är intryckt.

  5. Kontakta support för Giddings & Lewis om felet återkommer.


RCU-003 Resource shortage

Användaren försökte att positionera om en PH9 eller ett rundbord som inte finns eller så gjordes ett försök att kommendera en rundbordsrörelse med servon avstängd.

Mer information finns i RCU-felkoder.

Gör så här:

  1. Tryck på CLEAR-knappen på RCU-I.

  2. Om du försöker få ett rundbord att röra sig ska du slå på servon.

  3. Om du försöker få ett PH9 eller ett rundbord att röra sig med servon påslagen, måste du kontrollera att den nödvändiga maskinvaran har installerats och konfigurerats korrekt i systemet.


RCU-700 RCU RAM failure

Det är fel på minst en minnesbit i RCU:s RAM-minne.

Mer information finns i RCU-felkoder.

Gör så här:

  1. Anteckna meddelandet på MP-systemets display.

  2. Stäng av MP-systemet för att nollställa felet.

  3. Slå på MP-systemet igen.

  4. Kontakta support för Giddings & Lewis om felet återkommer.


RCU-701 RCU 6802 RAM address failure

Det är fel på chippets RAM-minne i RCU.

Mer information finns i RCU-felkoder.

Gör så här:

  1. Anteckna meddelandet på MP-systemets display.

  2. Stäng av MP-systemet för att nollställa felet.

  3. Slå på MP-systemet igen.

  4. Kontakta support för Giddings & Lewis om felet återkommer.


RCU-702 RCU 2114 RAM failure

Det är fel på minst en minnesbit i RCU:s RAM-minne.

Mer information finns i RCU-felkoder.

Gör så här:

  1. Anteckna meddelandet på MP-systemets display.

  2. Stäng av MP-systemet för att nollställa felet.

  3. Slå på MP-systemet igen.

  4. Kontakta support för Giddings & Lewis om felet återkommer.


RCU-703 RCU 2114 RAM address failure

Det är fel på RAM-minnets chip i RCU.

Mer information finns i RCU-felkoder.

Gör så här:

  1. Anteckna meddelandet på MP-systemets display.

  2. Stäng av MP-systemet för att nollställa felet.

  3. Slå på MP-systemet igen.

  4. Kontakta support för Giddings & Lewis om felet återkommer.


RCU-704 RCU EPROM checksum or version # error

Det inträffade ett kontrollsummefel i RCU.

Mer information finns i RCU-felkoder.

Gör så här:

  1. Anteckna meddelandet på MP-systemets display.

  2. Stäng av MP-systemet för att nollställa felet.

  3. Slå på MP-systemet igen.

  4. Kontakta support för Giddings & Lewis om felet återkommer.


RCU-705 Stuck key error

En tangent har fastnat på RCU.

Mer information finns i RCU-felkoder.

Gör så här:

  1. Anteckna meddelandet på MP-systemets display.

  2. Stäng av MP-systemet för att nollställa felet.

  3. Slå på MP-systemet igen.

  4. Kontakta support för Giddings & Lewis om felet återkommer.


RCU-706 RCU EPROM A checksum error

Det inträffade ett kontrollsummefel i EPROM-minnet på kortposition F8.

Mer information finns i RCU-felkoder.

Gör så här:

  1. Anteckna meddelandet på MP-systemets display.

  2. Stäng av MP-systemet för att nollställa felet.

  3. Slå på MP-systemet igen.

  4. Ta bort och sätt tillbaka 2716-chipset på kortposition F8.

  5. Kontakta support för Giddings & Lewis om felet återkommer.


RCU-707 RCU EPROM B checksum error

Det inträffade ett kontrollsummefel i EPROM-minnet på kortposition F10.

Mer information finns i RCU-felkoder.

Gör så här:

  1. Anteckna meddelandet på MP-systemets display.

  2. Stäng av MP-systemet för att nollställa felet.

  3. Slå på MP-systemet igen.

  4. Ta bort och sätt tillbaka 2716-chippet på kortposition F10.

  5. Kontakta support för Giddings & Lewis om felet återkommer.


RCU-708 RCU EPROM C checksum error

Det inträffade ett kontrollsummefel i EPROM-minnet på kortposition F11.

Mer information finns i RCU-felkoder.

Gör så här:

  1. Anteckna meddelandet på MP-systemets display.

  2. Stäng av MP-systemet för att nollställa felet.

  3. Slå på MP-systemet igen.

  4. Ta bort och sätt tillbaka 2716-chippet på kortposition F11.

  5. Kontakta support för Giddings & Lewis om felet återkommer.


RN - Return Scan Data

Med RN-kommandot avslutas insamlingen av scandata och/eller returneras insamlade scandata till MeasureMax+.

Kommandoformat

MLString "RN p1"

Exempel

  1. MLString "RN"

    Om en scanåtgärd är aktiv måste du vänta på att CNC-kön töms och på att den sista rörelsen hamnar inom toleransen innan du kan avsluta scanåtgärden. Antalet datapunkter returneras till värden.

  2. MLString "RN 0"

    Om en scanåtgärd är aktiv måste du vänta på att CNC-kön töms och på att den sista rörelsen hamnar inom toleransen innan du kan avsluta scanåtgärden. De insamlade datapunkterna (med början från punkt nummer 0) och antalet datapunkter returneras till värden.

Indata

  • p1 = punktindex (numeriskt, valfritt)

Den valfria numeriska parametern p1 får inte vara ett negativt tal. Om p1 anges innebär det att scandatapunkter returneras till värden med början med punkt nummer p1. Observera att den första insamlade punkten har indexet 0 (noll). Om p1 inte anges returneras inte insamlade data till värddatorn.

Resultat

Med RN-kommandot slutförs den åtgärd för insamling av scandata som startades med kommandot AS. Om en scanåtgärd pågår avslutas den när CNC-kön är tom och den sista rörelsen hamnar inom toleransen. Om p1 har angetts returneras de insamlade datapunkterna från scanbufferten till värddatorn och de lagras i arrayen S9. För alla scantyper utom A (se kommandot AS) lagras punktdata i arrayen S9 i vanlig X-, Y- och Z-ordning; d.v.s. X-koordinatens datavärden lagras i S9(*, 0), Y-värdena i S9(*, 1) och Z-värdena i S9(*, 2). För en scan av typen A lagras polära radievärden i S9(*, 0), polära vinkelvärden lagras i S9(*, 1) den tredje axelns värden (höjden) lagras i S9(*, 2).

Antalet insamlade datapunkter returneras till variabeln S7.

Hoppa över åtgärd

Ignoreras.

Felmeddelanden

Inget.


SB - Scan Target

Med SB-kommandot kan du överföra de oberoende axelmålen från scanbufferten S9 (*,0) till MP så att de kan användas i nästa scan. Om absoluta mål används måste SB-kommandot utföras i detaljprogrammet innan SN-kommandot utförs.

Kommandoformat

MLString "SB p1"

Exempel

  1. MLString "SB 100"

Indata

  • p1 = Antal mål att överföra (numerisk, obligatorisk)

p1 anger antalet oberoende axelmål som ska överföras. Värdet för p1 måste vara ett heltal som är lika med eller större än 1. I exemplet har p1 värdet 100. Mäthuvudet scannar 100 mål i den här mätningen. Det första målet finns på scanbuffertplatsen S9(0,0). Om du scannar i flera faser ska du överföra alla mål på en gång. S9 är en reell array varför det inte finns någon gräns på antalet siffror som utgör målkoordinatvärdet.

Resultat

Målen skickas till MP med start vid S9(0,0). Om 100 mål överförs i programmet skickas det sista målet vid S9(99,0).

Hoppa över åtgärd

Ignoreras. Utförs inte om det ingår i ett block som hoppas över.

Felmeddelanden

Inget.


SN - Scan

Du använder kommandot SN för att starta en ytscan. Detta gäller endast MeasureMax-system version 1.03.

Varning!

Kommandot SN stöds inte av nyare MeasureMax+-system.

Kommandoformat

MLString "SN p1,p2,p3,p4,p5"

Exempel

  1. MLString "SN 1,XY,400,12,.1"

  2. MLString "SN XY,400"

Indata

  • p1 = Kolumn i scanbuffer (numerisk, valfri)

  • p2 = Beroende och oberoende axlar (sträng, obligatorisk)

  • p3 = Antal mål att scanna (numerisk, obligatorisk)

  • p4 = Startposition (numerisk, valfri)

  • p5 = Intervall mellan successiva mål (numerisk, valfri)

Den valfria numeriska parametern p1 är indexet för den kolumn i scandataarrayen S9 som du vill använda för beroende axelscanresultat. Om p1 inte har angetts lagras scanresultaten i kolumnen noll (0).

Den obligatoriska strängparametern p2 definierar scanåtgärdens beroende och oberoende axlar. Den första bokstaven identifierar den beroende axeln. Giltiga inställningar för p2 är XY, XZ, YX, YZ, ZX, ZY, XW, YW, ZW och RA.

Den obligatoriska numeriska parametern p3 måste vara ett värde mellan 1 och 1000 och anger antalet mål som ska scannas.

De valfria numeriska parametrarna p4 och p5 definierar den första oberoende axelns scanmål och mellanrummet mellan målen vid en inkrementell scan. Om p4 och p5 inte har angetts är målen absoluta och måste redan ha överförts till MP-systemet (se kommandot SB).

Användaren måste ha satt mäthuvudet i rätt position inför det första målet innan det här kommandot körs. När det här kommandot körs lyser WAIT-lampan på MP-systemet. Användaren kan sedan flytta mäthuvudet längs scanbanan för att samla in data. När det första målet har passerats blinkar WAIT-lampan till dess att alla scanmål har samlats in, varefter lampan släcks.

I det första exemplet scannas 400 mål längs Y-axeln och X-data samlas i kolumn 1 i arrayen S9. Det första målet ligger vid Y-positionen 12 och efterföljande mål ligger med ett mellanrum på 0.1 i den positiva riktningen.

I det andra exemplet scannas 400 mål längs Y-axeln och X-data samlas i kolumn 0 (standardkolumnen) i arrayen S9. Y-axelns mål har redan skickats med kommandot SB.

Resultat

Scannade data samlas och resultaten lagras i arrayen S9.

Hoppa över åtgärd

Ignoreras. Utförs inte om det ingår i ett block som hoppas över.

Felmeddelanden

  • MLB-080 Improper probe installed. Ett hårt eller analogt mäthuvud krävs.


TempComp-200 TempComp not available

Temperaturkompensering har begärts men är inte tillgänglig för tillfället. I meddelandet visas även en siffra inom parenteser vid slutet som indikerar den specifika orsaken, enligt följande:

  • -2 -> Inga tillgängliga detaljtermistorer

  • -1 -> Temperaturkompensering har inaktiverats p.g.a. ett tidigare rapporterat fel.

  • 0 -> Temperaturkompensering har inte konfigurerats korrekt.

  • 1-28 -> Fel på den indikerade termistorn.

Mer information finns i TempComp-felkoder.

Gör så här:

  1. Korrigera det aktuella problemet, om det är möjligt.

  2. Kontakta support för Giddings & Lewis om felmeddelandet återkommer.


TempComp-201 Absolute temperature limit exceeded

Temperaturkompensering har begärts men en termistor indikerar en temperatur som överskrider systemets konfigurerade gränser för absolut temperatur. Temperaturkompenseringen är aktiv men systemets tillstånd kan göra att önskad noggrannhet i systemet inte kan uppnås. I meddelandet visas termistornumret samt den registrerade temperaturen som gett upphov till varningen.

Mer information finns i TempComp-felkoder.

Gör så här:

  1. Korrigera det aktuella problemet, om det är möjligt.

  2. Kontakta support för Giddings & Lewis om varningsmeddelandet återkommer och inte kan förklaras av miljöomständigheter.


TempComp-202 Gradient temperature limit exceeded

Temperaturkompensering har begärts men skillnaden i temperaturer mellan ett par termistorer indikerar en temperaturgradient som överskrider systemets konfigurerade gränser. Temperaturkompenseringen är aktiv men systemets tillstånd kan göra att önskad noggrannhet i systemet inte kan uppnås. I meddelandet visas termistornumren samt de registrerade temperaturerna som gett upphov till varningen.

Mer information finns i TempComp-felkoder.

Gör så här:

  1. Korrigera det aktuella problemet, om det är möjligt.

  2. Kontakta support för Giddings & Lewis om varningsmeddelandet återkommer och inte kan förklaras av miljöomständigheter.


TempComp-203 Transient temperature limit exceeded

Temperaturkompensering har begärts men de temperaturer som termistorn registrerar indikerar en temperaturförändring (transient) som överskrider systemets konfigurerade gränser. Temperaturkompenseringen är aktiv men systemets tillstånd kan göra att önskad noggrannhet i systemet inte kan uppnås. I meddelandet visas termistornumret samt de registrerade högsta och lägsta temperaturerna som gett upphov till varningen.

Mer information finns i TempComp-felkoder.

Gör så här:

  1. Korrigera det aktuella problemet, om det är möjligt.

  2. Kontakta support för Giddings & Lewis om varningsmeddelandet återkommer och inte kan förklaras av miljöomständigheter.


TempComp-204 Laser compensation is inactive

På ett lasersystem har ett maskinvarufel inträffat. Det här felet hindrar att lasermätningarna kompenseras korrekt för mijlöomständigheter. Systemet kan användas men önskad noggrannhet i systemet kan inte uppnås.

Mer information finns i TempComp-felkoder.

Gör så här:

  1. Korrigera det aktuella problemet, om det är möjligt.

  2. Kontakta support för Giddings & Lewis om felmeddelandet återkommer.


TempComp-205 Probe calibration data may be invalid

Temperaturkompensering har begärts men antingen så har inte mäthuvudena kalibrerats sedan start eller så överskrider temperaturförändringen sedan mäthuvudskalibreringen systemets konfigurerade gränser. Det värde som visas med meddelandet indikerar om varningen rör det första (1) eller det andra (2) tillståndet.

Mer information finns i TempComp-felkoder.

Gör så här:

  1. Kalibrera om mäthuvudena för att garantera största möjliga noggrannhet i systemet.


TempComp-206 Rotary table calibration may be invalid

Temperaturkompensering har begärts men temperaturförändringen sedan rundbordet kalibrerades överskrider systemets konfigurerade gränser. Du bör kalibrera om rundbordets centrum för att försäkra dig om största möjliga noggrannhet i systemet.

Mer information finns i TempComp-felkoder.

Gör så här:

  1. Kalibrera om rundbordets centrum för att garantera högsta möjliga noggrannhet i systemet.


TF - Touch Mode Off

Med kommandot TF kan du hindra att eventuella avböjningar av mäthuvudet ska ignoreras, utom vid kommandostyrda mätpunkter eller sökningar. I det här läget kan avböjningar till följd av vibrationer som uppstår när en lång mätspets rör sig väldigt snabbt ignoreras i systemet. I och med att mätspetsen kan skadas om den med kraft kommer i kontakt med en yta bör du använda den här funktionen med försiktighet.

När du använder den här funktionen i ett detaljprogram bör du även använda kommandot TN för att återaktivera mäthuvudet innan detaljprogrammet avslutas.

Kommandoformat

MLString "TF"

Exempel

  1. MLString "TF"

Indata

Inget.

Resultat

När det här kommandot har körts ignoreras mätspetsavböjningar med undantag för vid programmerade CNC-mätåtgårder. Du kan återaktivera igenkänning av mätspetsavböjningar med kommandot TN eller genom att starta funktionen i detaljprogrammet.

Hoppa över åtgärd

Körs även när det finns inuti ett block som hoppas över.

Felmeddelanden

  • MLB-090 DCC is not available.


TN - Enable Touch Probe

Med kommandot TN slås tryggläget på, vilket återaktiverar det beröringskänsliga mäthuvudet som inaktiverades med kommandot TF. Om du använder ett treaxlat analogt mäthuvud (t.ex. Renishaw SP-600) inaktiveras mäthuvudet för mätning av mjuka material (se kommandot BF).

Kommandoformat

MLString "TN"

Exempel

  1. MLString "TN"

Indata

Inget.

Resultat

Det beröringskänsliga mäthuvudet aktiveras vid alla rörelser.

Hoppa över åtgärd

Körs även när det finns inuti ett block som hoppas över.

Felmeddelanden

  • MLB-090 DCC is not available.